<?php
/**
 * Aliases for MobileFrontend extension
 *
 * @file
 * @ingroup Extensions
 */
// @codingStandardsIgnoreFile

$specialPageAliases = array();

/** English (English) */
$specialPageAliases['en'] = array(
	'History' => array( 'History' ),
	'MobileOptions' => array( 'MobileOptions' ),
	'Uploads' => array( 'Uploads' ),
	'MobileDiff' => array( 'MobileDiff' ),
	'MobileEditor' => array( 'MobileEditor' ),
	'MobileMenu' => array( 'MobileMenu' ),
	'MobileLanguages' => array( 'MobileLanguages' ),
	'Nearby' => array( 'Nearby' ),
	'UserProfile' => array( 'UserProfile' ),
);

/** Arabic (العربية) */
$specialPageAliases['ar'] = array(
	'History' => array( 'تاريخ' ),
	'MobileOptions' => array( 'خيارات_المحمول' ),
	'Uploads' => array( 'مرفوعات' ),
	'MobileDiff' => array( 'فرق_المحمول' ),
	'MobileMenu' => array( 'قائمة_المحمول' ),
	'Nearby' => array( 'قريب' ),
	'UserProfile' => array( 'ملف_المستخدم' ),
);

/** Asturian (asturianu) */
$specialPageAliases['ast'] = array(
	'Nearby' => array( 'Cercano' ),
);

/** Catalan (català) */
$specialPageAliases['ca'] = array(
	'Nearby' => array( 'A_prop' ),
);

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = array(
	'MobileOptions' => array( 'Мобильни_верси_нисяр' ),
	'Uploads' => array( 'Чуйохурш' ),
	'MobileDiff' => array( 'Версеш_муха_ю_хьажар' ),
	'MobileMenu' => array( 'Мобильни_меню' ),
	'Nearby' => array( 'Гергахьо' ),
);

/** German (Deutsch) */
$specialPageAliases['de'] = array(
	'History' => array( 'Versionsgeschichte' ),
	'MobileOptions' => array( 'Mobile_Optionen' ),
	'Uploads' => array( 'Hochgeladene_Dateien' ),
	'MobileDiff' => array( 'Mobiler_Unterschied' ),
	'MobileEditor' => array( 'Mobiler_Editor' ),
	'MobileMenu' => array( 'Mobiles_Menü' ),
	'Nearby' => array( 'In_der_Nähe' ),
	'UserProfile' => array( 'Benutzerprofil' ),
);

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = array(
	'MobileOptions' => array( 'MobilWeçenegi' ),
	'Uploads' => array( 'Barkerdışi' ),
	'MobileDiff' => array( 'MobilVer' ),
	'MobileMenu' => array( 'MıobilMenu' ),
	'Nearby' => array( 'Nezdıra' ),
	'UserProfile' => array( 'ProfilaKarberi' ),
);

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = array(
	'MobileOptions' => array( 'Opcioj_pri_poŝaparato' ),
	'Uploads' => array( 'Alŝutoj' ),
	'MobileMenu' => array( 'Menuo_por_poŝaparato' ),
	'Nearby' => array( 'Apude' ),
);

/** Spanish (español) */
$specialPageAliases['es'] = array(
	'Uploads' => array( 'Subidas' ),
	'Nearby' => array( 'Cerca' ),
	'UserProfile' => array( 'Perfil_de_usuario', 'Perfil_de_usuaria' ),
);

/** Estonian (eesti) */
$specialPageAliases['et'] = array(
	'MobileOptions' => array( 'Mobiili_suvandid' ),
	'Uploads' => array( 'Üleslaaditud_failid' ),
	'MobileDiff' => array( 'Mobiilierinevus' ),
	'MobileMenu' => array( 'Mobiili_menüü' ),
	'Nearby' => array( 'Lähikond' ),
);

/** Persian (فارسی) */
$specialPageAliases['fa'] = array(
	'MobileOptions' => array( 'گزینه‌های_تلفن_همراه' ),
	'Uploads' => array( 'بارگذاری‌ها' ),
	'MobileDiff' => array( 'تفاوت_تلفن_همراه' ),
	'MobileMenu' => array( 'گزینگان_تلفن_همراه' ),
	'Nearby' => array( 'درنزدیکی', 'در_نزدیکی' ),
	'UserProfile' => array( 'شناسنامهٔ_کاربری', 'شناسنامه_کاربری' ),
);

/** Galician (galego) */
$specialPageAliases['gl'] = array(
	'Uploads' => array( 'Subidas', 'Cargas' ),
	'Nearby' => array( 'Preto', 'Cerca' ),
	'UserProfile' => array( 'Perfil_de_usuario', 'Perfil_de_usuaria' ),
);

/** Hebrew (עברית) */
$specialPageAliases['he'] = array(
	'MobileOptions' => array( 'הגדרות_נייד', 'הגדרות_פלאפון', 'הגדרות_סלולרי' ),
	'Nearby' => array( 'בסביבה', 'קרוב' ),
);

/** Hindi (हिन्दी) */
$specialPageAliases['hi'] = array(
	'MobileOptions' => array( 'मोबाइल_विकल्प' ),
);

/** Italian (italiano) */
$specialPageAliases['it'] = array(
	'MobileOptions' => array( 'OpzioniMobile' ),
	'UserProfile' => array( 'ProfiloUtente' ),
);

/** Japanese (日本語) */
$specialPageAliases['ja'] = array(
	'MobileOptions' => array( '携帯機器オプション' ),
	'MobileDiff' => array( '携帯機器差分' ),
	'MobileMenu' => array( '携帯機器メニュー' ),
	'Nearby' => array( '付近' ),
	'UserProfile' => array( '利用者プロフィール' ),
);

/** Korean (한국어) */
$specialPageAliases['ko'] = array(
	'MobileOptions' => array( '모바일설정' ),
	'Uploads' => array( '올린파일' ),
	'MobileDiff' => array( '모바일차이' ),
	'MobileMenu' => array( '모바일메뉴' ),
	'Nearby' => array( '근처' ),
	'UserProfile' => array( '사용자프로필' ),
);

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = array(
	'MobileOptions' => array( 'Mobil_Optiounen' ),
	'Uploads' => array( 'Eropgeluede_Fichieren' ),
	'MobileDiff' => array( 'Mobilen_Ënnerscheed' ),
	'MobileEditor' => array( 'Mobilen_Editeur' ),
	'MobileMenu' => array( 'Mobile_Menü' ),
	'Nearby' => array( 'Nobäi' ),
	'UserProfile' => array( 'Benotzerprofil' ),
);

/** Macedonian (македонски) */
$specialPageAliases['mk'] = array(
	'MobileOptions' => array( 'МобилниПоставки' ),
	'Uploads' => array( 'Подигања' ),
	'MobileDiff' => array( 'МобилнаРазлика' ),
	'MobileMenu' => array( 'МобилноМени' ),
	'Nearby' => array( 'ВоБлизина' ),
	'UserProfile' => array( 'КорисничкиПрофил' ),
);

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = array(
	'MobileOptions' => array( 'മൊബൈൽഐച്ഛികങ്ങൾ' ),
	'Uploads' => array( 'അപ്‌ലോഡുകൾ' ),
	'MobileDiff' => array( 'മൊബൈൽവ്യത്യാസം' ),
	'MobileMenu' => array( 'മൊബൈൽമെനു' ),
	'Nearby' => array( 'സമീപസ്ഥം' ),
);

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = array(
	'MobileOptions' => array( 'MobieleVoorkeuren' ),
	'MobileDiff' => array( 'MobielVerschillen' ),
	'MobileMenu' => array( 'MobielMenu' ),
	'Nearby' => array( 'InDeBuurt' ),
	'UserProfile' => array( 'Gebruikersprofiel' ),
);

/** Norwegian Nynorsk (norsk nynorsk) */
$specialPageAliases['nn'] = array(
	'MobileOptions' => array( 'Mobilval' ),
	'Uploads' => array( 'Opplastingar' ),
	'Nearby' => array( 'Nær_her' ),
);

/** Polish (polski) */
$specialPageAliases['pl'] = array(
	'Nearby' => array( 'W_pobliżu' ),
);

/** Russian (русский) */
$specialPageAliases['ru'] = array(
	'MobileOptions' => array( 'Настройки_мобильной_версии' ),
	'Uploads' => array( 'Загрузки' ),
	'MobileDiff' => array( 'Сравнение_версий' ),
	'MobileMenu' => array( 'Мобильное_меню' ),
	'Nearby' => array( 'Поблизости' ),
);

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = array(
	'MobileOptions' => array( 'OpzioniMobile' ),
);

/** Ukrainian (українська) */
$specialPageAliases['uk'] = array(
	'MobileOptions' => array( 'Налаштування_мобільної_версії' ),
	'Uploads' => array( 'Мобільне_Завантаження' ),
	'MobileDiff' => array( 'Мобільна_різниця_версій' ),
	'MobileMenu' => array( 'Мобільне_меню' ),
	'Nearby' => array( 'Поблизу' ),
);

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = array(
	'History' => array( 'Lịch_sử' ),
	'MobileOptions' => array( 'Tùy_chọn_di_động' ),
	'Uploads' => array( 'Tập_tin_tải_lên' ),
	'MobileDiff' => array( 'So_sánh_di_động' ),
	'MobileEditor' => array( 'Sửa_đổi_di_động' ),
	'MobileMenu' => array( 'Trình_đơn_di_động' ),
	'Nearby' => array( 'Kề_bên' ),
	'UserProfile' => array( 'Hồ_sơ_cá_nhân' ),
);

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = array(
	'MobileOptions' => array( '移动版选项' ),
	'Uploads' => array( '上传' ),
	'MobileDiff' => array( '移动版差异' ),
	'MobileMenu' => array( '移动版菜单' ),
	'Nearby' => array( '附近' ),
);

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = array(
	'MobileOptions' => array( '手機版選項' ),
	'Uploads' => array( '上載' ),
	'MobileDiff' => array( '手機版差異' ),
	'MobileMenu' => array( '手機版選單' ),
	'Nearby' => array( '附近' ),
);