<?php
/**
 * Internationalisation file for the extension MobileFrontend
 *
 * @file
 * @ingroup Extensions
 * @author Patrick Reilly
 * @copyright © 2011 Patrick Reilly
 * @licence GNU General Public Licence 2.0 or later
 */

$messages = array();

$messages['en'] = array (
	// Random
	'mobilefrontend-random-explain' => 'Does this random page interest you?',
	'mobilefrontend-random-cancel' => 'Let me read!',

	// KeepGoingCta
	'mobilefrontend-keepgoing-wikify-category' => '',
	'mobilefrontend-keepgoing-ask' => "Well done! You're getting the hang of this! Do you want to try editing another page?",
	'mobilefrontend-keepgoing-ask-first' => 'Congratulations on making your first edit! Do you want to try editing another page?',
	'mobilefrontend-keepgoing-explain' => 'Great! Another user said this page needs help. Try this one, or try another one.',
	'mobilefrontend-keepgoing-cancel' => 'No, thanks',
	'mobilefrontend-keepgoing-suggest' => 'Yes, please',
	'mobilefrontend-keepgoing-suggest-again' => 'Try another',
	'mobilefrontend-keepgoing-saved-title' => 'Edit saved!',
	'mobilefrontend-keepgoing-links-title' => 'Add links',
	'mobilefrontend-keepgoing-links-ask-first' => 'Congratulations on making your first edit! Would you like to help add links to a recently created page?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Fix another page?',
	'mobilefrontend-keepgoing-links-explain' => 'Find more words that could be links. Add double brackets around the word.',
	'mobilefrontend-keepgoing-links-example' => 'e.g. $1guitar$2 becomes $3guitar$4',

	/** special pages */
	'nearby' => 'Pages near you',

	'mobile-frontend-desc' => 'Mobile Frontend',
	'mobile.css' => '/* CSS placed here will affect users of the mobile site */', # only translate this message to other languages if you have to change it
	'mobile.js' => '/* Any JavaScript here will be loaded for users using the mobile site */', # only translate this message to other languages if you have to change it
	'mobile-frontend-search-submit' => 'Go',
	'mobile-frontend-home-button' => 'Home',
	'mobile-frontend-logged-out' => 'Not logged in',
	'mobile-frontend-logged-in-homepage-notification' => 'Welcome, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Logged in as $1.',

	'mobile-frontend-generic-404-title' => 'Error - Page not found',
	'mobile-frontend-generic-404-desc' => 'The page you are looking for could not be found.',

	/** log-in page **/
	'mobile-frontend-sign-up-heading' => 'Sign up',
	'mobile-frontend-sign-in-heading' => 'Sign in',
	'mobile-frontend-sign-in-why' => 'If you have a {{SITENAME}} account, you may sign in below.',
	'mobile-frontend-sign-in-error-heading' => 'Whoops',
	/** end log-in page**/

	'mobile-frontend-settings-description' => 'Customize your experience on your mobile device with these mobile specific site settings.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Experimental mode',
	'mobile-frontend-settings-alpha-description' => 'Enter dangerous and unexplored mobile territory. Get even more experimental features, but with more danger of bugs.',
	'mobile-frontend-save-settings' => 'Save',
	'mobile-frontend-save-error' => 'Error saving settings. Please make sure that you have cookies enabled.',
	'mobile-frontend-random-button' => 'Random',

	'mobile-frontend-back-to-top-of-section' => 'Jump back a section',
	'mobile-frontend-regular-site' => 'Desktop view',
	'mobile-frontend-wml-continue' => 'Continue...',
	'mobile-frontend-wml-back' => 'Back...',
	'mobile-frontend-view' => 'Mobile view',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Mobile',
	'mobile-frontend-cookies-required' => 'Cookies are required to switch view modes. Please enable them and try again.',
	'mobile-frontend-opt-in-explain' => 'By joining the beta, you will get access to experimental features, at the risk of encountering bugs and issues.',
	'mobile-frontend-images-status' => 'Images',
	'mobile-frontend-disable-images' => 'Disable images on mobile site',
	'mobile-frontend-enable-images' => 'Enable images on mobile site',
	'mobile-frontend-expand-sections-status' => 'Expand all sections',
	'mobile-frontend-expand-sections-description' => 'Always expand all sections when navigating to a new page.',
	'mobile-frontend-missing-image' => 'Image',
	'mobile-frontend-off' => 'OFF',
	'mobile-frontend-on' => 'ON',
	'mobile-frontend-featured-article' => 'Today\'s featured content',
	'mobile-frontend-news-items' => 'In The News',

	// languages special page
	'mobile-frontend-languages-404-title' => 'Languages error',
	'mobile-frontend-languages-404-desc' => 'A valid title must be specified.',
	'mobile-frontend-languages-header' => 'Languages',
	'mobile-frontend-languages-nonexistent-title' => 'The page "$1" does not exist.',
	'mobile-frontend-languages-text' => '$1 is available in $2 {{PLURAL:$2|language|languages}}.',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}} variants',

	'mobile-frontend-language-heading' => '<strong>Languages</strong>',
	'mobile-frontend-language-article-heading' => 'Read in another language',
	'mobile-frontend-current-language' => '{{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-header' => 'This page is available in $1 {{PLURAL:$1|language|languages}}',
	'mobile-frontend-language-variant-header' => 'Choose {{#language:{{CONTENTLANG}}}} variant',
	'mobile-frontend-language-site-choose' => 'Search language',
	'mobile-frontend-username' => 'Username:',
	'mobile-frontend-password' => 'Password:',
	'mobile-frontend-username-placeholder' => 'Username',
	'mobile-frontend-password-placeholder' => 'Password',
	'mobile-frontend-login' => 'Sign in',
	'mobile-frontend-history' => 'View edit history of this page.',
	'mobile-frontend-history-404-title' => 'No such page',
	'mobile-frontend-history-404-desc' => "Cannot look at history for a page that doesn't exist. It may have been deleted or you may have followed a bad link.",
	'mobile-frontend-history-no-results' => 'The filter provided no history matches.',
	'mobile-frontend-contribution-summary' => 'All edits made by {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Page history for [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Last modified on $1, at $2',
	'mobile-frontend-last-modified-seconds' => 'Last modified {{PLURAL:$1|$1 second|$1 seconds}} ago',
	'mobile-frontend-last-modified-minutes' => 'Last modified {{PLURAL:$1|$1 minute|$1 minutes}} ago',
	'mobile-frontend-last-modified-hours' => 'Last modified {{PLURAL:$1|$1 hour|$1 hours}} ago',
	'mobile-frontend-last-modified-days' => 'Last modified {{PLURAL:$1|$1 day|$1 days}} ago',
	'mobile-frontend-last-modified-months' => 'Last modified {{PLURAL:$1|$1 month|$1 months}} ago',
	'mobile-frontend-last-modified-years' => 'Last modified {{PLURAL:$1|$1 year|$1 years}} ago',
	'mobile-frontend-last-modified-just-now' => 'Last modified just now',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Last {{GENDER:$1|edited}} {{PLURAL:$3|$3 second|$3 seconds}} ago] by {{PLURAL:$5|[$6 $2]|0=an anonymous user}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Last {{GENDER:$1|edited}} {{PLURAL:$3|$3 minute|$3 minutes}} ago] by {{PLURAL:$5|[$6 $2]|0=an anonymous user}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Last {{GENDER:$1|edited}} {{PLURAL:$3|$3 hour|$3 hours}} ago] by {{PLURAL:$5|[$6 $2]|0=an anonymous user}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Last {{GENDER:$1|edited}} {{PLURAL:$3|$3 day|$3 days}} ago] by {{PLURAL:$5|[$6 $2]|0=an anonymous user}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Last {{GENDER:$1|edited}} {{PLURAL:$3|$3 month|$3 months}} ago] by {{PLURAL:$5|[$6 $2]|0=an anonymous user}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Last {{GENDER:$1|edited}} {{PLURAL:$3|$3 year|$3 years}} ago] by {{PLURAL:$5|[$6 $2]|0=an anonymous user}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Last {{GENDER:$1|edited}}] just now by {{PLURAL:$4|[$5 $2]|0=an anonymous user}}',
	'mobile-frontend-view-source' => 'View source',
	// account creation
	'mobile-frontend-account-create-submit' => 'Sign up',
	'mobile-frontend-password-confirm-placeholder' => 'Confirm password',
	'mobile-frontend-account-create-email-placeholder' => 'Email address (optional)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Enter confirmation code',
	// Overlays
	'mobile-frontend-overlay-escape' => 'Go back',
	'mobile-frontend-overlay-close' => 'Close',
	'mobile-frontend-overlay-continue' => 'Continue',
	// Search
	'mobile-frontend-placeholder' => 'Search {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Search {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Search {{SITENAME}} (Experimental)',
	'mobile-frontend-dismiss-notification' => 'dismiss this notification',
	'mobile-frontend-clear-search' => 'Clear',
	'mobile-frontend-search-content' => 'Search within pages',
	'mobile-frontend-search-no-results' => "No page with this title.",
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' to see if this phrase appears anywhere.",

	'mobile-frontend-privacy-link-text' => 'Privacy',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Text is available under [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; additional terms may apply.',
	'mobile-frontend-copyright' => 'Content is available under $1 unless otherwise noted.',
	'mobile-frontend-footer-contact' => 'Contact',
	'mobile-frontend-terms-text' => 'Terms of use',
	'mobile-frontend-terms-url' => '',

	// Site navigation menu
	'mobile-frontend-main-menu-button-tooltip' => 'Open main menu',
	'mobile-frontend-main-menu-page-title' => 'Site navigation',
	'mobile-frontend-main-menu-featured' => 'Featured',
	'mobile-frontend-main-menu-nearby' => 'Nearby',
	'mobile-frontend-main-menu-login' => 'Log in',
	'mobile-frontend-main-menu-logout' => 'Log out',
	'mobile-frontend-main-menu-watchlist' => 'Watchlist',
	'mobile-frontend-main-menu-settings' => 'Settings',
	'mobile-frontend-main-menu-upload' => 'Uploads',

	'mobile-frontend-main-menu-settings-heading' => 'Settings',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} Languages',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} is available in $1 {{PLURAL:$1|language|languages}}. All available versions are listed below',
	'mobile-frontend-main-menu-account-create' => 'Create account',
	'mobile-frontend-page-menu-contents' => 'contents',
	'mobile-frontend-page-menu-language-current' => '{{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-page-menu-history' => 'History',
	'mobile-frontend-meta-data-issues-header' => 'Issues',
	'mobile-frontend-meta-data-issues' => 'This page has some issues',

	'mobile-frontend-page-saving' => 'Saving $1',

	'mobile-frontend-user-cta' => 'Please log in or sign up to see your notifications.',
	'mobile-frontend-user-button-tooltip' => 'Show my notifications',

	// nearby overlay
	'mobile-frontend-nearby-to-page' => 'The following pages are related to $1 by their geographical location',

	// nearby
	'mobile-frontend-nearby-title' => 'Nearby',
	'mobile-frontend-nearby-loading' => 'Loading topics near your current location',
	'mobile-frontend-nearby-requirements' => 'Sorry! Your web browser doesn\'t support {{SITENAME}} Nearby.',
	'mobile-frontend-nearby-requirements-guidance' => 'Try a different browser or enable JavaScript if you\'ve disabled it.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} Nearby can\'t figure out where you are… try again?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Try an open area with a better signal.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} Nearby doesn\'t have permission to access your location.',
	'mobile-frontend-nearby-permission-guidance' => 'Please ensure you give permission to show where you are. You may need to check your browser location settings.',
	'mobile-frontend-nearby-noresults' => 'Quiet out here… There weren\'t any pages found nearby.',
	'mobile-frontend-nearby-noresults-guidance' => 'Try creating a new page or adding location to an existing one',
	'mobile-frontend-nearby-refresh' => 'We found a more accurate location for you. Click here to refresh the list of nearby pages',
	'mobile-frontend-nearby-error' => '{{SITENAME}} Nearby is having some issues.',
	'mobile-frontend-nearby-error-guidance' => 'Try refreshing your location.',
	'mobile-frontend-nearby-link' => 'Read this page in full',
	'mobile-frontend-nearby-directions' => 'Navigate here',

	// image donation
	'mobile-frontend-donate-image-nouploads' => 'No uploads.',
	'mobile-frontend-donate-image-login' => 'Media on {{SITENAME}} is donated by people like you.',
	'mobile-frontend-donate-image-login-action' => 'Log in to share your media.',
	'mobile-frontend-donate-image-signup-action' => 'Sign up to share your media with the world.',
	'mobile-frontend-photo-upload-disabled' => 'No image is needed on this page.',
	'mobile-frontend-photo-upload-anon' => 'Please log in to add an image to this page.',
	'mobile-frontend-photo-upload-protected' => 'You do not have permission to add an image to this page.',
	'mobile-frontend-photo-upload-unavailable' => 'Your browser does not support image uploads.',
	'mobile-frontend-photo-upload-generic' => 'Contribute an image',
	'mobile-frontend-donate-image-title' => 'Uploads',
	'mobile-frontend-donate-image-heading' => 'Your recent contributions',
	'mobile-frontend-donate-image-anon' => 'A $1 is required to view the uploads page.',
	'mobile-frontend-user-account' => 'user account',
	'mobile-frontend-listed-image-no-description' => 'No description',
	'mobile-frontend-donate-photo-upload-success' => 'Success! Your image can now be used on {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Success! Thanks for your first contribution!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Contribute your images. Help {{SITENAME}} come to life!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Images on {{SITENAME}} come from Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Your images help educate people around the world',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Avoid copyrighted materials you found from the internet as well as images of posters, book covers, etc.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Got it?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Yes!',

	// watchlist
	'mobile-frontend-watchlist-add' => 'Added $1 to your watchlist',
	'mobile-frontend-watchlist-removed' => 'Removed $1 from your watchlist',
	'mobile-frontend-watchlist-view' => 'View your watchlist',
	'mobile-frontend-watchlist-more' => 'more',
	'mobile-frontend-watchlist-cta' => 'Keep track of this page and all changes to it.',
	'mobile-frontend-watchlist-cta-button-login' => 'Log in',
	'mobile-frontend-watchlist-cta-button-signup' => 'Sign up',

	// login headers from left nav
	'mobile-frontend-watchlist-purpose' => 'A watchlist helps you bookmark pages and keep track of changes to them.',
	'mobile-frontend-watchlist-login-action' => 'Log in to see it.',
	'mobile-frontend-watchlist-signup-action' => 'Sign up to start one now.',
	'mobile-frontend-generic-login' => '{{SITENAME}} is made by people like you.',
	'mobile-frontend-generic-login-action' => 'Log in to contribute.',
	'mobile-frontend-generic-signup-action' => 'Sign up to contribute.',

	// login article actions
	'mobile-frontend-watch-login' => 'Add $1 to your watchlist.',
	'mobile-frontend-edit-login' => 'Help improve the $1 page.',
	'mobile-frontend-edit-login-action' => 'Log in to edit.',
	'mobile-frontend-edit-signup-action' => 'Sign up to edit.',

	'mobile-frontend-watchlist-a-z' => 'List',
	'mobile-frontend-watchlist-feed' => 'Modified',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Click the star at the top of the page',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'You are not currently watching any pages. Your watchlist helps you keep track of the pages that you are interested in. Watch pages by tapping the star icon.',
	'mobile-frontend-watchlist-feed-empty' => 'There are no pages with recent changes.',
	'mobile-frontend-watchlist-back-home' => 'Back home',

	'mobile-frontend-changeslist-ip' => 'Anonymous user',
	'mobile-frontend-changeslist-nocomment' => 'no edit summary',
	'mobile-frontend-watchlist-filter-all' => 'All',
	'mobile-frontend-watchlist-filter-articles' => 'Pages',
	'mobile-frontend-watchlist-filter-talk' => 'Talk',
	'mobile-frontend-watchlist-filter-other' => 'Other',
	'mobile-frontend-watchlist-modified' => 'Modified $1',

	'mobile-frontend-diffview-404-title' => 'Bad revision',
	'mobile-frontend-diffview-404-desc' => 'The id for the revision you requested does not exist.',
	'mobile-frontend-diffview-title' => 'Changes',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|edit|edits}}',
	'mobile-frontend-diffview-anonymous' => 'Anonymous user',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte|bytes}} added',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte|bytes}} removed',
	'mobile-frontend-diffview-explained' => 'The following lines were added (+) and removed (-):',

	'mobile-frontend-thanked-notice' => "$1 was told that you liked {{GENDER:$2|his|her|their}} edit.",

	// confirm exit
	'mobile-frontend-saving-exit-page' => 'Your contribution is still saving. If you leave your contributions will be lost. Are you sure you want to exit?',

	// photo uploads
	'mobile-frontend-photo-upload' => 'Add an image to this page',
	'mobile-frontend-photo-article-edit-comment' => 'Added image for use on page',
	'mobile-frontend-photo-article-donate-comment' => 'Contributed image from Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Added image to page',
	'mobile-frontend-photo-caption-placeholder' => 'Describe this image (required)',
	'mobile-frontend-photo-ownership' => 'I, $1, created this image.',
	'mobile-frontend-photo-ownership-help' => 'What does this mean?',
	'mobile-frontend-photo-ownership-confirm' => 'Got it!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Ensure that your image can help illustrate the page. It should be an image that you created which does not violate copyright.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Start uploading',
	'mobile-frontend-photo-upload-error' => 'Error, try again.',
	'mobile-frontend-photo-upload-error-file-type' => 'Please only upload images.',
	'mobile-frontend-photo-upload-error-filename' => 'Error, please provide a more descriptive summary.',
	'mobile-frontend-photo-upload-success-article' => 'Success! Your image is now live on this page.',
	'mobile-frontend-photo-license' => 'By uploading this image, you agree to our [//wikimediafoundation.org/wiki/Terms_of_use Terms of Use] and agree to release your image under the [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0 License].',
	'mobile-frontend-photo-submit' => 'Submit',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> upload|<span>$1</span> uploads}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ uploads',
	'mobile-frontend-image-heading-describe' => "'''Describe''' image",
	'mobile-frontend-image-uploading' => "'''Uploading''' image...",
	'mobile-frontend-image-cancel-confirm' => "Cancel upload?",

	// edit
	'mobile-frontend-editor-redirect-title' => 'Redirecting to editor...',
	'mobile-frontend-editor-unavailable-header' => 'Editor unavailable',
	'mobile-frontend-editor-unavailable' => 'Mobile editing is not currently available on your browser. Please try a different browser.',
	'mobile-frontend-editor-undo-unsupported' => 'Undo is not currently supported on mobile devices.',
	'mobile-frontend-editor-newpage-prompt' => 'This page doesn\'t exist. Why not be bold and create it?',
	'mobile-frontend-editor-disabled' => 'This page is protected to prevent vandalism.',
	'mobile-frontend-editor-blocked' => 'Your account is blocked from editing.',
	'mobile-frontend-editor-cta' => 'Help improve this page!',
	'mobile-frontend-editor-edit' => 'Edit',
	'mobile-frontend-editor-continue' => 'Continue',
	'mobile-frontend-editor-save' => 'Save',
	'mobile-frontend-editor-cancel' => 'Cancel',
	'mobile-frontend-editor-keep-editing' => 'Keep editing',
	'mobile-frontend-editor-license' => 'By saving changes, you agree to our [//wikimediafoundation.org/wiki/Terms_of_use Terms of Use] and agree to release your text under the [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0 License] and [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'This section is empty. Be the first to expand it!',
	'mobile-frontend-editor-summary-placeholder' => 'Tell us what you changed (optional)',
	'mobile-frontend-editor-cancel-confirm' => 'Do you really want to abandon your edit?',
	'mobile-frontend-editor-wait' => 'Saving edit, please wait.',
	'mobile-frontend-editor-success' => 'Success! Your edit was saved.',
	'mobile-frontend-editor-success-landmark-1' => 'Congratulations, you are now a {{SITENAME}} editor!',
	'mobile-frontend-editor-error' => 'Error, edit not saved.',
	'mobile-frontend-editor-error-conflict' => 'Error, another user has edited this page.',
	'mobile-frontend-editor-error-loading' => 'Error, can\'t load section.',
	'mobile-frontend-editor-error-preview' => 'Error, something unexpected happened upon loading the preview. Please close and try again.',
	'mobile-frontend-editor-tutorial-summary' => "Don't be scared of markup. Try improving the $1 page.",
	'mobile-frontend-editor-tutorial-alt-summary' => "Why not improve $1? Don't be afraid of the markup!",
	'mobile-frontend-editor-tutorial-confirm' => 'Start editing',
	'mobile-frontend-editor-tutorial-cancel' => "No, thanks",
	'mobile-frontend-editor-captcha-try-again' => 'Wrong code, try again.',
	'mobile-frontend-editor-abusefilter-warning' => 'Warning: Are you sure you want to save this edit? There may be an issue with it.',
	'mobile-frontend-editor-abusefilter-disallow' => 'This edit cannot be saved because we have detected an issue.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Read more',
	'mobile-frontend-editor-editing-page' => '<strong>Editing</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Previewing</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Viewing source of</strong><span> $1</span>',

	// Change tags
	'tag-mobile_edit' => 'Mobile edit',
	'tag-mobile_edit-description' => 'Edit made from mobile site',

	// navigation drawer
	'mobile-frontend-drawer-cancel' => 'Cancel',

	// talk page overlay
	'mobile-frontend-talk-explained' => 'The following conversations are currently active',
	'mobile-frontend-talk-explained-empty' => 'There are no conversations about this page.',
	'mobile-frontend-talk-overlay-header' => 'Talk',
	'mobile-frontend-talk-back-to-page' => 'Return to "$1" page.',
	'mobile-frontend-talk-overlay-lead-header' => 'Unnamed discussion',
	'mobile-frontend-talk-add-overlay-submit' => 'Add discussion',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Topic subject',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'What is on your mind?',
	'mobile-frontend-talk-edit-summary' => 'New talk section: $1',
	'mobile-frontend-talk-reply-success' => 'Your reply was successfully saved to the talk page.',
	'mobile-frontend-talk-reply-info' => 'Note your reply will be automatically signed with your username.',
	'mobile-frontend-talk-reply' => 'Reply',
	'mobile-frontend-talk-topic-feedback' => 'New topic added to talk page!',

	// media viewer
	'mobile-frontend-media-details' => 'Details',
	'mobile-frontend-media-license-link' => 'License information',

	// AbuseFilter variable
	'abusefilter-edit-builder-vars-user-mobile' => 'Whether or not a user is editing through the mobile interface',

	// Special:UserProfile
	'mobile-frontend-profile-title' => 'User profile',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Uploaded}} {{PLURAL:$1|yesterday|$1 days ago|0=today}}.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|Talk to $1}}',
	'mobile-frontend-profile-error' => "Oh no!",
	'mobile-frontend-profile-noargs' => 'No username was given. Please provide a username to view a profile.',
	'mobile-frontend-profile-nouser' => 'No user with this name exists. Usernames are case sensitive so please check if it has been typed correctly.',
	'mobile-frontend-profile-activity-heading' => 'Recent activity',
	'mobile-frontend-profile-userpage-link' => 'Visit user page.',
	'mobile-frontend-requires-optin' => 'This page is not available unless you opt into our beta mode. Visit the [[Special:MobileOptions|settings page]] to opt in.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Thanked}} {{GENDER:$1|by}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Edited}} the page [[:$1]], {{PLURAL:$2|yesterday|$2 days ago|0=earlier today}}.',
	'mobile-frontend-profile-footer-days' => 'Joined {{PLURAL:$2|1 day|$2 days}} ago with [[Special:Contributions/$1|{{PLURAL:$3|1 edit|$3 edits}}]] and [[Special:Uploads/$1|{{PLURAL:$4|1 upload|$4 uploads|500=500+ uploads}}]].',
	'mobile-frontend-profile-footer-months' => 'Joined over {{PLURAL:$2|1 month|$2 months}} ago with [[Special:Contributions/$1|{{PLURAL:$3|1 edit|$3 edits}}]] and [[Special:Uploads/$1|{{PLURAL:$4|1 upload|$4 uploads|500=500+ uploads}}]].',
	'mobile-frontend-profile-footer-years' => 'Joined over {{PLURAL:$2|1 year|$2 years}} ago with [[Special:Contributions/$1|{{PLURAL:$3|1 edit|$3 edits}}]] and [[Special:Uploads/$1|{{PLURAL:$4|1 upload|$4 uploads|500=500+ uploads}}]].',

	// geo not a hack
	'mobile-frontend-geonotahack' => 'Near this page',

	// Messages to support beta features provided by MobileFrontend
	'beta-feature-geonotahack' => 'Near this page',
	'beta-feature-geonotahack-description' => 'Discover pages which are geographically nearby to the content page you are currently reading.',

	// Main Page
	'mobile-frontend-mainpage-cta-prompt' => 'This page needs your help!',
	'mobile-frontend-mainpage-cta-button' => 'Improve this page',
	// Preferences for toggling mobile skins
	'beta-feature-minerva' => 'Enable mobile skin (Minerva) on desktop',
	'beta-feature-minerva-description' => 'Make the skin used on mobile devices a selectable desktop skin under the appearance preferences tab.',
);

/** Message documentation (Message documentation)
 * @author Amire80
 * @author Asmen
 * @author Base
 * @author Beta16
 * @author Dbc334
 * @author EugeneZelenko
 * @author Fryed-peach
 * @author Kghbln
 * @author Lloffiwr
 * @author McDutchie
 * @author Minh Nguyen
 * @author Mormegil
 * @author Nemo bis
 * @author Pikne
 * @author Purodha
 * @author Raymond
 * @author SPQRobin
 * @author Shirayuki
 * @author Siebrand
 * @author Umherirrender
 * @author Wellwisher
 * @author Yekrats
 * @author 아라
 */
$messages['qqq'] = array(
	'mobilefrontend-random-explain' => 'Asks if the reader is happy with the random page they were given.

See also:
* {{msg-mw|Mobilefrontend-random-cancel}}',
	'mobilefrontend-random-cancel' => 'Allows the reader to start reading the current page.

See also:
* {{msg-mw|Mobilefrontend-random-explain}}',
	'mobilefrontend-keepgoing-wikify-category' => '{{notranslate}}Category used for searching pages that need wikification',
	'mobilefrontend-keepgoing-ask' => 'Congratulations message shown to a user who has completed an edit in the keepgoing campaign. Prompts them to edit again.',
	'mobilefrontend-keepgoing-ask-first' => 'Congratulate user on first edit. Ask them if they want to edit again.',
	'mobilefrontend-keepgoing-explain' => 'Message explaining that the page they are looking at has issues. Gives them the option to try another.',
	'mobilefrontend-keepgoing-cancel' => 'Label for button that user can express a desire to no longer edit.
{{Identical|No thanks}}',
	'mobilefrontend-keepgoing-suggest' => 'Label for button that user can answer question posed in {{msg-mw|Mobilefrontend-keepgoing-ask-first}}
or {{msg-mw|Mobilefrontend-keepgoing-ask}}.',
	'mobilefrontend-keepgoing-suggest-again' => 'Label for a button that allows user to try another page as a response to
{{msg-mw|Mobilefrontend-keepgoing-explain}}.
{{Identical|Try another}}',
	'mobilefrontend-keepgoing-saved-title' => 'Title of the overlay displayed after the user successfully saves an edit. Should be short.',
	'mobilefrontend-keepgoing-links-title' => 'Title of the overlay that instructs the user to add links to other pages.
{{Identical|Add link}}',
	'mobilefrontend-keepgoing-links-ask-first' => 'Message congratualting the user for making their first edit and then asking them if they would like to try fixing a page that has been identified as needing more links.',
	'mobilefrontend-keepgoing-links-ask-again' => 'Message asking the user if they would like to edit another page that has problems.',
	'mobilefrontend-keepgoing-links-explain' => 'An explanation of how to add links to a page.',
	'mobilefrontend-keepgoing-links-example' => 'This is part of an instructional message showing someone how to construct a link in wikitext. In this example, it is constructing a link to the page "guitar". "e.g." means "for example". Parameters:
* $1 - opening wikitext syntax for links along with some html formatting
* $2 - closing wikitext syntax for links along with some html formatting
* $3 - opening html formatting to mimic the display of a link
* $4 - closing html formatting to mimic the display of a link',
	'nearby' => '{{doc-special|Nearby}}',
	'mobile-frontend-desc' => '{{desc|name=Mobile Frontend|url=https://www.mediawiki.org/wiki/Extension:MobileFrontend}}',
	'mobile.css' => '{{optional}}
See also:
* {{msg-mw|Mobile.js}} (Optional message)',
	'mobile.js' => '{{optional}}
See also:
* {{msg-mw|Mobile.css}} (Optional message)',
	'mobile-frontend-search-submit' => 'Label for the button near the search box.
{{Identical|Go}}',
	'mobile-frontend-home-button' => 'This is the label of one of the buttons that appear if you click the wiki logo near the search box.

This buttons takes the user to the home page.
{{Identical|Home}}',
	'mobile-frontend-logged-out' => 'Message telling user they are not logged in on settings page.
{{Identical|Not logged in}}',
	'mobile-frontend-logged-in-homepage-notification' => 'Heading at top of homepage telling user they are logged in. Parameters:
* $1 - username',
	'mobile-frontend-logged-in-toast-notification' => 'Message telling user that they are logged in. Shows as a notification at bottom of page
*$1 - username',
	'mobile-frontend-generic-404-title' => 'Title for a generic HTTP 404 error page',
	'mobile-frontend-generic-404-desc' => 'Generic description of the HTTP 404 error shown to users',
	'mobile-frontend-sign-up-heading' => 'Header for sign up page.
{{Identical|Sign up}}',
	'mobile-frontend-sign-in-heading' => 'Header for login page.
{{Identical|Sign in}}',
	'mobile-frontend-sign-in-why' => 'Short summary before login page explaining why someone should bother signing in',
	'mobile-frontend-sign-in-error-heading' => 'Heading for when an error occurred. You can translate "Error" instead.',
	'mobile-frontend-settings-description' => 'Text at top of the settings page explaining its purpose',
	'mobile-frontend-settings-beta' => 'Text for beta on settings page.
{{Identical|Beta}}',
	'mobile-frontend-settings-alpha' => '<!--[[File:Mobile Contributions Quarterly Review 3 2013.pdf|page=32|thumb|The message in action]]-->
Heading for alpha mode on settings page ([//commons.wikimedia.org/w/index.php?title=File%3AMobile_Contributions_Quarterly_Review_3_2013.pdf&page=32 screenshot]). This is a highly experimental mode where there might be bugs. Feel free to simply translate it with the equivalent of the word "alpha" when translating to other languages.

Previously, it was called "Dragons Mode".',
	'mobile-frontend-settings-alpha-description' => 'Disclaimer about dangers and excitement that come with being in an alpha mode',
	'mobile-frontend-save-settings' => 'Text for button for saving settings on Special:MobileOptions. Since this appears on the settings page translating the word save is sufficient
{{Identical|Save}}',
	'mobile-frontend-random-button' => 'This is the label of one of the buttons that appear if you click the wiki logo near the search box.

This buttons takes the user to a random page.
{{Identical|Random}}',
	'mobile-frontend-back-to-top-of-section' => 'This is a link that appears at the end of a page section.',
	'mobile-frontend-regular-site' => 'When on the mobile site, this text links to the normal page for desktop computers',
	'mobile-frontend-wml-continue' => '{{Identical|Continue}}',
	'mobile-frontend-wml-back' => '{{Identical|Back}}',
	'mobile-frontend-view' => 'This is a link that appears at the bottom of a desktop view wiki page near {{msg-mw|privacy}} and {{msg-mw|disclaimers}}. Clicking it takes the user to a mobile view of the page.',
	'mobile-frontend-view-desktop' => 'This is a link that appears at the bottom of the mobile page. Clicking it takes the user to the desktop page. It appears near the message {{msg-mw|Mobile-frontend-view-mobile}} and should be worded similarly.
{{Identical|Desktop}}',
	'mobile-frontend-view-mobile' => 'This appears at the bottom of the mobile page, meaning that the current view is mobile. It appears near the message {{msg-mw|Mobile-frontend-view-desktop}} and should be worded similarly.
{{Identical|Mobile}}',
	'mobile-frontend-cookies-required' => 'Error message shown when user attempts to switch site modes and cookies are not enabled.',
	'mobile-frontend-opt-in-explain' => 'Used as description for the "Beta" in [[Special:MobileOptions]], if the beta is not enabled.',
	'mobile-frontend-images-status' => 'On settings page label for turning on/off images.
{{Identical|Image}}',
	'mobile-frontend-disable-images' => 'Unused at this time.

See also:
* {{msg-mw|Mobile-frontend-enable-images}}',
	'mobile-frontend-enable-images' => 'Unused at this time.

See also:
* {{msg-mw|Mobile-frontend-disable-images}}',
	'mobile-frontend-expand-sections-status' => 'On settings page label for turning on/off expansion of all sections on page load.

See also:
* {{msg-mw|Mobile-frontend-expand-sections-description}}',
	'mobile-frontend-expand-sections-description' => 'On settings page description for turning on/off expansion of all sections on page load.

See also:
* {{msg-mw|Mobile-frontend-expand-sections-status}}',
	'mobile-frontend-missing-image' => 'When the mobile site removes images it replaces them with a link to the image and the alt text of the image. If no alt text is provided this string is shown to inform the user it is an image.
{{Identical|Image}}',
	'mobile-frontend-off' => 'On settings page signals that a feature will be turned off. Appears in {{msg-mw|Mobile-frontend-toggle-images}}.',
	'mobile-frontend-on' => 'On settings page signals that a feature will be turned on. Appears in {{msg-mw|Mobile-frontend-toggle-images}}.
{{Identical|On}}',
	'mobile-frontend-featured-article' => 'The title that will appear before the element with the mf-tfa selector.',
	'mobile-frontend-news-items' => 'The title that will appear before the element with the mf-itn selector.',
	'mobile-frontend-languages-404-title' => 'Used as title for the description {{msg-mw|Mobile-frontend-languages-404-desc}}.',
	'mobile-frontend-languages-404-desc' => 'The title for this message is {{msg-mw|Mobile-frontend-languages-404-title}}.',
	'mobile-frontend-languages-header' => '{{Identical|Language}}',
	'mobile-frontend-languages-text' => 'Parameters:
* $1 - page title
* $2 - number of languages
See also:
* {{msg-mw|Mobile-frontend-languages-header|page title}}',
	'mobile-frontend-languages-variant-header' => 'See also:
* {{msg-mw|Mobile-frontend-language-variant-header}}',
	'mobile-frontend-language-heading' => 'The title for the list of languages for a page.
{{Identical|Language}}',
	'mobile-frontend-language-article-heading' => 'A heading within the page the content of which lists the other languages available for this page: translate the message considering the list to have an undetermined number of items.',
	'mobile-frontend-current-language' => '{{optional}}',
	'mobile-frontend-language-header' => 'Header at top of language selection overlay describing number of languages that it is possible to read the page in
* $1 - number of languages',
	'mobile-frontend-language-variant-header' => 'Header at top of language selection overlay prompting a user to select variant of the current language.

See also:
* {{msg-mw|Mobile-frontend-languages-variant-header}}',
	'mobile-frontend-language-site-choose' => 'Header for overlay when click on language on settings page',
	'mobile-frontend-username' => 'Field label for entry of username in Wikimedia mobile user interface.

{{Identical|Username}}',
	'mobile-frontend-password' => 'Field label for entry of password in Wikimedia mobile user interface.
{{Identical|Password}}',
	'mobile-frontend-username-placeholder' => 'placeholder text for username input box.
{{Identical|Username}}',
	'mobile-frontend-password-placeholder' => 'placeholder text for password input box.
{{Identical|Password}}',
	'mobile-frontend-login' => 'Button text for login in Wikimedia mobile user interface.
{{Identical|Log in}}',
	'mobile-frontend-history' => 'Used as label for the link which points to the "Edit history" page.

This is shown on the Main Page in place of a last modified label to avoid confusion caused by transclusions.

If not the Main Page, the following message is used:
* {{msg-mw|Mobile-frontend-last-modified-date}}',
	'mobile-frontend-history-404-title' => 'Title of the 404 error page shown when navigate to [[Special:History/Title of page that does not exist]]',
	'mobile-frontend-history-404-desc' => 'Explain the reasons why the user may have arrived on {{msg-mw|mobile-frontend-history-404-title}}',
	'mobile-frontend-history-no-results' => 'Error shown when there are no history entires for a given/invalid filter.',
	'mobile-frontend-contribution-summary' => 'Summary text that appears at the top of the [[Special:Contributions]] page for a given username.

Parameters:
* $1 - username',
	'mobile-frontend-history-summary' => 'Summary text that appears at the top of the mobile history page for a given page.

Parameters:
* $1 - page title',
	'mobile-frontend-last-modified-date' => 'Text that displays the date the page was last modified. Parameters:
* $1 - date
* $2 - time
{{Related|Mobile-frontend-last-modified}}',
	'mobile-frontend-last-modified-seconds' => 'Text displayed on page to show how long ago the page was updated. Parameters:
* $1 - number of seconds
{{Related|Mobile-frontend-last-modified}}',
	'mobile-frontend-last-modified-minutes' => 'Text displayed on page to show how long ago the page was updated. Parameters:
* $1 - number of minutes
{{Related|Mobile-frontend-last-modified}}',
	'mobile-frontend-last-modified-hours' => 'Text displayed on page to show how long ago the page was updated. Parameters:
* $1 - number of hours
{{Related|Mobile-frontend-last-modified}}',
	'mobile-frontend-last-modified-days' => 'Text displayed on page to show how long ago the page was updated. Parameters:
* $1 - number of days
{{Related|Mobile-frontend-last-modified}}',
	'mobile-frontend-last-modified-months' => 'Text displayed on page to show how long ago the page was updated. Parameters:
* $1 - number of months
{{Related|Mobile-frontend-last-modified}}',
	'mobile-frontend-last-modified-years' => 'Text displayed on page to show how long ago the page was updated. Parameters:
* $1 - number of years
{{Related|Mobile-frontend-last-modified}}',
	'mobile-frontend-last-modified-just-now' => 'Text displayed on page to show that the page was edited within the last few seconds.
{{Related|Mobile-frontend-last-modified}}',
	'mobile-frontend-last-modified-with-user-seconds' => "Text displayed on page to show how long ago the page was updated and who updated it. Parameters:
* $1 - user's gender
* $2 - username
* $3 - number of seconds
* $4 - link to page history
* $5 - integer. When 0 the user is anonymous. When 1 the user is named
* $6 - link to user's profile
{{Related|Mobile-frontend-last-modified-with-user}}",
	'mobile-frontend-last-modified-with-user-minutes' => "Text displayed on page to show how long ago the page was updated and who updated it. Parameters:
* $1 - user's gender
* $2 - username
* $3 - number of minutes
* $4 - link to page history
* $5 - integer. When 0 the user is anonymous. When 1 the user is named
* $6 - link to user's profile
{{Related|Mobile-frontend-last-modified-with-user}}",
	'mobile-frontend-last-modified-with-user-hours' => "Text displayed on page to show how long ago the page was updated and who updated it. Parameters:
* $1 - user's gender
* $2 - username
* $3 - number of hours
* $4 - link to page history
* $5 - integer. When 0 the user is anonymous. When 1 the user is named
* $6 - link to user's profile
{{Related|Mobile-frontend-last-modified-with-user}}",
	'mobile-frontend-last-modified-with-user-days' => "Text displayed on page to show how long ago the page was updated and who updated it. Parameters:
* $1 - user's gender
* $2 - username
* $3 - number of days
* $4 - link to page history
* $5 - integer. When 0 the user is anonymous. When 1 the user is named
* $6 - link to user's profile
{{Related|Mobile-frontend-last-modified-with-user}}",
	'mobile-frontend-last-modified-with-user-months' => "Text displayed on page to show how long ago the page was updated and who updated it. Parameters:
* $1 - user's gender
* $2 - username
* $3 - number of months
* $4 - link to page history
* $5 - integer. When 0 the user is anonymous. When 1 the user is named
* $6 - link to user's profile
{{Related|Mobile-frontend-last-modified-with-user}}",
	'mobile-frontend-last-modified-with-user-years' => "Text displayed on page to show how long ago the page was updated and who updated it. Parameters:
* $1 - user's gender
* $2 - username
* $3 - number of years
* $4 - link to page history
* $5 - integer. When 0 the user is anonymous. When 1 the user is named
* $6 - link to user's profile
{{Related|Mobile-frontend-last-modified-with-user}}",
	'mobile-frontend-last-modified-with-user-just-now' => "Text displayed on page to show when a page was very recently updated and who updated it. Parameters:
* $1 - user's gender
* $2 - username
* $3 - link to page history
* $4 - integer. When 0 the user is anonymous. When 1 the user is named
* $5 - link to user's profile
{{Related|Mobile-frontend-last-modified-with-user}}",
	'mobile-frontend-view-source' => 'Link displayed when viewing an old revision.
{{Identical|View source}}',
	'mobile-frontend-account-create-submit' => 'Text in account creation submit button.
{{Identical|Sign up}}',
	'mobile-frontend-password-confirm-placeholder' => 'Placeholder for confirm password field.
{{Identical|Confirm password}}',
	'mobile-frontend-account-create-email-placeholder' => 'Placeholder for email address field',
	'mobile-frontend-account-create-captcha-placeholder' => 'Placeholder for captcha input field',
	'mobile-frontend-overlay-escape' => 'Text for the button to the left of search / an overlay that when clicked exits the overlay to the previous screen
{{Identical|Go back}}',
	'mobile-frontend-overlay-close' => 'Text for the button in an overlay that, when clicked, dismisses the overlay.
{{Identical|Close}}',
	'mobile-frontend-overlay-continue' => 'Text for the button in an overlay that, when clicked, continues to the next screen or step.
{{Identical|Continue}}',
	'mobile-frontend-placeholder' => 'Phrase used to prompt user to use search interface for mobile full screen search',
	'mobile-frontend-placeholder-beta' => 'Phrase used to prompt user to use search interface for mobile full screen search with identifier that you are in beta mode',
	'mobile-frontend-placeholder-alpha' => 'Phrase used to prompt user to use search interface for mobile full screen search with identifier that you are in experimental mode',
	'mobile-frontend-dismiss-notification' => 'Phrase used to dismiss the top banner notification',
	'mobile-frontend-clear-search' => 'Tooltip for clear button that appears when you type into search box.
{{Identical|Clear}}',
	'mobile-frontend-search-content' => 'Caption for a button performing full text search of a given search query.

Used in {{msg-mw|Mobile-frontend-search-content-no-results}}.',
	'mobile-frontend-search-no-results' => 'Message informing user that no pages were found for a given query.',
	'mobile-frontend-search-content-no-results' => 'Used when no pages with matching titles were found.

Refers to {{msg-mw|Mobile-frontend-search-content}}.',
	'mobile-frontend-privacy-link-text' => 'Custom version of "Privacy policy" link text for mobile footer, intended to be as brief as possible to take up as little screen real estate as possible.
{{Identical|Privacy}}',
	'mobile-frontend-footer-sitename' => 'Name of site',
	'mobile-frontend-footer-license' => 'License shown in footer',
	'mobile-frontend-copyright' => "A short sentence explaining that the content of the page is available under a particular license. Parameters:
* $1 - license name
'''See also'''
* {{msg-mw|Copyright}}",
	'mobile-frontend-footer-contact' => 'Label for contact in footer',
	'mobile-frontend-terms-text' => '"Terms of use" link text at the bottom of every page.
{{Identical|Terms of use}}',
	'mobile-frontend-terms-url' => 'Terms of use URL. Do not localise',
	'mobile-frontend-main-menu-button-tooltip' => 'Tooltip for menu button',
	'mobile-frontend-main-menu-page-title' => '{{doc-special|MobileMenu|unlisted=1}}',
	'mobile-frontend-main-menu-featured' => 'Featured link text in main menu
{{Identical|Featured}}',
	'mobile-frontend-main-menu-nearby' => 'Nearby link text in main menu. Clicking this will show links to content about nearby topics, based on GPS coordinates.
{{Identical|Nearby}}',
	'mobile-frontend-main-menu-login' => 'Text for log in link in main menu.
{{Identical|Log in}}',
	'mobile-frontend-main-menu-logout' => 'Text for logout link in main menu.
{{Identical|Log out}}',
	'mobile-frontend-main-menu-watchlist' => 'Text for watchlist link in main menu.
{{Identical|Watchlist}}',
	'mobile-frontend-main-menu-settings' => 'Settings link text in main menu',
	'mobile-frontend-main-menu-upload' => 'Uploads link text in main menu.
{{Identical|Upload}}',
	'mobile-frontend-main-menu-settings-heading' => '{{doc-special|MobileOptions|unlisted=1}}
{{Identical|Settings}}',
	'mobile-frontend-settings-site-header' => 'Heading for the Special:MobileOptions/Language page - only visible to non JavaScript users',
	'mobile-frontend-settings-site-description' => 'Shown on Special:MobileOptions
*$1 - the number of other language versions for this wiki',
	'mobile-frontend-main-menu-account-create' => 'Account creation link in main menu.
{{Identical|Create account}}',
	'mobile-frontend-page-menu-contents' => 'table of contents link text in secondary menu.
{{Identical|Content}}',
	'mobile-frontend-page-menu-language-current' => 'the text of the language link text in secondary menu which when clicked allows the user to change the content language of a page

{{optional}}',
	'mobile-frontend-page-menu-history' => 'history link text in secondary menu.
{{Identical|History}}',
	'mobile-frontend-meta-data-issues-header' => 'Heading for overlay listing all cleanup templates',
	'mobile-frontend-meta-data-issues' => 'This should be several words and should explain that a page has cleanup templates on it - meaning there is room for improvement on the page. It appears in a button that when clicked opens the overlay with heading {{msg-mw|mobile-frontend-meta-data-issues-header}}',
	'mobile-frontend-page-saving' => 'Unused at this time.

Text shown whilst a page is being saved. Parameters:
* $1 - page title
{{Identical|Saving}}',
	'mobile-frontend-user-cta' => 'Appears when you click user icon when not logged in. First link is to login form, 2nd to sign up form. Links are created in JavaScript.',
	'mobile-frontend-user-button-tooltip' => 'Title tooltip for the user notifications button',
	'mobile-frontend-nearby-to-page' => 'Header that describes that the pages are related as they have locations near the location of the current page.

Parameters:
* $1 - page title',
	'mobile-frontend-nearby-title' => 'Title of Special:Nearby.
{{Identical|Nearby}}',
	'mobile-frontend-nearby-loading' => 'Informative message telling user that their location is being looked up',
	'mobile-frontend-nearby-requirements' => 'Message shown to users who have no JavaScript or a browser that is not capable',
	'mobile-frontend-nearby-requirements-guidance' => 'Message explaining actions user can take when keying error {{msg-mw|mobile-frontend-nearby-requirements}}',
	'mobile-frontend-nearby-distance' => 'States distance to current location. Parameters:
* $1 - distance (in kilometers)
See also:
* {{msg-mw|Mobile-frontend-nearby-distance-meters}}',
	'mobile-frontend-nearby-distance-meters' => 'States distance to current location for numbers less than 1km.

Parameters:
* $1 - distance (in meters)
See also:
* {{msg-mw|Mobile-frontend-nearby-distance}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'Error message shown when location was not found',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Message explaining actions user can take when keying error {{msg-mw|mobile-frontend-nearby-lookup-ui-error}}',
	'mobile-frontend-nearby-permission' => 'Error message shown when location was not found due to browser settings/permissions.',
	'mobile-frontend-nearby-permission-guidance' => 'Message explaining actions user can take when keying error {{msg-mw|mobile-frontend-nearby-permission}}',
	'mobile-frontend-nearby-noresults' => 'Message shown when nothing is nearby',
	'mobile-frontend-nearby-noresults-guidance' => 'Message explaining actions user can take when keying error {{msg-mw|mobile-frontend-nearby-noresults}}',
	'mobile-frontend-nearby-refresh' => 'Text of toast notification message shown when user moved and the list can be refreshed.',
	'mobile-frontend-nearby-error' => 'Text of generic error message when querying geodata API.',
	'mobile-frontend-nearby-error-guidance' => 'Message explaining actions user can take when keying error {{msg-mw|mobile-frontend-nearby-error}}',
	'mobile-frontend-nearby-link' => 'Text of link that takes user to full page',
	'mobile-frontend-nearby-directions' => 'Text of directions link',
	'mobile-frontend-donate-image-nouploads' => 'Message that shows on uploads page when a user that is not the existing user has not uploaded any images.',
	'mobile-frontend-donate-image-login' => 'Title for [[Special:UserLogin]] when being redirected to [[Special:Uploads]].

Used when the user is not logged in.
{{Related|Mobile-frontend-login}}',
	'mobile-frontend-donate-image-login-action' => 'Call to action to login to donate images.',
	'mobile-frontend-donate-image-signup-action' => 'Call to action to signup to donate images.',
	'mobile-frontend-photo-upload-disabled' => "Appears when the user clicks on the image upload button when the page doesn't need an image.",
	'mobile-frontend-photo-upload-anon' => 'Appears when an anonymous user clicks on the image upload button and without CTA enabled.
{{Related|Mobile-frontend-login}}',
	'mobile-frontend-photo-upload-protected' => 'Appears when the user clicks the image upload button when the page is protected.',
	'mobile-frontend-photo-upload-unavailable' => 'Appears when the user clicks the image upload button when photo uploads are not supported.',
	'mobile-frontend-photo-upload-generic' => 'Label on button on Special:Uploads.',
	'mobile-frontend-donate-image-title' => '{{doc-special|Uploads|unlisted=1}}
{{Identical|Upload}}',
	'mobile-frontend-donate-image-heading' => 'heading for a list of recent contributions',
	'mobile-frontend-donate-image-anon' => 'Message shown to user who visits the [[Special:Uploads]] page without a user account.

Parameters:
* $1 - link to the user login page. Its link text is {{msg-mw|mobile-frontend-user-account}}.
{{Related|Mobile-frontend-login}}',
	'mobile-frontend-user-account' => 'Text for a link to the user login page. Displayed as <code>$1</code> in {{msg-mw|mobile-frontend-donate-image-anon}}.
{{Identical|User account}}',
	'mobile-frontend-listed-image-no-description' => 'What to show when no description available.
{{Identical|No description}}',
	'mobile-frontend-donate-photo-upload-success' => 'On upload page - notification shown after a successful upload',
	'mobile-frontend-donate-photo-first-upload-success' => 'On upload page - notification shown after a successful upload when it is the first upload by that user',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Call to action asking the user to upload an image',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Informative statement about where images come from.',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Guidance on why images might be uploaded on Special:Uploads',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Guidance on avoiding copyright materials shown to first time users on Special:Uploads',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Question asking user if they understood the tutorial',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Label for button which escapes overlay and starts upload.
{{Identical|Yes}}',
	'mobile-frontend-watchlist-add' => 'Notification message when you add a page to your watchlist
*$1 - the title of the article',
	'mobile-frontend-watchlist-removed' => 'Notification message when you remove a age from your watchlist
*$1 - the title of the article',
	'mobile-frontend-watchlist-view' => 'Link to your watchlist.
{{Identical|View your watchlist}}',
	'mobile-frontend-watchlist-more' => 'Label for link that shows more pages of the watchlist a-z view.
{{Identical|More}}',
	'mobile-frontend-watchlist-cta' => 'Appears when you click watchlist icon when not logged in. First link is to login form, 2nd to sign up form. Links are created in JavaScript.',
	'mobile-frontend-watchlist-cta-button-login' => 'A link with label to login page
{{Identical|Log in}}',
	'mobile-frontend-watchlist-cta-button-signup' => 'A link with label to sign up page
{{Identical|Sign up}}',
	'mobile-frontend-watchlist-purpose' => 'Shows on [[Special:UserLogin]] explains why someone would want to login to see a watchlist.',
	'mobile-frontend-watchlist-login-action' => 'Call to action that follows {{msg-mw|mobile-frontend-watchlist-purpose}} asking them to login.',
	'mobile-frontend-watchlist-signup-action' => 'Call to action that follows {{msg-mw|mobile-frontend-watchlist-purpose}} asking them to signup.',
	'mobile-frontend-generic-login' => 'Shows on [[Special:UserLogin]] to remind them how {{SITENAME}} relies on contributions.',
	'mobile-frontend-generic-login-action' => 'Call to action that follows {{msg-mw|mobile-frontend-generic-login}} asking them to login.',
	'mobile-frontend-generic-signup-action' => 'Call to action that follows {{msg-mw|mobile-frontend-generic-login}} asking them to signup.',
	'mobile-frontend-watch-login' => 'Shows on [[Special:UserLogin]] when a user tries to watch a page whilst anonymous.

Parameters:
* $1 - the page that will be watched upon logging in or signing up
{{Related|Mobile-frontend-login}}',
	'mobile-frontend-edit-login' => 'Shows on [[Special:UserLogin]] when a user tries to edit a page whilst anonymous.

Parameters:
* $1 - the page that the user can edit upon logging in or signing up',
	'mobile-frontend-edit-login-action' => 'Call to action that follows {{msg-mw|mobile-frontend-edit-login}} asking them to login.',
	'mobile-frontend-edit-signup-action' => 'Call to action that follows {{msg-mw|mobile-frontend-edit-login}} asking them to sign up.',
	'mobile-frontend-watchlist-a-z' => 'Label for a button that takes you to an A-Z list of all items in your watchlist.
{{Identical|List}}',
	'mobile-frontend-watchlist-feed' => 'Label for a button that takes you to a list of pages you watch that have changes.
{{Identical|Modified}}',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Alt text for image explaining how to watch pages',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Message to accompany image',
	'mobile-frontend-watchlist-feed-empty' => 'Message to show when watchlist feed is empty',
	'mobile-frontend-watchlist-back-home' => 'Label for button that takes you back to main page from empty watchlist',
	'mobile-frontend-changeslist-ip' => 'Label used in mobile watchlist/history/recentchanges overview for IP (non-logged-in) edits.
{{Identical|Anonymous user}}',
	'mobile-frontend-changeslist-nocomment' => 'Text to mark an empty edit summary in mobile watchlist/history/recentchanges overview.',
	'mobile-frontend-watchlist-filter-all' => 'Label on filter selector for mobile watchlist: all pages.
{{Identical|All}}. This must be a single word for layout reasons.',
	'mobile-frontend-watchlist-filter-articles' => "Label on filter selector for mobile watchlist: all pages: '''content pages''' ('''articles''') only. This must be a single word for layout reasons.
{{Identical|Page}}",
	'mobile-frontend-watchlist-filter-talk' => 'Label on filter selector for mobile watchlist: talk pages.
{{Identical|Talk}}. This must be a single word for layout reasons.',
	'mobile-frontend-watchlist-filter-other' => 'Label on filter selector for mobile watchlist: other pages (not talk or content page).
{{Identical|Other}}. This must be a single word for layout reasons.',
	'mobile-frontend-watchlist-modified' => 'Text saying how long ago a page in watchlist was updated.
* $1 - output of {{msg-mw|ago}} (e.g. "15 days ago", "7 hours ago").',
	'mobile-frontend-diffview-404-title' => 'Heading on 404 page when bad revision id parameter is passed',
	'mobile-frontend-diffview-404-desc' => 'Text for 404 page when bad revision id parameter is passed',
	'mobile-frontend-diffview-title' => 'Header for common mobile diff/change view. Parameters:
* $1 - (Optional) page title (for backwards compatibility)
{{Identical|Change}}',
	'mobile-frontend-diffview-editcount' => 'Edit count of user in common mobile diff/change view. Parameters:
* $1 - the count, may use PLURAL
Ensure number is wrapped in a div element.',
	'mobile-frontend-diffview-anonymous' => 'Label to indicate anonymous user in common mobile diff/change view.
{{Identical|Anonymous user}}',
	'mobile-frontend-diffview-bytesadded' => 'Edit byte-changed counter for common mobile diff/change view when change adds bytes.

Parameters:
* $1 - byte count; may use PLURAL',
	'mobile-frontend-diffview-bytesremoved' => 'Edit byte-changed counter for common mobile diff/change view when change removes bytes.

Parameters:
* $1 - byte count; may use PLURAL',
	'mobile-frontend-diffview-explained' => 'Explains the diff view importantly signaling that a "+" symbol means added and a "-" symbol means removed',
	'mobile-frontend-thanked-notice' => '{{doc-singularthey}}
Pop-up message that is displayed after a user has thanked another user for their edit.

Parameters:
* $1 - the username of the user that was thanked
* $2 - the gender of the user that was thanked',
	'mobile-frontend-saving-exit-page' => 'When a user makes an edit in the page which is happening in the background
and then tries to leave the page this message is shown to check that they are happy that they will lose their changes.
They can either exit the page and lose them or stay on the page until they are complete',
	'mobile-frontend-photo-upload' => 'This appears on pages which have no photos and is a call to action to add the first image',
	'mobile-frontend-photo-article-edit-comment' => 'Comment associated with edit to page that inserts the image wikitext',
	'mobile-frontend-photo-article-donate-comment' => 'Edit summary associated with uploading an image from mobile',
	'mobile-frontend-photo-upload-comment' => 'Comment associated with the upload of an image',
	'mobile-frontend-photo-caption-placeholder' => 'Placeholder text prompting user to add a mandatory caption to an image',
	'mobile-frontend-photo-ownership' => 'A statement saying the user created the image. Parameters:
* $1 - the username. Supports GENDER.',
	'mobile-frontend-photo-ownership-help' => 'A link that allows the user to open more information about what {{msg-mw|mobile-frontend-photo-ownership}} entails.
{{Identical|What does this mean}}',
	'mobile-frontend-photo-ownership-confirm' => 'Friendly confirmation message expressing understanding',
	'mobile-frontend-lead-image-tutorial-summary' => 'Briefly summarise that a lead image should illustrate the page whilst not violating copyright. Shown to new users after logging in',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Call to action that when clicked starts uploading an image to a page from tutorial.',
	'mobile-frontend-photo-upload-error' => 'Text that displays when an image fails to upload',
	'mobile-frontend-photo-upload-error-file-type' => 'Text that displays when user tries to preview something that cannot be rendered in an img tag (e.g. mp3 or video)',
	'mobile-frontend-photo-upload-error-filename' => 'Text that displays when an image fails to upload due to filename',
	'mobile-frontend-photo-upload-success-article' => 'Text that displays when an image has been successfully added to a page.',
	'mobile-frontend-photo-license' => 'Text notifying user of license that image will be published under. You can change the URL to a "local" Wikipedia URL, but you cannot make it point to the country specific CC BY-SA 3.0 license.',
	'mobile-frontend-photo-submit' => 'Caption for the submit button on the image uplaod form.
{{Identical|Submit}}',
	'mobile-frontend-photo-upload-user-count' => 'Displays the number of images the user has uploaded.

Wrap the number in a <code><nowiki><span></nowiki></code> tag to allow the number to be incremented automatically.

Parameters:
* $1 - number of images',
	'mobile-frontend-photo-upload-user-count-over-limit' => 'Displayed in place of mobile-frontend-photo-upload-user-count when user has uploaded more than 500 images.',
	'mobile-frontend-image-heading-describe' => 'A heading instructing the user to describe uploaded image.',
	'mobile-frontend-image-uploading' => 'A message telling the user that an image is being uploaded.',
	'mobile-frontend-image-cancel-confirm' => 'A question asking if the user wants to cancel an upload.',
	'mobile-frontend-editor-redirect-title' => 'Shown as a user is redirected to the JavaScript editor after browsing to a URL with action=edit.

Used as page title.',
	'mobile-frontend-editor-unavailable-header' => 'When mobile editing is not supported, header of the warning.

Followed by {{msg-mw|Mobile-frontend-editor-unavailable}}.',
	'mobile-frontend-editor-unavailable' => 'Message that appears when a user attempts to edit with an unsupported/incapable browser.

Preceded by the header {{msg-mw|Mobile-frontend-editor-unavailable-header}}.',
	'mobile-frontend-editor-undo-unsupported' => 'Shown when user attempts to do an undo which is currently not supported.',
	'mobile-frontend-editor-newpage-prompt' => "Message shown when a page doesn't exist.",
	'mobile-frontend-editor-disabled' => 'Toast message that appears when a user is unable to edit a page and clicks edit icon.',
	'mobile-frontend-editor-blocked' => 'Toast message that appears when a user is unable to edit a page due to being blocked and clicks edit icon.',
	'mobile-frontend-editor-cta' => "Caption for call to action when an anonymous user clicks on edit icon. (Note the mobile site currently doesn't allow anonymous editing.)
{{Identical|Help improve this page}}",
	'mobile-frontend-editor-edit' => 'Caption for the link showing edit form.
{{Identical|Edit}}',
	'mobile-frontend-editor-continue' => 'Caption for the continue button on edit form which takes you to the screen that shows a preview and license information.
{{Identical|Continue}}',
	'mobile-frontend-editor-save' => 'Caption for save button on edit form.

Should be consistent with the following message:
* {{msg-mw|mobile-frontend-editor-license}}
{{Identical|Save}}',
	'mobile-frontend-editor-cancel' => 'Caption for cancel button on edit form.
{{Identical|Cancel}}',
	'mobile-frontend-editor-keep-editing' => 'Caption for a button that takes you back to editing from edit preview screen.',
	'mobile-frontend-editor-license' => 'Text notifying user of license that text will be published under. You can change the URL to a "local" Wikipedia URL, but you cannot make it point to the country specific CC BY-SA 3.0 license.

See also:
* {{msg-mw|Mobile-frontend-editor-save}}',
	'mobile-frontend-editor-placeholder' => 'Placeholder text for empty sections.',
	'mobile-frontend-editor-summary-placeholder' => 'A placeholder for the summary input field asking user what they changed (the field is optional).',
	'mobile-frontend-editor-cancel-confirm' => 'Question asking user if they are positive about abandoning unsaved edit.',
	'mobile-frontend-editor-wait' => 'Text that displays while a page edit is being saved.',
	'mobile-frontend-editor-success' => 'Text that displays when a page edit has been successfully saved.

Used as "toast" message.

See also:
* {{msg-mw|Mobile-frontend-editor-success-landmark-1}}',
	'mobile-frontend-editor-success-landmark-1' => 'Special save success message shown to users on their 1st edit.

See also:
* {{msg-mw|Mobile-frontend-editor-success}}',
	'mobile-frontend-editor-error' => 'Text that displays when there have been errors when saving a page edit.

Used as "toast" error message.',
	'mobile-frontend-editor-error-conflict' => 'Text that displays when there has been edit conflict when saving a page edit.

Used as "toast" error message.',
	'mobile-frontend-editor-error-loading' => 'Text that displays when there have been errors when loading a page section in the editor.

Used as "toast" error message.',
	'mobile-frontend-editor-error-preview' => 'Error message for when a preview fails to load for an unknown reason',
	'mobile-frontend-editor-tutorial-summary' => 'Text for tutorial overlay presented to a user the first time they try to edit a page.

Parameters:
* $1 - page title
See also:
* {{msg-mw|Mobile-frontend-editor-tutorial-alt-summary}}',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Identical to {{msg-mw|Mobile-frontend-editor-tutorial-confirm}}, however shows when the user has not expressed an intent to edit so language is more suggestive.

Parameters:
* $1 - page title
See also:
* {{msg-mw|Mobile-frontend-editor-tutorial-summary}}',
	'mobile-frontend-editor-tutorial-confirm' => 'Text for the button a user clicks after they have read the editing tutorial and are ready to edit the page.

See also:
* {{msg-mw|Mobile-frontend-editor-tutorial-summary}}',
	'mobile-frontend-editor-tutorial-cancel' => 'Label for button that user can click if they do not want to edit.
{{Identical|No thanks}}',
	'mobile-frontend-editor-captcha-try-again' => 'A message shown when user enters wrong CAPTCHA and a new one is displayed.',
	'mobile-frontend-editor-abusefilter-warning' => 'A message telling the user that their edit triggered an AbuseFilter warning.',
	'mobile-frontend-editor-abusefilter-disallow' => 'A message telling their user that their edit has been disallowed by AbuseFilter.',
	'mobile-frontend-editor-abusefilter-read-more' => 'A caption for the button allowing the user to read more about the problems with their edit.
{{Identical|Read more}}',
	'mobile-frontend-editor-editing-page' => 'A heading saying what page is being edited. No part of the text should be outside &lt;span> and &lt;strong> tags (&lt;span> can contain text other than page title).

Parameters:
* $1 - page title
{{Related|Mobile-frontend-editor-page}}',
	'mobile-frontend-editor-previewing-page' => 'A heading saying what page is being previewed after editing. No part of the text should be outside &lt;span> and &lt;strong> tags (&lt;span> can contain text other than page title).

Parameters:
* $1 - page title
{{Related|Mobile-frontend-editor-page}}',
	'mobile-frontend-editor-viewing-source-page' => "A heading saying which page's source code is being viewed. No part of the text should be outside &lt;span> and &lt;strong> tags (&lt;span> can contain text other than page title).

Parameters:
* $1 - page title
{{Related|Mobile-frontend-editor-page}}",
	'tag-mobile_edit' => 'Short change tag name that appears e.g. in [[Special:RecentChanges]].

See also:
* {{msg-mw|tag-mobile_edit-description}}',
	'tag-mobile_edit-description' => 'Change tag description e.g. in [[Special:Tags]], see also {{msg-mw|tag-mobile_edit}}',
	'mobile-frontend-drawer-cancel' => 'Not visible, but the text label for the cancel button inside a navigation overlay
{{Identical|Cancel}}',
	'mobile-frontend-talk-explained' => 'Explains that the user is seeing talk page headings',
	'mobile-frontend-talk-explained-empty' => 'Explains why the list is empty.',
	'mobile-frontend-talk-overlay-header' => 'Heading for talk overlay.
{{Identical|Talk}}',
	'mobile-frontend-talk-back-to-page' => 'Used as label for link from talk page to subject page. Parameters:
* $1 - page title',
	'mobile-frontend-talk-overlay-lead-header' => 'Heading for a discussion which has no heading (lead section of talk page)',
	'mobile-frontend-talk-add-overlay-submit' => 'Label for button which submits a new talk page topic',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Placeholder text to prompt user to add a talk page topic subject',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Placeholder text to prompt user to add content to talk page content',
	'mobile-frontend-talk-edit-summary' => 'Edit summary when creating a new talk section ($1 is name of section)',
	'mobile-frontend-talk-reply-success' => 'Toast message when you have saved a reply successfully.',
	'mobile-frontend-talk-reply-info' => 'Inform the user their talk reply will be automatically signed.',
	'mobile-frontend-talk-reply' => 'Reply heading.
{{Identical|Reply}}',
	'mobile-frontend-talk-topic-feedback' => 'Feedback when a topic has been added to talk page.',
	'mobile-frontend-media-details' => 'Caption for a button leading to the details of a media file (e.g. an image) in a preview.
{{Identical|Detail}}',
	'mobile-frontend-media-license-link' => 'Link to license information in media viewer.
{{Identical|License information}}',
	'abusefilter-edit-builder-vars-user-mobile' => 'AbuseFilter extension rule variable that allows distinguishing edits based on if they have been made using the editor of MobileFrontend or not.',
	'mobile-frontend-profile-title' => 'Title of the [[Special:UserProfile]] page.
{{Identical|User profile}}',
	'mobile-frontend-profile-last-upload-caption' => 'Details when an image was uploaded.
	Parameters:
* $1 - the amount of days ago the image was uploaded
* $2 - the user name for GENDER',
	'mobile-frontend-profile-usertalk' => 'Link label to user talk page.

Parameters:
* $1 - username of user who talk page belongs to. Can be used for GENDER.',
	'mobile-frontend-profile-error' => 'Heading for errors on the profile page.',
	'mobile-frontend-profile-noargs' => 'Message shown when no user profile URL is specified.

If the user is logged in, this message is followed by:
* {{msg-mw|Mobile-frontend-profile-yours}}',
	'mobile-frontend-profile-nouser' => 'Message shown when the username requested is non-existent or invalid.

If the user is logged in, this message is followed by:
* {{msg-mw|Mobile-frontend-profile-yours}}',
	'mobile-frontend-profile-activity-heading' => 'Heading for recent contributions section. The ampersand can be swapped out for the word "and" if it makes sense in your language.',
	'mobile-frontend-profile-userpage-link' => 'Label for a link to user page that shows on [[Special:UserProfile]].',
	'mobile-frontend-requires-optin' => 'Message that shows when a page requires beta mode to work. Wikitext that links to [[Special:MobileOptions]] page.',
	'mobile-frontend-profile-last-thank' => 'Informs about person who last thanked a user on [[Special:UserProfile]].

Parameters:
* $1 - name of user who thanked, can be used for GENDER
* $2 - (optional) name of user who was thanked, for GENDER support',
	'mobile-frontend-profile-last-edit' => 'Identifies the last page edited by the user. Parameters:
* $1 - name of the page that was edited
* $2 - how many days ago it was edited
* $3 - the username, for GENDER',
	'mobile-frontend-profile-footer-days' => 'Generates the informative footer on [[Special:UserProfile]]. Parameters:
* $1 - username of user (used for link generation and can be used for GENDER)
* $2 - number of days the user has been a member for.
* $3 - number of edits
* $4 - number of uploads, capped to 500
{{Related|Mobile-frontend-profile-footer}}',
	'mobile-frontend-profile-footer-months' => 'Generates the informative footer on [[Special:UserProfile]]. Parameters:
* $1 - username of user (used for link generation and can be used for GENDER)
* $2 - number of months the user has been a member for.
* $3 - number of edits
* $4 - number of uploads, capped to 500
{{Related|Mobile-frontend-profile-footer}}',
	'mobile-frontend-profile-footer-years' => 'Generates the informative footer on [[Special:UserProfile]]. Parameters:
* $1 - username of user (used for link generation and can be used for GENDER)
* $2 - number of years the user has been a member for.
* $3 - number of edits
* $4 - number of uploads, capped to 500
{{Related|Mobile-frontend-profile-footer}}',
	'mobile-frontend-geonotahack' => 'Label for button that shows pages near a given page.
{{Identical|Near this page}}',
	'beta-feature-geonotahack' => 'Title for near this page beta feature.
{{Identical|Near this page}}',
	'beta-feature-geonotahack-description' => 'Description for near this page beta feature.',
	'mobile-frontend-mainpage-cta-prompt' => 'Shows on main page to logged in users prompting them to edit.

Followed by the button {{msg-mw|Mobile-frontend-mainpage-cta-button}}.',
	'mobile-frontend-mainpage-cta-button' => 'Used as label for button.

Preceded by {{msg-mw|Mobile-frontend-mainpage-cta-prompt}}.',
	'beta-feature-minerva' => 'Name of the Minerva beta feature.

Used as checkbox label.

See also:
* {{msg-mw|Beta-feature-minerva-description}}',
	'beta-feature-minerva-description' => 'Describe the Minerva beta feature - it makes a new skin available.

This description is for the label {{msg-mw|Beta-feature-minerva}}.',
);

/** Achinese (Acèh)
 * @author Rachmat.Wahidi
 */
$messages['ace'] = array(
	'mobile-frontend-search-submit' => 'Jak u',
	'mobile-frontend-home-button' => 'Keue',
	'mobile-frontend-random-button' => 'Beurangkari',
	'mobile-frontend-back-to-top-of-section' => 'Riwang u bagian sigoh nyoe',
	'mobile-frontend-regular-site' => 'Eu on nyoe bak {{SITENAME}} biyasa', # Fuzzy
	'mobile-frontend-featured-article' => 'Teunuleh Peunileh Uroe Nyoe', # Fuzzy
	'mobile-frontend-copyright' => "Teks na di yup <ahref='http://ace.wikipedia.org/wiki/{{SITENAME}}:Teks_Lisensi_Creative_Commons_Atribusi-PembagianSerupa_3.0'>Lisensi Creative Commons Atribusi-PembagianSerupa</a>; syarat teunamah kadang na. Eu <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Cara Nguy</a> keu leubeh rinci. {{SITENAME}} nakeuh saboh cap meukat teudapeuta nibak <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, saboh teunuboh hana mita laba.", # Fuzzy
	'mobile-frontend-profile-last-upload-caption' => 'Peutamöng {{PLURAL:$1|baro|$1 uroe nyang ka leupah|0=uroe nyoe}}.', # Fuzzy
	'mobile-frontend-profile-usertalk' => 'Marit ngön $1',
	'beta-feature-geonotahack' => 'Rab laman nyoe',
);

/** Afrikaans (Afrikaans)
 * @author Naudefj
 * @author Winstonza
 * @author පසිඳු කාවින්ද
 */
$messages['af'] = array(
	'mobile-frontend-desc' => 'Mobiele Koppelvlak',
	'mobile-frontend-search-submit' => 'Soek',
	'mobile-frontend-home-button' => 'Tuisblad',
	'mobile-frontend-logged-out' => 'Nie aangemeld nie',
	'mobile-frontend-logged-in-homepage-notification' => 'Welkom, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Aangemeld as $1.',
	'mobile-frontend-sign-up-heading' => 'Registreer',
	'mobile-frontend-sign-in-heading' => 'Meld aan',
	'mobile-frontend-sign-in-error-heading' => 'Fout',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-save-settings' => 'Stoor voorkeure', # Fuzzy
	'mobile-frontend-random-button' => 'Lukrake blad',
	'mobile-frontend-back-to-top-of-section' => 'Spring een opskrif terug',
	'mobile-frontend-regular-site' => 'Standaardweergawe',
	'mobile-frontend-wml-continue' => 'Gaan voort ...',
	'mobile-frontend-wml-back' => 'Terug ...',
	'mobile-frontend-view' => 'Mobiele weergawe',
	'mobile-frontend-view-mobile' => 'Mobiele weergawe',
	'mobile-frontend-images-status' => 'Beelde',
	'mobile-frontend-disable-images' => 'Skakel beelde af',
	'mobile-frontend-enable-images' => 'Skakel beelde aan',
	'mobile-frontend-missing-image' => 'Beeld',
	'mobile-frontend-off' => 'AF',
	'mobile-frontend-on' => 'AAN',
	'mobile-frontend-featured-article' => 'Uitgelig', # Fuzzy
	'mobile-frontend-news-items' => 'In die nuus',
	'mobile-frontend-languages-404-title' => 'Taalfout',
	'mobile-frontend-languages-404-desc' => "'n Geldige titel moet verskaf word.",
	'mobile-frontend-languages-header' => 'Tale',
	'mobile-frontend-languages-nonexistent-title' => 'Die bladsy "$1" bestaan nie.',
	'mobile-frontend-language-article-heading' => "Lees in 'n ander taal",
	'mobile-frontend-language-header' => "Hierdie bladsy is in {{PLURAL:$1|'n taal|$1 tale}} beskikbaar", # Fuzzy
	'mobile-frontend-language-footer' => '{{SITENAME}} is in ander tale beskikbaar.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Soek taal',
	'mobile-frontend-username' => 'Gebruikersnaam:',
	'mobile-frontend-password' => 'Wagwoord',
	'mobile-frontend-username-placeholder' => 'Gebruikersnaam',
	'mobile-frontend-password-placeholder' => 'Wagwoord',
	'mobile-frontend-login' => 'Teken in',
	'mobile-frontend-last-modified-date' => 'Gewysig op $1 om $2',
	'mobile-frontend-last-modified-seconds' => '{{PLURAL:$1|Een sekonde|$1 sekondes}} gelede gewysig',
	'mobile-frontend-last-modified-minutes' => '{{PLURAL:$1|Een minuut|$1 minute}} gelede gewysig',
	'mobile-frontend-view-source' => 'Bekyk bron',
	'mobile-frontend-overlay-escape' => 'Gaan terug',
	'mobile-frontend-placeholder' => 'Deursoek {{SITENAME}}',
	'mobile-frontend-privacy-link-text' => 'Privaatheid',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => "Die teks is beskikbaar onder die <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Erkenning-Insgelyks Deel</a> lisensie. Dit is moontlik dat aanvullende voorwaardes van toepassing is. Sien die <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Algemene Voorwaardes</a> vir meer inligting.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Kontak',
	'mobile-frontend-main-menu-featured' => 'Uitgelig',
	'mobile-frontend-main-menu-settings' => 'Voorkeure',
	'mobile-frontend-page-menu-history' => 'Geskiedenis',
	'mobile-frontend-mainpage-cta-button' => 'Verbeter hierdie artikel', # Fuzzy
);

/** Akan (Akan)
 */
$messages['ak'] = array(
	'mobile-frontend-search-submit' => 'Kɔ',
	'mobile-frontend-home-button' => 'Fie',
	'mobile-frontend-random-button' => 'Randɔm',
	'mobile-frontend-regular-site' => 'Hwɛ krataafa yi wɔ {{SITENAME}} a yenim dada so', # Fuzzy
	'mobile-frontend-featured-article' => 'Aatikel a Ɛwɔ So Ndɛ', # Fuzzy
);

/** Amharic (አማርኛ)
 */
$messages['am'] = array(
	'mobile-frontend-search-submit' => 'ሂድ',
	'mobile-frontend-home-button' => 'ቤት',
	'mobile-frontend-random-button' => 'በነሲብ',
	'mobile-frontend-back-to-top-of-section' => 'ወደኋላ ምዕራፍ ዝለል',
	'mobile-frontend-featured-article' => 'ለዛሬ የተመረጠ ድርሰት', # Fuzzy
);

/** Aragonese (aragonés)
 * @author Juanpabl
 */
$messages['an'] = array(
	'mobile-frontend-desc' => 'Interficie mobil',
	'mobile-frontend-search-submit' => 'Ir-ie',
	'mobile-frontend-home-button' => 'Portalada',
	'mobile-frontend-random-button' => 'Aliatorio',
	'mobile-frontend-back-to-top-of-section' => 'Ir una sección entazaga',
	'mobile-frontend-regular-site' => 'Veyer ista pachina en a {{SITENAME}} normal', # Fuzzy
	'mobile-frontend-wml-continue' => 'Continar...',
	'mobile-frontend-wml-back' => 'Enta zaga ...',
	'mobile-frontend-view' => 'Versión ta mobils',
	'mobile-frontend-opt-in-explain' => 'Prebando a beta, tendrá acceso a caracteristicas experimentals, con o risgo de trobar problemas u errors.',
	'mobile-frontend-disable-images' => 'Desactivar imachens en a versión ta mobils',
	'mobile-frontend-enable-images' => 'Activar imachens en a versión ta mobils',
	'mobile-frontend-featured-article' => 'Articlo destacau de hue', # Fuzzy
	'mobile-frontend-news-items' => 'Actualidat',
	'mobile-frontend-username' => "Nombre d'usuario:",
	'mobile-frontend-password' => "Clau d'acceso:",
	'mobile-frontend-login' => 'Encetar sesión',
	'mobile-frontend-placeholder' => 'Introduzca a suya busca...', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'refusar ista notificación',
	'mobile-frontend-copyright' => "O texto ye disponible baixo a <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; puede que sigan d'aplicación atros termins. Se veiga as <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Condicions d'uso</a> ta más detalles. {{SITENAME}} ye una marca rechistrada d'a <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, una organización sin animo de lucro.", # Fuzzy
);

/** Old English (Ænglisc)
 * @author Espreon
 */
$messages['ang'] = array(
	'mobile-frontend-logged-in-homepage-notification' => 'Wilcume, $1!',
	'mobile-frontend-save-settings' => 'Hordian',
	'mobile-frontend-username' => 'Brūcendnama:',
	'mobile-frontend-password' => 'Þafungword:',
	'mobile-frontend-username-placeholder' => 'Brūcendnama',
	'mobile-frontend-password-placeholder' => 'Þafungword',
	'mobile-frontend-login' => 'Inmeldian',
	'mobile-frontend-main-menu-login' => 'Inmeldian',
	'mobile-frontend-main-menu-logout' => 'Ūtmeldian',
	'mobile-frontend-page-menu-history' => 'Stǣr',
	'mobile-frontend-watchlist-cta-button-login' => 'Inmeldian',
	'mobile-frontend-diffview-anonymous' => 'Uncūþ brūcend',
	'mobile-frontend-editor-edit' => 'Adihtan',
	'mobile-frontend-editor-save' => 'Hordian',
	'mobile-frontend-talk-overlay-header' => 'Mōtung',
);

/** Angika (अङ्गिका)
 */
$messages['anp'] = array(
	'mobile-frontend-search-submit' => 'चलॊ',
	'mobile-frontend-home-button' => 'मुखपृष्ठ',
	'mobile-frontend-random-button' => 'बेतरतीब',
	'mobile-frontend-back-to-top-of-section' => 'एक अनुभाग पीछू जा',
	'mobile-frontend-regular-site' => 'इ पृष्ठ नियमित विकीपीडिया मॆ देखॊ', # Fuzzy
	'mobile-frontend-featured-article' => 'आजकॊ विशेष लेख', # Fuzzy
	'mobile-frontend-copyright' => "लेख <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; नुसार उपलब्ध छै, अधिक अटॆ नै सकॆ छै. विशेष जानकारी लेली <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Terms of Use</a> देखॊ. विकीपिडीया <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a> केरॊ एगॊ रजिस्टर्ड ट्रेडमार्क आरू स्वंयसेवी संस्था छेकै.", # Fuzzy
);

/** Arabic (العربية)
 * @author Abanima
 * @author Asaifm
 * @author AwamerT
 * @author Bassem JARKAS
 * @author Claw eg
 * @author Kuwaity26
 * @author Meno25
 * @author Mido
 * @author OsamaK
 * @author Samer
 * @author زكريا
 * @author مشعل الحربي
 */
$messages['ar'] = array(
	'mobilefrontend-random-explain' => 'هل تثير هذه الصفحة العشوائية اهتمامك؟',
	'mobilefrontend-random-cancel' => 'دعني أقرأ!',
	'mobilefrontend-keepgoing-cancel' => 'لا، شكرا',
	'mobilefrontend-keepgoing-suggest' => 'نعم، من فضلك',
	'nearby' => 'صفحات قريبة منك',
	'mobile-frontend-desc' => 'واجهة الجوال',
	'mobile-frontend-search-submit' => 'اذهب',
	'mobile-frontend-home-button' => 'الرئيسية',
	'mobile-frontend-logged-out' => 'غير مسجل الدخول',
	'mobile-frontend-logged-in-homepage-notification' => 'أهلاً بك يا $1!',
	'mobile-frontend-logged-in-toast-notification' => 'مسجل الدخول بحساب $1.',
	'mobile-frontend-sign-up-heading' => 'إنشاء حساب',
	'mobile-frontend-sign-in-heading' => 'تسجيل الدخول',
	'mobile-frontend-sign-in-why' => 'إذا كان لديك حساب على {{SITENAME}} فيمكنك الدخول أدناه.',
	'mobile-frontend-sign-in-error-heading' => 'آخ',
	'mobile-frontend-settings-description' => 'خصّص تجربتك على جوالك عبر هذه الإعدادات المخصصة لموقع الجوال.',
	'mobile-frontend-settings-beta' => 'بيتا',
	'mobile-frontend-settings-alpha' => 'الوضع التجريبي',
	'mobile-frontend-settings-alpha-description' => 'وضع تجريبي غير مستقر وغير مأمون العواقب. احصل على المزيد من المزايا التجريبية ولكن مع المزيد من المشاكل.',
	'mobile-frontend-save-settings' => 'احفظ',
	'mobile-frontend-random-button' => 'عشوائي',
	'mobile-frontend-back-to-top-of-section' => 'اقفز إلى القسم السابق',
	'mobile-frontend-regular-site' => 'عرض سطح المكتب',
	'mobile-frontend-wml-continue' => 'استمر...',
	'mobile-frontend-wml-back' => 'ارجع...',
	'mobile-frontend-view' => 'نسخة الجوال',
	'mobile-frontend-view-desktop' => 'سطح المكتب',
	'mobile-frontend-view-mobile' => 'جوال',
	'mobile-frontend-opt-in-explain' => 'بانضمامك إلى نسخة بيتا ستصل إلى ميزات تجريبية وقد تصادف عللا ومشاكل.',
	'mobile-frontend-images-status' => 'الصور',
	'mobile-frontend-disable-images' => 'عطل الصور على موقع الجوال',
	'mobile-frontend-enable-images' => 'مكّن الصور على موقع الجوال',
	'mobile-frontend-missing-image' => 'صورة',
	'mobile-frontend-off' => 'معطلة',
	'mobile-frontend-on' => 'مفعلة',
	'mobile-frontend-featured-article' => 'محتوى اليوم المختار',
	'mobile-frontend-news-items' => 'في الأخبار',
	'mobile-frontend-languages-404-title' => 'خطأ في اللغات',
	'mobile-frontend-languages-404-desc' => 'يجب تحديد عنوان صالح.',
	'mobile-frontend-languages-header' => 'لغات',
	'mobile-frontend-languages-nonexistent-title' => 'الصفحة "$1" غير موجودة.',
	'mobile-frontend-language-article-heading' => 'اقرأ بلغة أخرى',
	'mobile-frontend-language-header' => 'هذه الصفحة متوفرة في {{PLURAL:$1||لغة واحدة|لغتين|$1 لغات|$1 لغة}}',
	'mobile-frontend-language-site-choose' => 'ابحث عن لغة',
	'mobile-frontend-username' => 'اسم المستخدم:',
	'mobile-frontend-password' => 'كلمة السر:',
	'mobile-frontend-username-placeholder' => 'اسم المستخدم',
	'mobile-frontend-password-placeholder' => 'كلمة السر',
	'mobile-frontend-login' => 'ادخل',
	'mobile-frontend-history' => 'اعرض تاريخ تعديل هذه الصفحة.',
	'mobile-frontend-last-modified-date' => 'آخر تعديل بتاريخ $1، $2',
	'mobile-frontend-last-modified-seconds' => 'آخر تعديل  منذ {{PLURAL:$1|أقل من ثانية واحدة|ثانية واحدة|ثانيتين|$1 ثواني|$1 ثانية}}',
	'mobile-frontend-last-modified-minutes' => 'آخر تعديل  منذ {{PLURAL:$1|أقل من دقيقة واحدة|دقيقة واحدة|دقيقتين|$1 دقائق|$1 دقيقة}}',
	'mobile-frontend-last-modified-hours' => 'آخر تعديل  منذ {{PLURAL:$1|أقل من ساعة واحدة|ساعة واحدة|ساعتين|$1 ساعات|$1 ساعة}}',
	'mobile-frontend-last-modified-days' => 'آخر تعديل  منذ {{PLURAL:$1|أقل من يوم واحد|يوم واحد|يومان|$1 أيام|$1 يوما|$1 يوم}}',
	'mobile-frontend-last-modified-months' => 'آخر تعديل  منذ {{PLURAL:$1|أقل من شهر واحد|شهر واحد|شهرين|$1 شهور|$1 شهرا|$1 شهر}}',
	'mobile-frontend-last-modified-years' => 'آخر تعديل  منذ {{PLURAL:$1|أقل من سنة واحدة|سنة واحدة|سنتين|$1 سنوات|$1 سنة}}',
	'mobile-frontend-account-create-submit' => 'أنشئ حسابًا',
	'mobile-frontend-password-confirm-placeholder' => 'أكد كلمة السر',
	'mobile-frontend-account-create-email-placeholder' => 'البريد الإلكتروني (اختياري)',
	'mobile-frontend-account-create-captcha-placeholder' => 'أدخل رمز التأكيد',
	'mobile-frontend-overlay-escape' => 'ارجع',
	'mobile-frontend-overlay-close' => 'أغلق',
	'mobile-frontend-overlay-continue' => 'استمر',
	'mobile-frontend-placeholder' => 'ابحث في {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'ابحث في {{SITENAME}} (تجريبي)',
	'mobile-frontend-placeholder-alpha' => 'ابحث في {{SITENAME}} (تجريبي)',
	'mobile-frontend-dismiss-notification' => 'أخفِ هذا الإخطار',
	'mobile-frontend-clear-search' => 'إفراغ',
	'mobile-frontend-search-content' => 'البحث داخل الصفحات',
	'mobile-frontend-search-no-results' => 'لا توجد صفحة بهذا العنوان.',
	'mobile-frontend-privacy-link-text' => 'الخصوصية',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'النص مُرخّص برخصة [//ar.m.wikipedia.org/wiki/%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7:%D9%86%D8%B5_%D8%B1%D8%AE%D8%B5%D8%A9_%D8%A7%D9%84%D9%85%D8%B4%D8%A7%D8%B9_%D8%A7%D9%84%D8%A5%D8%A8%D8%AF%D8%A7%D8%B9%D9%8A:_%D8%A7%D9%84%D9%86%D8%B3%D8%A8%D8%A9-%D8%A7%D9%84%D8%AA%D8%B1%D8%AE%D9%8A%D8%B5_%D8%A8%D8%A7%D9%84%D9%85%D8%AB%D9%84_3.0?useformat=mobile CC BY-SA 3.0]؛ قد تنطبق بنود أخرى.',
	'mobile-frontend-copyright' => 'المحتوى متاح وفق $1 إن لم يرد خلاف ذلك.',
	'mobile-frontend-footer-contact' => 'اتصل',
	'mobile-frontend-terms-text' => 'شروط الاستخدام',
	'mobile-frontend-main-menu-button-tooltip' => 'افتح القائمة الرئيسية',
	'mobile-frontend-main-menu-page-title' => 'تصفح الموقع',
	'mobile-frontend-main-menu-featured' => 'مميزة',
	'mobile-frontend-main-menu-nearby' => 'بالقرب من هنا',
	'mobile-frontend-main-menu-login' => 'ادخل',
	'mobile-frontend-main-menu-logout' => 'اخرج',
	'mobile-frontend-main-menu-watchlist' => 'قائمة مراقبتي',
	'mobile-frontend-main-menu-settings' => 'الإعدادات',
	'mobile-frontend-main-menu-upload' => 'المرفوعات',
	'mobile-frontend-main-menu-settings-heading' => 'الإعدادات',
	'mobile-frontend-settings-site-header' => 'لغات {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} متوفرة ب{{PLURAL:$1||لغة واحدة|لغتين|$1 لغات|$1 لغة}}. جميع النسخ الأخرى مسرودة أدناه.',
	'mobile-frontend-main-menu-account-create' => 'أنشئ حسابا',
	'mobile-frontend-page-menu-contents' => 'محتويات',
	'mobile-frontend-page-menu-history' => 'التاريخ',
	'mobile-frontend-meta-data-issues-header' => 'قضايا',
	'mobile-frontend-meta-data-issues' => 'تعاني الصفحة من بعض المشكلات',
	'mobile-frontend-page-saving' => 'يجري حفظ $1',
	'mobile-frontend-user-cta' => 'رجاء ادخل أو سجّل لترى إشعاراتك.',
	'mobile-frontend-user-button-tooltip' => 'أظهر إشعاراتي',
	'mobile-frontend-nearby-to-page' => 'الصفحات التالية ذات علاقة جغرافية ب$1.',
	'mobile-frontend-nearby-title' => 'بالقرب من هنا',
	'mobile-frontend-nearby-loading' => 'تحميل مواضيع قرب الموقع الحالي الخاص بك',
	'mobile-frontend-nearby-requirements' => 'نعتذر! متصفحك لا يدعم الصفحات القريبة في {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'جرّب متصفحا آخرًا أو مكّن جافاسكربت إذا كنت عطلتها.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 كم}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 م}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'لا يمكن للصفحات القريبة في {{SITENAME}}  أن تتعرف على مكانك..أأحاول مجددا؟',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'حاول في منطقة متفوحة فيها إشارة أقوى.',
	'mobile-frontend-nearby-noresults' => 'هذا المكان هادئ...لا وجود لأية صفحات عن أماكن قريبة.',
	'mobile-frontend-nearby-noresults-guidance' => 'حاول إنشاء صفحة جديدة أو إضافة الموقع لصفحة موجودة',
	'mobile-frontend-nearby-refresh' => 'عثرنا على مكان أدق لك. انقر هنا لإنعاش قائمة الصفحات القريبة.',
	'mobile-frontend-nearby-error' => 'الصفحات القريبة في {{SITENAME}} تعاني من بعض المشكلات.',
	'mobile-frontend-nearby-error-guidance' => 'حاول إنعاش مكانك.',
	'mobile-frontend-nearby-link' => 'اقرأ هذه الصفحة كاملة',
	'mobile-frontend-nearby-directions' => 'أبحر إلى هنا',
	'mobile-frontend-donate-image-nouploads' => 'لا مرفوعات.',
	'mobile-frontend-donate-image-login' => 'ملفات {{SITENAME}} ساهم بها أناس مثلك.',
	'mobile-frontend-photo-upload-disabled' => 'لا حاجة لأي صورة على هذه الصفحة.',
	'mobile-frontend-photo-upload-anon' => 'يلزمك تسجيل الدخول لكي تضيف صورة لهذه الصفحة.',
	'mobile-frontend-photo-upload-protected' => 'لا تملك صلاحية إضافة صورة لهذه الصفحة.',
	'mobile-frontend-photo-upload-unavailable' => 'متصفحك لا يدعم رفع الصور.',
	'mobile-frontend-photo-upload-generic' => 'ساهم بصورة',
	'mobile-frontend-donate-image-title' => 'المرفوعات',
	'mobile-frontend-donate-image-heading' => 'مساهماتك الأخيرة',
	'mobile-frontend-donate-image-anon' => 'مطلوب $1 لعرض صفحة المرفوعات.',
	'mobile-frontend-user-account' => 'حساب مستخدم',
	'mobile-frontend-listed-image-no-description' => 'لا يوجد وصف',
	'mobile-frontend-donate-photo-upload-success' => 'نجحت! يمكن الآن أن تُشَاهد صورتك على {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'نجحت! شكرا على مساهمتك الأولى!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'ساهم بصورك. ساهم في إنعاش {{SITENAME}}!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'تأتي الصور في {{SITENAME}} من ويكيميديا كومنز',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'صورك تساعد الناس في شتى أنحاء العالم على التعلم',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'تجنب المواد محفوظة الحقوق الموجودة على الإنترنت وصور الملصقات وأغلفة الكتب، إلخ.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'فهمت؟',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'نعم!',
	'mobile-frontend-watchlist-add' => 'تمت إضافة $1 إلى قائمة مراقبتك',
	'mobile-frontend-watchlist-removed' => 'تمت إزالة $1 من قائمة مراقبتك',
	'mobile-frontend-watchlist-view' => 'اعرض قائمة مراقبتك',
	'mobile-frontend-watchlist-more' => 'المزيد',
	'mobile-frontend-watchlist-cta' => 'تابع كافة التغييرات التي تطرأ على هذه الصفحة.',
	'mobile-frontend-watchlist-cta-button-login' => 'ادخل',
	'mobile-frontend-watchlist-cta-button-signup' => 'أنشئ حسابًا',
	'mobile-frontend-watch-login' => 'أضف $1 إلى قائمة مراقبتك.',
	'mobile-frontend-edit-login' => 'ساعد على تحسين صفحة $1.',
	'mobile-frontend-watchlist-a-z' => 'قائمة',
	'mobile-frontend-watchlist-feed' => 'المعدل',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'اضغط النجمة في أعلى الصفحة',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'حاليا لا تراقب أي صفحات.  تساعدك قائمة المراقبة على تتبع الصفحات التي تهمك. راقب الصفحات بنقر أيقونة النجمة.',
	'mobile-frontend-watchlist-feed-empty' => 'لا توجد صفحات تم تحديثها مؤخرا',
	'mobile-frontend-watchlist-back-home' => 'العودة إلى الصفحة الرئيسية',
	'mobile-frontend-changeslist-ip' => 'مستخدم مجهول',
	'mobile-frontend-changeslist-nocomment' => 'لا يوجد ملخص تحرير',
	'mobile-frontend-watchlist-filter-all' => 'الكل',
	'mobile-frontend-watchlist-filter-articles' => 'صفحات',
	'mobile-frontend-watchlist-filter-talk' => 'نقاش',
	'mobile-frontend-watchlist-filter-other' => 'أخرى',
	'mobile-frontend-watchlist-modified' => 'عُدلت $1',
	'mobile-frontend-diffview-404-title' => 'نسخة خاطئة',
	'mobile-frontend-diffview-404-desc' => 'معرف النسخة الذي طلبته غير موجود',
	'mobile-frontend-diffview-title' => 'تغييرات',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1||تعديل|تعديلان|$1 تعديلات|$1 تعديلا|$1 تعديل}}',
	'mobile-frontend-diffview-anonymous' => 'مستخدم مجهول',
	'mobile-frontend-diffview-explained' => 'السطور التالية أضيفت (+) وحذفت (-):',
	'mobile-frontend-thanked-notice' => '{{GENDER:$2|أُخبِر|أُخبِرت}} $1 أن {{GENDER:$2|تعديلاته|تعديلاتها}} تعجبك.',
	'mobile-frontend-saving-exit-page' => 'لا تزال مساهمتك قيد الحفظ. إذا غادرت فستُفقد تعديلاتك. هل أنت متأكد أنك تريد الخروج؟',
	'mobile-frontend-photo-upload' => 'أضف صورة لهذه الصفحة',
	'mobile-frontend-photo-article-edit-comment' => 'أضفت صورة للاستخدام في الصفحة',
	'mobile-frontend-photo-article-donate-comment' => 'ساهمت بصورة عبر Special:Uploads.',
	'mobile-frontend-photo-upload-comment' => 'أضفت صورة للصفحة',
	'mobile-frontend-photo-caption-placeholder' => 'صف هذه الصورة (مطلوب)',
	'mobile-frontend-photo-ownership' => 'أنا ($1) أنشأت هذه الصفحة.',
	'mobile-frontend-photo-ownership-help' => 'ماذا يعني هذا؟',
	'mobile-frontend-photo-ownership-confirm' => 'فهمت!',
	'mobile-frontend-lead-image-tutorial-summary' => 'تأكد أن صفحتك تساعد في توضيح الصفحة. يجب أن تكون صورة أنشأتها وألا تخرق حقوق النشر.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'ابدأ الرفع',
	'mobile-frontend-photo-upload-error' => 'خطأ، حاول مرة أخرى.',
	'mobile-frontend-photo-upload-error-file-type' => 'رجاء ارفع الصور فقط.',
	'mobile-frontend-photo-upload-error-filename' => 'خطأ، الرجاء تقديم ملخص وصفي أوفى.',
	'mobile-frontend-photo-upload-success-article' => 'رائع! تظهر صورتك الأن على هذه الصفحة.',
	'mobile-frontend-photo-license' => 'رفع هذه الصورة يعني أنت توافق على [//wikimediafoundation.org/wiki/Terms_of_use/ar شروط الاستخدام] وتوافق على ترخيص صورتك برخصة [//creativecommons.org/licenses/by-sa/3.0/ المشاع الإبداعي النسبة الترخيص بالمثل 3.0].',
	'mobile-frontend-photo-submit' => 'إرسال',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|ملف واحد|ملفان|<span>$1</span> ملفات|<span>$1</span> ملفا|<span>$1</span> ملف}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500 + ملف',
	'mobile-frontend-editor-unavailable' => 'حاليا لا يتوفر التعديل عبر الجوال لمتصفحك. الرجاء المحاولة بمتصفح آخر.',
	'mobile-frontend-editor-disabled' => 'لا يسمح لك بتعديل هذه الصفحة.', # Fuzzy
	'mobile-frontend-editor-cta' => 'يجب أن تدخل لتعدل من الجوال.', # Fuzzy
	'mobile-frontend-editor-edit' => 'عدل',
	'mobile-frontend-editor-continue' => 'استمر',
	'mobile-frontend-editor-save' => 'احفظ',
	'mobile-frontend-editor-cancel' => 'ألغِ',
	'mobile-frontend-editor-keep-editing' => 'تابع التحرير',
	'mobile-frontend-editor-license' => 'بنقر "احفظ" أنت توافق على [//wikimediafoundation.org/wiki/Terms_of_use/ar شروط الاستخدام] وتوافق على ترخيص صورتك برخصة [//creativecommons.org/licenses/by-sa/3.0/  CC-BY-SA 3.0] و [//ar.wikipedia.org/wiki/%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7:%D9%86%D8%B5_%D8%B1%D8%AE%D8%B5%D8%A9_%D8%AC%D9%86%D9%88_%D9%84%D9%84%D9%88%D8%AB%D8%A7%D8%A6%D9%82_%D8%A7%D9%84%D8%AD%D8%B1%D8%A9 GFDL]', # Fuzzy
	'mobile-frontend-editor-placeholder' => 'هذا القسم فارغ. كن أول من يوسّعه!',
	'mobile-frontend-editor-summary-placeholder' => 'أخبرنا عن تعديلك (اختياري)',
	'mobile-frontend-editor-cancel-confirm' => 'أتريد حقا أن تهجر تعديلاتك؟',
	'mobile-frontend-editor-wait' => 'يحفظ التعديل، انتظر رجاءً.',
	'mobile-frontend-editor-success' => 'نجاح! تعديلك محفوظ.',
	'mobile-frontend-editor-success-landmark-1' => 'تهانينا، أنت الآن محرر {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'خطأ، لم يحفظ التعديل.',
	'mobile-frontend-editor-error-conflict' => 'خطأ، عدل مستخدم آخر هذه الصفحة.',
	'mobile-frontend-editor-error-loading' => 'خطأ، تعذر تحميل القسم.',
	'mobile-frontend-editor-error-preview' => 'خطأ، حدث شيء غير متوقع أثناء تحميل المعاينة. أغلق الصفحة رجاءً واحفظ مجددا.',
	'mobile-frontend-editor-tutorial-summary' => 'لا تخشَ علامات الترميز.  حاول تحسين صفحة $1.',
	'mobile-frontend-editor-tutorial-confirm' => 'ابدأ التعديل',
	'mobile-frontend-editor-tutorial-cancel' => 'لا، شكرا',
	'mobile-frontend-editor-editing-page' => '<strong>تعديل</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>معاينة</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>عرض مصدر</strong><span> $1</span>',
	'tag-mobile_edit' => 'تحرير من الجوال',
	'tag-mobile_edit-description' => 'تحرير بواسطة موقع الجوال',
	'mobile-frontend-drawer-cancel' => 'إلغاء',
	'mobile-frontend-talk-explained' => 'المحادثات التالية نشطة حاليا',
	'mobile-frontend-talk-explained-empty' => 'لا توجد محادثات عن هذه الصفحة.',
	'mobile-frontend-talk-overlay-header' => 'نقاش',
	'mobile-frontend-talk-back-to-page' => 'عُد إلى صفحة "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'نقاش غير مُسمّى',
	'mobile-frontend-talk-add-overlay-submit' => 'أضف نقاشا',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'عنوان الموضوع',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'ما رأيك؟',
	'mobile-frontend-talk-edit-summary' => 'قسم نقاش جديد: $1',
	'mobile-frontend-talk-reply-success' => 'حُفِظ ردك بنجاح إلى صفحة النقاش.',
	'mobile-frontend-talk-reply-info' => 'لاحظ أن ردّك سيُوقّع تلقائيا باسمك.',
	'mobile-frontend-talk-reply' => 'رد',
	'mobile-frontend-media-details' => 'تفاصيل',
	'mobile-frontend-media-license-link' => 'معلومات الترخيص',
	'abusefilter-edit-builder-vars-user-mobile' => 'إذا كان المستخدم يعدل عبر واجهة الجوال',
	'mobile-frontend-profile-title' => 'ملف المستخدم',
	'mobile-frontend-geonotahack' => 'قرب هذه الصفحة',
	'beta-feature-geonotahack' => 'قرب هذه الصفحة',
	'beta-feature-geonotahack-description' => 'إستكشف الصفحات القريبة جغرافيا من محتوى الصفحة التي تقوم بقراءتها حالياً.',
	'mobile-frontend-mainpage-cta-prompt' => 'هذه الصفحة بحاجة لمساعدتك!',
	'mobile-frontend-mainpage-cta-button' => 'حسن هذه الصفحة',
);

/** Aramaic (ܐܪܡܝܐ)
 * @author Basharh
 */
$messages['arc'] = array(
	'mobile-frontend-search-submit' => 'ܙܠ',
	'mobile-frontend-home-button' => 'ܪܝܫܝܬܐ',
	'mobile-frontend-random-button' => 'ܚܘܝܚܐܝܬ',
	'mobile-frontend-regular-site' => 'ܚܘܝ ܐܝܟ ܚܫܘܒܬܐ',
	'mobile-frontend-view' => 'ܓܠܚܐ ܒܙܥܘܩܐ ܟܘܪܝܐ (ܡܫܢܝܢܐ)',
	'mobile-frontend-settings-site-header' => 'ܠܫܢ̈ܐ ܕ {{SITENAME}}',
);

/** Moroccan Spoken Arabic (Maġribi)
 */
$messages['ary'] = array(
	'mobile-frontend-search-submit' => 'Sir',
	'mobile-frontend-home-button' => 'Sṫiqbal',
	'mobile-frontend-random-button' => 'Ĝel l-lah',
	'mobile-frontend-back-to-top-of-section' => 'Ṛjeĝ s-séksyon li men qbel',
	'mobile-frontend-regular-site' => 'Qra had ṣ-ṣefḫa fe l-Wikipédya l-ĝadi', # Fuzzy
	'mobile-frontend-featured-article' => 'L-Maqal dyal lyoma', # Fuzzy
);

/** Assamese (অসমীয়া)
 * @author Bishnu Saikia
 * @author Gitartha.bordoloi
 * @author Nilamdyuti
 */
$messages['as'] = array(
	'nearby' => 'আপোনাৰ নিকট পৃষ্ঠাসমূহ',
	'mobile-frontend-desc' => "মোবাইল ফ্ৰ'ণ্টএণ্ড",
	'mobile-frontend-search-submit' => 'যাওক',
	'mobile-frontend-home-button' => 'বেটুপাত',
	'mobile-frontend-logged-out' => 'প্ৰৱেশ কৰা নাই',
	'mobile-frontend-logged-in-homepage-notification' => 'আদৰিছোঁ, $1!',
	'mobile-frontend-logged-in-toast-notification' => '$1 নামেৰে প্ৰৱেশ কৰিলে',
	'mobile-frontend-sign-up-heading' => 'পঞ্জীয়ন কৰক',
	'mobile-frontend-sign-in-heading' => 'প্ৰৱেশ কৰক',
	'mobile-frontend-sign-in-why' => 'আপোনাৰ যদি এটা {{SITENAME}} একাউণ্ট আছে, তেনে আপুনি তলত সদস্যভূক্তি হ’ব পাৰিব।',
	'mobile-frontend-sign-in-error-heading' => 'অহ্‌...',
	'mobile-frontend-settings-description' => "এই মোবাইল ছেটিংসমূহৰ সৈতে আপোনাৰ মোবাইলৰ অভিজ্ঞতা কাষ্ট'মাইজ কৰক।",
	'mobile-frontend-settings-beta' => 'বিটা',
	'mobile-frontend-save-settings' => 'ছেটিংসমূহ সাঁচক', # Fuzzy
	'mobile-frontend-random-button' => 'যিকোনো',
	'mobile-frontend-back-to-top-of-section' => 'এটা অনুচ্ছেদ ঘূৰি যাওক',
	'mobile-frontend-regular-site' => 'ডেক্সটপ সংস্কৰণ',
	'mobile-frontend-wml-continue' => 'অব্যাহত ...',
	'mobile-frontend-wml-back' => 'ঘূৰি যাওক...',
	'mobile-frontend-view' => 'মোবাইল সংস্কৰণ',
	'mobile-frontend-view-desktop' => 'ডেক্সটপ',
	'mobile-frontend-view-mobile' => 'মোবাইল',
	'mobile-frontend-opt-in-explain' => "বিটা বৈশিষ্ট সক্ৰিয় কৰিলে আপুনি পৰীক্ষামূলক কামবোৰত অংশ ল'ব পাৰিব কিন্তু তাৰ বিনিময়ত বাগ্‌ বা অন্য সমস্যাও হ'ব পাৰে।",
	'mobile-frontend-images-status' => 'চিত্ৰসমূহ',
	'mobile-frontend-disable-images' => 'মোবাইল চাইটত ছবি নিষ্ক্ৰিয় কৰক',
	'mobile-frontend-enable-images' => 'মোবাইল চাইটত ছবি সক্ৰিয় কৰক',
	'mobile-frontend-missing-image' => 'চিত্ৰ',
	'mobile-frontend-off' => 'বন্ধ',
	'mobile-frontend-on' => 'আৰম্ভ',
	'mobile-frontend-featured-article' => 'আজিৰ নিৰ্বাচিত প্ৰবন্ধ', # Fuzzy
	'mobile-frontend-news-items' => 'খবৰৰ শীৰ্ষত',
	'mobile-frontend-language-article-heading' => 'অন্য ভাষাত পঢ়ক',
	'mobile-frontend-language-header' => 'এই পৃষ্ঠাটো $1 {{PLURAL:$1|ভাষাত|টা ভাষাত}} উপলব্ধ',
	'mobile-frontend-language-site-choose' => 'ভাষা অনুসন্ধান:',
	'mobile-frontend-username' => 'সদস্যনাম:',
	'mobile-frontend-password' => 'গুপ্তশব্দ:',
	'mobile-frontend-username-placeholder' => 'সদস্যনাম',
	'mobile-frontend-password-placeholder' => 'গুপ্তশব্দ',
	'mobile-frontend-login' => 'প্ৰৱেশ',
	'mobile-frontend-account-create-submit' => 'পঞ্জীয়ন কৰক',
	'mobile-frontend-password-confirm-placeholder' => 'গুপ্তশব্দ নিশ্চিত কৰক',
	'mobile-frontend-account-create-email-placeholder' => 'ই-মেইল ঠিকনা (বৈকল্পিক)',
	'mobile-frontend-account-create-captcha-placeholder' => 'ওপৰত লিখা পাঠ্য লিখক', # Fuzzy
	'mobile-frontend-overlay-escape' => 'পাছলৈ যাওক',
	'mobile-frontend-placeholder' => 'সন্ধান কৰক {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'সন্ধান কৰক {{SITENAME}} (বেটা)',
	'mobile-frontend-placeholder-alpha' => 'অনুসন্ধান {{SITENAME}} (ড্ৰেগন মোড)', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'এই জাননী বাতিল কৰক',
	'mobile-frontend-clear-search' => 'পৰিস্কাৰ',
	'mobile-frontend-privacy-link-text' => 'গোপনীয়তা',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'সমলসমূহ [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]ৰ অধীনত উপলব্ধ', # Fuzzy
	'mobile-frontend-footer-contact' => 'যোগাযোগ',
	'mobile-frontend-main-menu-button-tooltip' => 'মূল মেনু খোলক',
	'mobile-frontend-main-menu-page-title' => 'ছাইট পৰিভ্ৰমন',
	'mobile-frontend-main-menu-featured' => 'নিৰ্বাচিত',
	'mobile-frontend-main-menu-nearby' => 'কাষৰীয়া',
	'mobile-frontend-main-menu-login' => 'প্ৰৱেশ',
	'mobile-frontend-main-menu-logout' => 'প্ৰস্থান',
	'mobile-frontend-main-menu-watchlist' => 'লক্ষ্য তালিকা',
	'mobile-frontend-main-menu-settings' => 'ছেটিং',
	'mobile-frontend-main-menu-settings-heading' => 'ম’বাইল ছাইট ছেটিং', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} ভাষাসমূহ',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} $1 {{PLURAL:$1|ভাষা|ভাষাসমূহত}} উপলদ্ধ, সকলো সংস্কৰণ তলত দিয়া হৈছে',
	'mobile-frontend-main-menu-account-create' => 'একাউণ্ট সৃষ্টি কৰক',
	'mobile-frontend-page-menu-contents' => 'সূচীসমূহ',
	'mobile-frontend-page-menu-history' => 'ইতিহাস',
	'mobile-frontend-meta-data-issues-header' => 'বিষয়সমূহ',
	'mobile-frontend-meta-data-issues' => 'এই পৃষ্ঠাত কিছুমান অমিমাংসিত বিষয় আছে',
	'mobile-frontend-page-saving' => '$1 সংৰক্ষন কৰা হৈ আছে',
	'mobile-frontend-watchlist-add' => '$1 আপোনাৰ লক্ষ্য তালিকাত যোগ দিয়া হ’ল',
	'mobile-frontend-watchlist-removed' => '$1 আপোনাৰ লক্ষ্য তালিকাৰ পৰা বিলোপ কৰা হ’ল',
	'mobile-frontend-watchlist-view' => 'আপোনাৰ লক্ষ্য তালিকা চাওক',
	'mobile-frontend-changeslist-ip' => 'বেনামী ব্যৱহাৰকাৰী',
	'mobile-frontend-changeslist-nocomment' => 'সম্পাদনা সাৰংশ নাই',
	'mobile-frontend-watchlist-filter-all' => 'সকলো',
	'mobile-frontend-watchlist-filter-articles' => 'প্ৰবন্ধসমূহ', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'আলোচনা',
	'mobile-frontend-watchlist-filter-other' => 'অন্যান্য',
	'mobile-frontend-diffview-title' => '$1লৈ সলনি কৰক', # Fuzzy
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|সম্পাদনা|টা সম্পাদনা}}',
	'mobile-frontend-diffview-anonymous' => 'বেনামী ব্যৱহাৰকাৰী',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|বাইট}} যোগ দিয়া হ’ল',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|বাইট}} বিলোপ কৰা হ’ল',
	'mobile-frontend-saving-exit-page' => 'পৃষ্ঠাটো সংৰক্ষণ কৰা হৈ আছে। আপুনি যদি এতিয়াই পৃষ্ঠাটো ত্যাগ কৰে তেনে আপুনি কৰা সম্পাদনাবোৰ সংৰক্ষণ নহ’ব। তথাপিটো আপুনি পৃষ্ঠাৰ পৰা আতৰি যাব খুজিছে নেকি?',
	'mobile-frontend-photo-upload' => 'এই পৃষ্ঠাত প্ৰথম চিত্ৰখন যোগ দিয়ক', # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => 'এই পৃষ্ঠাত ব্যৱহাৰৰ বাবে চিত্ৰ যোগ দিয়া হ’ল', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'পৃষ্ঠাত চিত্ৰ যোগ কৰা হ’ল', # Fuzzy
	'mobile-frontend-photo-caption-placeholder' => 'চিত্ৰৰ বাবে এটা শিৰোনাম যোগ দিয়ক', # Fuzzy
	'mobile-frontend-photo-upload-error' => 'চিত্ৰ আপল’ড কৰাত কিছু সমস্যা হৈছে। অনুগ্ৰহ কৰি অন্য চিত্ৰ আপ’লড কৰাৰ প্ৰয়াস কৰক।', # Fuzzy
	'mobile-frontend-photo-license' => 'টোকা: আপুনি প্ৰকাশ কৰা সকলোবোৰ চিত্ৰ  [//en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License CC BY-SA 3.0 license] অধীনত প্ৰকাশ কৰা হ’ব।', # Fuzzy
	'tag-mobile_edit' => "ম'বাইল সম্পাদনা",
);

/** Asturian (asturianu)
 * @author Xuacu
 */
$messages['ast'] = array(
	'mobilefrontend-random-explain' => '¿Interesa-y esta páxina al debalu?',
	'mobilefrontend-random-cancel' => '¡Déxame lleer!',
	'mobilefrontend-keepgoing-ask' => '¡Bien fecho! ¡Yá va dominando esto! ¿Quier intentar editar otra páxina?',
	'mobilefrontend-keepgoing-ask-first' => '¡Norabona por facer la so primera edición! ¿Quier intentar editar otra páxina?',
	'mobilefrontend-keepgoing-explain' => "¡Bien! Otru usuariu dixo qu'esta páxina necesita ayuda. Pruebe con esta o con otra.",
	'mobilefrontend-keepgoing-cancel' => 'Non, gracies',
	'mobilefrontend-keepgoing-suggest' => 'Si, por favor',
	'mobilefrontend-keepgoing-suggest-again' => 'Probar con otra',
	'mobilefrontend-keepgoing-saved-title' => '¡Edición guardada!',
	'mobilefrontend-keepgoing-links-title' => 'Amestar enllaces',
	'mobilefrontend-keepgoing-links-ask-first' => '¡Norabona por facer la primera edición! ¿Quier ayudar a amestar enllaces a una páxina creada de recién?',
	'mobilefrontend-keepgoing-links-ask-again' => '¿Iguar otra páxina?',
	'mobilefrontend-keepgoing-links-explain' => 'Alcuentre más palabres que puedan ser enllaces. Amieste corchetes dobles alredor de la palabra.',
	'mobilefrontend-keepgoing-links-example' => "p.ex. $1guitarra$2 tresfórmase'n $3guitarra$4",
	'nearby' => 'Páxines cercanes',
	'mobile-frontend-desc' => 'Interfaz pa móviles',
	'mobile-frontend-search-submit' => 'Dir',
	'mobile-frontend-home-button' => 'Entamu',
	'mobile-frontend-logged-out' => 'Non identificáu',
	'mobile-frontend-logged-in-homepage-notification' => '¡Bienllegáu, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Aniciasti sesión como $1.',
	'mobile-frontend-generic-404-title' => "Error - Nun s'alcuentra la páxina",
	'mobile-frontend-generic-404-desc' => 'Nun pudo alcontrase la páxina que busca.',
	'mobile-frontend-sign-up-heading' => "Date d'alta",
	'mobile-frontend-sign-in-heading' => 'Entrar',
	'mobile-frontend-sign-in-why' => 'Si tienes una cuenta en {{SITENAME}}, pues entrar más abaxo.',
	'mobile-frontend-sign-in-error-heading' => '¡Coime!',
	'mobile-frontend-settings-description' => 'Personaliza la to esperiencia nel preséu móvil con estes configuraciones específiques pa móvil.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Mou esperimental',
	'mobile-frontend-settings-alpha-description' => "Entra nun territoriu móvil peligrosu ya inesploráu. Consigui carauterístiques inda más esperimentales, pero con más riesgu d'errores.",
	'mobile-frontend-save-settings' => 'Guardar',
	'mobile-frontend-save-error' => 'Error al guardar la configuración. Asegúrese de que tien activaes les cookies.',
	'mobile-frontend-random-button' => 'Al debalu',
	'mobile-frontend-back-to-top-of-section' => 'Tornar atrás una seición',
	'mobile-frontend-regular-site' => "Vista d'escritoriu",
	'mobile-frontend-wml-continue' => 'Continuar...',
	'mobile-frontend-wml-back' => 'Volver...',
	'mobile-frontend-view' => 'Vista pa móvil',
	'mobile-frontend-view-desktop' => 'Escritoriu',
	'mobile-frontend-view-mobile' => 'Móvil',
	'mobile-frontend-cookies-required' => 'Les cookies son necesaries pa cambiar los modos de vista. Por favor, actíveles y vuelva a intentalo.',
	'mobile-frontend-opt-in-explain' => "Al xunite a la versión beta tendrás accesu a carauterístiques esperimentales, pero col riesgu d'atopar fallos y problemes.",
	'mobile-frontend-images-status' => 'Imaxes',
	'mobile-frontend-disable-images' => 'Desactivar les imaxes nel sitiu pa móvil',
	'mobile-frontend-enable-images' => 'Activar les imaxes nel sitiu pa móvil',
	'mobile-frontend-expand-sections-status' => 'Espander toles seiciones',
	'mobile-frontend-expand-sections-description' => 'Espander siempre toles seiciones cuando navegue a una páxina nueva.',
	'mobile-frontend-missing-image' => 'Imaxe',
	'mobile-frontend-off' => 'DESACTIVAES',
	'mobile-frontend-on' => 'ACTIVAES',
	'mobile-frontend-featured-article' => 'Conteníu destacáu güei',
	'mobile-frontend-news-items' => 'Actualidá',
	'mobile-frontend-languages-404-title' => 'Error de llingües',
	'mobile-frontend-languages-404-desc' => 'Tien de dase un títulu válidu.',
	'mobile-frontend-languages-header' => 'Llingües',
	'mobile-frontend-languages-nonexistent-title' => 'La páxina «$1» nun esiste.',
	'mobile-frontend-languages-text' => "$1 ta disponible'n $2 {{PLURAL:$2|llingua|llingües}}.",
	'mobile-frontend-languages-variant-header' => 'Variantes {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Llingües</strong>',
	'mobile-frontend-language-article-heading' => "Lleer n'otra llingua",
	'mobile-frontend-language-header' => 'Esta páxina ta disponible en $1 {{PLURAL:$1|llingua|llingües}}',
	'mobile-frontend-language-variant-header' => 'Escoyer la variante {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Guetar llingua',
	'mobile-frontend-username' => "Nome d'usuariu:",
	'mobile-frontend-password' => 'Contraseña:',
	'mobile-frontend-username-placeholder' => "Nome d'usuariu",
	'mobile-frontend-password-placeholder' => 'Contraseña',
	'mobile-frontend-login' => 'Entrar',
	'mobile-frontend-history' => "Ver l'historial d'ediciones d'esta páxina.",
	'mobile-frontend-history-404-title' => 'Nun esiste la páxina',
	'mobile-frontend-history-404-desc' => "Nun pue vese l'historial d'una páxina que nun esiste. Pue ser porque se desanició o porque siguió un enllaz malu.",
	'mobile-frontend-history-no-results' => 'Dengún historial casa col filtru dau.',
	'mobile-frontend-contribution-summary' => 'Toles ediciones feches por {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Historial de páxina pa [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Últimu cambéu el $1 a les $2',
	'mobile-frontend-last-modified-seconds' => 'Últimu cambéu hai {{PLURAL:$1|$1 segundu|$1 segundos}}',
	'mobile-frontend-last-modified-minutes' => 'Últimu cambéu hai {{PLURAL:$1|$1 minutu|$1 minutos}}',
	'mobile-frontend-last-modified-hours' => 'Últimu cambéu hai {{PLURAL:$1|$1 hora|$1 hores}}',
	'mobile-frontend-last-modified-days' => 'Últimu cambéu hai {{PLURAL:$1|$1 día|$1 díes}}',
	'mobile-frontend-last-modified-months' => 'Últimu cambéu hai {{PLURAL:$1|$1 mes|$1 meses}}',
	'mobile-frontend-last-modified-years' => 'Últimu cambéu hai {{PLURAL:$1|$1 añu|$1 años}}',
	'mobile-frontend-last-modified-just-now' => 'Acaba de camudar agora mesmo',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Última {{GENDER:$1|edición}} hai {{PLURAL:$3|$3 segundu|$3 segundos}}] fecha por {{PLURAL:$5|[$6 $2]|0=un usuariu anónimu}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Última {{GENDER:$1|edición}} hai {{PLURAL:$3|$3 minutu|$3 minutos}}] fecha por {{PLURAL:$5|[$6 $2]|0=un usuariu anónimu}}.',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Última {{GENDER:$1|edición}} hai {{PLURAL:$3|$3 hora|$3 hores}}] fecha por {{PLURAL:$5|[$6 $2]|0=un usuariu anónimu}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Última {{GENDER:$1|edición}} hai {{PLURAL:$3|$3 día|$3 díes}}] fecha por {{PLURAL:$5|[$6 $2]|0=un usuariu anónimu}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Última {{GENDER:$1|edición}} hai {{PLURAL:$3|$3 mes|$3 meses}}] fecha por {{PLURAL:$5|[$6 $2]|0=un usuariu anónimu}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Última {{GENDER:$1|edición}} hai {{PLURAL:$3|$3 añu|$3 años}}] fecha por {{PLURAL:$5|[$6 $2]|0=un usuariu anónimu}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Última {{GENDER:$1|edición}}] agora mesmo, fecha por {{PLURAL:$4|[$5 $2]|0=un usuariu anónimu}}',
	'mobile-frontend-view-source' => 'Ver códigu fonte',
	'mobile-frontend-account-create-submit' => "Date d'alta",
	'mobile-frontend-password-confirm-placeholder' => 'Confirmar la contraseña',
	'mobile-frontend-account-create-email-placeholder' => 'Direición de corréu electrónicu (opcional)',
	'mobile-frontend-account-create-captcha-placeholder' => "Escriba'l códigu de confirmación",
	'mobile-frontend-overlay-escape' => 'Volver',
	'mobile-frontend-overlay-close' => 'Zarrar',
	'mobile-frontend-overlay-continue' => 'Siguir',
	'mobile-frontend-placeholder' => 'Guetar en {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Gueta en {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Guetar en {{SITENAME}} (Esperimental)',
	'mobile-frontend-dismiss-notification' => 'anubrir esta notificación',
	'mobile-frontend-clear-search' => 'Llimpiar',
	'mobile-frontend-search-content' => 'Buscar nes páxines',
	'mobile-frontend-search-no-results' => 'Nun hai nenguna páxina con esti títulu.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' pa ver si esta frase apaez en cualquier llugar.",
	'mobile-frontend-privacy-link-text' => 'Intimidá',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Conteníu disponible baxo llicencia [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; puen aplicase más condiciones.',
	'mobile-frontend-copyright' => "El conteníu ta disponible baxo los términos de la $1 si nun s'indica otra cosa.",
	'mobile-frontend-footer-contact' => 'Contautu',
	'mobile-frontend-terms-text' => "Condiciones d'usu",
	'mobile-frontend-main-menu-button-tooltip' => 'Abrir el menú principal',
	'mobile-frontend-main-menu-page-title' => 'Navegación del sitiu',
	'mobile-frontend-main-menu-featured' => 'Destacada',
	'mobile-frontend-main-menu-nearby' => 'Cercanu',
	'mobile-frontend-main-menu-login' => 'Identificase',
	'mobile-frontend-main-menu-logout' => 'Salir',
	'mobile-frontend-main-menu-watchlist' => 'Llista de vixilancia',
	'mobile-frontend-main-menu-settings' => 'Configuración',
	'mobile-frontend-main-menu-upload' => 'Xubíes',
	'mobile-frontend-main-menu-settings-heading' => 'Configuración',
	'mobile-frontend-settings-site-header' => 'Llingües de {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} ta disponible en $1 {{PLURAL:$1|llingua|llingües}}. Toles versiones disponibles apaecen abaxo',
	'mobile-frontend-main-menu-account-create' => 'Crear una cuenta',
	'mobile-frontend-page-menu-contents' => 'conteníu',
	'mobile-frontend-page-menu-history' => 'Historial',
	'mobile-frontend-meta-data-issues-header' => 'Incidencies',
	'mobile-frontend-meta-data-issues' => 'Esta páxina tien dellos problemes',
	'mobile-frontend-page-saving' => 'Guardando $1',
	'mobile-frontend-user-cta' => 'Anicie sesión o rexistrese pa ver los sos avisos.',
	'mobile-frontend-user-button-tooltip' => 'Amosar los mios avisos',
	'mobile-frontend-nearby-to-page' => 'Les páxines siguientes tan rellacionaes con $1 pol so allugamientu xeográficu',
	'mobile-frontend-nearby-title' => 'Cercanu',
	'mobile-frontend-nearby-loading' => 'Cargando temes cercanos al so allugamientu actual',
	'mobile-frontend-nearby-requirements' => '¡Sentimoslo! El so navegador web nun tien sofitu pa {{SITENAME}} Nearby.',
	'mobile-frontend-nearby-requirements-guidance' => 'Pruebe con otru navegador o active javascript si ta desactiváu.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} Nearby nun sabe ónde ta vusté… ¿quier volver a intentalo?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Pruebe nun llugar abiertu con meyor señal.',
	'mobile-frontend-nearby-permission' => "{{SITENAME}} Cercanu nun tien permisu d'accesu al so allugamientu.",
	'mobile-frontend-nearby-permission-guidance' => "Asegurese de dar permisu p'amosar la so posición. Pue necesitar comprobar la configuración de llocalización del so navegador.",
	'mobile-frontend-nearby-noresults' => "Un sitiu tranquilu… Nun s'alcontró denguna páxina cercana.",
	'mobile-frontend-nearby-noresults-guidance' => "Intente crear una páxina nueva o amestar l'allugamientu a una esistente",
	'mobile-frontend-nearby-refresh' => 'Alcontramos un llugar más axustáu pa vusté. Calque equí pa recargar la llista de páxines cercanes',
	'mobile-frontend-nearby-error' => '{{SITENAME}} Nearby ta teniendo dalgunos problemes.',
	'mobile-frontend-nearby-error-guidance' => 'Intente refrescar la so situación.',
	'mobile-frontend-nearby-link' => 'Lleer esta páxina completa',
	'mobile-frontend-nearby-directions' => 'Navegar equí',
	'mobile-frontend-donate-image-nouploads' => 'Nun hai xubes.',
	'mobile-frontend-donate-image-login' => 'La multimedia de {{SITENAME}} ta donada por persones como tu.',
	'mobile-frontend-donate-image-login-action' => 'Anicie sesión pa compartir multimedia.',
	'mobile-frontend-donate-image-signup-action' => "Dese d'alta pa compartir multimedia col mundu.",
	'mobile-frontend-photo-upload-disabled' => 'Nun se necesiten imaxes nesta páxina.',
	'mobile-frontend-photo-upload-anon' => "Anicie sesión p'amestar una imaxe a esta páxina.",
	'mobile-frontend-photo-upload-protected' => "Nun tien permisu p'amestar una imaxe a esta páxina.",
	'mobile-frontend-photo-upload-unavailable' => 'El so navegador nun tien encontu pa xubir imaxes.',
	'mobile-frontend-photo-upload-generic' => 'Unviar una imaxe',
	'mobile-frontend-donate-image-title' => 'Xubíes',
	'mobile-frontend-donate-image-heading' => 'Les sos collaboraciones de recién',
	'mobile-frontend-donate-image-anon' => 'Fai falta tener una $1 pa entrar na páxina de xubíes.',
	'mobile-frontend-user-account' => "cuenta d'usuariu",
	'mobile-frontend-listed-image-no-description' => 'Ensin descripción',
	'mobile-frontend-donate-photo-upload-success' => "¡Correuto! ¡La so imaxe yá pue usase'n {{SITENAME}}!",
	'mobile-frontend-donate-photo-first-upload-success' => '¡Correuto! ¡Gracies pola primera collaboración!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Unvie les sos imaxes. ¡Ayude a que {{SITENAME}} tenga vida!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Les imaxes de {{SITENAME}} vienen de Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Les sos imaxes ayuden a educar a la xente alredor del mundu',
	'mobile-frontend-first-upload-wizard-new-page-2' => "Evite los materiales con drechos d'autor qu'atopó per internet, lo mesmo qu'imaxes de cartelos, portaes de llibros, etc.",
	'mobile-frontend-first-upload-wizard-new-page-3-header' => '¿Entendiolo?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => '¡Si!',
	'mobile-frontend-watchlist-add' => "S'amestó $1 a la to llista de siguimientu",
	'mobile-frontend-watchlist-removed' => 'Se desanició $1 de la to llista de siguimientu',
	'mobile-frontend-watchlist-view' => 'Ver la to llista de siguimientu',
	'mobile-frontend-watchlist-more' => 'más',
	'mobile-frontend-watchlist-cta' => 'Siguir esta páxina y tolos cambios nella.',
	'mobile-frontend-watchlist-cta-button-login' => 'Entrar',
	'mobile-frontend-watchlist-cta-button-signup' => "Date d'alta",
	'mobile-frontend-watchlist-purpose' => 'Una llista de vixilancia ayuda-y a tener marcadores de páxines y siguir los cambios nelles.',
	'mobile-frontend-watchlist-login-action' => 'Anicie sesión pa vela',
	'mobile-frontend-watchlist-signup-action' => "Dese d'alta p'aniciar una agora.",
	'mobile-frontend-generic-login' => '{{SITENAME}} failu xente como vusté.',
	'mobile-frontend-generic-login-action' => 'Anicie sesión pa collaborar.',
	'mobile-frontend-generic-signup-action' => "Dese d'alta pa collaborar.",
	'mobile-frontend-watch-login' => 'Amestar $1 a la so llista de vixilancia.',
	'mobile-frontend-edit-login' => 'Ayude a ameyorar la páxina $1.',
	'mobile-frontend-edit-login-action' => 'Anicie sesión pa editar.',
	'mobile-frontend-edit-signup-action' => "Dese d'alta pa editar.",
	'mobile-frontend-watchlist-a-z' => 'Llista',
	'mobile-frontend-watchlist-feed' => 'Camudaos',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Calque na estrella de la parte superior de la páxina',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Anguaño nun ta vixilando nenguna páxina. La llista de vixilancia ayuda-y a facer el siguimientu de les páxines que-y interesen. Vixile les páxines calcando nel iconu de la estrella.',
	'mobile-frontend-watchlist-feed-empty' => 'Nun hai páxines con cambeos recientes',
	'mobile-frontend-watchlist-back-home' => 'Volver al aniciu',
	'mobile-frontend-changeslist-ip' => 'Usuariu anónimu',
	'mobile-frontend-changeslist-nocomment' => "ensin resume d'edición",
	'mobile-frontend-watchlist-filter-all' => 'Toes',
	'mobile-frontend-watchlist-filter-articles' => 'Páxines',
	'mobile-frontend-watchlist-filter-talk' => 'Alderique',
	'mobile-frontend-watchlist-filter-other' => 'Otres',
	'mobile-frontend-watchlist-modified' => 'Camudose $1',
	'mobile-frontend-diffview-404-title' => 'Revisión incorreuta',
	'mobile-frontend-diffview-404-desc' => 'La id de la revisión solicitada nun esiste',
	'mobile-frontend-diffview-title' => 'Cambios',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|edición|ediciones}}',
	'mobile-frontend-diffview-anonymous' => 'Usuariu anónimu',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte amestáu|bytes amestaos}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte desaniciáu|bytes desaniciaos}}',
	'mobile-frontend-diffview-explained' => "S'amestaron (+) y desaniciaron (-) les siguientes llinies:",
	'mobile-frontend-thanked-notice' => "$1 recibió l'avisu de que-y gustó {{GENDER:$2|la so}} edición.",
	'mobile-frontend-saving-exit-page' => 'La to collaboración ta guardandose entá. Si coles se perderán les tos collaboraciones. ¿Seguro que quies colar?',
	'mobile-frontend-photo-upload' => 'Amestar una imaxe a esta páxina',
	'mobile-frontend-photo-article-edit-comment' => "S'amestó una imaxe para usar na páxina",
	'mobile-frontend-photo-article-donate-comment' => 'Imaxe unviada dende Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Imaxe amestada a la páxina',
	'mobile-frontend-photo-caption-placeholder' => 'Describa esta imaxe (requerío)',
	'mobile-frontend-photo-ownership' => 'Yo, $1, creé esta imaxe.',
	'mobile-frontend-photo-ownership-help' => '¿Qué ye esto?',
	'mobile-frontend-photo-ownership-confirm' => '¡Yá lo entendí!',
	'mobile-frontend-lead-image-tutorial-summary' => "Asegurese de que la imaxe pue ayudar a ilustrar la páxina. Tendría de ser una imaxe que vusté creó y que nun frañe drechos d'autor.",
	'mobile-frontend-lead-image-tutorial-confirm' => 'Empecipiar la carga',
	'mobile-frontend-photo-upload-error' => 'Error, vuelva a probar.',
	'mobile-frontend-photo-upload-error-file-type' => 'Por favor, xuba sólo imaxes',
	'mobile-frontend-photo-upload-error-filename' => 'Error, por favor, escriba un resume más descriptivu.',
	'mobile-frontend-photo-upload-success-article' => '¡Correuto! La so imaxe yá ye visible nesta páxina.',
	'mobile-frontend-photo-license' => "Al xubir esta imaxe, ta aceutando les [//wikimediafoundation.org/wiki/Terms_of_use Condiciones d'usu] y ta d'alcuerdu con distribuir la imaxe baxo la [//creativecommons.org/licenses/by-sa/3.0/ Llicencia Creative Commons Reconocimientu-CompartirIgual 3.0].",
	'mobile-frontend-photo-submit' => 'Unviar',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> xuba|<span>$1</span> xubes}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '+500 xubes',
	'mobile-frontend-image-heading-describe' => "'''Describa''' la imaxe",
	'mobile-frontend-image-uploading' => "'''Xubiendo''' la imaxe...",
	'mobile-frontend-image-cancel-confirm' => '¿Encaboxar la carga?',
	'mobile-frontend-editor-redirect-title' => 'Redireicionando al editor...',
	'mobile-frontend-editor-unavailable-header' => 'Editor no disponible',
	'mobile-frontend-editor-unavailable' => 'La edición móvil nun ta disponible actualmente nel so navegador. Por favor pruebe con otru navegador.',
	'mobile-frontend-editor-undo-unsupported' => 'Desfacer inda nun tien sofitu nos preseos móviles.',
	'mobile-frontend-editor-newpage-prompt' => 'Esta páxina nun esiste. ¿Por qué nun atrevese a escribila?',
	'mobile-frontend-editor-disabled' => 'Esta páxina ta protexida pa torgar el vandalismu.',
	'mobile-frontend-editor-blocked' => 'La so cuenta ta bloquiada pa editar.',
	'mobile-frontend-editor-cta' => '¡Ayude a ameyorar esta páxina!',
	'mobile-frontend-editor-edit' => 'Editar',
	'mobile-frontend-editor-continue' => 'Siguir',
	'mobile-frontend-editor-save' => 'Guardar',
	'mobile-frontend-editor-cancel' => 'Encaboxar',
	'mobile-frontend-editor-keep-editing' => 'Siguir editando',
	'mobile-frontend-editor-license' => "Al guardar los cambios, aceuta les nueses [//wikimediafoundation.org/wiki/Terms_of_use Condiciones d'usu] y ta d'alcuerdu con distribuir el so testu baxo la [//creativecommons.org/licenses/by-sa/3.0/ Llicencia CC-BY-SA 3.0] y la [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].",
	'mobile-frontend-editor-placeholder' => "Esta seición ta balera. ¡Seya'l primeru n'espandela!",
	'mobile-frontend-editor-summary-placeholder' => 'Diganos lo que camudó (opcional)',
	'mobile-frontend-editor-cancel-confirm' => '¿Realmente quier abandonar la edición?',
	'mobile-frontend-editor-wait' => 'Guardando la edición; por favor, espere.',
	'mobile-frontend-editor-success' => '¡Correuto! Guardóse la edición.',
	'mobile-frontend-editor-success-landmark-1' => 'Norabona, ¡yá ye editor de {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Error, la edición nun se guardó.',
	'mobile-frontend-editor-error-conflict' => 'Error, otru usuariu editó esta páxina.',
	'mobile-frontend-editor-error-loading' => 'Error, nun pue cargase la seición.',
	'mobile-frontend-editor-error-preview' => 'Error, asocedió daqué inesperao al cargar la vista previa. Por favor, zarre y vuelva a intentalo.',
	'mobile-frontend-editor-tutorial-summary' => "Nun s'asuste de les marques. Intente ameyorar la páxina $1.",
	'mobile-frontend-editor-tutorial-alt-summary' => "¿Por qué nun ameyorar $1? ¡Que nun-y asuste'l llinguax de marques!",
	'mobile-frontend-editor-tutorial-confirm' => 'Principiar a editar',
	'mobile-frontend-editor-tutorial-cancel' => 'Non, gracies',
	'mobile-frontend-editor-captcha-try-again' => 'Códigu incorreutu, vuelva a intentalo.',
	'mobile-frontend-editor-abusefilter-warning' => 'Atención: ¿Ta seguru de que quier guardar esta edición? Pue haber un problema con ella.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Esta edición nun pue guardase porque detectamos un problema.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Lleer más',
	'mobile-frontend-editor-editing-page' => '<strong>Editando</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Previsualizando</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => "<strong>Viendo'l códigu fonte de</strong><span> $1</span>",
	'tag-mobile_edit' => 'Edición de móvil',
	'tag-mobile_edit-description' => "Edición fecha dende'l sitiu pa móviles",
	'mobile-frontend-drawer-cancel' => 'Encaboxar',
	'mobile-frontend-talk-explained' => 'Les siguientes conversaciones tan actives nesti momentu',
	'mobile-frontend-talk-explained-empty' => 'Nun hai conversaciones sobro esta páxina.',
	'mobile-frontend-talk-overlay-header' => 'Alderique',
	'mobile-frontend-talk-back-to-page' => 'Volver a la páxina "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Alderique ensin títulu',
	'mobile-frontend-talk-add-overlay-submit' => 'Amestar alderique',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Asuntu del tema',
	'mobile-frontend-talk-add-overlay-content-placeholder' => '¿Qué ta camentando?',
	'mobile-frontend-talk-edit-summary' => 'Nueva seición del alderique: $1',
	'mobile-frontend-talk-reply-success' => "La so respuesta se guardó correutamente na páxina d'alderique.",
	'mobile-frontend-talk-reply-info' => "Tenga en cuenta que la so respuesta se roblará automáticamente col so nome d'usuariu.",
	'mobile-frontend-talk-reply' => 'Contestar',
	'mobile-frontend-talk-topic-feedback' => "¡Nuevu asuntu amestáu a la páxina d'alderique!",
	'mobile-frontend-media-details' => 'Detalles',
	'mobile-frontend-media-license-link' => 'Información de la llicencia',
	'abusefilter-edit-builder-vars-user-mobile' => 'Si un usuariu ta editando o non pela interfaz pa móvil',
	'mobile-frontend-profile-title' => 'Perfil del usuariu',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Xubió}} {{PLURAL:$1|ayeri|hai $1 díes|0=güei}}.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|Charrar con $1}}',
	'mobile-frontend-profile-error' => '¡Ai, non!',
	'mobile-frontend-profile-noargs' => "Nun se dio un nome d'usuariu. Por favor, indique un nome d'usuariu pa ver un perfil.",
	'mobile-frontend-profile-nouser' => "Nun esiste dengún usuariu con esti nome. Los nomes d'usuariu son sensibles a les mayúscules, compruebe si s'escribió correutamente.",
	'mobile-frontend-profile-activity-heading' => 'Actividá reciente',
	'mobile-frontend-profile-userpage-link' => "Visitar la páxina d'usuariu.",
	'mobile-frontend-requires-optin' => "Esta páxina nun ta disponible si nun activa'l nuesu mou beta. Visite la [[Special:MobileOptions|páxina de configuración]] p'activalu.",
	'mobile-frontend-profile-last-thank' => '[[Special:UserProfile/$1|$1]] {{GENDER:$1|dio-y}} {{GENDER:$2|les gracies}}.',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Editó}} la páxina [[:$1]] {{PLURAL:$2|ayeri|hai $2 díes|0=güei mesmo}}.',
	'mobile-frontend-profile-footer-days' => 'Xunióse hai {{PLURAL:$2|1 día|$2 díes}} con [[Special:Contributions/$1|{{PLURAL:$3|1 edición|$3 ediciones}}]] y [[Special:Uploads/$1|{{PLURAL:$4|1 carga|$4 cargues|500=500 o más cargues}}]].',
	'mobile-frontend-profile-footer-months' => 'Xunióse hai más de {{PLURAL:$2|1 mes|$2 meses}} con [[Special:Contributions/$1|{{PLURAL:$3|1 edición|$3 ediciones}}]] y [[Special:Uploads/$1|{{PLURAL:$4|1 carga|$4 cargues|500=500 o más cargues}}]].',
	'mobile-frontend-profile-footer-years' => 'Xunióse hai más de {{PLURAL:$2|1 añu|$2 años}} con [[Special:Contributions/$1|{{PLURAL:$3|1 edición|$3 ediciones}}]] y [[Special:Uploads/$1|{{PLURAL:$4|1 carga|$4 cargues|500=500 o más cargues}}]].',
	'mobile-frontend-geonotahack' => "Cerca d'esta páxina",
	'beta-feature-geonotahack' => "Cerca d'esta páxina",
	'beta-feature-geonotahack-description' => 'Descubra páxines que tan averaes xeográficamente a la páxina que ta lleendo agora.',
	'mobile-frontend-mainpage-cta-prompt' => '¡Esta páxina necesita la so ayuda!',
	'mobile-frontend-mainpage-cta-button' => 'Ameyorar esta páxina',
	'beta-feature-minerva' => 'Activar la piel pa móvil (Minerva) nel escritoriu',
	'beta-feature-minerva-description' => "Facer que la piel que s'usa nos preseos móviles seya una piel seleicionable pal escritoriu na llingüeta preferencies d'aspeutu.",
);

/** Azerbaijani (azərbaycanca)
 * @author Cekli829
 * @author Vugar 1981
 */
$messages['az'] = array(
	'mobile-frontend-search-submit' => 'Get',
	'mobile-frontend-home-button' => 'Ana səhifə',
	'mobile-frontend-random-button' => 'Təsadüfi',
	'mobile-frontend-back-to-top-of-section' => 'Bir bölüm geriyə dön',
	'mobile-frontend-regular-site' => 'Bu səhifəni normal {{SITENAME}} görüntülə', # Fuzzy
	'mobile-frontend-wml-continue' => 'Davam et ...',
	'mobile-frontend-wml-back' => 'Geri ...',
	'mobile-frontend-view' => 'Mobil görüntü',
	'mobile-frontend-featured-article' => 'Günün seçilmiş məqaləsi', # Fuzzy
	'mobile-frontend-languages-header' => 'Dillər',
	'mobile-frontend-username' => 'İstifadəçi adı:',
	'mobile-frontend-password' => 'Parol:',
	'mobile-frontend-login' => 'Daxil ol',
	'mobile-frontend-clear-search' => 'Təmizlə',
	'mobile-frontend-copyright' => "Mətn <a href=\"http://creativecommons.org/licenses/by-sa/3.0/deed.az\">Creative Commons Attribution/Share-Alike lisenziyası</a> üzrə icazəlidir, xüsusi hallarda digər şərtlər də əlavə ola bilər. Daha ətraflı bax: <a href='http://wikimediafoundation.org/wiki/Terms_of_Use/az'>İstifadə şərtləri</a>. «{{SITENAME}}» — «<a href='http://www.wikimediafoundation.org/'>Vikimediya Fondu</a>» qeyri-kommersiya təşkilatının qeydə alınmış ticarət markasıdır.", # Fuzzy
	'mobile-frontend-watchlist-filter-articles' => 'Səhifələr',
);

/** South Azerbaijani (تورکجه)
 * @author Amir a57
 * @author Mousa
 */
$messages['azb'] = array(
	'mobile-frontend-search-submit' => 'گئت',
	'mobile-frontend-home-button' => 'ائو',
	'mobile-frontend-logged-out' => 'داخیل اولمامیسینیز',
	'mobile-frontend-sign-in-heading' => 'گیریش',
	'mobile-frontend-settings-beta' => 'بتا',
	'mobile-frontend-save-settings' => 'تنظیملری قئید ائت', # Fuzzy
	'mobile-frontend-random-button' => 'تصادفی',
	'mobile-frontend-back-to-top-of-section' => 'بیر بؤلوم گئرییه دؤن',
	'mobile-frontend-close-section' => 'بو بولومی باغلا',
	'mobile-frontend-regular-site' => 'دئسک تاپی گوستر',
	'mobile-frontend-wml-continue' => 'داوام ائت',
	'mobile-frontend-wml-back' => 'گئیت',
	'mobile-frontend-view' => 'موبایل گؤرونتو',
	'mobile-frontend-view-mobile' => 'موبایل',
	'mobile-frontend-images-status' => 'شکیل‌لر',
	'mobile-frontend-missing-image' => 'شکیل',
	'mobile-frontend-off' => 'سون دور (گئچیت)',
	'mobile-frontend-on' => 'آلیشدیر (یاندیر)',
	'mobile-frontend-featured-article' => 'گونون سئچیلمیش مقاله‌سی', # Fuzzy
	'mobile-frontend-news-items' => 'خبرلرده',
	'mobile-frontend-language-site-choose' => 'دیل آختاریشی',
	'mobile-frontend-username' => 'ایستیفاده‌چی آدی:',
	'mobile-frontend-password' => 'رمز:',
	'mobile-frontend-username-placeholder' => 'ایستیفاده‌چی آدی',
	'mobile-frontend-password-placeholder' => 'رمز',
	'mobile-frontend-login' => 'گیریش',
	'mobile-frontend-overlay-escape' => 'دالییا گییت',
	'mobile-frontend-placeholder' => '{{SITENAME}}-دا آختار',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}}-ی آختار (بِتا)',
	'mobile-frontend-search-help' => 'اوست‌ده آختاریش سؤزجویونو یازین و آشاغیدا بنزَر نتیجه‌لر گؤروشه‌جکلر.',
	'mobile-frontend-dismiss-notification' => 'بو بیلدیریشی بوراخ',
	'mobile-frontend-clear-search' => 'تمیزله',
	'mobile-frontend-privacy-link-text' => 'اؤزل‌لیک',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'یازیلار [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] ایجازه‌سی ایله ال‌ده‌دیرلر', # Fuzzy
	'mobile-frontend-footer-contact' => 'علاقه قورماق',
	'mobile-frontend-search-noresults' => 'سیزین آختاریشینیزا بیرنتیجه تاپیلمادی. آختاریشینیزی دَییشدیرین، یوخسا یازیلارین ایچینده آختارماق اوچون کیبورد آختاریش دویمه‌سینی وورون.',
	'mobile-frontend-main-menu-button-tooltip' => 'آنامِنونو آچ',
	'mobile-frontend-main-menu-page-title' => 'سایت‌دا دولانماق',
	'mobile-frontend-main-menu-featured' => 'اؤزل‌لنمیش',
	'mobile-frontend-main-menu-nearby' => 'یاخیندا',
	'mobile-frontend-main-menu-login' => 'گیریش',
	'mobile-frontend-main-menu-logout' => 'چیخیش',
	'mobile-frontend-main-menu-watchlist' => 'ایزلمه سیاهینیزداکی',
	'mobile-frontend-main-menu-settings' => 'تنظیملر',
	'mobile-frontend-main-menu-settings-heading' => 'موبایل سایت ترجیحلری', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} دیل‌لری',
	'mobile-frontend-settings-site-description' => '{{SITENAME}}، {{PLURAL:$1|بیر|$1}} دیل‌ده ال‌ده‌دیر. بوتون ال‌ده اولان نوسخه‌لر آشاغیدا لیست اولونوبلار',
	'mobile-frontend-main-menu-account-create' => 'حساب یارات',
	'mobile-frontend-page-menu-contents' => 'ایچینده‌کیلر',
	'mobile-frontend-page-menu-history' => 'گئچمیش',
	'mobile-frontend-meta-data-issues-header' => 'مقاله نی گوزلشدیرمک',
	'mobile-frontend-meta-data-issues' => 'بو صحیفه‌نین بیر نئچه ایشکالی وار',
	'mobile-frontend-page-saving' => '$1 قئید اولونور',
	'mobile-frontend-watchlist-add' => '$1 سیزین ایزله‌دیکلرینیزه آرتیریلدی',
	'mobile-frontend-watchlist-removed' => '$1 سیزین ایزله‌دیکلرینیزدن سیلیندی',
	'mobile-frontend-watchlist-view' => 'ایزله‌دیکلرینیزه باخین',
	'mobile-frontend-changeslist-ip' => 'تانینمامیش ایستیفاده‌چی',
	'mobile-frontend-changeslist-nocomment' => 'هئچ بیر دییشدیر خلاصه‌سی',
	'mobile-frontend-watchlist-filter-all' => 'بوتون',
	'mobile-frontend-watchlist-filter-articles' => 'یازیلار', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'دانیشیق',
	'mobile-frontend-watchlist-filter-other' => 'آیری',
	'mobile-frontend-diffview-title' => '$1-ه دَییشیکلیک', # Fuzzy
	'mobile-frontend-diffview-editcount' => '{{PLURAL:$1|بیر|$1}} دَییشیکلیک',
	'mobile-frontend-diffview-anonymous' => 'تانینمامیش ایستیفاده‌چی',
	'mobile-frontend-diffview-bytesadded' => '{{PLURAL:$1|بیر|$1}} باید آرتیریلدی',
	'mobile-frontend-diffview-bytesremoved' => '{{PLURAL:$1|بیر|$1}} بایت سیلیندی',
	'mobile-frontend-table' => 'جدول $1',
	'mobile-frontend-saving-exit-page' => 'سیزین چالیشمانیز قئید اولونماقدادیر. آیریلساز، او چالیشمانیز ایته‌جکدیر. چیخماقدان آرخایین‌سینیز؟',
	'mobile-frontend-photo-upload' => 'ایلک عکسی بو صحیفه‌یه آرتیر', # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => 'صحیفه‌ده ایشلدمک اوچون عکس آرتیریلدی', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'صحیفه‌یه عکس آرتیریلدی', # Fuzzy
	'mobile-frontend-photo-caption-placeholder' => 'بو عکسه بیر باشلیق آرتیر', # Fuzzy
	'mobile-frontend-image-loading' => 'عکس یوکله‌نیر',
	'mobile-frontend-image-uploading-wait' => 'عکس یوکله‌نیر', # Fuzzy
	'mobile-frontend-photo-upload-error' => 'عکسی یوکله‌مک‌ده بیر خطا قاباغا گلدی. لوطفاً آیری بیر عکسی چالیشین.', # Fuzzy
	'mobile-frontend-photo-license' => 'دیقت: سیزین بوتون یایدیغینیز عکسلر، [//en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License CC BY-SA 3.0 لیسانس]ی ایله یاییلاجاقدیلار', # Fuzzy
);

/** Bashkir (башҡортса)
 * @author Amire80
 * @author Assele
 * @author Haqmar
 * @author Roustammr
 * @author Гүзәл Ситдиҡова
 * @author Рустам Нурыев
 * @author ҒатаУлла
 */
$messages['ba'] = array(
	'mobile-frontend-desc' => 'Мобиль интерфейс',
	'mobile-frontend-search-submit' => 'Күсеү',
	'mobile-frontend-home-button' => 'Башына',
	'mobile-frontend-logged-out' => 'Танылмағанһығыҙ',
	'mobile-frontend-sign-in-heading' => 'Танылыу',
	'mobile-frontend-sign-in-why' => 'Әгәр һеҙҙең {{SITENAME}} проектында иҫәп яҙмағыҙ булһа, түбәндә таныла алаһығыҙ.',
	'mobile-frontend-sign-in-error-heading' => 'Хата',
	'mobile-frontend-settings-description' => 'Сайты үҙегеҙҙең мобиль ҡоролмағыҙға яраҡлаштырып көйләгеҙ.',
	'mobile-frontend-settings-beta' => 'Бета өлгөһө',
	'mobile-frontend-save-settings' => 'Көйләүҙәрҙе һаҡларға', # Fuzzy
	'mobile-frontend-random-button' => 'Осраҡлы',
	'mobile-frontend-back-to-top-of-section' => 'Бер бүлеккә кире ҡайтырға',
	'mobile-frontend-regular-site' => 'Ғәҙәти нөхсә',
	'mobile-frontend-wml-continue' => 'Дауамы...',
	'mobile-frontend-wml-back' => 'Кирегә...',
	'mobile-frontend-view' => 'Мобиль нөсхә',
	'mobile-frontend-view-desktop' => 'Ғәҙәти',
	'mobile-frontend-view-mobile' => 'Мобиль',
	'mobile-frontend-opt-in-explain' => 'Бета өлгөнө тикшереүгә ҡушылһағыҙ, һынау өсөн өҫтәлгән мөмкинлектәрҙе ҡуллана аласаҡығыҙ, әммә хаталарға һәм ҡыйынлыҡтарға тап булыуығыҙ бар.',
	'mobile-frontend-images-status' => 'Рәсемдәр',
	'mobile-frontend-disable-images' => 'Мобиль сайтта рәсемдәрҙе күрһәтмәҫкә',
	'mobile-frontend-enable-images' => 'Мобиль сайтта рәсемдәрҙе күрһәтергә',
	'mobile-frontend-missing-image' => 'Рәсем',
	'mobile-frontend-off' => 'ЮҠ',
	'mobile-frontend-on' => 'БАР',
	'mobile-frontend-featured-article' => 'Бөгөнгө көндә иң яҡшы мәҡәлә', # Fuzzy
	'mobile-frontend-news-items' => 'Яңылыҡтар',
	'mobile-frontend-language-article-heading' => 'Башҡа телдә уҡырға',
	'mobile-frontend-language-header' => 'Был мәҡәлә {{PLURAL:$1|1=language|languages}} телдә бар', # Fuzzy
	'mobile-frontend-language-footer' => 'Иғтибар: Был бит һеҙ теләгән телдә яҙыла алмай. {{SITENAME}} ниндәй телдәр ҡулланыуын бында ҡарай алаһығыҙ.',
	'mobile-frontend-language-site-choose' => 'Тел һайлау:',
	'mobile-frontend-username' => 'Ҡулланыусы исеме:',
	'mobile-frontend-password' => 'Серһүҙ:',
	'mobile-frontend-login' => 'Танылыу',
	'mobile-frontend-overlay-escape' => 'Кире ҡайтырға',
	'mobile-frontend-placeholder' => '{{SITENAME}}-та эҙләргә',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}} буйлап эҙләргә (Бета)',
	'mobile-frontend-search-help' => 'Юғарыла кәрәкле һүҙҙәрҙе керетегеҙ, һәм бында тап килгән бит исемдәре килеп сығасаҡ.',
	'mobile-frontend-dismiss-notification' => 'был иҫкәрмәне йәшерергә',
	'mobile-frontend-clear-search' => 'Таҙартыу',
	'mobile-frontend-privacy-link-text' => 'Сер һаҡлау',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Эстәлеге [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] рөхсәтнәмәһе буйынса асыҡ', # Fuzzy
	'mobile-frontend-copyright' => "Текст <a href=\"http://creativecommons.org/licenses/by-sa/3.0/\">Creative Commons Attribution/Share-Alike</a> лицензияһы шарттары буйынса асыҡ, айырым осраҡтарҙа өҫтәмә шарттар ғәмәлдә булыуы мөмкин. Тулы мәғлүмәт өсөн ҡарағыҙ: <a href='http://wikimediafoundation.org/wiki/Terms_of_Use/ru'>Ҡулаланыу шарттары (урыҫса)</a>. «{{SITENAME}}» — <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a> исемле мәтди файҙа көҫәмәгән ойошманың рәсми теркәлгән тамғаһы.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Бәйләнеш өсөн мәғлүмәт',
	'mobile-frontend-search-noresults' => 'Һеҙ кереткән һүҙҙәр менән тап килгән бит исемдәре юҡ. Эҙләү өсөн һүҙҙәрҙе үҙгәртегеҙ, йәки биттәр эсендә эҙләү өсөн «Эҙләргә» төймәһенә баҫығыҙ.',
	'mobile-frontend-main-menu-button-tooltip' => 'Төп менюны асырға',
	'mobile-frontend-main-menu-page-title' => 'Сайттың төп йүнәлештәре',
	'mobile-frontend-main-menu-featured' => 'Һайланған',
	'mobile-frontend-main-menu-nearby' => 'Эргәлә',
	'mobile-frontend-main-menu-login' => 'Танылыу',
	'mobile-frontend-main-menu-logout' => 'Тамамлау',
	'mobile-frontend-main-menu-watchlist' => 'Күҙәтеү исемлеге',
	'mobile-frontend-main-menu-settings' => 'Көйләүҙәр',
	'mobile-frontend-main-menu-settings-heading' => 'Сайттың мобиль нөхсәһен көйләү', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} проектындағы телдәр',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} проекты $1 {{PLURAL:$1|телдә}} бар. Түбәндә бөтә телдәр теҙмәһе килтерелгән.', # Fuzzy
	'mobile-frontend-page-menu-contents' => 'йөкмәткеһе',
	'mobile-frontend-page-menu-history' => 'Тарих',
	'mobile-frontend-saving-exit-page' => 'Һеҙҙең үҙгәртеүҙәрегеҙ һаҡлана әле. Сыҡһағыҙ, үҙгәртеүҙәрегеҙ юғаласаҡ. Һеҙ ысынлап та сығырға теләйһегеҙме?',
	'mobile-frontend-photo-upload' => 'Был биткә тәүге фотоны өҫтәргә', # Fuzzy
);

/** Bavarian (Boarisch)
 * @author Mucalexx
 * @author Schläsinger
 */
$messages['bar'] = array(
	'mobile-frontend-desc' => 'Daméglicht dé fyr móbile Endgräte óptimierde Dorstejung vah Seiten',
	'mobile-frontend-search-submit' => 'Lós',
	'mobile-frontend-home-button' => 'Start',
	'mobile-frontend-random-button' => 'Zuafoi',
	'mobile-frontend-back-to-top-of-section' => 'Oah Kapitel zruck springer',
	'mobile-frontend-regular-site' => 'Za da klassischen {{SITENAME}}-Auhsicht wexeln', # Fuzzy
	'mobile-frontend-wml-continue' => 'Weider ...',
	'mobile-frontend-wml-back' => 'Zruck ...',
	'mobile-frontend-view' => 'Móbile Auhsicht',
	'mobile-frontend-opt-in-explain' => "Durch d' Teilnaum am Beta-Test dahoitst an Zuagrieff af experimenteje Funkzióner, dé dert owerraa Próbléme und Feeler vaursocher kennern.",
	'mobile-frontend-disable-images' => "Bijder a' da móbiln Auhsicht deaktiviern",
	'mobile-frontend-enable-images' => "Bijder a' da móbiln Auhsicht aktiviern",
	'mobile-frontend-featured-article' => 'Artiké vam Toog', # Fuzzy
	'mobile-frontend-news-items' => "A' d' Noochrichten",
	'mobile-frontend-username' => 'Benutzernaum:',
	'mobile-frontend-password' => 'Posswort:',
	'mobile-frontend-login' => 'Auhmejn',
	'mobile-frontend-placeholder' => 'Gib do deih Suach eih ...', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'dé Benoochrichtigung schliassen',
	'mobile-frontend-clear-search' => 'Laarn',
);

/** Bikol Central (Bikol Central)
 * @author Filipinayzd
 * @author Geopoet
 */
$messages['bcl'] = array(
	'mobile-frontend-desc' => 'Magíwas na pangenotang-huri',
	'mobile-frontend-search-submit' => 'Magduman',
	'mobile-frontend-home-button' => 'Ginikanan',
	'mobile-frontend-logged-out' => 'Dai nakalaog',
	'mobile-frontend-logged-in-homepage-notification' => 'Marhayong pag-abot, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Nakalaog ka bilang $1.',
	'mobile-frontend-sign-up-heading' => 'Mag-ayon',
	'mobile-frontend-sign-in-heading' => 'Maglaog',
	'mobile-frontend-sign-in-why' => 'Kun ika igwa nin sarong {{SITENAME}} panindog, ika puwedeng magpirmang palaog sa ibaba.',
	'mobile-frontend-sign-in-error-heading' => 'Ay tara',
	'mobile-frontend-settings-description' => 'Kustumbrehon an saimong eksperiyensiya sa saimong magíwas na aparato igwa kaining magíwas na espisipikong mga panuytoy kan sityo.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Eksperimental na kamugtakan',
	'mobile-frontend-settings-alpha-description' => 'Kaagon an delikado asin dae pa eksploradong magíwas na teritoryo. Magkua ka pa nin mas eksperimental na mga estima, alagad igwa pa nin kadagdagang kadelikaduhan nin mga kuto.',
	'mobile-frontend-save-settings' => 'Ipagtagama',
	'mobile-frontend-random-button' => 'Purak',
	'mobile-frontend-back-to-top-of-section' => 'Maglukso pabalik nin sarong seksyon',
	'mobile-frontend-regular-site' => 'Ibabaw lamesang patanaw',
	'mobile-frontend-wml-continue' => 'Ipagpadagos...',
	'mobile-frontend-wml-back' => 'Balikon...',
	'mobile-frontend-view' => 'Magíwasong patanaw',
	'mobile-frontend-view-desktop' => 'Ibabaw lamesa',
	'mobile-frontend-view-mobile' => 'Magíwason',
	'mobile-frontend-opt-in-explain' => 'Sa pag-ayon sa beta, ika makakakua nin kalangkayan pasiring sa eksperimental na mga estima, sa delikadong makasumpong ka nin mga kuto asin mga isyu.',
	'mobile-frontend-images-status' => 'Mga imahe',
	'mobile-frontend-disable-images' => 'Dae pagpanahon an mga imahe sa magíwasong sityo',
	'mobile-frontend-enable-images' => 'Paganahon an mga imahe sa magíwasong sityo',
	'mobile-frontend-missing-image' => 'Imahe',
	'mobile-frontend-off' => 'Saraduhon',
	'mobile-frontend-on' => 'Bukason',
	'mobile-frontend-featured-article' => 'Estimadong Artikulo Ngunyan', # Fuzzy
	'mobile-frontend-news-items' => 'Yaon sa Mga Bareta',
	'mobile-frontend-language-article-heading' => 'Basahon sa ibang lengguwahe',
	'mobile-frontend-language-header' => 'Ining pahina makukua sa $1 {{PLURAL:$1|lengguwahe|mga lengguwahe}}',
	'mobile-frontend-language-variant-header' => 'Pumili nin {{#language:{{CONTENTLANG}}}} na kinalaenan',
	'mobile-frontend-language-site-choose' => 'Hanapon an lengguwahe',
	'mobile-frontend-username' => 'Paragamit-ngaran:',
	'mobile-frontend-password' => 'Pasa-taramon:',
	'mobile-frontend-username-placeholder' => 'Ngaran-paragamit',
	'mobile-frontend-password-placeholder' => 'Pasa-taramon',
	'mobile-frontend-login' => 'Maglaog',
	'mobile-frontend-last-modified-date' => 'Huring pinaghira kan petsa $1, alas $2',
	'mobile-frontend-last-modified-seconds' => 'Huring pinaghira {{PLURAL:$1|$1 segundo|$1 segundos}} an nakaagi',
	'mobile-frontend-last-modified-minutes' => 'Huring pinaghira {{PLURAL:$1|$1 minuto|$1 minutos}} an nakaagi',
	'mobile-frontend-last-modified-hours' => 'Huring pinaghira {{PLURAL:$1|$1 oras|$1 mga oras}} an nakaagi',
	'mobile-frontend-last-modified-days' => 'Huring pinaghira {{PLURAL:$1|$1 aldaw|$1 mga aldaw}} an nakaagi',
	'mobile-frontend-last-modified-months' => 'Huring pinaghira {{PLURAL:$1|$1 bulan|$1 mga bulan}} an nakaagi',
	'mobile-frontend-last-modified-years' => 'Huring pinaghira {{PLURAL:$1|$1 taon|$1 mga taon}} an nakaagi',
	'mobile-frontend-account-create-submit' => 'Pirma paitaas',
	'mobile-frontend-password-confirm-placeholder' => 'Kumpirmaron an pasa-taramon',
	'mobile-frontend-account-create-email-placeholder' => 'E-surat na estada (opsyonal)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Ikaag an tekstong panseguridad', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Magduman pabalik',
	'mobile-frontend-placeholder' => 'Hanápon an {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Hanapon an {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Hanápon an {{SITENAME}} (Eksperimental)',
	'mobile-frontend-dismiss-notification' => 'punduha ining notipikasyon',
	'mobile-frontend-clear-search' => 'Malinaw',
	'mobile-frontend-privacy-link-text' => 'Pribasidad',
	'mobile-frontend-footer-sitename' => '{{SITYONG NGARAN}}',
	'mobile-frontend-footer-license' => 'An teksto yaon manumpungan sa irarom kan  [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; kadagdagang mga termino puwedeng aplikaron.',
	'mobile-frontend-footer-contact' => 'Kontak',
	'mobile-frontend-main-menu-button-tooltip' => 'Bukasan an pangenot na hùyagan',
	'mobile-frontend-main-menu-page-title' => 'Pansityong nabigasyon',
	'mobile-frontend-main-menu-featured' => 'Pinag-estima',
	'mobile-frontend-main-menu-nearby' => 'Haranihon',
	'mobile-frontend-main-menu-login' => 'Maglaog',
	'mobile-frontend-main-menu-logout' => 'Magluwas',
	'mobile-frontend-main-menu-watchlist' => 'Bantay-listahan',
	'mobile-frontend-main-menu-settings' => 'Mga Panuytoy',
	'mobile-frontend-main-menu-upload' => 'Mga ikinarga',
	'mobile-frontend-main-menu-settings-heading' => 'Kagiwasang mga panuytoy kan sityo', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} na mga lengwahe',
	'mobile-frontend-settings-site-description' => 'An {{SITENAME}} manunumpungan sa $1 {{PLURAL:$1|lengguwahe|mga lengguwahe}}. An gabos na yaon na mga bersyon pinaglista sa ibaba',
	'mobile-frontend-main-menu-account-create' => 'Magmukna nin panindog',
	'mobile-frontend-page-menu-contents' => 'mga kalamanan',
	'mobile-frontend-page-menu-history' => 'Historiya',
	'mobile-frontend-meta-data-issues-header' => 'Mga isyu',
	'mobile-frontend-meta-data-issues' => 'Ining pahina igwa nin nagkapirang mga isyu',
	'mobile-frontend-page-saving' => 'Itinatagama an $1',
	'mobile-frontend-user-cta' => 'Pakilaog tabi o magpirma paitaas tanganing mahiling mo an saimong mga notipikasyon.',
	'mobile-frontend-user-button-tooltip' => 'Ipahiling an sakuyang mga notipikasyon',
	'mobile-frontend-nearby-to-page' => 'An minasunod na mga pahina kapartido kan $1 nin huli kan saindang heograpikal na lokasyon',
	'mobile-frontend-nearby-title' => 'Haranihon',
	'mobile-frontend-nearby-loading' => 'Ikinakarga an mga tema harani sa saimong lokasyon ngunyan',
	'mobile-frontend-nearby-requirements' => 'Sori! An saimong pangilyaw sa web dae tabi minasuporta sa {{SITENAME}} na Haranihon.',
	'mobile-frontend-nearby-requirements-guidance' => 'Pakiprubar kan ibang kilyawan o paganahon an JavaScript kun dae mo ini pinagana.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 kilometro}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 metro}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} na Haranihon dae nakakanumpong kun yaon saen ka... pakiotroha giraray?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Pakiprubar sa sarong bukas na lugar na igwang marhayon na signal.',
	'mobile-frontend-nearby-noresults' => 'Matuninongon digde... Mayo nin arinman na mga artikulo an mananagboan sa haranihon.', # Fuzzy
	'mobile-frontend-nearby-noresults-guidance' => 'Maprubar na magmukna nin sarong baguhong artikulo o magdugang nin lokasyon sa yaon nang eksistido', # Fuzzy
	'mobile-frontend-nearby-refresh' => 'Kami nakanagbo nin sarong mas eksaktuhong lokasyon para saimo. Paki-klik digde tanganing hunsayon an listahan kan haranihong mga pahina',
	'mobile-frontend-nearby-error' => '{{SITENAME}} na Haranihon igwa nin nagkapirang mga isyu.',
	'mobile-frontend-nearby-error-guidance' => 'Magprubar na paghunsayon an saimong lokasyon.',
	'mobile-frontend-nearby-link' => 'Basaha ining pahina sa kabilogan',
	'mobile-frontend-nearby-directions' => 'Maglibotlibot digdi',
	'mobile-frontend-donate-image-login' => 'Ika dapat nakalaog na tanganing mahiling mo an saimong mga ikinarga.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'Mayong imahe na kaipuhan kaining pahina.',
	'mobile-frontend-photo-upload-anon' => 'Ika kaipong maglaog tanganing makapagdugang nin sarong imahe sa pahinang ini.', # Fuzzy
	'mobile-frontend-photo-upload-protected' => 'Ika mayo tabi nin permiso na magdugang nin sarong imahe sa pahinang ini.',
	'mobile-frontend-photo-upload-unavailable' => 'An saimong pangilyaw dae nagsusuporta sa mga pagkakarga nin imahe.',
	'mobile-frontend-photo-upload-generic' => 'Mag-ambag nin imahe',
	'mobile-frontend-donate-image-title' => 'Mga ikinarga',
	'mobile-frontend-donate-image-heading' => 'An saimong dae pa sana nahaloy na mga kaarambagan',
	'mobile-frontend-donate-image-anon' => 'An $1 pinaghahagad tanganing matanaw an pahina nin mga ikinarga.',
	'mobile-frontend-user-account' => 'panindog nin paragamit',
	'mobile-frontend-listed-image-no-description' => 'Mayong deskripsyon',
	'mobile-frontend-donate-photo-upload-success' => 'Matrayumpo! An saimong imahe ngunyan magagamit na sa {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Matrayumpo! Mabalos para sa saimong enot na kaambagan!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Mag-ambag kan saimong mga imahe. Magtabang sa {{SITENAME}} na mga artikulo na magka-igwa nin buhay!', # Fuzzy
	'mobile-frontend-first-upload-wizard-new-page-1' => 'An mga imahe sa {{SITENAME}} naggigikan sa Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'An saimong mga imahe makakatabang sa pag-edukar nin mga katawohan sa bilog na kinaban',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Maglikay sa mga materyales na igwang katanosan sa pagsasadiri na saimong manunumpungan gikan sa internet siring man sa mga imaheng poster, balat kan libro, ibpa.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Kua mo?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Iyo!',
	'mobile-frontend-watchlist-add' => 'Pinagdugang an $1 sa saimong bantay-listahan',
	'mobile-frontend-watchlist-removed' => 'Pinagtangkas an $1 gikan sa saimong bantay-listahan',
	'mobile-frontend-watchlist-view' => 'Tanawon an saimong bantay-listahan',
	'mobile-frontend-watchlist-more' => 'dakol pa',
	'mobile-frontend-watchlist-cta' => 'Pakilaog lang o magpirma paitaas tanganing mabantayan ining pahina.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Maglaog',
	'mobile-frontend-watchlist-cta-button-signup' => 'Mag-ayon',
	'mobile-frontend-watchlist-login-action' => 'Maglaog tanganing mahiling ini.',
	'mobile-frontend-generic-login-action' => 'Maglaog tanganing maka-ambag.',
	'mobile-frontend-watch-login' => 'Ika dapat nakalaog na tanganing mabantayan an mga pahina.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'Gabos', # Fuzzy
	'mobile-frontend-watchlist-feed' => 'Pinaghira',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'I-klik an bitoon sa ibabaw kan pahina',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Ika sa ngunyan mayong binabantayan na arinmang mga pahina. An saimong bantay-listahan makakatabang saimo na baybayon an mga pahina na ika interesadong gayo. Bantayan an mga pahina sa paagi nin pagdutdot kan ikonong bitoon.',
	'mobile-frontend-watchlist-feed-empty' => 'Mayo nin mga pahina na igwang dae pa sana nahahaloy na mga kaliwatan.',
	'mobile-frontend-watchlist-back-home' => 'Bumalik sa ginikanan',
	'mobile-frontend-changeslist-ip' => 'Dai midbid na paragamit',
	'mobile-frontend-changeslist-nocomment' => 'Mayong sumaryo nin pagliwat',
	'mobile-frontend-watchlist-filter-all' => 'Gabos',
	'mobile-frontend-watchlist-filter-articles' => 'Mga Artikulo', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Pag-urulayan',
	'mobile-frontend-watchlist-filter-other' => 'Iba pa',
	'mobile-frontend-watchlist-modified' => 'Pinaghira $1',
	'mobile-frontend-diffview-404-title' => 'Raot na rebisyon',
	'mobile-frontend-diffview-404-desc' => 'An Id para sa rebisyon na saimong pinaghahagad dae tabi eksistido.',
	'mobile-frontend-diffview-title' => 'Mga Kaliwatan',
	'mobile-frontend-diffview-editcount' => '$1 {{PLURAL:$1|pagliwat|mga pagliwat}}',
	'mobile-frontend-diffview-anonymous' => 'Dai midbid na paragamit',
	'mobile-frontend-diffview-bytesadded' => '$1 na {{PLURAL:$1|bayta|mga bayta}} pinagdugang',
	'mobile-frontend-diffview-bytesremoved' => '$1 na {{PLURAL:$1|bayta|mga bayta}} pinagtangkas',
	'mobile-frontend-diffview-explained' => 'An minasunod na mga linya pinagdugang na (+) asin pinagtangkas na (-):',
	'mobile-frontend-saving-exit-page' => 'An saimong kaambagan itinatagama pa. Kun ika magbaya sa saimong mga kaambagan mawawara. Segurado ka tabi na magluwas na?',
	'mobile-frontend-photo-upload' => 'Magdugang nin imahe sa artikulong ini', # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => 'Nagdugang nin imahe para gamiton sa pahina',
	'mobile-frontend-photo-article-donate-comment' => 'Nag-ambag nin imahe para sa Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Nagdugang nin imahe sa pahina',
	'mobile-frontend-photo-caption-placeholder' => 'Magdugang nin sarong deskripsyon (pinaghahagad)', # Fuzzy
	'mobile-frontend-photo-ownership' => 'Ako si, $1, kagmukna kaining imahe.',
	'mobile-frontend-photo-ownership-help' => 'Ano an boot sabihon kaini?',
	'mobile-frontend-photo-ownership-confirm' => 'Kua ko!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Paseguruhon na an saimong imahe makakatabang sa paglaladawan kan artikulo. Ini dapat na sarong imahe na ika an nagmukna na dae nakakabalga sa katanosan nin pagsasadire.', # Fuzzy
	'mobile-frontend-photo-upload-error' => 'Kasalaan, probari giraray.',
	'mobile-frontend-photo-upload-error-file-type' => 'Pakikarga sana tabi nin mga imahe.',
	'mobile-frontend-photo-upload-error-filename' => 'Kasalaan, pakitao tabi nin mas deskriptibong sumaryo.',
	'mobile-frontend-photo-upload-success-article' => 'Matrayumpo! An saimong imahe ngunyan buhay na sa pahinang ini.',
	'mobile-frontend-photo-license' => 'Sa pag-klik kan "Isumite", ika minauyon sa samuyang [//wikimediafoundation.org/wiki/Terms_of_use Mga Termino nin Paggamit] asin minauyon ka sa pagbuhi kan saimong imahe sa irarom kan [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0 License].', # Fuzzy
	'mobile-frontend-photo-submit' => 'Isumite',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> ikinarga|<span>$1</span> mga ikinarga}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ an mga ikinarga',
	'mobile-frontend-editor-disabled' => 'Ika dae tabi pinagtutugutan na magliliwat kaining pahina.', # Fuzzy
	'mobile-frontend-editor-cta' => 'Ika dapat nakalaog na tanganing makapagliwat nin mga pahina na magíwas.', # Fuzzy
	'mobile-frontend-editor-edit' => 'Liwaton',
	'mobile-frontend-editor-continue' => 'Padaguson',
	'mobile-frontend-editor-save' => 'Itagama',
	'mobile-frontend-editor-cancel' => 'Kanselaron',
	'mobile-frontend-editor-keep-editing' => 'Dagusa an pagliliwat',
	'mobile-frontend-editor-license' => 'Sa pag-klik kan "Itagama", ika minauyon sa samuyang [//wikimediafoundation.org/wiki/Terms_of_use Mga Termino nin Paggamit] asin minauyon ka sa pagbuhi kan saimong teksto sa irarom kan [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0 License].', # Fuzzy
	'mobile-frontend-editor-placeholder' => 'Ining seksyon daeng laman. Magin enot sa pagpapalawig kaini!',
	'mobile-frontend-editor-summary-placeholder' => 'Sabiha samuya kun ano baya an saimong pinagbago (opsyonal)',
	'mobile-frontend-editor-cancel-confirm' => 'Muya mo talagang bayaan an saimong pagliwat?',
	'mobile-frontend-editor-wait' => 'Itinatagama pa an pigliwat, pakihalat tabi.',
	'mobile-frontend-editor-success' => 'Matrayumpo! An saimong pigliwat ipinagtagama na.',
	'mobile-frontend-editor-success-landmark-1' => 'Karokyawan saimo, ika ngunyan saro nang {{SITENAME}} na paraliwat!',
	'mobile-frontend-editor-error' => 'Kasalaan, an pigliwat dae ipinagtagama.',
	'mobile-frontend-editor-error-conflict' => 'Kasalaan, may ibang paragamit an nagliwat kaining pahina.',
	'mobile-frontend-editor-error-loading' => 'Kasalaan, dae maikakarga an seksyon.',
	'mobile-frontend-editor-error-preview' => 'Kasalaan, igwang dae pig-aasahang nangyari habang ikinakarga an patanaw. Pakiserado asin prubare giraray.',
	'tag-mobile_edit' => 'Magiwasong pagliwat',
	'tag-mobile_edit-description' => 'Pagliwat na hinimo gikan sa magíwasong sityo',
	'mobile-frontend-drawer-cancel' => 'Kanselaron',
	'mobile-frontend-talk-explained' => 'An minasunod na urulay aktibo sa ngunyan',
	'mobile-frontend-talk-explained-empty' => 'Mayo nin orolayan mapanungod sa pahinang ini.',
	'mobile-frontend-talk-overlay-header' => 'Pag-ulayan',
	'mobile-frontend-talk-overlay-lead-header' => 'Daeng ngaran na diskusyon',
	'mobile-frontend-talk-add-overlay-submit' => 'Magdugang nin diskusyon',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Tema nin subheto',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Ano an yaon sa saimong isip?',
	'mobile-frontend-talk-edit-summary' => 'Baguhong seksyon nin orolayan: $1',
	'mobile-frontend-talk-reply-success' => 'An saimong simbag matrayumpong ipinagtagama sa pahina nin orolay.',
	'mobile-frontend-talk-reply-info' => 'Tandai an saimong simbag awtomatikong pinagpirmahan nin saimong ngaran-paragamit.',
	'mobile-frontend-talk-reply' => 'Kasimbagan',
);

/** Belarusian (беларуская)
 */
$messages['be'] = array(
	'mobile-frontend-copyright' => "Тэкст даступны па <a href=\"http://creativecommons.org/licenses/by-sa/3.0/deed.be\">ліцэнзіі Creative Commons Attribution/Share-Alike</a>, у асобных выпадках могуць дзейнічаць дадатковыя ўмовы. Больш падрабязна глядзі <a href='http://wikimediafoundation.org/wiki/%D0%A3%D0%BC%D0%BE%D0%B2%D1%8B_%D0%B2%D1%8B%D0%BA%D0%B0%D1%80%D1%8B%D1%81%D1%82%D0%B0%D0%BD%D1%8C%D0%BD%D1%8F'>Умовы выкарыстаньня</a>. «{{SITENAME}}» — зарэгістраваная гандлёвая марка некамерцыйнай арганізацыі «<a href='http://www.wikimediafoundation.org/'>Фонд Вікімэдыя</a>».", # Fuzzy
);

/** Belarusian (Taraškievica orthography) (беларуская (тарашкевіца)‎)
 * @author EugeneZelenko
 * @author Jim-by
 * @author Renessaince
 * @author Wizardist
 * @author Zedlik
 */
$messages['be-tarask'] = array(
	'nearby' => 'Старонкі побач з вамі',
	'mobile-frontend-desc' => 'Мабільны інтэрфэйс',
	'mobile-frontend-search-submit' => 'Знайсьці',
	'mobile-frontend-home-button' => 'Хатняя',
	'mobile-frontend-logged-out' => 'Вы не ўвайшлі ў сыстэму',
	'mobile-frontend-logged-in-homepage-notification' => 'Вітаем, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Увайшлі як $1',
	'mobile-frontend-sign-up-heading' => 'Зарэгістравацца',
	'mobile-frontend-sign-in-heading' => 'Увайсьці',
	'mobile-frontend-sign-in-why' => 'Калі ў вас ёсьць рахунак у {{GRAMMAR:месны|{{SITENAME}}}}, можаце прадставіцца ніжэй.',
	'mobile-frontend-sign-in-error-heading' => 'Ой',
	'mobile-frontend-settings-description' => 'Налады ніжэй дапамогуць вам дастасаваць выгляд мабільнага сайту для сябе.',
	'mobile-frontend-settings-beta' => 'Бэта',
	'mobile-frontend-settings-alpha' => 'Экспэрымэнтальны рэжым',
	'mobile-frontend-settings-alpha-description' => 'Завітайце ў небясьпечную й неразьведаную мабільную тэрыторыю. Напаткайце яшчэ больш экспэрымэнтальных магчымасьцяў, поўных хібаў.',
	'mobile-frontend-save-settings' => 'Захаваць',
	'mobile-frontend-random-button' => 'Выпадковая',
	'mobile-frontend-back-to-top-of-section' => 'Вярнуцца да папярэдняй сэкцыі',
	'mobile-frontend-regular-site' => 'Поўная вэрсія',
	'mobile-frontend-wml-continue' => 'Далей …',
	'mobile-frontend-wml-back' => 'Вярнуцца …',
	'mobile-frontend-view' => 'Мабільная вэрсія',
	'mobile-frontend-view-desktop' => 'Для кампутара',
	'mobile-frontend-view-mobile' => 'Для тэлефону',
	'mobile-frontend-opt-in-explain' => 'Далучыўшыся да тэставаньня бэта-вэрсіі, Вы атрымаеце доступ да экспэрымэнтальных магчымасьцяў, але з рызыкай памылак і праблемаў.',
	'mobile-frontend-images-status' => 'Выявы',
	'mobile-frontend-disable-images' => 'Забараніць выявы на сайце для мабільных тэлефонаў',
	'mobile-frontend-enable-images' => 'Дазволіць выявы на сайце для мабільных тэлефонаў',
	'mobile-frontend-missing-image' => 'Выява',
	'mobile-frontend-off' => 'ВЫКЛ',
	'mobile-frontend-on' => 'УКЛ',
	'mobile-frontend-featured-article' => 'Сёньняшні абраны артыкул',
	'mobile-frontend-news-items' => 'Навіны',
	'mobile-frontend-language-article-heading' => 'Чытаць на іншай мове',
	'mobile-frontend-language-header' => 'Гэтая старонка даступная на $1 {{PLURAL:$1|1=мове|мовах}}', # Fuzzy
	'mobile-frontend-language-variant-header' => 'Выберыце варыянт мовы {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Заўвага: гэтая старонка, магчыма, напісаная не на пажаданай мове. Вы можаце аглядзець сьпіс моваў, якія падтрымлівае {{SITENAME}}, пстрыкнуўшы тут.',
	'mobile-frontend-language-site-choose' => 'Пошук мовы',
	'mobile-frontend-username' => 'Імя ўдзельніка:',
	'mobile-frontend-password' => 'Пароль:',
	'mobile-frontend-username-placeholder' => 'Імя ўдзельніка',
	'mobile-frontend-password-placeholder' => 'Пароль',
	'mobile-frontend-login' => 'Увайсьці',
	'mobile-frontend-history' => 'Праглядзець гісторыю зьменаў гэтай старонкі.',
	'mobile-frontend-last-modified-date' => 'Апошнія зьмены $1 а $2',
	'mobile-frontend-last-modified-seconds' => 'Апошнія зьмены {{PLURAL:$1|$1 сэкунду|$1 сэкунды|$1 сэкундаў}} таму',
	'mobile-frontend-last-modified-minutes' => 'Апошнія зьмены {{PLURAL:$1|$1 хвіліну|$1 хвіліны|$1 хвілінаў}} таму',
	'mobile-frontend-last-modified-hours' => 'Апошнія зьмены {{PLURAL:$1|$1 гадзіну|$1 гадзіны|$1 гадзінаў}} таму',
	'mobile-frontend-last-modified-days' => 'Апошнія зьмены {{PLURAL:$1|$1 дзень|$1 дні|$1 дзён}} таму',
	'mobile-frontend-last-modified-months' => 'Апошнія зьмены {{PLURAL:$1|$1 месяц|$1 месяц|$1 месяцаў}} таму',
	'mobile-frontend-last-modified-years' => 'Апошнія зьмены {{PLURAL:$1|$1 год|$1 гады|$1 гадоў}} таму',
	'mobile-frontend-learn-more' => 'Даведацца болей',
	'mobile-frontend-account-create-submit' => 'Зарэгістравацца',
	'mobile-frontend-password-confirm-placeholder' => 'Пацьвердзіце пароль',
	'mobile-frontend-account-create-email-placeholder' => 'Адрас e-mail (неабавязкова)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Увядзіце код бясьпекі', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Вярнуцца',
	'mobile-frontend-placeholder' => 'Шукайце ў {{GRAMMAR:месны|{{SITENAME}}}}',
	'mobile-frontend-placeholder-beta' => 'Шукайце ў {{GRAMMAR:месны|{{SITENAME}}}} (бэта)',
	'mobile-frontend-placeholder-alpha' => 'Шукайце ў {{GRAMMAR:месны|{{SITENAME}}}} (экспэрымэнтальна)',
	'mobile-frontend-search-help' => 'Пасуючыя старонкі будуць зьяўляцца, як вы ўводзіце пошукавы запыт.',
	'mobile-frontend-dismiss-notification' => 'схаваць паведамленьне',
	'mobile-frontend-clear-search' => 'Ачысьціць',
	'mobile-frontend-privacy-link-text' => 'Прыватнасьць',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Зьмест даступны на ўмовах ліцэнзіі [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; могуць ужывацца дадатковыя ўмовы.',
	'mobile-frontend-copyright' => "Тэкст распаўсюджваецца на ўмовах ліцэнзіі <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; могуць прымяняцца дадатковыя ўмовы. Глядзіце
падрабязнасьці ва <a href='http://wikimediafoundation.org/wiki/Умовы_выкарыстаньня'>Ўмовах карыстаньня</a>. «{{SITENAME}}» — зарэгістраваная гандлёвая марка некамэрцыйнай арганізацыі <a href='http://www.wikimediafoundation.org/'>фундацыя «Вікімэдыя»</a>.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Кантакты',
	'mobile-frontend-search-noresults' => 'Старонкі, чые загалоўкі б пасавалі вашаму запыту, ня знойдзеныя. Зьмяніце запыт, або націсьніце на клявіятуры кнопку пошуку, каб шукаць у зьмесьце старонак.',
	'mobile-frontend-main-menu-button-tooltip' => 'Адкрыць галоўнае мэню',
	'mobile-frontend-main-menu-page-title' => 'Навігацыя па сайце',
	'mobile-frontend-main-menu-featured' => 'Абранае',
	'mobile-frontend-main-menu-nearby' => 'Побач',
	'mobile-frontend-main-menu-login' => 'Увайсьці',
	'mobile-frontend-main-menu-logout' => 'Выйсьці',
	'mobile-frontend-main-menu-watchlist' => 'Сьпіс назіраньня',
	'mobile-frontend-main-menu-settings' => 'Налады',
	'mobile-frontend-main-menu-upload' => 'Запампоўкі',
	'mobile-frontend-main-menu-settings-heading' => 'Налады',
	'mobile-frontend-settings-site-header' => 'Мовы {{GRAMMAR:родны|{{SITENAME}}}}',
	'mobile-frontend-settings-site-description' => 'Праект «{{SITENAME}}» даступны на $1 {{PLURAL:$1|1=мове|мовах}}. Ніжэй выкладзеныя ўсе даступныя вэрсіі.', # Fuzzy
	'mobile-frontend-main-menu-account-create' => 'Стварыць рахунак',
	'mobile-frontend-page-menu-contents' => 'зьмест',
	'mobile-frontend-page-menu-history' => 'Гісторыя',
	'mobile-frontend-meta-data-issues-header' => 'Хібы',
	'mobile-frontend-meta-data-issues' => 'Гэтая старонка мае хібы',
	'mobile-frontend-page-saving' => 'Захоўваем «$1»',
	'mobile-frontend-user-cta' => 'Увайдзіце або зарэгіструйцеся, каб пабачыць вашыя абвесткі.',
	'mobile-frontend-user-button-tooltip' => 'Паказаць мае абвесткі',
	'mobile-frontend-nearby-to-page' => 'Наступныя старонкі адносяцца да $1 паводле геаграфічнага становішча',
	'mobile-frontend-nearby-title' => 'Побач',
	'mobile-frontend-nearby-loading' => 'Загрузка тэмаў побач з вамі',
	'mobile-frontend-nearby-requirements' => 'Даруйце! Ваш браўзэр не падтрымлівае функцыю {{SITENAME}} Побач.',
	'mobile-frontend-nearby-requirements-guidance' => 'Паспрабуйце іншы браўзэр або ўключыце JavaScript, калі ён выключаны.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 км}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 м}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} Побач ня можа вызначыць, дзе вы... спрабаваць яшчэ?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Паспрабуйце знайсьці месца зь лепшым прыёмам сыгналу.',
	'mobile-frontend-nearby-noresults' => 'Нешта ціха... Мы не знайшлі для вас старонак побач.',
	'mobile-frontend-nearby-noresults-guidance' => 'Паспрабуйце стварыць новую старонку або дадаць каардынаты да існай',
	'mobile-frontend-nearby-refresh' => 'Мы атрымалі вашае болей дакладнае становішча. Націсьніце тут, каб абнавіць сьпіс блізкіх старонак',
	'mobile-frontend-nearby-error' => '{{SITENAME}} Побач спазнаў праблемы.',
	'mobile-frontend-nearby-error-guidance' => 'Паспрабуйце абнавіць вашае месцазнаходжаньне.',
	'mobile-frontend-nearby-link' => 'Прачытаць старонку цалкам',
	'mobile-frontend-nearby-directions' => 'Навігацыя',
	'mobile-frontend-donate-image-login' => 'Увайдзіце, каб праглядзець вашыя запампоўкі.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'Гэтая старонка не вымагае выявы.',
	'mobile-frontend-photo-upload-anon' => 'Трэба ўвайсьці, каб дадаць выяву на гэтую старонку.', # Fuzzy
	'mobile-frontend-photo-upload-protected' => 'Вы ня маеце дазволу дадаваць выявы на гэтую старонку.',
	'mobile-frontend-photo-upload-unavailable' => 'Ваш браўзэр не падтрымлівае запампоўку выяваў.',
	'mobile-frontend-photo-upload-generic' => 'Загрузіць выяву',
	'mobile-frontend-donate-image-title' => 'Загрузкі',
	'mobile-frontend-donate-image-heading' => 'Ваш нядаўні ўнёсак',
	'mobile-frontend-user-account' => 'рахунак удзельніка',
	'mobile-frontend-listed-image-no-description' => 'Без апісаньня',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Вашыя выявы дапамагаюць вучыць людзей па ўсім сьвеце',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Пазьбягайце матэрыялаў з інтэрнэту, што ахоўваюцца аўтарскім правам, як то выявы постэраў, вокладак кніг і т. п.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Зразумелі?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Так!',
	'mobile-frontend-watchlist-add' => '$1 дададзена ў сьпіс назіраньня',
	'mobile-frontend-watchlist-removed' => '$1 выдалена са сьпісу назіраньня',
	'mobile-frontend-watchlist-view' => 'Праглядзець сьпіс назіраньня',
	'mobile-frontend-watchlist-more' => 'болей',
	'mobile-frontend-watchlist-cta-button-login' => 'Увайсьці',
	'mobile-frontend-watchlist-cta-button-signup' => 'Зарэгістравацца',
	'mobile-frontend-watchlist-a-z' => 'Сьпіс',
	'mobile-frontend-watchlist-feed' => 'Зьмененыя',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Пстрыкніце зорачку ўверсте старонкі',
	'mobile-frontend-changeslist-ip' => 'Ананімны ўдзельнік',
	'mobile-frontend-changeslist-nocomment' => 'няма апісаньня зьменаў',
	'mobile-frontend-watchlist-filter-all' => 'Усе',
	'mobile-frontend-watchlist-filter-articles' => 'Артыкулы', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Абмеркаваньні',
	'mobile-frontend-watchlist-filter-other' => 'Іншыя',
	'mobile-frontend-diffview-title' => 'Зьмены',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|зьмена|зьмены|зьменаў}}',
	'mobile-frontend-diffview-anonymous' => 'Ананімны ўдзельнік',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|байт дададзены|байты дададзена|байтаў дададзена}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|байт выдалены|байты выдалена|байтаў выдалена}}',
	'mobile-frontend-saving-exit-page' => 'Ваш унёсак яшчэ захохоўваецца. Калі вы сыйдзеце, зьмены будуць згубленыя. Вы ўпэўненыя, што хочаце выйсьці?',
	'mobile-frontend-photo-upload' => 'Дадайце першую выяву ў гэты артыкул', # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => 'Дададзеная выява для выкарыстаньня ў артыкуле', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'Дададзеная выява ў артыкул', # Fuzzy
	'mobile-frontend-photo-caption-placeholder' => 'Дадайце подпіс да гэтай выявы', # Fuzzy
	'mobile-frontend-image-loading' => 'Загрузка выявы',
	'mobile-frontend-image-uploading-wait' => 'Запампоўка выявы', # Fuzzy
	'mobile-frontend-photo-upload-error' => 'Пры запампоўцы выявы адбылася памылка. Паспрабуйце іншую.', # Fuzzy
	'mobile-frontend-photo-license' => 'Увага: усе здымкі, што вы публікуеце, пубудць даступныя на ўмовах ліцэнзіі [//en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License CC BY-SA].', # Fuzzy
	'mobile-frontend-photo-cancel' => 'Скасаваць',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ загрузак',
	'mobile-frontend-editor-edit' => 'Рэдагаваць',
	'mobile-frontend-editor-save' => 'Захаваць',
	'mobile-frontend-editor-cancel' => 'Скасаваць',
	'tag-mobile_edit' => 'Праўка з тэлефона',
	'mobile-frontend-drawer-cancel' => 'Скасаваць',
	'mobile-frontend-talk-overlay-header' => 'Абмеркаваньне',
);

/** Bulgarian (български)
 * @author DCLXVI
 * @author Ivanko
 * @author Spiritia
 * @author Stanqo
 * @author Vladimir Penov
 * @author පසිඳු කාවින්ද
 */
$messages['bg'] = array(
	'mobilefrontend-keepgoing-cancel' => 'Не, благодаря',
	'mobilefrontend-keepgoing-suggest' => 'Да, моля',
	'mobile-frontend-search-submit' => 'Отиване',
	'mobile-frontend-home-button' => 'Начало',
	'mobile-frontend-sign-up-heading' => 'Регистриране',
	'mobile-frontend-sign-in-heading' => 'Влизане',
	'mobile-frontend-settings-beta' => 'Бета',
	'mobile-frontend-save-settings' => 'Съхраняване на настройките', # Fuzzy
	'mobile-frontend-random-button' => 'Случайна',
	'mobile-frontend-back-to-top-of-section' => 'Един раздел назад',
	'mobile-frontend-close-section' => 'Затворете този раздел',
	'mobile-frontend-regular-site' => 'Настолен изглед',
	'mobile-frontend-wml-continue' => 'Продължава...',
	'mobile-frontend-wml-back' => 'Назад...',
	'mobile-frontend-view' => 'Мобилен изглед',
	'mobile-frontend-images-status' => 'Изображения',
	'mobile-frontend-disable-images' => 'Спиране на изображенията по сайта',
	'mobile-frontend-enable-images' => 'Пускане на изображенията по сайта',
	'mobile-frontend-missing-image' => 'Изображение',
	'mobile-frontend-off' => 'ИЗКЛ.',
	'mobile-frontend-on' => 'ВКЛ.',
	'mobile-frontend-featured-article' => 'Избрана статия на деня', # Fuzzy
	'mobile-frontend-news-items' => 'В новините',
	'mobile-frontend-language-article-heading' => 'Прочитане на друг език',
	'mobile-frontend-language-site-choose' => 'Избиране на език:',
	'mobile-frontend-username' => 'Потребителско име:',
	'mobile-frontend-password' => 'Парола:',
	'mobile-frontend-username-placeholder' => 'Потребителско име',
	'mobile-frontend-password-placeholder' => 'Парола',
	'mobile-frontend-login' => 'Влизане',
	'mobile-frontend-account-create-submit' => 'Регистриране',
	'mobile-frontend-placeholder' => 'Търсене в {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Търсене в {{SITENAME}} (бета)',
	'mobile-frontend-clear-search' => 'Изчистване',
	'mobile-frontend-privacy-link-text' => 'Поверителност',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => "Този текст е лицензиран под условията на договора <a href='http://creativecommons.org/licenses/by-sa/3.0/deed.bg'> Криейтив Комънс Признание-Споделяне на споделеното 3.0 Нелокализиран</a>; към който могат да са в сила и допълнителни условия. Вижте <a href='http://wikimediafoundation.org/wiki/Terms_of_Use/bg'>Условия за ползване</a> за подробности. Уикипедия е запазена марка на <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, организация с нестопанска цел.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Контакт',
	'mobile-frontend-main-menu-button-tooltip' => 'Отвори главното меню',
	'mobile-frontend-main-menu-page-title' => 'Навигация на сайта',
	'mobile-frontend-main-menu-featured' => 'Избрана',
	'mobile-frontend-main-menu-nearby' => 'Наблизо',
	'mobile-frontend-main-menu-login' => 'Влизане',
	'mobile-frontend-main-menu-logout' => 'Излизане',
	'mobile-frontend-main-menu-settings' => 'Настройки',
	'mobile-frontend-main-menu-settings-heading' => 'Настройки за мобилен сайт', # Fuzzy
	'mobile-frontend-page-menu-contents' => 'съдържание',
	'mobile-frontend-page-menu-history' => 'История',
	'mobile-frontend-watchlist-cta-button-login' => 'Влизане',
	'mobile-frontend-watchlist-cta-button-signup' => 'Регистриране',
	'mobile-frontend-watchlist-filter-all' => 'Всички',
	'mobile-frontend-watchlist-filter-talk' => 'Беседа',
	'mobile-frontend-watchlist-filter-other' => 'Други',
	'mobile-frontend-drawer-cancel' => 'Отказване',
);

/** Bhojpuri (भोजपुरी)
 * @author Amire80
 */
$messages['bho'] = array(
	'mobile-frontend-home-button' => 'घर',
	'mobile-frontend-sign-up-heading' => 'खाता खोलीं',
	'mobile-frontend-sign-in-heading' => 'खाता मे प्रवेश करीं',
);

/** Bengali (বাংলা)
 * @author Aftab1995
 * @author Bellayet
 * @author Nasir8891
 * @author Tauhid16
 */
$messages['bn'] = array(
	'mobilefrontend-random-explain' => 'আপনি এই পাতাটি পড়তে আগ্রহী?',
	'mobilefrontend-random-cancel' => 'আমাকে পড়তে দাও!',
	'mobilefrontend-keepgoing-ask-first' => 'আপনার প্রথম সম্পাদনার জন্য আপনাকে স্বাগতম! আপনি অন্য কোনো পাতা সম্পাদনা করতে চান?',
	'mobilefrontend-keepgoing-explain' => 'শুভেচ্ছা! তাপাটি আরও একজন ব্যবহারকারী উপকারী হিসাবে চিহ্নিত করেছেন। এটি চেষ্টা করুন অথবা অপর কোনটি।',
	'mobilefrontend-keepgoing-cancel' => 'না, ধন্যবাদ',
	'mobilefrontend-keepgoing-suggest' => 'হ্যাঁ, অনুগ্রহ করে',
	'mobilefrontend-keepgoing-suggest-again' => 'অন্য একটি চেষ্টা করুন',
	'mobilefrontend-keepgoing-saved-title' => 'সম্পাদনা সংরক্ষিত হয়েছে!',
	'mobilefrontend-keepgoing-links-title' => 'সংযোগ যোগ করুন',
	'nearby' => 'আপনার কাছাকাছি পাতাসমূহ',
	'mobile-frontend-desc' => 'মোবাইল ফ্রন্টএন্ড',
	'mobile-frontend-search-submit' => 'যাও',
	'mobile-frontend-home-button' => 'প্রধান পাতা',
	'mobile-frontend-logged-out' => 'লগইন করা হয়নি',
	'mobile-frontend-logged-in-homepage-notification' => 'স্বাগতম, $1!',
	'mobile-frontend-logged-in-toast-notification' => '$1 হিসাবে প্রবেশ।',
	'mobile-frontend-generic-404-title' => 'ভুল - পাতাটি খুঁজে পাওয়া যায়নি',
	'mobile-frontend-sign-up-heading' => 'নিবন্ধন',
	'mobile-frontend-sign-in-heading' => 'প্রবেশ',
	'mobile-frontend-sign-in-why' => 'আপনার যদি {{SITENAME}}-এ অ্যাকাউন্ট থাকে, তবে নিচের থেকে সাইন ইন করুন।',
	'mobile-frontend-sign-in-error-heading' => 'ওহ',
	'mobile-frontend-settings-description' => 'মোবাইল থেকে সহজে ব্যবহার করার জন্য মোবাইলের উপযোগী পছন্দসমূহ নির্ধারন করুন।',
	'mobile-frontend-settings-beta' => 'বেটা সংস্করণ',
	'mobile-frontend-settings-alpha' => 'পরীক্ষামূলক মোড',
	'mobile-frontend-save-settings' => 'সংরক্ষণ',
	'mobile-frontend-random-button' => 'অজানা পাতা',
	'mobile-frontend-back-to-top-of-section' => 'অনুচ্ছেদে ফিরে যাও',
	'mobile-frontend-regular-site' => 'ডেক্সটপ সংস্করণ',
	'mobile-frontend-wml-continue' => 'অব্যাহত ...',
	'mobile-frontend-wml-back' => 'পিছনে ...',
	'mobile-frontend-view' => 'মোবাইল সংস্করণ',
	'mobile-frontend-view-desktop' => 'ডেক্সটপ',
	'mobile-frontend-view-mobile' => 'মোবাইল',
	'mobile-frontend-opt-in-explain' => 'বেটায় অংশগ্রহনের মাধ্যমে আপনি, পরীক্ষামূলক বৈশিষ্টগুলো ব্যবহারের সুযোগ পাবেন, তবে এখানে বাগ এবং ত্রুটিপূর্ণ বৈশিষ্ট থাকতে পারে।',
	'mobile-frontend-images-status' => 'চিত্রসমূহ',
	'mobile-frontend-disable-images' => 'মোবাইল সাইটে চিত্র নিস্ক্রিয়',
	'mobile-frontend-enable-images' => 'মোবাইল সাইটে চিত্র সক্রিয়',
	'mobile-frontend-expand-sections-status' => 'সব অনুচ্ছেদ বিস্তৃত করুন',
	'mobile-frontend-missing-image' => 'চিত্র',
	'mobile-frontend-off' => 'বন্ধ',
	'mobile-frontend-on' => 'চালু',
	'mobile-frontend-featured-article' => 'আজকের নির্বাচিত নিবন্ধ',
	'mobile-frontend-news-items' => 'আপনি জানেন কি...',
	'mobile-frontend-languages-header' => 'ভাষাসমূহ',
	'mobile-frontend-languages-nonexistent-title' => '"$1" শিরোনামে কোন পাতা নেই।',
	'mobile-frontend-languages-text' => '$1 পাতাটি $2টি {{PLURAL:$2|ভাষায়}} উপলব্ধ রয়েছে।',
	'mobile-frontend-language-heading' => '<strong>ভাষাসমূহ</strong>',
	'mobile-frontend-language-article-heading' => 'অন্য ভাষায় পড়ুন',
	'mobile-frontend-language-header' => 'এই পাতাটি $1টি {{PLURAL:$1|ভাষায়}} রয়েছে',
	'mobile-frontend-language-site-choose' => 'ভাষা অনুসন্ধান',
	'mobile-frontend-username' => 'ব্যবহারকারী নাম:',
	'mobile-frontend-password' => 'শব্দচাবি:',
	'mobile-frontend-username-placeholder' => 'ব্যবহারকারী নাম',
	'mobile-frontend-password-placeholder' => 'শব্দচাবি (Password)',
	'mobile-frontend-login' => 'প্রবেশ',
	'mobile-frontend-history' => 'এই পাতার ইতিহাস দেখাও।',
	'mobile-frontend-history-404-title' => 'এই ধরনের কোন পাতা নেই',
	'mobile-frontend-history-summary' => '[[:$1]] পাতার ইতিহাস',
	'mobile-frontend-last-modified-date' => 'সর্বশেষ পরিবর্তন $2, $1 তারিখে',
	'mobile-frontend-last-modified-seconds' => 'সর্বশেষ পরিবর্তন {{PLURAL:$1|$1 সেকেন্ড}} আগে',
	'mobile-frontend-last-modified-minutes' => 'সর্বশেষ পরিবর্তন {{PLURAL:$1|$1 মিনিট}} আগে',
	'mobile-frontend-last-modified-hours' => 'সর্বশেষ পরিবর্তন {{PLURAL:$1|$1 ঘন্টা}} আগে',
	'mobile-frontend-last-modified-days' => 'সর্বশেষ পরিবর্তন {{PLURAL:$1|$1 দিন}} আগে',
	'mobile-frontend-last-modified-months' => 'সর্বশেষ পরিবর্তন {{PLURAL:$1|$1 মাস}} আগে',
	'mobile-frontend-last-modified-years' => 'সর্বশেষ পরিবর্তন {{PLURAL:$1|$1 বছর}} আগে',
	'mobile-frontend-last-modified-just-now' => 'সর্বশেষ পরিবর্তন এইমাত্র হয়েছে',
	'mobile-frontend-view-source' => 'উৎস দেখুন',
	'mobile-frontend-account-create-submit' => 'নিবন্ধন',
	'mobile-frontend-password-confirm-placeholder' => 'শব্দচাবি নিশ্চিতকরণ',
	'mobile-frontend-account-create-email-placeholder' => 'ইমেইল ঠিকানা (ঐচ্ছিক)',
	'mobile-frontend-account-create-captcha-placeholder' => 'নিশ্চিতকরণ কোড লিখুন',
	'mobile-frontend-overlay-escape' => 'ফিরে যাও',
	'mobile-frontend-overlay-close' => 'বন্ধ',
	'mobile-frontend-overlay-continue' => 'অব্যাহত',
	'mobile-frontend-placeholder' => '{{SITENAME}} অনুসন্ধান',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}} অনুসন্ধান (বিটা)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}} অনুসন্ধান (পরীক্ষামূলক)',
	'mobile-frontend-dismiss-notification' => 'নোটিফিকেশন বন্ধ করুন',
	'mobile-frontend-clear-search' => 'পরিস্কার',
	'mobile-frontend-privacy-link-text' => 'গোপনীয়তা',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'তথ্য প্রকাশিত হয়েছে [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] লাইসেন্সের অধিনে; এর সাথে বাড়তি পদ প্রযোজ্য হতে পারে।',
	'mobile-frontend-copyright' => "এ লেখা <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>ক্রিয়েটিভ কমন্স এট্রিবিউশন/সেয়ার-এলাইক লাইসেন্সের</a> আওতায় প্রকাশিত; এর সাথে বাড়তি পদ যুক্ত হতে পারে। বিস্তারিত জানতে <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>ব্যবহারের শর্তাবলী</a> দেখুন। উইকিপিডিয়া <a href='http://www.wikimediafoundation.org/'>উইকিমিডিয়া ফাউন্ডেশন, ইনকর্পোরেশন</a> এর নিবন্ধিত ট্রেডমার্ক, যা একটি অলাভজনক প্রতিষ্ঠান।", # Fuzzy
	'mobile-frontend-footer-contact' => 'যোগাযোগ',
	'mobile-frontend-terms-text' => 'ব্যবহারের শর্তাবলী',
	'mobile-frontend-main-menu-button-tooltip' => 'প্রধান মেনু খুলুন',
	'mobile-frontend-main-menu-page-title' => 'সাইট পরিভ্রমণ',
	'mobile-frontend-main-menu-featured' => 'নির্বাচিত',
	'mobile-frontend-main-menu-nearby' => 'কাছাকাছি',
	'mobile-frontend-main-menu-login' => 'প্রবেশ',
	'mobile-frontend-main-menu-logout' => 'প্রস্থান',
	'mobile-frontend-main-menu-watchlist' => 'নজর তালিকা',
	'mobile-frontend-main-menu-settings' => 'সেটিং',
	'mobile-frontend-main-menu-upload' => 'আপলোড',
	'mobile-frontend-main-menu-settings-heading' => 'সেটিংস',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} ভাষাসমূহ',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} মোট $1 {{PLURAL:$1|টি ভাষায়}} ব্যবহার করা যায়। সকল ভাষার সংস্করণগুলো নিচে দেখানো হল',
	'mobile-frontend-main-menu-account-create' => 'নতুন অ্যাকাউন্ট খুলুন',
	'mobile-frontend-page-menu-contents' => 'বিষয়বস্তু',
	'mobile-frontend-page-menu-history' => 'ইতিহাস',
	'mobile-frontend-meta-data-issues-header' => 'ইস্যু',
	'mobile-frontend-meta-data-issues' => 'এই পাতায় কিছু ইস্যু রয়েছে',
	'mobile-frontend-page-saving' => '$1 সংরক্ষণ হচ্ছে',
	'mobile-frontend-user-cta' => 'লগইন করুন অথবা নিবন্ধন করে নোটিফিকেশন দেখুন।',
	'mobile-frontend-user-button-tooltip' => 'আমার নোটিফিকেশনগুলো দেখাও',
	'mobile-frontend-nearby-title' => 'কাছাকাছি',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 কিমি}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 মি}}',
	'mobile-frontend-nearby-error-guidance' => 'আপনার অবস্থান রিফ্রেশ করার চেষ্টা করুন।',
	'mobile-frontend-nearby-link' => 'পূর্ণ স্ক্রিনে এই পাতাটি পড়ুন',
	'mobile-frontend-donate-image-nouploads' => 'কোনো আপলোড নেই।',
	'mobile-frontend-donate-image-login' => 'আপনাকে আপনার আপলোড দেখতে হলে অবশ্যই প্রবেশ করতে হবে।', # Fuzzy
	'mobile-frontend-donate-image-title' => 'আপলোড',
	'mobile-frontend-donate-image-heading' => 'আপনার সাম্প্রতিক অবদানসমূহ',
	'mobile-frontend-user-account' => 'ব্যবহারকারী অ্যাকাউন্ট',
	'mobile-frontend-listed-image-no-description' => 'বিবরণ নেই',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'বুঝতে পেরেছেন?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'হ্যাঁ!',
	'mobile-frontend-watchlist-add' => 'আপনার নজরতালিকায় $1 যোগ করা হয়েছে',
	'mobile-frontend-watchlist-removed' => 'আপনার নজরতালিকা থেকে $1 সরানো হয়েছে',
	'mobile-frontend-watchlist-view' => 'আপনার নজরতালিকা দেখুন',
	'mobile-frontend-watchlist-more' => 'আরও',
	'mobile-frontend-watchlist-cta' => 'এই পাতাটি দেখার জন্য অনুগ্রহপূর্বক প্রবেশ করুন অথবা নিবন্ধিত হোন।', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'প্রবেশ',
	'mobile-frontend-watchlist-cta-button-signup' => 'নিবন্ধন',
	'mobile-frontend-watch-login' => 'পাতাসমূহ দেখার জন্য আপনাকে অবশ্যই প্রবেশ বা লগইন করতে হবে।', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'তালিকা',
	'mobile-frontend-watchlist-feed' => 'পরিবর্তিত',
	'mobile-frontend-changeslist-nocomment' => 'সম্পাদনা সারাংশ নেই',
	'mobile-frontend-watchlist-filter-all' => 'সমস্ত',
	'mobile-frontend-watchlist-filter-articles' => 'পাতাগুলি',
	'mobile-frontend-watchlist-filter-talk' => 'আলাপ',
	'mobile-frontend-watchlist-filter-other' => 'অন্য',
	'mobile-frontend-watchlist-modified' => '$1 পরিবর্তিত',
	'mobile-frontend-diffview-404-title' => 'খারাপ সংশোধন',
	'mobile-frontend-diffview-title' => 'পরিবর্তনসমূহ',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|সম্পাদনা}}',
	'mobile-frontend-diffview-anonymous' => 'বেনামী ব্যবহারকারী',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|বাইট}} যোগ হয়েছে',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|বাইট}} বাতিল হয়েছে',
	'mobile-frontend-photo-upload' => 'এই পাতায় একটি চিত্র যোগ করুন',
	'mobile-frontend-photo-ownership' => 'আমি, $1, এই চিত্রটি তৈরি করেছি।',
	'mobile-frontend-photo-ownership-help' => 'এটার মানে কি?',
	'mobile-frontend-photo-ownership-confirm' => 'বুঝতে পেরেছেন?',
	'mobile-frontend-lead-image-tutorial-confirm' => 'আপলোড শুরু করো',
	'mobile-frontend-photo-upload-error' => 'ত্রুটি, আবার চেষ্টা করুন।',
	'mobile-frontend-photo-submit' => 'জমা দাও',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>১টি</span> আপলোড|<span>$1টি</span> আপলোড}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '৫০০+ আপলোড',
	'mobile-frontend-editor-disabled' => 'ধ্বংসপ্রবণতা রোধে এই পাতাটি সুরক্ষিত করা হয়েছে।',
	'mobile-frontend-editor-edit' => 'সম্পাদনা',
	'mobile-frontend-editor-continue' => 'অব্যাহত',
	'mobile-frontend-editor-save' => 'সংরক্ষণ',
	'mobile-frontend-editor-cancel' => 'বাতিল',
	'mobile-frontend-editor-keep-editing' => 'সম্পাদনা চলমান রাখুন',
	'mobile-frontend-editor-summary-placeholder' => 'কি পরিবর্তন করেছেন তা আমাদের বলুন (ঐচ্ছিক)',
	'mobile-frontend-editor-wait' => 'সম্পাদনা সংরক্ষণ হচ্ছে, অনুগ্রহ করে অপেক্ষা করুন।',
	'mobile-frontend-editor-success' => 'সফল! আপনার সম্পাদনা সংরক্ষিত হয়েছে।',
	'mobile-frontend-editor-error' => 'ত্রুটি, সম্পাদনা সংরক্ষণ হয়নি।',
	'mobile-frontend-editor-error-conflict' => 'ত্রুটি, অন্য কোনো ব্যবহারকারী এই পাতায় সম্পাদনা করেছেন।',
	'mobile-frontend-editor-tutorial-confirm' => 'সম্পাদনা শুরু করো',
	'mobile-frontend-editor-tutorial-cancel' => 'না, ধন্যবাদ',
	'mobile-frontend-editor-captcha-try-again' => 'ভুল কোড, আবার চেষ্টা করুন।',
	'mobile-frontend-editor-abusefilter-read-more' => 'আরও পড়ুন',
	'mobile-frontend-editor-editing-page' => '<strong>সম্পাদনা করছেন</strong><span> $1</span>',
	'tag-mobile_edit' => 'মোবাইল সম্পাদনা',
	'tag-mobile_edit-description' => 'মোবাইল সাইট থেকে সম্পাদনা করা হয়েছে',
	'mobile-frontend-drawer-cancel' => 'বাতিল',
	'mobile-frontend-talk-overlay-header' => 'আলাপ',
	'mobile-frontend-talk-reply' => 'উত্তর',
	'mobile-frontend-media-details' => 'বিস্তারিত',
	'mobile-frontend-media-license-link' => 'লাইসেন্স তথ্য',
	'mobile-frontend-profile-title' => 'ব্যবহারকারী বৃত্তান্ত',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|আপলোড হয়েছে}} {{PLURAL:$1|গতকাল|$1 দিন আগে|0=আজ}}।',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|$1-এর সাথে আলাপ করুন}}',
	'mobile-frontend-profile-error' => 'ওহো না!',
	'mobile-frontend-profile-noargs' => 'কোন ব্যবহারকারী নাম দেওয়া হয়নি। একটি প্রোফাইল দেখতে একটি ব্যবহারকারী নাম প্রদান করুন।',
	'mobile-frontend-profile-nouser' => 'অস্তিত্বহীন বা ভুল ব্যবহারকারী নাম', # Fuzzy
	'mobile-frontend-profile-activity-heading' => 'সাম্প্রতিক কার্যকালাপ',
	'mobile-frontend-profile-userpage-link' => 'ব্যাবহারকারীর পাতা দেখুন।',
	'mobile-frontend-geonotahack' => 'এই পাতার কাছাকাছি',
	'beta-feature-geonotahack' => 'এই পাতার কাছাকাছি',
	'beta-feature-geonotahack-description' => 'আপনি যে পাতাটি দেখছেন সেই পাতায় দ্রাঘিমাংশ এবং অক্ষাংশ সম্পর্কে তথ্য উপস্থিত থাকলে সেই পাতা সম্পর্কিত অন্যান্য পাতাগুলিও দেখতে পারবেন।',
	'mobile-frontend-mainpage-cta-prompt' => 'এ পাতাটিতে আপনার সাহায্য প্রয়োজন!',
	'mobile-frontend-mainpage-cta-button' => 'পাতাটির উন্নয়ন করুন',
);

/** Breton (brezhoneg)
 * @author Fohanno
 * @author Fulup
 * @author Y-M D
 */
$messages['br'] = array(
	'mobilefrontend-random-cancel' => "Leuskel ac'hanon da lenn !",
	'mobile-frontend-desc' => 'Talbenn evit an hezougoù',
	'mobile-frontend-search-submit' => 'Mont',
	'mobile-frontend-home-button' => 'Degemer',
	'mobile-frontend-logged-out' => "N'oc'h ket kevreet",
	'mobile-frontend-logged-in-homepage-notification' => 'Degemer mat, $1 !',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-save-settings' => 'Enrollañ an arventennoù', # Fuzzy
	'mobile-frontend-random-button' => 'Dargouezhek',
	'mobile-frontend-back-to-top-of-section' => 'Lammat ur rann war-gil',
	'mobile-frontend-regular-site' => 'Gwel eus ar burev',
	'mobile-frontend-wml-continue' => "Kenderc'hel...",
	'mobile-frontend-wml-back' => 'Distreiñ...',
	'mobile-frontend-view' => 'Gwel evit an hezoug',
	'mobile-frontend-view-desktop' => 'Burev',
	'mobile-frontend-view-mobile' => 'Hezoug',
	'mobile-frontend-opt-in-explain' => "Ma kemerit perzh el labour amprouiñ e c'hallot implijout an arc'hwelioù war ziorren, ha tammoù drein a c'hallot bezañ strobet ganto.",
	'mobile-frontend-images-status' => 'Skeudennoù',
	'mobile-frontend-disable-images' => "Diweredekaat ar skeudennoù war al lec'hienn hezoug",
	'mobile-frontend-enable-images' => "Gweredekaat ar skeudennoù war al lec'hienn hezoug",
	'mobile-frontend-off' => 'LAZHET',
	'mobile-frontend-on' => 'ENAOUET',
	'mobile-frontend-featured-article' => 'Un tamm sell war...', # Fuzzy
	'mobile-frontend-news-items' => "Er C'heleier",
	'mobile-frontend-languages-header' => 'Yezhoù',
	'mobile-frontend-language-article-heading' => 'Lenn en ur yezh all',
	'mobile-frontend-language-header' => 'Ar pennad-mañ zo anezhañ e {{PLURAL:$1|yezh|yezh}}', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Klask ar yezh',
	'mobile-frontend-username' => 'Anv implijer :',
	'mobile-frontend-password' => 'Ger-tremen :',
	'mobile-frontend-username-placeholder' => 'Anv implijer',
	'mobile-frontend-password-placeholder' => 'Ger-tremen',
	'mobile-frontend-login' => 'Kevreañ',
	'mobile-frontend-last-modified-date' => "Kemm diwezhañ d'an $1 da $2",
	'mobile-frontend-account-create-submit' => 'En em enskrivañ',
	'mobile-frontend-password-confirm-placeholder' => 'Kadarnaat ar ger-tremen',
	'mobile-frontend-account-create-email-placeholder' => "Chomlec'h postel (direizh)",
	'mobile-frontend-account-create-captcha-placeholder' => "Skrivit ar c'hod kadarnaat",
	'mobile-frontend-overlay-escape' => 'Distreiñ',
	'mobile-frontend-placeholder' => 'Klask e {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Klask {{SITENAME}} (Beta)',
	'mobile-frontend-dismiss-notification' => 'disteuler ar gemennadenn-mañ',
	'mobile-frontend-clear-search' => 'Riñsañ',
	'mobile-frontend-privacy-link-text' => 'Prevezded',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => "Gallout a reer ober gant an destenn-mañ zo diouzh an <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Aotre Creative Commons/Aotre Rannañ Heñvel</a>; diferadurioù ouzhpenn a c'hall talvezout ivez. Gwelet <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>an doare implijout</a> evit gouzout hiroc'h. Ur merk marilhet gant <a href='http://www.wikimediafoundation.org/'>Diazezadur Wikimedia, Inc.</a>, anezhañ un aozadur hep pal arc'hant, eo {{SITENAME}}.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Darempred',
	'mobile-frontend-terms-text' => 'Termenoù implijout',
	'mobile-frontend-main-menu-button-tooltip' => 'Digeriñ al lañser pennañ',
	'mobile-frontend-main-menu-featured' => 'War wel',
	'mobile-frontend-main-menu-nearby' => 'Nepell',
	'mobile-frontend-main-menu-login' => 'Kevreañ',
	'mobile-frontend-main-menu-logout' => 'Digevreañ',
	'mobile-frontend-main-menu-watchlist' => 'Roll evezhiañ',
	'mobile-frontend-main-menu-settings' => 'Arventennoù',
	'mobile-frontend-main-menu-upload' => 'Enporzhiañ', # Fuzzy
	'mobile-frontend-main-menu-settings-heading' => "Arventennoù al lec'hienn evit ar pellgomzerioù hezoug", # Fuzzy
	'mobile-frontend-settings-site-header' => 'Yezhoù {{SITENAME}}',
	'mobile-frontend-main-menu-account-create' => 'Krouiñ ur gont',
	'mobile-frontend-page-menu-contents' => 'Danvez',
	'mobile-frontend-page-menu-history' => 'Istor',
	'mobile-frontend-meta-data-issues-header' => 'Kudennoù',
	'mobile-frontend-meta-data-issues' => 'Kudennoù zo gant ar bajenn-mañ',
	'mobile-frontend-page-saving' => "Oc'h enrollañ $1",
	'mobile-frontend-nearby-title' => 'Nepell',
	'mobile-frontend-photo-upload-generic' => 'Reiñ ur skeudenn', # Fuzzy
	'mobile-frontend-donate-image-title' => 'Reiñ ur skeudenn', # Fuzzy
	'mobile-frontend-listed-image-no-description' => 'Deskrivadur ebet',
	'mobile-frontend-watchlist-more' => "muioc'h",
	'mobile-frontend-watchlist-cta-button-login' => 'Kevreañ',
	'mobile-frontend-watchlist-cta-button-signup' => 'En em enskrivañ',
	'mobile-frontend-watchlist-a-z' => 'An holl', # Fuzzy
	'mobile-frontend-watchlist-feed' => 'Kemmet',
	'mobile-frontend-watchlist-back-home' => "Distreiñ d'an degemer",
	'mobile-frontend-watchlist-filter-all' => 'An holl',
	'mobile-frontend-watchlist-filter-articles' => 'Pajennoù',
	'mobile-frontend-watchlist-filter-talk' => 'Kaozeal',
	'mobile-frontend-watchlist-filter-other' => 'All',
	'mobile-frontend-watchlist-modified' => '$1 kemmet',
	'mobile-frontend-diffview-title' => 'Kemmoù',
	'mobile-frontend-diffview-anonymous' => 'Implijer dizanv',
	'mobile-frontend-image-loading' => 'O kargañ ur skeudenn',
	'mobile-frontend-photo-submit' => 'Kas',
	'mobile-frontend-photo-cancel' => 'Nullañ',
	'mobile-frontend-image-heading-describe' => "'''Deskrivañ''' ar skeudenn",
	'mobile-frontend-drawer-cancel' => 'Nullañ',
	'mobile-frontend-profile-userpage-link' => 'Gweladenniñ pajenn an implijer.',
	'mobile-frontend-mainpage-cta-prompt' => 'Ezhomm zo eus ho skoazell evit ar bajenn-mañ',
	'mobile-frontend-mainpage-cta-button' => 'Gwellaat ar bajenn-mañ',
);

/** Bosnian (bosanski)
 * @author CERminator
 * @author DzWiki
 * @author Edinwiki
 */
$messages['bs'] = array(
	'mobile-frontend-desc' => 'Korisnički interfejs za mobilne uređaje',
	'mobile-frontend-search-submit' => 'Idi',
	'mobile-frontend-home-button' => 'Početna',
	'mobile-frontend-random-button' => 'Slučajni',
	'mobile-frontend-back-to-top-of-section' => 'Skoči nazad za jednu sekciju',
	'mobile-frontend-regular-site' => 'Vidi ovu stranicu na običnoj Wikipediji', # Fuzzy
	'mobile-frontend-wml-continue' => 'Nastavi…',
	'mobile-frontend-wml-back' => 'Nazad…',
	'mobile-frontend-featured-article' => 'Odabrani članak', # Fuzzy
	'mobile-frontend-languages-header' => 'Jezici',
	'mobile-frontend-language-heading' => '<strong>Jezici</strong>',
	'mobile-frontend-copyright' => "Tekst je dostupan pod <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike licencom</a>; mogu se primjeniti i dodatna pravila. Pogledajte <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Pravila upotrebe</a> za više detalja. {{SITENAME}} je registrirana trgovačka marka od <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, neprofitne organizacije.", # Fuzzy
	'mobile-frontend-nearby-to-page' => 'Sljedeće stranice su povezane na $1 po svom geografskom položaju',
);

/** Catalan (català)
 * @author Alvaro Vidal-Abarca
 * @author Arnaugir
 * @author Marcmpujol
 * @author Papapep
 * @author Paucabot
 * @author QuimGil
 * @author Toniher
 * @author Vriullop
 */
$messages['ca'] = array(
	'mobilefrontend-random-explain' => 'Us interessa aquesta pàgina aleatòria?',
	'mobilefrontend-random-cancel' => 'Vull llegir-la!',
	'mobilefrontend-keepgoing-ask' => 'Ben fet! Li estàs agafant el truc! Vols provar a editar una altra pàgina?',
	'mobilefrontend-keepgoing-ask-first' => 'Enhorabona per la teva primera edició? Vols intentar editar una altra pàgina?',
	'mobilefrontend-keepgoing-explain' => 'Genial! Un altre usuari diu que necessita ajuda amb aquesta pàgina. Prova amb aquesta, o intenta-ho amb una altra.',
	'mobilefrontend-keepgoing-cancel' => 'No, gràcies',
	'mobilefrontend-keepgoing-suggest' => 'Sí, si us plau',
	'mobilefrontend-keepgoing-suggest-again' => 'Provar una altra',
	'mobilefrontend-keepgoing-saved-title' => 'Edició desada!',
	'mobilefrontend-keepgoing-links-title' => 'Afegir enllaços',
	'mobilefrontend-keepgoing-links-ask-first' => 'Enhorabona per la teva primera edició! Vols ajudar a afegir enllaços a una pàgina creada recentment?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Arreglar una altra pàgina?',
	'mobilefrontend-keepgoing-links-explain' => 'Troba més paraules que poden ser enllaços. Afegeix corxets abans i després de la paraula.',
	'mobilefrontend-keepgoing-links-example' => 'per exemple, $1guitarra$2 esdevé $3guitarra$4',
	'nearby' => 'Pàgines a prop teu',
	'mobile-frontend-desc' => 'Interfície mòbil',
	'mobile-frontend-search-submit' => 'Vés-hi',
	'mobile-frontend-home-button' => 'Inici',
	'mobile-frontend-logged-out' => 'No heu iniciat la sessió',
	'mobile-frontend-logged-in-homepage-notification' => 'Benvingut, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Heu iniciat una sessió com a $1',
	'mobile-frontend-generic-404-title' => 'Error - Pàgina no trobada',
	'mobile-frontend-generic-404-desc' => "No s'ha pogut trobar la pàgina que estàs buscant.",
	'mobile-frontend-sign-up-heading' => "Registra't",
	'mobile-frontend-sign-in-heading' => 'Inicieu la sessió',
	'mobile-frontend-sign-in-why' => 'Si teniu un compte a {{SITENAME}}, podeu identificar-vos.',
	'mobile-frontend-sign-in-error-heading' => 'Renoi!',
	'mobile-frontend-settings-description' => 'Personalitzeu la vostra configuració al dispositiu mòbil amb aquests paràmetres específics.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Mode experimental',
	'mobile-frontend-settings-alpha-description' => "Entreu en territori perillós i inexplorat. Obtingueu funcionalitats encara més experimentals però amb un major risc d'errors.",
	'mobile-frontend-save-settings' => 'Desa',
	'mobile-frontend-save-error' => "Error en desar la configuració. Si us plau, assegura't que tens les galetes activades.",
	'mobile-frontend-random-button' => 'Aleatori',
	'mobile-frontend-back-to-top-of-section' => 'Salteu enrere una secció',
	'mobile-frontend-regular-site' => "Vista d'escriptori",
	'mobile-frontend-wml-continue' => 'Continua ...',
	'mobile-frontend-wml-back' => 'Enrere ...',
	'mobile-frontend-view' => 'Versió per a mòbils',
	'mobile-frontend-view-desktop' => 'Escriptori',
	'mobile-frontend-view-mobile' => 'Mòbil',
	'mobile-frontend-cookies-required' => 'Les galetes són necessàries per canviar de mode de visualització. Si us plau, activa-les i intenta-ho un altre cop.',
	'mobile-frontend-opt-in-explain' => 'Quan proveu la versió beta, tindreu accés a les característiques experimentals assumint el risc de trobar-hi problemes.',
	'mobile-frontend-images-status' => 'Imatges',
	'mobile-frontend-disable-images' => 'Inhabilita les imatges al lloc web mòbil',
	'mobile-frontend-enable-images' => 'Habilita les imatges al lloc web mòbil',
	'mobile-frontend-expand-sections-status' => 'Expandir totes les seccions',
	'mobile-frontend-expand-sections-description' => 'Expandir sempre totes les seccions quan es navegui a una altra pàgina',
	'mobile-frontend-missing-image' => 'Imatge',
	'mobile-frontend-off' => 'NO',
	'mobile-frontend-on' => 'SÍ',
	'mobile-frontend-featured-article' => "Article destacat d'avui",
	'mobile-frontend-news-items' => 'Actualitat',
	'mobile-frontend-languages-404-title' => "Error d'idiomes",
	'mobile-frontend-languages-404-desc' => 'Cal especificar un títol vàlid.',
	'mobile-frontend-languages-header' => 'Idiomes',
	'mobile-frontend-languages-nonexistent-title' => 'La pàgina "$1" no existeix.',
	'mobile-frontend-languages-text' => '$1 està disponible en $2 {{PLURAL:$2|llengua|llengües}}',
	'mobile-frontend-languages-variant-header' => "variants de l'idioma {{#language:{{CONTENTLANG}}}}",
	'mobile-frontend-language-heading' => '<strong>Idiomes</strong>',
	'mobile-frontend-language-article-heading' => 'Llegeix en un altre idioma',
	'mobile-frontend-language-header' => 'Aquesta pàgina està disponible en $1 {{PLURAL:$1|llengua|llengües}}',
	'mobile-frontend-language-variant-header' => 'Escolliu la variant de {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Cerca idioma',
	'mobile-frontend-username' => "Nom d'usuari:",
	'mobile-frontend-password' => 'Contrasenya:',
	'mobile-frontend-username-placeholder' => "Nom d'usuari",
	'mobile-frontend-password-placeholder' => 'Contrasenya',
	'mobile-frontend-login' => 'Inicia una sessió',
	'mobile-frontend-history' => "Vegeu l'historial d'edició d'aquesta pàgina.",
	'mobile-frontend-history-404-title' => 'No existeix la pàgina',
	'mobile-frontend-history-404-desc' => "No es pot visualitzar l'historial d'una pàgina que no existeix. Potser s'ha esborrat, o pots haver seguit un enllaç trencat.",
	'mobile-frontend-history-no-results' => "El filtre no ha donat resultats de l'historial.",
	'mobile-frontend-contribution-summary' => 'Totes les edicions fetes per {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Historial de la pàgina [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Darrera modificació: $1 a les $2',
	'mobile-frontend-last-modified-seconds' => 'Darrera modificació fa {{PLURAL:$1|$1 segon|$1 segons}}',
	'mobile-frontend-last-modified-minutes' => 'Darrera modificació fa {{PLURAL:$1|$1 minut|$1 minuts}}',
	'mobile-frontend-last-modified-hours' => 'Darrera modificació fa {{PLURAL:$1|$1 hora|$1 hores}}',
	'mobile-frontend-last-modified-days' => 'Darrera modificació fa {{PLURAL:$1|$1 dia|$1 dies}}',
	'mobile-frontend-last-modified-months' => 'Darrera modificació fa {{PLURAL:$1|$1 mes|$1 mesos}}',
	'mobile-frontend-last-modified-years' => 'Darrera modificació fa {{PLURAL:$1|$1 any|$1 anys}}',
	'mobile-frontend-last-modified-just-now' => 'Última modificació fa uns moments',
	'mobile-frontend-last-modified-with-user-seconds' => '[Última {{GENDER:$1|modificació}} de la pàgina "$4" fa {{PLURAL:$3|$3 segon|$3 segons}}] per {{PLURAL:$5|[$6 $2]|0=un usuari anònim}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[Última {{GENDER:$1|modificació}} de la pàgina "$4" fa {{PLURAL:$3|$3 minut|$3 minuts}}] per {{PLURAL:$5|[$6 $2]|0=un usuari anònim}}',
	'mobile-frontend-last-modified-with-user-hours' => '[Última {{GENDER:$1|modificació}} de la pàgina "$4" fa {{PLURAL:$3|$3 hora|$3 hores}}] per {{PLURAL:$5|[$6 $2]|0=un usuari anònim}}',
	'mobile-frontend-last-modified-with-user-days' => '[Última {{GENDER:$1|modificació}} de la pàgina "$4" fa {{PLURAL:$3|$3 dia|$3 dies}}] per {{PLURAL:$5|[$6 $2]|0=un usuari anònim}}',
	'mobile-frontend-last-modified-with-user-months' => '[Última {{GENDER:$1|modificació}} de la pàgina "$4" fa {{PLURAL:$3|$3 mes|$3 mesos}}] per {{PLURAL:$5|[$6 $2]|0=un usuari anònim}}',
	'mobile-frontend-last-modified-with-user-years' => '[Última {{GENDER:$1|modificació}} de la pàgina "$4" fa {{PLURAL:$3|$3 any|$3 anys}}] per {{PLURAL:$5|[$6 $2]|0=un usuari anònim}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[Última {{GENDER:$1|modificació}} de la pàgina "$3"] fa uns moments per {{PLURAL:$4|[$5 $2]|0=un usuari anònim}}',
	'mobile-frontend-view-source' => 'Mostra el codi font',
	'mobile-frontend-account-create-submit' => 'Registreu-vos',
	'mobile-frontend-password-confirm-placeholder' => 'Confirmeu la contrasenya:',
	'mobile-frontend-account-create-email-placeholder' => 'Correu (opcional)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Introduïu el codi de confirmació',
	'mobile-frontend-overlay-escape' => 'Torna',
	'mobile-frontend-overlay-close' => 'Tanca',
	'mobile-frontend-overlay-continue' => 'Continua',
	'mobile-frontend-placeholder' => 'Cerca a {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Cerca a {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Cerca a {{SITENAME}} (Experimental)',
	'mobile-frontend-dismiss-notification' => 'rebutja aquesta notificació',
	'mobile-frontend-clear-search' => 'Anuŀla',
	'mobile-frontend-search-content' => 'Buscar dins les pàgines',
	'mobile-frontend-search-no-results' => 'No hi ha cap pàgina amb aquest títol.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' per veure si aquesta frase apareix a algun lloc.",
	'mobile-frontend-privacy-link-text' => 'Privadesa',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'El text està disponible sota [//ca.m.wikipedia.org/wiki/Viquip%C3%A8dia:Text_de_la_llic%C3%A8ncia_de_Creative_Commons_Reconeixement-Compartir_Igual_3.0_No_adaptada?useformat=mobile CC BY-SA 3.0]; es poden aplicar termes addicionals.',
	'mobile-frontend-copyright' => "El contingut està disponible sota la llicència $1 si no s'indica el contrari.",
	'mobile-frontend-footer-contact' => 'Contacte',
	'mobile-frontend-terms-text' => "Condicions d'ús",
	'mobile-frontend-main-menu-button-tooltip' => 'Obre el menú principal',
	'mobile-frontend-main-menu-page-title' => 'Navegació del lloc',
	'mobile-frontend-main-menu-featured' => 'Destacat',
	'mobile-frontend-main-menu-nearby' => 'A prop',
	'mobile-frontend-main-menu-login' => 'Inici de sessió',
	'mobile-frontend-main-menu-logout' => 'Tanca la sessió',
	'mobile-frontend-main-menu-watchlist' => 'Llista de seguiment',
	'mobile-frontend-main-menu-settings' => 'Configuració',
	'mobile-frontend-main-menu-upload' => 'Càrregues',
	'mobile-frontend-main-menu-settings-heading' => 'Configuració',
	'mobile-frontend-settings-site-header' => 'Idiomes de {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} està disponible en $1 {{PLURAL:$1|idioma|idiomes}}. Totes les versions disponibles es llisten a continuació',
	'mobile-frontend-main-menu-account-create' => 'Crea un compte',
	'mobile-frontend-page-menu-contents' => 'continguts',
	'mobile-frontend-page-menu-history' => 'Historial',
	'mobile-frontend-meta-data-issues-header' => 'Incidències',
	'mobile-frontend-meta-data-issues' => 'Aquesta pàgina té algunes incidències',
	'mobile-frontend-page-saving' => 'Desant $1',
	'mobile-frontend-user-cta' => 'Identifiqueu-vos o registreu-vos per a veure les vostres notificacions.',
	'mobile-frontend-user-button-tooltip' => 'Mostra les meves notificacions',
	'mobile-frontend-nearby-to-page' => 'Les pàgines següents estan relacionades amb $1 per la seva ubicació geogràfica',
	'mobile-frontend-nearby-title' => 'A prop',
	'mobile-frontend-nearby-loading' => 'Carregant articles propers a la seva ubicació actual',
	'mobile-frontend-nearby-requirements' => 'Ho sentim! El vostre navegador web no suporta {{SITENAME}} A prop.',
	'mobile-frontend-nearby-requirements-guidance' => "Proveu amb un altre navegador o activeu JavaScript si l'heu desactivat.",
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} A prop no pot esbrinar on ets... intentar un altre cop?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Proveu una àrea oberta amb un millor senyal.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} A prop no té permís per accedir a la teva ubicació.',
	'mobile-frontend-nearby-permission-guidance' => "Si us plau, assegureu-vos que doneu permisos per mostrar on sou. Potser necessitareu comprovar la configuració d'ubicació del vostre navegador.",
	'mobile-frontend-nearby-noresults' => "Sou enmig d'enlloc i no hem pogut trobar cap tema.",
	'mobile-frontend-nearby-noresults-guidance' => "Proveu de crear una nova pàgina o afegiu la ubicació d'una d'existent",
	'mobile-frontend-nearby-refresh' => 'Hem trobat una ubicació més precisa per a vostè. Feu clic aquí per actualitzar la llista de pàgines properes',
	'mobile-frontend-nearby-error' => '{{SITENAME}} A prop està tenint alguns problemes.',
	'mobile-frontend-nearby-error-guidance' => "Proveu d'actualitzar la vostra ubicació.",
	'mobile-frontend-nearby-link' => 'Mostra aquesta pàgina sencera',
	'mobile-frontend-nearby-directions' => 'Navegar aquí',
	'mobile-frontend-donate-image-nouploads' => 'No hi ha càrregues.',
	'mobile-frontend-donate-image-login' => 'Els arxius multimèdia de {{SITENAME}} han estat donats per gent com tu.',
	'mobile-frontend-donate-image-login-action' => 'Inicieu una sessió per a compartir els vostres arxius multimèdia.',
	'mobile-frontend-donate-image-signup-action' => 'Registreu-vos per compartir els vostres arxius multimèdia amb tothom.',
	'mobile-frontend-photo-upload-disabled' => 'Cap imatge és necessària en aquesta pàgina.',
	'mobile-frontend-photo-upload-anon' => 'Si us plau, inicieu sessió per a afegir una imatge a aquesta pàgina.',
	'mobile-frontend-photo-upload-protected' => 'No teniu permisos per a afegir una imatge a aquesta pàgina.',
	'mobile-frontend-photo-upload-unavailable' => "El vostre navegador no suporta la càrrega d'imatges.",
	'mobile-frontend-photo-upload-generic' => 'Contribueix una imatge',
	'mobile-frontend-donate-image-title' => 'Càrregues',
	'mobile-frontend-donate-image-heading' => 'Les seves darreres contribucions',
	'mobile-frontend-user-account' => "compte d'usuari",
	'mobile-frontend-listed-image-no-description' => 'Sense descripció',
	'mobile-frontend-donate-photo-upload-success' => 'Molt bé! Ara la vostra imatge es pot fer servir a {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Molt bé! Gràcies per la vostra primera contribució!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Aporteu les vostres imatges. Ajudeu que {{SITENAME}} tingui vida!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Les imatges de {{SITENAME}} provenen de Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Les vostres imatges ajuden a què gent de tot el món pugui accedir a la informació',
	'mobile-frontend-first-upload-wizard-new-page-2' => "No utilitzeu material amb drets d'autor que hagueu trobat a internet, així com imatges de pòsters, portades de llibres, etc.",
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Ho heu entès?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Sí!',
	'mobile-frontend-watchlist-add' => "S'ha afegit $1 a la vostra llista de seguiment",
	'mobile-frontend-watchlist-removed' => "S'ha eliminat $1 de la vostra llista de seguiment",
	'mobile-frontend-watchlist-view' => 'Mostra la llista de seguiment',
	'mobile-frontend-watchlist-more' => 'més',
	'mobile-frontend-watchlist-cta' => "Seguiu aquesta pàgina i tots els canvis que s'hi facin.",
	'mobile-frontend-watchlist-cta-button-login' => 'Inici de sessió',
	'mobile-frontend-watchlist-cta-button-signup' => "Registra't",
	'mobile-frontend-watchlist-purpose' => "Una llista de seguiment us permet marcar les pàgines com a favorites, i a seguir els canvis que s'hi facin.",
	'mobile-frontend-watchlist-login-action' => 'Inicieu sessió per veure-la.',
	'mobile-frontend-watchlist-signup-action' => 'Registreu-vos per crear-ne una.',
	'mobile-frontend-generic-login' => '{{SITENAME}} està fet per gent com tu.',
	'mobile-frontend-generic-login-action' => 'Inicieu una sessió per contribuir.',
	'mobile-frontend-generic-signup-action' => 'Creeu un compte per contribuir.',
	'mobile-frontend-watch-login' => "S'ha afegit $1 a la vostra llista de seguiment.",
	'mobile-frontend-edit-login' => 'Ajudeu a millorar la pàgina $1.',
	'mobile-frontend-edit-login-action' => 'Inicieu sessió per editar.',
	'mobile-frontend-edit-signup-action' => 'Creeu un compte per editar.',
	'mobile-frontend-watchlist-a-z' => 'Llista',
	'mobile-frontend-watchlist-feed' => 'Modificats',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => "Feu clic a l'estrella a la part superior de la pàgina",
	'mobile-frontend-watchlist-a-z-empty-howto' => "Actualment no està seguint cap pàgina. La seva llista de seguiment li ajuda a seguir de prop les pàgines que us interessen. Seguiu pàgines activant la icona d'estel.",
	'mobile-frontend-watchlist-feed-empty' => 'Hi ha cap pàgina amb canvis recents',
	'mobile-frontend-watchlist-back-home' => "Tornar a l'inici",
	'mobile-frontend-changeslist-ip' => 'Usuari anònim',
	'mobile-frontend-changeslist-nocomment' => "cap resum d'edició",
	'mobile-frontend-watchlist-filter-all' => 'Tots',
	'mobile-frontend-watchlist-filter-articles' => 'Pàgines',
	'mobile-frontend-watchlist-filter-talk' => 'Discussió',
	'mobile-frontend-watchlist-filter-other' => 'Altres',
	'mobile-frontend-watchlist-modified' => 'Modificat $1',
	'mobile-frontend-diffview-404-title' => 'Revisió incorrecta',
	'mobile-frontend-diffview-404-desc' => "L'identificador de revisió que has sol·licitat no existeix.",
	'mobile-frontend-diffview-title' => 'Canvis',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|modificació|modificacions}}',
	'mobile-frontend-diffview-anonymous' => 'Usuari anònim',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte afegit|bytes afegits}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|octet|octets}} eliminats',
	'mobile-frontend-diffview-explained' => 'Les següents línies han estat afegides (+) i eliminades (-):',
	'mobile-frontend-thanked-notice' => "S'ha comunicat a $1 que t'agrada {{GENDER:$2|la seva|la seva|la seva}} edició.",
	'mobile-frontend-saving-exit-page' => "Encara s'està desant la vostra contribució. Si sortiu ara, es perdran les vostres contribucions. Esteu segurs que voleu sortir?",
	'mobile-frontend-photo-upload' => 'Afegiu una imatge a aquest article',
	'mobile-frontend-photo-article-edit-comment' => 'Imatge afegida per ser usada a la pàgina',
	'mobile-frontend-photo-article-donate-comment' => 'Imatge aportada des de Special:Uploads',
	'mobile-frontend-photo-upload-comment' => "Imatge afegida a l'article",
	'mobile-frontend-photo-caption-placeholder' => 'Descriu aquesta imatge (requerit)',
	'mobile-frontend-photo-ownership' => 'Jo, $1, he creat aquesta imatge.',
	'mobile-frontend-photo-ownership-help' => 'Què significa això?',
	'mobile-frontend-photo-ownership-confirm' => 'Molt bé!',
	'mobile-frontend-lead-image-tutorial-summary' => "Assegureu-vos que la vostra imatge pot ajudar a il·lustrar la pàgina. Ha de ser una imatge que hagueu creat i que no infringeixi els drets d'autor.",
	'mobile-frontend-lead-image-tutorial-confirm' => 'Inicia la càrrega',
	'mobile-frontend-photo-upload-error' => 'Error, prova de nou.',
	'mobile-frontend-photo-upload-error-file-type' => 'Si us plau, carregueu només imatges.',
	'mobile-frontend-photo-upload-error-filename' => 'Error, si us plau proporciona un resum més descriptiu.',
	'mobile-frontend-photo-upload-success-article' => 'Molt bé! La teva imatge la és en aquesta pàgina.',
	'mobile-frontend-photo-submit' => 'Envia',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> càrrega|<span>$1</span> càrregues}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ càrregues',
	'mobile-frontend-image-heading-describe' => "'''Descriviu''' la imatge",
	'mobile-frontend-image-uploading' => "'''Carregant''' imatge...",
	'mobile-frontend-image-cancel-confirm' => 'Cancel·lar la càrrega?',
	'mobile-frontend-editor-redirect-title' => "Redirigint a l'editor...",
	'mobile-frontend-editor-unavailable-header' => 'Editor no disponible',
	'mobile-frontend-editor-unavailable' => "L'edició mòbil no està disponible actualment en el teu navegador. Si us plau prova amb un navegador diferent.",
	'mobile-frontend-editor-newpage-prompt' => 'Aquesta pàgina no existeix. Per què no us hi llenceu i la creeu?',
	'mobile-frontend-editor-disabled' => 'Aquesta pàgina està protegida per a evitar el vandalisme.',
	'mobile-frontend-editor-blocked' => 'El vostre compte està bloquejat per editar.',
	'mobile-frontend-editor-cta' => 'Ajudeu a millorar aquesta pàgina!',
	'mobile-frontend-editor-edit' => 'Edita',
	'mobile-frontend-editor-continue' => 'Continua',
	'mobile-frontend-editor-save' => 'Desa',
	'mobile-frontend-editor-cancel' => 'Cancel·la',
	'mobile-frontend-editor-keep-editing' => 'Segueix editant',
	'mobile-frontend-editor-placeholder' => 'Aquesta secció és buida. Sigues el primer en ampliar-la!',
	'mobile-frontend-editor-summary-placeholder' => 'Explica els teus canvis (opcional)',
	'mobile-frontend-editor-cancel-confirm' => 'Realment vols abandonar la teva edició?',
	'mobile-frontend-editor-wait' => 'Desant edició, espereu si us plau.',
	'mobile-frontend-editor-success' => "Molt bé! S'ha desat la modificació.",
	'mobile-frontend-editor-success-landmark-1' => 'Felicitats, ja ets un editor de {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Error, edició no desada.',
	'mobile-frontend-editor-error-conflict' => 'Error, un altre usuari ha editat aquesta pàgina.',
	'mobile-frontend-editor-error-loading' => 'Error, no es pot carregar la secció.',
	'mobile-frontend-editor-tutorial-summary' => 'No tingueu por de la sintaxi wiki. Ajudeu a millorar la pàgina $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Per què no milloreu $1? No tingueu por de la sintaxi wiki!',
	'mobile-frontend-editor-tutorial-confirm' => 'Comença a editar',
	'mobile-frontend-editor-tutorial-cancel' => 'No, gràcies',
	'mobile-frontend-editor-captcha-try-again' => 'Codi incorrecte, proveu-ho un altre cop.',
	'mobile-frontend-editor-abusefilter-warning' => 'Avís: esteu segurs que voleu desar aquesta edició? Pot haver-hi un problema.',
	'mobile-frontend-editor-abusefilter-disallow' => "No s'ha pogut desar aquesta edició perquè hi hem detectat un problema.",
	'mobile-frontend-editor-abusefilter-read-more' => 'Llegir més',
	'mobile-frontend-editor-editing-page' => '<strong>Editant</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Vista prèvia de</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Codi font de</strong><span> $1</span>',
	'tag-mobile_edit' => 'Des de mòbil',
	'tag-mobile_edit-description' => 'Modificació feta des de la versió per a mòbils',
	'mobile-frontend-drawer-cancel' => 'Anul·la',
	'mobile-frontend-talk-explained' => 'Les següents converses són actives actualment',
	'mobile-frontend-talk-explained-empty' => 'No hi ha converses sobre aquesta pàgina.',
	'mobile-frontend-talk-overlay-header' => 'Discussió',
	'mobile-frontend-talk-back-to-page' => 'Torna a l\'article "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Discussió sense títol',
	'mobile-frontend-talk-add-overlay-submit' => 'Crea una discussió',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Tema',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Què tens en ment?',
	'mobile-frontend-talk-edit-summary' => 'Nova secció de la discussió:$1',
	'mobile-frontend-talk-reply-success' => "La resposta s'ha desat amb èxit a la pàgina de discussió.",
	'mobile-frontend-talk-reply-info' => "Tingues en compte que la teva resposta serà automàticament signada amb el teu nom d'usuari.",
	'mobile-frontend-talk-reply' => 'Respondre',
	'mobile-frontend-media-details' => 'Detalls',
	'mobile-frontend-media-license-link' => 'Informació sobre la llicència',
	'mobile-frontend-profile-title' => "Perfil d'usuari",
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Carregat}} {{PLURAL:$1|ahir|fa $1 dies|0=avui}}.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|Parlar amb $1}}',
	'mobile-frontend-profile-error' => 'Oh no!',
	'mobile-frontend-profile-activity-heading' => 'Activitat recent',
	'mobile-frontend-profile-userpage-link' => "Visita la pàgina d'usuari.",
	'mobile-frontend-geonotahack' => 'A prop',
	'beta-feature-geonotahack' => 'A prop',
	'beta-feature-geonotahack-description' => 'Descobriu pàgines que estan a prop geogràficament del contingut de la pàgina que esteu llegint ara mateix.',
	'mobile-frontend-mainpage-cta-prompt' => 'Aquesta pàgina necessita la teva ajuda!',
	'mobile-frontend-mainpage-cta-button' => 'Milloreu aquesta pàgina',
);

/** Min Dong Chinese (Mìng-dĕ̤ng-ngṳ̄)
 * @author Yejianfei
 */
$messages['cdo'] = array(
	'mobile-frontend-talk-reply' => '回覆',
);

/** Chechen (нохчийн)
 * @author Умар
 */
$messages['ce'] = array(
	'mobilefrontend-keepgoing-suggest' => 'ХӀаъ',
	'nearby' => 'Уллера чу хӀуманехь лаьцна агӀонаш',
	'mobile-frontend-desc' => 'Мобилан интерфейс',
	'mobile-frontend-search-submit' => 'Дехьа гӀо',
	'mobile-frontend-home-button' => 'Цlехьа',
	'mobile-frontend-generic-404-desc' => 'Ахьа лоьху агӀо цакарий',
	'mobile-frontend-settings-beta' => 'Бета',
	'mobile-frontend-random-button' => 'Нисделларг',
	'mobile-frontend-back-to-top-of-section' => 'ЮхагӀо оцу дакъане',
	'mobile-frontend-regular-site' => 'Хьажа гуттаралера Википеди агlоне', # Fuzzy
	'mobile-frontend-wml-continue' => 'Кхин дӀа ...',
	'mobile-frontend-view' => 'Мобилан верси',
	'mobile-frontend-view-desktop' => 'Йоккха верси',
	'mobile-frontend-view-mobile' => 'Мобилан',
	'mobile-frontend-expand-sections-status' => 'Гайта массо дакъанаш',
	'mobile-frontend-expand-sections-description' => 'Кхечу агӀона чу гӀочу хенахь гучу даха массо дакъанаш',
	'mobile-frontend-missing-image' => 'Сурт',
	'mobile-frontend-featured-article' => 'Хаьржина яззам', # Fuzzy
	'mobile-frontend-language-article-heading' => 'Еша кхечу маттахь',
	'mobile-frontend-language-site-choose' => 'Лаха мотт',
	'mobile-frontend-username' => 'Декъашхочун цӀе:',
	'mobile-frontend-username-placeholder' => 'Декъашхочун цӀе',
	'mobile-frontend-history-summary' => 'АгӀона [[:$1]] хийцаман истори',
	'mobile-frontend-last-modified-date' => 'ТӀехьара бина хийцам $2 $1',
	'mobile-frontend-last-modified-minutes' => 'ТӀаьхьара хийцамаш бина {{PLURAL:$1|$1 минут}} хьалха', # Fuzzy
	'mobile-frontend-last-modified-hours' => 'ТӀаьхьара хийцамаш бина {{PLURAL:$1|$1 сахьт}} хьалха', # Fuzzy
	'mobile-frontend-last-modified-days' => 'ТӀаьхьара хийцамаш бина {{PLURAL:$1|$1 де}} хьалха', # Fuzzy
	'mobile-frontend-last-modified-months' => 'ТӀаьхьара хийцамаш бина {{PLURAL:$1|$1 бутт}} хьалха', # Fuzzy
	'mobile-frontend-last-modified-years' => 'ТӀаьхьара хийцамаш бина {{PLURAL:$1|$1 шо}} хьалха', # Fuzzy
	'mobile-frontend-last-modified-with-user-hours' => '[$4 ТӀаьхьарлера {{GENDER:$1|нисдар дина}} {{PLURAL:$3|$3 сахьт}} хьалха] {{PLURAL:$5|цӀе хьулйина [$6 $2]|0=декъашхочо}}', # Fuzzy
	'mobile-frontend-last-modified-with-user-days' => '[$4 ТӀаьхьарлера {{GENDER:$1|нисдар дина}} {{PLURAL:$3|$3 де}} хьалха] {{PLURAL:$5|цӀе хьулйина [$6 $2]|0=декъашхочо}}', # Fuzzy
	'mobile-frontend-last-modified-with-user-years' => '[$4 ТӀаьхьарлера {{GENDER:$1|нисдар дина}} {{PLURAL:$3|$3 шо}} хьалха] {{PLURAL:$5|цӀе хьулйина [$6 $2]|0=декъашхочо}}', # Fuzzy
	'mobile-frontend-placeholder-beta' => 'Лаха translatewiki.net чухула (бета-верси)',
	'mobile-frontend-clear-search' => 'ЦӀанъян',
	'mobile-frontend-privacy-link-text' => 'Къайлаха',
	'mobile-frontend-copyright' => 'Чулацам лело мега $1 лицензица (кхениг билгалйина яцахь).',
	'mobile-frontend-terms-text' => 'Лелоран хьал',
	'mobile-frontend-main-menu-nearby' => 'Уллехь',
	'mobile-frontend-main-menu-login' => 'Системин чугӀо',
	'mobile-frontend-main-menu-settings' => 'Параметраш',
	'mobile-frontend-main-menu-upload' => 'Чуйаьхарш',
	'mobile-frontend-main-menu-settings-heading' => 'Параметраш',
	'mobile-frontend-settings-site-header' => '«{{SITENAME}}» проектан меттанаш',
	'mobile-frontend-page-menu-contents' => 'чулацам',
	'mobile-frontend-page-menu-history' => 'Истори',
	'mobile-frontend-page-saving' => 'Ӏалашяр $1',
	'mobile-frontend-nearby-title' => 'Уллехь',
	'mobile-frontend-nearby-loading' => 'Чу бокхуш бу хаам, хьона уллехь хӀун ю гойтуш',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 км}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 м}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} тарцаделира хьо волу/йолу меттиг билгалъян... Юху гӀорта?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Дика зӀе йолу меттиг каро хьажа.',
	'mobile-frontend-donate-image-title' => 'Чуйаьхарш',
	'mobile-frontend-donate-image-heading' => 'Хьан тӀеххьара нисдарш',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'ХӀаъ!',
	'mobile-frontend-watchlist-view' => 'Шен тергаме могӀаме хьажар',
	'mobile-frontend-watchlist-more' => 'кхин дӀа',
	'mobile-frontend-watchlist-cta-button-login' => 'ЧугӀо',
	'mobile-frontend-edit-login-action' => 'Таян чугӀо',
	'mobile-frontend-changeslist-nocomment' => 'Нисдарах лаьцна яздина дац',
	'mobile-frontend-watchlist-filter-articles' => 'АгӀонаш',
	'mobile-frontend-diffview-title' => 'Хийцам',
	'mobile-frontend-lead-image-tutorial-summary' => 'Хила тешна, хьан суьрташ агӀо кечъян гӀо дира хилар. И сурт хила деза ахьа дина а авторийн бакъонаш ца талхош а.',
	'mobile-frontend-photo-submit' => 'ДӀадахьийта',
	'mobile-frontend-image-heading-describe' => "'''Язъе суьртах''' лаьцна",
	'mobile-frontend-editor-continue' => 'Кхин дӀа',
	'mobile-frontend-editor-cancel' => 'Цаоьшу',
	'tag-mobile_edit' => 'Мобиль-ца. дийна нисдар',
	'tag-mobile_edit-description' => 'Сайтан мобильни версеца дина нисдарш',
	'mobile-frontend-drawer-cancel' => 'Цаоьшу',
	'mobile-frontend-talk-overlay-header' => 'Дийцаре',
	'mobile-frontend-media-details' => 'Мадарра',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Чуяьккхина}} {{PLURAL:$1|селхана|$1 де хьалха|0=тахана}}.', # Fuzzy
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|Дийца цу $1}}',
	'mobile-frontend-profile-last-edit' => 'Та йина [[:$1]], {{PLURAL:$2|селхана|$2 де хьалха|0=тахана}}.', # Fuzzy
	'mobile-frontend-geonotahack' => 'Уллера меттиг',
	'beta-feature-geonotahack' => 'Уллера меттиг',
	'beta-feature-geonotahack-description' => 'Хьажа хьайна уллера географин меттигах лаьцна агӀонашка.',
	'mobile-frontend-mainpage-cta-prompt' => 'ХӀара агӀо тая езаш ю!',
	'mobile-frontend-mainpage-cta-button' => 'Кеч йе хӀара агӀо',
);

/** Sorani Kurdish (کوردی)
 * @author Asoxor
 * @author Calak
 * @author Muhammed taha
 */
$messages['ckb'] = array(
	'mobile-frontend-search-submit' => 'بڕۆ',
	'mobile-frontend-home-button' => 'ماڵەوە',
	'mobile-frontend-logged-in-homepage-notification' => 'بەخێربێیت، $1!',
	'mobile-frontend-sign-in-error-heading' => 'وەی!',
	'mobile-frontend-settings-beta' => 'بێتا',
	'mobile-frontend-random-button' => 'بە ھەڵکەوت',
	'mobile-frontend-back-to-top-of-section' => 'بپەڕێوە بۆ بە بەشی پێشوو',
	'mobile-frontend-regular-site' => 'ئەم پەڕە لەسەر {{SITENAME}}ی ئاسایی ببینە', # Fuzzy
	'mobile-frontend-wml-continue' => 'درێژەی پێبدە ...',
	'mobile-frontend-wml-back' => 'بگەڕێوە ...',
	'mobile-frontend-view' => 'بینینەوەی مۆبایلی',
	'mobile-frontend-images-status' => 'وێنەکان',
	'mobile-frontend-disable-images' => 'ڕێگە مەدە بە وێنەکان لەسەر سایتی مۆبایل',
	'mobile-frontend-enable-images' => 'ڕێگە بدە بە وێنەکان لەسەر سایتی مۆبایل',
	'mobile-frontend-missing-image' => 'وێنە',
	'mobile-frontend-featured-article' => 'وتاری ھەڵبژاردەی ئەمڕۆ', # Fuzzy
	'mobile-frontend-news-items' => 'لە ھەواڵەکاندا',
	'mobile-frontend-username' => 'ناوی بەکارھێنەر:',
	'mobile-frontend-password' => 'تێپەڕوشە:',
	'mobile-frontend-username-placeholder' => 'ناوی بەکارھێنەر',
	'mobile-frontend-password-placeholder' => 'تێپەڕوشە',
	'mobile-frontend-account-create-email-placeholder' => 'ناونیشانی ئیمەیل (دڵخوازانە)',
	'mobile-frontend-overlay-escape' => 'بگەڕێوە',
	'mobile-frontend-copyright' => "دەق لەژێر مۆڵەتنامەی <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike</a> لەبەردەست‌دایە؛ لەوانەیە مەرجی تریشی پێ زیاد ببێ.  سەیری <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>مەرجەکانی بەکارھێنان</a> بکە بۆ وردەکارییەکان. ویکیپیدیا ھێمایەکی بازرگانیی تۆمارکراوی <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>، ڕێکخراوەیەکی قازانجنەبەرە.", # Fuzzy
	'mobile-frontend-footer-contact' => 'پەیوەندی',
	'mobile-frontend-main-menu-featured' => 'تایبەتمەندییەکان',
	'mobile-frontend-main-menu-nearby' => 'لەم نزیکانەدا',
	'mobile-frontend-main-menu-login' => 'بچۆ ژوورەوە',
	'mobile-frontend-main-menu-logout' => 'بچۆ دەرەوە',
	'mobile-frontend-main-menu-watchlist' => 'پێرستی چاودێری',
	'mobile-frontend-page-menu-contents' => 'ناوەرۆکەکان',
	'mobile-frontend-page-menu-history' => 'مێژوو',
	'mobile-frontend-page-saving' => 'پاشەکەوتی $1',
	'mobile-frontend-changeslist-nocomment' => 'بەبێ کورتەی دەستکاری',
	'mobile-frontend-watchlist-filter-all' => 'ھەموو',
	'mobile-frontend-watchlist-filter-articles' => 'وتارەکان', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'لێدوان',
	'mobile-frontend-watchlist-filter-other' => 'دیکە',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|دەستکاری}}',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|بایت}} زیاد کرا',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|بایت}} سڕایەوە',
	'tag-mobile_edit' => 'دەستکاریی مۆبایل',
);

/** Corsican (corsu)
 */
$messages['co'] = array(
	'mobile-frontend-leave-feedback-subject' => 'Sughjettu', # Fuzzy
	'mobile-frontend-leave-feedback-message' => 'Messaghju', # Fuzzy
);

/** Czech (čeština)
 * @author Danny B.
 * @author DemonioCZ
 * @author JAn Dudík
 * @author Jezevec
 * @author Michaelbrabec
 * @author Mormegil
 * @author Paxt
 * @author Reaperman
 * @author Utar
 * @author Vks
 */
$messages['cs'] = array(
	'mobilefrontend-random-explain' => 'Zaujala vás tato náhodná stránka?',
	'mobilefrontend-random-cancel' => 'Nechte mě číst!',
	'mobilefrontend-keepgoing-ask' => 'Výtečně! Začíná vám to jít! Chcete zkusit editovat další stránku?',
	'mobilefrontend-keepgoing-ask-first' => 'Gratulujeme k vaší první editaci! Chcete zkusit editovat další stránku?',
	'mobilefrontend-keepgoing-explain' => 'Výtečně! Nějaký jiný uživatel oznámil, že tato stránka potřebuje vylepšit. Zkuste to, nebo zkuste jinou.',
	'mobilefrontend-keepgoing-cancel' => 'Ne, děkuji',
	'mobilefrontend-keepgoing-suggest' => 'Ano, prosím',
	'mobilefrontend-keepgoing-suggest-again' => 'Zkusit jinou',
	'mobilefrontend-keepgoing-saved-title' => 'Editace uložena!',
	'mobilefrontend-keepgoing-links-title' => 'Přidat odkazy',
	'mobilefrontend-keepgoing-links-ask-first' => 'Gratulujeme k první editaci! Chcete pomoci s přidáváním odkazů na nedávno založenou stránku?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Opravit další stránku?',
	'mobilefrontend-keepgoing-links-explain' => 'Najděte další slova, ze kterých by mohly být odkazy. Přidejte kolem nich dvojité hranaté závorky.',
	'mobilefrontend-keepgoing-links-example' => 'např. z $1kytara$2 se stane $3kytara$4',
	'nearby' => 'Stránky blízko vás',
	'mobile-frontend-desc' => 'Mobilní rozhraní',
	'mobile-frontend-search-submit' => 'Hledat',
	'mobile-frontend-home-button' => 'Domů',
	'mobile-frontend-logged-out' => 'Nepřihlášen(a)',
	'mobile-frontend-logged-in-homepage-notification' => 'Vítejte, uživateli $1!',
	'mobile-frontend-logged-in-toast-notification' => '{{GENDER:$1|Přihlášen|Přihlášena}} jako $1',
	'mobile-frontend-sign-up-heading' => 'Registrace',
	'mobile-frontend-sign-in-heading' => 'Přihlásit se',
	'mobile-frontend-sign-in-why' => 'Pokud máte na {{grammar:6sg|{{SITENAME}}}} účet, můžete se níže přihlásit.',
	'mobile-frontend-sign-in-error-heading' => 'Chyba',
	'mobile-frontend-settings-description' => 'Pomocí těchto nastavení specifických pro mobilní verzi si můžete web přizpůsobit svému mobilnímu zařízení.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Experimentální režim',
	'mobile-frontend-settings-alpha-description' => 'Vstupte do nebezpečného a neprozkoumaného mobilního území. Zkuste ještě experimentálnější funkce, ale s vyšším rizikem chyb.',
	'mobile-frontend-save-settings' => 'Uložit',
	'mobile-frontend-save-error' => 'Chyba při ukládání nastavení. Ujistěte se, že máte povolené cookies.',
	'mobile-frontend-random-button' => 'Náhodně',
	'mobile-frontend-back-to-top-of-section' => 'Skočit zpět o sekci',
	'mobile-frontend-regular-site' => 'Klasické zobrazení',
	'mobile-frontend-wml-continue' => 'Pokračovat …',
	'mobile-frontend-wml-back' => 'Zpět …',
	'mobile-frontend-view' => 'Mobilní verze',
	'mobile-frontend-view-desktop' => 'Klasické',
	'mobile-frontend-view-mobile' => 'Mobilní',
	'mobile-frontend-opt-in-explain' => 'Připojením k betatestu získáte přístup k experimentálním funkcím, ale s rizikem, že narazíte na chyby a problémy.',
	'mobile-frontend-images-status' => 'Obrázky',
	'mobile-frontend-disable-images' => 'Vypnout v mobilní verzi obrázky',
	'mobile-frontend-enable-images' => 'Zapnout v mobilní verzi obrázky',
	'mobile-frontend-missing-image' => 'Obrázek',
	'mobile-frontend-off' => 'VYP',
	'mobile-frontend-on' => 'ZAP',
	'mobile-frontend-featured-article' => 'Článek dne',
	'mobile-frontend-news-items' => 'Aktuality',
	'mobile-frontend-languages-404-title' => 'Chyba jazyků',
	'mobile-frontend-languages-404-desc' => 'Musí být zadán platný název.',
	'mobile-frontend-languages-header' => 'Jazyky',
	'mobile-frontend-languages-nonexistent-title' => 'Stránka „$1“ neexistuje.',
	'mobile-frontend-languages-text' => 'Stránka $1 je dostupná ve $2 {{PLURAL:$2|jazyku|jazycích}}.',
	'mobile-frontend-languages-variant-header' => 'Varianty jazyka {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Jazyky</strong>',
	'mobile-frontend-language-article-heading' => 'Přečíst v jiném jazyce',
	'mobile-frontend-language-header' => 'Tato stránka je k dispozici v $1 {{PLURAL:$1|jazyce|jazycích}}',
	'mobile-frontend-language-variant-header' => 'Vyberte variantu jazyka {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Hledání jazyka',
	'mobile-frontend-username' => 'Uživatelské jméno:',
	'mobile-frontend-password' => 'Heslo:',
	'mobile-frontend-username-placeholder' => 'Uživatelské jméno',
	'mobile-frontend-password-placeholder' => 'Heslo',
	'mobile-frontend-login' => 'Přihlásit se',
	'mobile-frontend-history' => 'Zobrazit historii editací této stránky.',
	'mobile-frontend-history-404-title' => 'Taková stránka neexistuje',
	'mobile-frontend-history-404-desc' => 'Nelze si prohlížet historii stránky, která neexistuje. Možná byla smazána, nebo jste klikli na chybný odkaz.',
	'mobile-frontend-history-no-results' => 'Zadanému filtru neodpovídá žádná historie.',
	'mobile-frontend-contribution-summary' => 'Všechny editace {{GENDER:$1|uživatele|uživatelky}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-history-summary' => 'Historie stránky [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Naposledy upraveno $1 v $2',
	'mobile-frontend-last-modified-seconds' => 'Naposledy změněno před {{PLURAL:$1|$1 sekundou|$1 sekundami}}',
	'mobile-frontend-last-modified-minutes' => 'Naposledy změněno před {{PLURAL:$1|$1 minutou|$1 minutami}}',
	'mobile-frontend-last-modified-hours' => 'Naposledy změněno před {{PLURAL:$1|$1 hodinou|$1 hodinami}}',
	'mobile-frontend-last-modified-days' => 'Naposledy změněno před {{PLURAL:$1|$1 dnem|$1 dny}}',
	'mobile-frontend-last-modified-months' => 'Naposledy změněno před {{PLURAL:$1|$1 měsícem|$1 měsíci}}',
	'mobile-frontend-last-modified-years' => 'Naposledy změněno před {{PLURAL:$1|$1 rokem|$1 lety}}',
	'mobile-frontend-last-modified-just-now' => 'Naposledy upraveno právě teď',
	'mobile-frontend-last-modified-with-user-seconds' => 'Stránku [$4 naposledy {{GENDER:$1|upravil|upravila}}] {{PLURAL:$5|[$6 $2]|0=anonymní uživatel}} před $3 {{PLURAL:$3|sekundou|sekundami}}',
	'mobile-frontend-last-modified-with-user-minutes' => 'Stránku [$4 naposledy {{GENDER:$1|upravil|upravila}}] {{PLURAL:$5|[$6 $2]|0=anonymní uživatel}} před $3 {{PLURAL:$3|minutou|minutami}}',
	'mobile-frontend-last-modified-with-user-hours' => 'Stránku [$4 naposledy {{GENDER:$1|upravil|upravila}}] {{PLURAL:$5|[$6 $2]|0=anonymní uživatel}} před $3 {{PLURAL:$3|hodinou|hodinami}}',
	'mobile-frontend-last-modified-with-user-days' => 'Stránku [$4 naposledy {{GENDER:$1|upravil|upravila}}] {{PLURAL:$5|[$6 $2]|0=anonymní uživatel}} před $3 {{PLURAL:$3|dnem|dny}}',
	'mobile-frontend-last-modified-with-user-months' => 'Stránku [$4 naposledy {{GENDER:$1|upravil|upravila}}] {{PLURAL:$5|[$6 $2]|0=anonymní uživatel}} před $3 {{PLURAL:$3|měsícem|měsíci}}',
	'mobile-frontend-last-modified-with-user-years' => 'Stránku [$4 naposledy {{GENDER:$1|upravil|upravila}}] {{PLURAL:$5|[$6 $2]|0=anonymní uživatel}} před $3 {{PLURAL:$3|rokem|lety}}',
	'mobile-frontend-last-modified-with-user-just-now' => 'Stránku [$3 před okamžikem {{GENDER:$1|upravil|upravila}}] {{PLURAL:$4|[$5 $2]|0=anonymní uživatel}}',
	'mobile-frontend-view-source' => 'Zobrazit zdrojový kód',
	'mobile-frontend-account-create-submit' => 'Registrace',
	'mobile-frontend-password-confirm-placeholder' => 'Potvrďte heslo',
	'mobile-frontend-account-create-email-placeholder' => 'E-mailová adresa (nepovinné)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Zadejte potvrzovací kód',
	'mobile-frontend-overlay-escape' => 'Zpět',
	'mobile-frontend-overlay-close' => 'Zavřít',
	'mobile-frontend-overlay-continue' => 'Pokračovat',
	'mobile-frontend-placeholder' => 'Hledání na {{grammar:6sg|{{SITENAME}}}}',
	'mobile-frontend-placeholder-beta' => 'Hledání ve {{grammar:6sg|{{SITENAME}}}} (beta)',
	'mobile-frontend-placeholder-alpha' => 'Hledání ve {{grammar:6sg|{{SITENAME}}}} (experimentální)',
	'mobile-frontend-dismiss-notification' => 'zavřít toto oznámení',
	'mobile-frontend-clear-search' => 'Smazat',
	'mobile-frontend-search-content' => 'Hledat v obsahu stránek',
	'mobile-frontend-search-no-results' => 'Neexistuje žádná stránka s tímto názvem.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''', zda se tento text někde neobjevuje.",
	'mobile-frontend-privacy-link-text' => 'Ochrana soukromí',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Text je dostupný pod [//cs.m.wikipedia.org/wiki/Wikipedie:Text_licence_Creative_Commons_Attribution-ShareAlike_3.0_Unported?useformat=mobile CC BY-SA 3.0]; případně za dalších podmínek.',
	'mobile-frontend-copyright' => 'Text je dostupný pod $1, pokud není uvedeno jinak.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-terms-text' => 'Podmínky užití',
	'mobile-frontend-main-menu-button-tooltip' => 'Otevřít hlavní menu',
	'mobile-frontend-main-menu-page-title' => 'Navigace po webu',
	'mobile-frontend-main-menu-featured' => 'Nejlepší',
	'mobile-frontend-main-menu-nearby' => 'Poblíž',
	'mobile-frontend-main-menu-login' => 'Přihlásit se',
	'mobile-frontend-main-menu-logout' => 'Odhlásit se',
	'mobile-frontend-main-menu-watchlist' => 'Sledované',
	'mobile-frontend-main-menu-settings' => 'Nastavení',
	'mobile-frontend-main-menu-upload' => 'Načítání souborů',
	'mobile-frontend-main-menu-settings-heading' => 'Nastavení',
	'mobile-frontend-settings-site-header' => 'Jazyky {{grammar:2sg|{{SITENAME}}}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} existuje v $1 {{PLURAL:$1|jazyce|jazycích}}. Níže jsou uvedeny všechny dostupné verze',
	'mobile-frontend-main-menu-account-create' => 'Vytvořit účet',
	'mobile-frontend-page-menu-contents' => 'obsah',
	'mobile-frontend-page-menu-history' => 'Historie',
	'mobile-frontend-meta-data-issues-header' => 'Nedostatky',
	'mobile-frontend-meta-data-issues' => 'Tato stránka má nedostatky',
	'mobile-frontend-page-saving' => 'Ukládání $1',
	'mobile-frontend-user-cta' => 'Abyste mohli vidět svá upozornění, musíte se přihlásit.',
	'mobile-frontend-user-button-tooltip' => 'Zobrazit má upozornění',
	'mobile-frontend-nearby-to-page' => 'Následující stránky podle zeměpisné polohy souvisí se stránkou $1',
	'mobile-frontend-nearby-title' => 'Poblíž',
	'mobile-frontend-nearby-loading' => 'Načítají se témata poblíž vaší aktuální polohy',
	'mobile-frontend-nearby-requirements' => 'Je nám líto! Váš prohlížeč nepodporuje funkcionalitu Poblíž {{grammar:2sg|{{SITENAME}}}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Zkuste jiný prohlížeč nebo si zapněte JavaScript, pokud ho máte vypnutý.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'Poblíž {{grammar:2sg|{{SITENAME}}}} nedokáže zjistit, kde se nacházíte… zkusit znovu?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Zkuste otevřený prostor s lepším signálem.',
	'mobile-frontend-nearby-permission' => 'Poblíž {{grammar:2sg|{{SITENAME}}}} nemá oprávnění zjistit vaši polohu.',
	'mobile-frontend-nearby-permission-guidance' => 'Ujistěte se, že jste souhlasili s prozrazením vašeho umístění. Možná si budete muset zkontrolovat nastavení lokalizace v prohlížeči.',
	'mobile-frontend-nearby-noresults' => 'Je tu trochu ticho... Zde nebyly nalezeny žádné stránky.',
	'mobile-frontend-nearby-noresults-guidance' => 'Zkuste vytvořit novou stránku nebo přidat souřadnice k již existující stránce',
	'mobile-frontend-nearby-refresh' => 'Upřesnili jsme vaši polohu. Kliknutím sem můžete aktualizovat seznam blízkých stránek',
	'mobile-frontend-nearby-error' => 'Funkce Poblíž {{grammar:2sg|{{SITENAME}}}} má nějaké potíže.',
	'mobile-frontend-nearby-error-guidance' => 'Zkuste aktualizovat svou polohu.',
	'mobile-frontend-nearby-link' => 'Přečíst celou stránku',
	'mobile-frontend-nearby-directions' => 'Navigovat sem',
	'mobile-frontend-donate-image-nouploads' => 'Žádné načtené soubory.',
	'mobile-frontend-donate-image-login' => 'Abyste mohli vidět své soubory, musíte se přihlásit.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'Na této stránce není potřeba obrázek.',
	'mobile-frontend-photo-upload-anon' => 'Abyste mohli přidat na tuto stránku obrázek, musíte být přihlášeni.',
	'mobile-frontend-photo-upload-protected' => 'Nemáte oprávnění přidat obrázek na tuto stránku.',
	'mobile-frontend-photo-upload-unavailable' => 'Váš prohlížeč nepodporuje načítání obrázků.',
	'mobile-frontend-photo-upload-generic' => 'Přispět obrázkem',
	'mobile-frontend-donate-image-title' => 'Načtené soubory',
	'mobile-frontend-donate-image-heading' => 'Vaše nedávné příspěvky',
	'mobile-frontend-donate-image-anon' => 'Pro prohlížení načtených souborů je potřeba $1.',
	'mobile-frontend-user-account' => 'uživatelský účet',
	'mobile-frontend-listed-image-no-description' => 'Bez popisu',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Obrázky na {{grammar:6sg|{{SITENAME}}}} pocházejí z Wikimedia Commons',
	'mobile-frontend-watchlist-add' => 'Stránka $1 přidána mezi sledované',
	'mobile-frontend-watchlist-removed' => 'Stránka $1 odebrána ze sledovaných',
	'mobile-frontend-watchlist-view' => 'Zobrazit seznam sledovaných stránek',
	'mobile-frontend-watchlist-more' => 'další',
	'mobile-frontend-watchlist-cta' => 'Pokud chcete sledovat tuto stránku, musíte se přihlásit nebo zaregistrovat.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Přihlásit se',
	'mobile-frontend-watchlist-cta-button-signup' => 'Zaregistrovat se',
	'mobile-frontend-watchlist-purpose' => 'Seznam sledovaných stránek Vám umožňuje mít přehled o změnách stránek, jež Vás zajímají.',
	'mobile-frontend-watchlist-login-action' => 'Pro jeho zobrazení se přihlaste.',
	'mobile-frontend-watch-login' => 'Přidat stránku $1 mezi sledované.',
	'mobile-frontend-watchlist-a-z' => 'Seznam',
	'mobile-frontend-watchlist-feed' => 'Změněné',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klikněte na hvězdičku v horní části stránky',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Momentálně nesledujete žádné stránky. Seznam sledovaných stránek vám umožňuje kontrolovat stránky, které vás zajímají. Stránky můžete sledovat kliknutím na ikonku hvězdičky.',
	'mobile-frontend-watchlist-feed-empty' => 'Neexistují žádné stránky s nedávnými změnami',
	'mobile-frontend-watchlist-back-home' => 'Zpět domů',
	'mobile-frontend-changeslist-ip' => 'Anonymní uživatel',
	'mobile-frontend-changeslist-nocomment' => 'bez shrnutí editace',
	'mobile-frontend-watchlist-filter-all' => 'Všechno',
	'mobile-frontend-watchlist-filter-articles' => 'Články', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Diskuse',
	'mobile-frontend-watchlist-filter-other' => 'Jiné',
	'mobile-frontend-watchlist-modified' => 'Změněno $1',
	'mobile-frontend-diffview-404-title' => 'Chybná revize',
	'mobile-frontend-diffview-404-desc' => 'Požadované ID revize neexistuje',
	'mobile-frontend-diffview-title' => 'Změny',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|editace|editace|editací}}',
	'mobile-frontend-diffview-anonymous' => 'Anonymní uživatel',
	'mobile-frontend-diffview-bytesadded' => '{{PLURAL:$1|Přidán $1 bajt|Přidány $1 bajty|Přidáno $1 bajtů}}',
	'mobile-frontend-diffview-bytesremoved' => '{{PLURAL:$1|Odebrán $1 bajt|Odebrány $1 bajty|Odebráno $1 bajtů}}',
	'mobile-frontend-diffview-explained' => 'Následující řádky byly přidány (+) a odebrány (-):',
	'mobile-frontend-thanked-notice' => '{{GENDER:$2|Uživatel $1 se dozvěděl|Uživatelka $1 se dozvěděla}}, že se vám líbila {{GENDER:$2|jeho|její}} editace.',
	'mobile-frontend-saving-exit-page' => 'Váš příspěvek se stále ukládá. Pokud odejdete, budou vaše příspěvky ztraceny. Určitě chcete odejít?',
	'mobile-frontend-photo-upload' => 'Přidejte na tuto stránku obrázek',
	'mobile-frontend-photo-caption-placeholder' => 'Popište tento obrázek (povinné)',
	'mobile-frontend-photo-upload-error' => 'Chyba, zkuste to znovu.',
	'mobile-frontend-photo-upload-error-file-type' => 'Načítejte prosím pouze obrázky.',
	'mobile-frontend-photo-upload-success-article' => 'Úspěch! Váš obrázek se nyní zobrazuje na této stránce.',
	'mobile-frontend-photo-upload-user-count' => '<span>$1</span> {{PLURAL:$1|načtený soubor|načtené soubory|načtených souborů}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ načtených souborů',
	'mobile-frontend-editor-unavailable-header' => 'Editor není dostupný',
	'mobile-frontend-editor-unavailable' => 'Mobilní editování není na vašem prohlížeči momentálně dostupné. Zkuste jiný prohlížeč.',
	'mobile-frontend-editor-disabled' => 'Tato stránka je zamčena, aby se předešlo vandalismu.',
	'mobile-frontend-editor-blocked' => 'Vašemu účtu byla zablokována možnost editace.',
	'mobile-frontend-editor-cta' => 'Pomozte vylepšit tuto stránku!',
	'mobile-frontend-editor-edit' => 'Editovat',
	'mobile-frontend-editor-continue' => 'Pokračovat',
	'mobile-frontend-editor-save' => 'Uložit',
	'mobile-frontend-editor-cancel' => 'Storno',
	'mobile-frontend-editor-keep-editing' => 'Pokračovat v editaci',
	'mobile-frontend-editor-license' => 'Uložením změn souhlasíte s našimi [//wikimediafoundation.org/wiki/Terms_of_Use/cs Podmínkami užití] a souhlasíte se zveřejněním svého textu za podmínek licencí [//creativecommons.org/licenses/by-sa/3.0/deed.cs CC-BY-SA 3.0] a [//cs.wikipedia.org/wiki/Wikipedie:GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'Tato sekce je prázdná. Rozšiřte ji jako první!',
	'mobile-frontend-editor-summary-placeholder' => 'Popište nám, co jste změnili (nepovinné)',
	'mobile-frontend-editor-cancel-confirm' => 'Určitě chcete zahodit své úpravy?',
	'mobile-frontend-editor-wait' => 'Editace se ukládá, prosím čekejte.',
	'mobile-frontend-editor-success' => 'Úspěch! Vaše editace byla uložena.',
	'mobile-frontend-editor-success-landmark-1' => 'Gratulujeme, nyní jste editorem {{grammar:2sg|{{SITENAME}}}}!',
	'mobile-frontend-editor-error' => 'Chyba, editace nebyla uložena.',
	'mobile-frontend-editor-error-conflict' => 'Chyba, jiný uživatel mezitím tuto stránku upravil.',
	'mobile-frontend-editor-error-loading' => 'Chyba, nelze načíst sekci.',
	'mobile-frontend-editor-error-preview' => 'Chyba, při načítání náhledu se stalo něco neočekávaného. Zavřete a zkuste to znovu.',
	'mobile-frontend-editor-tutorial-summary' => 'Nebojte se formátovacích značek. Zkuste vylepšit stránku $1.',
	'mobile-frontend-editor-tutorial-confirm' => 'Začněte editovat',
	'mobile-frontend-editor-captcha-try-again' => 'Nesprávný kód, zkuste to znovu.',
	'mobile-frontend-editor-abusefilter-warning' => 'Upozornění: Určitě chcete uložit tuto editaci? Možná obsahuje nějaký problém.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Tuto editaci nelze uložit, protože jsme zjistili problém.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Více informací',
	'mobile-frontend-editor-editing-page' => '<strong>Editace stránky</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Náhled stránky</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Prohlížení zdrojového kódu stránky</strong><span> $1</span>',
	'tag-mobile_edit' => 'Mobilní editace',
	'tag-mobile_edit-description' => 'Editace provedená ze stránek pro mobily',
	'mobile-frontend-drawer-cancel' => 'Storno',
	'mobile-frontend-talk-explained' => 'Momentálně probíhají následující konverzace',
	'mobile-frontend-talk-explained-empty' => 'K této stránce nejsou žádné konverzace.',
	'mobile-frontend-talk-overlay-header' => 'Diskuse',
	'mobile-frontend-talk-back-to-page' => 'Zpět na stránku „$1“.',
	'mobile-frontend-talk-overlay-lead-header' => 'Nepojmenovaná diskuse',
	'mobile-frontend-talk-add-overlay-submit' => 'Přidat diskusi',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Téma',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Co chcete říct?',
	'mobile-frontend-talk-edit-summary' => 'Nová diskusní sekce: $1',
	'mobile-frontend-talk-reply-success' => 'Vaše reakce byla úspěšně vložena do diskuse.',
	'mobile-frontend-talk-reply-info' => 'Uvědomte si, že vaše reakce bude automaticky podepsána vašim uživatelským jménem.',
	'mobile-frontend-talk-reply' => 'Odpovědět',
	'mobile-frontend-media-details' => 'Podrobnosti',
	'mobile-frontend-media-license-link' => 'Informace o licenci',
	'abusefilter-edit-builder-vars-user-mobile' => 'Zda uživatel edituje prostřednictvím mobilního rozhraní',
	'mobile-frontend-profile-title' => 'Uživatelský profil',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Načetl|Načetla}} {{PLURAL:$1|včera|před $1 dny|0=dnes}}.',
	'mobile-frontend-profile-usertalk' => 'Komunikovat s {{GENDER:$1|uživatelem|uživatelkou}} $1',
	'mobile-frontend-profile-error' => 'Ach ne!',
	'mobile-frontend-profile-noargs' => 'Nebylo uvedeno uživatelské jméno. Pokud si chcete prohlédnout profil, musíte zadat uživatelské jméno.',
	'mobile-frontend-profile-nouser' => 'Neexistuje žádný uživatel s tímto jménem. Uživatelská jména rozlišují velikost písmen, tak prosím zkontrolujte, jestli bylo zadáno správně.',
	'mobile-frontend-profile-activity-heading' => 'Aktivita a příspěvky', # Fuzzy
	'mobile-frontend-profile-userpage-link' => 'Navštívit uživatelskou stránku.',
	'mobile-frontend-requires-optin' => 'Tato stránka není k dispozici, pokud se nepřihlásíte k betaverzi. Připojit se můžete na stránce [[Special:MobileOptions|nastavení]].',
	'mobile-frontend-profile-last-thank' => '[[Special:UserProfile/$1|$1]] {{GENDER:$3|mu|jí}} {{GENDER:$1|poděkoval|poděkovala}} za editaci stránky [[$2]].', # Fuzzy
	'mobile-frontend-profile-last-edit' => '{{PLURAL:$2|Včera|Před $2 dny|0=Dnes}} {{GENDER:$3|upravil|upravila}} stránku [[:$1]].',
	'mobile-frontend-profile-footer-days' => '{{GENDER:$1|Připojil|Připojila}} se před $2 {{PLURAL:$2|dnem|dny}} a má na kontě [[Special:Contributions/$1|$3 {{PLURAL:$3|editaci|editace|editací}}]] a [[Special:Uploads/$1|{{PLURAL:$4|1 načtený soubor|$4 načtené soubory|$4 načtených souborů|500=více než 500 načtených souborů}}]].',
	'mobile-frontend-profile-footer-months' => '{{GENDER:$1|Připojil|Připojila}} se před více než $2 {{PLURAL:$2|měsícem|měsíci}} a má na kontě [[Special:Contributions/$1|$3 {{PLURAL:$3|editaci|editace|editací}}]] a [[Special:Uploads/$1|{{PLURAL:$4|1 načtený soubor|$4 načtené soubory|$4 načtených souborů|500=více než 500 načtených souborů}}]].',
	'mobile-frontend-profile-footer-years' => '{{GENDER:$1|Připojil|Připojila}} se před více než $2 {{PLURAL:$2|rokem|lety}} a má na kontě [[Special:Contributions/$1|$3 {{PLURAL:$3|editaci|editace|editací}}]] a [[Special:Uploads/$1|{{PLURAL:$4|1 načtený soubor|$4 načtené soubory|$4 načtených souborů|500=více než 500 načtených souborů}}]].',
	'mobile-frontend-geonotahack' => 'Poblíž této stránky',
	'beta-feature-geonotahack' => 'Poblíž této stránky',
	'beta-feature-geonotahack-description' => 'Objevte stránky, které jsou geograficky blízké stránce, kterou si právě čtete.',
	'mobile-frontend-mainpage-cta-prompt' => 'Tato stránka potřebuje vaši pomoc!',
	'mobile-frontend-mainpage-cta-button' => 'Vylepšit tuto stránku',
	'beta-feature-minerva' => 'Zapnutí mobilního vzhledu (Minerva) na desktopu',
	'beta-feature-minerva-description' => 'Přidá do nabídky vzhledů v uživatelském nastavení na desktopu i vzhled používaný na mobilních zařízeních.',
);

/** Church Slavic (словѣньскъ / ⰔⰎⰑⰂⰡⰐⰠⰔⰍⰟ)
 * @author ОйЛ
 */
$messages['cu'] = array(
	'nearby' => 'мѣста ижє блиꙁъ тєбꙗ сѫтъ',
	'mobile-frontend-search-submit' => 'прѣиди',
	'mobile-frontend-home-button' => 'главьна страница',
	'mobile-frontend-logged-in-homepage-notification' => 'добрѣ прити · $1!',
	'mobile-frontend-sign-up-heading' => 'съꙁижди си мѣсто',
	'mobile-frontend-sign-in-heading' => 'въниди',
	'mobile-frontend-settings-beta' => 'вита',
	'mobile-frontend-save-settings' => 'съхранѥниѥ',
	'mobile-frontend-random-button' => 'въ нєꙁаапѫ',
	'mobile-frontend-images-status' => 'видꙑ',
	'mobile-frontend-missing-image' => 'видъ',
	'mobile-frontend-news-items' => 'вѣсти',
	'mobile-frontend-language-article-heading' => 'дроугꙑ ѩꙁꙑкꙑ',
	'mobile-frontend-language-header' => 'сꙗ страница $1 {{PLURAL:$1|ѩꙁꙑкомь|ѩꙁꙑкома|ѩꙁꙑкꙑ}} пьсана ѥстъ',
	'mobile-frontend-username' => 'польꙃєватєлꙗ имѧ :',
	'mobile-frontend-password' => 'таино слово :',
	'mobile-frontend-username-placeholder' => 'польꙃєватєлꙗ имѧ',
	'mobile-frontend-password-placeholder' => 'таино слово',
	'mobile-frontend-login' => 'въниди',
	'mobile-frontend-learn-more' => 'поꙁнаи вѧщє',
	'mobile-frontend-account-create-submit' => 'съꙁижди си мѣсто',
	'mobile-frontend-password-confirm-placeholder' => 'таина слова оувѣрѥниѥ',
	'mobile-frontend-placeholder' => '{{SITENAME}} : исканиѥ',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}} : исканиѥ (вита)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}} : исканиѥ (опꙑтъ)',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'подъ прощєниѥмь [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] пьсано ѥстъ · инꙑ оуставлєниꙗ тако жє могѫтъ бꙑти',
	'mobile-frontend-copyright' => 'подъ прощєниѥмь <a href="http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License">Creative Commons Attribution/Share-Alike License</a> пьсано ѥстъ · доплънитєл҄ьнꙑ оуставлєниꙗ тако жє могѫтъ бꙑти ⁙ Ꙁьри <a href="http://wikimediafoundation.org/wiki/Terms_of_Use/cu">польꙃєваниꙗ оуставъ</a> пльна расъмощрѥниꙗ дѣл̑ьма ⁙ ⁖ Википє́дїꙗ ⁖ нєтръжьна органїсма Wikimedia Foundation, Inc. єпїсимьнъ ꙁнакъ ѥстъ', # Fuzzy
	'mobile-frontend-main-menu-featured' => 'иꙁбрано',
	'mobile-frontend-main-menu-nearby' => 'блиꙁъ',
	'mobile-frontend-main-menu-login' => 'въниди',
	'mobile-frontend-main-menu-logout' => 'ис̾ходъ',
	'mobile-frontend-main-menu-watchlist' => 'блюдєниꙗ',
	'mobile-frontend-main-menu-settings' => 'строи',
	'mobile-frontend-main-menu-upload' => 'положєнꙑ дѣла',
	'mobile-frontend-main-menu-settings-heading' => 'строи',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} : ѩꙁꙑци',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} пьсана $1 {{PLURAL:$1|ѩꙁꙑкомь|ѩꙁꙑкома|ѩꙁꙑкꙑ}} ѥстъ ⁙ сѥ ихъжє пльнъ каталогъ ѥстъ',
	'mobile-frontend-main-menu-account-create' => 'съꙁижди си мѣсто',
	'mobile-frontend-page-menu-history' => 'їсторїꙗ',
	'mobile-frontend-meta-data-issues-header' => 'отѧжєниꙗ',
	'mobile-frontend-page-saving' => 'съхранѥниѥ ⁖ $1 ⁖',
	'mobile-frontend-nearby-title' => 'блиꙁъ',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 х҃м}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 м҃}}',
	'mobile-frontend-donate-image-title' => 'положєнꙑ дѣла',
	'mobile-frontend-donate-image-heading' => 'твоꙗ послѣдьнѩ мѣнꙑ',
	'mobile-frontend-user-account' => 'польꙃєватєльско мѣсто',
	'mobile-frontend-listed-image-no-description' => 'опьсаниꙗ нѣстъ',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'да !',
	'mobile-frontend-watchlist-more' => 'вѧщє',
	'mobile-frontend-watchlist-cta-button-login' => 'въниди',
	'mobile-frontend-watchlist-cta-button-signup' => 'съꙁижди си мѣсто',
	'mobile-frontend-watchlist-a-z' => 'каталогъ',
	'mobile-frontend-changeslist-ip' => 'анѡнѷмьнъ польꙃєватєл҄ь',
	'mobile-frontend-watchlist-filter-all' => 'вьсꙗ',
	'mobile-frontend-watchlist-filter-articles' => 'члѣни',
	'mobile-frontend-watchlist-filter-talk' => 'бєсѣда',
	'mobile-frontend-watchlist-filter-other' => 'инꙑ',
	'mobile-frontend-diffview-title' => 'мѣнꙑ',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|мѣна|мѣнꙑ|мѣнъ}}',
	'mobile-frontend-diffview-anonymous' => 'анѡнѷмьнъ польꙃєватєл҄ь',
	'mobile-frontend-table' => 'тавлїѥ $1',
	'mobile-frontend-editor-edit' => 'исправлѥниѥ',
	'mobile-frontend-editor-save' => 'съхранѥниѥ',
	'mobile-frontend-talk-overlay-header' => 'бєсѣда',
	'mobile-frontend-talk-reply' => 'отъвѣтъ',
);

/** Welsh (Cymraeg)
 * @author Cymrodor
 * @author Lloffiwr
 * @author MaxSem
 * @author Robin Owain
 * @author Xxglennxx
 */
$messages['cy'] = array(
	'mobilefrontend-random-explain' => "Ydy'r dudalen hon a gyrchwyd ar hap o ddiddordeb i chi?",
	'mobilefrontend-random-cancel' => 'Rwyf am ei ddarllen!',
	'mobilefrontend-keepgoing-ask' => "Da iawn! Rydych yn dechrau dod i'r afael ag e. Ydych chi am geisio golygu tudalen arall?",
	'mobilefrontend-keepgoing-ask-first' => 'Llongyfarchiadau ar wneud eich golygiad cyntaf! Ydych chi am geisio golygu tudalen arall?',
	'mobilefrontend-keepgoing-explain' => 'Ardderchog! Dywedodd defnyddiwr arall bod angen cymorth ar y dudalen hon. Ceisiwch hon, neu rhyw dudalen arall.',
	'mobilefrontend-keepgoing-cancel' => 'Dim diolch',
	'mobilefrontend-keepgoing-suggest' => 'Ydw',
	'mobilefrontend-keepgoing-suggest-again' => 'Ceisio tudalen arall',
	'mobilefrontend-keepgoing-saved-title' => 'Cadwyd y golygiad!',
	'mobilefrontend-keepgoing-links-title' => 'Ychwanegu cysylltau',
	'mobilefrontend-keepgoing-links-ask-first' => "Llongyfarchiadau ar gwblhau eich golygiad cyntaf! A ydych am gynorthwyo yn ychwanegu cysylltau i dudalen a chafodd ei dechrau'n ddiweddar?",
	'mobilefrontend-keepgoing-links-ask-again' => 'Am wella tudalen arall?',
	'mobilefrontend-keepgoing-links-example' => 'e.e. bydd ysgrifennu $1guitar$2 yn cynhyrchu $3guitar$4',
	'nearby' => "Tudalennau yn perthyn i'r cyffiniau",
	'mobile-frontend-desc' => 'Rhaglen pen blaen i declynnau symudol',
	'mobile-frontend-search-submit' => 'Eler',
	'mobile-frontend-home-button' => 'Hafan',
	'mobile-frontend-logged-out' => 'Nid ydych wedi mewngofnodi',
	'mobile-frontend-logged-in-homepage-notification' => 'Croeso, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Mewngofnodwyd fel $1.',
	'mobile-frontend-sign-up-heading' => 'Mewngofnodwch',
	'mobile-frontend-sign-in-heading' => 'Mewngofnodwch',
	'mobile-frontend-sign-in-why' => 'Os oes gennych gyfri {{SITENAME}}, gallwch fewngofnodi isod.',
	'mobile-frontend-sign-in-error-heading' => 'WWWpsi!!',
	'mobile-frontend-settings-description' => "Addaswch osodiadau'r wefan, fel y dymunwch, i ddefnydd eich teclyn symudol.",
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Y modd arbrofol',
	'mobile-frontend-settings-alpha-description' => "Mentrwch gyda'ch teclyn symudol i dir peryglus a dieithr. Gallwch gael gafael ar fwy o nodweddion arbrofol, ond gyda mwy o berygl o ddod ar draws bygiau.",
	'mobile-frontend-save-settings' => 'Cadw',
	'mobile-frontend-save-error' => "Cafwyd gwall wrth gadw'r gosodiadau. Sicrhewch eich bod wedi galluogi cwcis.",
	'mobile-frontend-random-button' => 'Ar hap',
	'mobile-frontend-back-to-top-of-section' => 'Neidio Un Adran Am Nôl',
	'mobile-frontend-regular-site' => 'Gweld y fersiwn i gyfrifiadur',
	'mobile-frontend-wml-continue' => 'Parhau ...',
	'mobile-frontend-wml-back' => 'Nôl ...',
	'mobile-frontend-view' => "Golwg drwy'r teclun symudol",
	'mobile-frontend-view-desktop' => 'Bwrdd gwaith',
	'mobile-frontend-view-mobile' => 'Teclun symudol',
	'mobile-frontend-opt-in-explain' => 'Wrth ymuno yn beta, byddwch yn derbyn nodweddion arbrofol, a chyda hynny y posibilrwydd o ddod ar draws bygiau a phroblemau.',
	'mobile-frontend-images-status' => 'Delweddau',
	'mobile-frontend-disable-images' => 'Peidio a chaniatau delweddau ar declun symudol',
	'mobile-frontend-enable-images' => 'Caniatau delweddau ar declun symudol',
	'mobile-frontend-missing-image' => 'Delwedd',
	'mobile-frontend-off' => 'BANT',
	'mobile-frontend-on' => 'ARNO',
	'mobile-frontend-featured-article' => 'Cynnwys Dethol y Dydd',
	'mobile-frontend-news-items' => 'Ar y Newyddion',
	'mobile-frontend-languages-404-title' => 'Gwall yn yr ieithoedd',
	'mobile-frontend-languages-404-desc' => 'Rhaid rhoi teitl dilys.',
	'mobile-frontend-languages-header' => 'Ieithoedd',
	'mobile-frontend-languages-nonexistent-title' => "Nid yw'r dudalen $1 ar gael.",
	'mobile-frontend-languages-text' => 'Mae $1 ar gael mewn $2 {{PLURAL:$2|iaith}}.',
	'mobile-frontend-languages-variant-header' => 'Amrywiadau ar {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Ieithoedd</strong>',
	'mobile-frontend-language-article-heading' => 'Darllen mewn iaith arall',
	'mobile-frontend-language-header' => "Mae'r dudalen hon ar gael mewn $1 {{PLURAL:$1|iaith}}",
	'mobile-frontend-language-variant-header' => 'Dewis amrywiad ar {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => "Sylwer: Efallai nad ydy'r dudalen hon yn ymddangos yn eich hoff iaith. O glicio yma gallwch weld pa ieithoedd y mae {{SITENAME}} yn ei gynnal.",
	'mobile-frontend-language-site-choose' => 'Dewisiwch iaith',
	'mobile-frontend-username' => 'Enw defnyddiwr:',
	'mobile-frontend-password' => 'Cyfrinair:',
	'mobile-frontend-username-placeholder' => 'Enw defnyddiwr',
	'mobile-frontend-password-placeholder' => 'Cyfrinair',
	'mobile-frontend-login' => 'Mewngofnodi',
	'mobile-frontend-history' => "Gweld hanes golygu'r dudalen hon.",
	'mobile-frontend-history-404-title' => "Does dim tudalen o'r enw hwn",
	'mobile-frontend-history-404-desc' => "Ni ellir gweld hanes tudalen nad yw'n bod. Efallai iddi gael ei dileu, neu i chi ddilyn cyswllt gwallus.",
	'mobile-frontend-history-summary' => 'Hanes y dudalen [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Newidiwyd ddiwethaf ar $1 am $2',
	'mobile-frontend-last-modified-seconds' => 'Newidwyd ddiwethaf {{PLURAL:$1|$1 eiliad}} yn ôl',
	'mobile-frontend-last-modified-minutes' => 'Newidwyd ddiwethaf $1 {{PLURAL:$1|munud|munud|funud|munud}} yn ôl',
	'mobile-frontend-last-modified-hours' => 'Newidwyd ddiwethaf {{PLURAL:$1|$1 awr}} yn ôl',
	'mobile-frontend-last-modified-days' => 'Newidwyd ddiwethaf {{PLURAL:$1|$1 diwrnod|diwrnod|deuddydd|tridiau|$1 diwrnod}} yn ôl',
	'mobile-frontend-last-modified-months' => 'Newidwyd ddiwethaf {{PLURAL:$1|$1 mis|mis|deufis|$1 mis}} yn ôl',
	'mobile-frontend-last-modified-years' => 'Newidwyd ddiwethaf {{PLURAL:$1|$1 blwyddyn|blwyddyn|dwy flynedd|$1 blynedd}} yn ôl',
	'mobile-frontend-last-modified-just-now' => 'Golygwyd gynnau fach',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Golygwyd {{GENDER:$1|ddiwethaf}} {{PLURAL:$3||$3 eiliad}} yn ôl] gan {{PLURAL:$5|ddefnyddiwr dienw|[$6 $2]}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Golygwyd {{GENDER:$1|ddiwethaf}} {{PLURAL:$3||$3 munud|$3 funud|$3 munud}} yn ôl] gan {{PLURAL:$5|ddefnyddiwr dienw|[$6 $2]}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Golygwyd {{GENDER:$1|ddiwethaf}} {{PLURAL:$3||$3 awr}} yn ôl] gan {{PLURAL:$5|ddefnyddiwr dienw|[$6 $2]}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Golygwyd {{GENDER:$1|ddiwethaf}} {{PLURAL:$3||$3 diwrnod|deuddydd|tridiau|$3 diwrnod}} yn ôl] gan {{PLURAL:$5|ddefnyddiwr dienw|[$6 $2]}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Golygwyd {{GENDER:$1|ddiwethaf}} {{PLURAL:$3||$3 mis|deufis|$3 mis}} yn ôl] gan {{PLURAL:$5|ddefnyddiwr dienw|[$6 $2]}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Golygwyd {{GENDER:$1|ddiwethaf}} {{PLURAL:$3||blwyddyn|$3 flynedd|$3 mlynedd|$3 mlynedd|$3 blynedd}} yn ôl] gan {{PLURAL:$5|ddefnyddiwr dienw|[$6 $2]}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 {{GENDER:$1|Golygwyd}}] y dudalen gynnau gan {{PLURAL:$4|ddefnyddiwr dienw|[$5 $2]}}.',
	'mobile-frontend-learn-more' => 'Mwy o wybodaeth',
	'mobile-frontend-view-source' => 'Dangos côd y dudalen',
	'mobile-frontend-account-create-submit' => 'Cofrestru',
	'mobile-frontend-password-confirm-placeholder' => 'Gwirwch eich cyfrinair',
	'mobile-frontend-account-create-email-placeholder' => 'Cyfeiriad ebost (opsiynol)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Rhowch y côd cadarnhau',
	'mobile-frontend-overlay-escape' => 'Ewch yn ol',
	'mobile-frontend-overlay-close' => 'Caeer',
	'mobile-frontend-overlay-continue' => 'Ymlaen',
	'mobile-frontend-placeholder' => 'Chwilio {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Chwilio drwy {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Chwilio drwy {{SITENAME}} (Arbrofol)',
	'mobile-frontend-search-help' => 'Teipiwch y term chwilio uchod a bydd teitlau tudalennau cyfatebol yn cael eu dangos fan hyn.',
	'mobile-frontend-dismiss-notification' => "cau'r hysbysiad hwn",
	'mobile-frontend-clear-search' => 'Clirio',
	'mobile-frontend-search-content' => 'Chwilier drwy gynnwys y tudalennau',
	'mobile-frontend-search-no-results' => "Does dim tudalen gyda'r teitl hwn i gael.",
	'mobile-frontend-privacy-link-text' => 'Preifatrwydd',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => "Darperir y testun hwn yn ôl termau'r drwydded [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; hwyrach bod termau ychwanegol yn weithredol.",
	'mobile-frontend-copyright' => "Rhoddir testun y dudalen ar gael ar delerau'r drwydded $1, heblaw ei fod wedi nodi'n wahanol.",
	'mobile-frontend-footer-contact' => 'Cysylltu',
	'mobile-frontend-search-noresults' => "Nid oes unrhyw deitlau tudalennau yn cyfateb i'r chwiliad. Newidiwch y chwiliad, neu pwyswch y botwm chwilio ar eich bysellfwrdd er mwyn chwilio oddi mewn i'r tudalennau.",
	'mobile-frontend-terms-text' => 'Telerau Defnyddio',
	'mobile-frontend-main-menu-button-tooltip' => 'Agor y brif ddewislen',
	'mobile-frontend-main-menu-page-title' => "Fforio'r wefan",
	'mobile-frontend-main-menu-featured' => 'Detholion',
	'mobile-frontend-main-menu-nearby' => 'Gerllaw',
	'mobile-frontend-main-menu-login' => 'Mewngofnodi',
	'mobile-frontend-main-menu-logout' => 'Allgofnodi',
	'mobile-frontend-main-menu-watchlist' => 'Rhestr wylio',
	'mobile-frontend-main-menu-settings' => 'Gosodiadau',
	'mobile-frontend-main-menu-upload' => 'Uwchlwythiadau',
	'mobile-frontend-main-menu-settings-heading' => 'Gosodiadau',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} Ieithoedd',
	'mobile-frontend-settings-site-description' => 'Mae {{SITENAME}} ar gael mewn $1 {{PLURAL:$1||iaith}}. Rhestrir yr holl fersiynau sydd ar gael isod',
	'mobile-frontend-main-menu-account-create' => 'Crëwch gyfrif',
	'mobile-frontend-page-menu-contents' => 'cynnwys',
	'mobile-frontend-page-menu-history' => 'Hanes',
	'mobile-frontend-meta-data-issues-header' => 'Problemau',
	'mobile-frontend-meta-data-issues' => "Mae 'na broblem efo'r dudalen hon",
	'mobile-frontend-page-saving' => "Wrthi'n cadw $1",
	'mobile-frontend-user-cta' => 'Byddwch gystal â mewngofnodi neu gofrestru er mwyn cael gweld eich hysbysiadau.',
	'mobile-frontend-user-button-tooltip' => 'Dangos fy hysbysiadau',
	'mobile-frontend-nearby-to-page' => "Mae'r dudalen $1 a'r tudalennau a ganlyn yn perthyn i fannau yn yr un bro a'i gilydd",
	'mobile-frontend-nearby-title' => 'Gerllaw',
	'mobile-frontend-nearby-loading' => 'Yn llwytho pynciau addas at eich cyffiniau',
	'mobile-frontend-nearby-requirements' => 'Ymddiheurwn! Nid yw eich porwr gwe yn cynnal Gerllaw ar {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Ceisiwch ddefnyddio porwr arall, neu galluogwch JavaScript os ydy hwnnw wedi ei analluogi gennych.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'Nid yw Gerllaw ar {{SITENAME}} yn gallu dirnad lle ydych chi… ceisio eto?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Ceisiwch eto mewn man agored ag iddi signal cryfach.',
	'mobile-frontend-nearby-permission' => 'Nid oes gan Gerllaw ar {{SITENAME}} ganiatâd i fesur eich lleoliad.',
	'mobile-frontend-nearby-permission-guidance' => 'Sicrhewch eich bod yn rhoi caniatâd i ddangos eich lleoliad. Hwyrach y bydd angen i chi newid gosodiadau lleoli eich porwr.',
	'mobile-frontend-nearby-noresults' => "Mae'n llonydd yma... Ni chafwyd dim tudalen gerllaw.",
	'mobile-frontend-nearby-noresults-guidance' => 'Ceisiwch ddechrau tudalen newydd neu ychwanegu lleoliad i dudalen sydd ar gael eisoes.',
	'mobile-frontend-nearby-refresh' => "Cawsom hyd i leoliad cywirach drosto chi. Cliciwch fan hyn i adnewyddu'r rhestr o dudalennau yn y cyffiniau",
	'mobile-frontend-nearby-error' => 'Mae problemau gan Gerllaw ar {{SITENAME}}.',
	'mobile-frontend-nearby-error-guidance' => 'Ceisiwch adnewyddu eich lleoliad.',
	'mobile-frontend-nearby-link' => 'Darllen y dudalen hon yn gyfan',
	'mobile-frontend-nearby-directions' => 'Llywio yma',
	'mobile-frontend-donate-image-nouploads' => 'Dim uwchlwythiadau.',
	'mobile-frontend-donate-image-login' => "Chi a'ch tebyg sy'n rhoi ffeiliau cyfrwng i {{SITENAME}}.",
	'mobile-frontend-photo-upload-disabled' => 'Nid oes angen llun ar y dudalen hon.',
	'mobile-frontend-photo-upload-anon' => "Mewngofnodwch er mwyn ychwanegu delwedd i'r dudalen hon.",
	'mobile-frontend-photo-upload-protected' => "Nid oes caniatâd gennych i ychwanegu delwedd i'r dudalen hon.",
	'mobile-frontend-photo-upload-unavailable' => 'Nid yw eich porwr yn cynnal uwchlwytho delweddau.',
	'mobile-frontend-photo-upload-generic' => 'Cyfrannu delwedd',
	'mobile-frontend-donate-image-title' => 'Uwchlwythiadau',
	'mobile-frontend-donate-image-heading' => 'Eich cyfraniadau diweddar',
	'mobile-frontend-donate-image-anon' => 'Mae angen $1 er mwyn gweld y dudalen uwchlwytho.',
	'mobile-frontend-user-account' => 'cyfrif defnyddiwr',
	'mobile-frontend-listed-image-no-description' => 'Dim disgrifiad',
	'mobile-frontend-donate-photo-upload-success' => 'Llwyddiant! Gall eich delwedd gael ei defnyddio nawr ar {{SITENAME}}.',
	'mobile-frontend-donate-photo-first-upload-success' => 'Llwyddodd eich cyfraniad cyntaf!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Cyfrannwch eich delweddau. Rhowch dipyn o sbonc yn {{SITENAME}}!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Mae delweddau o {{SITENAME}} yn dod o Gomin Wikimedia',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Mae eich lluniau o gymorth wrth addysgu pobl y byd',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Osgowch deunyddiau a hawlfraint arnynt, y gwnaethoch eu cael ar y rhyngrwyd, ac hefyd delweddau o bosteri, cloriau llyfrau, ayb.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Wedi deall?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Do!',
	'mobile-frontend-watchlist-add' => 'Ychwanegwyd $1 at eich rhestr wylio',
	'mobile-frontend-watchlist-removed' => 'Tynnwyd $1 oddi ar eich rhestr wylio',
	'mobile-frontend-watchlist-view' => 'Gweld eich rhestr wylio',
	'mobile-frontend-watchlist-more' => 'rhagor',
	'mobile-frontend-watchlist-cta' => "Dilynwch hynt y dudalen hon a'r holl newidiadau iddi.",
	'mobile-frontend-watchlist-cta-button-login' => 'Mewngofnodi',
	'mobile-frontend-watchlist-cta-button-signup' => 'Cofrestru',
	'mobile-frontend-watchlist-purpose' => 'Mae rhestr wylio yn eich cynorthwyo i glustnodi tudalennau er mwyn dilyn hynt y newidiadau iddynt.',
	'mobile-frontend-watchlist-login-action' => 'Mewngofnodwch er mwyn ei gweld.',
	'mobile-frontend-generic-login' => 'Ffrwyth llafur pobl fel chi yw {{SITENAME}}.',
	'mobile-frontend-generic-login-action' => 'Mewngofnodwch er mwyn cyfrannu.',
	'mobile-frontend-generic-signup-action' => 'Cofrestrwch er mwyn cyfrannu.',
	'mobile-frontend-watch-login' => 'Ychwanegu $1 at eich rhestr wylio.',
	'mobile-frontend-edit-login-action' => 'Mewngofnodwch er mwyn golygu.',
	'mobile-frontend-watchlist-a-z' => 'Rhestr',
	'mobile-frontend-watchlist-feed' => 'Newidiwyd',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Cliciwch y seren ar frig y dudalen',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Nid ydych yn gwylio unrhyw dudalennau ar hyn o bryd. Mae eich rhestr wylio yn eich cynorthwyo i ddilyn hynt y tudalennau sydd o ddiddordeb i chi. Gwyliwch dudalennau drwy glicio ar y seren o eicon.',
	'mobile-frontend-watchlist-feed-empty' => 'Nid oes unrhyw dudalennau wedi eu newid yn ddiweddar.',
	'mobile-frontend-watchlist-back-home' => 'Adref',
	'mobile-frontend-changeslist-ip' => 'Defnyddiwr anhysbys',
	'mobile-frontend-changeslist-nocomment' => 'dim crynodeb golygu',
	'mobile-frontend-watchlist-filter-all' => 'Pob un',
	'mobile-frontend-watchlist-filter-articles' => 'Tudalennau',
	'mobile-frontend-watchlist-filter-talk' => 'Sgwrs',
	'mobile-frontend-watchlist-filter-other' => 'Arall',
	'mobile-frontend-watchlist-modified' => 'Addaswyd $1',
	'mobile-frontend-diffview-404-title' => 'Golygiad gwael',
	'mobile-frontend-diffview-404-desc' => "Nid yw'r id yr holoch amdano yn perthyn i unrhyw ddiwygiad sydd ar gael.",
	'mobile-frontend-diffview-title' => 'Newidiadau',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|golygiad|golygiad|olygiad|golygiad}}',
	'mobile-frontend-diffview-anonymous' => 'Defnyddiwr anhysbys',
	'mobile-frontend-diffview-bytesadded' => 'Ychwanegwyd $1 {{PLURAL:$1|beit|beit|feit|beit}}',
	'mobile-frontend-diffview-bytesremoved' => 'Lleihawyd o $1 {{PLURAL:$1|beit|beit|feit|beit}}',
	'mobile-frontend-diffview-explained' => 'Ychwanegwyd (+) a dilewyd (-) y llinellau a ganlyn:',
	'mobile-frontend-thanked-notice' => "Dywedwyd wrth $1 eich bod yn hoff o'i {{GENDER:$2|adolygiad|hadolygiad|adolygiad}}.",
	'mobile-frontend-saving-exit-page' => "Mae eich golygiad yn dal i fod wrthi'n cael ei roi ar gadw. Os y gadewch bydd y golygiad yn cael ei golli. Ydych chi wir am ymadael?",
	'mobile-frontend-photo-upload' => "Ychwanegwch ddelwedd i'r dudalen hon",
	'mobile-frontend-photo-article-edit-comment' => "Ychwanegwyd delwedd i'r dudalen",
	'mobile-frontend-photo-article-donate-comment' => 'Cyfranwyd delwedd drwy Arbennig:Uwchlwythiadau',
	'mobile-frontend-photo-upload-comment' => "Ychwanegwyd delwedd i'r dudalen",
	'mobile-frontend-photo-caption-placeholder' => 'Disgrifiad y ddelwedd (yn ofynnol)',
	'mobile-frontend-image-loading' => "Wrthi'n llwytho'r ddelwedd",
	'mobile-frontend-photo-ownership' => 'Myfi, $1, dynnodd y llun hwn.',
	'mobile-frontend-photo-ownership-help' => 'Beth yw ystyr hwn?',
	'mobile-frontend-photo-ownership-confirm' => 'Wedi deall!',
	'mobile-frontend-photo-ownership-bullet-one' => "Dim ond delweddau sy'n eiddo i chi y gallwn eu derbyn. Peidiwch ag uwchlwytho delweddau y cawsoch rhywle ar y rhyngrwyd.",
	'mobile-frontend-photo-ownership-bullet-two' => 'Bydd delweddau a hawlfraint arnynt, a delweddau anaddas, yn cael eu dileu.',
	'mobile-frontend-photo-ownership-bullet-three' => "Mae eich uwchlwythiadau yn cael eu rhyddhau gyda thrwydded sy'n caniatau i unrhyw un eu hailddefnyddio am ddim.",
	'mobile-frontend-photo-nag-1-bullet-1-heading' => 'Nid wyf yn torri hawlfraint',
	'mobile-frontend-photo-nag-1-bullet-1-text' => "'''Nid''' delwedd a gefais ar y rhyngrwyd yw hon. Fy ngwaith fy hunan yw.",
	'mobile-frontend-photo-nag-1-bullet-2-heading' => 'Nid delwedd bersonol yw hon',
	'mobile-frontend-photo-nag-1-bullet-2-text' => 'Ac fe all gynorthwyo i ddarlunio pwnc pwysig.',
	'mobile-frontend-photo-nag-2-bullet-1-heading' => "Yn bendant ddim yn torri hawlfraint, ac mae'r ddelwedd yn addysgol.",
	'mobile-frontend-photo-nag-3-bullet-1-heading' => 'Rwyn deall pa bethau y caf eu huwchlwytho. Peidier dangos y neges hon eto.',
	'mobile-frontend-photo-nag-learn-more-heading' => 'Dewis uwchlwytho ai pheidio',
	'mobile-frontend-photo-nag-learn-more-1' => "'''Ie!''' Lluniau y tynnoch o lefydd, pethau, a digwyddiadau.",
	'mobile-frontend-photo-nag-learn-more-2' => "'''Ie!''' Lluniau sy'n gallu darlunio a chyfoethogi tudalennau ar {{SITENAME}}.",
	'mobile-frontend-photo-nag-learn-more-3' => "'''Na.''' Lluniau o bosteri ffilmiau, cloriau llyfrau a deunydd arall sydd a hawlfraint arno. Caiff y rhain eu dileu.",
	'mobile-frontend-lead-image-tutorial-summary' => "Sicrhewch y gall eich delwedd ddarlunio'r dudalen. dylai fod yn ddelwedd y gwnaethoch chi ei chynhyrchu, nag ydyw'n torri hawlfraint.",
	'mobile-frontend-lead-image-tutorial-confirm' => 'Dechreuer uwchlwytho',
	'mobile-frontend-image-uploading-wait' => "Wrthi'n uwchlwytho delwedd...",
	'mobile-frontend-image-uploading-long' => "Wrthi'n uwchlwytho o hyd! Diolch am eich amynedd.",
	'mobile-frontend-image-uploading-cancel' => 'Os yw\'r uwchlwytho\'n rhy araf gallwch ei <a href="#">ddiddymu</a>.',
	'mobile-frontend-photo-upload-error' => 'Gwall, ceisiwch eto.',
	'mobile-frontend-photo-upload-error-file-type' => "Uwchlwythwch ddelweddau'n unig os gwelwch yn dda.",
	'mobile-frontend-photo-upload-error-filename' => 'Gwall, ymhelaethwch ar y disgrifiad yn y crynodeb.',
	'mobile-frontend-photo-upload-success-article' => "Llwyddiant! Mae eich delwedd i'w weld ar y dudalen hon.",
	'mobile-frontend-photo-license' => "Wrth uwchlwytho'r ddelwedd hon, rydych yn cytuno â'n [//wikimediafoundation.org/wiki/Terms_of_use Termau Defnydd] ac yn cytuno i ryddhau eich delwedd yn ôl termau'r drwydded [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0].",
	'mobile-frontend-photo-submit' => 'Cyflwyner',
	'mobile-frontend-photo-cancel' => 'Diddymer',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>0</span> uwchlwythiadau|<span>1</span> uwchlwythiad|<span>$1</span> uwchlwythiad}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ o uwchlwythiadau',
	'mobile-frontend-image-heading-describe' => "'''Disgrifiwch''' y ddelwedd",
	'mobile-frontend-image-uploading' => "'''Wrthi'n uwchlwytho'r''' ddelwedd...",
	'mobile-frontend-image-cancel-confirm' => "Diddymu'r uwchlwytho?",
	'mobile-frontend-editor-redirect-title' => "Wrthi'n ailgyfeirio i'r golygydd...",
	'mobile-frontend-editor-unavailable-header' => "Nid yw'r golygydd ar gael",
	'mobile-frontend-editor-unavailable' => "Ar hyn o bryd, nid oes modd golygu â'ch porwr presennol o'r teclyn symudol. Ceisiwch ddefnyddio porwr gwahanol.",
	'mobile-frontend-editor-undo-unsupported' => 'Ni ellir ddadwneud ar declynnau symudol, ar hyn o bryd.',
	'mobile-frontend-editor-newpage-prompt' => "Nid yw'r dudalen ar gael eto. Beth am fentro a'i dechrau!",
	'mobile-frontend-editor-disabled' => "Mae'r dudalen hon wedi ei gwarchod rhag cael ei fandaleiddio.",
	'mobile-frontend-editor-blocked' => 'Gosodwyd bloc rhag golygu ar eich cyfrif.',
	'mobile-frontend-editor-cta' => "Helpwch wella'r dudalen hon!",
	'mobile-frontend-editor-edit' => 'Golygu',
	'mobile-frontend-editor-continue' => 'Ymlaen',
	'mobile-frontend-editor-save' => 'Cadw',
	'mobile-frontend-editor-cancel' => 'Diddymer',
	'mobile-frontend-editor-keep-editing' => 'Parhau i olygu',
	'mobile-frontend-editor-license' => "Wrth roi'r newidiadau ar gadw, rydych yn ymrwymo wrth ein [//wikimediafoundation.org/wiki/Terms_of_use Telerau Defnyddio] ac yn cytuno i ryddhau eich testun â thrwyddedi [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0] a [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL] arno.",
	'mobile-frontend-editor-placeholder' => "Mae'r adran hon yn wag. Byddwch ar flaen y gad i'w hehangu!",
	'mobile-frontend-editor-summary-placeholder' => 'Disgrifiwch yr hyn a newidioch (dewisol)',
	'mobile-frontend-editor-cancel-confirm' => "Ydych chi wir am roi'r gorau i'ch golygiad?",
	'mobile-frontend-editor-wait' => "Wrthi'n rhoi'r golygiad ar gadw.",
	'mobile-frontend-editor-guider' => 'O glicio ar "{{int:mobile-frontend-editor-continue}}" gallwch weld rhagolwg o\'r golygiad a\'i roi ar gadw.',
	'mobile-frontend-editor-success' => 'Llwyddiant! Rhoddwyd eich golygiad ar gadw.',
	'mobile-frontend-editor-success-landmark-1' => 'Llongyfarchiadau, rydych yn awr yn olygydd ar {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Gwall, ni roddwyd y golygiad ar gadw.',
	'mobile-frontend-editor-error-conflict' => "Gwall; mae defnyddiwr arall wedi golygu'r dudalen hon.",
	'mobile-frontend-editor-error-loading' => "Gwall, ni ellir llwytho'r adran.",
	'mobile-frontend-editor-preview-header' => 'Rhagolwg',
	'mobile-frontend-editor-error-preview' => "Gwall, digwyddodd rhywbeth annisgwyl wrth lwytho'r rhagolwg. Caewch ef ac yna ceisiwch eto.",
	'mobile-frontend-editor-tutorial-summary' => "Peidiwch â bod ofn cystrawen wici. Ceisiwch wella'r dudalen $1.",
	'mobile-frontend-editor-tutorial-confirm' => 'Dechrau golygu',
	'mobile-frontend-editor-tutorial-cancel' => 'Dim diolch',
	'mobile-frontend-editor-captcha-try-again' => 'Cod anghywir, ceisiwch eto.',
	'mobile-frontend-editor-abusefilter-warning' => "Rhybudd: Ydych chi wir am roi'r golygiad hwn ar gadw? Efallai bod problem gan y golygiad.",
	'mobile-frontend-editor-abusefilter-disallow' => "Ni ellir rhoi'r golgyiad ar gadw oherwydd bod problem i gael.",
	'mobile-frontend-editor-abusefilter-read-more' => 'Darllen mwy',
	'mobile-frontend-editor-editing-page' => "<strong>Wrthi'n golygu</strong><span> $1</span>",
	'mobile-frontend-editor-previewing-page' => "<strong>Wrthi'n dangos rhagolwg</strong><span> $1</span>",
	'tag-mobile_edit' => 'Golygiad drwy declyn symudol',
	'tag-mobile_edit-description' => 'Newidiwyd gyda theclyn symudol',
	'mobile-frontend-drawer-cancel' => 'Diddymu',
	'mobile-frontend-talk-explained' => "Mae'r sgyrsiau canlynol ar y gweill",
	'mobile-frontend-talk-explained-empty' => 'Nid oes unrhyw sgwrsiau am y dudalen hon.',
	'mobile-frontend-talk-overlay-header' => 'Sgwrs',
	'mobile-frontend-talk-back-to-page' => 'Nôl i\'r dudalen "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Sgwrs dibennawd',
	'mobile-frontend-talk-add-overlay-submit' => 'Ychwaneger y sgwrs',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Pwnc y sgwrs',
	'mobile-frontend-talk-add-overlay-content-placeholder' => "Beth sy'n eich poeni?",
	'mobile-frontend-talk-edit-summary' => 'Sgwrs newydd: $1',
	'mobile-frontend-talk-reply-success' => 'Rhoddwyd eich ateb ar gadw ar y dudalen sgwrs.',
	'mobile-frontend-talk-reply-info' => "Sylwer y caiff eich ateb ei llofnodi'n awtomatig a'ch enw defnyddiwr.",
	'mobile-frontend-talk-reply' => 'Ateb',
	'mobile-frontend-talk-topic-feedback' => "Ychwanegwyd pwnc newydd i'r dudalen sgwrs!",
	'mobile-frontend-media-details' => 'Manylion',
	'mobile-frontend-media-license-link' => 'Manylion y drwydded',
	'abusefilter-edit-builder-vars-user-mobile' => "P'un ai yw defnyddiwr yn golygu gyda'r rhyngwyneb symudol ai pheidio",
	'mobile-frontend-profile-title' => 'Data personol',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Uwchlwythwyd}} {{PLURAL:$1|heddiw|ddoe|deuddydd yn ôl|tridiau yn ôl|$2 diwrnod yn ôl}}.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|Sgwrsio gyda $1}}',
	'mobile-frontend-profile-error' => 'Wps!',
	'mobile-frontend-profile-noargs' => 'Ni roddwyd enw defnyddiwr. Rhowch enw defnyddiwr i weld y data personol.',
	'mobile-frontend-profile-nouser' => "Does dim defnyddiwr o'r enw hwn i gael. Mae'r peiriant yn gwahaniaethu rhwng llythrennau mawr a bach, felly gwiriwch union sillafiad yr enw.",
	'mobile-frontend-profile-activity-heading' => 'Gweithgarwch a chyfraniadau', # Fuzzy
	'mobile-frontend-profile-userpage-link' => 'Ymweld â thudalen y defnyddiwr.',
	'mobile-frontend-requires-optin' => "Rhaid dewis y modd beta er mwyn cael mynediad i'r dudalen hon. Ewch i [[Special:MobileOptions|dudalen y dewisiadau]] i ddewis y modd beta.",
	'mobile-frontend-profile-last-thank' => 'Cafodd {{GENDER:$3|ei ddiolch|ei diolch|ei ddiolch}} {{GENDER:$1|gan}} [[Special:UserProfile/$1|$1]] am olygiad i [[$2]].', # Fuzzy
	'mobile-frontend-geonotahack' => "Yng nghyffiniau'r dudalen hon",
	'beta-feature-geonotahack' => "Yng nghyffiniau'r dudalen hon",
	'mobile-frontend-mainpage-cta-prompt' => 'Mae angen eich cymorth ar y dudalen hon!',
	'mobile-frontend-mainpage-cta-button' => "Gwella'r dudalen",
);

/** Danish (dansk)
 * @author Byrial
 * @author Christian List
 * @author Fnielsen
 * @author HenrikKbh
 * @author Hylle
 * @author Jan Friberg
 * @author Kaare
 * @author Lokal Profil
 * @author Peter Alberti
 * @author Simeondahl
 * @author Steenth
 * @author Tjernobyl
 */
$messages['da'] = array(
	'mobilefrontend-random-explain' => 'Interesserer denne tilfældige side dig?',
	'mobilefrontend-random-cancel' => 'Lad mig læse!',
	'mobilefrontend-keepgoing-ask' => 'Godt gået! Du er ved at have styr på det! Vil du prøve at redigere en anden side?',
	'mobilefrontend-keepgoing-ask-first' => 'Tillykke med din første redigering! Vil du prøve at redigere en anden side?',
	'mobilefrontend-keepgoing-explain' => 'Enestående! En anden bruger har sagt at denne side har brug for hjælp. Prøv den, eller prøv en anden.',
	'mobilefrontend-keepgoing-cancel' => 'Nej tak',
	'mobilefrontend-keepgoing-suggest' => 'Ja tak',
	'mobilefrontend-keepgoing-suggest-again' => 'Prøv en anden',
	'mobilefrontend-keepgoing-saved-title' => 'Redigering gemt!',
	'mobilefrontend-keepgoing-links-title' => 'Tilføj henvisninger',
	'mobilefrontend-keepgoing-links-ask-first' => 'Tillykke med din første redigering! Vil du hjælpe med at tilføje links til en nylig oprettet side?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Redigere en anden side?',
	'mobilefrontend-keepgoing-links-explain' => 'Find flere ord, der kunne være links. Tilføj dobbelte firkantparenteser rundt om ordet.',
	'mobilefrontend-keepgoing-links-example' => 'f.eks. $1guitar$2 bliver til $3guitar$4',
	'nearby' => 'Sider i nærheden af dig',
	'mobile-frontend-desc' => 'Mobil grænseflade',
	'mobile-frontend-search-submit' => 'Gå til',
	'mobile-frontend-home-button' => 'Hjem',
	'mobile-frontend-logged-out' => 'Ikke logget på',
	'mobile-frontend-logged-in-homepage-notification' => 'Velkommen, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Logget på som $1.',
	'mobile-frontend-generic-404-title' => 'Fejl - Siden blev ikke fundet',
	'mobile-frontend-generic-404-desc' => 'Siden du søger efter kunne ikke findes.',
	'mobile-frontend-sign-up-heading' => 'Opret en konto',
	'mobile-frontend-sign-in-heading' => 'Log på',
	'mobile-frontend-sign-in-why' => 'Hvis du har en {{SITENAME}} konto, kan du logge på nedenfor.',
	'mobile-frontend-sign-in-error-heading' => 'Ups!',
	'mobile-frontend-settings-description' => 'Tilpas din oplevelse på din mobile enhed med disse mobilspecifikke indstillinger.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Eksperimental tilstand',
	'mobile-frontend-settings-alpha-description' => 'Gå til farlige og uudforskede mobile områder. Få endnu flere eksperimentelle funktioner, men med større risiko for fejl.',
	'mobile-frontend-save-settings' => 'Gem',
	'mobile-frontend-save-error' => 'Fejl under lagring af indstillinger. Sørg for, at du har aktiveret cookies.',
	'mobile-frontend-random-button' => 'Tilfældig',
	'mobile-frontend-back-to-top-of-section' => 'Gå et afsnit tilbage',
	'mobile-frontend-regular-site' => 'Skrivebordsvisning',
	'mobile-frontend-wml-continue' => 'Fortsæt ...',
	'mobile-frontend-wml-back' => 'Tilbage ...',
	'mobile-frontend-view' => 'Mobilvisning',
	'mobile-frontend-view-desktop' => 'Skrivebord',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-cookies-required' => 'Cookies er nødvendige for at skifte visningstilstand. Aktivér dem og prøv igen.',
	'mobile-frontend-opt-in-explain' => 'Ved at deltage i betaen, får du adgang til eksperimentale funktioner, med risiko for at støde på fejl og problemer.',
	'mobile-frontend-images-status' => 'Billeder',
	'mobile-frontend-disable-images' => 'Slå billeder fra på den mobile hjemmeside',
	'mobile-frontend-enable-images' => 'Slå billeder til på den mobile hjemmeside',
	'mobile-frontend-expand-sections-status' => 'Udvid alle afsnit',
	'mobile-frontend-expand-sections-description' => 'Udvid altid alle afsnit, når du navigerer til en ny side.',
	'mobile-frontend-missing-image' => 'Billede',
	'mobile-frontend-off' => 'FRA',
	'mobile-frontend-on' => 'TIL',
	'mobile-frontend-featured-article' => 'Dagens udvalgte indhold',
	'mobile-frontend-news-items' => 'Aktuelle begivenheder',
	'mobile-frontend-languages-404-title' => 'Sprogfejl',
	'mobile-frontend-languages-404-desc' => 'Der skal angives en gyldig titel.',
	'mobile-frontend-languages-header' => 'Sprog',
	'mobile-frontend-languages-nonexistent-title' => 'Siden "$1" findes ikke.',
	'mobile-frontend-languages-text' => '$1 er tilgængelig på $2 {{PLURAL:$2|sprog}}',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}} varianter',
	'mobile-frontend-language-heading' => '<strong>Sprog</strong>',
	'mobile-frontend-language-article-heading' => 'Læs på et andet sprog',
	'mobile-frontend-language-header' => 'Denne side er tilgængelig på $1 {{PLURAL:$1|sprog}}',
	'mobile-frontend-language-variant-header' => 'Vælg {{#language:{{CONTENTLANG}}}} variant',
	'mobile-frontend-language-site-choose' => 'Søgesprog',
	'mobile-frontend-username' => 'Brugernavn:',
	'mobile-frontend-password' => 'Adgangskode:',
	'mobile-frontend-username-placeholder' => 'Brugernavn',
	'mobile-frontend-password-placeholder' => 'Adgangskode',
	'mobile-frontend-login' => 'Log på',
	'mobile-frontend-history' => 'Se redigeringshistorik for denne side.',
	'mobile-frontend-history-404-title' => 'Ingen sådan side',
	'mobile-frontend-history-404-desc' => 'Du kan ikke se på historien for en side der ikke eksisterer. Den kan være slettet, eller du kan have fulgt et dårligt link.',
	'mobile-frontend-history-no-results' => 'Ingen historie matcher det angivne filter.',
	'mobile-frontend-contribution-summary' => 'Alle redigeringer foretaget af {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Sidehistorik for [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Senest ændret $1 kl. $2',
	'mobile-frontend-last-modified-seconds' => 'Senest ændret for {{PLURAL:$1|$1 sekund|$1 sekunder}} siden',
	'mobile-frontend-last-modified-minutes' => 'Senest ændret for {{PLURAL:$1|$1 minut|$1 minutter}} siden',
	'mobile-frontend-last-modified-hours' => 'Senest ændret for {{PLURAL:$1|$1 time|$1 timer}} siden',
	'mobile-frontend-last-modified-days' => 'Senest ændret for {{PLURAL:$1|$1 dag|$1 dage}} siden',
	'mobile-frontend-last-modified-months' => 'Senest ændret for {{PLURAL:$1|$1 måned|$1 måneder}} siden',
	'mobile-frontend-last-modified-years' => 'Senest ændret for {{PLURAL:$1|$1 år}} siden',
	'mobile-frontend-last-modified-just-now' => 'Sidst redigeret lige nu',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 sidst {{GENDER:$1|redigeret}} for {{PLURAL:$3|$3 sekund|$3 sekunder}} siden] af {{PLURAL:$5|[$6 $2]|0=en anonym bruger}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 sidst {{GENDER:$1|redigeret}} for {{PLURAL:$3|$3 minut|$3 minutter}} siden] af {{PLURAL:$5|[$6 $2]|0=en anonym bruger}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 sidst {{GENDER:$1|redigeret}} for {{PLURAL:$3|$3 time|$3 timer}} siden] af {{PLURAL:$5|[$6 $2]|0=en anonym bruger}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 sidst {{GENDER:$1|redigeret}} for {{PLURAL:$3|$3 dag|$3 dage}} siden] af {{PLURAL:$5|[$6 $2]|0=en anonym bruger}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 sidst {{GENDER:$1|redigeret}} for {{PLURAL:$3|$3 måned|$3 måneder}} siden] af {{PLURAL:$5|[$6 $2]|0=en anonym bruger}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 sidst {{GENDER:$1|redigeret}} for {{PLURAL:$3|$3 år}} siden] af {{PLURAL:$5|[$6 $2]|0=en anonym bruger}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 sidst {{GENDER:$1|redigeret}}] lige nu af {{PLURAL:$4|[$5 $2]|0=en anonym bruger}}.',
	'mobile-frontend-view-source' => 'Se kilden',
	'mobile-frontend-account-create-submit' => 'Opret en konto',
	'mobile-frontend-password-confirm-placeholder' => 'Bekræft adgangskode',
	'mobile-frontend-account-create-email-placeholder' => 'E-mailadresse (valgfrit)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Angiv bekræftelseskoden',
	'mobile-frontend-overlay-escape' => 'Gå tilbage',
	'mobile-frontend-overlay-close' => 'Luk',
	'mobile-frontend-overlay-continue' => 'Fortsæt',
	'mobile-frontend-placeholder' => 'Søg på {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Søg i {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Søg i {{SITENAME}} (Eksperimental)',
	'mobile-frontend-dismiss-notification' => 'fjern denne besked',
	'mobile-frontend-clear-search' => 'Ryd',
	'mobile-frontend-search-content' => 'Søg inden for sider',
	'mobile-frontend-search-no-results' => 'Ingen side med denne titel.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' for at se, om denne sætning forekommer nogen steder.",
	'mobile-frontend-privacy-link-text' => 'Fortrolighed',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Tekst er tilgængelig under [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; yderligere betingelser kan være gældende.',
	'mobile-frontend-copyright' => 'Indholdet er udgivet under $1 medmindre andet er angivet.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-terms-text' => 'Vilkår for anvendelse',
	'mobile-frontend-main-menu-button-tooltip' => 'Åbn hovedmenuen',
	'mobile-frontend-main-menu-page-title' => 'Navigering',
	'mobile-frontend-main-menu-featured' => 'Fremhævet',
	'mobile-frontend-main-menu-nearby' => 'I nærheden',
	'mobile-frontend-main-menu-login' => 'Log på',
	'mobile-frontend-main-menu-logout' => 'Log af',
	'mobile-frontend-main-menu-watchlist' => 'Overvågningsliste',
	'mobile-frontend-main-menu-settings' => 'Indstillinger',
	'mobile-frontend-main-menu-upload' => 'Upload',
	'mobile-frontend-main-menu-settings-heading' => 'Indstillinger',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} sprog',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} er tilgængelig på $1 {{PLURAL:$1|sprog}}. Alle tilgængelige versioner vises nedenfor',
	'mobile-frontend-main-menu-account-create' => 'Opret konto',
	'mobile-frontend-page-menu-contents' => 'indhold',
	'mobile-frontend-page-menu-history' => 'Historik',
	'mobile-frontend-meta-data-issues-header' => 'Problemer',
	'mobile-frontend-meta-data-issues' => 'Denne side har nogle problemer',
	'mobile-frontend-page-saving' => 'Gemmer $1',
	'mobile-frontend-user-cta' => 'Log på eller tilmeld dig at se dine meddelelser.',
	'mobile-frontend-user-button-tooltip' => 'Vis mine meddelelser',
	'mobile-frontend-nearby-to-page' => 'Følgende sider er relateret til $1 ved deres geografiske placering',
	'mobile-frontend-nearby-title' => 'I nærheden',
	'mobile-frontend-nearby-loading' => 'Indlæser emner der ligger i nærheden',
	'mobile-frontend-nearby-requirements' => 'Beklager! Din web browser understøtter ikke {{SITENAME}} i Nærheden.',
	'mobile-frontend-nearby-requirements-guidance' => 'Prøv en anden browser eller aktiver JavaScript, hvis du har deaktiveret det.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} i Nærheden kan ikke finde ud af, hvor du er... prøve igen?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Prøv et åbent område med et bedre signal.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} i nærheden ikke har tilladelse til at få adgang til din placering.',
	'mobile-frontend-nearby-permission-guidance' => 'Sørg for, at du giver tilladelse til at vise hvor du er. Du kan være nødt til at tjekke din browsers indstillinger for placering.',
	'mobile-frontend-nearby-noresults' => 'Stille herude... Der var ikke nogen sider i nærheden.',
	'mobile-frontend-nearby-noresults-guidance' => 'Prøv at oprette en ny side eller tilføje placering til en eksisterende',
	'mobile-frontend-nearby-refresh' => 'Vi fandt en mere nøjagtig placering for dig. Klik her for at opdatere listen over nærliggende sider',
	'mobile-frontend-nearby-error' => '{{SITENAME}} i Nærheden har nogle problemer.',
	'mobile-frontend-nearby-error-guidance' => 'Prøv at opdatere din placering.',
	'mobile-frontend-nearby-link' => 'Se hele denne side',
	'mobile-frontend-nearby-directions' => 'Naviger her',
	'mobile-frontend-donate-image-nouploads' => 'Ingen uploads.',
	'mobile-frontend-donate-image-login' => 'Medier på {{SITENAME}} er doneret af folk som dig.',
	'mobile-frontend-donate-image-login-action' => 'Log på for at dele dine medier.',
	'mobile-frontend-donate-image-signup-action' => 'Tilmeld dig for at dele dine medier med verden.',
	'mobile-frontend-photo-upload-disabled' => 'Der kræves ingen billede på denne side.',
	'mobile-frontend-photo-upload-anon' => 'Log på for at føje et billede til denne side.',
	'mobile-frontend-photo-upload-protected' => 'Du har ikke tilladelse til at føje et billede til denne side.',
	'mobile-frontend-photo-upload-unavailable' => 'Din browser understøtter ikke billedoverførsler.',
	'mobile-frontend-photo-upload-generic' => 'Bidrag med et billede',
	'mobile-frontend-donate-image-title' => 'Filoplægning',
	'mobile-frontend-donate-image-heading' => 'Dine seneste bidrag',
	'mobile-frontend-donate-image-anon' => 'En $1 er påkrævet for at få vist uploadsiden.',
	'mobile-frontend-user-account' => 'brugerkonto',
	'mobile-frontend-listed-image-no-description' => 'Ingen beskrivelse',
	'mobile-frontend-donate-photo-upload-success' => 'Succes! Dit billede kan nu bruges på {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Succes! Tak for dit første bidrag!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Bidrag med dine billeder. Hjælp {{SITENAME}} med at komme til live!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Billeder på {{SITENAME}} kommer fra Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Dine billeder hjælper med til at uddanne folk rundt om i verden',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Undgå ophavsretligt beskyttede materialer du har fundet på internettet samt billeder af plakater, bogomslag osv.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Forstået?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Ja!',
	'mobile-frontend-watchlist-add' => 'Tilføjet $1 til din overvågningsliste',
	'mobile-frontend-watchlist-removed' => 'Fjernet $1 fra din overvågningsliste',
	'mobile-frontend-watchlist-view' => 'Se din overvågningsliste',
	'mobile-frontend-watchlist-more' => 'mere',
	'mobile-frontend-watchlist-cta' => 'Hold styr på denne side og alle ændringer af den.',
	'mobile-frontend-watchlist-cta-button-login' => 'Log på',
	'mobile-frontend-watchlist-cta-button-signup' => 'Tilmeld dig',
	'mobile-frontend-watchlist-purpose' => 'En overvågningsliste hjælper dig med at bogmærke sider og holde styr på ændringer af dem.',
	'mobile-frontend-watchlist-login-action' => 'Log på for at se den.',
	'mobile-frontend-watchlist-signup-action' => 'Tilmeld dig for at starte en nu.',
	'mobile-frontend-generic-login' => '{{SITENAME}} er lavet af folk som dig.',
	'mobile-frontend-generic-login-action' => 'Log på for at bidrage.',
	'mobile-frontend-generic-signup-action' => 'Tilmeld dig for at bidrage.',
	'mobile-frontend-watch-login' => 'Tilføj $1 til din overvågningsliste.',
	'mobile-frontend-edit-login' => 'Hjælp med at forbedre siden $1.',
	'mobile-frontend-edit-login-action' => 'Log på for at redigere.',
	'mobile-frontend-edit-signup-action' => 'Tilmeld dig for at redigere.',
	'mobile-frontend-watchlist-a-z' => 'Liste',
	'mobile-frontend-watchlist-feed' => 'Ændrede',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klik på stjernen øverst på siden',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Du overvåger i øjeblikket ikke nogen sider. Din overvågningsliste hjælper dig med at holde styr på de sider, du er interesseret i. Overvåg sider ved at trykke på stjerne-ikonet.',
	'mobile-frontend-watchlist-feed-empty' => 'Der er ingen sider med seneste ændringer',
	'mobile-frontend-watchlist-back-home' => 'Hjem',
	'mobile-frontend-changeslist-ip' => 'Anonym bruger',
	'mobile-frontend-changeslist-nocomment' => 'ingen ændringskommentar',
	'mobile-frontend-watchlist-filter-all' => 'Alle',
	'mobile-frontend-watchlist-filter-articles' => 'Sider',
	'mobile-frontend-watchlist-filter-talk' => 'Diskussion',
	'mobile-frontend-watchlist-filter-other' => 'Øvrige',
	'mobile-frontend-watchlist-modified' => 'Ændret $1',
	'mobile-frontend-diffview-404-title' => 'Dårlig version',
	'mobile-frontend-diffview-404-desc' => 'Versionen med det ønskede id findes ikke',
	'mobile-frontend-diffview-title' => 'Ændringer',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|redigering|redigeringer}}',
	'mobile-frontend-diffview-anonymous' => 'Anonym bruger',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte|bytes}} tilføjet',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte|bytes}} fjernet',
	'mobile-frontend-diffview-explained' => 'Følgende linjer blev tilføjet (+) og fjernet (-):',
	'mobile-frontend-thanked-notice' => '$1 fik at vide, at du kan lide {{GENDER:$2|hans|hendes|deres}} redigering.',
	'mobile-frontend-saving-exit-page' => 'Dit bidrag bliver stadig gemt. Hvis du afslutter går dit bidrag tabt. Er du sikker på, du vil afslutte?',
	'mobile-frontend-photo-upload' => 'Tilføj et billede til denne side',
	'mobile-frontend-photo-article-edit-comment' => 'Tilføjet billede til brug på siden',
	'mobile-frontend-photo-article-donate-comment' => 'Bidrog billede fra Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Tilføjet billede til siden',
	'mobile-frontend-photo-caption-placeholder' => 'Beskriv dette billede (påkrævet)',
	'mobile-frontend-photo-ownership' => 'Jeg, $1, oprettede dette billede.',
	'mobile-frontend-photo-ownership-help' => 'Hvad betyder dette?',
	'mobile-frontend-photo-ownership-confirm' => 'Forstået!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Vær sikker på, at dit billede kan hjælpe med at illustrere siden. Det skal være et billede, som du har lavet, og som ikke krænker ophavsretten.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Begynd at uploade',
	'mobile-frontend-photo-upload-error' => 'Fejl, prøv igen.',
	'mobile-frontend-photo-upload-error-file-type' => 'Venligst upload kun billeder.',
	'mobile-frontend-photo-upload-error-filename' => 'Fejl, vær venlig at angive en mere fyldestgørende beskrivelse.',
	'mobile-frontend-photo-upload-success-article' => 'Succes! Dit billede er nu live på denne side.',
	'mobile-frontend-photo-license' => 'Ved at uploade dette billede accepterer du vores [//wikimediafoundation.org/wiki/Terms_of_use vilkår for anvendelse] og accepterer at alle billeder, du udgiver vil blive offentliggjort under en [//en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License CC BY-SA 3.0 licens]',
	'mobile-frontend-photo-submit' => 'Send',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> filoplægning|<span>$1</span> filoplægninger}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ uploads',
	'mobile-frontend-image-heading-describe' => "'''Beskriv''' billede",
	'mobile-frontend-image-uploading' => "'''Uploader''' billede...",
	'mobile-frontend-image-cancel-confirm' => 'Annuller upload?',
	'mobile-frontend-editor-redirect-title' => 'Omdirigering til editor...',
	'mobile-frontend-editor-unavailable-header' => 'Editor ikke tilgængelig',
	'mobile-frontend-editor-unavailable' => 'Mobilredigering er i øjeblikket ikke tilgængelig på din browser. Prøv en anden browser.',
	'mobile-frontend-editor-undo-unsupported' => 'Fortryd er i øjeblikket ikke understøttet på mobile enheder.',
	'mobile-frontend-editor-newpage-prompt' => 'Denne side eksisterer ikke. Hvorfor ikke være modig og oprette den?',
	'mobile-frontend-editor-disabled' => 'Denne side er beskyttet for at forhindre hærværk.',
	'mobile-frontend-editor-blocked' => 'Din konto er blokeret fra at redigere.',
	'mobile-frontend-editor-cta' => 'Hjælp med at forbedre denne side!',
	'mobile-frontend-editor-edit' => 'Rediger',
	'mobile-frontend-editor-continue' => 'Fortsæt',
	'mobile-frontend-editor-save' => 'Gem',
	'mobile-frontend-editor-cancel' => 'Annuller',
	'mobile-frontend-editor-keep-editing' => 'Fortsæt med at redigere',
	'mobile-frontend-editor-license' => 'Ved at gemme ændringerne accepterer du vores [//wikimediafoundation.org/wiki/Terms_of_use vilkår for anvendelse] og er enig i at frigive din tekst under [//creativecommons.org/licenses/by-sa/3.0/deed.da CC BY-SA 3.0 Licensen] og [//da.wikipedia.org/wiki/Wikipedia:Teksten_til_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'Dette afsnit er tomt. Vær den første til at udvide det!',
	'mobile-frontend-editor-summary-placeholder' => 'Fortæl os, hvad du har ændret (valgfrit)',
	'mobile-frontend-editor-cancel-confirm' => 'Har du virkelig lyst til at opgive din redigering?',
	'mobile-frontend-editor-wait' => 'Gemmer redigering, vent.',
	'mobile-frontend-editor-success' => 'Succes! Din redigering blev gemt.',
	'mobile-frontend-editor-success-landmark-1' => 'Tillykke, du er nu en {{SITENAME}} redaktør!',
	'mobile-frontend-editor-error' => 'Fejl, redigering er ikke gemt.',
	'mobile-frontend-editor-error-conflict' => 'Fejl, en anden bruger har redigeret denne side.',
	'mobile-frontend-editor-error-loading' => 'Fejl, kan ikke indlæse afsnit.',
	'mobile-frontend-editor-error-preview' => 'Fejl, noget uventet skete under visning af forhåndsvisning. Luk, og prøv igen.',
	'mobile-frontend-editor-tutorial-summary' => 'Vær ikke bange for markup. Prøv at forbedre siden $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Hvorfor ikke forbedre $1? Du skal ikke være bange for opmærkningen!',
	'mobile-frontend-editor-tutorial-confirm' => 'Begynd at redigere',
	'mobile-frontend-editor-tutorial-cancel' => 'Nej tak',
	'mobile-frontend-editor-captcha-try-again' => 'Forkert kode, prøv igen.',
	'mobile-frontend-editor-abusefilter-warning' => 'Advarsel: Er du sikker på, du vil gemme denne redigering? Der kan være et problem med det.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Denne redigering kan ikke gemmes, fordi vi har opdaget et problem.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Læs mere',
	'mobile-frontend-editor-editing-page' => '<strong>Redigerer</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Forhåndsviser</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Viser kilden til</strong><span> $1</span>',
	'tag-mobile_edit' => 'Mobilredigering',
	'tag-mobile_edit-description' => 'Redigering udført fra mobilsiden',
	'mobile-frontend-drawer-cancel' => 'Annuller',
	'mobile-frontend-talk-explained' => 'De følgende diskussioner er aktive.',
	'mobile-frontend-talk-explained-empty' => 'Der er ikke nogen diskussioner om denne side.',
	'mobile-frontend-talk-overlay-header' => 'Diskussion',
	'mobile-frontend-talk-back-to-page' => 'Tilbage til siden "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Unavngivet diskussion',
	'mobile-frontend-talk-add-overlay-submit' => 'Tilføj diskussion',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Emne',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Hvad tænker du på ?',
	'mobile-frontend-talk-edit-summary' => 'Nyt diskussionsafsnit: $1',
	'mobile-frontend-talk-reply-success' => 'Dit svar blev gemt på diskussionssiden.',
	'mobile-frontend-talk-reply-info' => 'Bemærk at dit svar automatisk bliver signeret med dit brugernavn.',
	'mobile-frontend-talk-reply' => 'Svar',
	'mobile-frontend-talk-topic-feedback' => 'Nyt emne føjet til diskussionssiden!',
	'mobile-frontend-media-details' => 'Detaljer',
	'mobile-frontend-media-license-link' => 'Licensoplysninger',
	'abusefilter-edit-builder-vars-user-mobile' => 'Hvorvidt en bruger redigerer via mobil-grænsefladen',
	'mobile-frontend-profile-title' => 'Brugerdata',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Uploaded}} {{PLURAL:$1|i går|for $1 dage siden|0=i dag}}.',
	'mobile-frontend-profile-usertalk' => 'Diskutér med {{GENDER:$1|$1}}',
	'mobile-frontend-profile-error' => 'Åh nej!',
	'mobile-frontend-profile-noargs' => 'Intet brugernavn blev givet. Angiv venligst et brugernavn for at se en profil.',
	'mobile-frontend-profile-nouser' => 'Ingen bruger med dette navn eksisterer. I brugernavne er der forskel på små og store bogstaver, så tjek venligst, om det er indtastet korrekt.',
	'mobile-frontend-profile-activity-heading' => 'Nylig aktivitet',
	'mobile-frontend-profile-userpage-link' => 'Besøg brugerside.',
	'mobile-frontend-requires-optin' => 'Denne side er ikke tilgængelig, medmindre du tilmelder dig vores beta-tilstand. Besøg [[Special:MobileOptions|indstillinger]] for at tilmelde dig.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Takket}} {{GENDER:$1|af}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Redigerede}} siden [[:$1]], {{PLURAL:$2|i går|for $2 dage siden|0=tidligere i dag}}.',
	'mobile-frontend-profile-footer-days' => 'Sluttede sig til for {{PLURAL:$2|1 dag|$2 dage}} siden med [[Special:Contributions/$1|{{PLURAL:$3|1 redigering|$3 redigeringer}}]] og [[Special:Uploads/$1|{{PLURAL:$4|1 upload|$4 uploads|500=500+ uploads}}]].',
	'mobile-frontend-profile-footer-months' => 'Sluttede sig til for mere end {{PLURAL:$2|1 måned|$2 måneder}} siden med [[Special:Contributions/$1|{{PLURAL:$3|1 redigering|$3 redigeringer}}]] og [[Special:Uploads/$1|{{PLURAL:$4|1 upload|$4 uploads|500=500+ uploads}}]].',
	'mobile-frontend-profile-footer-years' => 'Sluttede sig til for mere end {{PLURAL:$2|1 år|$2 år}} siden med [[Special:Contributions/$1|{{PLURAL:$3|1 redigering|$3 redigeringer}}]] og [[Special:Uploads/$1|{{PLURAL:$4|1 upload|$4 uploads|500=500+ uploads}}]].',
	'mobile-frontend-geonotahack' => 'I nærheden af denne side',
	'beta-feature-geonotahack' => 'I nærheden af denne side',
	'beta-feature-geonotahack-description' => 'Find sider, der er geografisk i nærheden af indholdet på den side, du læser lige nu.',
	'mobile-frontend-mainpage-cta-prompt' => 'Denne side har brug for din hjælp!',
	'mobile-frontend-mainpage-cta-button' => 'Forbedre denne side',
	'beta-feature-minerva' => 'Aktivere mobilt udseende (Minerva) på PC',
);

/** German (Deutsch)
 * @author Als-Holder
 * @author Filzstift
 * @author Geitost
 * @author Kghbln
 * @author Metalhead64
 * @author Se4598
 * @author Umherirrender
 * @author Wnme
 */
$messages['de'] = array(
	'mobilefrontend-random-explain' => 'Interessiert dich diese zufällige Seite?',
	'mobilefrontend-random-cancel' => 'Lass mich lesen!',
	'mobilefrontend-keepgoing-ask' => 'Gut gemacht! Du bekommst den Dreh raus! Willst du eine weitere Seite bearbeiten?',
	'mobilefrontend-keepgoing-ask-first' => 'Herzlichen Glückwunsch für deine erste Bearbeitung! Möchtest du eine weitere Seite bearbeiten?',
	'mobilefrontend-keepgoing-explain' => 'Großartig! Ein anderer Benutzer behauptet, dass diese Seite Hilfe benötigt. Versuche diese oder eine andere.',
	'mobilefrontend-keepgoing-cancel' => 'Nein danke',
	'mobilefrontend-keepgoing-suggest' => 'Ja bitte',
	'mobilefrontend-keepgoing-suggest-again' => 'Eine andere versuchen',
	'mobilefrontend-keepgoing-saved-title' => 'Bearbeitung gespeichert!',
	'mobilefrontend-keepgoing-links-title' => 'Links hinzufügen',
	'mobilefrontend-keepgoing-links-ask-first' => 'Herzlichen Glückwunsch für deine erste Bearbeitung! Willst du dabei helfen, Links zu einer kürzlich erstellten Seite hinzuzufügen?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Eine andere Seite bearbeiten?',
	'mobilefrontend-keepgoing-links-explain' => 'Finde weitere Wörter, die Links sein könnten. Füge doppelte Klammern um das Wort hinzu.',
	'mobilefrontend-keepgoing-links-example' => 'z.&nbsp;B. aus $1Gitarre$2 wird $3Gitarre$4',
	'nearby' => 'Seiten in deiner Nähe',
	'mobile-frontend-desc' => 'Ermöglicht die für mobile Endgeräte optimierte Darstellung von Seiten',
	'mobile.css' => '/* Das folgende CSS wird für alle Nutzer der mobilen Version geladen. */',
	'mobile.js' => '/* Das folgende JavaScript wird für alle Nutzer der Mobilen Version geladen. */',
	'mobile-frontend-search-submit' => 'Los',
	'mobile-frontend-home-button' => 'Start',
	'mobile-frontend-logged-out' => 'Nicht angemeldet',
	'mobile-frontend-logged-in-homepage-notification' => 'Willkommen, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Angemeldet als $1.',
	'mobile-frontend-generic-404-title' => 'Fehler – Seite nicht gefunden',
	'mobile-frontend-generic-404-desc' => 'Die Seite, nach der du suchst, konnte nicht gefunden werden.',
	'mobile-frontend-sign-up-heading' => 'Registrieren',
	'mobile-frontend-sign-in-heading' => 'Anmelden',
	'mobile-frontend-sign-in-why' => 'Falls du ein {{SITENAME}}-Benutzerkonto hast, kannst du dich unten anmelden.',
	'mobile-frontend-sign-in-error-heading' => 'Hoppla!',
	'mobile-frontend-settings-description' => 'Passe dein mobiles Endgerät mit diesen Einstellungen an deine Bedürfnisse an.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Experimenteller Modus',
	'mobile-frontend-settings-alpha-description' => 'Steige in ein gefährliches und unentdecktes mobiles Territorium ein. Bekomme mehr experimentelle Funktionen, jedoch mit erhöhten Fehlerrisiken.',
	'mobile-frontend-save-settings' => 'Speichern',
	'mobile-frontend-save-error' => 'Fehler beim Speichern der Einstellungen. Stelle sicher, dass Cookies aktiviert sind.',
	'mobile-frontend-random-button' => 'Zufall',
	'mobile-frontend-back-to-top-of-section' => 'Einen Abschnitt zurück springen',
	'mobile-frontend-regular-site' => 'Klassische Ansicht',
	'mobile-frontend-wml-continue' => 'Weiter …',
	'mobile-frontend-wml-back' => 'Zurück …',
	'mobile-frontend-view' => 'Mobile Ansicht',
	'mobile-frontend-view-desktop' => 'Klassische Ansicht',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-cookies-required' => 'Cookies sind erforderlich, um zwischen Ansichtsmodi zu wechseln. Bitte aktiviere sie und versuche es erneut.',
	'mobile-frontend-opt-in-explain' => 'Durch die Teilnahme am Beta-Test erhältst du Zugriff auf experimentelle Funktionen, die allerdings auch Probleme und Fehler verursachen können.',
	'mobile-frontend-images-status' => 'Bilder',
	'mobile-frontend-disable-images' => 'Bilder in der mobilen Ansicht deaktivieren',
	'mobile-frontend-enable-images' => 'Bilder in der mobilen Ansicht aktivieren',
	'mobile-frontend-expand-sections-status' => 'Alle Abschnitte expandieren',
	'mobile-frontend-expand-sections-description' => 'Immer alle Abschnitte beim Navigieren auf eine neue Seite expandieren.',
	'mobile-frontend-missing-image' => 'Bild',
	'mobile-frontend-off' => 'AUS',
	'mobile-frontend-on' => 'AN',
	'mobile-frontend-featured-article' => 'Inhalt des Tages',
	'mobile-frontend-news-items' => 'In den Nachrichten',
	'mobile-frontend-languages-404-title' => 'Sprachenfehler',
	'mobile-frontend-languages-404-desc' => 'Es muss ein gültiger Titel angegeben werden.',
	'mobile-frontend-languages-header' => 'Sprachen',
	'mobile-frontend-languages-nonexistent-title' => 'Die Seite „$1“ ist nicht vorhanden.',
	'mobile-frontend-languages-text' => '$1 ist verfügbar in {{PLURAL:$2|einer Sprache|$2 Sprachen}}.',
	'mobile-frontend-languages-variant-header' => 'Varianten von {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Sprachen</strong>',
	'mobile-frontend-language-article-heading' => 'In einer anderen Sprache lesen',
	'mobile-frontend-language-header' => 'Diese Seite ist in {{PLURAL:$1|einer Sprache|$1 Sprachen}} verfügbar',
	'mobile-frontend-language-variant-header' => 'Variante von {{#language:{{CONTENTLANG}}}} auswählen',
	'mobile-frontend-language-site-choose' => 'Sprache suchen',
	'mobile-frontend-username' => 'Benutzername:',
	'mobile-frontend-password' => 'Passwort:',
	'mobile-frontend-username-placeholder' => 'Benutzername',
	'mobile-frontend-password-placeholder' => 'Passwort',
	'mobile-frontend-login' => 'Anmelden',
	'mobile-frontend-history' => 'Die Versionsgeschichte dieser Seite ansehen.',
	'mobile-frontend-history-404-title' => 'Seite nicht vorhanden',
	'mobile-frontend-history-404-desc' => 'Für eine nicht vorhandene Seite kann keine Versionsgeschichte angezeigt werden. Entweder wurde die Seite gelöscht oder du bist einem ungültigen Link gefolgt.',
	'mobile-frontend-history-no-results' => 'Keine Versionsgeschichteneinträge entsprechen dem angegebenen Filter.',
	'mobile-frontend-contribution-summary' => 'Alle Versionen bearbeitet von {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Versionsgeschichte für [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Zuletzt geändert am $1 um $2',
	'mobile-frontend-last-modified-seconds' => 'Zuletzt geändert vor {{PLURAL:$1|einer Sekunde|$1 Sekunden}}',
	'mobile-frontend-last-modified-minutes' => 'Zuletzt geändert vor {{PLURAL:$1|einer Minute|$1 Minuten}}',
	'mobile-frontend-last-modified-hours' => 'Zuletzt geändert vor {{PLURAL:$1|einer Stunde|$1 Stunden}}',
	'mobile-frontend-last-modified-days' => 'Zuletzt geändert vor {{PLURAL:$1|einem Tag|$1 Tagen}}',
	'mobile-frontend-last-modified-months' => 'Zuletzt geändert vor {{PLURAL:$1|einem Monat|$1 Monaten}}',
	'mobile-frontend-last-modified-years' => 'Zuletzt geändert vor {{PLURAL:$1|einem Jahr|$1 Jahren}}',
	'mobile-frontend-last-modified-just-now' => 'Gerade eben geändert',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Zuletzt {{GENDER:$1|bearbeitet}} vor {{PLURAL:$3|einer Sekunde|$3 Sekunden}}] von {{PLURAL:$5|[$6 $2]|0=einem anonymen Benutzer}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Zuletzt {{GENDER:$1|bearbeitet}} vor {{PLURAL:$3|einer Minute|$3 Minuten}}] von {{PLURAL:$5|[$6 $2]|0=einem anonymen Benutzer}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Zuletzt {{GENDER:$1|bearbeitet}} vor {{PLURAL:$3|einer Stunde|$3 Stunden}}] von {{PLURAL:$5|[$6 $2]|0=einem anonymen Benutzer}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Zuletzt {{GENDER:$1|bearbeitet}} vor {{PLURAL:$3|einem Tag|$3 Tagen}}] von {{PLURAL:$5|[$6 $2]|0=einem anonymen Benutzer}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Zuletzt {{GENDER:$1|bearbeitet}} vor {{PLURAL:$3|einem Monat|$3 Monaten}}] von {{PLURAL:$5|[$6 $2]|0=einem anonymen Benutzer}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Zuletzt {{GENDER:$1|bearbeitet}} vor {{PLURAL:$3|einem Jahr|$3 Jahren}}] von {{PLURAL:$5|[$6 $2]|0=einem anonymen Benutzer}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Zuletzt {{GENDER:$1|bearbeitet}}] gerade eben von {{PLURAL:$4|[$5 $2]|0=einem anonymen Benutzer}}',
	'mobile-frontend-view-source' => 'Quelltext betrachten',
	'mobile-frontend-account-create-submit' => 'Registrieren',
	'mobile-frontend-password-confirm-placeholder' => 'Passwort bestätigen',
	'mobile-frontend-account-create-email-placeholder' => 'E-Mail-Adresse (optional)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Bestätigungscode eingeben',
	'mobile-frontend-overlay-escape' => 'Zurück',
	'mobile-frontend-overlay-close' => 'Schließen',
	'mobile-frontend-overlay-continue' => 'Fortfahren',
	'mobile-frontend-placeholder' => '{{SITENAME}} durchsuchen',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}} durchsuchen (Beta)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}} durchsuchen (Experimentell)',
	'mobile-frontend-dismiss-notification' => 'diese Benachrichtigung schließen',
	'mobile-frontend-clear-search' => 'Leeren',
	'mobile-frontend-search-content' => 'Suche in Seiten',
	'mobile-frontend-search-no-results' => 'Keine Seite mit diesem Titel.',
	'mobile-frontend-search-content-no-results' => '„{{int:mobile-frontend-search-content}}“, um zu sehen, ob der Suchbegriff irgendwo auftaucht.',
	'mobile-frontend-privacy-link-text' => 'Datenschutz',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Der Text ist verfügbar unter [//de.m.wikipedia.org/wiki/Wikipedia:Lizenzbestimmungen_Commons_Attribution-ShareAlike_3.0_Unported?useformat=mobile CC-BY-SA 3.0]; zusätzliche Bedingungen können anwendbar sein.',
	'mobile-frontend-copyright' => 'Der Inhalt ist verfügbar unter $1, sofern nicht anders angegeben.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-terms-text' => 'Nutzungsbedingungen',
	'mobile-frontend-main-menu-button-tooltip' => 'Hauptmenü öffnen',
	'mobile-frontend-main-menu-page-title' => 'Websitenavigation',
	'mobile-frontend-main-menu-featured' => 'Exzellent',
	'mobile-frontend-main-menu-nearby' => 'In der Nähe',
	'mobile-frontend-main-menu-login' => 'Anmelden',
	'mobile-frontend-main-menu-logout' => 'Abmelden',
	'mobile-frontend-main-menu-watchlist' => 'Beobachtungsliste',
	'mobile-frontend-main-menu-settings' => 'Einstellungen',
	'mobile-frontend-main-menu-upload' => 'Hochgeladene Dateien',
	'mobile-frontend-main-menu-settings-heading' => 'Einstellungen',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} Sprachen',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} steht in {{PLURAL:$1|einer Sprache|$1 Sprachen}} zur Verfügung. Alle verfügbaren Sprachversionen sind unten aufgeführt.',
	'mobile-frontend-main-menu-account-create' => 'Benutzerkonto erstellen',
	'mobile-frontend-page-menu-contents' => 'Inhalte',
	'mobile-frontend-page-menu-language-current' => '{{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-page-menu-history' => 'Versionsgeschichte',
	'mobile-frontend-meta-data-issues-header' => 'Probleme',
	'mobile-frontend-meta-data-issues' => 'Mit dieser Seite gibt es einige Probleme',
	'mobile-frontend-page-saving' => 'Speichere $1',
	'mobile-frontend-user-cta' => 'Bitte melde dich an oder registriere dich, um deine Benachrichtigungen anzusehen.',
	'mobile-frontend-user-button-tooltip' => 'Meine Benachrichtigungen anzeigen',
	'mobile-frontend-nearby-to-page' => 'Die folgenden Seiten beziehen sich auf $1 durch ihre geografische Lage',
	'mobile-frontend-nearby-title' => 'In der Nähe',
	'mobile-frontend-nearby-loading' => 'Themen laden, die in deiner Nähe liegen',
	'mobile-frontend-nearby-requirements' => 'Leider unterstützt dein Webbrowser nicht „In der Nähe“ von {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Versuche einen anderen Browser oder aktiviere JavaScript, falls deaktiviert.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|Ein|$1}} Kilometer',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|Ein|$1}} Meter',
	'mobile-frontend-nearby-lookup-ui-error' => '„In der Nähe“ von {{SITENAME}} konnte nicht herausfinden, wo du bist. Erneut versuchen?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Versuche es auf einer freien Fläche mit einem besseren Signal.',
	'mobile-frontend-nearby-permission' => '„In der Nähe“ von {{SITENAME}} hat keine Berechtigung, um auf deinen Standort zuzugreifen.',
	'mobile-frontend-nearby-permission-guidance' => 'Bitte stelle sicher, dass du eine Berechtigung zum Anzeigen deines Standortes gegeben hast. Überprüfe die Standorteinstellungen deines Browsers.',
	'mobile-frontend-nearby-noresults' => 'Hier ist es ruhig … Es wurden keine Seiten in der Nähe gefunden.',
	'mobile-frontend-nearby-noresults-guidance' => 'Versuche eine neue Seite zu erstellen oder den Standort für eine vorhandene hinzuzufügen',
	'mobile-frontend-nearby-refresh' => 'Wir haben für dich einen passenderen Standort gefunden. Klicke hier, um die Liste zu aktualisieren.',
	'mobile-frontend-nearby-error' => '„In der Nähe“ von {{SITENAME}} hat einige Probleme.',
	'mobile-frontend-nearby-error-guidance' => 'Versuche, deinen Standort zu aktualisieren.',
	'mobile-frontend-nearby-link' => 'Gesamte Seite lesen',
	'mobile-frontend-nearby-directions' => 'Nach hier navigieren',
	'mobile-frontend-donate-image-nouploads' => 'Keine hochgeladenen Dateien.',
	'mobile-frontend-donate-image-login' => 'Medien auf {{SITENAME}} werden von Menschen wie dir gespendet.',
	'mobile-frontend-donate-image-login-action' => 'Melde dich an, um deine Medien zu teilen.',
	'mobile-frontend-donate-image-signup-action' => 'Registriere dich, um deine Medien mit der Welt zu teilen.',
	'mobile-frontend-photo-upload-disabled' => 'Auf dieser Seite wird kein Bild benötigt.',
	'mobile-frontend-photo-upload-anon' => 'Bitte melde dich an, um ein Bild dieser Seite hinzuzufügen.',
	'mobile-frontend-photo-upload-protected' => 'Du hast keine Berechtigung, um ein Bild dieser Seite hinzuzufügen.',
	'mobile-frontend-photo-upload-unavailable' => 'Das Hochladen von Bildern wird von deinem Browser nicht unterstützt.',
	'mobile-frontend-photo-upload-generic' => 'Ein Bild beitragen',
	'mobile-frontend-donate-image-title' => 'Hochgeladene Dateien',
	'mobile-frontend-donate-image-heading' => 'Deine letzten Beiträge',
	'mobile-frontend-donate-image-anon' => 'Für das Ansehen der hochgeladenen Dateien ist ein $1 erforderlich.',
	'mobile-frontend-user-account' => 'Benutzerkonto',
	'mobile-frontend-listed-image-no-description' => 'Keine Beschreibung',
	'mobile-frontend-donate-photo-upload-success' => 'Erfolgreich! Dein Bild kann jetzt auf {{SITENAME}} verwendet werden!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Erfolgreich! Vielen Dank für deinen ersten Beitrag!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Teile deine Bilder. Erwecke {{SITENAME}} zum Leben!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Bilder auf {{SITENAME}} kommen von Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Deine Bilder bilden Menschen auf der ganzen Welt',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Vermeide urheberrechtlich geschütztes Material, das du im Internet gefunden hast, ebenso Bilder von Postern, Buchcovern etc.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Verstanden?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Ja!',
	'mobile-frontend-watchlist-add' => '$1 wurde zu deiner Beobachtungsliste hinzugefügt',
	'mobile-frontend-watchlist-removed' => '$1 wurde von deiner Beobachtungsliste entfernt',
	'mobile-frontend-watchlist-view' => 'Deine Beobachtungsliste ansehen',
	'mobile-frontend-watchlist-more' => 'mehr',
	'mobile-frontend-watchlist-cta' => 'Verfolge diese Seite und alle Änderungen an ihr.',
	'mobile-frontend-watchlist-cta-button-login' => 'Anmelden',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registrieren',
	'mobile-frontend-watchlist-purpose' => 'Eine Beobachtungsliste hilft dir, Seiten zu merken und Änderungen an ihnen zu verfolgen.',
	'mobile-frontend-watchlist-login-action' => 'Melde dich an, um dies zu sehen.',
	'mobile-frontend-watchlist-signup-action' => 'Registriere dich, um jetzt zu beginnen.',
	'mobile-frontend-generic-login' => '{{SITENAME}} wird von Menschen wie dir erschaffen.',
	'mobile-frontend-generic-login-action' => 'Zur Mitarbeit anmelden.',
	'mobile-frontend-generic-signup-action' => 'Zur Mitarbeit registrieren.',
	'mobile-frontend-watch-login' => 'Füge „$1“ deiner Beobachtungsliste hinzu.',
	'mobile-frontend-edit-login' => 'Hilf, die Seite „$1“ zu verbessern.',
	'mobile-frontend-edit-login-action' => 'Zum Bearbeiten anmelden.',
	'mobile-frontend-edit-signup-action' => 'Zum Bearbeiten registrieren.',
	'mobile-frontend-watchlist-a-z' => 'Auflisten',
	'mobile-frontend-watchlist-feed' => 'Geändert',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klicke auf den Stern am Seitenanfang',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Du beobachtest derzeit keine Seiten. Deine Beobachtungsliste hilft dir dabei, die Seiten zu verfolgen, an denen du interessiert bist. Beobachte Seiten, indem du das Sternensymbol antippst.',
	'mobile-frontend-watchlist-feed-empty' => 'Es gibt keine Seiten mit kürzlich durchgeführten Änderungen',
	'mobile-frontend-watchlist-back-home' => 'Zurück zur Hauptseite',
	'mobile-frontend-changeslist-ip' => 'Anonymer Benutzer',
	'mobile-frontend-changeslist-nocomment' => 'keine Bearbeitungszusammenfassung',
	'mobile-frontend-watchlist-filter-all' => 'Alle',
	'mobile-frontend-watchlist-filter-articles' => 'Seiten',
	'mobile-frontend-watchlist-filter-talk' => 'Diskussion',
	'mobile-frontend-watchlist-filter-other' => 'Andere',
	'mobile-frontend-watchlist-modified' => 'Geändert $1',
	'mobile-frontend-diffview-404-title' => 'Ungültige Version',
	'mobile-frontend-diffview-404-desc' => 'Die Kennung für die gewünschte Version ist nicht vorhanden',
	'mobile-frontend-diffview-title' => 'Änderungen',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|Eine Bearbeitung|Bearbeitungen}}',
	'mobile-frontend-diffview-anonymous' => 'Anonymer Benutzer',
	'mobile-frontend-diffview-bytesadded' => '{{PLURAL:$1|Ein Byte|$1 Byte}} hinzugefügt',
	'mobile-frontend-diffview-bytesremoved' => '{{PLURAL:$1|Ein Byte|$1 Byte}} entfernt',
	'mobile-frontend-diffview-explained' => 'Die folgenden Zeilen wurden hinzugefügt (+) und entfernt (−):',
	'mobile-frontend-thanked-notice' => '$1 wurde gesagt, dass du {{GENDER:$2|seine|ihre|die}} Bearbeitung magst.',
	'mobile-frontend-saving-exit-page' => 'Dein Beitrag wird noch gespeichert. Beim Verlassen gehen deine Beiträge verloren. Willst du wirklich abbrechen?',
	'mobile-frontend-photo-upload' => 'Ein Bild zu dieser Seite hinzufügen',
	'mobile-frontend-photo-article-edit-comment' => 'Bild zur Verwendung in der Seite hinzugefügt',
	'mobile-frontend-photo-article-donate-comment' => 'Beigetragenes Bild von Spezial:Hochgeladene Dateien',
	'mobile-frontend-photo-upload-comment' => 'Bild zur Seite hinzugefügt',
	'mobile-frontend-photo-caption-placeholder' => 'Beschreibe dieses Bild (erforderlich)',
	'mobile-frontend-photo-ownership' => 'Ich, $1, habe dieses Bild erstellt.',
	'mobile-frontend-photo-ownership-help' => 'Was heißt das?',
	'mobile-frontend-photo-ownership-confirm' => 'Verstanden!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Stelle sicher, dass dein Bild bei der Illustration der Seite helfen kann. Es sollte ein Bild sein, das du erstellt hast und das keine Urheberrechte verletzt.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Hochladen starten',
	'mobile-frontend-photo-upload-error' => 'Fehler. Bitte erneut versuchen.',
	'mobile-frontend-photo-upload-error-file-type' => 'Bitte nur Bilder hochladen.',
	'mobile-frontend-photo-upload-error-filename' => 'Fehler. Bitte eine aussagekräftigere Zusammenfassung angeben.',
	'mobile-frontend-photo-upload-success-article' => 'Erfolgreich! Dein Bild ist jetzt auf dieser Seite.',
	'mobile-frontend-photo-license' => 'Durch das Hochladen dieses Bildes stimmst du unseren [//wikimediafoundation.org/wiki/Terms_of_Use/de Nutzungsbedingungen] und der Veröffentlichung deines Bildes unter der [//creativecommons.org/licenses/by-sa/3.0/deed.de Creative-Commons-Attribution-ShareAlike-3.0-Lizenz] zu.',
	'mobile-frontend-photo-submit' => 'Übertragen',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>Eine</span> hochgeladene Datei|<span>$1</span> hochgeladene Dateien}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ hochgeladene Dateien',
	'mobile-frontend-image-heading-describe' => "Bild '''beschreiben'''",
	'mobile-frontend-image-uploading' => "Bild '''hochladen''' …",
	'mobile-frontend-image-cancel-confirm' => 'Hochladen abbrechen?',
	'mobile-frontend-editor-redirect-title' => 'Weiterleitung auf den Editor …',
	'mobile-frontend-editor-unavailable-header' => 'Editor nicht verfügbar',
	'mobile-frontend-editor-unavailable' => 'Das mobile Bearbeiten ist derzeit für deinen Browser nicht verfügbar. Bitte versuche einen anderen Browser.',
	'mobile-frontend-editor-undo-unsupported' => 'Das Rückgängigmachen wird derzeit von mobilen Geräten nicht unterstützt.',
	'mobile-frontend-editor-newpage-prompt' => 'Diese Seite ist nicht vorhanden. Warum bist du nicht mutig und erstellst sie?',
	'mobile-frontend-editor-disabled' => 'Diese Seite ist geschützt, um Vandalismus vorzubeugen.',
	'mobile-frontend-editor-blocked' => 'Dein Benutzerkonto ist für das Bearbeiten gesperrt.',
	'mobile-frontend-editor-cta' => 'Hilf, diese Seite zu verbessern!',
	'mobile-frontend-editor-edit' => 'Bearbeiten',
	'mobile-frontend-editor-continue' => 'Fortfahren',
	'mobile-frontend-editor-save' => 'Speichern',
	'mobile-frontend-editor-cancel' => 'Abbrechen',
	'mobile-frontend-editor-keep-editing' => 'Weiter bearbeiten',
	'mobile-frontend-editor-license' => 'Mit dem Speichern von Änderungen stimmst du unseren [//wikimediafoundation.org/wiki/Terms_of_Use/de Nutzungsbedingungen] und der Veröffentlichung deines Textes unter der [//creativecommons.org/licenses/by-sa/3.0/deed.de CC-BY-SA-3.0-Lizenz] und der [//de.wikipedia.org/wiki/Wikipedia:GNU_Free_Documentation_License GFDL] zu.',
	'mobile-frontend-editor-placeholder' => 'Dieser Abschnitt ist leer. Sei der Erste, der ihn erweitert!',
	'mobile-frontend-editor-summary-placeholder' => 'Teil uns mit, was du geändert hast (optional)',
	'mobile-frontend-editor-cancel-confirm' => 'Willst du wirklich deine Bearbeitung verwerfen?',
	'mobile-frontend-editor-wait' => 'Speichere Bearbeitung. Bitte warten.',
	'mobile-frontend-editor-success' => 'Erfolgreich! Deine Bearbeitung wurde gespeichert.',
	'mobile-frontend-editor-success-landmark-1' => 'Herzlichen Glückwunsch! Du bist jetzt ein {{SITENAME}}-Autor!',
	'mobile-frontend-editor-error' => 'Fehler. Die Bearbeitung wurde nicht gespeichert.',
	'mobile-frontend-editor-error-conflict' => 'Fehler. Ein anderer Benutzer hat inzwischen diese Seite bearbeitet.',
	'mobile-frontend-editor-error-loading' => 'Fehler. Der Abschnitt konnte nicht geladen werden.',
	'mobile-frontend-editor-error-preview' => 'Beim Laden der Vorschau ist ein unerwarteter Fehler aufgetreten. Bitte schließen und erneut versuchen.',
	'mobile-frontend-editor-tutorial-summary' => 'Habe keine Angst vor Markup. Versuche, die Seite „$1“ zu verbessern.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Warum nicht $1 verbessern? Hab keine Angst vor Wikitext!',
	'mobile-frontend-editor-tutorial-confirm' => 'Mit dem Bearbeiten anfangen',
	'mobile-frontend-editor-tutorial-cancel' => 'Nein danke',
	'mobile-frontend-editor-captcha-try-again' => 'Falscher Code. Versuche es erneut.',
	'mobile-frontend-editor-abusefilter-warning' => 'Warnung: Willst du diese Bearbeitung wirklich speichern? Mit dieser könnte es ein Problem geben.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Diese Bearbeitung konnte nicht gespeichert werden, da ein Problem festgestellt wurde.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Mehr lesen',
	'mobile-frontend-editor-editing-page' => '<strong>Bearbeiten</strong><span> von $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Vorschau</strong><span> von $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Quelltext betrachten von</strong><span> $1</span>',
	'tag-mobile_edit' => 'Mobile Bearbeitung',
	'tag-mobile_edit-description' => 'Bearbeitet von der mobilen Website',
	'mobile-frontend-drawer-cancel' => 'Abbrechen',
	'mobile-frontend-talk-explained' => 'Die folgenden Diskussionen sind derzeit aktiv',
	'mobile-frontend-talk-explained-empty' => 'Zu dieser Seite gibt es keine Diskussionen.',
	'mobile-frontend-talk-overlay-header' => 'Diskussion',
	'mobile-frontend-talk-back-to-page' => 'Zurück zur Seite „$1“.',
	'mobile-frontend-talk-overlay-lead-header' => 'Unbenannte Diskussion',
	'mobile-frontend-talk-add-overlay-submit' => 'Diskussion hinzufügen',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Thema',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Wo drückt der Schuh?',
	'mobile-frontend-talk-edit-summary' => 'Neuer Diskussionsabschnitt: $1',
	'mobile-frontend-talk-reply-success' => 'Deine Antwort wurde erfolgreich auf der Diskussionsseite gespeichert.',
	'mobile-frontend-talk-reply-info' => 'Deine Antwort wird automatisch mit deinem Benutzernamen signiert.',
	'mobile-frontend-talk-reply' => 'Antwort',
	'mobile-frontend-talk-topic-feedback' => 'Es wurde ein neues Thema der Diskussionsseite hinzugefügt!',
	'mobile-frontend-media-details' => 'Einzelheiten',
	'mobile-frontend-media-license-link' => 'Lizenzinformation',
	'abusefilter-edit-builder-vars-user-mobile' => 'Ob ein Benutzer mit der mobilen Schnittstelle bearbeitet',
	'mobile-frontend-profile-title' => 'Benutzerprofil',
	'mobile-frontend-profile-last-upload-caption' => '{{PLURAL:$1|Gestern|Vor $1 Tagen|0=Heute}} {{GENDER:$2|hochgeladen}}.',
	'mobile-frontend-profile-usertalk' => 'Mit {{GENDER:$1|$1}} diskutieren',
	'mobile-frontend-profile-error' => 'Oh nein!',
	'mobile-frontend-profile-noargs' => 'Es wurde kein Benutzername angegeben. Bitte gib einen Benutzernamen an, um ein Profil anzusehen.',
	'mobile-frontend-profile-nouser' => 'Es ist kein Benutzer mit diesem Namen vorhanden. Bei Benutzernamen wird zwischen Groß- und Kleinschreibung unterschieden. Überprüfe bitte, ob er korrekt eingegeben wurde.',
	'mobile-frontend-profile-activity-heading' => 'Letzte Aktivität',
	'mobile-frontend-profile-userpage-link' => 'Benutzerseite besuchen.',
	'mobile-frontend-requires-optin' => 'Diese Seite ist nicht verfügbar, bis du dich für unseren Beta-Modus angemeldet hast. Besuche zur Anmeldung die [[Special:MobileOptions|Einstellungsseite]].',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Gedankt}} {{GENDER:$1|durch}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Bearbeitete}} die Seite [[:$1]], {{PLURAL:$2|gestern|vor $2 Tagen|0=heute}}.',
	'mobile-frontend-profile-footer-days' => 'Beigetreten vor {{PLURAL:$2|einem Tag|$2 Tagen}} mit [[Special:Contributions/$1|{{PLURAL:$3|einer Bearbeitung|$3 Bearbeitungen}}]] und [[Special:Uploads/$1|{{PLURAL:$4|einer hochgeladenen Datei|$4 hochgeladenen Dateien}}]].',
	'mobile-frontend-profile-footer-months' => 'Beigetreten vor über {{PLURAL:$2|einem Monat|$2 Monaten}} mit [[Special:Contributions/$1|{{PLURAL:$3|einer Bearbeitung|$3 Bearbeitungen}}]] und [[Special:Uploads/$1|{{PLURAL:$4|einer hochgeladenen Datei|$4 hochgeladenen Dateien}}]].',
	'mobile-frontend-profile-footer-years' => 'Beigetreten vor über {{PLURAL:$2|einem Jahr|$2 Jahren}} mit [[Special:Contributions/$1|{{PLURAL:$3|einer Bearbeitung|$3 Bearbeitungen}}]] und [[Special:Uploads/$1|{{PLURAL:$4|einer hochgeladenen Datei|$4 hochgeladenen Dateien}}]].',
	'mobile-frontend-geonotahack' => 'In der Nähe',
	'beta-feature-geonotahack' => 'In der Nähe',
	'beta-feature-geonotahack-description' => 'Entdecke Seiten mit geografischer Nachbarschaft zur aktuell gelesenen Inhaltsseite.',
	'mobile-frontend-mainpage-cta-prompt' => 'Diese Seite benötigt deine Hilfe!',
	'mobile-frontend-mainpage-cta-button' => 'Diese Seite verbessern',
	'beta-feature-minerva' => 'Die mobile Benutzeroberfläche „Minerva“ auf dem Desktop aktivieren',
	'beta-feature-minerva-description' => 'Macht aus der auf mobilen Geräten verwendeten Benutzeroberfläche unter der erscheinenden Einstellungs-Registerkarte eine auswählbare Desktop-Benutzeroberfläche.',
);

/** Swiss High German (Schweizer Hochdeutsch)
 * @author Geitost
 */
$messages['de-ch'] = array(
	'mobile-frontend-dismiss-notification' => 'diese Benachrichtigung schliessen',
);

/** German (formal address) (Deutsch (Sie-Form)‎)
 * @author Kghbln
 */
$messages['de-formal'] = array(
	'mobile-frontend-settings-description' => 'Passen Sie Ihr mobiles Endgerät mit diesen Einstellungen an Ihre Bedürfnisse an.',
	'mobile-frontend-opt-in-explain' => 'Durch die Teilnahme am Beta-Test erhalten Sie Zugriff auf experimentelle Funktionen, die allerdings auch Probleme und Fehler verursachen können.',
	'mobile-frontend-language-footer' => 'Hinweis: Dieser Artikel ist möglicherweise nicht in Ihrer Sprache geschrieben. Sie können einsehen, welche Sprachen {{SITENAME}} unterstützt, indem Sie hier klicken.', # Fuzzy
	'mobile-frontend-placeholder' => 'Geben Sie hier Ihre Suche ein ...', # Fuzzy
	'mobile-frontend-search-help' => 'Geben Sie oben den Suchbegriff ein. Passende Artikelnamen werden dann hier angezeigt.', # Fuzzy
	'mobile-frontend-search-noresults' => 'Kein Artikeltitel entspricht Ihrer Suche. Ändern sie Ihre Suche oder drücken Sie die Suchschaltfläche Ihrer Tastatur, um die Suche auf den Inhalt der Artikel auszuweiten.', # Fuzzy
);

/** Zazaki (Zazaki)
 * @author Asmen
 * @author Erdemaslancan
 * @author Gorizon
 * @author Marmase
 * @author Mirzali
 */
$messages['diq'] = array(
	'mobilefrontend-random-cancel' => 'Xo rê bıwani!',
	'mobilefrontend-keepgoing-ask-first' => 'Timar kerdışa ğoya sıfteyén şıma kerd. Şıma tebrik keme, Şıma qayılé zuna per timar kerdış bıcerbné?',
	'mobilefrontend-keepgoing-suggest' => 'E, wazena',
	'mobilefrontend-keepgoing-suggest-again' => 'zewna deha bıcerbın',
	'mobilefrontend-keepgoing-saved-title' => 'Vırnayış starya!',
	'mobilefrontend-keepgoing-links-title' => 'Gre dek',
	'mobile-frontend-desc' => 'Vergılo mobil',
	'mobile-frontend-search-submit' => 'Şo',
	'mobile-frontend-home-button' => 'Keye',
	'mobile-frontend-logged-out' => 'Şıma cıkewtış nêvıraşto',
	'mobile-frontend-logged-in-homepage-notification' => 'Xeyr amey, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Zey $1 cıkewtış.',
	'mobile-frontend-sign-up-heading' => 'Qeyd be',
	'mobile-frontend-sign-in-heading' => 'Cı kewe',
	'mobile-frontend-sign-in-why' => 'Eke yew hesabê {{SITENAME}} şıma esto, wa şıma şenê cêr qeyd bê.',
	'mobile-frontend-sign-in-error-heading' => 'Wey',
	'mobile-frontend-settings-description' => 'Nışanyaye sitan u mobil cihazan dı sazanê cerbnayışane xo xısusi kerê.',
	'mobile-frontend-settings-beta' => 'Cerrebnayış',
	'mobile-frontend-save-settings' => 'Qeyd ke',
	'mobile-frontend-random-button' => 'Raştameye',
	'mobile-frontend-back-to-top-of-section' => 'Yew cay ser çek',
	'mobile-frontend-regular-site' => 'Verqaydê serêmasi',
	'mobile-frontend-wml-continue' => 'Dewamê cı...',
	'mobile-frontend-wml-back' => 'Peyser...',
	'mobile-frontend-view' => 'Mobil asayış',
	'mobile-frontend-view-desktop' => 'Serê xonça',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-opt-in-explain' => 'Beta miyan kewtış, risko gırd esto se, cıkewtışe xısusiyeta re ray do debyo.',
	'mobile-frontend-images-status' => 'Resımi',
	'mobile-frontend-disable-images' => 'Mobile site ra resıman  racne',
	'mobile-frontend-enable-images' => 'Mobile site ra resıman aktiv kere',
	'mobile-frontend-missing-image' => 'Resım',
	'mobile-frontend-off' => 'RACNE',
	'mobile-frontend-on' => 'AKE',
	'mobile-frontend-featured-article' => 'Weçinaye zerreké naroc',
	'mobile-frontend-news-items' => 'Xeberi',
	'mobile-frontend-languages-header' => 'Zıwani',
	'mobile-frontend-language-heading' => '<strong>Zuwani</strong>',
	'mobile-frontend-language-article-heading' => 'Zewbi zıwan de bıwan',
	'mobile-frontend-language-header' => 'Na wesiqa {{PLURAL:$1|zıwan dê|zıwanan dê}} $1 dı esta',
	'mobile-frontend-language-variant-header' => 'Varyanti {{#language:{{CONTENTLANG}}}} weçine',
	'mobile-frontend-language-site-choose' => 'Bı geyr zıwan',
	'mobile-frontend-username' => 'Nameyê karberi:',
	'mobile-frontend-password' => 'Parola:',
	'mobile-frontend-username-placeholder' => 'Nameyê karberi',
	'mobile-frontend-password-placeholder' => 'Parola',
	'mobile-frontend-login' => 'Qeyd be',
	'mobile-frontend-history-404-title' => 'Na per çıniya',
	'mobile-frontend-last-modified-date' => 'Modifiya bahdoyen $1 seate $2',
	'mobile-frontend-last-modified-seconds' => 'Verde {{PLURAL:$1|$1 saniyi|$1 saniyan}} modifiya bahdoyen',
	'mobile-frontend-view-source' => 'Çımey bıvêne',
	'mobile-frontend-account-create-submit' => 'Qeyd be',
	'mobile-frontend-password-confirm-placeholder' => 'Parola tesdiq ke',
	'mobile-frontend-account-create-email-placeholder' => 'Adresa e-postey (keyfi)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Kodê tesdiqi cı de',
	'mobile-frontend-overlay-escape' => 'Peyser şo',
	'mobile-frontend-overlay-close' => 'Racın',
	'mobile-frontend-overlay-continue' => 'Dewam k',
	'mobile-frontend-placeholder' => '{{SITENAME}} de cıgeyre',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}} de cı geyre (Beta)',
	'mobile-frontend-dismiss-notification' => 'Eno xeberdayışê wezifayo',
	'mobile-frontend-clear-search' => 'Bestere',
	'mobile-frontend-search-content' => 'Na per d cı geyr',
	'mobile-frontend-privacy-link-text' => 'Nımıtış',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Zerrey enay [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] de yo.',
	'mobile-frontend-footer-contact' => 'İrtıbat',
	'mobile-frontend-terms-text' => 'Şertê gureynayışi (xebetnayışi)',
	'mobile-frontend-main-menu-button-tooltip' => 'Menuyê bıngehi ake',
	'mobile-frontend-main-menu-page-title' => 'Pusulaya sita',
	'mobile-frontend-main-menu-featured' => 'Weçinıte',
	'mobile-frontend-main-menu-nearby' => 'Nezdi de',
	'mobile-frontend-main-menu-login' => 'Cı kewe',
	'mobile-frontend-main-menu-logout' => 'Bıveciye',
	'mobile-frontend-main-menu-watchlist' => 'Lista seyri',
	'mobile-frontend-main-menu-settings' => 'Eyari',
	'mobile-frontend-main-menu-upload' => 'Barkerdışi',
	'mobile-frontend-main-menu-settings-heading' => 'Sazi',
	'mobile-frontend-settings-site-header' => 'Zıwanê {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} de $1 {{PLURAL:$1|zıwan mewcudo|zıwani mewcudê}}. Versiyonê cıyê bini lista cêrêne de estê.',
	'mobile-frontend-main-menu-account-create' => 'Hesab vıraşten',
	'mobile-frontend-page-menu-contents' => 'tedeestey',
	'mobile-frontend-page-menu-language-current' => '{{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-page-menu-history' => 'Tarix',
	'mobile-frontend-meta-data-issues-header' => 'Meseley',
	'mobile-frontend-meta-data-issues' => 'Na pele de tayê meseley estê',
	'mobile-frontend-page-saving' => '$1 qeyd beno',
	'mobile-frontend-user-button-tooltip' => 'Beyanatanê mı bımocne (bımusne)',
	'mobile-frontend-nearby-title' => 'Nezdıra',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-directions' => 'Şo tiya',
	'mobile-frontend-donate-image-nouploads' => 'Bar kerdışi çıni',
	'mobile-frontend-donate-image-title' => 'Barkerdışi',
	'mobile-frontend-user-account' => 'hesaba karberi',
	'mobile-frontend-listed-image-no-description' => 'Akerdenayış çıniyo',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Mı fahm kerd?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'E',
	'mobile-frontend-watchlist-add' => '$1 bi zerreyê lista seyrkerdışê şıma',
	'mobile-frontend-watchlist-removed' => 'Lista şımaya serykerdışi ra $1 wedariya.',
	'mobile-frontend-watchlist-view' => 'Lista serykerdışê xo bıvêne',
	'mobile-frontend-watchlist-more' => 'Zewbi',
	'mobile-frontend-watchlist-cta-button-login' => 'Cıkewtış',
	'mobile-frontend-watchlist-cta-button-signup' => 'Qeyd be',
	'mobile-frontend-watchlist-a-z' => 'Liste',
	'mobile-frontend-watchlist-feed' => 'Vırneya',
	'mobile-frontend-watchlist-back-home' => 'Şo pera keyi',
	'mobile-frontend-changeslist-ip' => 'Karbero bêname',
	'mobile-frontend-changeslist-nocomment' => 'nê vurnaye xulasa',
	'mobile-frontend-watchlist-filter-all' => 'Pêro',
	'mobile-frontend-watchlist-filter-articles' => 'Wesiqey', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'werênayış',
	'mobile-frontend-watchlist-filter-other' => 'Zewmi',
	'mobile-frontend-watchlist-modified' => '$1 timariya yo',
	'mobile-frontend-diffview-404-title' => 'Rewizyono xırab',
	'mobile-frontend-diffview-title' => 'Vırnayışi',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|vurnayiş|vurnayişi}}',
	'mobile-frontend-diffview-anonymous' => 'Karbero bêname',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|bayt|bayti}} debiyay de',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|bayt|bayti}} wedariyay',
	'mobile-frontend-photo-upload' => 'Zew resim dek na per miyan',
	'mobile-frontend-photo-article-edit-comment' => 'Per de seba gurenayışi ra resım bar biyo',
	'mobile-frontend-photo-upload-comment' => 'Resim debya per miyan',
	'mobile-frontend-photo-caption-placeholder' => 'Akereka na resimer (lazımo)',
	'mobile-frontend-photo-ownership' => 'Mı, $1, na resim vıraşt',
	'mobile-frontend-photo-ownership-confirm' => 'Şo ri!',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Sergende  bar kerdışi ke',
	'mobile-frontend-photo-license' => 'Na resimer bar finayış de; resima heta [//wikimediafoundation.org/wiki/Terms_of_use şarta karkerdışi ], lisans da  [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0 Lisansı] bındı hesrneyay a.',
	'mobile-frontend-photo-submit' => 'Bırşê',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> barkerdış|<span>$1</span> barkerdışi}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ barkerdışi',
	'mobile-frontend-editor-edit' => 'Bıvurne',
	'mobile-frontend-editor-continue' => 'Dewam k',
	'mobile-frontend-editor-save' => 'Qeyd ke',
	'mobile-frontend-editor-cancel' => 'Bıterkn',
	'mobile-frontend-editor-tutorial-confirm' => 'Dest bıke vırnayış',
	'mobile-frontend-editor-editing-page' => '<strong>Sero gureyayış</strong><span>$1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Asayışê veri</strong><span> $1</span>',
	'tag-mobile_edit' => 'Mobil vırnayış',
	'tag-mobile_edit-description' => 'Pela cêbi (mobile) ra vırnao',
	'mobile-frontend-drawer-cancel' => 'Bıtexelne',
	'mobile-frontend-talk-overlay-header' => 'Werênayış',
	'mobile-frontend-talk-reply' => 'Cewab',
	'mobile-frontend-media-details' => 'Detayi',
	'mobile-frontend-media-license-link' => 'Malumata Lisanser',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Bar biya}} {{PLURAL:$1|vızeyr|verdey $1 roca|0=na roz}}.',
	'mobile-frontend-profile-usertalk' => 'Vatena $1', # Fuzzy
);

/** Lower Sorbian (dolnoserbski)
 * @author Derbeth
 * @author Michawiki
 */
$messages['dsb'] = array(
	'nearby' => 'Boki w bliskosći',
	'mobile-frontend-desc' => 'Zwobraznjenje bokow za mobilne kóńcne rědy',
	'mobile-frontend-search-submit' => 'Wótpósłaś',
	'mobile-frontend-home-button' => 'Start',
	'mobile-frontend-logged-out' => 'Njepśizjawjony',
	'mobile-frontend-logged-in-homepage-notification' => 'Witaj, $1',
	'mobile-frontend-logged-in-toast-notification' => 'Pśizjawjony ako $1',
	'mobile-frontend-sign-up-heading' => 'Registrěrowaś',
	'mobile-frontend-sign-in-heading' => 'Registrěrowaś',
	'mobile-frontend-sign-in-why' => 'Jolic maš konto na {{GRAMMAR:lokatiw|{{SITENAME}}}}, móžoš se dołojce registrěrowaś.',
	'mobile-frontend-sign-in-error-heading' => 'Hopla',
	'mobile-frontend-settings-description' => 'Pśiměŕ swój mobilny rěd z toś tymi mobilnymi specifiskimi nastajenjami.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Eksperimentelny modus',
	'mobile-frontend-save-settings' => 'Składowaś',
	'mobile-frontend-random-button' => 'Pśipadny',
	'mobile-frontend-back-to-top-of-section' => 'Wótrězk slědk skócyś',
	'mobile-frontend-regular-site' => 'Klasiski naglěd',
	'mobile-frontend-wml-continue' => 'Dalej ...',
	'mobile-frontend-wml-back' => 'Slědk ...',
	'mobile-frontend-view' => 'Mobilny naglěd',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Mobilny',
	'mobile-frontend-opt-in-explain' => 'Pśez wobźělenje na betatesće, změjoš pśistup na eksperimentelne funkcije, kótarež pak mógu zmólki a problemy zawinowaś.',
	'mobile-frontend-images-status' => 'Wobraze',
	'mobile-frontend-disable-images' => 'Wobraze w mobilnem naglěźe znjemóžniś',
	'mobile-frontend-enable-images' => 'Wobraze w mobilnem naglěźe zmóžniś',
	'mobile-frontend-missing-image' => 'Wobraz',
	'mobile-frontend-off' => 'WUŠALTOWANY',
	'mobile-frontend-on' => 'ZAŠALTOWANY',
	'mobile-frontend-featured-article' => 'Wopśimjese dnja',
	'mobile-frontend-news-items' => 'W nowosćach',
	'mobile-frontend-language-article-heading' => 'W drugej rěcy cytaś',
	'mobile-frontend-language-header' => 'Toś ten bok stoj w $1 {{PLURAL:$1|rěcy|rěcoma|rěcach}} k dispoziciji',
	'mobile-frontend-language-variant-header' => 'Wariantu rěcy {{#language:{{CONTENTLANG}}}} wubraś',
	'mobile-frontend-language-footer' => 'Glědaj: Toś ten bok njejo snaź w twójej preferěrowanej rěcy napisał. Móžoš wiźeś, kótare rěcy {{SITENAME}} pódpěra, z tym až kliknjoš how.',
	'mobile-frontend-language-site-choose' => 'Rěc pytaś',
	'mobile-frontend-username' => 'Wužywarske mě:',
	'mobile-frontend-password' => 'Gronidło:',
	'mobile-frontend-username-placeholder' => 'Wužywarske mě',
	'mobile-frontend-password-placeholder' => 'Gronidło',
	'mobile-frontend-login' => 'Pśizjawiś',
	'mobile-frontend-account-create-submit' => 'Registrěrowaś',
	'mobile-frontend-password-confirm-placeholder' => 'Gronidło wobkšuśiś',
	'mobile-frontend-account-create-email-placeholder' => 'E-mailowa adresa (opcionalny)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Wobkśuśeński kode zapódaś',
	'mobile-frontend-overlay-escape' => 'Slědk',
	'mobile-frontend-placeholder' => '{{GRAMMAR:akuzatiw|{{SITENAME}}}} pśepytaś',
	'mobile-frontend-placeholder-beta' => '{{GRAMMAR:akuzatiw|{{SITENAME}}}} pśepytaś (beta)',
	'mobile-frontend-placeholder-alpha' => '{{GRAMMAR:akuzatiw|{{SITENAME}}}} pśepytaś (eksperimentelny)',
	'mobile-frontend-search-help' => 'Zapiš górjejce pytańske zapśimjeśe a wótpowědne bokowe titele budu se how pokazaś.',
	'mobile-frontend-dismiss-notification' => 'Toś tu powěźeńku zachyśiś',
	'mobile-frontend-clear-search' => 'Wuprozniś',
	'mobile-frontend-privacy-link-text' => 'Priwatnosć',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Tekst stoj pód licencu [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] k dispoziciji; pśidatne wuměnjenja daju se nałožyś.',
	'mobile-frontend-copyright' => 'Wopśimjeśe stoj pód $1 k dispoziciji, jolic njejo se hynac pódało.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-search-noresults' => 'Twójomu pytanjeju žedne bokowe titele njewotpówěduju. Změń swójo pytanje abo tłoc pytańsku tastu swójeje tastatury, aby w bokach pytał.',
	'mobile-frontend-main-menu-button-tooltip' => 'Głowny meni wócyniś',
	'mobile-frontend-main-menu-page-title' => 'Sedłowa nawigacija',
	'mobile-frontend-main-menu-featured' => 'Nabejny',
	'mobile-frontend-main-menu-nearby' => 'W bliskosći',
	'mobile-frontend-main-menu-login' => 'Pśizjawiś',
	'mobile-frontend-main-menu-logout' => 'Wótzjawiś',
	'mobile-frontend-main-menu-watchlist' => 'Wobglědowańka',
	'mobile-frontend-main-menu-settings' => 'Nastajenja',
	'mobile-frontend-main-menu-upload' => 'Nagraśa',
	'mobile-frontend-main-menu-settings-heading' => 'Nastajenja',
	'mobile-frontend-settings-site-header' => 'Rěcy {{GRAMMAR:genitiw|{{SITENAME}}}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} stoj w $1 {{PLURAL:$1|rěcy|rěcoma|rěcach|rěcach}} k dispoziciji. Wšykne k dispoziciji stojece wersije su dołojce nalicone:',
	'mobile-frontend-main-menu-account-create' => 'Konto załožyś',
	'mobile-frontend-page-menu-contents' => 'wopśimjeśe',
	'mobile-frontend-page-menu-history' => 'Historija',
	'mobile-frontend-meta-data-issues-header' => 'Problemy',
	'mobile-frontend-meta-data-issues' => 'Toś ten bok ma problemy',
	'mobile-frontend-page-saving' => '$1 se składujo',
	'mobile-frontend-nearby-title' => 'W bliskosći',
	'mobile-frontend-donate-image-login' => 'Medije na {{GRAMMAR:lokatiw|{{SITENAME}}}} pósćiwaju se wót luźi ako ty .',
	'mobile-frontend-photo-upload-generic' => 'Wobraz pśinosowaś',
	'mobile-frontend-donate-image-title' => 'Nagraśa',
	'mobile-frontend-donate-image-heading' => 'Twóje nejnowše pśinoski',
	'mobile-frontend-donate-image-anon' => 'Trjebaš $1, aby se bok nagraśow woglědał.',
	'mobile-frontend-listed-image-no-description' => 'Žedne wopisanje',
	'mobile-frontend-donate-photo-upload-success' => 'Wuspěch! Twój wobraz dajo se něnto na {{GRAMMAR:lokatiw|{{SITENAME}}}} wužywaś!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Wuspěch! Wjeliki źěk za twój prědny pśinosk!',
	'mobile-frontend-watchlist-add' => '$1 jo se wobglědowańkam pśidał',
	'mobile-frontend-watchlist-removed' => '$1 jo se z wobglědowańkow wótpórał',
	'mobile-frontend-watchlist-view' => 'Se wobglědowańki woglědaś',
	'mobile-frontend-watchlist-more' => 'wěcej',
	'mobile-frontend-watchlist-cta' => 'Slěduj toś ten bok a wšykne změny na nim.',
	'mobile-frontend-watchlist-cta-button-login' => 'Pśizjawiś',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registrěrowaś',
	'mobile-frontend-watch-login' => 'Twójej wobglědowańce $1 pśidaś.',
	'mobile-frontend-watchlist-a-z' => 'Lisćina',
	'mobile-frontend-watchlist-feed' => 'Změnjony',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klikni na gwězdku górjejce na boku',
	'mobile-frontend-watchlist-feed-empty' => 'Njejsu žedne boki z nowymi změnami',
	'mobile-frontend-watchlist-back-home' => 'Slědk k startowemu bokoju',
	'mobile-frontend-changeslist-ip' => 'Anonymny wužywaŕ',
	'mobile-frontend-changeslist-nocomment' => 'žedne zespominanje wobźěłanja',
	'mobile-frontend-watchlist-filter-all' => 'Wšykne',
	'mobile-frontend-watchlist-filter-articles' => 'Boki',
	'mobile-frontend-watchlist-filter-talk' => 'Diskusija',
	'mobile-frontend-watchlist-filter-other' => 'Druge',
	'mobile-frontend-watchlist-modified' => 'Změnjony $1',
	'mobile-frontend-diffview-404-title' => 'Njepłaśiwa wersija',
	'mobile-frontend-diffview-404-desc' => 'ID za póžedanu wersiju njeeksistěrujo',
	'mobile-frontend-diffview-title' => 'Změny',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|změna|změnje|změny|změnow}}',
	'mobile-frontend-diffview-anonymous' => 'Anonymny wužywaŕ',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte pśidany|byta pśidanej|byty pśidane|bytow pśidane}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte wótpórany|byta wótpóranej|byty wótpórane|bytow wótpórane}}',
	'mobile-frontend-diffview-explained' => 'Slědujuce smužki su se pśidali (+) a wótpórali (-):',
	'mobile-frontend-saving-exit-page' => 'Twój pśinosk hyšći se składujo. Jolic něnto kóńcyš, se twóje pśinoski zgubiju. Coš napšawdu kóńcyś?',
	'mobile-frontend-photo-upload' => 'Wobraz toś tomu bokoju pśidaś',
	'mobile-frontend-photo-article-edit-comment' => 'Wobraz za wužywanje na boku pśidany',
	'mobile-frontend-photo-article-donate-comment' => 'Pśinosowany wobraz ze Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Wobraz bokoju pśidany',
	'mobile-frontend-photo-caption-placeholder' => 'Wopiš toś ten wobraz (trěbny)',
	'mobile-frontend-image-loading' => 'Wobraz se zacytujo',
	'mobile-frontend-image-uploading-wait' => 'Wobraz se nagrawa, pšosym cakaj.',
	'mobile-frontend-image-uploading-long' => 'Wobraz se hyšći nagrawa! Źěkujomy se za twóju sćerpnosć.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Pśetergni</a>, jolic to traje pśedłujko.',
	'mobile-frontend-photo-upload-error' => 'Zmólka, wopytaj hyšći raz.',
	'mobile-frontend-photo-upload-success-article' => 'Wuspěch! Twój wobraz jo něnto na toś tom boku.',
	'mobile-frontend-photo-license' => 'Gaž nagrawaš toś ten wobraz, zwólijoš do našych [//wikimediafoundation.org/wiki/Terms_of_use wužywarskich wuměnjenjow] a pśizwólijoš swój wobraz pód licencu  [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0] wózjawiś.',
	'mobile-frontend-photo-submit' => 'Wótpósłaś',
	'mobile-frontend-photo-cancel' => 'Pśetergnuś',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> nagraśe|<span<$1</span> nagraśi|<span>$1</span> nagraśa|<span>$1</span> nagraśow}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ nagratych datajow',
	'tag-mobile_edit' => 'Mobilna změna',
	'tag-mobile_edit-description' => 'Z mobilnego sedła změnjony',
	'mobile-frontend-drawer-cancel' => 'Pśetergnuś',
);

/** Central Dusun (Dusun Bundu-liwan)
 */
$messages['dtp'] = array(
	'mobile-frontend-search-submit' => 'Ibok',
	'mobile-frontend-home-button' => 'Damin',
	'mobile-frontend-random-button' => 'Songko',
	'mobile-frontend-back-to-top-of-section' => 'Poningguli Id Boogian A',
	'mobile-frontend-regular-site' => 'Intaai bolikon koubasanan Wikipodia', # Fuzzy
	'mobile-frontend-featured-article' => 'Babasaon Tadau Diti', # Fuzzy
	'mobile-frontend-copyright' => "Oguno o tik id siriba <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Tinimungan Pogiompinaian Gonsupu/Lisin Miagal-Mogiolos</a>; kikooturon poinruhang milo pokionuon. Intaai <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Kooturan Pomogunaan</a> montok kointalangan. Wikipodia nopo nga tanda poniagaan <a href='http://www.wikimediafoundation.org/'>Yayasan Wikimodia, Pinoingkakat.</a>, tinimungan awu mokiuntung.", # Fuzzy
);

/** Ewe (eʋegbe)
 */
$messages['ee'] = array(
	'mobile-frontend-search-submit' => 'Yi',
	'mobile-frontend-random-button' => 'Ɖesiaɖe ko',
	'mobile-frontend-regular-site' => 'Kpɔ axa sia le {{SITENAME}} ŋutɔ dzi', # Fuzzy
);

/** Greek (Ελληνικά)
 * @author AK
 * @author Evropi
 * @author Geraki
 * @author Glavkos
 * @author Protnet
 * @author ZaDiak
 */
$messages['el'] = array(
	'nearby' => 'Σελίδες κοντά σας',
	'mobile-frontend-desc' => 'Διεπαφή κινητών συσκευών',
	'mobile-frontend-search-submit' => 'Μετάβαση',
	'mobile-frontend-home-button' => 'Κύρια σελίδα',
	'mobile-frontend-logged-out' => 'Δεν έχετε συνδεθεί.',
	'mobile-frontend-logged-in-homepage-notification' => 'Καλώς ορίσατε, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Συνδεδεμένος ως $1 .',
	'mobile-frontend-sign-up-heading' => 'Εγγραφή',
	'mobile-frontend-sign-in-heading' => 'Σύνδεση',
	'mobile-frontend-sign-in-why' => 'Αν έχετε λογαριασμό {{SITENAME}}, μπορείτε να συνδεθείτε παρακάτω.',
	'mobile-frontend-sign-in-error-heading' => 'Ωχ!',
	'mobile-frontend-settings-description' => 'Προσαρμόστε την εμπειρία σας στην κινητή συσκευή σας με αυτά τα ειδικές ρυθμίσεις ιστότοπου για κινητά.',
	'mobile-frontend-settings-beta' => 'Δοκιμαστική Έκδοση',
	'mobile-frontend-settings-alpha' => 'Πειραματική λειτουργία',
	'mobile-frontend-save-settings' => 'Αποθήκευση',
	'mobile-frontend-save-error' => 'Σφάλμα κατά την αποθήκευση των ρυθμίσεων. Παρακαλούμε βεβαιωθείτε ότι έχετε ενεργοποιημένα τα cookies.',
	'mobile-frontend-random-button' => 'Τυχαία',
	'mobile-frontend-back-to-top-of-section' => 'Πίσω στην αρχή της ενότητας',
	'mobile-frontend-regular-site' => 'Άποψη επιφάνειας εργασίας',
	'mobile-frontend-wml-continue' => 'Συνέχεια ...',
	'mobile-frontend-wml-back' => 'Πίσω ...',
	'mobile-frontend-view' => 'Προβολή κινητού',
	'mobile-frontend-view-desktop' => 'Επιφάνεια εργασίας',
	'mobile-frontend-view-mobile' => 'Κινητό',
	'mobile-frontend-opt-in-explain' => 'Με την εγγραφή σας στη δοκιμή, θα έχετε πρόσβαση σε πειραματικά χαρακτηριστικά, με κίνδυνο την αντιμετώπιση σφάλμάτων και ζητημάτων.',
	'mobile-frontend-images-status' => 'Εικόνες',
	'mobile-frontend-disable-images' => 'Απενεργοποίηση εικόνων σε ιστοχώρους κινητών',
	'mobile-frontend-enable-images' => 'Ενεργοποίηση εικόνων στην ιστοσελίδα για κινητά',
	'mobile-frontend-missing-image' => 'Εικόνα',
	'mobile-frontend-off' => 'OFF',
	'mobile-frontend-on' => 'ON',
	'mobile-frontend-featured-article' => 'Επιλεγμένο περιεχόμενο της ημέρας',
	'mobile-frontend-news-items' => 'Στις ειδήσεις',
	'mobile-frontend-languages-header' => 'Γλώσσες',
	'mobile-frontend-languages-nonexistent-title' => 'Η σελίδα "$1" δεν υπάρχει.',
	'mobile-frontend-languages-text' => 'Η σελίδα $1 είναι διαθέσιμη σε $2 {{PLURAL:$2|γλώσσα|γλώσσες}}.',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}} παραλλαγές',
	'mobile-frontend-language-heading' => '<strong>Γλώσσες</strong>',
	'mobile-frontend-language-article-heading' => 'Διαβάστε σε άλλη γλώσσα',
	'mobile-frontend-language-header' => 'Αυτή η σελίδα είναι διαθέσιμη σε $1 {{PLURAL:$1|γλώσσα|γλώσσες}}',
	'mobile-frontend-language-site-choose' => 'Αναζήτηση γλώσσας',
	'mobile-frontend-username' => 'Όνομα χρήστη:',
	'mobile-frontend-password' => 'Κωδικός πρόσβασης:',
	'mobile-frontend-username-placeholder' => 'Όνομα χρήστη',
	'mobile-frontend-password-placeholder' => 'Κωδικός πρόσβασης',
	'mobile-frontend-login' => 'Είσοδος',
	'mobile-frontend-history' => 'Προβολή ιστορικού επεξεργασιών αυτή της σελίδας',
	'mobile-frontend-history-404-title' => 'Δεν υπάρχει τέτοια σελίδα',
	'mobile-frontend-history-summary' => 'Ιστορικό της σελίδας [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Τελευταία τροποποίηση στις $1 $2',
	'mobile-frontend-last-modified-seconds' => 'Τελευταία τροποποίηση {{PLURAL:$1|$1 δευτερόλεπτο|$1 δευτερόλεπτα}} πριν',
	'mobile-frontend-last-modified-minutes' => 'Τελευταία τροποποίηση {{PLURAL:$1|$1 λεπτό|$1 λεπτά}} πριν',
	'mobile-frontend-last-modified-hours' => 'Τελευταία τροποποίηση {{PLURAL:$1|$1 ώρα|$1 ώρες}} πριν',
	'mobile-frontend-last-modified-days' => 'Τελευταία τροποποίηση {{PLURAL:$1|$1 ημέρα|$1 ημέρες}} πριν',
	'mobile-frontend-last-modified-months' => 'Τελευταία τροποποίηση {{PLURAL:$1|$1 μήνα|$1 μήνες}} πριν',
	'mobile-frontend-last-modified-years' => 'Τελευταία τροποποίηση {{PLURAL:$1|$1 έτος|$1 χρόνια}} πριν',
	'mobile-frontend-last-modified-just-now' => 'Τελευταία τροποποίηση μόλις τώρα',
	'mobile-frontend-view-source' => 'Εμφάνιση κώδικα',
	'mobile-frontend-account-create-submit' => 'Εγγραφή',
	'mobile-frontend-password-confirm-placeholder' => 'Επιβεβαίωση κωδικού',
	'mobile-frontend-account-create-email-placeholder' => 'Διεύθυνση ηλεκτρονικού ταχυδρομείου (προαιρετικό)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Εισάγετε κωδικό επιβεβαίωσης',
	'mobile-frontend-overlay-escape' => 'Πήγαινε πίσω',
	'mobile-frontend-overlay-close' => 'Κλείσιμο',
	'mobile-frontend-overlay-continue' => 'Συνέχεια',
	'mobile-frontend-placeholder' => 'Αναζήτηση {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Αναζήτηση {{SITENAME}} (Δοκιμαστική λειτουργία)',
	'mobile-frontend-placeholder-alpha' => 'Αναζήτηση {{SITENAME}} (Πειραματική λειτουργία)',
	'mobile-frontend-dismiss-notification' => 'απόρριψη αυτής της ειδοποίησης',
	'mobile-frontend-clear-search' => 'Εκκαθάριση',
	'mobile-frontend-search-content' => 'Αναζήτηση σε σελίδες',
	'mobile-frontend-search-no-results' => 'Καμία σελίδα με αυτό τον τίτλο.',
	'mobile-frontend-privacy-link-text' => 'Ιδιωτικότητα',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Το κείμενο είναι διαθέσιμο υπό [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]. Πρόσθετοι όροι μπορεί να ισχύουν.',
	'mobile-frontend-copyright' => 'Το περιεχόμενο είναι διαθέσιμο υπό  $1  εκτός αν αναφέρεται διαφορετικά.',
	'mobile-frontend-footer-contact' => 'Επικοινωνία',
	'mobile-frontend-terms-text' => 'Όροι χρήσης',
	'mobile-frontend-main-menu-button-tooltip' => 'Άνοιγμα κυρίως μενού',
	'mobile-frontend-main-menu-page-title' => 'Πλοήγηση ιστότοπου',
	'mobile-frontend-main-menu-featured' => 'Επιλεγμένο',
	'mobile-frontend-main-menu-nearby' => 'Κοντά',
	'mobile-frontend-main-menu-login' => 'Είσοδος',
	'mobile-frontend-main-menu-logout' => 'Έξοδος',
	'mobile-frontend-main-menu-watchlist' => 'Λίστα παρακολούθησης',
	'mobile-frontend-main-menu-settings' => 'Ρυθμίσεις',
	'mobile-frontend-main-menu-upload' => 'Επιφορτώσεις',
	'mobile-frontend-main-menu-settings-heading' => 'Ρυθμίσεις',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} Γλώσσες',
	'mobile-frontend-main-menu-account-create' => 'Δημιουργία λογαριασμού',
	'mobile-frontend-page-menu-contents' => 'περιεχόμενα',
	'mobile-frontend-page-menu-history' => 'Ιστορικό',
	'mobile-frontend-meta-data-issues-header' => 'Θέματα',
	'mobile-frontend-meta-data-issues' => 'Αυτή η σελίδα έχει κάποια προβλήματα',
	'mobile-frontend-page-saving' => 'Αποθήκευση $1',
	'mobile-frontend-nearby-to-page' => 'Οι ακόλουθες σελίδες είναι σχετικές με την $1, με βάση της γεωγραφικής τοποθεσίας τους',
	'mobile-frontend-nearby-title' => 'Κοντινά',
	'mobile-frontend-nearby-loading' => 'Φόρτωση θεμάτων κοντά στην τρέχουσα τοποθεσία σας',
	'mobile-frontend-nearby-requirements' => 'Συγνώμη! Ο web browser σας δεν υποστηρίζει το {{SITENAME}} Κοντινά.',
	'mobile-frontend-nearby-requirements-guidance' => 'Δοκιμάστε ένα διαφορετικό πρόγραμμα περιήγησης ή ενεργοποιήσετε την JavaScript εάν έχετε την απενεργοποιήσει.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'Η υπηρεσία {{ΌΝΟΜΑ_ΤΟΠΟΘΕΣΊΑΣ}} Nearby δεν μπορεί να καταλάβει πού βρίσκεστε... θέλετε να ξαναδοκιμάσετε;',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Δοκιμάστε σε μια ανοιχτή περιοχή με καλύτερο σήμα.',
	'mobile-frontend-nearby-permission' => 'Το {{SITENAME}} Κοντινά δεν έχει δικαίωμα να έχει πρόσβαση στην τοποθεσία σας.',
	'mobile-frontend-nearby-permission-guidance' => 'Παρακαλούμε βεβαιωθείτε ότι έχετε δώσει την άδεια να φαίνεται που βρίσκεστε. Ίσως χρειαστεί να ελέγξετε στο πρόγραμμα περιήγησής σας τις ρυθμίσεις τοποθεσίας.',
	'mobile-frontend-nearby-noresults' => 'Ησυχία εδώ γύρω... Δεν βρέθηκαν να υπάρχουν σελίδες εδώ κοντά.',
	'mobile-frontend-nearby-noresults-guidance' => 'Δοκιμάστε τη δημιουργία μιας νέας σελίδας ή την προσθήκη τοποθεσίας σε ένα υπάρχον',
	'mobile-frontend-nearby-refresh' => 'Βρήκαμε μια πιο ακριβή θέση για σας. Κάντε κλικ εδώ, για να ανανεώσετε τη λίστα των κοντινών λημμάτων',
	'mobile-frontend-nearby-error' => 'Το {{SITENAME}} Κοντινά έχει κάποια προβλήματα.',
	'mobile-frontend-nearby-error-guidance' => 'Επιχειρήσετε να ανανεώσετε την τοποθεσία σας.',
	'mobile-frontend-nearby-link' => 'Διαβάστε πλήρως αυτή τη σελίδα',
	'mobile-frontend-nearby-directions' => 'Πλοηγηθήτε εδώ',
	'mobile-frontend-donate-image-nouploads' => 'Χωρίς επιφορτώσεις.',
	'mobile-frontend-donate-image-login' => 'Πρέπει να είστε συνδεδεμένος για να δείτε τις προσθήκες σας.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'Καμία εικόνα δεν είναι απαραίτητη σε αυτή τη σελίδα.',
	'mobile-frontend-photo-upload-generic' => 'Συνεισφορά μιας εικόνας',
	'mobile-frontend-donate-image-title' => 'Επιφορτώσεις',
	'mobile-frontend-donate-image-heading' => 'Οι πρόσφατες συνεισφορές σας',
	'mobile-frontend-donate-image-anon' => 'Ένας [[Special:UserLogin|λογαριασμός χρήστη]] είναι απαραίτητος για να δείτε τη σελίδα επιφορτώσεων', # Fuzzy
	'mobile-frontend-user-account' => 'λογαριασμός χρήστη',
	'mobile-frontend-listed-image-no-description' => 'Καμία περιγραφή',
	'mobile-frontend-donate-photo-upload-success' => 'Επιτυχία! Η εικόνα σας μπορεί τώρα να χρησιμοποιηθεί στη {{ΌΝΟΜΑ_ΤΟΠΟΘΕΣΊΑΣ}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Επιτυχία! Ευχαριστούμε για την πρώτη σας συνεισφορά!',
	'mobile-frontend-watchlist-add' => 'Προστέθηκε  $1  στη λίστα παρακολούθησης σας',
	'mobile-frontend-watchlist-removed' => 'Αφαιρέθηκε $1 από τη λίστα παρακολούθησής σας',
	'mobile-frontend-watchlist-view' => 'Προβολή της λίστας παρακολούθησής σας',
	'mobile-frontend-watchlist-cta-button-login' => 'Είσοδος',
	'mobile-frontend-watchlist-cta-button-signup' => 'Εγγραφή',
	'mobile-frontend-watch-login' => 'Θα πρέπει να συνδεθείτε για να παρακολουθείτε σελίδες.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'Κατάλογος',
	'mobile-frontend-watchlist-feed' => 'Τροποποιημένα',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Κάντε κλικ στο αστέρι στην κορυφή της σελίδας',
	'mobile-frontend-changeslist-ip' => 'Ανώνυμος χρήστης',
	'mobile-frontend-changeslist-nocomment' => 'καμία σύνοψη επεξεργασίας',
	'mobile-frontend-watchlist-filter-all' => 'Όλα',
	'mobile-frontend-watchlist-filter-articles' => 'Σελίδες περιεχομένου', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Συζήτηση',
	'mobile-frontend-watchlist-filter-other' => 'Άλλο',
	'mobile-frontend-diffview-title' => 'Αλλαγές',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|επεξεργασία|επεξεργασίες}}',
	'mobile-frontend-diffview-anonymous' => 'Ανώνυμος χρήστης',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte προστέθηκε|bytes προστέθηκαν}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte αφαιρέθηκε|bytes αφαιρέθηκαν}}',
	'mobile-frontend-diffview-explained' => 'Οι παρακάτω γραμμές προστέθηκαν (+) και αφαιρέθηκαν (-):',
	'mobile-frontend-photo-submit' => 'Υποβολή',
	'mobile-frontend-editor-cta' => 'Βοηθήστε να βελτιωθεί αυτή η σελίδα!',
	'mobile-frontend-editor-edit' => 'Επεξεργασία',
	'mobile-frontend-editor-continue' => 'Συνέχεια',
	'mobile-frontend-editor-save' => 'Αποθήκευση',
	'mobile-frontend-editor-cancel' => 'Ακύρωση',
	'mobile-frontend-editor-keep-editing' => 'Συνέχεια επεξεργασίας',
	'mobile-frontend-editor-license' => 'Αποθηκεύοντας τις αλλαγές, συμφωνείτε με τους [//wikimediafoundation.org/wiki/Terms_of_use Όρους Χρήσης] μας και συμφωνείτε να δημοσιεύσετε το κείμενό σας υπό την [//creativecommons.org/licenses/by-sa/3.0/ Άδεια CC BY-SA 3.0] και την [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'Αυτή η ενότητα είναι κενή. Γίνετε ο πρώτος που θα την αναπτύξει!',
	'mobile-frontend-editor-summary-placeholder' => 'Πείτε μας τι αλλάξατε (προαιρετικά)',
	'mobile-frontend-editor-cancel-confirm' => 'Θέλετε πραγματικά να εγκαταλείψετε την επεξεργασία;',
	'mobile-frontend-editor-wait' => 'Αποθήκευση επεξεργασίας, παρακαλούμε περιμένετε.',
	'mobile-frontend-editor-success' => 'Επιτυχία! Η επεξεργασία σας αποθηκεύτηκε.',
	'mobile-frontend-editor-success-landmark-1' => 'Συγχαρητήρια, είστε τώρα ένας συντάκτης στη {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Σφάλμα, η επεξεργασία δεν αποθηκεύτηκε.',
	'mobile-frontend-editor-error-conflict' => 'Σφάλμα, ένας άλλος χρήστης έχει επεξεργαστεί αυτή τη σελίδα.',
	'mobile-frontend-editor-error-loading' => 'Σφάλμα, δεν μπορεί να φορτωθεί η ενότητα.',
	'mobile-frontend-editor-error-preview' => 'Σφάλμα, κάτι αναπάντεχο συνέβη κατά την φόρτωση της προεπισκόπησης. Παρακαλούμε κλείστε και προσπαθήστε ξανά.',
	'mobile-frontend-editor-tutorial-summary' => 'Μη φοβάστε τη σήμανση. Προσπαθήστε να βελτιώσετε την σελίδα $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Γιατί να μην βελτιώσετε το $1; Μην φοβηθείτε από τη σήμανση!',
	'mobile-frontend-editor-tutorial-confirm' => 'Ξεκινήστε την επεξεργασία',
	'mobile-frontend-editor-tutorial-cancel' => 'Όχι, ευχαριστώ',
	'mobile-frontend-editor-captcha-try-again' => 'Λάθος κωδικός, προσπαθήστε ξανά.',
	'mobile-frontend-editor-abusefilter-warning' => 'Προειδοποίηση: Είστε βέβαιοι ότι θέλετε να αποθηκεύσετε αυτή την επεξεργασία; Μπορεί να υπάρχει ένα ζήτημα με αυτή.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Αυτή η επεξεργασία δεν μπορεί να αποθηκευτεί, διότι εντοπίσαμε ένα ζήτημα.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Διαβάστε περισσότερα',
	'mobile-frontend-editor-editing-page' => '<strong>Επεξεργασία</strong> <span>$1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Προεπισκόπηση</strong> <span>$1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Προβολή κώδικα του</strong><span> $1</span>',
	'tag-mobile_edit-description' => 'Επεξεργασία από ιστοσελίδα κινητού',
	'mobile-frontend-drawer-cancel' => 'Άκυρο',
	'mobile-frontend-talk-overlay-header' => 'Συζήτηση',
	'mobile-frontend-talk-back-to-page' => 'Επιστροφή στη σελίδα "$1".',
	'mobile-frontend-talk-add-overlay-submit' => 'Προσθήκη συζήτησης',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Θέμα',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Τι είναι στο μυαλό σας;',
	'mobile-frontend-talk-edit-summary' => 'Νέα ενότητα συζήτησης: $1',
	'mobile-frontend-talk-reply-success' => 'Η απάντησή σας αποθηκεύτηκε με επιτυχία στη σελίδα συζήτησης.',
	'mobile-frontend-talk-reply-info' => 'Σημειώστε ότι η απάντησή σας θα υπογραφεί αυτόματα με το όνομα χρήστη σας.',
	'mobile-frontend-talk-reply' => 'Απάντηση',
	'mobile-frontend-profile-userpage-link' => 'Προβολή σελίδας χρήστη',
	'mobile-frontend-geonotahack' => 'Κοντά σε αυτή τη σελίδα',
	'beta-feature-geonotahack' => 'Κοντά σε αυτή τη σελίδα',
	'beta-feature-geonotahack-description' => 'Ανακαλύψτε σελίδες που βρίσκονται γεωγραφικά κοντά στο περιεχόμενο της σελίδας που διαβάζετε αυτή τη στιγμή.',
	'mobile-frontend-mainpage-cta-prompt' => 'Αυτή η σελίδα χρειάζεται τη βοήθειά σας!',
	'mobile-frontend-mainpage-cta-button' => 'Βελτιώστε αυτή τη σελίδα',
);

/** British English (British English)
 * @author Shirayuki
 */
$messages['en-gb'] = array(
	'mobile-frontend-settings-description' => 'Customise your experience on your mobile device with these mobile specific site settings.',
	'mobile-frontend-copyright' => 'Content is available under $1 unless otherwise noted.',
	'mobile-frontend-photo-ownership-bullet-three' => 'Your uploads are released under a licence that allows anyone to reuse them for free.',
	'mobile-frontend-photo-license' => 'By uploading this image, you agree to our [//wikimediafoundation.org/wiki/Terms_of_use Terms of Use] and agree to release your image under the [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0 Licence].',
	'mobile-frontend-editor-license' => 'By saving changes, you agree to our [//wikimediafoundation.org/wiki/Terms_of_use Terms of Use] and agree to release your text under the [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0 Licence] and [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-media-license-link' => 'Licence information',
);

/** Esperanto (Esperanto)
 * @author ArnoLagrange
 * @author Karika
 * @author KuboF
 * @author Objectivesea
 * @author Remux
 * @author Yekrats
 */
$messages['eo'] = array(
	'mobile-frontend-desc' => 'Poŝtelefona Fasado',
	'mobile-frontend-search-submit' => 'Ek',
	'mobile-frontend-home-button' => 'Ĉefpaĝo',
	'mobile-frontend-logged-out' => 'Ne ensalutita',
	'mobile-frontend-logged-in-homepage-notification' => 'Bonvenon, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Elsalutita kiel $1',
	'mobile-frontend-sign-up-heading' => 'Registriĝi',
	'mobile-frontend-sign-in-heading' => 'Ensaluti',
	'mobile-frontend-sign-in-why' => 'Se vi havas konton de {{SITENAME}}, vi povas ensaluti sube.',
	'mobile-frontend-sign-in-error-heading' => 'Ho ve!',
	'mobile-frontend-settings-description' => 'Fari propran etoson en via portebla ilo kun ĉi tiuj agordoj',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => '[//en.wikipedia.org/wiki/Here_be_dragons Reĝimo Jen Drakoj]', # Fuzzy
	'mobile-frontend-settings-alpha-description' => 'Eniru al danĝera kaj ne-esplorata portebla teritorio. Havu eĉ pli da funkcioj eksperimentaj, sed kun pli ebleco de cimoj.',
	'mobile-frontend-save-settings' => 'Konservi',
	'mobile-frontend-random-button' => 'Hazarde',
	'mobile-frontend-back-to-top-of-section' => 'Je sekcio reen',
	'mobile-frontend-regular-site' => 'Malŝalti la version mobilan',
	'mobile-frontend-wml-continue' => 'Kontinui …',
	'mobile-frontend-wml-back' => 'Retroiri ...',
	'mobile-frontend-view' => 'Vidigo por porteblaj aparatoj',
	'mobile-frontend-view-desktop' => 'Labortablo',
	'mobile-frontend-view-mobile' => 'Portebla',
	'mobile-frontend-opt-in-explain' => 'Aliĝante la beta-version, vi eblos atingi eksperimentajn ecojn, riskante renkonti cimojn kaj problemojn.',
	'mobile-frontend-images-status' => 'Bildoj',
	'mobile-frontend-disable-images' => 'Malŝalti bildojn en poŝtelefona retejo',
	'mobile-frontend-enable-images' => 'Ŝalti bildojn en poŝtelefona retejo',
	'mobile-frontend-missing-image' => 'Bildo',
	'mobile-frontend-off' => 'NEVIDEBLAJ',
	'mobile-frontend-on' => 'VIDEBLAJ',
	'mobile-frontend-featured-article' => 'Artikolo prezentita hodiaŭ', # Fuzzy
	'mobile-frontend-news-items' => 'Aktuale',
	'mobile-frontend-language-article-heading' => 'Legi en alia lingvo',
	'mobile-frontend-language-header' => 'Ĉi tiu paĝo disponas en $1 {{PLURAL:$1|lingvo|lingvoj}}',
	'mobile-frontend-language-variant-header' => 'Elekti variaĵon de {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Notu: Ĉi tiu paĝo eble ne estas skribita en via prefera lingvo. Vi povas vidi kiujn lingvojn {{SITENAME}} subtenas klakante ĉi tie.',
	'mobile-frontend-language-site-choose' => 'Traserĉi lingvon',
	'mobile-frontend-username' => 'Salutnomo:',
	'mobile-frontend-password' => 'Pasvorto:',
	'mobile-frontend-username-placeholder' => 'Salutnomo',
	'mobile-frontend-password-placeholder' => 'Pasvorto',
	'mobile-frontend-login' => 'Ensaluti',
	'mobile-frontend-last-modified-date' => 'Laste modifita je $1, $2',
	'mobile-frontend-last-modified-seconds' => 'Lasta modifo {{PLURAL:$1|$1 sekundo|$1 sekundoj}} antaŭe',
	'mobile-frontend-last-modified-minutes' => 'Lasta modifo {{PLURAL:$1|$1 minuto|$1 minutoj}} antaŭe',
	'mobile-frontend-last-modified-hours' => 'Lasta modifo {{PLURAL:$1|$1 horo|$1 horoj}} antaŭe',
	'mobile-frontend-last-modified-days' => 'Lasta modifo {{PLURAL:$1|$1 tago|$1 tagoj}} antaŭe',
	'mobile-frontend-last-modified-months' => 'Lasta modifo {{PLURAL:$1|$1 monato|$1 monatoj}} antaŭe',
	'mobile-frontend-last-modified-years' => 'Lasta modifo {{PLURAL:$1|$1 jaro|$1 jaroj}} antaŭe',
	'mobile-frontend-account-create-submit' => 'Registriĝi',
	'mobile-frontend-password-confirm-placeholder' => 'Konfirmu pasvorton',
	'mobile-frontend-account-create-email-placeholder' => 'Retpoŝtadreso (nedeviga)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Entajpi tekston sekurecan', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Reen',
	'mobile-frontend-placeholder' => 'Traserĉi {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Traserĉi {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Traserĉi {{SITENAME}} (eksperimenta)',
	'mobile-frontend-search-help' => 'Tajpi serĉmendon supren kaj kongruaj paĝo-titoloj aperos ĉi tie.',
	'mobile-frontend-dismiss-notification' => 'Forigi ĉi tiun not-rubandon',
	'mobile-frontend-clear-search' => 'Nuligi',
	'mobile-frontend-privacy-link-text' => 'Privateco',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Enhavo disponas per [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile permesilo CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-copyright' => "Teksto estas disponebla laŭ la permesilo <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Krea Komunaĵo Atribuite-Samkondiĉe</a>; eble validas aldonaj kondiĉoj. Vidu la <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Uzokondiĉojn</a> por detaloj. Vikipedio estas registrita varmarko de la <a href='http://www.wikimediafoundation.org/'>Fondaĵo Vikimedio</a>, senprofita organizaĵo.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Kontaktigi',
	'mobile-frontend-search-noresults' => 'Neniu paĝo kongruas kun via serĉado. Ŝanĝu vian mendon, aŭ klaki la butonon de klavara serĉado por traserĉi ene de paĝoj.',
	'mobile-frontend-main-menu-button-tooltip' => 'Malfermi ĉefmenuon',
	'mobile-frontend-main-menu-page-title' => 'Navigado de retejo',
	'mobile-frontend-main-menu-featured' => 'Elstara',
	'mobile-frontend-main-menu-nearby' => 'Apude',
	'mobile-frontend-main-menu-login' => 'Ensaluti',
	'mobile-frontend-main-menu-logout' => 'Elsaluti',
	'mobile-frontend-main-menu-watchlist' => 'Atentaro',
	'mobile-frontend-main-menu-settings' => 'Agordoj',
	'mobile-frontend-main-menu-upload' => 'Alŝutoj',
	'mobile-frontend-main-menu-settings-heading' => 'Agordoj',
	'mobile-frontend-settings-site-header' => 'Lingvoj por {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} disponas en $1 {{PLURAL:$1|lingvo|lingvoj}}. Jen ĉiuj disponaj versioj',
	'mobile-frontend-main-menu-account-create' => 'Krei konton',
	'mobile-frontend-page-menu-contents' => 'enhavo',
	'mobile-frontend-page-menu-history' => 'Historio:',
	'mobile-frontend-meta-data-issues-header' => 'Problemoj',
	'mobile-frontend-meta-data-issues' => 'Ĉi tiu paĝo havas iujn problemojn',
	'mobile-frontend-page-saving' => 'Konservante $1',
	'mobile-frontend-nearby-title' => 'Apuda',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-donate-image-login' => 'Vi devas esti ensalutinta por vidi viajn alŝutojn.', # Fuzzy
	'mobile-frontend-photo-upload-generic' => 'Kontribui bildon',
	'mobile-frontend-donate-image-title' => 'Alŝutoj',
	'mobile-frontend-donate-image-heading' => 'Viaj lastaj kontribuoj',
	'mobile-frontend-donate-image-anon' => '$1 estas bezonata por vidi la paĝon de alŝutoj.',
	'mobile-frontend-user-account' => 'konto de uzanto',
	'mobile-frontend-listed-image-no-description' => 'Neniu priskribo',
	'mobile-frontend-donate-photo-upload-success' => 'Sukceso! Via bildo nun povas esti uzatan en {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Sukceso! Dankon pro via unua kontribuo!',
	'mobile-frontend-watchlist-add' => 'Aldonis $1 al via atentaro',
	'mobile-frontend-watchlist-removed' => 'Forigis $1 el via atentaro',
	'mobile-frontend-watchlist-view' => 'Rigardi vian atentaron',
	'mobile-frontend-watchlist-more' => 'pli',
	'mobile-frontend-watchlist-cta' => 'Bonvole ensalutu aŭ registriĝu por vidi ĉi tiun paĝon.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Ensaluti',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registriĝi',
	'mobile-frontend-watch-login' => 'Vi devas esti ensalutinta por vidi paĝoj.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'Ĉio', # Fuzzy
	'mobile-frontend-watchlist-feed' => 'Modifite',
	'mobile-frontend-changeslist-ip' => 'Anonimulo',
	'mobile-frontend-changeslist-nocomment' => 'Sen resumo de redakto',
	'mobile-frontend-watchlist-filter-all' => 'Ĉiuj',
	'mobile-frontend-watchlist-filter-articles' => 'Artikoloj', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Diskuto',
	'mobile-frontend-watchlist-filter-other' => 'Alia',
	'mobile-frontend-watchlist-modified' => 'Modifita $1',
	'mobile-frontend-diffview-title' => 'Ŝanĝoj',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|redakto|redaktoj}}',
	'mobile-frontend-diffview-anonymous' => 'Anonimulo',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|bitokon|bitokojn}} aldonis',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|bitokon|bitokojn}} forigis',
	'mobile-frontend-saving-exit-page' => 'Via kontribuo ankoraŭ konservadas. Se vi forlasus, via kontribuo perdiĝus. Ĉu vi certas ke vi volas foriri?',
	'mobile-frontend-photo-upload' => 'Aldoni bildon al ĉi tiu artikolo', # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => 'Aldonis foton por uzi en paĝo', # Fuzzy
	'mobile-frontend-photo-article-donate-comment' => 'Donacita bildo el poŝtelefono.', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'Aldonis foton al paĝo', # Fuzzy
	'mobile-frontend-photo-caption-placeholder' => 'Aldoni priskribo (bezonate)', # Fuzzy
	'mobile-frontend-image-loading' => 'Ŝargante bildon',
	'mobile-frontend-photo-ownership' => 'Mi, $1, kreis ĉi tiun bildon.',
	'mobile-frontend-photo-ownership-help' => 'Kion ĉi tio signifas ?',
	'mobile-frontend-photo-ownership-bullet-one' => 'Ni nur povas akcepti fotojn kiujn vi mem fotis. Bonvole ne alŝutu bildojn kiujn vi trovis ie ĉe Interreto.', # Fuzzy
	'mobile-frontend-photo-ownership-bullet-two' => 'Kopirajtaj kaj neadekvataj bildoj estas forigotaj.',
	'mobile-frontend-image-uploading-wait' => 'Alŝutante bildon, bonvolu atendi',
	'mobile-frontend-image-uploading-long' => 'Bildo ankoraŭ alŝutanta! Dankon pro via pacienco.',
	'mobile-frontend-photo-upload-error' => 'Eraro, provu denove',
	'mobile-frontend-photo-cancel' => 'Nuligi',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> alŝuto|<span>$1</span> alŝutoj}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ alŝutoj',
	'tag-mobile_edit' => 'Poŝaparata redakto',
	'tag-mobile_edit-description' => 'Redakto farita en retejo por poŝaparatoj',
	'mobile-frontend-drawer-cancel' => 'Nuligi',
	'mobile-frontend-talk-overlay-header' => 'Diskuto',
);

/** Spanish (español)
 * @author Armando-Martin
 * @author Benfutbol10
 * @author Ciencia Al Poder
 * @author Crazymadlover
 * @author Fitoschido
 * @author Imre
 * @author Invadinado
 * @author McDutchie
 * @author Ovruni
 * @author Platonides
 * @author PoLuX124
 * @author QuimGil
 * @author Remux
 * @author Sethladan
 */
$messages['es'] = array(
	'mobilefrontend-random-explain' => '¿Esta página al azar es de tu interés?',
	'mobilefrontend-random-cancel' => '¡Déjame leer!',
	'mobilefrontend-keepgoing-ask' => '¡Bien hecho! ¡Estás aprendiendo de esto! ¿Quieres probar editando otra página?',
	'mobilefrontend-keepgoing-ask-first' => '¡Enhorabuena por hacer tu primera edición! ¿Quieres probar editando otra página?',
	'mobilefrontend-keepgoing-explain' => '¡Genial! Otro usuario dijo que esta página necesitaba ayuda. Prueba con ésta, o con otra.',
	'mobilefrontend-keepgoing-cancel' => 'No, gracias',
	'mobilefrontend-keepgoing-suggest' => 'Sí, por favor',
	'mobilefrontend-keepgoing-suggest-again' => 'Probar con otra',
	'mobilefrontend-keepgoing-saved-title' => '¡Edición grabada!',
	'mobilefrontend-keepgoing-links-title' => 'Añadir enlaces',
	'mobilefrontend-keepgoing-links-ask-first' => '¡Enhorabuena por hacer tu primera edición! ¿Te gustaría ayudar a añadir enlaces a una página creada recientemente?',
	'mobilefrontend-keepgoing-links-ask-again' => '¿Arreglar otra página?',
	'mobilefrontend-keepgoing-links-explain' => 'Encuentra más palabras que podrían ser enlaces. Añade corchetes dobles alrededor de la palabra.',
	'mobilefrontend-keepgoing-links-example' => 'por ejemplo, $1guitarra$2 se convierte en $3guitarra$4',
	'nearby' => 'Páginas cercanas',
	'mobile-frontend-desc' => 'Interfaz móvil',
	'mobile-frontend-search-submit' => 'Ir',
	'mobile-frontend-home-button' => 'Inicio',
	'mobile-frontend-logged-out' => 'No has iniciado sesión',
	'mobile-frontend-logged-in-homepage-notification' => '¡Bienvenido/a, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Has iniciado sesión como $1.',
	'mobile-frontend-generic-404-title' => 'Error: no se encontró la página',
	'mobile-frontend-sign-up-heading' => 'Registrarse',
	'mobile-frontend-sign-in-heading' => 'Iniciar sesión',
	'mobile-frontend-sign-in-why' => 'Si tienes una cuenta en {{SITENAME}}, puedes acceder a continuación.',
	'mobile-frontend-sign-in-error-heading' => '¡Vaya!',
	'mobile-frontend-settings-description' => 'Personaliza la experiencia en tu dispositivo móvil con estos ajustes específicos del sitio móvil.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Modo experimental',
	'mobile-frontend-settings-alpha-description' => 'Entrar en territorio móvil peligroso e inexplorado. Obtener características aún más experimentales, pero con más peligro de errores.',
	'mobile-frontend-save-settings' => 'Guardar',
	'mobile-frontend-save-error' => 'Error al guardar la configuración. Por favor, asegúrate que tienes las cookies habilitadas.',
	'mobile-frontend-random-button' => 'Aleatorio',
	'mobile-frontend-back-to-top-of-section' => 'Ir atrás una sección',
	'mobile-frontend-regular-site' => 'Vista del escritorio',
	'mobile-frontend-wml-continue' => 'Continuar…',
	'mobile-frontend-wml-back' => 'Atrás…',
	'mobile-frontend-view' => 'Versión para móviles',
	'mobile-frontend-view-desktop' => 'Escritorio',
	'mobile-frontend-view-mobile' => 'teléfono móvil',
	'mobile-frontend-opt-in-explain' => 'Al probar la versión beta, obtendrá acceso a características experimentales, con el riesgo de encontrarse con errores y problemas.',
	'mobile-frontend-images-status' => 'Imágenes',
	'mobile-frontend-disable-images' => 'Desactivar imágenes en la versión para móviles',
	'mobile-frontend-enable-images' => 'Activar imágenes en la versión para móviles',
	'mobile-frontend-missing-image' => 'Imagen',
	'mobile-frontend-off' => '○',
	'mobile-frontend-on' => '❙',
	'mobile-frontend-featured-article' => 'Contenido destacado de hoy',
	'mobile-frontend-news-items' => 'Actualidad',
	'mobile-frontend-languages-404-desc' => 'Debes especificar un título válido.',
	'mobile-frontend-languages-header' => 'Idiomas',
	'mobile-frontend-languages-nonexistent-title' => 'La página «$1» no existe.',
	'mobile-frontend-languages-text' => '$1 está disponible en $2 {{PLURAL:$1|idioma|idiomas}}.',
	'mobile-frontend-language-heading' => '<strong>Idiomas</strong>',
	'mobile-frontend-language-article-heading' => 'Leer en otro idioma',
	'mobile-frontend-language-header' => 'Esta página está disponible en $1 {{PLURAL:$1|idioma|idiomas}}',
	'mobile-frontend-language-variant-header' => 'Elegir la variante {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Seleccionar idioma',
	'mobile-frontend-username' => 'Nombre de usuario:',
	'mobile-frontend-password' => 'Contraseña:',
	'mobile-frontend-username-placeholder' => 'Nombre de usuario',
	'mobile-frontend-password-placeholder' => 'Contraseña',
	'mobile-frontend-login' => 'Iniciar sesión',
	'mobile-frontend-history' => 'Ver el historial de ediciones de esta página.',
	'mobile-frontend-history-404-title' => 'La página no existe',
	'mobile-frontend-history-404-desc' => 'No se puede acceder al historial de una página que no existe. Esta podría haberse borrado o puedes haber seguido un enlace incorrecto.',
	'mobile-frontend-last-modified-date' => 'Última modificación el $1, a las $2',
	'mobile-frontend-last-modified-seconds' => 'Última modificación hace {{PLURAL:$1|$1 segundo|$1 segundos}}',
	'mobile-frontend-last-modified-minutes' => 'Última modificación hace {{PLURAL:$1|$1 minuto|$1 minutos}}',
	'mobile-frontend-last-modified-hours' => 'Última modificación hace {{PLURAL:$1|$1 hora|$1 horas}}',
	'mobile-frontend-last-modified-days' => 'Última modificación hace {{PLURAL:$1|$1 día|$1 días}}',
	'mobile-frontend-last-modified-months' => 'Última modificación hace {{PLURAL:$1|$1 mes|$1 meses}}',
	'mobile-frontend-last-modified-years' => 'Última modificación hace {{PLURAL:$1|$1 año|$1 años}}',
	'mobile-frontend-last-modified-just-now' => 'Última modificación: justo ahora',
	'mobile-frontend-view-source' => 'Ver código fuente',
	'mobile-frontend-account-create-submit' => 'Registrarse',
	'mobile-frontend-password-confirm-placeholder' => 'Confirmar contraseña',
	'mobile-frontend-account-create-email-placeholder' => 'Dirección de correo electrónico (opcional)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Escribe el código de confirmación',
	'mobile-frontend-overlay-escape' => 'Atrás',
	'mobile-frontend-overlay-close' => 'Cerrar',
	'mobile-frontend-overlay-continue' => 'Continuar',
	'mobile-frontend-placeholder' => 'Buscar en {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Búsqueda en {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Búsqueda en {{SITENAME}} (Experimental)',
	'mobile-frontend-dismiss-notification' => 'Rechazar esta notificación',
	'mobile-frontend-clear-search' => 'Limpiar',
	'mobile-frontend-search-content' => 'Buscar en las páginas',
	'mobile-frontend-search-no-results' => 'No hay ninguna página con este título.',
	'mobile-frontend-privacy-link-text' => 'Privacidad',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'El texto está disponibles bajo la licencia [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; otros términos adicionales pueden ser aplicables.',
	'mobile-frontend-copyright' => 'El contenido está disponible bajo la licencia $1, salvo que se indique lo contrario.',
	'mobile-frontend-footer-contact' => 'Contacto',
	'mobile-frontend-terms-text' => 'Términos de uso',
	'mobile-frontend-main-menu-button-tooltip' => 'Abrir el menú principal',
	'mobile-frontend-main-menu-page-title' => 'Navegación del sitio',
	'mobile-frontend-main-menu-featured' => 'Destacado',
	'mobile-frontend-main-menu-nearby' => 'Cercano',
	'mobile-frontend-main-menu-login' => 'Iniciar sesión',
	'mobile-frontend-main-menu-logout' => 'Cerrar sesión',
	'mobile-frontend-main-menu-watchlist' => 'Lista de seguimiento',
	'mobile-frontend-main-menu-settings' => 'Configuración',
	'mobile-frontend-main-menu-upload' => 'Subidas',
	'mobile-frontend-main-menu-settings-heading' => 'Configuración',
	'mobile-frontend-settings-site-header' => 'Idiomas de {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} está disponible en  $1 {{PLURAL:$1|idioma|idiomas}}. Todas las versiones disponibles se enumeran a continuación',
	'mobile-frontend-main-menu-account-create' => 'Crear una cuenta',
	'mobile-frontend-page-menu-contents' => 'contenido',
	'mobile-frontend-page-menu-history' => 'Historial',
	'mobile-frontend-meta-data-issues-header' => 'Incidencias',
	'mobile-frontend-meta-data-issues' => 'Esta página tiene algunas incidencias',
	'mobile-frontend-page-saving' => 'Guardando $1',
	'mobile-frontend-user-cta' => 'Inicia sesión o regístrate para ver tus notificaciones.',
	'mobile-frontend-user-button-tooltip' => 'Mostrar mis notificaciones',
	'mobile-frontend-nearby-to-page' => 'Las siguientes páginas están relacionadas a $1 por su localización geográfica',
	'mobile-frontend-nearby-title' => 'Cercanos',
	'mobile-frontend-nearby-loading' => 'Cargando temas cercanos a tu ubicación actual',
	'mobile-frontend-nearby-requirements' => 'Lo sentimos, tu navegador web no admite {{SITENAME}} Cercanos.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-noresults' => 'Parece que estás en el medio de la nada, pues no pudimos encontrar ningún tema. ¿Quieres escribir uno?', # Fuzzy
	'mobile-frontend-nearby-refresh' => 'Encontramos una ubicación más exacta para ti. Pulsa aquí para actualizar la lista de páginas cercanas',
	'mobile-frontend-nearby-error' => 'Ocurrió un error inesperado al intentar encontrar páginas cercanas', # Fuzzy
	'mobile-frontend-donate-image-login' => 'Necesitas iniciar sesión para ver tus subidas', # Fuzzy
	'mobile-frontend-photo-upload-generic' => 'Donar una imagen', # Fuzzy
	'mobile-frontend-donate-image-title' => 'Subidas',
	'mobile-frontend-donate-image-heading' => 'Tus contribuciones recientes',
	'mobile-frontend-donate-image-anon' => 'Para ver la página de subidas necesitas una $1.',
	'mobile-frontend-user-account' => 'cuenta de usuario',
	'mobile-frontend-listed-image-no-description' => 'Sin descripción',
	'mobile-frontend-donate-photo-upload-success' => '¡Bien! ¡Ahora puedes usar tu imagen en {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => '¡Bien! ¡Gracias por tu primer aporte!',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => '¿Entendido?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => '¡Sí!',
	'mobile-frontend-watchlist-add' => 'Se ha añadido el artículo $1 a tu lista de seguimiento',
	'mobile-frontend-watchlist-removed' => 'Se ha eliminado el artículo $1 de tu lista de seguimiento',
	'mobile-frontend-watchlist-view' => 'Ver tu lista de seguimiento',
	'mobile-frontend-watchlist-more' => 'más',
	'mobile-frontend-watchlist-cta' => 'Mantén esta página en seguimiento y todos los cambios que se realicen en ella.',
	'mobile-frontend-watchlist-cta-button-login' => 'Iniciar sesión',
	'mobile-frontend-watchlist-cta-button-signup' => 'Regístrate',
	'mobile-frontend-watchlist-login-action' => 'Iniciar sesión para ver esto.',
	'mobile-frontend-watch-login' => 'Añade $1 a tu lista de seguimiento.',
	'mobile-frontend-watchlist-a-z' => 'Lista',
	'mobile-frontend-watchlist-feed' => 'Modificadas',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Pulsa en la estrella en la parte superior de la página',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Sigue una página que encuentres interesante pulsando en el icono de la estrella en la parte superior de la página. Esto te permitirá marcar páginas de interés y ver cuando son modificadas.', # Fuzzy
	'mobile-frontend-watchlist-feed-empty' => 'No hay páginas con cambios recientes',
	'mobile-frontend-watchlist-back-home' => 'Regresar',
	'mobile-frontend-changeslist-ip' => 'Dirección IP',
	'mobile-frontend-changeslist-nocomment' => 'sin resumen de edición',
	'mobile-frontend-watchlist-filter-all' => 'Todas',
	'mobile-frontend-watchlist-filter-articles' => 'Páginas',
	'mobile-frontend-watchlist-filter-talk' => 'Discusión',
	'mobile-frontend-watchlist-filter-other' => 'Otras',
	'mobile-frontend-watchlist-modified' => 'Modificado $1',
	'mobile-frontend-diffview-404-title' => 'Revisión incorrecta',
	'mobile-frontend-diffview-404-desc' => 'El id. de la revisión solicitada no existe',
	'mobile-frontend-diffview-title' => 'Cambios',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|edición|ediciones}}',
	'mobile-frontend-diffview-anonymous' => 'Usuario anónimo',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte añadido|bytes añadidos}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte eliminado|bytes eliminados}}',
	'mobile-frontend-diffview-explained' => 'Se añadieron (+) y eliminaron (-) las siguientes líneas:',
	'mobile-frontend-saving-exit-page' => 'Su contribución está todavía guardándose. Si abandonas tus contribuciones, se perderán. ¿Estás seguro que deseas salir?',
	'mobile-frontend-photo-upload' => 'Añade una imagen a esta página',
	'mobile-frontend-photo-article-edit-comment' => 'Se ha añadido una imagen para su uso en la página',
	'mobile-frontend-photo-article-donate-comment' => 'Imagen donada desde Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Se añadió una imagen a la página',
	'mobile-frontend-photo-caption-placeholder' => 'Describe esta imagen (requerido)',
	'mobile-frontend-photo-ownership' => 'Yo,  $1 , creé esta imagen.',
	'mobile-frontend-photo-ownership-help' => '¿Qué significa esto?',
	'mobile-frontend-photo-ownership-confirm' => '¡Bien!',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Comenzar subida',
	'mobile-frontend-photo-upload-error' => 'Error, intenta de nuevo.',
	'mobile-frontend-photo-upload-error-filename' => 'Error, por favor proporcione un resumen más descriptivo.',
	'mobile-frontend-photo-upload-success-article' => '¡Bien! Tu imagen ahora es visible en la página.',
	'mobile-frontend-photo-license' => 'Nota: Todas las fotos que publicas tendrán una [//en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License licencia CC BY-SA]', # Fuzzy
	'mobile-frontend-photo-submit' => 'Enviar',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> subida|<span> $1 </span> subidas}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ subidas',
	'mobile-frontend-editor-edit' => 'Editar',
	'mobile-frontend-editor-continue' => 'Continuar',
	'mobile-frontend-editor-save' => 'Guardar',
	'mobile-frontend-editor-cancel' => 'Cancelar',
	'mobile-frontend-editor-keep-editing' => 'Seguir editando',
	'mobile-frontend-editor-placeholder' => 'Esta sección está vacía. ¡Sé el primero en ampliarla!',
	'mobile-frontend-editor-summary-placeholder' => 'Dinos qué has cambiado (opcional)',
	'mobile-frontend-editor-cancel-confirm' => '¿Estás seguro de abandonar tu edición?',
	'mobile-frontend-editor-wait' => 'Guardando la edición, espera un momento.',
	'mobile-frontend-editor-success-landmark-1' => '¡Felicidades, ahora eres un editor de {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Error, edición no guardada.',
	'mobile-frontend-editor-error-conflict' => 'Error, otro usuario ha editado esta página.',
	'mobile-frontend-editor-error-loading' => 'Error, no se puede cargar la sección.',
	'mobile-frontend-editor-tutorial-confirm' => 'Empezar a editar',
	'mobile-frontend-editor-captcha-try-again' => 'Código incorrecto, inténtalo de nuevo.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Esta edición no puede ser guardada debido a que hemos detectado un problema con ella.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Leer más',
	'mobile-frontend-editor-editing-page' => "'''Editar''' «$1»", # Fuzzy
	'mobile-frontend-editor-previewing-page' => "'''Previsualización''' de $1", # Fuzzy
	'tag-mobile_edit' => 'Edición desde móvil',
	'tag-mobile_edit-description' => 'Edición realizada desde el sitio móvil',
	'mobile-frontend-drawer-cancel' => 'Cancelar',
	'mobile-frontend-talk-explained' => 'Las siguientes conversaciones están actualmente activas',
	'mobile-frontend-talk-explained-empty' => 'No hay ninguna conversación sobre esta página.',
	'mobile-frontend-talk-overlay-header' => 'Discusión',
	'mobile-frontend-talk-back-to-page' => 'Regresar a la página "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Discusión sin título',
	'mobile-frontend-talk-add-overlay-content-placeholder' => '¿Qué es lo que piensas?',
	'mobile-frontend-talk-reply-success' => 'Tu respuesta ha sido guardada correctamente en la página de discusión.',
	'mobile-frontend-talk-reply-info' => 'Ten en cuenta que tu respuesta será firmada automáticamente con tu nombre de usuario.',
	'mobile-frontend-talk-reply' => 'Responder',
	'mobile-frontend-media-details' => 'Detalles',
	'mobile-frontend-media-license-link' => 'Información de la licencia',
	'mobile-frontend-profile-title' => 'Perfil de usuario',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|Hablar con $1}}',
	'mobile-frontend-profile-error' => '¡Oh, vaya!',
	'mobile-frontend-profile-noargs' => 'Proporciona un nombre de usuario para ver el perfil.', # Fuzzy
	'mobile-frontend-profile-nouser' => 'Nombre de usuario inexistente o inválido', # Fuzzy
	'mobile-frontend-profile-activity-heading' => 'Actividad reciente',
	'mobile-frontend-profile-userpage-link' => 'Visitar página de usuario.',
	'mobile-frontend-geonotahack' => 'Cerca de esta página',
	'beta-feature-geonotahack' => 'Cerca de esta página',
	'beta-feature-geonotahack-description' => 'Descubre páginas que se encuentran geográficamente cerca del artículo que estás leyendo.',
);

/** Estonian (eesti)
 * @author AivoK
 * @author Avjoska
 * @author Pikne
 */
$messages['et'] = array(
	'mobilefrontend-random-explain' => 'Kas see juhuslik lehekülg huvitab sind?',
	'mobilefrontend-random-cancel' => 'Las ma loen!',
	'mobilefrontend-keepgoing-suggest-again' => 'Proovi teist',
	'nearby' => 'Leheküljed sinu lähedal',
	'mobile-frontend-desc' => 'Mobiili eeskomponent',
	'mobile-frontend-search-submit' => 'Mine',
	'mobile-frontend-home-button' => 'Esileht',
	'mobile-frontend-logged-out' => 'Ei ole sisse logitud',
	'mobile-frontend-logged-in-homepage-notification' => 'Tere tulemast, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Sisse logitud kasutajanimega $1.',
	'mobile-frontend-sign-up-heading' => 'Registreerumine',
	'mobile-frontend-sign-in-heading' => 'Sisselogimine',
	'mobile-frontend-sign-in-error-heading' => 'Ups!',
	'mobile-frontend-settings-description' => 'Vali oma mobiiliseadme jaoks sobivad mobiilisaiti puudutavad eelistused.',
	'mobile-frontend-settings-beta' => 'Beeta',
	'mobile-frontend-settings-alpha' => 'Katserežiim',
	'mobile-frontend-settings-alpha-description' => 'Sisene ohtlikule ja läbiuurimata mobiilimaale. Leiad sealt veelgi katsefunktsioone ja võimalik, et ka rohkem vigu.',
	'mobile-frontend-save-settings' => 'Salvesta',
	'mobile-frontend-random-button' => 'Juhuslik',
	'mobile-frontend-back-to-top-of-section' => 'Mine alaosa võrra tagasi',
	'mobile-frontend-regular-site' => 'Tavavaade',
	'mobile-frontend-wml-continue' => 'Jätka...',
	'mobile-frontend-wml-back' => 'Tagasi...',
	'mobile-frontend-view' => 'Mobiilivaade',
	'mobile-frontend-view-desktop' => 'Lauaarvuti',
	'mobile-frontend-view-mobile' => 'Mobiil',
	'mobile-frontend-opt-in-explain' => 'Beetat proovides antakse sulle ligipääs katselistele funktsioonidele, mille järel võid kokku puutuda tarkvaravigade ja muude probleemidega.',
	'mobile-frontend-images-status' => 'Pildid',
	'mobile-frontend-disable-images' => 'Keela mobiilivaates pildid',
	'mobile-frontend-enable-images' => 'Luba mobiilivaates pildid',
	'mobile-frontend-missing-image' => 'Pilt',
	'mobile-frontend-off' => 'VÄLJAS',
	'mobile-frontend-on' => 'SEES',
	'mobile-frontend-featured-article' => 'Täna esile tõstetud sisu',
	'mobile-frontend-news-items' => 'Päevakajaline',
	'mobile-frontend-languages-header' => 'Keeled',
	'mobile-frontend-language-article-heading' => 'Loe teises keeles',
	'mobile-frontend-language-header' => 'See lehekülg on saadaval {{PLURAL:$1|ühes|$1}} keeles.',
	'mobile-frontend-language-site-choose' => 'Otsi keelt',
	'mobile-frontend-username' => 'Kasutajanimi:',
	'mobile-frontend-password' => 'Parool:',
	'mobile-frontend-username-placeholder' => 'Kasutajanimi',
	'mobile-frontend-password-placeholder' => 'Parool',
	'mobile-frontend-login' => 'Logi sisse',
	'mobile-frontend-history' => 'Vaata selle lehekülje redigeerimislugu.',
	'mobile-frontend-history-summary' => 'Lehekülje "[[:$1]]" ajalugu',
	'mobile-frontend-last-modified-date' => 'Viimati muudetud kuupäeval $1, kell $2',
	'mobile-frontend-last-modified-seconds' => 'Viimati muudetud {{PLURAL:$1|ühe|$1}} sekundi eest',
	'mobile-frontend-last-modified-minutes' => 'Viimati muudetud {{PLURAL:$1|ühe|$1}} minuti eest',
	'mobile-frontend-last-modified-hours' => 'Viimati muudetud {{PLURAL:$1|ühe|$1}} tunni eest',
	'mobile-frontend-last-modified-days' => 'Viimati muudetud {{PLURAL:$1|ühe|$1}} päeva eest',
	'mobile-frontend-last-modified-months' => 'Viimati muudetud {{PLURAL:$1|ühe|$1}} kuu eest',
	'mobile-frontend-last-modified-years' => 'Viimati muudetud {{PLURAL:$1|ühe|$1}} aasta eest',
	'mobile-frontend-last-modified-just-now' => 'Viimati muudetud just praegu',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Viimati {{GENDER:$1|redigeeritud}} {{PLURAL:$3|ühe|$3}} sekundi eest] ({{PLURAL:$5|[$6 $2]|0=anonüümne kasutaja}})',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Viimati {{GENDER:$1|redigeeritud}} {{PLURAL:$3|ühe|$3}} minuti eest] ({{PLURAL:$5|[$6 $2]|0=anonüümne kasutaja}})',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Viimati {{GENDER:$1|redigeeritud}} {{PLURAL:$3|ühe|$3}} tunni eest] ({{PLURAL:$5|[$6 $2]|0=anonüümne kasutaja}})',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Viimati {{GENDER:$1|redigeeritud}} {{PLURAL:$3|ühe|$3}} päeva eest] ({{PLURAL:$5|[$6 $2]|0=anonüümne kasutaja}})',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Viimati {{GENDER:$1|redigeeritud}} {{PLURAL:$3|ühe|$3}} kuu eest] ({{PLURAL:$5|[$6 $2]|0=anonüümne kasutaja}})',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Viimati {{GENDER:$1|redigeeritud}} {{PLURAL:$3|ühe|$3}} aasta eest] ({{PLURAL:$5|[$6 $2]|0=anonüümne kasutaja}})',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Viimati {{GENDER:$1|redigeeritud}}] just praegu ({{PLURAL:$4|[$5 $2]|0=anonüümne kasutaja}})',
	'mobile-frontend-account-create-submit' => 'Registreeru',
	'mobile-frontend-password-confirm-placeholder' => 'Parooli kinnitus',
	'mobile-frontend-account-create-email-placeholder' => 'E-posti aadress (valikuline)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Sisesta kinnituskood',
	'mobile-frontend-overlay-escape' => 'Mine tagasi',
	'mobile-frontend-placeholder' => 'Otsi {{GRAMMAR:elative|{{SITENAME}}}}',
	'mobile-frontend-placeholder-beta' => 'Otsi {{GRAMMAR:elative|{{SITENAME}}}} (beeta)',
	'mobile-frontend-placeholder-alpha' => 'Otsi {{GRAMMAR:elative|{{SITENAME}}}} (katseline)',
	'mobile-frontend-dismiss-notification' => 'ära näita seda teadet',
	'mobile-frontend-clear-search' => 'Tühjenda',
	'mobile-frontend-privacy-link-text' => 'Privaatsus',
	'mobile-frontend-footer-license' => 'Sisu on saadaval litsentsi [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] all; võivad lisanduda täiendavad tingimused.',
	'mobile-frontend-copyright' => 'Sisu on kasutatav litsentsi $1 tingimustel, kui pole öeldud teisiti.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-terms-text' => 'Kasutustingimused',
	'mobile-frontend-main-menu-button-tooltip' => 'Ava peamenüü',
	'mobile-frontend-main-menu-featured' => 'Esile tõstetud',
	'mobile-frontend-main-menu-nearby' => 'Lähikond',
	'mobile-frontend-main-menu-login' => 'Logi sisse',
	'mobile-frontend-main-menu-logout' => 'Logi välja',
	'mobile-frontend-main-menu-watchlist' => 'Jälgimisloend',
	'mobile-frontend-main-menu-settings' => 'Eelistused',
	'mobile-frontend-main-menu-upload' => 'Üleslaadimised',
	'mobile-frontend-main-menu-settings-heading' => 'Eelistused',
	'mobile-frontend-settings-site-header' => '{{GRAMMAR:genitive|{{SITENAME}}}} keeled',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} on saadaval {{PLURAL:$1|ühes keeles|$1 keeles}}. Kõik saadaolevad versioonid on loetletud allpool.',
	'mobile-frontend-main-menu-account-create' => 'Loo konto',
	'mobile-frontend-page-menu-contents' => 'sisu',
	'mobile-frontend-page-menu-history' => 'Ajalugu',
	'mobile-frontend-meta-data-issues-header' => 'Probleemid',
	'mobile-frontend-meta-data-issues' => 'Selle leheküljega on probleeme',
	'mobile-frontend-page-saving' => 'Lehekülje "$1" salvestamine',
	'mobile-frontend-user-button-tooltip' => 'Näita mu teavitusi',
	'mobile-frontend-nearby-to-page' => '$1 on järgmiste nähtuste lähedal.',
	'mobile-frontend-nearby-title' => 'Lähikond',
	'mobile-frontend-nearby-loading' => 'Laaditakse sinu lähiümbrusega seotud teemasid.',
	'mobile-frontend-nearby-requirements' => 'Kahjuks ei toeta sinu võrgulehitseja {{GRAMMAR:genitive|{{SITENAME}}}} funktsiooni "Lähikond".',
	'mobile-frontend-nearby-lookup-ui-error' => '{{GRAMMAR:genitive|{{SITENAME}}}} lähiümbruse funktsioon ei leia sind üles. Kas proovid uuesti?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Proovi avatud ala, kus on parem signaal.',
	'mobile-frontend-nearby-noresults' => 'Valitseb tühjus… Läheduses ei leidu ühtegi lehekülge.',
	'mobile-frontend-nearby-noresults-guidance' => 'Proovi alustada uue leheküljega või lisada olemasolevale asukoht.',
	'mobile-frontend-nearby-link' => 'Loe kogu lehekülge',
	'mobile-frontend-donate-image-nouploads' => 'Üleslaaditud failid puuduvad.',
	'mobile-frontend-donate-image-login' => 'Meediafailid on {{GRAMMAR:illative|{{SITENAME}}}} üles laadinud sinusugused inimesed.',
	'mobile-frontend-photo-upload-disabled' => 'Sellel leheküljel pole pilti tarvis.',
	'mobile-frontend-photo-upload-anon' => 'Palun logi sisse, et sellele leheküljele pilt lisada.',
	'mobile-frontend-photo-upload-generic' => 'Laadi üles pilt',
	'mobile-frontend-donate-image-title' => 'Üleslaadimised',
	'mobile-frontend-donate-image-heading' => 'Sinu viimased muudatused',
	'mobile-frontend-donate-image-anon' => 'Üleslaadimiste lehekülje vaatamiseks on vaja $1.',
	'mobile-frontend-user-account' => 'kasutajakontot',
	'mobile-frontend-listed-image-no-description' => 'Kirjeldus puudub',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Lisa oma pilte. Aita {{SITENAME}} ellu äratada!',
	'mobile-frontend-first-upload-wizard-new-page-1' => '{{GRAMMAR:genitive|{{SITENAME}}}} pildid on pärit Wikimedia Commonsist.',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Sinu pildid aitavad inimestel üle maailma targemaks saada.',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Väldi autoriõigusega kaitstud materjale, mille leidsid internetist ning ka pilte postritest, raamatu kaantest jne.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Kas sai selgeks?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Jah!',
	'mobile-frontend-watchlist-add' => '"$1" on sinu jälgimisloendisse lisatud.',
	'mobile-frontend-watchlist-removed' => '"$1" on sinu jälgimisloendist eemaldatud.',
	'mobile-frontend-watchlist-view' => 'Vaata oma jälgimisloendit',
	'mobile-frontend-watchlist-more' => 'veel',
	'mobile-frontend-watchlist-cta' => 'Hoia sellel leheküljel ja kõigil sellele tehtud muudatustel silma peal.',
	'mobile-frontend-watchlist-cta-button-login' => 'Logi sisse',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registreeru',
	'mobile-frontend-generic-login' => '{{SITENAME}} on sinusuguste inimeste tehtud.',
	'mobile-frontend-generic-login-action' => 'Logi sisse, et kaastööd teha.',
	'mobile-frontend-generic-signup-action' => 'Registreeru, et kaastööd teha.',
	'mobile-frontend-watch-login' => 'Lisa lehekülg "$1" jälgimisloendisse.',
	'mobile-frontend-watchlist-a-z' => 'Loend',
	'mobile-frontend-watchlist-feed' => 'Muudetud',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klõpsa tähekest lehekülje ülaosas',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Sa ei jälgi praegu ühtegi lehekülge. Su jälgimisloend aitab huvipakkuvatel lehekülgedel silma peal hoida. Et lehekülge jälgida, klõpsa täheikooni.',
	'mobile-frontend-watchlist-feed-empty' => 'Hiljutiste muudatustega leheküljed puuduvad.',
	'mobile-frontend-watchlist-back-home' => 'Tagasi esilehele',
	'mobile-frontend-changeslist-ip' => 'Anonüümne kasutaja',
	'mobile-frontend-changeslist-nocomment' => 'resümee puudub',
	'mobile-frontend-watchlist-filter-all' => 'Kõik',
	'mobile-frontend-watchlist-filter-articles' => 'Leheküljed',
	'mobile-frontend-watchlist-filter-talk' => 'Arutelu',
	'mobile-frontend-watchlist-filter-other' => 'Muu',
	'mobile-frontend-watchlist-modified' => 'Muudetud $1',
	'mobile-frontend-diffview-404-title' => 'Vigane redaktsioon',
	'mobile-frontend-diffview-404-desc' => 'Päritud identifikaatoriga redaktsiooni pole.',
	'mobile-frontend-diffview-title' => 'Muudatused',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|muudatus|muudatust}}',
	'mobile-frontend-diffview-anonymous' => 'Anonüümne kasutaja',
	'mobile-frontend-diffview-bytesadded' => 'Lisatud $1 {{PLURAL:$1|bait|baiti}}',
	'mobile-frontend-diffview-bytesremoved' => 'Eemaldatud $1 {{PLURAL:$1|bait|baiti}}',
	'mobile-frontend-diffview-explained' => 'Lisati (+) ja eemaldati (-) järgmised read:',
	'mobile-frontend-photo-upload' => 'Lisa selle lehekülje juurde pilt',
	'mobile-frontend-photo-article-donate-comment' => 'Üles laaditud lehekülje Special:Uploads kaudu',
	'mobile-frontend-photo-upload-comment' => 'Leheküljele lisati pilt',
	'mobile-frontend-photo-caption-placeholder' => 'Kirjelda seda pilti (nõutav)',
	'mobile-frontend-photo-ownership' => 'Mina, $1, tegin selle pildi.',
	'mobile-frontend-photo-ownership-help' => 'Mis see tähendab?',
	'mobile-frontend-photo-ownership-confirm' => 'Sain aru!',
	'mobile-frontend-photo-upload-error' => 'Tõrge. Proovi uuesti.',
	'mobile-frontend-photo-license' => 'Kui selle pildi üles laadid, nõustud meie [//wikimediafoundation.org/wiki/Terms_of_use kasutustingimustega] ja oma pildi avaldamisega Creative Commonsi litsentsi "[//creativecommons.org/licenses/by-sa/3.0/deed.et Autorile viitamine + jagamine samadel tingimustel 3.0]" all.',
	'mobile-frontend-photo-submit' => 'Saada',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>Üks</span> üleslaadimine|<span>$1</span> üleslaadimist}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => 'Üle 500 üleslaadimise',
	'mobile-frontend-image-heading-describe' => "Pildi '''kirjeldamine'''",
	'mobile-frontend-image-uploading' => "Pildi '''üleslaadimine'''...",
	'mobile-frontend-image-cancel-confirm' => 'Kas loobud üleslaadimisest?',
	'mobile-frontend-editor-newpage-prompt' => 'Sellist lehekülge pole. Miks mitte hakkajalt seda alustada?',
	'mobile-frontend-editor-disabled' => 'See lehekülg on kaitstud, et ennetada vandalismi.',
	'mobile-frontend-editor-cta' => 'Aita seda lehekülge täiustada!',
	'mobile-frontend-editor-edit' => 'Redigeeri',
	'mobile-frontend-editor-continue' => 'Jätka',
	'mobile-frontend-editor-save' => 'Salvesta',
	'mobile-frontend-editor-cancel' => 'Loobu',
	'mobile-frontend-editor-keep-editing' => 'Jätka redigeerimist',
	'mobile-frontend-editor-license' => 'Kui salvestad muudatused, nõustud [//wikimediafoundation.org/wiki/Terms_of_use kasutustingimustega] ja oma teksti avaldamisega litsentside [//creativecommons.org/licenses/by-sa/3.0/deed.et CC BY-SA 3.0] ja [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL] all.',
	'mobile-frontend-editor-placeholder' => 'See alaosa on tühi. Ole esimene, kes siia kirjutab!',
	'mobile-frontend-editor-summary-placeholder' => 'Kirjuta, mida muutsid (valikuline)',
	'mobile-frontend-editor-cancel-confirm' => 'Kas soovid tõesti oma muudatusest loobuda?',
	'mobile-frontend-editor-wait' => 'Muudatuse salvestamine, palun oota.',
	'mobile-frontend-editor-success' => 'Korras! Sinu muudatus salvestati.',
	'mobile-frontend-editor-error' => 'Tõrge, muudatust ei salvestatud.',
	'mobile-frontend-editor-editing-page' => 'Lehekülje "<span>$1</span>" <strong>redigeerimine</strong>',
	'mobile-frontend-editor-previewing-page' => 'Lehekülje "<span>$1</span>" <strong>eelvaade</strong>',
	'tag-mobile_edit' => 'Mobiilimuudatus',
	'tag-mobile_edit-description' => 'Mobiilisaidil tehtud muudatus',
	'mobile-frontend-drawer-cancel' => 'Loobu',
	'mobile-frontend-talk-explained' => 'Järgmised arutelud on praegu aktiivsed.',
	'mobile-frontend-talk-explained-empty' => 'Selle lehekülje kohta pole ühtegi arutelu.',
	'mobile-frontend-talk-overlay-header' => 'Arutelu',
	'mobile-frontend-talk-back-to-page' => 'Naase leheküljele "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Pealkirjata arutelu',
	'mobile-frontend-talk-add-overlay-submit' => 'Lisa arutelu',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Teema',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Mis on sul meelel?',
	'mobile-frontend-talk-edit-summary' => 'Uus arutelu alaosa: $1',
	'mobile-frontend-talk-reply-info' => 'Pane tähele, et sinu kasutajanimi lisandub sinu vastuse juurde iseenesest.',
	'mobile-frontend-talk-reply' => 'Vastus',
	'mobile-frontend-media-details' => 'Üksikasjad',
	'mobile-frontend-profile-title' => 'Kasutajaprofiil',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Laadis}} faili üles {{PLURAL:$1|eile|$1 päeva tagasi|0=täna}}.',
	'mobile-frontend-profile-usertalk' => 'Arutelu kasutajaga {{GENDER:$1|$1}}',
	'mobile-frontend-profile-noargs' => 'Kasutajanimi puudub. Palun määra profiili vaatamiseks kasutajanimi.',
	'mobile-frontend-profile-nouser' => 'Sellise nimega kasutajat pole. Kasutajanimed on tõstutundlikud, seega kontrolli, kas see on õigesti sisestatud.',
	'mobile-frontend-profile-activity-heading' => 'Hiljutine aktiivsus',
	'mobile-frontend-profile-userpage-link' => 'Vaata kasutajalehekülge.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Tänanud}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Redigeeris}} {{PLURAL:$2|eile|$2 päeva tagasi|0=täna}} lehekülge [[:$1]].',
	'mobile-frontend-profile-footer-days' => 'Ühines {{PLURAL:$2|ühe|$2}} päeva eest ning on redigeerinud [[Special:Contributions/$1|{{PLURAL:$3|üht|$3}} lehekülge]] ja on üles laadinud [[Special:Uploads/$1|{{PLURAL:$4|ühe|$4|500=üle 500}} faili]].',
	'mobile-frontend-profile-footer-months' => 'Ühines enam kui {{PLURAL:$2|ühe|$2}} kuu eest ning on redigeerinud [[Special:Contributions/$1|{{PLURAL:$3|üht|$3}} lehekülge]] ja on üles laadinud [[Special:Uploads/$1|{{PLURAL:$4|ühe|$4|500=üle 500}} faili]].',
	'mobile-frontend-profile-footer-years' => 'Ühines enam kui {{PLURAL:$2|ühe|$2}} aasta eest ning on redigeerinud [[Special:Contributions/$1|{{PLURAL:$3|üht|$3}} lehekülge]] ja on üles laadinud [[Special:Uploads/$1|{{PLURAL:$4|ühe|$4|500=üle 500}} faili]].',
	'beta-feature-geonotahack' => 'Selle lehekülje lähikond',
);

/** Basque (euskara)
 * @author An13sa
 * @author පසිඳු කාවින්ද
 */
$messages['eu'] = array(
	'mobile-frontend-search-submit' => 'Joan',
	'mobile-frontend-home-button' => 'Azala',
	'mobile-frontend-logged-out' => 'Saioa hasi gabe',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-save-settings' => 'Konfigurazioa gorde', # Fuzzy
	'mobile-frontend-random-button' => 'Ausazkoa',
	'mobile-frontend-back-to-top-of-section' => 'Atal Bat Atzera Joan',
	'mobile-frontend-close-section' => 'atal hau itxi',
	'mobile-frontend-regular-site' => 'Idazmahaiko bista',
	'mobile-frontend-wml-continue' => 'Jarraitu ...',
	'mobile-frontend-wml-back' => 'Atzera ...',
	'mobile-frontend-view' => 'Mugikorreko bista',
	'mobile-frontend-view-desktop' => 'Idazmahaia',
	'mobile-frontend-view-mobile' => 'Mugikorra',
	'mobile-frontend-images-status' => 'Irudiak',
	'mobile-frontend-off' => 'OFF',
	'mobile-frontend-on' => 'ON',
	'mobile-frontend-featured-article' => 'Gaur Nabarmendutako Artikulua', # Fuzzy
	'mobile-frontend-news-items' => 'Albisteak',
	'mobile-frontend-language-site-choose' => 'Hikzuntza bilatu',
	'mobile-frontend-username' => 'Lankide izena:',
	'mobile-frontend-password' => 'Pasahitza',
	'mobile-frontend-login' => 'Saioa hasi',
	'mobile-frontend-clear-search' => 'Garbitu',
	'mobile-frontend-privacy-link-text' => 'Pribatutasuna',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => "Testua ondorengo lizentziapean dago <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Atribuzioa/Partekatu-Alike Lizentzia</a>. Informazio gehiagorako <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Erabilpen-baldintzak</a> ikusi. {{SITENAME}} <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, erakundearen irabazi-asmorik gabeko erregistratutako proiektua da.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Kontaktatu',
	'mobile-frontend-main-menu-featured' => 'Nabarmendua',
	'mobile-frontend-main-menu-nearby' => 'Gertukoak',
	'mobile-frontend-main-menu-settings' => 'Ezarpenak',
	'mobile-frontend-settings-site-header' => '{{SITENAME}}-ko hizkuntzak',
	'mobile-frontend-page-menu-contents' => 'Edukiak',
	'mobile-frontend-page-menu-history' => 'Historia',
	'mobile-frontend-photo-submit' => 'Bidali',
	'mobile-frontend-photo-cancel' => 'Utzi',
);

/** Extremaduran (estremeñu)
 */
$messages['ext'] = array(
	'mobile-frontend-search-submit' => 'Dil',
	'mobile-frontend-home-button' => 'Encetu',
	'mobile-frontend-random-button' => 'Aleatóriu',
	'mobile-frontend-back-to-top-of-section' => 'Dil alatrás un apaltihu',
	'mobile-frontend-regular-site' => 'Guipal esta páhina ena Güiquipeya estándal', # Fuzzy
	'mobile-frontend-featured-article' => 'Artículu destacau', # Fuzzy
	'mobile-frontend-copyright' => "El testu está disponibri baju la <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Licéncia Creative Commons Attribution/Share-Alike</a>; cláusulas adicionalis puén apricalsi. Guipai <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Terms of Use</a> pa conocel más detallis. Güiquipeya es una marca rustria la <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, una olganización sin ánimu de lucru.", # Fuzzy
);

/** Persian (فارسی)
 * @author Alireza
 * @author Armin1392
 * @author Baqeri
 * @author Calak
 * @author Dalba
 * @author Ebraminio
 * @author Hooshmand.hasannia
 * @author Huji
 * @author Ladsgroup
 * @author Leyth
 * @author Mahdiz
 * @author MaxSem
 * @author Mjbmr
 * @author Omidh
 * @author Pouyana
 * @author Reza1615
 * @author Rmashhadi
 * @author ZxxZxxZ
 * @author پسر یاس
 */
$messages['fa'] = array(
	'mobilefrontend-random-explain' => 'این صفحهٔ تصادفی مورد علاقه شما هست؟',
	'mobilefrontend-random-cancel' => 'بگذار بخوانم!',
	'mobilefrontend-keepgoing-ask' => 'آفرین! شما در حال آویختن این هستید! آیا می‌خواهید سعی کنید صفحهٔ دیگری را ویرایش کنید؟',
	'mobilefrontend-keepgoing-ask-first' => 'تشویق برای انجام اولین ویرایشتان! آیا می‌خواهید سعی کنید صفحهٔ دیگری را ویرایش کنید؟',
	'mobilefrontend-keepgoing-explain' => 'عالی! کاربر دیگری گفته که می‌خواهد کمک کند. این یکی یا آن دیگری را آزمایش کنید.',
	'mobilefrontend-keepgoing-cancel' => 'نه، ممنون',
	'mobilefrontend-keepgoing-suggest' => 'بله، لطفاً',
	'mobilefrontend-keepgoing-suggest-again' => 'دیگری را آزمایش کنید',
	'mobilefrontend-keepgoing-saved-title' => 'ویرایش ذخیره شد!',
	'mobilefrontend-keepgoing-links-title' => 'افزودن پیوند',
	'mobilefrontend-keepgoing-links-ask-first' => 'برای اولین ویرایش به شما تبریک می‌گوییم! آیا مایل هستید که به افزودن پیوند به صفحهٔ‌ای که اخیرأ ایجاد کرده‌اید کمک کنید؟',
	'mobilefrontend-keepgoing-links-ask-again' => 'تصحیح یک صفحهٔ دیگر؟',
	'mobilefrontend-keepgoing-links-explain' => 'کلمات بیشتری که می‌توانستند لینک شوند را پیدا کنید. براکت‌های دوتایی اطراف کلمه اضافه کنید.',
	'mobilefrontend-keepgoing-links-example' => 'مثال $1 گیتار $2 می‌شود $3 گیتار $4',
	'nearby' => 'صفحه‌های نزدیک شما',
	'mobile-frontend-desc' => 'ظاهر تلفن همراه',
	'mobile-frontend-search-submit' => 'برو',
	'mobile-frontend-home-button' => 'خانه',
	'mobile-frontend-logged-out' => 'به سامانه وارد نشده‌اید',
	'mobile-frontend-logged-in-homepage-notification' => 'خوشامدید $1!',
	'mobile-frontend-logged-in-toast-notification' => 'ورود به‌عنوان $1.',
	'mobile-frontend-generic-404-title' => 'خطا- صفحه پیدا نشد',
	'mobile-frontend-generic-404-desc' => 'صفحه‌ای که به دنبالش هستید نتوانست پیدا شود.',
	'mobile-frontend-sign-up-heading' => 'ثبت نام',
	'mobile-frontend-sign-in-heading' => 'ورود',
	'mobile-frontend-sign-in-why' => 'اگر در {{SITENAME}} حساب کاربری دارید، می‌توانید در پائین وارد سیستم شوید.',
	'mobile-frontend-sign-in-error-heading' => 'اوخ!',
	'mobile-frontend-settings-description' => 'تجربهٔ مرور این وب‌گاه بر روی تلفن همراه را با تنظیم کردن وب‌گاه تغییر دهید.',
	'mobile-frontend-settings-beta' => 'بتا',
	'mobile-frontend-settings-alpha' => 'حالت آزمایشی',
	'mobile-frontend-settings-alpha-description' => 'واردشدن به عرصهٔ خطرناک و ناشناختهٔ موبایل. ویژگی‌های آزمایشی بسیاری را در اختیار می‌گذارد ولی مشکلات و خطرات بیشتری نیز در کمین خواهند بود.',
	'mobile-frontend-save-settings' => 'ذخیره',
	'mobile-frontend-save-error' => 'خطا در ذخیرهٔ تنظیمات. خواهشمندیم مطمئن شوید کلوچک‌هایتان کار می‌کنند.',
	'mobile-frontend-random-button' => 'تصادفی',
	'mobile-frontend-back-to-top-of-section' => 'بازگشت به بخش قبلی',
	'mobile-frontend-regular-site' => 'نمایش دسکتاپ',
	'mobile-frontend-wml-continue' => 'ادامه...',
	'mobile-frontend-wml-back' => 'بازگشت...',
	'mobile-frontend-view' => 'نمای تلفن همراه',
	'mobile-frontend-view-desktop' => 'رایانه',
	'mobile-frontend-view-mobile' => 'تلفن همراه',
	'mobile-frontend-opt-in-explain' => 'با پیوستن به نسخهٔ آزمایشی، شما به ویژگی‌های آزمایشی دسترسی پیدا می‌کنید اما ممکن است با مشکلاتی هم مواجه شوید.',
	'mobile-frontend-images-status' => 'تصویرها',
	'mobile-frontend-disable-images' => 'غیر فعال کردن تصاویر بر روی تارنمای تلفن همراه',
	'mobile-frontend-enable-images' => 'فعال سازی تصاویر بر روی تارنمای تلفن همراه',
	'mobile-frontend-expand-sections-status' => 'گسترش همهٔ بخش‌ها',
	'mobile-frontend-expand-sections-description' => 'گسترش همیشگی همهٔ بخش‌ها هنگام باز کردن صفحهٔ جدید.',
	'mobile-frontend-missing-image' => 'تصویر',
	'mobile-frontend-off' => 'خاموش',
	'mobile-frontend-on' => 'روشن',
	'mobile-frontend-featured-article' => 'مطلب برگزیدهٔ امروز',
	'mobile-frontend-news-items' => 'در خبرها',
	'mobile-frontend-languages-404-title' => 'خطای زبان‌ها',
	'mobile-frontend-languages-404-desc' => 'یک عنوان معتبر باید مشخص شود.',
	'mobile-frontend-languages-header' => 'زبان‌ها',
	'mobile-frontend-languages-nonexistent-title' => 'صفحهٔ "$1" وجود ندارد.',
	'mobile-frontend-languages-text' => '$1 در دسترس است در $2 {{PLURAL:$2|زبان|زبان‌ها}}.',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}} انواع',
	'mobile-frontend-language-heading' => '<strong>زبان‌ها</strong>',
	'mobile-frontend-language-article-heading' => 'به زبان‌های دیگر مطالعه کنید',
	'mobile-frontend-language-header' => 'این صفحه در $1 {{PLURAL:$1|زبان|زبان}} در دسترس است',
	'mobile-frontend-language-variant-header' => 'انتخاب نوع {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'جستجوی زبان',
	'mobile-frontend-username' => 'نام کاربری:',
	'mobile-frontend-password' => 'گذرواژه:',
	'mobile-frontend-username-placeholder' => 'نام کاربری',
	'mobile-frontend-password-placeholder' => 'گذرواژه',
	'mobile-frontend-login' => 'ورود',
	'mobile-frontend-history' => 'دیدن تاریخچهٔ ویرایش این صفحه',
	'mobile-frontend-history-404-title' => 'چنین صفحه‌ٔای وجود ندارد',
	'mobile-frontend-history-404-desc' => 'نمی‌توان به تاریخچهٔ صفحه‌ای که وجود ندارد نگاه کرد. ممکن است پاک شده باشد یا شما یک پیوند را دنبال کرده باشید.',
	'mobile-frontend-history-no-results' => 'پالایه هیچ تاریخچه‌ای  نیافت',
	'mobile-frontend-contribution-summary' => 'همه ویرایش ها توسط {{GENDER:$1|[[Special:UserProfile/$1|$1]]}} انجام شده‌ است.',
	'mobile-frontend-history-summary' => 'تاریخچهٔ صفحهٔ [[:$1]]',
	'mobile-frontend-last-modified-date' => 'آخرین تغییر $1، در $2',
	'mobile-frontend-last-modified-seconds' => 'آخرین بار {{PLURAL:$1|$1 ثانیهٔ|$1 ثانیهٔ}} پیش تغییر یافته‌است',
	'mobile-frontend-last-modified-minutes' => 'آخرین بار {{PLURAL:$1|$1 دقیقهٔ|$1 دقیقهٔ}} پیش تغییر یافته‌است',
	'mobile-frontend-last-modified-hours' => 'آخرین باز {{PLURAL:$1|$1 ساعت|$1 ساعت}} پیش تغییر یافته‌است',
	'mobile-frontend-last-modified-days' => 'آخرین بار {{PLURAL:$1|$1 روز|$1 روز}} پیش تغییر یافته‌است',
	'mobile-frontend-last-modified-months' => 'آخرین بار {{PLURAL:$1|$1 ماه|$1 ماه}} پیش تغییر یافته‌است',
	'mobile-frontend-last-modified-years' => 'آخرین بار {{PLURAL:$1|$1 سال|$1 سال}} پیش تغییر یافته‌است',
	'mobile-frontend-last-modified-just-now' => 'آخرین بار همین الآن ویرایش‌شده',
	'mobile-frontend-last-modified-with-user-seconds' => 'آخرین ویرایش {{PLURAL:$3|$3 ثانیه}} پیش توسط {{PLURAL:$5|[$6 $2]|0=یک کاربر نشناس}} [$4 {{GENDER:$1|انجام شده‌است}}]',
	'mobile-frontend-last-modified-with-user-minutes' => 'آخرین ویرایش {{PLURAL:$3|$3 دقیقه}} پیش توسط {{PLURAL:$5|[$6 $2]|0=یک کاربر نشناس}} [$4 {{GENDER:$1|انجام شده‌است}}].',
	'mobile-frontend-last-modified-with-user-hours' => 'آخرین ویرایش {{PLURAL:$3|$3 ساعت}} پیش توسط {{PLURAL:$5|[$6 $2]|0=یک کاربر نشناس}} [$4 {{GENDER:$1|انجام شده‌است}}]',
	'mobile-frontend-last-modified-with-user-days' => 'آخرین ویرایش {{PLURAL:$3|$3 روز}} پیش توسط {{PLURAL:$5|[$6 $2]|0=یک کاربر نشناس}} [$4 {{GENDER:$1|انجام شده‌است}}]',
	'mobile-frontend-last-modified-with-user-months' => 'آخرین ویرایش {{PLURAL:$3|$3 ماه}} پیش توسط {{PLURAL:$5|[$6 $2]|0=یک کاربر نشناس}} [$4 {{GENDER:$1|انجام شده‌است}}]',
	'mobile-frontend-last-modified-with-user-years' => 'آخرین ویرایش {{PLURAL:$3|$3 سال}} پیش توسط {{PLURAL:$5|[$6 $2]|0=یک کاربر نشناس}} [$4 {{GENDER:$1|انجام شده‌است}}]',
	'mobile-frontend-last-modified-with-user-just-now' => 'آخرین ویرایش همین الآن توسط {{PLURAL:$4|[$5 $2]|0=an کاربر ناشناس}} [$3 {{GENDER:$1|انجام شده‌است}}].',
	'mobile-frontend-view-source' => 'نمایش مبدأ',
	'mobile-frontend-account-create-submit' => 'ثبت نام',
	'mobile-frontend-password-confirm-placeholder' => 'تأیید گذرواژه',
	'mobile-frontend-account-create-email-placeholder' => 'آدرس ایمیل (اختیاری)',
	'mobile-frontend-account-create-captcha-placeholder' => 'کد امنیتی را وارد کنید',
	'mobile-frontend-overlay-escape' => 'بازگشت به عقب',
	'mobile-frontend-overlay-close' => 'بستن',
	'mobile-frontend-overlay-continue' => 'ادامه',
	'mobile-frontend-placeholder' => 'جستجوی {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'جستجو {{SITENAME}} (بتا)',
	'mobile-frontend-placeholder-alpha' => 'جستجو {{SITENAME}} (تجربی)',
	'mobile-frontend-dismiss-notification' => 'مرخص نمودن این اعلان',
	'mobile-frontend-clear-search' => 'پاک‌کردن',
	'mobile-frontend-search-content' => 'جستجو در صفحات',
	'mobile-frontend-search-no-results' => 'با این عنوان هیچ صفحه‌ای.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' برای دیدن اگر این متن در همه‌جا پدیدار شود.",
	'mobile-frontend-privacy-link-text' => 'حریم خصوصی',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'متن تحت مجوز [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] در دسترس است.',
	'mobile-frontend-copyright' => 'محتوا تحت $1 در دسترس است، مگر اینکه خلافش ذکر شده باشد.',
	'mobile-frontend-footer-contact' => 'تماس',
	'mobile-frontend-terms-text' => 'شرایط استفاده',
	'mobile-frontend-main-menu-button-tooltip' => 'باز کردن منو اصلی',
	'mobile-frontend-main-menu-page-title' => 'هدایت‌کننده وب‌گاه',
	'mobile-frontend-main-menu-featured' => 'ویژگی‌ها',
	'mobile-frontend-main-menu-nearby' => 'در نزدیکی',
	'mobile-frontend-main-menu-login' => 'ورود به سامانه',
	'mobile-frontend-main-menu-logout' => 'خروج از سامانه',
	'mobile-frontend-main-menu-watchlist' => 'فهرست پی‌گیری‌ها',
	'mobile-frontend-main-menu-settings' => 'تنظیمات',
	'mobile-frontend-main-menu-upload' => 'بارگذاری‌ها',
	'mobile-frontend-main-menu-settings-heading' => 'تنظیمات',
	'mobile-frontend-settings-site-header' => 'زبان‌های {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} در $1 {{PLURAL:$1|زبان|زبان}} موجود است. تمام نسخه‌ها در زیر فهرست شده‌اند.',
	'mobile-frontend-main-menu-account-create' => 'ایجاد حساب کاربری',
	'mobile-frontend-page-menu-contents' => 'محتویات',
	'mobile-frontend-page-menu-history' => 'تاریخچه',
	'mobile-frontend-meta-data-issues-header' => 'موضوع‌ها',
	'mobile-frontend-meta-data-issues' => 'این صفحه مشکلاتی دارد',
	'mobile-frontend-page-saving' => 'ذخیره $1',
	'mobile-frontend-user-cta' => 'برای مشاهدهٔ اعلان‌ها لطفاً به سامانه وارد شوید یا ثبت‌نام کنید.',
	'mobile-frontend-user-button-tooltip' => 'نمایش اعلان‌های من',
	'mobile-frontend-nearby-to-page' => 'این صفحات به خاطر مکان جغرافیاییشان به $1 مربوط می‌شوند',
	'mobile-frontend-nearby-title' => 'در نزدیکی',
	'mobile-frontend-nearby-loading' => 'بارگذاری موضوع‌های نزدیک به مکان فعلی شما',
	'mobile-frontend-nearby-requirements' => 'پوزش! مرورگر وب شما تقریباً {{SITENAME}} را پشتیبانی نمی‌کند.',
	'mobile-frontend-nearby-requirements-guidance' => 'یک مرورگر دیگر را امتحان کنید یا جاوااسکریپت را فعال کنید اگر این را غیرفعال کرده بودید.',
	'mobile-frontend-nearby-distance' => '$1 کیلومتر',
	'mobile-frontend-nearby-distance-meters' => '$1 متر',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} متاسفانه نمی توانیم متوجه شویم شما کجا هستید... باز امتحان می کنید؟',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'فضای بازی با سیگنال بهتر را امتحان کنید.',
	'mobile-frontend-nearby-permission' => 'در نزدیکی {{SITENAME}} اجازهٔ دسترسی به موقعیت شما را ندارد.',
	'mobile-frontend-nearby-permission-guidance' => 'لطفاً اطمینان کسب کنید که شما دسترسی نمایش اینکه کجا هستید را داده‌اید. ممکن است نیاز باشد تنظیمات موقعیت مرورگرتان را بررسی کنید.',
	'mobile-frontend-nearby-noresults' => 'سکوت اینجا حکم‌فرماست... هیچ صفحه‌ای در این نزدیکی‌ها یافت نشد.',
	'mobile-frontend-nearby-noresults-guidance' => 'تلاش کنید صفحه‌ای تازه بسازید و یا به صفحه‌های کنونی مختصات‌دهی کنید',
	'mobile-frontend-nearby-refresh' => 'ما موقعیت دقیق شما را یافتیم. برای بروزرسانی لیست موارد نزدیک شما اینجا را کلیک کنید.',
	'mobile-frontend-nearby-error' => '{{SITENAME}} اطراف دارای مسائلی است',
	'mobile-frontend-nearby-error-guidance' => 'محل خود را به‌روز کنید.',
	'mobile-frontend-nearby-link' => 'این صفحه را بطور کامل بخوانید',
	'mobile-frontend-nearby-directions' => 'حرکت در اینجا',
	'mobile-frontend-donate-image-nouploads' => 'هیچ بارگذاری‌ای نیست.',
	'mobile-frontend-donate-image-login' => 'پروندهٔ {{SITENAME}} توسط شخصی مانند شما اهدا شده‌است.',
	'mobile-frontend-donate-image-login-action' => 'ورود برای اشتراک گذاری رسانه‌های خود.',
	'mobile-frontend-donate-image-signup-action' => 'ثبت‌نام برای اشتراک گذاری رسانه‌های خود با دنیا.',
	'mobile-frontend-photo-upload-disabled' => 'در این صفحه تصویری مورد نیاز نیست.',
	'mobile-frontend-photo-upload-anon' => 'لطفاً برای افزودن تصویر به صفحه به سامانه وارد شوید.',
	'mobile-frontend-photo-upload-protected' => 'شما دسترسی افزودن تصویر به این صفحه را ندارید.',
	'mobile-frontend-photo-upload-unavailable' => 'مرورگر شما بارگذاری تصویر را پشتیبانی نمی‌کند.',
	'mobile-frontend-photo-upload-generic' => 'به اشتراک‌‌گذاری یک تصویر',
	'mobile-frontend-donate-image-title' => 'بارگذاری‌ها',
	'mobile-frontend-donate-image-heading' => 'مشارکت‌های اخیر شما',
	'mobile-frontend-donate-image-anon' => 'یک $1 برای مشاهدهٔ صفحهٔ بارگذاری لازم است.',
	'mobile-frontend-user-account' => 'کاربری شما',
	'mobile-frontend-listed-image-no-description' => 'بدون توضیح',
	'mobile-frontend-donate-photo-upload-success' => 'موفقیت‌آمیز بود! هم‌اکنون می‌توان از تصویر شما در {{SITENAME}} استفاده کرد!',
	'mobile-frontend-donate-photo-first-upload-success' => 'موفقیت‌آمیز بود! ممنون به‌خاطر اولین مشارکتتان!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'تصویرهای خود را به اشتراک بگذارید. به {{SITENAME}} کمک کنید جان بگیرند!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'تصویرهای {{SITENAME}} از ویکی‌انبار گرفته‌شده‌اند',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'تصویرهای شما به مردم دنیا کمک می‌کند تا تحصیل کنند',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'از استفادهٔ رسانه‌های دارای حق تکثیری که از اینترنت بدست‌آوردید مانند تصویر پوسترها، جلد کتاب‌ها و غیره اجتناب کنید.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'متوجه شدید؟',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'بله!',
	'mobile-frontend-watchlist-add' => 'افزودن  $1  به فهرست پیگیری‌های شما',
	'mobile-frontend-watchlist-removed' => 'حذف  $1  از فهرست پیگیری‌های شما',
	'mobile-frontend-watchlist-view' => 'مشاهدۀ فهرست پیگیری‌های شما',
	'mobile-frontend-watchlist-more' => 'بیشتر',
	'mobile-frontend-watchlist-cta' => 'پیگیری این صفحه و همه تغییرات به آن.',
	'mobile-frontend-watchlist-cta-button-login' => 'ورود به سامانه',
	'mobile-frontend-watchlist-cta-button-signup' => 'ثبت نام',
	'mobile-frontend-watchlist-login-action' => 'برای مشاهده وارد سامانه شوید.',
	'mobile-frontend-watchlist-signup-action' => 'ثبت‌نام برای شروع یکی هم‌اکنون.',
	'mobile-frontend-generic-login' => '{{SITENAME}} توسط افرادی چون شما ساخته شده‌است.',
	'mobile-frontend-generic-login-action' => 'ورود برای کمک.',
	'mobile-frontend-generic-signup-action' => 'ثبت نام برای کمک.',
	'mobile-frontend-watch-login' => 'افزودن $1 به پیگیری‌های شما.',
	'mobile-frontend-edit-login' => 'کمک به بهبود صفحهٔ $1.',
	'mobile-frontend-edit-login-action' => 'ورود برای ویرایش.',
	'mobile-frontend-edit-signup-action' => 'ثبت‌نام برای ویرایش.',
	'mobile-frontend-watchlist-a-z' => 'فهرست',
	'mobile-frontend-watchlist-feed' => 'تغییر‌یافته',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'ستاره در بالای صفحه را کلیک کنید',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'شما در حال حاضر صفحه‌ای را در فهرست پی‌گیری‌هایتان ندارید. صفحه پی‌گیری شما می‌تواند به شما برای آگاهی‌رسانی در رابطه با صفحاتی که مورد توجه شما است، کمک کند. صفحات را می‌توانید با کلیک بر روی نشان ستاره پی‌گیری کنید.',
	'mobile-frontend-watchlist-feed-empty' => 'هیچ صفحه‌ای با تغییرات اخیر وجود ندارد.',
	'mobile-frontend-watchlist-back-home' => 'بازگشت به خانه',
	'mobile-frontend-changeslist-ip' => 'کاربر گمنام',
	'mobile-frontend-changeslist-nocomment' => 'بدون خلاصه ویرایش',
	'mobile-frontend-watchlist-filter-all' => 'همه',
	'mobile-frontend-watchlist-filter-articles' => 'صفحه‌ها',
	'mobile-frontend-watchlist-filter-talk' => 'بحث',
	'mobile-frontend-watchlist-filter-other' => 'دیگر',
	'mobile-frontend-watchlist-modified' => 'تغییریافته $1',
	'mobile-frontend-diffview-404-title' => 'نسخهٔ بد',
	'mobile-frontend-diffview-404-desc' => 'شناسه برای تجدید نظر درخواست شما وجود ندارد.',
	'mobile-frontend-diffview-title' => 'ویرایش‌ها',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|ویرایش}}',
	'mobile-frontend-diffview-anonymous' => 'کاربر گمنام',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|بایت}} اضافه‌شده',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|بایت|بایت}} حذف‌شده',
	'mobile-frontend-diffview-explained' => 'خطوط زیر اضافه شده (+) و برداشته شده (-):',
	'mobile-frontend-thanked-notice' => 'به $1 گفته‌شد که ویرایش {{GENDER:$2|او|او|ایشان}} را دوست داشته‌اید.',
	'mobile-frontend-saving-exit-page' => 'ویرایش شما همچنان ذخیره شده‌است. خروج از این صفحه ممکن است باعث از دست دادن چیزی که نوشته‌اید شود. آیا می‌خواهید خارج شوید؟',
	'mobile-frontend-photo-upload' => 'یک تصویر به این صفحه بیفزائید',
	'mobile-frontend-photo-article-edit-comment' => 'تصویر به صفحه افزوده شد',
	'mobile-frontend-photo-article-donate-comment' => 'توسط ویژه:بارگذاری یک تصویر به اشتراک بگذارید',
	'mobile-frontend-photo-upload-comment' => 'نگاره به صفحه افزوده شد',
	'mobile-frontend-photo-caption-placeholder' => 'توصیف این تصویر (مورد نیاز)',
	'mobile-frontend-photo-ownership' => 'اینجانب  $1 این تصویر را ایجاد کرده‌ام',
	'mobile-frontend-photo-ownership-help' => 'این به چه معنی است؟',
	'mobile-frontend-photo-ownership-confirm' => 'متوجه شدید؟',
	'mobile-frontend-lead-image-tutorial-summary' => 'مطمئن شوید که تصویر شما می‌تواند به مصورسازی صفحه کمک کند. این تصویر باید توسط خودتان ایجاد شده باشد و حق تکثیر را زیر پا نگذاشته باشد.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'آغاز بارگذاری',
	'mobile-frontend-photo-upload-error' => 'خطا، دوباره سعی کنید.',
	'mobile-frontend-photo-upload-error-file-type' => 'لطفا فقط تصاویر را بار کنید.',
	'mobile-frontend-photo-upload-error-filename' => 'خطا، لطفاً خلاصه توضیحات بیشتری ارائه کنید.',
	'mobile-frontend-photo-upload-success-article' => 'با موفقیت انجام شد! تصویر شما در حال حاضر در این صفحه موجود است.',
	'mobile-frontend-photo-license' => 'با بارگذاری این تصویر، شما موافق [//wikimediafoundation.org/wiki/Terms_of_use شرایط استفاده] و  انتشار تصویر تحت [//creativecommons.org/licenses/by-sa/3.0/ مجوز Creative Commons Attribution-ShareAlike 3.0] خواهید بود.',
	'mobile-frontend-photo-submit' => 'ثبت',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>$1</span> بارگذاری}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '۵۰۰+ بارگذاری',
	'mobile-frontend-image-heading-describe' => "''' توصیف ''' تصویر",
	'mobile-frontend-image-uploading' => "''' بارگذاری''' تصویر...",
	'mobile-frontend-image-cancel-confirm' => 'لغو بارگذاری؟',
	'mobile-frontend-editor-redirect-title' => 'در حال هدایت به ویرایشگر...',
	'mobile-frontend-editor-unavailable-header' => 'در دسترس نبودن ویرایشگر',
	'mobile-frontend-editor-unavailable' => 'ویرایش تلفن همراه هم‌اکنون در مرورگر شما دردسترس نیست. خواهشمندیم مرورگر دیگری را بیازمایید.',
	'mobile-frontend-editor-undo-unsupported' => 'خنثی‌سازی در حال حاضر در دستگاه‌های همراه پشتیبانی نشده‌است.',
	'mobile-frontend-editor-newpage-prompt' => 'این صفحه وجود ندارد. چرا جسور نباشید و ایجادش نکنید؟',
	'mobile-frontend-editor-disabled' => 'این صفحه برای جلوگیری از خرابکاری محافظت می‌شود.',
	'mobile-frontend-editor-blocked' => 'حساب شما از ویرایش مسدود شده‌است.',
	'mobile-frontend-editor-cta' => 'کمک به بهبود این صفحه!',
	'mobile-frontend-editor-edit' => 'ویرایش',
	'mobile-frontend-editor-continue' => 'ادامه',
	'mobile-frontend-editor-save' => 'ذخیره',
	'mobile-frontend-editor-cancel' => 'انصراف',
	'mobile-frontend-editor-keep-editing' => 'ادامه ویرایش‌کردن',
	'mobile-frontend-editor-license' => 'با ذخیرهٔ این تغییرات، با [//wikimediafoundation.org/wiki/Terms_of_use شرایط استفاده] موافقت می‌کنید و متن‌تان را تحت [//creativecommons.org/licenses/by-sa/3.0/ مجوز CC BY-SA 3.0] و [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License جی‌اف‌دی‌ال] منتشر می‌کنید.',
	'mobile-frontend-editor-placeholder' => 'این بخش خالی است. اولین نفری باشید که آن را گسترش می‌دهد!',
	'mobile-frontend-editor-summary-placeholder' => 'به ما بگویید چه چیزی را تغییر داده‌اید (اختیاری)',
	'mobile-frontend-editor-cancel-confirm' => 'واقعاً می‌خواهید ویرایش خود را رها کنید؟',
	'mobile-frontend-editor-wait' => 'ذخیرۀ ویرایش، منتظر باشید.',
	'mobile-frontend-editor-success' => 'کامیاب! ویرایش شما ذخیره شد.',
	'mobile-frontend-editor-success-landmark-1' => 'تبریک، شما در حال حاضر ویرایشگر {{SITENAME}} هستید!',
	'mobile-frontend-editor-error' => 'خطا، ویرایش ذخیره نشده‌است.',
	'mobile-frontend-editor-error-conflict' => 'خطا، کاربری دیگر این صفحه را ویرایش کرده است.',
	'mobile-frontend-editor-error-loading' => 'خطا، امکان بارگیری بخش وجود ندارد.',
	'mobile-frontend-editor-error-preview' => 'خطا، مشکلی غیر منتظره برای بارگذاری صفحه پدید آمده. لطفا صفحه را ببندید و دوباره تلاش کنید.',
	'mobile-frontend-editor-tutorial-summary' => 'از نشانه‌گذاری‌ها نترسید. تلاش کنید صفحهٔ $1 را بهبود بخشید.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'چرا $1 بهبود نیابد؟ از افزایش قیمت نترسید!',
	'mobile-frontend-editor-tutorial-confirm' => 'ویرایش را آغاز کنید',
	'mobile-frontend-editor-tutorial-cancel' => 'نه، متشکرم',
	'mobile-frontend-editor-captcha-try-again' => 'کد اشتباه، مجدداً تلاش کنید.',
	'mobile-frontend-editor-abusefilter-warning' => 'اخطار: شما می‌خواهید این ویرایش را ذخیره کنید؟ ممکن‌است مشکلی با آن وجود داشته باشد.',
	'mobile-frontend-editor-abusefilter-disallow' => 'این ویرایش نمی‌تواند ذخیره شود به این دلیل که ما خطایی را شناسایی کرده‌ایم.',
	'mobile-frontend-editor-abusefilter-read-more' => 'بیشتر بخوانید',
	'mobile-frontend-editor-editing-page' => '<strong>ویرایش </strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>پیش‌نمایش</strong><span>$1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>مشاهدهٔ منبع</strong><span> $1</span>',
	'tag-mobile_edit' => 'ویرایش موبایل',
	'tag-mobile_edit-description' => 'ویرایش انجام‌شده از سایت موبایل',
	'mobile-frontend-drawer-cancel' => 'انصراف',
	'mobile-frontend-talk-explained' => 'مکالمات زیر در حال حاضر فعال هستند',
	'mobile-frontend-talk-explained-empty' => 'هیچ مکالمه‌ای دربارۀ این صفحه وجود ندارد.',
	'mobile-frontend-talk-overlay-header' => 'بحث',
	'mobile-frontend-talk-back-to-page' => 'بازگشت به صفحهٔ «$1».',
	'mobile-frontend-talk-overlay-lead-header' => 'بحث بدون نام',
	'mobile-frontend-talk-add-overlay-submit' => 'اضافه کردن بحث',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'عنوان موضوع',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'در ذهن شما چیست؟',
	'mobile-frontend-talk-edit-summary' => 'بخش جدید بحث: $1',
	'mobile-frontend-talk-reply-success' => 'پاسخ شما با موفقیت در صفحۀ بحث ذخیره شد.',
	'mobile-frontend-talk-reply-info' => 'به خاطر داشته باشید پیام شما به طور خودکار با نام کاربریتان امضا خواهد شد.',
	'mobile-frontend-talk-reply' => 'پاسخ',
	'mobile-frontend-talk-topic-feedback' => 'موضوع جدیدی به صفحه بحث اضافه شده است!',
	'mobile-frontend-media-details' => 'جزئیات',
	'mobile-frontend-media-license-link' => 'اطلاعات مجوز',
	'abusefilter-edit-builder-vars-user-mobile' => 'اینکه کاربر از میانای تلفن همراه استفاده می‌کند یا نه',
	'mobile-frontend-profile-title' => 'مشخصات کاربر',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|بارگذاری}}  {{PLURAL:$1| دیروز| $1  روز پیش|0 امروز =}}.',
	'mobile-frontend-profile-usertalk' => 'بحث با {{GENDER:$1|$1}}',
	'mobile-frontend-profile-error' => 'اوه نه!',
	'mobile-frontend-profile-noargs' => 'هیچ نام کاربری داده نشده است. لطفاً یک نام کاربری برای نمایش مشخصات بدهید.',
	'mobile-frontend-profile-nouser' => 'هیچ کاربری با این نام وجود ندارد. نام‌‌کاربری به بزرگی و کوچکی حروف حساس است پس لطفاً بررسی کنید که آیا درست تایپ شده است.',
	'mobile-frontend-profile-activity-heading' => 'فعالیت اخیر',
	'mobile-frontend-profile-userpage-link' => 'نمایش صفحه کاربری.',
	'mobile-frontend-requires-optin' => 'این صفحه موجود نخواهد بود مگر اینکه شما واردشده حالت آزمایشی ما باشید. [[Special:MobileOptions|صفحهٔ تنظیمات]] را برای واردشدن مشاهده کنید.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|تشکر شده}} {{GENDER:$1|توسط}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|ویرایش کرد}} صفحهٔ [[:$1]], {{PLURAL:$2|دیروز|$2 روز پیش |0=صبح امروز}}.',
	'mobile-frontend-profile-footer-days' => 'عضو شد {{PLURAL:$2|۱ روز|$2 روز}} پیش با  [[Special:Contributions/$1|{{PLURAL:$3|ویرایش|$3 ویرایش}}]] و [[Special:Uploads/$1|{{PLURAL:$4|۱ بارگذاری|$4 بارگذاری|500=500+ بارگذاری}}]].',
	'mobile-frontend-profile-footer-months' => 'عضو شد {{PLURAL:$2|۱ ماه|$2 ماه}} پیش با  [[Special:Contributions/$1|{{PLURAL:$3|ویرایش|$3 ویرایش}}]] و [[Special:Uploads/$1|{{PLURAL:$4|۱ بارگذاری|$4 بارگذاری|500=500+ بارگذاری}}]].',
	'mobile-frontend-profile-footer-years' => 'عضو شد {{PLURAL:$2|۱ سال|$2 سال}} پیش با  [[Special:Contributions/$1|{{PLURAL:$3|ویرایش|$3 ویرایش}}]] و [[Special:Uploads/$1|{{PLURAL:$4|۱ بارگذاری|$4 بارگذاری|500=500+ بارگذاری}}]].',
	'mobile-frontend-geonotahack' => 'نزدیک این صفحه',
	'beta-feature-geonotahack' => 'نزدیک این صفحه',
	'beta-feature-geonotahack-description' => 'کشف صفحاتی که از نظر جغرافیایی در نزدیکی محتوای صفحه‌ای که شما در حال خواندن هستید.',
	'mobile-frontend-mainpage-cta-prompt' => 'این صفحه به کمک شما نیاز دارد!',
	'mobile-frontend-mainpage-cta-button' => 'بهبود این صفحه',
);

/** Finnish (suomi)
 * @author Beluga
 * @author Crt
 * @author Kulmalukko
 * @author Linnea
 * @author Nedergard
 * @author Nike
 * @author Olli
 * @author Samoasambia
 * @author Silvonen
 * @author Stryn
 * @author VezonThunder
 */
$messages['fi'] = array(
	'mobilefrontend-random-explain' => 'Kiinnostaako tämä satunnainen sivu sinua?',
	'nearby' => 'Sivut lähellä sinua',
	'mobile-frontend-desc' => 'Mobiilikäyttöliittymä',
	'mobile-frontend-search-submit' => 'Siirry',
	'mobile-frontend-home-button' => 'Etusivu',
	'mobile-frontend-logged-out' => 'Et ole kirjautunut sisään',
	'mobile-frontend-logged-in-homepage-notification' => 'Tervetuloa $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Olet kirjautunut käyttäjänä $1.',
	'mobile-frontend-sign-up-heading' => 'Luo tunnus',
	'mobile-frontend-sign-in-heading' => 'Kirjaudu sisään',
	'mobile-frontend-sign-in-why' => 'Voit kirjautua sisään alla, jos sinulla on käyttäjätunnus sivustolle {{SITENAME}}.',
	'mobile-frontend-sign-in-error-heading' => 'Hups',
	'mobile-frontend-settings-description' => 'Mukauta mobiilisivuston asetuksia.',
	'mobile-frontend-settings-beta' => 'Beeta',
	'mobile-frontend-settings-alpha' => 'Kokeellinen tila',
	'mobile-frontend-settings-alpha-description' => 'Lähde vaaralliselle ja tutkimattomalle mobiilialueelle. Saat vielä enemmän kokeellisia toimintoja, mutta virheiden vaara on suurempi.',
	'mobile-frontend-save-settings' => 'Tallenna',
	'mobile-frontend-save-error' => 'Asetuksien tallentaminen epäonnistui. Varmista, että evästeet ovat käytössä.',
	'mobile-frontend-random-button' => 'Satunnainen',
	'mobile-frontend-back-to-top-of-section' => 'Palaa takaisin osioon',
	'mobile-frontend-regular-site' => 'Työpöytänäkymä',
	'mobile-frontend-wml-continue' => 'Jatka...',
	'mobile-frontend-wml-back' => 'Takaisin...',
	'mobile-frontend-view' => 'Mobiilinäkymä',
	'mobile-frontend-view-desktop' => 'Työpöytä',
	'mobile-frontend-view-mobile' => 'Mobiili',
	'mobile-frontend-opt-in-explain' => 'Liittymällä kokeelliseen versioon, saat mahdollisuuden käyttää kokeellisia ominaisuuksia, mutta on mahdollista, että kohtaat ohjelmointivirheitä tai muita ongelmia.',
	'mobile-frontend-images-status' => 'Kuvat',
	'mobile-frontend-disable-images' => 'Poista kuvat käytöstä mobiilisivustolla',
	'mobile-frontend-enable-images' => 'Ota kuvat käyttöön mobiilisivustolla',
	'mobile-frontend-missing-image' => 'Kuva',
	'mobile-frontend-off' => 'Pois',
	'mobile-frontend-on' => 'Päällä',
	'mobile-frontend-featured-article' => 'Päivän suositeltu sisältö',
	'mobile-frontend-news-items' => 'Uutisissa',
	'mobile-frontend-languages-404-title' => 'Kielten virhe',
	'mobile-frontend-languages-404-desc' => 'Kelvollinen otsikko on määritettävä.',
	'mobile-frontend-languages-header' => 'Kielet',
	'mobile-frontend-language-article-heading' => 'Lue toisella kielellä',
	'mobile-frontend-language-header' => 'Tämä sivu on saatavilla {{PLURAL:$1|yhdellä|$1}} kielellä.',
	'mobile-frontend-language-variant-header' => 'Valitse kielen {{#language:{{CONTENTLANG}}}} kielimuoto',
	'mobile-frontend-language-footer' => 'Huomio: Tämä sivu ei välttämättä ole haluamallasi kielellä. Voit nähdä kielet, joita {{SITENAME}} tukee, painamalla tästä.',
	'mobile-frontend-language-site-choose' => 'Etsi kieltä',
	'mobile-frontend-username' => 'Käyttäjätunnus',
	'mobile-frontend-password' => 'Salasana',
	'mobile-frontend-username-placeholder' => 'Käyttäjätunnus',
	'mobile-frontend-password-placeholder' => 'Salasana',
	'mobile-frontend-login' => 'Kirjaudu sisään',
	'mobile-frontend-history' => 'Näytä tämän sivun muutoshistoria.',
	'mobile-frontend-last-modified-date' => 'Sivua on viimeksi muutettu $1 kello $2',
	'mobile-frontend-last-modified-seconds' => 'Sivua on viimeksi muutettu {{PLURAL:$1|sekunti|$1 sekuntia}} sitten',
	'mobile-frontend-last-modified-minutes' => 'Sivua on viimeksi muutettu {{PLURAL:$1|minuutti|$1 minuuttia}} sitten',
	'mobile-frontend-last-modified-hours' => 'Sivua on viimeksi muutettu {{PLURAL:$1|tunti|$1 tuntia}} sitten',
	'mobile-frontend-last-modified-days' => 'Sivua on viimeksi muutettu {{PLURAL:$1|päivä|$1 päivää}} sitten',
	'mobile-frontend-last-modified-months' => 'Sivua on viimeksi muutettu {{PLURAL:$1|kuukausi|$1 kuukautta}} sitten',
	'mobile-frontend-last-modified-years' => 'Sivua on viimeksi muutettu {{PLURAL:$1|vuosi|$1 vuotta}} sitten',
	'mobile-frontend-last-modified-just-now' => 'Sivua on viimeksi muutettu juuri äsken',
	'mobile-frontend-learn-more' => 'Lisätietoja',
	'mobile-frontend-account-create-submit' => 'Luo tunnus',
	'mobile-frontend-password-confirm-placeholder' => 'Vahvista salasana',
	'mobile-frontend-account-create-email-placeholder' => 'Sähköpostiosoite (vapaaehtoinen)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Kirjoita varmistuskoodi',
	'mobile-frontend-overlay-escape' => 'Takaisin',
	'mobile-frontend-placeholder' => 'Hae sivustolta {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Hae sivustolta {{SITENAME}} (beeta)',
	'mobile-frontend-placeholder-alpha' => 'Hae sivustolta {{SITENAME}} (kokeellinen)',
	'mobile-frontend-search-help' => 'Kirjoita hakusana yläpuolelle ja vastaavat artikkelien otsikot näkyvät tässä.',
	'mobile-frontend-dismiss-notification' => 'Hylkää tämä ilmoitus',
	'mobile-frontend-clear-search' => 'Tyhjennä',
	'mobile-frontend-privacy-link-text' => 'Yksityisyys',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Sisältö on saatavissa lisenssillä [//fi.m.wikipedia.org/wiki/Wikipedia:Creative_Commons_Attribution-Share_Alike_3.0_Unported_-lisenssiehdot?useformat=mobile CC BY-SA 3.0]. Lisäehtoja voi sisältyä.',
	'mobile-frontend-copyright' => 'Sisältö on käytettävissä lisenssillä $1 ellei toisin mainita.',
	'mobile-frontend-footer-contact' => 'Yhteystiedot',
	'mobile-frontend-search-noresults' => 'Hakuasi vastavaa artikkelin nimeä ei löytynyt. Muuta hakua tai käytä näppäimistön hakupainiketta etsiäksesi artikkelien sisältä.',
	'mobile-frontend-main-menu-button-tooltip' => 'Avaa päävalikko',
	'mobile-frontend-main-menu-page-title' => 'Sivuston navigaatio',
	'mobile-frontend-main-menu-featured' => 'Suositeltu',
	'mobile-frontend-main-menu-nearby' => 'Lähistöllä',
	'mobile-frontend-main-menu-login' => 'Kirjaudu sisään',
	'mobile-frontend-main-menu-logout' => 'Kirjaudu ulos',
	'mobile-frontend-main-menu-watchlist' => 'Tarkkailulista',
	'mobile-frontend-main-menu-settings' => 'Asetukset',
	'mobile-frontend-main-menu-upload' => 'Tallennukset',
	'mobile-frontend-main-menu-settings-heading' => 'Asetukset',
	'mobile-frontend-settings-site-header' => 'Sivuston {{SITENAME}} kielet',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} on saatavilla {{PLURAL:$1|yhdellä|$1}} kielellä. Kaikki saatavilla olevat kieliversiot on listattu alla.',
	'mobile-frontend-main-menu-account-create' => 'Luo tunnus',
	'mobile-frontend-page-menu-contents' => 'sisältö',
	'mobile-frontend-page-menu-history' => 'Historia',
	'mobile-frontend-meta-data-issues-header' => 'Ongelmat',
	'mobile-frontend-meta-data-issues' => 'Tälle sivulle on huomautuksia',
	'mobile-frontend-page-saving' => 'Tallennetaan $1',
	'mobile-frontend-user-button-tooltip' => 'Näytä ilmoitukseni',
	'mobile-frontend-nearby-title' => 'Lähistöllä',
	'mobile-frontend-nearby-loading' => 'Ladataan aiheita, jotka ovat lähellä nykyistä sijaintiasi',
	'mobile-frontend-nearby-requirements' => 'Selaimesi ei tue sivuston {{SITENAME}} Lähistöllä-toimintoa.',
	'mobile-frontend-nearby-requirements-guidance' => 'Kokeile eri selainta tai JavaScriptin ottamista käyttöön.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} Lähistöllä ei voi selvittää missä olet... yritä uudelleen?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Kokeile avointa aluetta, jossa on parempi signaali.',
	'mobile-frontend-nearby-error' => 'Sivuston {{SITENAME}} Lähistöllä-toiminnossa on ongelmia.',
	'mobile-frontend-nearby-error-guidance' => 'Yritä päivittää sijaintisi.',
	'mobile-frontend-nearby-link' => 'Lue tämä sivu kokonaisuudessaan',
	'mobile-frontend-donate-image-nouploads' => 'Ei tallennettuja tiedostoja.',
	'mobile-frontend-donate-image-login' => 'Sinun täytyy olla kirjautuneena nähdäksesi tiedostosi.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'Tällä sivulla ei tarvita kuvaa.',
	'mobile-frontend-photo-upload-generic' => 'Lahjoita kuva',
	'mobile-frontend-donate-image-title' => 'Tallennukset',
	'mobile-frontend-donate-image-heading' => 'Uusimmat muokkauksesi',
	'mobile-frontend-donate-image-anon' => 'Sinulla täytyy olla $1, jotta voisit nähdä tallennussivun.',
	'mobile-frontend-user-account' => 'käyttäjätunnus',
	'mobile-frontend-listed-image-no-description' => 'Ei kuvausta',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Asia selvä?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Kyllä!',
	'mobile-frontend-watchlist-add' => '$1 on lisätty tarkkailulistallesi',
	'mobile-frontend-watchlist-removed' => '$1 on poistettu tarkkailulistaltasi',
	'mobile-frontend-watchlist-view' => 'Näytä tarkkailulista',
	'mobile-frontend-watchlist-more' => 'lisää',
	'mobile-frontend-watchlist-cta' => 'Kirjaudu sisään tai luo tunnus, jos haluat tarkkailla tätä sivua.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Kirjaudu sisään',
	'mobile-frontend-watchlist-cta-button-signup' => 'Luo tunnus',
	'mobile-frontend-watch-login' => 'Voit tarkkailla sivuja, jos kirjaudut sisään.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'Lista',
	'mobile-frontend-watchlist-feed' => 'Muokatut',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Paina sivun yläosassa olevaa tähteä',
	'mobile-frontend-watchlist-back-home' => 'Siirry etusivulle',
	'mobile-frontend-changeslist-ip' => 'Rekisteröitymätön käyttäjä',
	'mobile-frontend-changeslist-nocomment' => 'ei muokkausyhteenvetoa',
	'mobile-frontend-watchlist-filter-all' => 'Kaikki',
	'mobile-frontend-watchlist-filter-articles' => 'Sivut',
	'mobile-frontend-watchlist-filter-talk' => 'Keskustelu',
	'mobile-frontend-watchlist-filter-other' => 'Muut',
	'mobile-frontend-watchlist-modified' => 'Muutettu $1',
	'mobile-frontend-diffview-404-title' => 'Virheellinen versio',
	'mobile-frontend-diffview-title' => 'Muutokset',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|muokkaus|muokkausta}}',
	'mobile-frontend-diffview-anonymous' => 'Rekisteröitymätön käyttäjä',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|tavu|tavua}} lisätty',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|tavu|tavua}} poistettu',
	'mobile-frontend-saving-exit-page' => 'Muutoksiasi tallennetaan yhä. Jos poistut nyt, muutoksesi eivät tallennu. Haluatko varmasti poistua?',
	'mobile-frontend-photo-upload' => 'Lisää kuva tälle sivulle',
	'mobile-frontend-photo-article-edit-comment' => 'Lisäsi kuvan sivulla käytettäväksi',
	'mobile-frontend-photo-upload-comment' => 'Lisäsi kuvan sivulle',
	'mobile-frontend-photo-caption-placeholder' => 'Lisää kuvaus (vaaditaan)', # Fuzzy
	'mobile-frontend-image-loading' => 'Ladataan kuvaa',
	'mobile-frontend-photo-ownership' => 'Minä, $1, tein tämän kuvan.',
	'mobile-frontend-photo-ownership-help' => 'Mitä tämä tarkoittaa?',
	'mobile-frontend-image-uploading-wait' => 'Lähetetään kuvaa. Odota.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Peruuta</a>, jos tämä kestää liian kauan.',
	'mobile-frontend-photo-upload-error' => 'Virhe. Yritä uudelleen.',
	'mobile-frontend-photo-license' => 'Kaikki kuvasi julkaistaan [//fi.wikipedia.org/wiki/Wikipedia:Creative_Commons_Attribution-Share_Alike_3.0_Unported_-lisenssiehdot CC-BY-SA 3.0 -lisenssillä].', # Fuzzy
	'mobile-frontend-photo-submit' => 'Lähetä',
	'mobile-frontend-photo-cancel' => 'Peruuta',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> lataus|<span>$1</span> latausta}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => 'Yli 500 tallennettua tiedostoa',
	'mobile-frontend-editor-edit' => 'Muokkaa',
	'mobile-frontend-editor-continue' => 'Jatka',
	'mobile-frontend-editor-save' => 'Tallenna',
	'mobile-frontend-editor-cancel' => 'Peruuta',
	'mobile-frontend-editor-keep-editing' => 'Jatka muokkaamista',
	'mobile-frontend-editor-cancel-confirm' => 'Haluatko todella hylätä tekemäsi muokkauksen?',
	'mobile-frontend-editor-wait' => 'Tallennetaan. Odota.',
	'mobile-frontend-editor-error' => 'Virhe. Muokkausta ei tallennettu.',
	'mobile-frontend-editor-error-conflict' => 'Virhe. Toinen käyttäjä on muokannut tätä sivua.',
	'mobile-frontend-editor-error-loading' => 'Virhe. Osiota ei voi ladata.',
	'mobile-frontend-editor-tutorial-confirm' => 'Aloita muokkaaminen',
	'mobile-frontend-editor-captcha-try-again' => 'Väärä koodi. Yritä uudelleen.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Lue lisää',
	'tag-mobile_edit' => 'Mobiilimuutos',
	'tag-mobile_edit-description' => 'Muutos, joka on tehty mobiilisivustolta',
	'mobile-frontend-drawer-cancel' => 'Peruuta',
	'mobile-frontend-talk-overlay-header' => 'Keskustelu',
	'mobile-frontend-talk-back-to-page' => 'Palaa sivulle $1',
	'mobile-frontend-talk-overlay-lead-header' => 'Nimetön keskustelu',
	'mobile-frontend-talk-add-overlay-submit' => 'Lisää keskustelu',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Keskustelun aihe',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Mitä on mielessäsi?',
	'mobile-frontend-talk-edit-summary' => 'Uusi keskusteluaihe: $1',
	'mobile-frontend-talk-reply' => 'Vastaa',
	'mobile-frontend-media-details' => 'Tiedot',
	'mobile-frontend-profile-title' => 'Käyttäjätiedot',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|Keskustele käyttäjälle $1}}',
	'mobile-frontend-profile-noargs' => 'Anna käyttäjätunnus, jonka käyttäjätiedot haluat nähdä.', # Fuzzy
	'mobile-frontend-profile-userpage-link' => 'Näytä käyttäjäsivu.',
	'mobile-frontend-mainpage-cta-prompt' => 'Tämä sivu tarvitsee apuasi!',
);

/** Faroese (føroyskt)
 * @author EileenSanda
 */
$messages['fo'] = array(
	'nearby' => 'Síður í tíni námind',
	'mobile-frontend-search-submit' => 'Far',
	'mobile-frontend-home-button' => 'Heim',
	'mobile-frontend-logged-out' => 'Ikki innritað/ur',
	'mobile-frontend-logged-in-homepage-notification' => 'Vælkomin, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Innritað/ur sum $1.',
	'mobile-frontend-sign-up-heading' => 'Skráset teg',
	'mobile-frontend-sign-in-heading' => 'Rita inn',
	'mobile-frontend-sign-in-why' => 'Um tú hevur eina {{SITENAME}} konto, so kanst tú rita inn her niðanfyri.',
	'mobile-frontend-sign-in-error-heading' => 'Ups',
	'mobile-frontend-settings-description' => 'Tilpassa tína uppliving pá tínari mobilu eind við hesum síðuinnstillingunum sum serliga eru ætlaðar mobilum eindum.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Royndarstøði',
	'mobile-frontend-settings-alpha-description' => 'Far inn í tey vandamiklu og ógranskaðu mobil-økini. Fá uppaftur fleiri funksjónir á royndarstøði, men við størri vanda fyri feilum.',
	'mobile-frontend-save-settings' => 'Goym',
	'mobile-frontend-random-button' => 'Tilvildarlig',
	'mobile-frontend-back-to-top-of-section' => 'Far eina seksjón aftur',
	'mobile-frontend-close-section' => 'Lat hetta reglubrotið aftur',
	'mobile-frontend-regular-site' => 'Skrivaraborðssýning',
	'mobile-frontend-wml-continue' => 'Halt fram...',
	'mobile-frontend-wml-back' => 'Aftur ...',
	'mobile-frontend-view' => 'Mobil vísing',
	'mobile-frontend-view-desktop' => 'Skrivaraborðið',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-opt-in-explain' => 'Við at luttaka í beta, fert tú atgongd til funksjónir á royndarstøði, við vand fyri at møta feilum og trupulleikum.',
	'mobile-frontend-images-status' => 'Myndir',
	'mobile-frontend-missing-image' => 'Mynd',
	'mobile-frontend-off' => 'FRÁ',
	'mobile-frontend-on' => 'TIL',
	'mobile-frontend-featured-article' => 'Dagsins útvalda innihald',
	'mobile-frontend-news-items' => 'Í tíðindunum',
	'mobile-frontend-language-article-heading' => 'Les á øðrum máli',
	'mobile-frontend-language-header' => 'Henda síðan er tøk á $1 {{PLURAL:$1|máli|málum}}',
	'mobile-frontend-language-variant-header' => 'Vel variantin {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Legg til merkis: Henda síðan er møguliga ikki skriva á tí málinum ið tú ynskir. Til ber at síggja hvørji mál {{SITENAME}} eru at velja í við at klikkja her.',
	'mobile-frontend-language-site-choose' => 'Leita eftir máli',
	'mobile-frontend-username' => 'Brúkaranavn:',
	'mobile-frontend-password' => 'Loyniorð:',
	'mobile-frontend-username-placeholder' => 'Brúkaranavn',
	'mobile-frontend-password-placeholder' => 'Loyniorð',
	'mobile-frontend-login' => 'Rita inn',
	'mobile-frontend-last-modified-date' => 'Seinast broytt hin $1, kl. $2',
	'mobile-frontend-last-modified-seconds' => 'Seinast broytt fyri {{PLURAL:$1|$1 sekundi|$1 sekundum}} síðan',
	'mobile-frontend-last-modified-minutes' => 'Seinast broytt fyri {{PLURAL:$1|$1 minutti|$1 minuttum}} síðan',
	'mobile-frontend-last-modified-hours' => 'Seinast broytt fyri {{PLURAL:$1|$1 tíma|$1 tímum}} síðan',
	'mobile-frontend-last-modified-days' => 'Seinast broytt fyri {{PLURAL:$1|$1 degi|$1 døgum}} síðan',
	'mobile-frontend-last-modified-months' => 'Seinast broytt fyri {{PLURAL:$1|$1 mánað|$1 mánaðum}} síðan',
	'mobile-frontend-last-modified-years' => 'Seinast broytt fyri {{PLURAL:$1|$1 ári|$1 árum}} síðan',
	'mobile-frontend-learn-more' => 'Les meira',
	'mobile-frontend-account-create-submit' => 'Skráset teg',
	'mobile-frontend-password-confirm-placeholder' => 'Váttað loyniorð',
	'mobile-frontend-account-create-email-placeholder' => 'Teldupost adressa (valfrítt)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Skriva váttanarkotu',
	'mobile-frontend-overlay-escape' => 'Far aftur',
	'mobile-frontend-placeholder' => 'Leita á {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Leita á {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Leita á {{SITENAME}} (Á royndarstøði)',
	'mobile-frontend-search-help' => 'Skriva leitiorð omanfyri og samsvarandi síðuheiti fara at koma fram her.',
	'mobile-frontend-dismiss-notification' => 'tak hesi boðini burtur',
	'mobile-frontend-clear-search' => 'Rudda',
	'mobile-frontend-privacy-link-text' => 'Privatlívsvernd',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Teksturin er tøkur undir [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; aðrar treytir kunnu vera galdandi.',
	'mobile-frontend-footer-contact' => 'Samband',
	'mobile-frontend-search-noresults' => 'Ongi síðuheiti samsvaraðu tína leitan. Broyt tína leitan ella trýst á leitiknøttin á knappaborðinum fyri at leita inni á síðum.',
	'mobile-frontend-main-menu-button-tooltip' => 'Lat upp høvuðsmeny',
	'mobile-frontend-main-menu-page-title' => 'Síðustýring',
	'mobile-frontend-main-menu-nearby' => 'Tætt við',
	'mobile-frontend-main-menu-login' => 'Rita inn',
	'mobile-frontend-main-menu-logout' => 'Rita út',
	'mobile-frontend-main-menu-watchlist' => 'Eftirlitslisti',
	'mobile-frontend-main-menu-settings' => 'Innstillingar',
	'mobile-frontend-main-menu-upload' => 'Útleggingar',
	'mobile-frontend-main-menu-settings-heading' => 'Innstillingar',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} mál',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} er tøk á $1 {{PLURAL:$1|máli|málum}}. Allar tøkar versjónir síggjast niðanfyri',
	'mobile-frontend-main-menu-account-create' => 'Upprætta konto',
	'mobile-frontend-page-menu-contents' => 'innihald',
	'mobile-frontend-page-menu-history' => 'Søga',
	'mobile-frontend-meta-data-issues-header' => 'Trupulleikar',
	'mobile-frontend-meta-data-issues' => 'Henda síðan hevur nakrar trupulleikar',
	'mobile-frontend-page-saving' => 'Goymir $1',
	'mobile-frontend-user-cta' => 'Rita inn ella skráset teg fyri at síggja tínar fráboðanir.',
	'mobile-frontend-user-button-tooltip' => 'Vís mínar fráboðanir',
	'mobile-frontend-nearby-to-page' => 'Fylgjandi síður eru knýttar at $1 orsakað av teirra landafrøðiligu plasering',
	'mobile-frontend-nearby-title' => 'Nærindis',
	'mobile-frontend-nearby-loading' => 'Innlesur evni tætt við har tú ert nú',
	'mobile-frontend-nearby-requirements' => 'Tíverri stuðlar tín kagi ikki  {{SITENAME}} Nærindis.',
	'mobile-frontend-nearby-requirements-guidance' => 'Royn ein annan internetkaga ella ger JavaScript virkið aftur, um tú hevur sligið tað frá.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} Nærindis kann ikki finna útav, hvar tú ert... royna aftur?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Royn eitt opið økið við betri signali.',
	'mobile-frontend-nearby-noresults' => 'Stilt her úti... Ongar síður vóru funnar nærindis.',
	'mobile-frontend-nearby-error' => '{{SITENAME}} Nærindis hevur nakrar trupulleikar.',
	'mobile-frontend-nearby-error-guidance' => 'Royn at dagføra tína staðseting.',
	'mobile-frontend-nearby-link' => 'Les hesa síðuna í fullari stødd',
	'mobile-frontend-nearby-directions' => 'Navigera her',
	'mobile-frontend-donate-image-login' => 'Tú mást vera innritað/ur fyri at síggja tínar útleggingar.',
	'mobile-frontend-photo-upload-disabled' => 'Tað er onki krav um nakra mynd á hesi síðuni.',
	'mobile-frontend-photo-upload-anon' => 'Tú mást vera innritað/ur fyri at innseta eina mynd á hesa síðuna.',
	'mobile-frontend-photo-upload-protected' => 'Tú hevur ikki loyvi til at innseta eina mynd á hesa síðuna.',
	'mobile-frontend-photo-upload-generic' => 'Lat eina mynd',
	'mobile-frontend-donate-image-title' => 'Útleggingar',
	'mobile-frontend-donate-image-heading' => 'Tíni seinastu íkøst',
	'mobile-frontend-donate-image-anon' => 'Ein $1 verður kravd fyri at síggja útleggingarsíðuna.',
	'mobile-frontend-user-account' => 'brúkarakonta',
	'mobile-frontend-listed-image-no-description' => 'Ongin frágreiðing',
	'mobile-frontend-donate-photo-upload-success' => 'Tað eydnaðist! Tín mynd kann nú verða brúkt á {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Tað eydnaðist! Takk fyri títt fyrsta íkast!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Deil tínar myndir. Hjálp {{SITENAME}} at gerast livandi!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Myndir á {{SITENAME}} koma frá Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Tínar myndir hjálpa við til at útbúgva fólk kring heimin',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Ikki brúka tilfar sum er vart av upphavsrætti (copyright), sum tú hevur funnið á netinum, heldur ikki myndir av
plakatum, forsíðum á bókum osfr.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Skilir tú?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Ja!',
	'mobile-frontend-watchlist-add' => 'Legði $1 til tín eftirlitslista',
	'mobile-frontend-watchlist-removed' => 'Tók $1 burtur av tínum eftirlitslista',
	'mobile-frontend-watchlist-view' => 'Síggj tín eftirlitslista',
	'mobile-frontend-watchlist-more' => 'meira',
	'mobile-frontend-watchlist-cta' => 'Rita inn ella skráset teg fyri at hava eftirlit við hesi síðu.',
	'mobile-frontend-watchlist-cta-button-login' => 'Rita inn',
	'mobile-frontend-watchlist-cta-button-signup' => 'Skráset teg',
	'mobile-frontend-watch-login' => 'Tú mást vera innritað/ur fyri at halda eyga við síðum.',
	'mobile-frontend-watchlist-a-z' => 'Listi',
	'mobile-frontend-watchlist-feed' => 'Broytt',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Trýst á stjørnuna ovast á síðuni',
	'mobile-frontend-watchlist-back-home' => 'Heim aftur',
	'mobile-frontend-changeslist-ip' => 'Dulnevndur brúkari',
	'mobile-frontend-watchlist-filter-all' => 'Allar',
	'mobile-frontend-watchlist-filter-articles' => 'Greinar', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Kjak',
	'mobile-frontend-watchlist-filter-other' => 'Aðrar',
	'mobile-frontend-watchlist-modified' => 'Broytt fyri $1',
	'mobile-frontend-diffview-404-title' => 'Ring versjón',
	'mobile-frontend-diffview-404-desc' => 'ID fyri versjónina ið tú bað um er ikki til.',
	'mobile-frontend-diffview-title' => 'Broytingar',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|rætting|rættingar}}',
	'mobile-frontend-diffview-anonymous' => 'Dulnevndur brúkari',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte lagt|bytes løgd}} afturat',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte tikið|bytes tikin}} burtur',
	'mobile-frontend-diffview-explained' => 'Hesar linjur vóru lagdar til (+) og tiknar burtur (-):',
	'mobile-frontend-thanked-notice' => '$1 fekk at vita at tú dámdi {{GENDER:$2|hansara|hennara|teirra}} rætting.',
	'mobile-frontend-table' => 'Talva $1',
	'mobile-frontend-photo-upload' => 'Innset eina myna á hesa síðu',
	'mobile-frontend-photo-article-edit-comment' => 'Innsetti eina mynd til nýtslu á síðuni',
	'mobile-frontend-editor-edit' => 'Rætta',
	'mobile-frontend-editor-continue' => 'Halt fram',
	'mobile-frontend-editor-save' => 'Goym',
	'mobile-frontend-editor-cancel' => 'Angra',
	'mobile-frontend-editor-keep-editing' => 'Halt fram við at rætta',
	'mobile-frontend-editor-license' => 'Við at klikkja á "Goym", so tekur tú undir við okkara [//wikimediafoundation.org/wiki/Terms_of_use brúkaratreytum] og tekur undir við at leysgeva tín tekst undir [//creativecommons.org/licenses/by-sa/3.0/ CC-BY-SA 3.0 lisensinum] og [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].', # Fuzzy
	'mobile-frontend-editor-placeholder' => 'Hesin teigurin er tómur. Verð tann fyrsti ið víðkar hann!',
	'mobile-frontend-editor-summary-placeholder' => 'Fortel okkum hvat ið tú broytti (valfrítt)',
	'mobile-frontend-editor-cancel-confirm' => 'Ynskir tú veruliga at fara frá tínari redigering?',
	'mobile-frontend-editor-wait' => 'Goymir rætting, bíða líka.',
	'mobile-frontend-editor-guider' => '"{{int:mobile-frontend-editor-continue}}" loyvir tær eina undansýning og at goyma.',
	'mobile-frontend-editor-success' => 'Tað lukkaðist! Tín rætting varð goymd.',
	'mobile-frontend-editor-success-landmark-1' => 'Tillukku, tú ert nú ein {{SITENAME}} redaktørur!',
	'mobile-frontend-editor-error' => 'Feilur, rættingin varð ikki goymd.',
	'mobile-frontend-editor-error-conflict' => 'Feilur, ein annar brúkari hevur rættað hesa síðuna.',
	'mobile-frontend-editor-error-loading' => 'Feilur, kann ikki innlesa reglubrotið.',
	'mobile-frontend-editor-preview-header' => 'Forskoðan',
	'mobile-frontend-editor-error-preview' => 'Feilur, okkurt óvæntað hendi undir løðing av forskoðanini. Vinarliga lat aftur og royn aftur.',
	'mobile-frontend-editor-tutorial-confirm' => 'Byrja við at skriva',
	'tag-mobile_edit' => 'Mobilskriving',
	'tag-mobile_edit-description' => 'Rætting gjørd frá mobilsíðuni',
	'mobile-frontend-drawer-cancel' => 'Angra',
	'mobile-frontend-talk-overlay-header' => 'Kjak',
	'mobile-frontend-talk-overlay-lead-header' => 'Navnleyst kjak',
	'mobile-frontend-talk-add-overlay-submit' => 'Byrja kjak',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Hvat hugsar tú um?',
	'mobile-frontend-talk-reply-success' => 'Títt svar var goymt á kjaksíðuni.',
	'mobile-frontend-talk-reply-info' => 'Legg til merkis, at títt svar verður sjálvvirkandi undirskrivað við tínum brúkaranavni.',
	'mobile-frontend-talk-reply' => 'Svara',
);

/** French (français)
 * @author Automatik
 * @author Boniface
 * @author Crochet.david
 * @author DavidL
 * @author Davidtsm
 * @author Gomoko
 * @author Hashar
 * @author Hello71
 * @author Hercule
 * @author Jean-Frédéric
 * @author Linedwell
 * @author Louperivois
 * @author Ltrlg
 * @author Lucky
 * @author McDutchie
 * @author Metroitendo
 * @author NemesisIII
 * @author Nobody
 * @author Peter17
 * @author Sherbrooke
 * @author Tititou36
 * @author Tpt
 * @author Urhixidur
 * @author Verdy p
 * @author Wyz
 * @author Yann.fauche
 * @author عبد الحق فارح
 */
$messages['fr'] = array(
	'mobilefrontend-random-explain' => 'Cette page au hasard vous intéresse-t-elle ?',
	'mobilefrontend-random-cancel' => 'Laissez-moi lire !',
	'mobilefrontend-keepgoing-ask' => 'Bien ! Vous avez pris le coup ! Voulez-vous essayer de modifier une autre page ?',
	'mobilefrontend-keepgoing-ask-first' => 'Félicitations pour avoir fait votre première modification ! Voulez-vous essayer de modifier une autre page ?',
	'mobilefrontend-keepgoing-explain' => 'Super ! Un autre utilisateur a dit que cette page nécessite de l’aide. Essayez-la, ou bien une autre.',
	'mobilefrontend-keepgoing-cancel' => 'Non merci',
	'mobilefrontend-keepgoing-suggest' => 'Oui, s’il vous plaît',
	'mobilefrontend-keepgoing-suggest-again' => 'Essayer une autre',
	'mobilefrontend-keepgoing-saved-title' => 'Modification enregistrée !',
	'mobilefrontend-keepgoing-links-title' => 'Ajouter des liens',
	'mobilefrontend-keepgoing-links-ask-first' => 'Félicitations ! Vous avez fait votre première édition ! Voulez-vous nous aider en ajoutant des liens  vers une page récemment créée ?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Corriger une autre page ?',
	'mobilefrontend-keepgoing-links-explain' => 'Trouver davantage de mots qui pourraient être des liens. Ajouter des doubles crochets autour de ces mots.',
	'mobilefrontend-keepgoing-links-example' => 'par ex. $1guitar$2 devient $3guitar$4',
	'nearby' => 'Pages près de vous',
	'mobile-frontend-desc' => 'Affichage mobile',
	'mobile.css' => '/* Le CSS placé ici n’affectera que les utilisateurs du site mobile */',
	'mobile.js' => '/* Le Javascript placé ici n’affectera que les utilisateurs du site mobile */',
	'mobile-frontend-search-submit' => 'Go',
	'mobile-frontend-home-button' => 'Accueil',
	'mobile-frontend-logged-out' => 'Non connecté(e)',
	'mobile-frontend-logged-in-homepage-notification' => 'Bienvenue, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Connecté en tant que $1.',
	'mobile-frontend-generic-404-title' => 'Erreur — Page non trouvée',
	'mobile-frontend-generic-404-desc' => 'La page que vous recherchez n’a pas pu être trouvée.',
	'mobile-frontend-sign-up-heading' => 'Inscrivez-vous',
	'mobile-frontend-sign-in-heading' => 'Connexion',
	'mobile-frontend-sign-in-why' => 'Si vous avez un compte sur {{SITENAME}}, vous pouvez vous connecter ci-dessous.',
	'mobile-frontend-sign-in-error-heading' => 'Oups',
	'mobile-frontend-settings-description' => 'Personnalisez votre expérience sur votre mobile avec ces paramètres spécifiques.',
	'mobile-frontend-settings-beta' => 'Bêta',
	'mobile-frontend-settings-alpha' => 'Mode expérimental',
	'mobile-frontend-settings-alpha-description' => 'Entrez dans un territoire mobile dangereux et inexploré. Obtenez des fonctionnalisés encore plus expérimentales, mais avec plus de dangers de bogues.',
	'mobile-frontend-save-settings' => 'Enregistrer',
	'mobile-frontend-save-error' => 'Erreur d’enregistrement des paramètres. Veuillez vérifier que vos cookies sont activés.',
	'mobile-frontend-random-button' => 'Au hasard',
	'mobile-frontend-back-to-top-of-section' => "Revenir d'une section",
	'mobile-frontend-regular-site' => 'Désactiver la version mobile',
	'mobile-frontend-wml-continue' => 'Continuer…',
	'mobile-frontend-wml-back' => 'Retour…',
	'mobile-frontend-view' => 'Affichage mobile',
	'mobile-frontend-view-desktop' => 'Bureau',
	'mobile-frontend-view-mobile' => 'Mobile',
	'mobile-frontend-cookies-required' => 'Les cookies sont nécessaires pour basculer entre les modes d’affichage. Veuillez les autoriser et réessayer.',
	'mobile-frontend-opt-in-explain' => 'En adhérant au beta-test, vous aurez accès aux fonctionnalités expérimentales, au risque de rencontrer bogues et problèmes.',
	'mobile-frontend-images-status' => 'Images',
	'mobile-frontend-disable-images' => 'Désactiver les images en version mobile',
	'mobile-frontend-enable-images' => 'Activer les images sur le site mobile',
	'mobile-frontend-expand-sections-status' => 'Développer toutes les sections',
	'mobile-frontend-expand-sections-description' => 'Toujours développer toutes les sections en navigant vers une nouvelle page.',
	'mobile-frontend-missing-image' => 'Image',
	'mobile-frontend-off' => 'OFF',
	'mobile-frontend-on' => 'ON',
	'mobile-frontend-featured-article' => 'Contenu recommandé du jour',
	'mobile-frontend-news-items' => 'Actualités',
	'mobile-frontend-languages-404-title' => 'Erreur de langues',
	'mobile-frontend-languages-404-desc' => 'Un titre valide doit être spécifié.',
	'mobile-frontend-languages-header' => 'Langues',
	'mobile-frontend-languages-nonexistent-title' => 'La page « $1 » n’existe pas.',
	'mobile-frontend-languages-text' => '$1 est disponible en $2 {{PLURAL:$2|langue|langues}}.',
	'mobile-frontend-languages-variant-header' => 'variantes en {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Langues</strong>',
	'mobile-frontend-language-article-heading' => 'Lire dans une autre langue',
	'mobile-frontend-language-header' => 'Cette page est disponible en $1 {{PLURAL:$1|langue|langues}}',
	'mobile-frontend-language-variant-header' => 'Choisissez la variante {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Rechercher la langue',
	'mobile-frontend-username' => 'Nom d’utilisateur :',
	'mobile-frontend-password' => 'Mot de passe :',
	'mobile-frontend-username-placeholder' => "Nom d'utilisateur",
	'mobile-frontend-password-placeholder' => 'Mot de passe',
	'mobile-frontend-login' => 'Se connecter',
	'mobile-frontend-history' => 'Afficher l’historique des modifications de cette page.',
	'mobile-frontend-history-404-title' => 'Pas de telle page',
	'mobile-frontend-history-404-desc' => 'Impossible de regarder l’historique d’une page qui n’existe pas. Elle peut avoir été supprimée ou vous pouvez avoir suivi un mauvais lien.',
	'mobile-frontend-history-no-results' => 'Aucun historique ne correspond au filtre fourni.',
	'mobile-frontend-contribution-summary' => 'Toutes les modifications faites par {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Historique de la page [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Dernière modification le $1, à $2',
	'mobile-frontend-last-modified-seconds' => 'Dernière modification il y a {{PLURAL:$1|$1 seconde|$1 secondes}}',
	'mobile-frontend-last-modified-minutes' => 'Dernière modification il y a {{PLURAL:$1|$1 minute|$1 minutes}}',
	'mobile-frontend-last-modified-hours' => 'Dernière modification il y a {{PLURAL:$1|$1 heure|$1 heures}}',
	'mobile-frontend-last-modified-days' => 'Dernière modification il y a {{PLURAL:$1|$1 jour|$1 jours}}',
	'mobile-frontend-last-modified-months' => 'Dernière modification il y a {{PLURAL:$1|$1 mois}}',
	'mobile-frontend-last-modified-years' => 'Dernière modification il y a {{PLURAL:$1|$1 an|$1 ans}}',
	'mobile-frontend-last-modified-just-now' => 'Dernière modification à l’instant.',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Dernière {{GENDER:$1|modification}} il y a {{PLURAL:$3|$3 seconde|$3 secondes}}] par {{PLURAL:$5|[$6 $2]|0=un utilisateur anonyme}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Dernière {{GENDER:$1|modification}} il y a {{PLURAL:$3|$3 minute|$3 minutes}}] par  {{PLURAL:$5|[$6 $2]|0=un utilisateur anonyme}}.',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Dernière {{GENDER:$1|modification}} il y a {{PLURAL:$3|$3 heure|$3 heures}}] par {{PLURAL:$5|[$6 $2]|0=un utilisateur anonyme}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Dernière {{GENDER:$1|modification}} il y a {{PLURAL:$3|$3 jour|$3 jours}}] par {{PLURAL:$5|[$6 $2]|0=un utilisateur anonyme}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Dernière {{GENDER:$1|modification}} il y a {{PLURAL:$3|$3 mois}}] par {{PLURAL:$5|[$6 $2]|0=un utilisateur anonyme}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Dernière {{GENDER:$1|modification}} il y a {{PLURAL:$3|$3 an|$3 ans}}] par {{PLURAL:$5|[$6 $2]|0=un utilisateur anonyme}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Dernière {{GENDER:$1|modification}}] à l’instant par {{PLURAL:$4|[$5 $2]|0=un utilisateur anonyme}}.',
	'mobile-frontend-view-source' => 'Afficher la source',
	'mobile-frontend-account-create-submit' => 'Inscrivez-vous',
	'mobile-frontend-password-confirm-placeholder' => 'Confirmez le mot de passe',
	'mobile-frontend-account-create-email-placeholder' => 'Adresse de courriel (facultative)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Entrez le code de confirmation',
	'mobile-frontend-overlay-escape' => 'Retour',
	'mobile-frontend-overlay-close' => 'Fermer',
	'mobile-frontend-overlay-continue' => 'Continuer',
	'mobile-frontend-placeholder' => 'Rechercher sur {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Rechercher {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Rechercher sur {{SITENAME}} (Expérimental)',
	'mobile-frontend-dismiss-notification' => 'rejeter cette notification',
	'mobile-frontend-clear-search' => 'Effacer',
	'mobile-frontend-search-content' => 'Rechercher dans les pages',
	'mobile-frontend-search-no-results' => 'Aucune page avec ce titre.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' pour voir si cette phrase apparaît quelque part.",
	'mobile-frontend-privacy-link-text' => 'Confidentialité',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Contenu disponible sous [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]',
	'mobile-frontend-copyright' => 'Le contenu est disponible sous licence $1 sauf mention contraire.',
	'mobile-frontend-footer-contact' => 'Contact',
	'mobile-frontend-terms-text' => 'Conditions d’utilisation',
	'mobile-frontend-main-menu-button-tooltip' => 'Ouvrir le menu principal',
	'mobile-frontend-main-menu-page-title' => 'Navigation dans le site',
	'mobile-frontend-main-menu-featured' => 'En vedette',
	'mobile-frontend-main-menu-nearby' => 'À proximité',
	'mobile-frontend-main-menu-login' => 'Connectez-vous',
	'mobile-frontend-main-menu-logout' => 'Se déconnecter',
	'mobile-frontend-main-menu-watchlist' => 'Liste de suivi',
	'mobile-frontend-main-menu-settings' => 'Configuration',
	'mobile-frontend-main-menu-upload' => 'Téléchargements',
	'mobile-frontend-main-menu-settings-heading' => 'Paramètres',
	'mobile-frontend-settings-site-header' => 'Langues de {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} est disponible en $1 {{PLURAL:$1|langue|langues}}. Toutes les versions disponibles sont listées ci-dessous',
	'mobile-frontend-main-menu-account-create' => 'Créer un compte',
	'mobile-frontend-page-menu-contents' => 'contenus',
	'mobile-frontend-page-menu-history' => 'Historique',
	'mobile-frontend-meta-data-issues-header' => 'Problèmes',
	'mobile-frontend-meta-data-issues' => 'Cette page a quelques problèmes',
	'mobile-frontend-page-saving' => 'Enregistrement de $1',
	'mobile-frontend-user-cta' => 'Veuillez vous connecter ou vous inscrire pour voir vos notifications.',
	'mobile-frontend-user-button-tooltip' => 'Afficher mes notifications',
	'mobile-frontend-nearby-to-page' => 'Les pages suivantes sont reliées à $1 par leur position géographique',
	'mobile-frontend-nearby-title' => 'À proximité',
	'mobile-frontend-nearby-loading' => 'Chargement des sujets proches de votre emplacement actuel',
	'mobile-frontend-nearby-requirements' => 'Désolé ! Votre navigateur web ne reconnaît pas {{SITENAME}} à proximité.',
	'mobile-frontend-nearby-requirements-guidance' => "Essayez un autre navigateur ou activez JavaScript si vous l'avez désactivé.",
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} à proximité ne peut pas savoir où vous êtes... Essayer à nouveau ?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Essayez un espace ouvert avec un meilleur signal.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} Le voisinage n’a pas le droit d’accéder à votre emplacement.',
	'mobile-frontend-nearby-permission-guidance' => 'Veuillez vous assurer d’avoir donné le droit d’afficher où vous êtes. Vous devriez peut-être vérifier les paramètres de localisation de votre navigateur.',
	'mobile-frontend-nearby-noresults' => "C’est calme ici… Il n'y a aucune page dans les environs.",
	'mobile-frontend-nearby-noresults-guidance' => 'Essayez de créer une nouvelle page ou d’ajouter un emplacement à une déjà existante',
	'mobile-frontend-nearby-refresh' => 'Nous vous avons localisé plus précisément. Cliquez ici pour rafraîchir la liste des pages à proximité.',
	'mobile-frontend-nearby-error' => '{{SITENAME}} à proximité éprouve quelques problèmes.',
	'mobile-frontend-nearby-error-guidance' => "Essayez d'actualiser votre emplacement.",
	'mobile-frontend-nearby-link' => 'Lire cette page en entier',
	'mobile-frontend-nearby-directions' => 'Accéder ici',
	'mobile-frontend-donate-image-nouploads' => 'Aucun téléchargement.',
	'mobile-frontend-donate-image-login' => 'Les fichiers média sur {{SITENAME}} ont été donnés par des gens comme vous.',
	'mobile-frontend-donate-image-login-action' => 'Connectez-vous pour partager vos fichiers média.',
	'mobile-frontend-donate-image-signup-action' => 'Connectez-vous pour partager vos fichiers média avec le monde entier.',
	'mobile-frontend-photo-upload-disabled' => 'Aucune image n’est nécessaire sur cette page.',
	'mobile-frontend-photo-upload-anon' => 'Veuillez vous connecter pour ajouter une image à cette page.',
	'mobile-frontend-photo-upload-protected' => 'Vous n’avez pas le droit d’ajouter une image à cette page.',
	'mobile-frontend-photo-upload-unavailable' => 'Votre navigateur ne supporte pas le téléchargement des images.',
	'mobile-frontend-photo-upload-generic' => 'Contribuer avec une image',
	'mobile-frontend-donate-image-title' => 'Téléchargements',
	'mobile-frontend-donate-image-heading' => 'Vos dernières contributions',
	'mobile-frontend-donate-image-anon' => 'Un $1 est nécessaire pour voir la page des téléchargements.',
	'mobile-frontend-user-account' => 'compte utilisateur',
	'mobile-frontend-listed-image-no-description' => 'Aucune description',
	'mobile-frontend-donate-photo-upload-success' => 'Bravo! Votre image peut maintenant être utilisée sur {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Bravo! Merci pour votre première contribution!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Contribuez par vos images. Aidez {{SITENAME}} à prendre vie !',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Les images sur {{SITENAME}} viennent de WikiMédia Communs.',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Vos images aident à éduquer les gens partout dans le monde',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Éviter les matériaux protégés que vous trouvez sur l’Internet ainsi que les images d’affiches, les couvertures de livre, etc.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'C’est bon ?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Oui !',
	'mobile-frontend-watchlist-add' => '$1 ajouté à votre liste de suivi',
	'mobile-frontend-watchlist-removed' => '$1 retiré de votre liste de suivi',
	'mobile-frontend-watchlist-view' => 'Afficher votre liste de surveillance',
	'mobile-frontend-watchlist-more' => 'plus',
	'mobile-frontend-watchlist-cta' => 'Garder la trace de cette page et de toutes les modifications qui lui sont appliquées.',
	'mobile-frontend-watchlist-cta-button-login' => 'Connectez-vous',
	'mobile-frontend-watchlist-cta-button-signup' => 'Inscrivez-vous',
	'mobile-frontend-watchlist-purpose' => 'Une liste de suivi vous aide à marquer les pages et à garder trace des modifications qui les concernent.',
	'mobile-frontend-watchlist-login-action' => 'Connectez-vous pour le voir.',
	'mobile-frontend-watchlist-signup-action' => 'Connectez-vous pour en commencer une nouvelle.',
	'mobile-frontend-generic-login' => '{{SITENAME}} est fait par des gens comme vous.',
	'mobile-frontend-generic-login-action' => 'Connectez-vous pour contribuer.',
	'mobile-frontend-generic-signup-action' => 'Inscrivez-vous pour contribuer.',
	'mobile-frontend-watch-login' => 'Ajouter $1 à votre liste de suivi.',
	'mobile-frontend-edit-login' => 'Aider à améliorer la page $1.',
	'mobile-frontend-edit-login-action' => 'Connectez-vous pour modifier.',
	'mobile-frontend-edit-signup-action' => 'Inscrivez-vous pour modifier.',
	'mobile-frontend-watchlist-a-z' => 'Liste',
	'mobile-frontend-watchlist-feed' => 'Modifiés',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Cliquez sur l’étoile en haut de la page',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Vous ne surveillez pour le moment aucune page. Votre liste de suivi vous aide à garder trace des pages qui vous intéressent. Surveillez les pages en cliquant sur l’icône étoile.',
	'mobile-frontend-watchlist-feed-empty' => 'Il n’y a pas de pages avec les modifications récentes',
	'mobile-frontend-watchlist-back-home' => 'Retour à l’accueil',
	'mobile-frontend-changeslist-ip' => 'Utilisateur anonyme',
	'mobile-frontend-changeslist-nocomment' => 'aucun résumé de modification',
	'mobile-frontend-watchlist-filter-all' => 'Tous',
	'mobile-frontend-watchlist-filter-articles' => 'Pages',
	'mobile-frontend-watchlist-filter-talk' => 'Discussion',
	'mobile-frontend-watchlist-filter-other' => 'Autres',
	'mobile-frontend-watchlist-modified' => 'Modifié $1',
	'mobile-frontend-diffview-404-title' => 'Mauvaise révision',
	'mobile-frontend-diffview-404-desc' => "L'id de la révision que vous avez demandé n’existe pas.",
	'mobile-frontend-diffview-title' => 'Modifications',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|modification|modifications}}',
	'mobile-frontend-diffview-anonymous' => 'Utilisateur anonyme',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|octet ajouté|octets ajoutés}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|octet supprimé|octets supprimés}}',
	'mobile-frontend-diffview-explained' => 'Les lignes suivantes ont été ajoutées (+) et supprimées (-):',
	'mobile-frontend-thanked-notice' => '$1 a été averti que vous avez aimé {{GENDER:$2|sa}} modification.',
	'mobile-frontend-saving-exit-page' => "Votre contribution est en train d'être enregistrée. Si vous quittez, vos contributions seront perdues. Êtes-vous sûr de vouloir sortir?",
	'mobile-frontend-photo-upload' => 'Ajouter une image à cette page',
	'mobile-frontend-photo-article-edit-comment' => 'Image ajoutée pour être utilisée sur la page',
	'mobile-frontend-photo-article-donate-comment' => 'Contribution d’image à partir de Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Image ajoutée à la page',
	'mobile-frontend-photo-caption-placeholder' => 'Décrivez cette image (obligatoire)',
	'mobile-frontend-photo-ownership' => 'Moi, $1, ai créé cette image.',
	'mobile-frontend-photo-ownership-help' => 'Qu’est-ce que cela signifie ?',
	'mobile-frontend-photo-ownership-confirm' => 'C’est bon !',
	'mobile-frontend-lead-image-tutorial-summary' => 'Assurez-vous que votre image peut aider à illustrer cette page. Elle doit être une image que vous avez créée et qui ne viole pas de droit d’auteur.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Démarrer le téléchargement',
	'mobile-frontend-photo-upload-error' => "Une erreur s'est produite, veuillez réessayer.",
	'mobile-frontend-photo-upload-error-file-type' => 'Merci de ne télécharger que des images.',
	'mobile-frontend-photo-upload-error-filename' => 'Erreur, veuillez fournir un résumé plus descriptif.',
	'mobile-frontend-photo-upload-success-article' => 'Bravo! Votre image est maintenant en ligne sur cette page.',
	'mobile-frontend-photo-license' => 'En important cette image, vous acceptez nos [//wikimediafoundation.org/wiki/Terms_of_use conditions d’utilisation] et la mise à disposition de votre image sous la [//creativecommons.org/licenses/by-sa/3.0/ licence Creative Commons Attribution-ShareAlike 3.0].',
	'mobile-frontend-photo-submit' => 'Soumettre',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> téléchargement|<span>$1</span> téléchargements}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ téléchargements',
	'mobile-frontend-image-heading-describe' => "'''Décrire''' l’image",
	'mobile-frontend-image-uploading' => "'''Import''' de l’image en cours…",
	'mobile-frontend-image-cancel-confirm' => 'Annuler l’import ?',
	'mobile-frontend-editor-redirect-title' => "Redirection vers l'éditeur...",
	'mobile-frontend-editor-unavailable-header' => 'Éditeur indisponible',
	'mobile-frontend-editor-unavailable' => 'La modification via mobile n’est actuellement pas disponible sur votre navigateur. Veuillez essayer un autre navigateur.',
	'mobile-frontend-editor-undo-unsupported' => 'L’annulation n’est pour le moment pas supportée sur les terminaux mobiles.',
	'mobile-frontend-editor-newpage-prompt' => 'Cette page n’existe pas. Pourquoi ne pas vous lancer et la créer ?',
	'mobile-frontend-editor-disabled' => 'Cette page est protégée pour éviter le vandalisme.',
	'mobile-frontend-editor-blocked' => 'Votre compte est bloqué en modification.',
	'mobile-frontend-editor-cta' => 'Aidez à améliorer cette page !',
	'mobile-frontend-editor-edit' => 'Modifier',
	'mobile-frontend-editor-continue' => 'Continuer',
	'mobile-frontend-editor-save' => 'Sauvegarder',
	'mobile-frontend-editor-cancel' => 'Annuler',
	'mobile-frontend-editor-keep-editing' => 'Rester en modification',
	'mobile-frontend-editor-license' => 'En enregistrant vos modifications, vous acceptez nos [//wikimediafoundation.org/wiki/Terms_of_use conditions d’utilisation] et le placement de votre texte sous les licences [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0] et [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'Cette section est vide. Soyez le premier  à la compléter !',
	'mobile-frontend-editor-summary-placeholder' => 'Nous dire ce que vous avez modifié (facultatif)',
	'mobile-frontend-editor-cancel-confirm' => 'Voulez-vous vraiment abandonner votre modification ?',
	'mobile-frontend-editor-wait' => 'Enregistrement de la modification, veuillez patienter.',
	'mobile-frontend-editor-success' => 'Oui ! Votre modification a été enregistrée.',
	'mobile-frontend-editor-success-landmark-1' => 'Félicitations, vous êtes maintenant un éditeur {{SITENAME}} !',
	'mobile-frontend-editor-error' => "Erreur, la modification n'a pas été sauvegardée.",
	'mobile-frontend-editor-error-conflict' => 'Erreur, un autre utilisateur a modifié cette page.',
	'mobile-frontend-editor-error-loading' => "Erreur, la section n'a pas pu être chargée.",
	'mobile-frontend-editor-error-preview' => 'Erreur, quelque chose d’inattendu s’est produit lors du chargement de l’aperçu. Veuillez fermer et réessayer.',
	'mobile-frontend-editor-tutorial-summary' => 'N’ayez pas peur de marquer. Essayez d’améliorer la page $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Pourquoi ne pas améliorer $1 ? N’ayez pas peur du balisage !',
	'mobile-frontend-editor-tutorial-confirm' => 'Commencer à modifier',
	'mobile-frontend-editor-tutorial-cancel' => 'Non merci',
	'mobile-frontend-editor-captcha-try-again' => 'Mauvais code, essayez de nouveau.',
	'mobile-frontend-editor-abusefilter-warning' => 'Attention : Êtes-vous sûr de vouloir enregistrer cette modification ? Elle pourrait présenter un problème.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Cette modification ne peut pas être enregistrée parce que nous avons détecté un problème.',
	'mobile-frontend-editor-abusefilter-read-more' => 'En savoir plus',
	'mobile-frontend-editor-editing-page' => '<strong>Modification</strong> de<span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Aperçu</strong> de<span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Affichage de la source</strong> de<span> $1</span>',
	'tag-mobile_edit' => 'Modification par mobile',
	'tag-mobile_edit-description' => 'Modification effectuée depuis la version mobile',
	'mobile-frontend-drawer-cancel' => 'Annuler',
	'mobile-frontend-talk-explained' => 'Les conversations suivantes sont actives en ce moment',
	'mobile-frontend-talk-explained-empty' => 'Il n’y a pas de conversations sur cette page.',
	'mobile-frontend-talk-overlay-header' => 'Discussion',
	'mobile-frontend-talk-back-to-page' => 'Revenir à la page « $1 ».',
	'mobile-frontend-talk-overlay-lead-header' => 'Discussion anonyme',
	'mobile-frontend-talk-add-overlay-submit' => 'Ajouter une discussion',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Sujet de la rubrique',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Qu’avez-vous à l’esprit?',
	'mobile-frontend-talk-edit-summary' => 'Nouvelle section de discussion : $1',
	'mobile-frontend-talk-reply-success' => 'Votre réponse a été correctement enregistrée sur la page de discussion.',
	'mobile-frontend-talk-reply-info' => 'Veuillez noter que votre réponse sera automatiquement signée avec votre nom d’utilisateur.',
	'mobile-frontend-talk-reply' => 'Répondre',
	'mobile-frontend-talk-topic-feedback' => 'Nouveau sujet ajouté à la page de discussion !',
	'mobile-frontend-media-details' => 'Détails',
	'mobile-frontend-media-license-link' => 'Informations sur la licence',
	'abusefilter-edit-builder-vars-user-mobile' => 'Si un utilisateur est ou non en cours de modification via l’interface mobile',
	'mobile-frontend-profile-title' => 'Profil utilisateur',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Téléchargé}} {{PLURAL:$1|hier|il y a $1 jours|0=aujourd’hui}}.',
	'mobile-frontend-profile-usertalk' => 'Parler à {{GENDER:$1|$1}}',
	'mobile-frontend-profile-error' => 'Oh non !',
	'mobile-frontend-profile-noargs' => 'Aucun utilisateur n’a été indiqué. Veuillez indiquer un nom d’utilisateur pour afficher un profil.',
	'mobile-frontend-profile-nouser' => 'Il n’existe pas d’utilisateur avec ce nom. Les noms d’utilisateur sont sensibles à la casse, veuillez donc vérifier si vous l’avez bien tapé.',
	'mobile-frontend-profile-activity-heading' => 'Activité récente',
	'mobile-frontend-profile-userpage-link' => 'Visiter la page de l’utilisateur.',
	'mobile-frontend-requires-optin' => 'Cette page n’est pas accessible sauf si vous avez choisi notre mode bêta. Allez sur la [[Special:MobileOptions|page de paramètres]] pour le choisir.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Remercié}} {{GENDER:$1|par}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|A modifié}} la page [[:$1]], {{PLURAL:$2|hier|il y a $2 jours|0=plus tôt dans la journée}}.',
	'mobile-frontend-profile-footer-days' => 'Rejoint il y a {{PLURAL:$2|1 jour|$2 jours}} avec [[Special:Contributions/$1|{{PLURAL:$3|1 modification|$3 modifications}}]] et [[Special:Uploads/$1|{{PLURAL:$4|1 téléchargement|$4 téléchargements}}]].',
	'mobile-frontend-profile-footer-months' => 'Rejoint il y a plus {{PLURAL:$2|d’un mois|de $2 mois}} avec [[Special:Contributions/$1|{{PLURAL:$3|1 modification|$3 modifications}}]] et [[Special:Uploads/$1|{{PLURAL:$4|1 téléchargement|$4 téléchargements}}]].',
	'mobile-frontend-profile-footer-years' => 'Rejoint il y a plus {{PLURAL:$2|d’un an|de $2 ans}} avec [[Special:Contributions/$1|{{PLURAL:$3|1 modification|$3 modifications}}]] et [[Special:Uploads/$1|{{PLURAL:$4|1 téléchargement|$4 téléchargements}}]].',
	'mobile-frontend-geonotahack' => 'Proche de cette page',
	'beta-feature-geonotahack' => 'Proche de cette page',
	'beta-feature-geonotahack-description' => 'Découvrir des pages qui sont proches géographiquement du contenu de la page que vous êtes en train de regarder.',
	'mobile-frontend-mainpage-cta-prompt' => 'Cette page a besoin de votre aide !',
	'mobile-frontend-mainpage-cta-button' => 'Améliorer cette page',
	'beta-feature-minerva' => 'Activer le thème mobile (Minerve) sur le bureau',
	'beta-feature-minerva-description' => 'Faire du thème utilisé sur les périphériques mobiles un thème de bureau sélectionnable sous l’onglet des préférences d’apparence',
);

/** Franco-Provençal (arpetan)
 * @author ChrisPtDe
 */
$messages['frp'] = array(
	'mobile-frontend-desc' => 'Frontâl mobilo',
	'mobile-frontend-search-submit' => 'Alar trovar',
	'mobile-frontend-home-button' => 'Reçua',
	'mobile-frontend-logged-out' => 'Pas branchiê',
	'mobile-frontend-logged-in-homepage-notification' => 'Benvegnua, $1 !',
	'mobile-frontend-logged-in-toast-notification' => 'Branchiê coment $1.',
	'mobile-frontend-sign-up-heading' => 'Enscrîde-vos',
	'mobile-frontend-sign-in-heading' => 'Branchement',
	'mobile-frontend-sign-in-error-heading' => 'Chancro !',
	'mobile-frontend-settings-beta' => 'Bèta',
	'mobile-frontend-save-settings' => 'Encartar la configuracion', # Fuzzy
	'mobile-frontend-random-button' => 'A l’hasârd',
	'mobile-frontend-back-to-top-of-section' => 'Tornar d’una sèccion',
	'mobile-frontend-close-section' => 'Cllôre ceta sèccion',
	'mobile-frontend-regular-site' => 'Visualisacion classica',
	'mobile-frontend-wml-continue' => 'Continuar ...',
	'mobile-frontend-wml-back' => 'Retôrn ...',
	'mobile-frontend-view' => 'Visualisacion mobila',
	'mobile-frontend-view-desktop' => 'Classica',
	'mobile-frontend-view-mobile' => 'Enfatâblo',
	'mobile-frontend-opt-in-explain' => 'En rentrent dens la bèta-èprôva, vos aréd accès a les fonccionalitâts èxpèrimentâles, u risco de rencontrar cofieries et problèmos.',
	'mobile-frontend-images-status' => 'Émâges',
	'mobile-frontend-disable-images' => 'Dèsctivar les émâges sur lo seto mobilo',
	'mobile-frontend-enable-images' => 'Activar les émâges sur lo seto mobilo',
	'mobile-frontend-missing-image' => 'Émâge',
	'mobile-frontend-off' => 'NAN',
	'mobile-frontend-on' => 'OUÈ',
	'mobile-frontend-featured-article' => 'Lumiére dessus...', # Fuzzy
	'mobile-frontend-news-items' => 'Dens les novèles',
	'mobile-frontend-language-article-heading' => 'Liére dens n’ôtra lengoua',
	'mobile-frontend-language-header' => 'Ceta pâge est disponibla en $1 lengou{{PLURAL:$1|a|es}}',
	'mobile-frontend-language-variant-header' => 'Chouèsésséd la varianta {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Nota : ceta pâge pôt pas étre ècrita dens voutra lengoua prèferâye. Vos pouede vêre les lengoues recognues per {{SITENAME}} en cliquent ique.',
	'mobile-frontend-language-site-choose' => 'Rechèrchiér la lengoua',
	'mobile-frontend-username' => 'Nom d’utilisator :',
	'mobile-frontend-password' => 'Contresegno :',
	'mobile-frontend-username-placeholder' => 'Nom d’utilisator',
	'mobile-frontend-password-placeholder' => 'Contresegno',
	'mobile-frontend-login' => 'Sè branchiér',
	'mobile-frontend-account-create-submit' => 'Enscrîde-vos',
	'mobile-frontend-password-confirm-placeholder' => 'Confirmâd lo contresegno',
	'mobile-frontend-account-create-email-placeholder' => 'Adrèce èlèctronica (u chouèx)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Buchiéd lo tèxto de sècuritât', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Retôrn',
	'mobile-frontend-placeholder' => 'Rechèrchiér dessus {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Rechèrchiér dessus {{SITENAME}} (Bèta)',
	'mobile-frontend-placeholder-alpha' => 'Rechèrchiér dessus {{SITENAME}} (Fôrma Dragon)', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'refusar ceta notificacion',
	'mobile-frontend-clear-search' => 'Èfaciér',
	'mobile-frontend-privacy-link-text' => 'Confidencialitât',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Contegnu disponiblo desot [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-footer-contact' => 'Contacte',
	'mobile-frontend-main-menu-button-tooltip' => 'Uvrir lo menu principâl',
	'mobile-frontend-main-menu-page-title' => 'Navigacion du seto',
	'mobile-frontend-main-menu-featured' => 'Remarcâblo',
	'mobile-frontend-main-menu-nearby' => 'De prés',
	'mobile-frontend-main-menu-login' => 'Branchiéd-vos',
	'mobile-frontend-main-menu-logout' => 'Sè dèbranchiér',
	'mobile-frontend-main-menu-watchlist' => 'Lista de survelyence',
	'mobile-frontend-main-menu-settings' => 'Configuracion',
	'mobile-frontend-main-menu-settings-heading' => 'Configuracion du seto mobilo', # Fuzzy
	'mobile-frontend-settings-site-header' => 'Lengoues de {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} est disponiblo en $1 lengou{{PLURAL:$1|a|es}}. Totes les vèrsions disponibles sont listâyes ce-desot',
	'mobile-frontend-main-menu-account-create' => 'Fâre un compto',
	'mobile-frontend-page-menu-contents' => 'contegnu',
	'mobile-frontend-page-menu-history' => 'Historico',
	'mobile-frontend-meta-data-issues-header' => 'Problèmos',
	'mobile-frontend-meta-data-issues' => 'Ceta pâge at doux-três problèmos',
	'mobile-frontend-page-saving' => 'Encartâjo de $1',
	'mobile-frontend-photo-upload-generic' => 'Balyér n’émâge', # Fuzzy
	'mobile-frontend-donate-image-title' => 'Balyér n’émâge', # Fuzzy
	'mobile-frontend-donate-image-heading' => 'Voutres dèrriéres contribucions',
	'mobile-frontend-watchlist-add' => '$1 apondu a voutra lista de survelyence',
	'mobile-frontend-watchlist-removed' => '$1 enlevâ de voutra lista de survelyence',
	'mobile-frontend-watchlist-view' => 'Vêre voutra lista de survelyence',
	'mobile-frontend-watchlist-a-z' => 'Pâges siuvues', # Fuzzy
	'mobile-frontend-watchlist-feed' => 'Pâges avouéc changements', # Fuzzy
	'mobile-frontend-changeslist-ip' => 'Utilisator anonimo',
	'mobile-frontend-changeslist-nocomment' => 'nion rèsumâ de changement',
	'mobile-frontend-watchlist-filter-all' => 'Totes',
	'mobile-frontend-watchlist-filter-articles' => 'Articllos', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Discussion',
	'mobile-frontend-watchlist-filter-other' => 'Ôtres',
	'mobile-frontend-diffview-title' => 'Changements a $1', # Fuzzy
	'mobile-frontend-diffview-editcount' => '<div>$1</div> changement{{PLURAL:$1||s}}',
	'mobile-frontend-diffview-anonymous' => 'Utilisator anonimo',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|octèt apondu|octèts apondus}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|octèt enlevâ|octèts enlevâs}}',
	'mobile-frontend-table' => 'Grelye $1',
	'mobile-frontend-photo-upload' => 'Apondre la premiére fotô a ceta pâge', # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => 'Fotô apondua por étre empleyêye sur la pâge', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'Fotô apondua a la pâge', # Fuzzy
	'mobile-frontend-photo-caption-placeholder' => 'Apondre na lègenda por cet’émâge', # Fuzzy
	'mobile-frontend-image-loading' => 'Chargement de l’émâge',
	'mobile-frontend-image-uploading-wait' => 'Tèlèchargement de l’émâge', # Fuzzy
);

/** Northern Frisian (Nordfriisk)
 * @author MaxSem
 * @author Murma174
 */
$messages['frr'] = array(
	'mobilefrontend-random-explain' => 'As detdiar tufelag sidj intresant för di?',
	'mobilefrontend-random-cancel' => 'Läät mi lees!',
	'mobilefrontend-keepgoing-ask' => 'Gud maaget! Dü feist di drei! Wel dü noch en sidj bewerke?',
	'mobilefrontend-keepgoing-ask-first' => 'Harteölk lokwansker tu din iarst feranrang! Wel dü noch en ööder sidj bewerke?',
	'mobilefrontend-keepgoing-explain' => 'Gewaltag! En öödern brüker ment, dat detheer sidj halep nuadag hää. Ferschük detheer of en ööder.',
	'mobilefrontend-keepgoing-cancel' => 'Naan, föl soonk',
	'mobilefrontend-keepgoing-suggest' => 'Ja, wees so gud',
	'mobilefrontend-keepgoing-suggest-again' => 'En ööder ferschük',
	'nearby' => 'Naibi sidjen',
	'mobile-frontend-desc' => 'Iinstelang för mobiil aperooten',
	'mobile-frontend-search-submit' => 'Widjer',
	'mobile-frontend-home-button' => 'Tüs',
	'mobile-frontend-logged-out' => 'Ei uunmeldet',
	'mobile-frontend-logged-in-homepage-notification' => 'Welkimen, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Uunmeldet üs $1',
	'mobile-frontend-sign-up-heading' => 'Skriiw di iin',
	'mobile-frontend-sign-in-heading' => 'Skriiw di iin',
	'mobile-frontend-sign-in-why' => 'Wan dü en {{SITENAME}}-brükerkonto heest, könst dü di oner uunmelde.',
	'mobile-frontend-sign-in-error-heading' => 'Uups!',
	'mobile-frontend-settings-description' => 'Paase dan mobiil aperoot mä jodiar iinstelangen uun.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Eksperiment-Modus',
	'mobile-frontend-settings-alpha-description' => 'Enter dangerous and unexplored mobile territory. Get even more experimental features, but with more danger of bugs.',
	'mobile-frontend-save-settings' => 'Seekre',
	'mobile-frontend-save-error' => 'Din iinstelangen küd ei seekert wurd. Diarför skel cookies tuläät wees.',
	'mobile-frontend-random-button' => 'Tufaal',
	'mobile-frontend-back-to-top-of-section' => 'En straal turag gung',
	'mobile-frontend-regular-site' => 'Normool uunsicht',
	'mobile-frontend-wml-continue' => 'Widjer ...',
	'mobile-frontend-wml-back' => 'Turag ...',
	'mobile-frontend-view' => 'Mobiil uunsicht',
	'mobile-frontend-view-desktop' => 'Normool uunsicht',
	'mobile-frontend-view-mobile' => 'Mobiil uunsicht',
	'mobile-frontend-opt-in-explain' => 'Wan dü bi a beta-test mämaaget, heest dü muar mögelkhaiden, ferlicht werket det oober noch ei ales so üs det skal.',
	'mobile-frontend-images-status' => 'Bilen',
	'mobile-frontend-disable-images' => "Nian bilen uunwise bi't mobiil uunsicht",
	'mobile-frontend-enable-images' => "Bilen uunwise bi't mobiil uunsicht",
	'mobile-frontend-missing-image' => 'Bil',
	'mobile-frontend-off' => 'ÜTJ',
	'mobile-frontend-on' => 'UUN',
	'mobile-frontend-featured-article' => 'Artiikel faan a dai',
	'mobile-frontend-news-items' => 'Uun a noorachten',
	'mobile-frontend-language-article-heading' => 'Uun en ööder spriak lees',
	'mobile-frontend-language-header' => 'Detdiar sidj jaft at uun {{PLURAL:$1|ian spriak|$1 spriaken}}.',
	'mobile-frontend-language-variant-header' => 'Spriak ütjsjük faan {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Detdiar sidj as ferlicht ei uun din spriak skrewen. Wan dü diar trakst, könst dü sä, uun hük spriaken {{SITENAME}} skrewen as.',
	'mobile-frontend-language-site-choose' => 'Spriak schük',
	'mobile-frontend-username' => 'Brükernööm:',
	'mobile-frontend-password' => 'Paaswurd:',
	'mobile-frontend-username-placeholder' => 'Brükernööm',
	'mobile-frontend-password-placeholder' => 'Paaswurd',
	'mobile-frontend-login' => 'Uunmelde',
	'mobile-frontend-history' => 'Ferluup faan detdiar sidj uunluke.',
	'mobile-frontend-history-404-title' => 'Son sidj jaft at ei.',
	'mobile-frontend-history-404-desc' => "För en sidj, diar't ei jaft, könst dü nään ferluup uunluke. Ferlicht as det sidj stregen wurden, of dü beest en faalsk ferwisang fulagt.",
	'mobile-frontend-history-no-results' => 'För didiar filter jaft at nään ferluup.',
	'mobile-frontend-history-summary' => 'Sidjenferluup faan [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Tuleetst feranert di $1 am a klook $2',
	'mobile-frontend-last-modified-seconds' => 'Tuleetst feranert föör {{PLURAL:$1|ian sekund|$1 sekunden}}',
	'mobile-frontend-last-modified-minutes' => 'Tuleetst feranert föör {{PLURAL:$1|ian minüüt|$1 minüüten}}',
	'mobile-frontend-last-modified-hours' => 'Tuleetst feranert föör {{PLURAL:$1|ian stünj|$1 stünjen}}',
	'mobile-frontend-last-modified-days' => 'Tuleetst feranert föör {{PLURAL:$1|ään dai|$1 daar}}',
	'mobile-frontend-last-modified-months' => 'Tuleetst feranert föör {{PLURAL:$1|ään muun|$1 muuner}}',
	'mobile-frontend-last-modified-years' => 'Tuleetst feranert föör {{PLURAL:$1|ian juar|$1 juaren}}',
	'mobile-frontend-last-modified-just-now' => 'Jüst eewenst feranert',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Tuleetst {{GENDER:$1|bewerket}} föör {{PLURAL:$3|ian sekund|$3 sekunden}}] faan {{PLURAL:$5|[$6 $2]|0=en ünbekäänden brüker}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Tuleetst {{GENDER:$1|bewerket}} föör {{PLURAL:$3|ian minüüt|$3 minüüten}}] faan {{PLURAL:$5|[$6 $2]|0=en ünbekäänden brüker}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Tuleetst {{GENDER:$1|bewerket}} föör {{PLURAL:$3|ian stünj|$3 stünjen}}] faan {{PLURAL:$5|[$6 $2]|0=en ünbekäänden brüker}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Tuleetst {{GENDER:$1|bewerket}} föör {{PLURAL:$3|ään dai|$3 daar}}] faan {{PLURAL:$5|[$6 $2]|0=en ünbekäänden brüker}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Tuleetst {{GENDER:$1|bewerket}} föör {{PLURAL:$3|ään muun|$3 muuner}}] faan {{PLURAL:$5|[$6 $2]|0=en ünbekäänden brüker}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Tuleetst {{GENDER:$1|bewerket}} föör {{PLURAL:$3|ian juar|$3 juaren}}] faan {{PLURAL:$5|[$6 $2]|0=en ünbekäänden brüker}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Tuleetst {{GENDER:$1|bewerket}}] jüst eewenst faan {{PLURAL:$4|[$5 $2]|0=en ünbekäänden brüker}}',
	'mobile-frontend-learn-more' => 'Ik wal muar wed',
	'mobile-frontend-account-create-submit' => 'Skriiw di iin',
	'mobile-frontend-password-confirm-placeholder' => 'Paaswurd gudkään',
	'mobile-frontend-account-create-email-placeholder' => 'E-mail adres (optional)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Tustemangs-code iindu',
	'mobile-frontend-overlay-escape' => 'Turag',
	'mobile-frontend-placeholder' => 'Schük üüb {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Uun {{SITENAME}} schük (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Uun {{SITENAME}} schük (Eksperiment-Modus)',
	'mobile-frontend-search-help' => 'Du boowen det wurd iin, huar dü efter schükst. Paaselk sidjennöömer wurd do heer uunwiset.',
	'mobile-frontend-dismiss-notification' => 'Detdiar nooracht strik',
	'mobile-frontend-clear-search' => 'Leesag maage',
	'mobile-frontend-search-content' => 'Schük uun sidjen',
	'mobile-frontend-search-no-results' => 'Nian sidj mä son tiitel.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' , am tu lukin, of det schük-wurd irgenthuar apdaaget.",
	'mobile-frontend-privacy-link-text' => 'Dootenseekerhaid',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Di tekst as tu sen oner[//de.m.wikipedia.org/wiki/Wikipedia:Lizenzbestimmungen_Commons_Attribution-ShareAlike_3.0_Unported?useformat=mobile CC BY-SA 3.0]; diar kön uk noch ööder reegeln tääl.',
	'mobile-frontend-copyright' => 'Det sidj as tu fun oner $1 , wan diar niks ööders stäänt.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-search-noresults' => "So'n sidj jaft at ei. Schük en ööder sidj of trak üüb di schük-knoop faan din tastatuur, am det wurd uk banen uun en sidj tu schüken.",
	'mobile-frontend-terms-text' => "Reegeln för't brüken",
	'mobile-frontend-main-menu-button-tooltip' => 'Hoodütjwool eeben maage',
	'mobile-frontend-main-menu-page-title' => 'Sidjen nawigatjuun',
	'mobile-frontend-main-menu-featured' => 'Auer a miaten',
	'mobile-frontend-main-menu-nearby' => 'Naibi',
	'mobile-frontend-main-menu-login' => 'Uunmelde',
	'mobile-frontend-main-menu-logout' => 'Ufmelde',
	'mobile-frontend-main-menu-watchlist' => "Uun't uug behual",
	'mobile-frontend-main-menu-settings' => 'Iinstelangen',
	'mobile-frontend-main-menu-upload' => 'Huuchschüürd datein',
	'mobile-frontend-main-menu-settings-heading' => 'Iinstelangen',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} Spriaken',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} jaft at uun {{PLURAL:$1|ian spriak|$1 spriaken}}. A spriaken san oner apfeerd.',
	'mobile-frontend-main-menu-account-create' => 'Brükerkonto iinracht',
	'mobile-frontend-page-menu-contents' => 'Auersicht',
	'mobile-frontend-page-menu-history' => 'Ferluup',
	'mobile-frontend-meta-data-issues-header' => 'Komer',
	'mobile-frontend-meta-data-issues' => 'Mä detdiar sidj stemet wat ei.',
	'mobile-frontend-page-saving' => 'Seekre $1',
	'mobile-frontend-user-cta' => 'Melde di uun of skriiw di iin, am din noorachten tu leesen.',
	'mobile-frontend-user-button-tooltip' => 'Min bööd uunwise',
	'mobile-frontend-nearby-to-page' => 'Jodiar sidjen haa geograafisk mä $1 tu dun',
	'mobile-frontend-nearby-title' => 'Naibi',
	'mobile-frontend-nearby-loading' => 'Uun a naite',
	'mobile-frontend-nearby-requirements' => 'Dan webbrowser koon ei am mä "Naibi" {{SITENAME}}',
	'mobile-frontend-nearby-requirements-guidance' => 'Ferschük en öödern browser of aktiwiare JavaScript.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '„Naibi“ {{SITENAME}} koon ei ütjfinj, huar dü beest. Noch ans ferschük?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Schük en frei steed mä en beeder signool.',
	'mobile-frontend-nearby-permission' => '„Naibi“ faan {{SITENAME}} hää nian rocht, am üüb din steed tutugripen.',
	'mobile-frontend-nearby-permission-guidance' => 'Stel seeker, dat dü det uk tuläät heest, üüb din steed tutugripen. Luke noch ans bi a iinstelangen faan dan browser.',
	'mobile-frontend-nearby-noresults' => 'Böös stal heer ... Nian sidjen naibi fünjen.',
	'mobile-frontend-nearby-noresults-guidance' => 'Ferschük, en nei sidj tu skriiwen of det steed för en sidj tu finjen.',
	'mobile-frontend-nearby-refresh' => 'Wi haa en beeder steed för di fünjen. Trak diar för naibi sidjen.',
	'mobile-frontend-nearby-error' => '"Naibi" {{SITENAME}} hää en betj komer.',
	'mobile-frontend-nearby-error-guidance' => 'Ferschük, din steed tu aktualisiarin.',
	'mobile-frontend-nearby-link' => 'Hialer sidj lees',
	'mobile-frontend-nearby-directions' => 'Nawigiare heerhen',
	'mobile-frontend-donate-image-nouploads' => 'Nian huuchschüürd datein.',
	'mobile-frontend-donate-image-login' => 'Datein üüb {{SITENAME}} wurd faan lidj üs di huuchschüürd.',
	'mobile-frontend-photo-upload-disabled' => 'Üüb detdiar sidj woort nian bil brükt.',
	'mobile-frontend-photo-upload-anon' => 'Melde di uun, am en bil üüb detdiar sidj tu fun.',
	'mobile-frontend-photo-upload-protected' => 'Dü heest ei det brükerrocht, am en bil üüb detdiar sidj tu saaten.',
	'mobile-frontend-photo-upload-unavailable' => 'Dan browser koon nian bilen huuchschüür.',
	'mobile-frontend-photo-upload-generic' => 'En bil bidreeg',
	'mobile-frontend-donate-image-title' => 'Huuchschüürd datein',
	'mobile-frontend-donate-image-heading' => 'Din leetst bidracher.',
	'mobile-frontend-donate-image-anon' => 'Dü brükst en $1, am huuchschüürd datein uuntulukin.',
	'mobile-frontend-user-account' => 'brükerkonto',
	'mobile-frontend-listed-image-no-description' => 'Nian beskriiwang',
	'mobile-frontend-donate-photo-upload-success' => 'Klaar! Din bil koon nü brükt wurd üüb {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Klaar! Föl soonk för dan iarst bidrach!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Skaft din bilen. Halep mä an maage sidjen üüb {{SITENAME}} labener!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Bilen üüb {{SITENAME}} kem faan Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Mä din bilen halepst dü minsken üüb a hialer welt',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Nem nian bilen mä kopiarrochten ütj at internet, an uk nian bilen faan plakooten of bukamslacher of sowat.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Witjst beskias?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Ja!',
	'mobile-frontend-watchlist-add' => "$1 woort uun't uug behäälen.",
	'mobile-frontend-watchlist-removed' => "$1 woort ei muar uun't uug behäälen.",
	'mobile-frontend-watchlist-view' => "Wat ik uun't uug behual wal",
	'mobile-frontend-watchlist-more' => 'muar',
	'mobile-frontend-watchlist-cta' => 'Ferfulge det sidj an a feranrangen diar üüb.',
	'mobile-frontend-watchlist-cta-button-login' => 'Uunmelde',
	'mobile-frontend-watchlist-cta-button-signup' => 'Skriiw di iin',
	'mobile-frontend-watch-login' => "$1 uun't uug behual.",
	'mobile-frontend-watchlist-a-z' => 'Aptääl',
	'mobile-frontend-watchlist-feed' => 'Feranert sidjen',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klike üüb di stäär boowen üüb a sidj',
	'mobile-frontend-watchlist-a-z-empty-howto' => "Uun uugenblak heest dü nian sidjen uun't uug. Wan dü üüb di stäär boowen üüb a sidj klikest, behäälst dü det sidj uun't uug. So könst dü ferfulge, wan det sidj feranert woort.",
	'mobile-frontend-watchlist-feed-empty' => 'Diar san nian sidjen uun a leetst tidj feranert wurden.',
	'mobile-frontend-watchlist-back-home' => "Tüs tu't hoodsidj",
	'mobile-frontend-changeslist-ip' => 'Anonüüm brüker',
	'mobile-frontend-changeslist-nocomment' => 'nian tuupfaadang',
	'mobile-frontend-watchlist-filter-all' => 'Aaltumaal',
	'mobile-frontend-watchlist-filter-articles' => 'Sidjen',
	'mobile-frontend-watchlist-filter-talk' => 'Diskusjuun',
	'mobile-frontend-watchlist-filter-other' => 'Ööders wat',
	'mobile-frontend-watchlist-modified' => 'Feranert $1',
	'mobile-frontend-diffview-404-title' => 'Det werjuun docht niks',
	'mobile-frontend-diffview-404-desc' => 'Detdiar werjuun hää nian käännumer',
	'mobile-frontend-diffview-title' => 'Feranrangen',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|Ian feranrang|feranrangen}}',
	'mobile-frontend-diffview-anonymous' => 'Anonüüm brüker',
	'mobile-frontend-diffview-bytesadded' => '{{PLURAL:$1|ian byte|$1 bytes}} diartu kimen',
	'mobile-frontend-diffview-bytesremoved' => '{{PLURAL:$1|ian byte|$1 bytes}} wechnimen',
	'mobile-frontend-diffview-explained' => 'Jodiar räen kaam diartu (+) of san wechnimen wurden (−):',
	'mobile-frontend-thanked-notice' => '$1 hää bööd füngen, dat dü {{GENDER:$2|sin|hör|hör}} feranrang gud fanjst.',
	'mobile-frontend-saving-exit-page' => 'Dan bidrach woort noch seekert. Wan dü nü ufbräächst, as dan bidrach wech. Wel dü würelk ufbreeg?',
	'mobile-frontend-photo-upload' => 'Saat en bil tu detdiar sidj',
	'mobile-frontend-photo-article-edit-comment' => 'Bil tu det sidj tusaat',
	'mobile-frontend-photo-article-donate-comment' => 'Bidraanj bil faan Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Bil tu det sidj tusaat',
	'mobile-frontend-photo-caption-placeholder' => 'Beskriiw det bil (nuadag)',
	'mobile-frontend-image-loading' => 'Loose det bil ...',
	'mobile-frontend-photo-ownership' => 'Ik, $1 haa detdiar bil maaget.',
	'mobile-frontend-photo-ownership-help' => 'Wat menst dü?',
	'mobile-frontend-photo-ownership-confirm' => 'Ik witj, wat dü menst.',
	'mobile-frontend-photo-ownership-bullet-one' => "Wi kön bluas din aanj bilen uunnem. Schüür nian bilen huuch, diar dü irgenthuar uun't wääb fünjen heest!",
	'mobile-frontend-photo-ownership-bullet-two' => 'Bilen, huar ööder lidj rochten üüb haa of fülk bilen wurd stregen.',
	'mobile-frontend-photo-ownership-bullet-three' => 'Din huuchschüürd bilen stun oner en lisens, huar arken jo amsunst mä brük mut.',
	'mobile-frontend-photo-nag-1-bullet-1-heading' => "Ik ferstupe ei jin't copyright",
	'mobile-frontend-photo-nag-1-bullet-1-text' => "Det as '''nian''' bil ütj at internet. Ik haa't salew maaget.",
	'mobile-frontend-photo-nag-1-bullet-2-heading' => 'Det as nian persöönelk bil.',
	'mobile-frontend-photo-nag-1-bullet-2-text' => 'An det koon halep, en wichtag teemo düütelker tu maagin.',
	'mobile-frontend-photo-nag-2-bullet-1-heading' => "Diar as würelk nään komer mä't copyright. Det as en wäärdag bil.",
	'mobile-frontend-photo-nag-3-bullet-1-heading' => "Ik haa't begreben. Det nooracht skal ei muar uunwiset wurd.",
	'mobile-frontend-photo-nag-learn-more-heading' => 'Wat huuchschüür?',
	'mobile-frontend-photo-nag-learn-more-1' => "'''Ja!''' Aanj bilen faan steeden, dingen of fersaamlangen.",
	'mobile-frontend-photo-nag-learn-more-2' => "'''Ja!''' Bilen, diar {{SITENAME}}-sidjen smoker an beeder maage kön.",
	'mobile-frontend-photo-nag-learn-more-3' => "'''Naan.''' Bilen faan filmplakooten, bukamslacher of ööder materiool mä kopiarrochten. Soken wurd stregen.",
	'mobile-frontend-lead-image-tutorial-summary' => 'Wees seeker, dat dü en wäärdag bil för det sidj heest. Det skul en salew maaget bil wees, huar näämen ööders rochten üüb hää.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Huuchschüüren began',
	'mobile-frontend-image-uploading-wait' => 'Bil woort huuchschüürd, ... wees so gud an teew.',
	'mobile-frontend-image-uploading-long' => 'Bil woort huuchschüürd! Föl soonk, dat dü dülag beest.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Breeg uf</a>, wan\'t tu loong düüret.',
	'mobile-frontend-photo-upload-error' => 'Diar as wat skiaf gingen. Ferschük det man noch ans nei.',
	'mobile-frontend-photo-upload-error-file-type' => 'Wees so gud an schüür bluas bilen huuch.',
	'mobile-frontend-photo-upload-error-filename' => 'Det wiar niks. Wees so gud an beskriiw det beeder.',
	'mobile-frontend-photo-upload-success-article' => 'Klaar! Din bil as nü üüb det sidj tu sen.',
	'mobile-frontend-photo-license' => "Wan dü det bil huuchschüürst, stemest dü a [//wikimediafoundation.org/wiki/Terms_of_use brükerreegeln] tu an dat din bil oner det lisens [//creativecommons.org/licenses/by-sa/3.0/ Creative Common Attribution-ShareAlike 3.0] uun't näät steld woort.",
	'mobile-frontend-photo-submit' => 'Auerdreeg',
	'mobile-frontend-photo-cancel' => 'Ufbreeg',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> huuchschüürd bil|<span>$1</span> huuchschüürd bilen}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => 'muar üs 500 huuchschüürd bilen',
	'mobile-frontend-image-heading-describe' => "'''Beskriiw''' det bil",
	'mobile-frontend-image-uploading' => "Bil '''huuchschüür'''",
	'mobile-frontend-image-cancel-confirm' => 'Huuchschüüren ufbreeg?',
	'mobile-frontend-editor-unavailable' => 'Mä dan browser könst dü uun uugenblak ei mobiil werke.
Ferschük det mä en öödern browser.',
	'mobile-frontend-editor-undo-unsupported' => 'Det turagsaaten wort tu tidj faan mobiil aperooten noch ei tuläät.',
	'mobile-frontend-editor-newpage-prompt' => 'Detdiar sidj jaft at ei. Gung man bi an skriiw det!',
	'mobile-frontend-editor-disabled' => 'Detdiar sidj as seekert wurden, am wandaalen tu ferhanrin.',
	'mobile-frontend-editor-cta' => 'Halep mä an ferbeedre det sidj!',
	'mobile-frontend-editor-edit' => 'Bewerke',
	'mobile-frontend-editor-continue' => 'Widjer',
	'mobile-frontend-editor-save' => 'Seekre',
	'mobile-frontend-editor-cancel' => 'Ufbreeg',
	'mobile-frontend-editor-keep-editing' => 'Widjer bewerke',
	'mobile-frontend-editor-license' => "Wan dü a feranrangen seekerst, stemest dü a [//wikimediafoundation.org/wiki/Terms_of_use brükerreegeln] tu an dat dan tekst oner det lisens [//creativecommons.org/licenses/by-sa/3.0/ CC-BY-SA 3.0] an [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL] uun't näät steld woort.",
	'mobile-frontend-editor-placeholder' => 'Didiar kirew as leesag. Wees di iarst, di ham ütjwidjet!',
	'mobile-frontend-editor-summary-placeholder' => 'Fertel üs, wat dü feranert heest (freiwalag)',
	'mobile-frontend-editor-cancel-confirm' => 'Wel dü det bewerkin würelk ufbreeg?',
	'mobile-frontend-editor-wait' => 'Seekre din werk. Wees so gud an teew.',
	'mobile-frontend-editor-guider' => 'Mä "{{int:mobile-frontend-editor-continue}}" könst dü en föörskau uunluke of seekre.',
	'mobile-frontend-editor-success' => 'Det hää loket! Din werk as seekert.',
	'mobile-frontend-editor-success-landmark-1' => 'Gratliare! Dü beest nü en {{SITENAME}}-skriiwer!',
	'mobile-frontend-editor-error' => 'Diar as wat skiaf gingen. Din werk as ei seekert wurden.',
	'mobile-frontend-editor-error-conflict' => 'Diar as wat skiaf gingen. En öödern brüker hää jüst det sidj feranert.',
	'mobile-frontend-editor-error-loading' => 'Diar as wat skiaf gingen. Koon det kirew ei loose.',
	'mobile-frontend-editor-preview-header' => 'Föörskau',
	'mobile-frontend-editor-error-preview' => "Bi't loosin faan det föörskau as wat skiaf gingen. Breeg uf an ferschük det man noch ans.",
	'mobile-frontend-editor-tutorial-summary' => 'Wees ei baang föör markup-spriak.
Ferschük, det sidj "$1" beeder tu maagin.',
	'mobile-frontend-editor-tutorial-confirm' => "Mä't skriiwen began",
	'mobile-frontend-editor-captcha-try-again' => 'Ferkiard code, ferschük det man noch ans.',
	'mobile-frontend-editor-abusefilter-warning' => 'Paase üüb: Wel dü detdiar feranrang würelk seekre? Diar küdst dü komer mä fu.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Detdiar feranrang küd ei seekert wurd, auer diar irgentwat skiaf gingen as.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Muar lees',
	'mobile-frontend-editor-editing-page' => '<strong>Bewerkin</strong><span> faan $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Föörskau</strong><span> faan $1</span>',
	'tag-mobile_edit' => 'Mobiil bewerket',
	'tag-mobile_edit-description' => 'Faan en mobiil wääbsidj feranert',
	'mobile-frontend-drawer-cancel' => 'Ufbreeg',
	'mobile-frontend-talk-explained' => 'Jodiar diskusjuunen san uun uugenblak aktiif.',
	'mobile-frontend-talk-explained-empty' => 'Tu detdiar sidj jaft at nian diskusjuunen.',
	'mobile-frontend-talk-overlay-header' => 'Diskusjuun',
	'mobile-frontend-talk-back-to-page' => 'Turag tu det sidj "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Diskusjuun saner betiaknang',
	'mobile-frontend-talk-add-overlay-submit' => 'Nei diskusjuun began',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Huar det am gongt',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Wat heest ?',
	'mobile-frontend-talk-edit-summary' => 'Nei diskusjuunsdial: $1',
	'mobile-frontend-talk-reply-success' => 'Din oonswaar as üüb det diskusjuunssidj seekert wurden.',
	'mobile-frontend-talk-reply-info' => 'Din oonswaar woort automaatisk mä dan brükernööm kääntiakent.',
	'mobile-frontend-talk-reply' => 'Oonswaar',
	'mobile-frontend-media-details' => 'Enkelthaiden',
	'mobile-frontend-media-license-link' => "Muar auer't lisens",
	'abusefilter-edit-builder-vars-user-mobile' => 'Of en brüker mä det mobiil werjuun werket',
	'mobile-frontend-profile-title' => 'Brüker dooten',
	'mobile-frontend-profile-last-upload-caption' => '{{PLURAL:$1|Jister|Föör $1 daar|0=Daalang}} {{GENDER:$2|huuchschüürd}}.',
	'mobile-frontend-profile-usertalk' => 'Mä {{GENDER:$1|$1}} diskutiare',
	'mobile-frontend-profile-error' => 'Uu naan!',
	'mobile-frontend-profile-noargs' => 'Nään brükernööm uunden. Wees so gud an du en brükernööm uun, am a brükerdooten uuntulukin.',
	'mobile-frontend-profile-nouser' => 'Son brükernööm jaft at ei. Aachte uk üüb a grat- an letjskriiwang faan buksteewen.',
	'mobile-frontend-profile-activity-heading' => 'Aktiwiteet an bidracher', # Fuzzy
	'mobile-frontend-profile-userpage-link' => 'Brükersidj uunwise.',
	'mobile-frontend-requires-optin' => "Detdiar sidj as ei tu sen, wan dü di ei för't beta-muude uunmeldest. Gung diarför tu det sidj mä [[Special:MobileOptions|iinstelangen]].",
	'mobile-frontend-profile-last-thank' => '{{GENDER:$3|Besoonket}} {{GENDER:$1|faan}} [[Special:UserProfile/$1|$1]] för en feranrang üüb [[$2]].', # Fuzzy
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|hää}} det sidj [[:$1]] {{PLURAL:$2|jister|föör $2 daar|0=daalang}} bewerket.',
	'mobile-frontend-profile-footer-days' => 'Registriaret föör {{PLURAL:$2|ään dai|$2 daar}} mä [[Special:Contributions/$1|{{PLURAL:$3|ään bidrach|$3 bidracher}}]] an [[Special:Uploads/$1|{{PLURAL:$4|ian huuchschüürd datei|$4 huuchschüürd datein}}]].',
	'mobile-frontend-profile-footer-months' => 'Registriaret föör {{PLURAL:$2|ään muun|$2 muuner}} mä [[Special:Contributions/$1|{{PLURAL:$3|ään bidrach|$3 bidracher}}]] an [[Special:Uploads/$1|{{PLURAL:$4|ian huuchschüürd datei|$4 huuchschüürd datein}}]].',
	'mobile-frontend-profile-footer-years' => 'Registriaret föör {{PLURAL:$2|ian juar|$2 juar}} mä [[Special:Contributions/$1|{{PLURAL:$3|ään bidrach|$3 bidracher}}]] an [[Special:Uploads/$1|{{PLURAL:$4|ian huuchschüürd datei|$4 huuchschüürd datein}}]].',
	'mobile-frontend-geonotahack' => 'Naibi detdiar sidj',
	'beta-feature-geonotahack' => 'Naibi detdiar sidj',
	'beta-feature-geonotahack-description' => 'Finj sidjen, diar naibi det sidj san, diar dü jüst lääst.',
	'mobile-frontend-mainpage-cta-prompt' => 'Detdiar sidj hää din halep nuadag!',
	'mobile-frontend-mainpage-cta-button' => 'Detdiar sidj ferbeedre',
);

/** Friulian (furlan)
 * @author Tocaibon
 */
$messages['fur'] = array(
	'mobile-frontend-search-submit' => 'Va',
	'mobile-frontend-home-button' => 'Cjase',
	'mobile-frontend-random-button' => 'Casuâl',
	'mobile-frontend-back-to-top-of-section' => 'Salte indaûr di une sezion',
	'mobile-frontend-regular-site' => 'Viôt cheste pagjine te Vichipedie', # Fuzzy
	'mobile-frontend-featured-article' => 'Articul in vitrine di vuê', # Fuzzy
	'mobile-frontend-copyright' => "Il test al è disponibil sot de <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; a podin aplicâsi altris tiermins. Cjale <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Tiermins dal ûs</a> pai detais. {{SITENAME}} e je une marcje regjistrade de <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, une organizazion cence fin di lucri.", # Fuzzy
	'mobile-frontend-generic-login' => '{{SITENAME}} al è fat di int come te',
	'mobile-frontend-editor-cta' => 'Jude a migliorâ cheste pagjine',
);

/** Western Frisian (Frysk)
 * @author Kening Aldgilles
 */
$messages['fy'] = array(
	'mobile-frontend-photo-cancel' => 'Ofbrekke',
	'mobile-frontend-image-cancel-confirm' => 'Upload ôfbrekke?',
	'mobile-frontend-editor-edit' => 'Bewurkje',
	'mobile-frontend-editor-continue' => 'Trochgean',
	'mobile-frontend-editor-save' => 'Fêstlizze',
	'mobile-frontend-editor-cancel' => 'Ofbrekke',
	'mobile-frontend-drawer-cancel' => 'Ofbrekke',
);

/** Irish (Gaeilge)
 * @author පසිඳු කාවින්ද
 */
$messages['ga'] = array(
	'mobile-frontend-username' => 'Ainm úsáideora:',
	'mobile-frontend-password' => "D'fhocal faire:",
	'mobile-frontend-login' => 'Logáil isteach',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-main-menu-settings' => 'Sainroghanna',
	'mobile-frontend-page-menu-history' => 'Stair',
);

/** Scottish Gaelic (Gàidhlig)
 * @author Akerbeltz
 */
$messages['gd'] = array(
	'mobile-frontend-search-submit' => 'Rach',
	'mobile-frontend-home-button' => 'Dhachaigh',
	'mobile-frontend-random-button' => 'Air thuaiream',
	'mobile-frontend-back-to-top-of-section' => 'Leum earrann air ais',
	'mobile-frontend-regular-site' => 'Sealladh desktop',
	'mobile-frontend-view' => 'An sealladh mobile',
	'mobile-frontend-featured-article' => 'Susbaint bhrosnaichte an latha an-diugh',
	'mobile-frontend-copyright' => "Tha an t-susbaint seo ri fhaighinn fo $1 mur eil an caochladh 'ga innse.",
);

/** Galician (galego)
 * @author Elisardojm
 * @author MaxSem
 * @author MetalBrasil
 * @author Toliño
 */
$messages['gl'] = array(
	'mobilefrontend-random-explain' => 'É do seu interese esta páxina aleatoria?',
	'mobilefrontend-random-cancel' => 'Deixádema ler!',
	'mobilefrontend-keepgoing-ask' => 'Ben feito! Está afacéndose a isto! Quere intentar editar outra páxina?',
	'mobilefrontend-keepgoing-ask-first' => 'Parabéns pola súa primeira edición. Quere intentar editar outra páxina?',
	'mobilefrontend-keepgoing-explain' => 'Ben! Outro usuario indicou que esta páxina necesita axuda. Probe con esta ou con outra.',
	'mobilefrontend-keepgoing-cancel' => 'Non, grazas',
	'mobilefrontend-keepgoing-suggest' => 'Si, por favor',
	'mobilefrontend-keepgoing-suggest-again' => 'Probar outra',
	'mobilefrontend-keepgoing-saved-title' => 'Gardouse a edición!',
	'mobilefrontend-keepgoing-links-title' => 'Engada algunhas ligazóns',
	'mobilefrontend-keepgoing-links-ask-first' => 'Parabéns por facer a súa primeira edición! Quere axudar engadindo algunhas ligazóns ás páxinas creadas recentemente?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Quere corrixir outra páxina?',
	'mobilefrontend-keepgoing-links-explain' => 'Atope máis palabras que poderían ser ligazóns. Poña a palabra entre corchetes dobres.',
	'mobilefrontend-keepgoing-links-example' => 'por exemplo, $1guitarra$2 convértese en $3guitarra$4',
	'nearby' => 'Páxinas preto de vostede',
	'mobile-frontend-desc' => 'Interface para dispositivos móbiles',
	'mobile.css' => '/* O CSS que se coloque aquí afectará a quen use o sitio móbil */',
	'mobile.js' => '/* O JavaScript que se coloque aquí afectará a quen use o sitio móbil */',
	'mobile-frontend-search-submit' => 'Ir',
	'mobile-frontend-home-button' => 'Portada',
	'mobile-frontend-logged-out' => 'Non accedeu ao sistema',
	'mobile-frontend-logged-in-homepage-notification' => 'Reciba a nosa benvida, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Accedeu ao sistema como $1.',
	'mobile-frontend-generic-404-title' => 'Erro: Non se atopou a páxina',
	'mobile-frontend-generic-404-desc' => 'Non se puido atopar a páxina que buscaba.',
	'mobile-frontend-sign-up-heading' => 'Crear unha conta',
	'mobile-frontend-sign-in-heading' => 'Acceder',
	'mobile-frontend-sign-in-why' => 'Se ten unha conta en {{SITENAME}}, pode acceder a continuación.',
	'mobile-frontend-sign-in-error-heading' => 'Vaites!',
	'mobile-frontend-settings-description' => 'Personalice a súa experiencia desde o dispositivo móbil con estas configuracións para versión móbil do sitio.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Modo experimental',
	'mobile-frontend-settings-alpha-description' => 'Entre nun territorio móbil perigoso e sen explorar. Consiga as características máis experimentais, pero con máis risco de erros.',
	'mobile-frontend-save-settings' => 'Gardar',
	'mobile-frontend-save-error' => 'Erro ao gardar a configuración. Asegúrese de ter as cookies activadas.',
	'mobile-frontend-random-button' => 'Ao chou',
	'mobile-frontend-back-to-top-of-section' => 'Volver ao comezo da sección',
	'mobile-frontend-regular-site' => 'Vista normal',
	'mobile-frontend-wml-continue' => 'Continuar...',
	'mobile-frontend-wml-back' => 'Volver...',
	'mobile-frontend-view' => 'Vista móbil',
	'mobile-frontend-view-desktop' => 'Escritorio',
	'mobile-frontend-view-mobile' => 'Móbil',
	'mobile-frontend-cookies-required' => 'As cookies son necesarias para cambiar o modo de visualización. Permita o uso de cookies e inténteo de novo.',
	'mobile-frontend-opt-in-explain' => 'Ao entrar nas probas da versión móbil terá acceso ás características experimentais, correndo o risco de atopar erros e problemas.',
	'mobile-frontend-images-status' => 'Imaxes',
	'mobile-frontend-disable-images' => 'Desactivar as imaxes na versión móbil',
	'mobile-frontend-enable-images' => 'Activar as imaxes na versión móbil',
	'mobile-frontend-expand-sections-status' => 'Expandir todas as seccións',
	'mobile-frontend-expand-sections-description' => 'Expandir sempre todas as seccións ao explorar unha nova páxina.',
	'mobile-frontend-missing-image' => 'Imaxe',
	'mobile-frontend-off' => 'DESACTIVADAS',
	'mobile-frontend-on' => 'ACTIVADAS',
	'mobile-frontend-featured-article' => 'Contido destacado',
	'mobile-frontend-news-items' => 'Actualidade',
	'mobile-frontend-languages-404-title' => 'Erro de linguas',
	'mobile-frontend-languages-404-desc' => 'Cómpre especificar un título válido.',
	'mobile-frontend-languages-header' => 'Linguas',
	'mobile-frontend-languages-nonexistent-title' => 'A páxina "$1" non existe.',
	'mobile-frontend-languages-text' => '"$1" está dispoñible en $2 {{PLURAL:$2|lingua|linguas}}.',
	'mobile-frontend-languages-variant-header' => 'Variantes de {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Linguas</strong>',
	'mobile-frontend-language-article-heading' => 'Ler noutra lingua',
	'mobile-frontend-language-header' => 'Esta páxina está dispoñible en $1 {{PLURAL:$1|lingua|linguas}}',
	'mobile-frontend-language-variant-header' => 'Escolla a variante de {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Procurar unha lingua',
	'mobile-frontend-username' => 'Nome de usuario:',
	'mobile-frontend-password' => 'Contrasinal:',
	'mobile-frontend-username-placeholder' => 'Nome de usuario',
	'mobile-frontend-password-placeholder' => 'Contrasinal',
	'mobile-frontend-login' => 'Rexistro',
	'mobile-frontend-history' => 'Mostrar o historial de edicións desta páxina.',
	'mobile-frontend-history-404-title' => 'O título especificado é incorrecto', # Fuzzy
	'mobile-frontend-history-404-desc' => 'Non se pode buscar o historial dunha páxina que non existe. Se cadra, foi borrada ou seguiu unha ligazón incorrecta.',
	'mobile-frontend-history-summary' => 'Historial da páxina "[[:$1]]"',
	'mobile-frontend-last-modified-date' => 'Última modificación o $1 ás $2',
	'mobile-frontend-last-modified-seconds' => 'Última modificación hai {{PLURAL:$1|$1 segundo|$1 segundos}}',
	'mobile-frontend-last-modified-minutes' => 'Última modificación hai {{PLURAL:$1|$1 minuto|$1 minutos}}',
	'mobile-frontend-last-modified-hours' => 'Última modificación hai {{PLURAL:$1|$1 hora|$1 horas}}',
	'mobile-frontend-last-modified-days' => 'Última modificación hai {{PLURAL:$1|$1 día|$1 días}}',
	'mobile-frontend-last-modified-months' => 'Última modificación hai {{PLURAL:$1|$1 mes|$1 meses}}',
	'mobile-frontend-last-modified-years' => 'Última modificación hai {{PLURAL:$1|$1 ano|$1 anos}}',
	'mobile-frontend-last-modified-just-now' => 'Última modificación hai uns segundos',
	'mobile-frontend-account-create-submit' => 'Crear a conta',
	'mobile-frontend-password-confirm-placeholder' => 'Confirme o contrasinal',
	'mobile-frontend-account-create-email-placeholder' => 'Enderezo de correo electrónico (opcional)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Insira o código de confirmación',
	'mobile-frontend-overlay-escape' => 'Volver',
	'mobile-frontend-overlay-close' => 'Pechar',
	'mobile-frontend-overlay-continue' => 'Continuar',
	'mobile-frontend-placeholder' => 'Procurar en {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Procurar en {{SITENAME}} (beta)',
	'mobile-frontend-placeholder-alpha' => 'Procurar en {{SITENAME}} (experimental)',
	'mobile-frontend-dismiss-notification' => 'agochar esta notificación',
	'mobile-frontend-clear-search' => 'Limpar',
	'mobile-frontend-privacy-link-text' => 'Protección de datos',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'O texto está dispoñible baixo a licenza [//gl.m.wikipedia.org/wiki/Wikipedia:Texto_da_Licenza_Creative_Commons_Recoñecemento-CompartirIgual_3.0?useformat=mobile CC BY-SA 3.0]; pódense aplicar termos adicionais.',
	'mobile-frontend-copyright' => 'Todo o contido está dispoñible baixo a licenza $1, agás que se indique o contrario.',
	'mobile-frontend-footer-contact' => 'Contacto',
	'mobile-frontend-terms-text' => 'Termos de uso',
	'mobile-frontend-main-menu-button-tooltip' => 'Abrir o menú principal',
	'mobile-frontend-main-menu-page-title' => 'Navegación do sitio',
	'mobile-frontend-main-menu-featured' => 'Destacado',
	'mobile-frontend-main-menu-nearby' => 'Preto',
	'mobile-frontend-main-menu-login' => 'Acceder ao sistema',
	'mobile-frontend-main-menu-logout' => 'Saír',
	'mobile-frontend-main-menu-watchlist' => 'Lista de vixilancia',
	'mobile-frontend-main-menu-settings' => 'Configuracións',
	'mobile-frontend-main-menu-upload' => 'Cargas',
	'mobile-frontend-main-menu-settings-heading' => 'Configuracións',
	'mobile-frontend-settings-site-header' => 'Lingua de {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} está dispoñible en $1 {{PLURAL:$1|lingua|linguas}}. Todas as versións dispoñibles aparecen a continuación',
	'mobile-frontend-main-menu-account-create' => 'Crear unha conta',
	'mobile-frontend-page-menu-contents' => 'contidos',
	'mobile-frontend-page-menu-history' => 'Historial',
	'mobile-frontend-meta-data-issues-header' => 'Problemas',
	'mobile-frontend-meta-data-issues' => 'Esta páxina ten algúns problemas',
	'mobile-frontend-page-saving' => 'Gardando "$1"',
	'mobile-frontend-user-cta' => 'Acceda ao sistema ou rexístrese para ollar as súas notificacións.',
	'mobile-frontend-user-button-tooltip' => 'Mostrar as miñas notificacións',
	'mobile-frontend-nearby-to-page' => 'As seguintes páxinas están relacionadas con $1 pola súa localización xeográfica',
	'mobile-frontend-nearby-title' => 'Preto',
	'mobile-frontend-nearby-loading' => 'Cargando os temas próximos á súa localización actual',
	'mobile-frontend-nearby-requirements' => 'Sentímolo! O seu navegador web non soporta o sistema de localización de {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Probe cun navegador diferente ou active o JavaScript se o ten desactivado.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'O sistema de localización de {{SITENAME}} non é capaz de situar a súa posición no mapa... Quéreo intentar de novo?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Probe nun espazo aberto con mellor sinal.',
	'mobile-frontend-nearby-permission' => 'O sistema de localización de {{SITENAME}} non ten os permisos necesarios para acceder á súa localización.',
	'mobile-frontend-nearby-permission-guidance' => 'Asegúrese de conceder os permisos para mostrar a súa posición. Quizais teña que comprobar a configuración de localización do seu navegador.',
	'mobile-frontend-nearby-noresults' => 'Calma por aí… Non se atopou ningunha páxina nas proximidades.',
	'mobile-frontend-nearby-noresults-guidance' => 'Probe a crear unha nova páxina ou a engadir a localización a unha que xa exista',
	'mobile-frontend-nearby-refresh' => 'Atopamos unha localización máis axeitada para vostede. Prema aquí para recargar a lista de páxinas próximas',
	'mobile-frontend-nearby-error' => 'O sistema de localización de {{SITENAME}} está tendo algúns problemas.',
	'mobile-frontend-nearby-error-guidance' => 'Probe a refrescar a súa localización.',
	'mobile-frontend-nearby-link' => 'Ler esta páxina ao completo',
	'mobile-frontend-nearby-directions' => 'Navegue aquí',
	'mobile-frontend-donate-image-nouploads' => 'Sen cargas.',
	'mobile-frontend-donate-image-login' => 'Debe acceder ao sistema para ollar as súas cargas.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'Non é necesaria ningunha imaxe nesta páxina.',
	'mobile-frontend-photo-upload-anon' => 'Cómpre acceder ao sistema para engadir unha imaxe a esta páxina.', # Fuzzy
	'mobile-frontend-photo-upload-protected' => 'Non ten permiso para engadir unha imaxe a esta páxina.',
	'mobile-frontend-photo-upload-unavailable' => 'O seu navegador non soporta a carga de imaxes.',
	'mobile-frontend-photo-upload-generic' => 'Achegar unha imaxe',
	'mobile-frontend-donate-image-title' => 'Cargas',
	'mobile-frontend-donate-image-heading' => 'As súas achegas recentes',
	'mobile-frontend-donate-image-anon' => 'Cómpre ter unha $1 para acceder á páxina de cargas.',
	'mobile-frontend-user-account' => 'conta de usuario',
	'mobile-frontend-listed-image-no-description' => 'Sen descrición',
	'mobile-frontend-donate-photo-upload-success' => 'Correcto! Pode usar a súa imaxe en {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Correcto! Grazas pola súa primeira contribución!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Achegue as súas imaxes. Axude a que {{SITENAME}} cobre vida!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'As imaxes de {{SITENAME}} veñen da Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'As súas imaxes axudan a educar xente de todo o mundo',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Evite os materiais protexidos por dereitos de autoría que se atopen na internet, así como imaxes de pósters, portadas de libros etc.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Entende?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Si!',
	'mobile-frontend-watchlist-add' => '"$1" engadiuse á súa lista de vixilancia',
	'mobile-frontend-watchlist-removed' => '"$1" eliminouse da súa lista de vixilancia',
	'mobile-frontend-watchlist-view' => 'Ver a súa lista de vixilancia',
	'mobile-frontend-watchlist-more' => 'máis',
	'mobile-frontend-watchlist-cta' => 'Acceda ao sistema ou cree unha conta para vixiar esta páxina.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Identificarse',
	'mobile-frontend-watchlist-cta-button-signup' => 'Rexístrese',
	'mobile-frontend-watch-login' => 'Debe acceder ao sistema para vixiar páxinas.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'Lista',
	'mobile-frontend-watchlist-feed' => 'Modificadas',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Prema na estrela da parte superior da páxina',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Actualmente non vixía ningunha páxina. A lista de vixilancia axuda a facer un seguimento daquelas páxinas que atope interesantes. Pode vixiar páxinas premendo na icona en forma de estrela.',
	'mobile-frontend-watchlist-feed-empty' => 'Non hai páxinas con cambios recentes.',
	'mobile-frontend-watchlist-back-home' => 'Volver ao inicio',
	'mobile-frontend-changeslist-ip' => 'Usuario anónimo',
	'mobile-frontend-changeslist-nocomment' => 'sen resumo de edición',
	'mobile-frontend-watchlist-filter-all' => 'Todas',
	'mobile-frontend-watchlist-filter-articles' => 'Páxinas',
	'mobile-frontend-watchlist-filter-talk' => 'Conversa',
	'mobile-frontend-watchlist-filter-other' => 'Outras',
	'mobile-frontend-watchlist-modified' => 'Modificada $1',
	'mobile-frontend-diffview-404-title' => 'Revisión incorrecta',
	'mobile-frontend-diffview-404-desc' => 'O identificador da revisión solicitada non existe.',
	'mobile-frontend-diffview-title' => 'Cambios',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|edición|edicións}}',
	'mobile-frontend-diffview-anonymous' => 'Usuario anónimo',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte engadido|bytes engadidos}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte eliminado|bytes eliminados}}',
	'mobile-frontend-diffview-explained' => 'Engadíronse (+) e elimináronse (-) as seguintes liñas:',
	'mobile-frontend-thanked-notice' => '$1 recibiu un aviso de que a vostede lle gustou {{GENDER:$2|a súa}} edición.',
	'mobile-frontend-saving-exit-page' => 'A súa achega está gardándose. Se marcha, as súas contribucións hanse perder. Está seguro de querer saír?',
	'mobile-frontend-photo-upload' => 'Engadir unha imaxe a esta páxina',
	'mobile-frontend-photo-article-edit-comment' => 'Engadiuse unha imaxe para o seu uso na páxina',
	'mobile-frontend-photo-article-donate-comment' => 'Imaxe achegada desde Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Engadiuse unha imaxe á páxina',
	'mobile-frontend-photo-caption-placeholder' => 'Describa esta imaxe (obrigatorio)',
	'mobile-frontend-photo-ownership' => 'Eu, $1, creei esta imaxe.',
	'mobile-frontend-photo-ownership-help' => 'Que significa isto?',
	'mobile-frontend-photo-ownership-confirm' => 'Xa entendín!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Asegúrese de que a súa imaxe axude a ilustrar a páxina. Debe ser unha imaxe creada por vostede que non viole os dereitos de autoría.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Iniciar o envío',
	'mobile-frontend-photo-upload-error' => 'Houbo un erro. Inténteo de novo.',
	'mobile-frontend-photo-upload-error-file-type' => 'Por favor, cargue imaxes unicamente.',
	'mobile-frontend-photo-upload-error-filename' => 'Houbo un erro. Achegue un resumo máis descritivo.',
	'mobile-frontend-photo-upload-success-article' => 'Correcto! A súa imaxe está agora nesta páxina.',
	'mobile-frontend-photo-license' => 'Ao cargar esta imaxe acepta os nosos [//wikimediafoundation.org/wiki/Terms_of_Use/gl termos de uso] e acepta liberar a súa imaxe baixo a [//creativecommons.org/licenses/by-sa/3.0/deed.gl licenza Creative Commons recoñecemento compartir igual 3.0].',
	'mobile-frontend-photo-submit' => 'Enviar',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> carga|<span>$1</span> cargas}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '+500 cargas',
	'mobile-frontend-editor-unavailable' => 'A edición a través do móbil non está dispoñible no seu navegador. Probe cun navegador diferente.',
	'mobile-frontend-editor-undo-unsupported' => 'A función de desfacer non está soportada actualmente nos dispositivos móbiles.',
	'mobile-frontend-editor-newpage-prompt' => 'Esta páxina non existe. Sexa valente e empece a escribila!',
	'mobile-frontend-editor-disabled' => 'Non lle está permitido editar esta páxina.', # Fuzzy
	'mobile-frontend-editor-cta' => 'Debe acceder ao sistema para editar páxinas desde o móbil.', # Fuzzy
	'mobile-frontend-editor-edit' => 'Editar',
	'mobile-frontend-editor-continue' => 'Continuar',
	'mobile-frontend-editor-save' => 'Gardar',
	'mobile-frontend-editor-cancel' => 'Cancelar',
	'mobile-frontend-editor-keep-editing' => 'Seguir editando',
	'mobile-frontend-editor-license' => 'Ao gardar os cambios, acepta os nosos [//wikimediafoundation.org/wiki/Terms_of_Use/gl termos de uso] e acepta liberar o seu texto baixo a [//creativecommons.org/licenses/by-sa/3.0/deed.gl licenza CC BY-SA 3.0] e a [//gl.wikipedia.org/wiki/Wikipedia:Texto_da_Licenza_de_documentación_libre_de_GNU licenza GFDL].',
	'mobile-frontend-editor-placeholder' => 'Esta sección está baleira. Sexa o primeiro en expandila!',
	'mobile-frontend-editor-summary-placeholder' => 'Díganos o que modificou (opcional)',
	'mobile-frontend-editor-cancel-confirm' => 'Está seguro de querer deixar a edición?',
	'mobile-frontend-editor-wait' => 'Gardando a edición, agarde.',
	'mobile-frontend-editor-success' => 'Correcto! Gardouse a súa edición.',
	'mobile-frontend-editor-success-landmark-1' => 'Parabéns, xa é editor de {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Erro! Non se gardou a edición.',
	'mobile-frontend-editor-error-conflict' => 'Erro! Outro usuario modificou a páxina.',
	'mobile-frontend-editor-error-loading' => 'Erro! Non se pode cargar a sección.',
	'mobile-frontend-editor-error-preview' => 'Erro! Houbo un problema inesperado ao cargar a vista previa. Peche e vólvao intentar.',
	'mobile-frontend-editor-tutorial-summary' => 'Non lle teña medo ao formato wiki. Intente mellorar a páxina "$1".',
	'mobile-frontend-editor-tutorial-confirm' => 'Comece a editar',
	'mobile-frontend-editor-tutorial-cancel' => 'Non, grazas',
	'mobile-frontend-editor-captcha-try-again' => 'Código incorrecto. Inténteo de novo.',
	'mobile-frontend-editor-abusefilter-warning' => 'Atención: Está seguro de querer gardar esta edición? Pode haber problemas con ela.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Esta edición non se pode gardar porque detectamos un problema.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Ler máis',
	'tag-mobile_edit' => 'Edición desde un dispositivo móbil',
	'tag-mobile_edit-description' => 'Edición feita desde o sitio móbil',
	'mobile-frontend-drawer-cancel' => 'Cancelar',
	'mobile-frontend-talk-explained' => 'As seguintes conversas están activas nestes intres',
	'mobile-frontend-talk-explained-empty' => 'Non hai conversas sobre esta páxina.',
	'mobile-frontend-talk-overlay-header' => 'Conversa',
	'mobile-frontend-talk-back-to-page' => 'Volver á páxina "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Conversa sen título',
	'mobile-frontend-talk-add-overlay-submit' => 'Engadir a conversa',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Asunto do tema',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Que está pensando?',
	'mobile-frontend-talk-edit-summary' => 'Nova sección na conversa: $1',
	'mobile-frontend-talk-reply-success' => 'Gardouse correctamente a súa resposta na páxina de conversa.',
	'mobile-frontend-talk-reply-info' => 'Teña en conta que a súa resposta ha asinarse automaticamente co seu nome de usuario.',
	'mobile-frontend-talk-reply' => 'Responder',
	'mobile-frontend-media-details' => 'Detalles',
	'mobile-frontend-media-license-link' => 'Información sobre a licenza',
	'abusefilter-edit-builder-vars-user-mobile' => 'Se un usuario está ou non está editando a través da interface móbil',
	'mobile-frontend-profile-title' => 'Perfil de usuario',
	'mobile-frontend-profile-last-upload-caption' => 'A última carga realizouna {{GENDER:$1|$1}} {{PLURAL:$2|onte|hai $2 días|0=hoxe}}.', # Fuzzy
	'mobile-frontend-profile-usertalk' => 'Ver a páxina de conversa.', # Fuzzy
	'mobile-frontend-profile-noargs' => 'Indique un nome de usuario para ollar un perfil.', # Fuzzy
	'mobile-frontend-profile-nouser' => 'O nome de usuario non existe ou non é válido', # Fuzzy
	'mobile-frontend-profile-activity-heading' => 'Actividade recente',
	'mobile-frontend-profile-userpage-link' => 'Visitar a páxina de usuario.',
	'mobile-frontend-requires-optin' => 'Esta páxina non está dispoñible a menos que active o noso modo beta. Visite a [[Special:MobileOptions|páxina de configuración]] para activalo.',
	'mobile-frontend-profile-last-thank' => '[[Special:UserProfile/$1|$1]] foi {{GENDER:$1|o último|a última}} en agradecerlle unha edición feita en "[[$2]]".', # Fuzzy
	'mobile-frontend-geonotahack' => 'Preto desta páxina',
	'beta-feature-geonotahack' => 'Preto desta páxina',
	'mobile-frontend-mainpage-cta-button' => 'Mellorar esta páxina',
);

/** Guarani (Avañe'ẽ)
 * @author P. S. F. Freitas
 */
$messages['gn'] = array(
	'mobile-frontend-watchlist-a-z' => 'Tysýi',
);

/** Ancient Greek (Ἀρχαία ἑλληνικὴ)
 * @author Crazymadlover
 */
$messages['grc'] = array(
	'mobile-frontend-search-submit' => 'Ἰέναι',
	'mobile-frontend-home-button' => 'Κυρία',
	'mobile-frontend-username' => 'Ὄνομα χρωμένου:',
	'mobile-frontend-password' => 'Σῆμα:',
);

/** Swiss German (Alemannisch)
 * @author Als-Chlämens
 * @author Als-Holder
 */
$messages['gsw'] = array(
	'mobile-frontend-desc' => 'Optimiert Darstellig fir Mobili Ändgerät',
	'mobile-frontend-search-submit' => 'Gang',
	'mobile-frontend-home-button' => 'Start',
	'mobile-frontend-logged-out' => 'Nit aagmäldet',
	'mobile-frontend-settings-description' => 'Pass dyn Mobilgerät mit dänne Yystellige aa dyni Bedürfniss aa.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-save-settings' => 'Yystellige spychere', # Fuzzy
	'mobile-frontend-random-button' => 'Zuefall',
	'mobile-frontend-back-to-top-of-section' => 'Ei Abschnitt zruckgumpe',
	'mobile-frontend-close-section' => 'De Abschnitt zuemache',
	'mobile-frontend-regular-site' => 'Klassischi Aasicht',
	'mobile-frontend-wml-continue' => 'Wyter ...',
	'mobile-frontend-wml-back' => 'Zruck ...',
	'mobile-frontend-view' => 'Mobili Aasicht',
	'mobile-frontend-view-desktop' => 'Arbetsflechi',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-opt-in-explain' => 'Wänn du bim Beta-Test mitmachsch, chunnsch Zuegriff uf experimentälli Funktione iber, wu aber au Probläm un Fähler chenne verursache.',
	'mobile-frontend-images-status' => 'Bilder',
	'mobile-frontend-disable-images' => 'Bilder in dr mobilen Aasicht deaktiviere',
	'mobile-frontend-enable-images' => 'Bilder in dr mobilen Aasicht aktiviere',
	'mobile-frontend-missing-image' => 'Bild',
	'mobile-frontend-off' => 'UUS',
	'mobile-frontend-on' => 'AA',
	'mobile-frontend-featured-article' => 'Artikel vum Tag', # Fuzzy
	'mobile-frontend-news-items' => 'In dr Nochrichte',
	'mobile-frontend-language-header' => 'De Artikel isch uff {{PLURAL:$1|einere Sprooch|$1 Sprooche}} verfiegbar', # Fuzzy
	'mobile-frontend-language-footer' => 'Hiiweis: Dää Artikel isch villicht nit in Dyre Sproch gschribe. Du chasch aaluege, weli Sproche {{SITENAME}} unterstitzt, indäm Du do klicksch.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Sproch sueche',
	'mobile-frontend-username' => 'Benutzername:',
	'mobile-frontend-password' => 'Passwort:',
	'mobile-frontend-login' => 'Aamälde',
	'mobile-frontend-placeholder' => '{{SITENAME}} dursueche',
	'mobile-frontend-search-help' => 'Gib obe de Suechbegriff yy. Artikelname, wo passe, werde deno doo aazeigt.', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'die Benochrichtigung zuemache',
	'mobile-frontend-clear-search' => 'Lääre',
	'mobile-frontend-privacy-link-text' => 'Dateschutz',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'D Inhalt sin verfiegbar unter dr Lizänz [//de.m.wikipedia.org/wiki/Wikipedia:Lizenzbestimmungen_Commons_Attribution-ShareAlike_3.0_Unported?useformat=mobile CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-copyright' => "Dr Text isch unter dr Lizenz <a class='internal' href='http://de.wikipedia.org/wiki/{{SITENAME}}:Lizenzbestimmungen_Commons_Attribution-ShareAlike_3.0_Unported'>„Creative Commons Attribution/Share-Alike“</a> verfiegbar; zuesätzligi Bedingunge chenne aawändbar syy. Luege d <a class='internal' href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Nutzigsbedingige</a> fir Einzelheite. {{SITENAME}}® isch e yytraiti Marke vu dr Wikimedia Foundation Inc.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-search-noresults' => 'Es git kei Artikeltitel, wo dynrer Suechyygab entspricht. Du chasch dyni Suech aapasse, oder druff uff d Suechschaltflächi uff dynrer Tastatur, zume d Suech uff de ganze Inhalt vo de Artikel usszwyte.', # Fuzzy
	'mobile-frontend-main-menu-featured' => 'Bsundersch glunge',
	'mobile-frontend-main-menu-nearby' => 'In de Nööchi',
	'mobile-frontend-main-menu-settings' => 'Yystellige',
	'mobile-frontend-main-menu-settings-heading' => 'Mobilyystellige', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}}-Sproche',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} stoht in {{PLURAL:$1|ere Sproch|$1 Sproche}} z Verfiegig. Alli verfiegbare Sprochversione sin unten ufgfiert.',
	'mobile-frontend-page-menu-contents' => 'Inhalt',
	'mobile-frontend-page-menu-history' => 'Versione',
	'mobile-frontend-meta-data-issues-header' => 'Dää Artikel verbessere', # Fuzzy
	'mobile-frontend-meta-data-issues' => 'Mit däm Artikel git s Probläm', # Fuzzy
);

/** Gujarati (ગુજરાતી)
 * @author Ashok modhvadia
 * @author Dsvyas
 * @author KartikMistry
 * @author Sushant savla
 * @author Tekina
 */
$messages['gu'] = array(
	'mobile-frontend-desc' => 'મોબાઈલ દેખાવ',
	'mobile-frontend-search-submit' => 'જાઓ',
	'mobile-frontend-home-button' => 'ઘર',
	'mobile-frontend-logged-out' => 'પ્રવેશ કરેલ નથી',
	'mobile-frontend-settings-beta' => 'બીટા',
	'mobile-frontend-save-settings' => 'સાચવો',
	'mobile-frontend-random-button' => 'ગમે તે',
	'mobile-frontend-back-to-top-of-section' => 'વિભાગ પર પાછાં જાઓ',
	'mobile-frontend-close-section' => 'આ સત્ર બંધ કરો',
	'mobile-frontend-regular-site' => 'ડેસ્કટોપ દેખાવ',
	'mobile-frontend-wml-continue' => 'ચાલુ રાખો...',
	'mobile-frontend-wml-back' => 'પાછાં જાઓ...',
	'mobile-frontend-view' => 'મોબાઈલ દેખાવ',
	'mobile-frontend-view-desktop' => 'ડેસ્કટોપ',
	'mobile-frontend-view-mobile' => 'મોબાઇલ',
	'mobile-frontend-opt-in-explain' => 'બીટામાં જોડાઈને તમે પ્રાયોગિક ધોરણે કાર્યાન્વીત થયેલી સેવા પામી શકશો. આમાં ત્રુટી, ક્ષતિ અનુભવી શકો છો.',
	'mobile-frontend-images-status' => 'ચિત્રો',
	'mobile-frontend-disable-images' => 'મોબાઈલ સાઈટ પર ચિત્રો નિષ્ક્રિય કરો',
	'mobile-frontend-enable-images' => 'મોબાઈલ સાઈટ પર ચિત્રો સક્રિય કરો',
	'mobile-frontend-off' => 'બંધ',
	'mobile-frontend-on' => 'ચાલુ',
	'mobile-frontend-featured-article' => 'આજનો ઉમદા વિષય',
	'mobile-frontend-news-items' => 'સમાચારમાં',
	'mobile-frontend-language-footer' => 'નોંધ: કદાચ આ પાનું આપની પસંદગીની ભાષામાં લખાયેલું નથી. તમે અહીં ક્લિક કરીને જોઈ શકો છો કે {{SITENAME}} કઈ ભાષાઓમાં પ્રાપ્ત છે.',
	'mobile-frontend-language-site-choose' => 'શોધ ભાષા',
	'mobile-frontend-username' => 'સભ્યનામ:',
	'mobile-frontend-password' => 'પાસવર્ડ:',
	'mobile-frontend-login' => 'પ્રવેશ કરો',
	'mobile-frontend-learn-more' => 'વધુ જાણો',
	'mobile-frontend-placeholder' => '{{SITENAME}} શોધો',
	'mobile-frontend-dismiss-notification' => 'આ સૂચનાનું વિસર્જન કરો',
	'mobile-frontend-clear-search' => 'સાફ કરો',
	'mobile-frontend-privacy-link-text' => 'ખાનગીપણું',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'આ લેખન  [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] હેઠળ ઉપલબ્ધ છે; વધારાની શરતો લાગુ છે.',
	'mobile-frontend-footer-contact' => 'સંપર્ક',
	'mobile-frontend-main-menu-featured' => 'રુપક',
	'mobile-frontend-main-menu-nearby' => 'નજીકમાં',
	'mobile-frontend-main-menu-settings' => 'ગોઠવણીઓ',
	'mobile-frontend-main-menu-settings-heading' => 'ગોઠવણીઓ',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} ભાષાઓ',
	'mobile-frontend-page-menu-contents' => 'વિષયસૂચિ',
	'mobile-frontend-page-menu-history' => 'ઇતિહાસ',
	'mobile-frontend-nearby-requirements-guidance' => 'અન્ય બ્રાઉઝર પર પ્રયાસ કરો અથવા તમે જાવાસ્ક્રિપ્ટ અક્રિય કરી હોય તો તેને સક્રિય કરો.',
	'mobile-frontend-editor-edit' => 'ફેરફાર કરો',
	'mobile-frontend-editor-save' => 'સાચવો',
	'mobile-frontend-editor-cancel' => 'રદ કરો',
	'mobile-frontend-talk-overlay-header' => 'ચર્ચા',
);

/** Manx (Gaelg)
 * @author Shimmin Beg
 */
$messages['gv'] = array(
	'mobile-frontend-search-submit' => 'Gow',
	'mobile-frontend-home-button' => 'Balley',
	'mobile-frontend-random-button' => 'Gyn tort',
	'mobile-frontend-back-to-top-of-section' => 'Goll Erash Un Rheynn',
	'mobile-frontend-regular-site' => 'Jeeagh er y duillag shoh er {{SITENAME}} chadjin', # Fuzzy
	'mobile-frontend-featured-article' => 'Reih art y laa',
	'mobile-frontend-copyright' => "Ta'n teks ry-gheddyn fo'n <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Chiedoonys Creative Commons Attribution/Share-Alike</a>; foddee dy vel tooilley conaantyn currit rish. Jeeagh er <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Conaantyn Ymmyd</a> son tooilley mynphoyntyn. She cowrey keirdey jeh'n reagheydys neu-vondeishagh <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a> ee {{SITENAME}}.", # Fuzzy
);

/** Hausa (Hausa)
 */
$messages['ha'] = array(
	'mobile-frontend-search-submit' => 'Mu je',
	'mobile-frontend-home-button' => 'Marhabin',
	'mobile-frontend-random-button' => 'Randam',
	'mobile-frontend-back-to-top-of-section' => 'A tsallaka baya sashe guda',
	'mobile-frontend-regular-site' => 'A duba wannan shafi a kan {{SITENAME}} na kullum', # Fuzzy
	'mobile-frontend-featured-article' => 'Zaɓaɓɓar maƙala ta yau', # Fuzzy
	'mobile-frontend-copyright' => "Matanin ya samu ne a ƙarƙashin lasisin <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike</a>; tana yiyuwa wasu ƙa'idoji su yi tasiri. A duba <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Terms of Use</a> don ƙarin bayani. {{SITENAME}} sunan kasuwanci ne mai rajista na <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, haƙuma wadda ba ta neman riba ba.", # Fuzzy
);

/** Hawaiian (Hawai`i)
 */
$messages['haw'] = array(
	'mobile-frontend-search-submit' => 'Hele',
	'mobile-frontend-home-button' => 'Home',
	'mobile-frontend-random-button' => 'ʻOhi Kaulele',
	'mobile-frontend-back-to-top-of-section' => 'Hoʻi i ka Māhele ma mua',
	'mobile-frontend-regular-site' => 'Nānā kēia ʻaoʻao ma Wikipikia maʻamau', # Fuzzy
	'mobile-frontend-featured-article' => 'Ka ʻAtikala Nui o Kēia Lā', # Fuzzy
	'mobile-frontend-copyright' => "Loaʻa nā kikokikona i loko o <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; hiki paha kekahi mau mea ʻē aʻe ke pili. ʻIke i <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Terms of Use</a> no nā kikoʻī. ʻO Wikipikia kekahi Kunikia i kāinoa ʻia e <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, he ʻahahui uku ʻole ia.", # Fuzzy
);

/** Hebrew (עברית)
 * @author Amire80
 * @author Deror avi
 * @author Guycn1
 * @author Guycn2
 * @author Inkbug
 * @author Michagogo
 * @author Orsa
 * @author Ypnypn
 * @author אור שפירא
 */
$messages['he'] = array(
	'mobilefrontend-random-explain' => 'האם הדף האקראי הזה מעניין אותך?',
	'mobilefrontend-random-cancel' => 'תנו לי לקרוא!',
	'mobilefrontend-keepgoing-ask' => 'עבודה טובה! נראה שלמדת איך לעשות את זה! רוצה לנסות לערוך עוד דף?',
	'mobilefrontend-keepgoing-ask-first' => 'ברכות לרגל עריכתך הראשונה! רוצה לנסות לערוך עוד דף?',
	'mobilefrontend-keepgoing-explain' => 'מגניב! משתמש אחר אמר שהדף הזה זקוק לעזרה. אפשר לנסות אותו, או לנסות דף אחר.',
	'mobilefrontend-keepgoing-cancel' => 'לא, תודה',
	'mobilefrontend-keepgoing-suggest' => 'כן, בבקשה',
	'mobilefrontend-keepgoing-suggest-again' => 'לנסות אחד אחר',
	'mobilefrontend-keepgoing-saved-title' => 'העריכה נשמרה!',
	'mobilefrontend-keepgoing-links-title' => 'הוספת קישורים',
	'mobilefrontend-keepgoing-links-ask-first' => 'ברכות על העריכה הראשונה שלך! אפשר לבקש ממך לעזור לנו להוסיף קישורים לדף שנוצר לא מזמן?',
	'mobilefrontend-keepgoing-links-ask-again' => 'לתקן דף אחר?',
	'mobilefrontend-keepgoing-links-explain' => 'חשפו עוד מילים שהיו יכוליחם להיות קישורים. שימו אותה בסוגריים מרובעים כפולים.',
	'mobilefrontend-keepgoing-links-example' => 'למשל, $1גיטרה$2 תהפוך ל$3גיטרה$4',
	'nearby' => 'דפים לידך',
	'mobile-frontend-desc' => 'תצוגה עבור מכשירים ניידים',
	'mobile.css' => '/* הסגנונות הנכתבים כאן ישפיעו על הגולשים באתר למכשירים ניידים בלבד */',
	'mobile.js' => '/* כל סקריפט JavaScript שנכתב כאן ירוץ עבור הגולשים באתר למכשירים ניידים בלבד */',
	'mobile-frontend-search-submit' => 'חיפוש',
	'mobile-frontend-home-button' => 'דף הבית',
	'mobile-frontend-logged-out' => 'לא בחשבון',
	'mobile-frontend-logged-in-homepage-notification' => 'ברוך בואך, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'נכנסת לחשבון $1.',
	'mobile-frontend-generic-404-title' => 'שגיאה – הדף לא נמצא',
	'mobile-frontend-generic-404-desc' => 'הדף שחיפשת לא נמצא.',
	'mobile-frontend-sign-up-heading' => 'רישום',
	'mobile-frontend-sign-in-heading' => 'כניסה לחשבון',
	'mobile-frontend-sign-in-why' => 'אם יש לך חשבון ב{{GRAMMAR:תחילית|{{SITENAME}}}}, אפשר להיכנס אליו להלן.',
	'mobile-frontend-sign-in-error-heading' => 'אוי',
	'mobile-frontend-settings-description' => 'התאמה אישית של סביבת עבודה במכשיר הנייד בהגדרות האתר למכשירים ניידים.',
	'mobile-frontend-settings-beta' => 'להפעיל ניסויים',
	'mobile-frontend-settings-alpha' => 'מצב ניסויים',
	'mobile-frontend-settings-alpha-description' => 'כניסה לאזור מסוכן ולא מוכּר. יש פה אפשרויות עוד יותר ניסיוניות, אבל גם יותר סכנה לחוות באגים.',
	'mobile-frontend-save-settings' => 'שמירה',
	'mobile-frontend-save-error' => 'שגיאה בשמירת העדפות. יש לוודא שהעוגיות מופעלות.',
	'mobile-frontend-random-button' => 'דף אקראי',
	'mobile-frontend-back-to-top-of-section' => 'חזרה לקטע הקודם',
	'mobile-frontend-regular-site' => 'תצוגה למחשבים',
	'mobile-frontend-wml-continue' => 'המשך...',
	'mobile-frontend-wml-back' => 'חזרה...',
	'mobile-frontend-view' => 'תצוגה למכשירים ניידים',
	'mobile-frontend-view-desktop' => 'תצוגת מחשבים',
	'mobile-frontend-view-mobile' => 'תצוגת מכשירים ניידים',
	'mobile-frontend-cookies-required' => 'נדרשות עוגיות כדי לעבור בין מצבים. נא להפעיל אותן ולנסות שוב.',
	'mobile-frontend-opt-in-explain' => 'על־ידי הצטרפות לבטא, תקבלו גישה לאפשרויות ניסיוניות, אבל תסתכנו בהיתקלות בבאגים ובעיות.',
	'mobile-frontend-images-status' => 'להציג תמונות',
	'mobile-frontend-disable-images' => 'לכבות תמונות באתר למכשירים ניידים',
	'mobile-frontend-enable-images' => 'להפעיל תצוגת תמונות באתר למכשירים ניידים',
	'mobile-frontend-expand-sections-status' => 'להרחיב את כל הפסקאות',
	'mobile-frontend-expand-sections-description' => 'תמיד להרחיב את כל הפסקאות בעת מעבר לדף חדש.',
	'mobile-frontend-missing-image' => 'תמונה',
	'mobile-frontend-off' => 'לא',
	'mobile-frontend-on' => 'כן',
	'mobile-frontend-featured-article' => 'התוכן המומלץ של היום',
	'mobile-frontend-news-items' => 'בחדשות',
	'mobile-frontend-languages-404-title' => 'שגיאה בשפות',
	'mobile-frontend-languages-404-desc' => 'יש לציין כותרת תקינה.',
	'mobile-frontend-languages-header' => 'שפות',
	'mobile-frontend-languages-nonexistent-title' => 'הדף "$1" אינו קיים.',
	'mobile-frontend-languages-text' => 'הדף $1 זמין {{PLURAL:$2|בשפה אחת|ב־$2 שפות}}',
	'mobile-frontend-languages-variant-header' => 'הגוונים של {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>שפות</strong>',
	'mobile-frontend-language-article-heading' => 'לקרוא בשפה אחרת',
	'mobile-frontend-language-header' => 'הדף הזה זמין {{PLURAL:$1|בשפה אחת|ב־$1 שפות}}',
	'mobile-frontend-language-variant-header' => 'בחירת ההגוון של {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'חיפוש שפה',
	'mobile-frontend-username' => 'שם משתמש:',
	'mobile-frontend-password' => 'סיסמה:',
	'mobile-frontend-username-placeholder' => 'שם המשתמש',
	'mobile-frontend-password-placeholder' => 'סיסמה',
	'mobile-frontend-login' => 'כניסה',
	'mobile-frontend-history' => 'הצגת היסטוריית העריכה של הדף הזה.',
	'mobile-frontend-history-404-title' => 'אין דף כזה',
	'mobile-frontend-history-404-desc' => 'לא ניתן לצפות בהיסטוריה של דף שאינו קיים. ייתכן שהוא נמחק או שלחצת על קישור גרוע.',
	'mobile-frontend-history-no-results' => 'אין שום דבר בהיסטוריה שמתאים למסנן שהוגדר.',
	'mobile-frontend-contribution-summary' => 'כל העריכות של [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-history-summary' => 'היסטוריית הדף [[:$1]]',
	'mobile-frontend-last-modified-date' => 'השינוי האחרון נעשה בֹ־$1 ב־$2',
	'mobile-frontend-last-modified-seconds' => 'עודכן לאחרונה לפני {{PLURAL:$1|שנייה אחת|$1 שניות}}',
	'mobile-frontend-last-modified-minutes' => 'עודכן לאחרונה לפני {{PLURAL:$1|דקה אחת|$1 דקות}}',
	'mobile-frontend-last-modified-hours' => 'עודכן לאחרונה לפני {{PLURAL:$1|שעה אחת|שעתיים|$1 שעות}}',
	'mobile-frontend-last-modified-days' => 'עודכן לאחרונה לפני {{PLURAL:$1|יום אחד|יומיים|$1 ימים}}',
	'mobile-frontend-last-modified-months' => 'עודכן לאחרונה לפני {{PLURAL:$1|חודש אחד|חודשיים|$1 חודשים}}',
	'mobile-frontend-last-modified-years' => 'עודכן לאחרונה לפני {{PLURAL:$1|שנה אחת|שנתיים|$1 שנים}}',
	'mobile-frontend-last-modified-just-now' => 'שוּנה לפני זמן קצר',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 {{GENDER:$1|נערך}} לאחרונה לפני {{PLURAL:$3|שנייה אחת|$3 שניות}}] על־ידי {{PLURAL:$5|[$6 $2]|0=אלמוני}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 {{GENDER:$1|נערך}} לאחרונה לפני {{PLURAL:$3|דקה אחת|$3 דקות}}] על־ידי {{PLURAL:$5|[$6 $2]|0=אלמוני}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 {{GENDER:$1|נערך}} לאחרונה לפני {{PLURAL:$3|שעה אחת|שעתיים|$3 שעות}}] על־ידי {{PLURAL:$5|[$6 $2]|0=אלמוני}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 {{GENDER:$1|נערך}} לאחרונה לפני {{PLURAL:$3|יום אחד|יומיים|$3 ימים}}] על־ידי {{PLURAL:$5|[$6 $2]|0=אלמוני}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 {{GENDER:$1|נערך}} לאחרונה לפני {{PLURAL:$3|חודש אחד|חודשיים|$3 חודשים}}] על־ידי {{PLURAL:$5|[$6 $2]|0=אלמוני}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 {{GENDER:$1|נערך}} לאחרונה לפני {{PLURAL:$3|שנה|שנתיים|$3 שנה|$3 שנים}}] על־ידי {{PLURAL:$5|[$6 $2]|0=אלמוני}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 {{GENDER:$1|נערך}}] זה עתה על־ידי {{PLURAL:$4|[$5 $2]|0=אלמוני}}',
	'mobile-frontend-view-source' => 'הצגת מקור',
	'mobile-frontend-account-create-submit' => 'רישום',
	'mobile-frontend-password-confirm-placeholder' => 'אימות סיסמה',
	'mobile-frontend-account-create-email-placeholder' => 'כתובת דוא"ל (לא חובה)',
	'mobile-frontend-account-create-captcha-placeholder' => 'נא להזין קוד ביטחון',
	'mobile-frontend-overlay-escape' => 'לחזור',
	'mobile-frontend-overlay-close' => 'סגירה',
	'mobile-frontend-overlay-continue' => 'המשך',
	'mobile-frontend-placeholder' => 'חיפוש באתר {{SITENAME}}...',
	'mobile-frontend-placeholder-beta' => 'חיפוש באתר {{SITENAME}} (בטא)',
	'mobile-frontend-placeholder-alpha' => 'חיפוש באתר {{SITENAME}} (ניסיוני)',
	'mobile-frontend-dismiss-notification' => 'הסתרת ההודעה הזאת',
	'mobile-frontend-clear-search' => 'ניקוי',
	'mobile-frontend-search-content' => 'לחפש בדפים',
	'mobile-frontend-search-no-results' => 'אין דף עם השם הזה.',
	'mobile-frontend-search-content-no-results' => "יש '''{{int:mobile-frontend-search-content}}''' כדי לראות אם הביטוי הזה מופיע במקום כלשהו.",
	'mobile-frontend-privacy-link-text' => 'פרטיות',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'התוכן זמין לפי תנאי רישיון [//he.m.wikipedia.org/wiki/ויקיפדיה:רישיון_Creative_Commons_ייחוס-שיתוף_זהה_3.0_לא_מותאם?useformat=mobile CC BY-SA 3.0]; ייתכן שחלים תנאים נוספים.',
	'mobile-frontend-copyright' => 'התוכן זמין לפי תנאי $1 אלא אם כן נאמר אחרת.',
	'mobile-frontend-footer-contact' => 'יצירת קשר',
	'mobile-frontend-terms-text' => 'תנאי שימוש',
	'mobile-frontend-main-menu-button-tooltip' => 'פתיחת התפריט הראשי',
	'mobile-frontend-main-menu-page-title' => 'ניווט באתר',
	'mobile-frontend-main-menu-featured' => 'מומלץ',
	'mobile-frontend-main-menu-nearby' => 'בסביבה',
	'mobile-frontend-main-menu-login' => 'כניסה לחשבון',
	'mobile-frontend-main-menu-logout' => 'יציאה מהחשבון',
	'mobile-frontend-main-menu-watchlist' => 'רשימת מעקב',
	'mobile-frontend-main-menu-settings' => 'הגדרות',
	'mobile-frontend-main-menu-upload' => 'העלאות',
	'mobile-frontend-main-menu-settings-heading' => 'הגדרות',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} – שפות',
	'mobile-frontend-settings-site-description' => 'אתר {{SITENAME}} זמין {{PLURAL:$1|רק בשפה אחת|ב־$1 שפות}}. כל השפות הזמינות רשומות להלן',
	'mobile-frontend-main-menu-account-create' => 'יצירת חשבון',
	'mobile-frontend-page-menu-contents' => 'תוכן עניינים',
	'mobile-frontend-page-menu-history' => 'היסטוריה',
	'mobile-frontend-meta-data-issues-header' => 'בעיות',
	'mobile-frontend-meta-data-issues' => 'בדף הזה יש בעיות',
	'mobile-frontend-page-saving' => 'שמירת $1',
	'mobile-frontend-user-cta' => 'נא להיכנס או להירשם כדי לראות את ההודעות שלך.',
	'mobile-frontend-user-button-tooltip' => 'הצגת ההודעות שלי',
	'mobile-frontend-nearby-to-page' => 'הדפים הבאים קשורים ל{{GRAMMAR:$1}} במיקום הגאוגרפי שלהם',
	'mobile-frontend-nearby-title' => 'בסביבה',
	'mobile-frontend-nearby-loading' => 'טעינת נושאים ליד המיקום הנוכחי שלך',
	'mobile-frontend-nearby-requirements' => 'סילחה! הדפדפן שלך אינו תומך בפעולה "בסביבה" של אתר {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'אפשר לנסות להשתמש בדפדפן אחר או להפעיל תמיכה ב־JavaScript אם כיבית אותה.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|קילומטר אחד|$1 קילומטרים}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|מטר אחד|$1 מטרים}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'פעולה "בסביבה" של אתר {{SITENAME}} לא מצליחה להבין את מיקומך... לנסות שוב?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'מומלץ לנסות אזור פתוח עם קליטה טובה יותר',
	'mobile-frontend-nearby-permission' => 'לדף "בסביבה" של אתר {{SITENAME}} אין הרשאה לגשת למיקום שלך.',
	'mobile-frontend-nearby-permission-guidance' => 'נא לוודא שנתתם הרשאה להציג את מיקומכם. ייתכן שתצטרכו לבדוק את נתוני המיקום של הדפדפן שלכם.',
	'mobile-frontend-nearby-noresults' => 'שקט פה... לא מצאנו שום דפים בסביבה.',
	'mobile-frontend-nearby-noresults-guidance' => 'מומלץ לנסות ליצור דף חדש או להוסיף נתוני מיקום לדף קיים',
	'mobile-frontend-nearby-refresh' => 'מצאנו מיקום מדויק יותר עבורך. נא ללחוץ כאן כדי לרענן את רשימת הדפים בסביבה',
	'mobile-frontend-nearby-error' => 'לפעולת "בסביבה" של אתר {{SITENAME}} יש בעיות בהפעלה.',
	'mobile-frontend-nearby-error-guidance' => 'נא לנסות לרענן את מיקומך.',
	'mobile-frontend-nearby-link' => 'קריאת הדף הזה במלואו',
	'mobile-frontend-nearby-directions' => 'ניווט לכאן',
	'mobile-frontend-donate-image-nouploads' => 'אין העלאות.',
	'mobile-frontend-donate-image-login' => 'אנשים כמוך מעלים מדיה לאתר {{SITENAME}}.',
	'mobile-frontend-donate-image-login-action' => 'יש להיכנס כדי לשתף את המדיה שלך.',
	'mobile-frontend-donate-image-signup-action' => 'יש להירשם כדי לשתך את המדיה שלך עם העולם.',
	'mobile-frontend-photo-upload-disabled' => 'אין צורך בתמונה בדף הזה.',
	'mobile-frontend-photo-upload-anon' => 'נא להיכנס לחשבון כדי להוסיף תמונה לדף הזה.',
	'mobile-frontend-photo-upload-protected' => 'אין לך הרשאה להעלות תמונה לדף הזה.',
	'mobile-frontend-photo-upload-unavailable' => 'הדפדפן שלך אינו תומך בהעלאת תמונות.',
	'mobile-frontend-photo-upload-generic' => 'תרומת תמונה',
	'mobile-frontend-donate-image-title' => 'העלאות',
	'mobile-frontend-donate-image-heading' => 'התרומות האחרונות שלך',
	'mobile-frontend-donate-image-anon' => 'דרוש $1 כדי לראות את דף ההעלאות',
	'mobile-frontend-user-account' => 'חשבון משתמש',
	'mobile-frontend-listed-image-no-description' => 'אין תיאור',
	'mobile-frontend-donate-photo-upload-success' => 'יש! עכשיו אפשר להשתמש בתמונה שלך ב{{GRAMMAR:תחילית|{{SITENAME}}}}',
	'mobile-frontend-donate-photo-first-upload-success' => 'יש! תודה על תרומתך הראשונה!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'תרומה של התמונות שלך תפיח יותר חיים באתר {{SITENAME}}!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'תמונות באתר {{SITENAME}} מוויקישיתוף',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'התמונות שלך עוזרות לחנך אנשים מסביב לעולם',
	'mobile-frontend-first-upload-wizard-new-page-2' => "אין להעלות חומרים מוגבלים בזכויות יוצרים שמצאת באינטרנט, כגון תמונות של כרזות, עטיפות ספרים וכו'",
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'הבנת?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'כן!',
	'mobile-frontend-watchlist-add' => 'הדף $1 נוסף לרשימת המעקב שלך',
	'mobile-frontend-watchlist-removed' => 'הדף $1 הוסר מרשימת המעקב שלך',
	'mobile-frontend-watchlist-view' => 'הצגת רשימת המעקב שלך',
	'mobile-frontend-watchlist-more' => 'עוד',
	'mobile-frontend-watchlist-cta' => 'לעקוב אחרי הדף הזה וכל השינויים בו.',
	'mobile-frontend-watchlist-cta-button-login' => 'כניסה',
	'mobile-frontend-watchlist-cta-button-signup' => 'רישום',
	'mobile-frontend-watchlist-purpose' => 'רשימת המעקב עוזרת לך להוסיף סימניות לדפים ולעקוב אחרי שינויים בהם.',
	'mobile-frontend-watchlist-login-action' => 'יש להיכנס כדי לראות אותה.',
	'mobile-frontend-watchlist-signup-action' => 'יש להירשם כדי להתחיל אחת.',
	'mobile-frontend-generic-login' => 'אנשים כמוך עושים את {{SITENAME}}.',
	'mobile-frontend-generic-login-action' => 'יש להיכנס כדי לתרום.',
	'mobile-frontend-generic-signup-action' => 'נא להירשם כדי לתרום.',
	'mobile-frontend-watch-login' => 'להוסיף את $1 לרשימת המעקב שלך.',
	'mobile-frontend-edit-login' => 'לעזור לשפר את הדף $1.',
	'mobile-frontend-edit-login-action' => 'נא להיכנס כדי לערוך.',
	'mobile-frontend-edit-signup-action' => 'נא להירשם כדי לערוך.',
	'mobile-frontend-watchlist-a-z' => 'רשימה',
	'mobile-frontend-watchlist-feed' => 'דפים ששונו',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'יש ללחוץ על הכוכב בראש הדף',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'אין עכשיו דפים ברשימת המעקב שלך. רשימת המעקב שלך עוזרת לך לעקוב אחר דפים שמעניינים אותך. אפשר להוסיף דפים לרשימת מעקב באמצעות לחיצה על התמונה עם הכוכב.',
	'mobile-frontend-watchlist-feed-empty' => 'אין דפים ששונו לאחרונה',
	'mobile-frontend-watchlist-back-home' => 'חזרה לדף הבית',
	'mobile-frontend-changeslist-ip' => 'משתמש אלמוני',
	'mobile-frontend-changeslist-nocomment' => 'אין תקציר עריכה',
	'mobile-frontend-watchlist-filter-all' => 'הכול',
	'mobile-frontend-watchlist-filter-articles' => 'דפים',
	'mobile-frontend-watchlist-filter-talk' => 'שיחה',
	'mobile-frontend-watchlist-filter-other' => 'אחר',
	'mobile-frontend-watchlist-modified' => 'השתנה $1',
	'mobile-frontend-diffview-404-title' => 'גרסה בלתי־תקינה',
	'mobile-frontend-diffview-404-desc' => 'מספר הגרסה שביקשת אינו קיים',
	'mobile-frontend-diffview-title' => 'שינויים',
	'mobile-frontend-diffview-editcount' => '{{PLURAL:$1|עריכה אחד|<div>$1</div> עריכות}}',
	'mobile-frontend-diffview-anonymous' => 'משתמש אלמוני',
	'mobile-frontend-diffview-bytesadded' => '{{PLURAL:$1|נוסף בית אחד|נוספו $1 בתים}}',
	'mobile-frontend-diffview-bytesremoved' => '{{PLURAL:$1|הוסר בית אחד|הוסרו $1 בתים}}',
	'mobile-frontend-diffview-explained' => 'השורות הבאות נוספו (+) והוסרו (-):',
	'mobile-frontend-thanked-notice' => 'סיפרנו ל־$1 שאהבת עריכה {{GENDER:$2|שלו|שלה|שלהם}}.',
	'mobile-frontend-saving-exit-page' => 'תרומתך עדיין נשמרת. אם היישום ייסגר עכשיו, תרומתך תלך לאיבוד. באם ברצונך באמת לצאת?',
	'mobile-frontend-photo-upload' => 'הוספת תמונה לדף הזה',
	'mobile-frontend-photo-article-edit-comment' => 'נוספה תמונה לשימוש בדף הזה',
	'mobile-frontend-photo-article-donate-comment' => 'תמונה שנתרמה מדף Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'נוספה תמונה לדף',
	'mobile-frontend-photo-caption-placeholder' => 'נא לתאר את התמונה (חובה)',
	'mobile-frontend-photo-ownership' => 'אני, $1, יצרתי את התמונה הזאת.',
	'mobile-frontend-photo-ownership-help' => 'מה זה אומר?',
	'mobile-frontend-photo-ownership-confirm' => 'הבנתי!',
	'mobile-frontend-lead-image-tutorial-summary' => 'יש לוודא כי התמונה שלך עוזרת לאייר את הדף. זו צריכה להיות תמונה שיצרת בעצמך ושלא מפרה זכויות יוצרים.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'תחילת העלאה',
	'mobile-frontend-photo-upload-error' => 'שגיאה, נא לנסות שוב.',
	'mobile-frontend-photo-upload-error-file-type' => 'נא להעלות רק תמונות.',
	'mobile-frontend-photo-upload-error-filename' => 'שגיאה, נא לספק תקציר ברור יותר.',
	'mobile-frontend-photo-upload-success-article' => 'יש! עכשיו התמונה שלך מופיעה בדף הזה.',
	'mobile-frontend-photo-license' => 'העלאת התמונה היא הסכמה ל[//wikimediafoundation.org/wiki/Terms_of_use תנאי השימוש] ולפרסום התמונה שלך לפי [//creativecommons.org/licenses/by-sa/3.0/ רישיון Creative Commons Attribution-ShareAlike 3.0].',
	'mobile-frontend-photo-submit' => 'שליחה',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|העלאה <span>אחת</span>|<span>$1</span> העלאות}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => 'יותר מ־500 העלאות',
	'mobile-frontend-image-heading-describe' => "נא '''לתאר''' את התמונה",
	'mobile-frontend-image-uploading' => "'''העלאת''' התמונה...",
	'mobile-frontend-image-cancel-confirm' => 'לבטל את ההעלאה?',
	'mobile-frontend-editor-redirect-title' => 'מתבצעת הפניה לעורך...',
	'mobile-frontend-editor-unavailable-header' => 'העורך אינו זמין',
	'mobile-frontend-editor-unavailable' => 'עריכה ממכשירים ניידים אינה מופעלת בדפדפן שלך. נא לנסות דפדפן אחר.',
	'mobile-frontend-editor-undo-unsupported' => 'פעולת הביטול אינה נתמכת במכשירים ניידים כעת.',
	'mobile-frontend-editor-newpage-prompt' => 'הדף הזה אינו קיים. מה עם לאזור אומץ וליצור אותו?',
	'mobile-frontend-editor-disabled' => 'הדף הזה מוגן כדי למנוע השחתה.',
	'mobile-frontend-editor-blocked' => 'החשבון שלך חסום מפני עריכה.',
	'mobile-frontend-editor-cta' => 'עזרו לשפר את הדף הזה!',
	'mobile-frontend-editor-edit' => 'עריכה',
	'mobile-frontend-editor-continue' => 'הבא',
	'mobile-frontend-editor-save' => 'שמירה',
	'mobile-frontend-editor-cancel' => 'ביטול',
	'mobile-frontend-editor-keep-editing' => 'המשך עריכה',
	'mobile-frontend-editor-license' => 'שמירת השינויים מהווה את הסכמתך ל[//wikimediafoundation.org/wiki/Terms_of_use תנאי השימוש] ולפרסום הטקסט שלך לפי [//creativecommons.org/licenses/by-sa/3.0/ רישיון Creative Commons Attribution-ShareAlike] ו־[//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'הפסקה הזאת ריקה. רוצה להתחיל לכתוב אותה?',
	'mobile-frontend-editor-summary-placeholder' => 'נא לרשום כאן מה שינית (לא חובה)',
	'mobile-frontend-editor-cancel-confirm' => 'האם באמת לנטוש את העריכה שלך?',
	'mobile-frontend-editor-wait' => 'שמירת עריכה, נא להמתין.',
	'mobile-frontend-editor-success' => 'זה עבד! העריכה שלך נשמרה.',
	'mobile-frontend-editor-success-landmark-1' => 'ברכות, הצטרפת לעורכי אתר {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'שגיאה, העריכה לא נשמרה.',
	'mobile-frontend-editor-error-conflict' => 'שגיאה, משתמש אחר ערך את הדף.',
	'mobile-frontend-editor-error-loading' => 'שגיאה, לא ניתן לטעון את הפסקה.',
	'mobile-frontend-editor-error-preview' => 'שגיאה, קרה משהו בלתי־צפוי בעת ניסיון לטעון את התצוגה המקדימה. נא לסגור ולנסות שוב.',
	'mobile-frontend-editor-tutorial-summary' => 'אל תפחדו משפת העיצוב. בואו לנסות לשפר את הדף $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'מה דעתך לנסות לשפר את $1? לא צריך לפחד משפת העיצוב!',
	'mobile-frontend-editor-tutorial-confirm' => 'להתחיל לערוך',
	'mobile-frontend-editor-tutorial-cancel' => 'לא, תודה',
	'mobile-frontend-editor-captcha-try-again' => 'קוד שגוי, אנא נסו שוב.',
	'mobile-frontend-editor-abusefilter-warning' => 'אזהרה: האם ברצונך לשמור את העריכה הזאת? ייתכן שיש אתה בעיה.',
	'mobile-frontend-editor-abusefilter-disallow' => 'לא ניתן לשמור את העריכה הזאת מכיוון שמצאנו בה בעיה.',
	'mobile-frontend-editor-abusefilter-read-more' => 'מידע נוסף',
	'mobile-frontend-editor-editing-page' => '<strong>עריכת</strong> <span>$1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>תצוגה מקדימה של</strong> <span>$1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>הצגת המקור</strong> של <span>$1</span>',
	'tag-mobile_edit' => 'עריכה ממכשיר נייד',
	'tag-mobile_edit-description' => 'העריכה בוצעה מהאתר למכשירים ניידים',
	'mobile-frontend-drawer-cancel' => 'ביטול',
	'mobile-frontend-talk-explained' => 'השיחות הבאות פעילות עכשיו',
	'mobile-frontend-talk-explained-empty' => 'אין שיחות על הדף הזה.',
	'mobile-frontend-talk-overlay-header' => 'שיחה',
	'mobile-frontend-talk-back-to-page' => 'חזרה לדף "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'דיון ללא שם',
	'mobile-frontend-talk-add-overlay-submit' => 'להוסיף דיון',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'נושא ראשי',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'מה עובר לך בראש?',
	'mobile-frontend-talk-edit-summary' => 'דיון חדש: $1',
	'mobile-frontend-talk-reply-success' => 'תשובתך נשמרה בהצלחה בדף השיחה.',
	'mobile-frontend-talk-reply-info' => 'לתשומת לבך: לתשובתך תתווסף חתימה עם שם המשתמש שלך.',
	'mobile-frontend-talk-reply' => 'תשובה',
	'mobile-frontend-talk-topic-feedback' => 'נוסף נושא חדש לדף השיחה!',
	'mobile-frontend-media-details' => 'פרטים',
	'mobile-frontend-media-license-link' => 'מידע על הרישיון',
	'abusefilter-edit-builder-vars-user-mobile' => 'האם משתמש עורך דרך הממשק למכשירים ניידים או לא',
	'mobile-frontend-profile-title' => 'פרופיל משתמש',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|העלה|העלתה}} {{PLURAL:$1|אתמול|לפני יומיים|לפני $1 ימים|0=היום}}.',
	'mobile-frontend-profile-usertalk' => 'לדבר עם $1',
	'mobile-frontend-profile-error' => 'אבוי!',
	'mobile-frontend-profile-noargs' => 'לא ניתן שם משתמש. נא לתת שם משתמש כדי להציג פרופיל.',
	'mobile-frontend-profile-nouser' => 'לא קיים משתמש עם שם כזה. שמות המשתמשים הם תלויי רישיות, אז נא לבדוק שהם הוקלדו נכון.',
	'mobile-frontend-profile-activity-heading' => 'פעילות לאחרונה',
	'mobile-frontend-profile-userpage-link' => 'לבקר בדף המשתמש.',
	'mobile-frontend-requires-optin' => 'הדף הזה זמין רק למי שבחר להירשם לתכנית הבטא שלנו. נא לבקר [[Special:MobileOptions|בדף ההגדרות]] כדי להירשם.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|קיבל|קיבלה}} הודעת תודה מאת [[Special:UserProfile/$1|$1]].',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|ערך|ערכה}} את הדף [[:$1]] {{PLURAL:$2|אתמול|לפני יומיים|לפני $2 ימים|0=מוקדם יותר היום}}.',
	'mobile-frontend-profile-footer-days' => '{{GENDER:$1|הצרטרף|הצרטרפה}} לפני {{PLURAL:$2|יום אחד|יומיים|$2 ימים}}, {{GENDER:$1|עשה|עשתה}} [[Special:Contributions/$1|{{PLURAL:$3|עריכה אחת|$3 עריכות}}]] {{GENDER:$1|והעלה|והעלתה}} [[Special:Uploads/$1|{{PLURAL:$4|קובץ אחד|$4 קבצים|500=יותר מחמש מאות קבצים}}]].',
	'mobile-frontend-profile-footer-months' => '{{GENDER:$1|הצרטרף|הצרטרפה}} לפני {{PLURAL:$2|חודש אחד|חודשיים|$2 חודשים}}, {{GENDER:$1|עשה|עשתה}} [[Special:Contributions/$1|{{PLURAL:$3|עריכה אחת|$3 עריכות}}]] {{GENDER:$1|והעלה|והעלתה}} [[Special:Uploads/$1|{{PLURAL:$4|קובץ אחד|$4 קבצים|500=יותר מחמש מאות קבצים}}]].',
	'mobile-frontend-profile-footer-years' => '{{GENDER:$1|הצרטרף|הצרטרפה}} לפני {{PLURAL:$2|שנה אחת|שנתיים|$2 שנים}}, {{GENDER:$1|עשה|עשתה}} [[Special:Contributions/$1|{{PLURAL:$3|עריכה אחת|$3 עריכות}}]] {{GENDER:$1|והעלה|והעלתה}} [[Special:Uploads/$1|{{PLURAL:$4|קובץ אחד|$4 קבצים|500=יותר מחמש מאות קבצים}}]].',
	'mobile-frontend-geonotahack' => 'ליד הדף הזה',
	'beta-feature-geonotahack' => 'בסביבות הדף הזה',
	'beta-feature-geonotahack-description' => 'זה מאפשר לך לראות דפים שקרובים גאוגרפית לדפים שקראת.',
	'mobile-frontend-mainpage-cta-prompt' => 'הדף הזה זקוק לעזרתך!',
	'mobile-frontend-mainpage-cta-button' => 'שיפור הדף הזה',
	'beta-feature-minerva' => 'הפעלת העיצוב למכשירים ניידים (מינרווה) במחשב',
	'beta-feature-minerva-description' => 'הוספת האפשרות לבחור בעיצוב שמשמש למכשירים ניידים בתור אחד העיצובים בלשונית "מראה" בהעדפות.',
);

/** Hindi (हिन्दी)
 * @author Ankitgadgil
 * @author Ansumang
 * @author Faisalaziz4ever
 * @author Karthi.dr
 * @author Siddhartha Ghai
 * @author Venky2834
 */
$messages['hi'] = array(
	'mobile-frontend-desc' => 'मोबाइल फ़्रंटएंड',
	'mobile-frontend-search-submit' => 'जाएँ',
	'mobile-frontend-home-button' => 'गृह',
	'mobile-frontend-logged-out' => 'लॉग इन नहीं किया है',
	'mobile-frontend-sign-in-heading' => 'साइन इन करें',
	'mobile-frontend-sign-in-why' => 'अगर आप के पास {{SITENAME}} खाता है तो नीचे साइन इन कर सकते हैं।',
	'mobile-frontend-sign-in-error-heading' => 'त्रुटि',
	'mobile-frontend-settings-description' => 'इन मोबाइल विशिष्ट साइट सेटिंग्स के साथ अपने मोबाइल उपकरण पर अपने अनुभव को अनुकूलित करें।',
	'mobile-frontend-settings-beta' => 'बीटा',
	'mobile-frontend-save-settings' => 'सेटिंग्स सहेजें', # Fuzzy
	'mobile-frontend-random-button' => 'बेतरतीब',
	'mobile-frontend-back-to-top-of-section' => 'पिछला अनुभाग',
	'mobile-frontend-regular-site' => 'डेस्कटॉप दृश्य',
	'mobile-frontend-wml-continue' => 'जारी रखें ...',
	'mobile-frontend-wml-back' => 'वापस ...',
	'mobile-frontend-view' => 'मोबाइल दृश्य',
	'mobile-frontend-view-mobile' => 'मोबाइल',
	'mobile-frontend-opt-in-explain' => 'बीटा में शामिल होने से आपको प्रयोगात्मक विशेषताएँ दिखाई जाएँगी, तथा प्रोग्राम में त्रुटियाँ और समस्याएँ आने का खतरा होगा।',
	'mobile-frontend-images-status' => ' चित्र',
	'mobile-frontend-disable-images' => 'मोबाइल साइट पर छवियों को अक्षम करें',
	'mobile-frontend-enable-images' => 'मोबाइल साइट पर छवियों को सक्षम करें',
	'mobile-frontend-missing-image' => 'छवि',
	'mobile-frontend-featured-article' => 'आज का निर्वाचित लेख', # Fuzzy
	'mobile-frontend-news-items' => 'समाचार में',
	'mobile-frontend-username' => 'सदस्य नाम:',
	'mobile-frontend-password' => 'कूटशब्द:',
	'mobile-frontend-username-placeholder' => 'सदस्यनाम',
	'mobile-frontend-password-placeholder' => 'पासवर्ड',
	'mobile-frontend-login' => 'लॉग इन',
	'mobile-frontend-placeholder' => 'खोज शब्द यहाँ टाइप करें...', # Fuzzy
	'mobile-frontend-copyright' => 'इस भाषा के लिए मानक प्रकाशनाधिकार।', # Fuzzy
	'mobile-frontend-main-menu-account-create' => 'खाता बनाएँ',
	'mobile-frontend-page-menu-history' => 'इतिहास',
	'mobile-frontend-watchlist-cta-button-login' => 'लॉग इन करें',
	'mobile-frontend-watchlist-login-action' => 'यह देखने के लिए लॉग इन करें।',
	'mobile-frontend-watchlist-filter-all' => 'सभी',
	'mobile-frontend-watchlist-filter-articles' => 'लेख', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'वार्ता',
	'mobile-frontend-watchlist-filter-other' => 'अन्य',
);

/** Fiji Hindi (Latin script) (Fiji Hindi)
 * @author Karthi.dr
 */
$messages['hif-latn'] = array(
	'mobile-frontend-search-submit' => 'Jaao',
	'mobile-frontend-home-button' => 'Pahila Panna',
	'mobile-frontend-random-button' => 'Koi bhi',
	'mobile-frontend-images-status' => 'Chhapa',
	'mobile-frontend-featured-article' => 'Aaj ke featured article', # Fuzzy
	'mobile-frontend-username' => 'Sadasya ke naam:',
	'mobile-frontend-login' => 'Log in karo',
	'mobile-frontend-placeholder' => '{{SITENAME}} khojo',
	'mobile-frontend-privacy-link-text' => 'Gupt',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} Bhasa',
	'mobile-frontend-page-menu-history' => 'Itihaas',
);

/** Hiligaynon (Ilonggo)
 */
$messages['hil'] = array(
	'mobile-frontend-search-submit' => 'Lakat',
	'mobile-frontend-home-button' => 'Balay',
	'mobile-frontend-random-button' => 'Randum',
	'mobile-frontend-regular-site' => 'Tan-awon ini nga pahina sa regular na Wikipedya', # Fuzzy
	'mobile-frontend-featured-article' => 'Subong nga Napili na Artikulo', # Fuzzy
	'mobile-frontend-copyright' => "Ang ini nga teksto ay makita sa idalum <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; ang nadugang nga impormasyon ay pwede ma-aply. Tan-awa <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Terms of Use</a> para sa mga detalye. Ang Wikipedya ay rehistrado trademark sang <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, wala profidad nga organisasyon.", # Fuzzy
);

/** Croatian (hrvatski)
 * @author MaGa
 * @author Roberta F.
 * @author SpeedyGonsales
 */
$messages['hr'] = array(
	'mobile-frontend-desc' => 'Sučelje za mobilne uređaje',
	'mobile-frontend-search-submit' => 'Idi',
	'mobile-frontend-home-button' => 'Početna',
	'mobile-frontend-logged-out' => 'Niste prijavljeni',
	'mobile-frontend-logged-in-homepage-notification' => 'Dobrodošli, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Prijavljeni ste kao $1.',
	'mobile-frontend-sign-up-heading' => 'Prijavite se',
	'mobile-frontend-sign-in-heading' => 'Prijava',
	'mobile-frontend-sign-in-why' => 'Ako imate suradnički račun na {{SITENAME}}, prijavite se ovdje.',
	'mobile-frontend-sign-in-error-heading' => 'Pogrješka',
	'mobile-frontend-settings-description' => 'Prilagodite mobilno sučelje',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => '[//en.wikipedia.org/wiki/Here_be_dragons Za napredne] i hrabre', # Fuzzy
	'mobile-frontend-settings-alpha-description' => 'Još više eksperimentalnih mogućnosti, još veća opasnost od neriješenih bugova.',
	'mobile-frontend-save-settings' => 'Pohrani postavke', # Fuzzy
	'mobile-frontend-random-button' => 'Slučajna stranica',
	'mobile-frontend-back-to-top-of-section' => 'Skoči natrag na odjeljak',
	'mobile-frontend-close-section' => 'Zatvori odlomak',
	'mobile-frontend-regular-site' => 'Prikaz stranice kao na osobnom računalu',
	'mobile-frontend-wml-continue' => 'Nastavi...',
	'mobile-frontend-wml-back' => 'Natrag...',
	'mobile-frontend-view' => 'Mobilni prikaz',
	'mobile-frontend-view-desktop' => 'Osobno računalo',
	'mobile-frontend-view-mobile' => 'Mobilno računalo',
	'mobile-frontend-opt-in-explain' => 'Rabeći beta inačicu, dobivate pristup eksperimentalnim mogućnosti, ali uz rizik mogućih pogrješaka i problema.',
	'mobile-frontend-images-status' => 'Slike',
	'mobile-frontend-disable-images' => 'Onemogući prikaz slika na mobilnim stranicama',
	'mobile-frontend-enable-images' => 'Omogući prikaz slika na mobilnim stranicama',
	'mobile-frontend-missing-image' => 'Slika',
	'mobile-frontend-off' => 'isključeno',
	'mobile-frontend-on' => 'uključeno',
	'mobile-frontend-featured-article' => 'Današnji izabrani članak', # Fuzzy
	'mobile-frontend-news-items' => 'U vijestima',
	'mobile-frontend-language-article-heading' => 'Drugi jezici',
	'mobile-frontend-language-header' => 'Ova stranica dostupna je na $1 {{PLURAL:$1|jeziku|jezika}}',
	'mobile-frontend-language-variant-header' => 'Izaberite {{#language:{{CONTENTLANG}}}} inačicu',
	'mobile-frontend-language-footer' => 'Napomena: Ova stranica možda nije prikazana na jeziku Vašeg izbora. Pogledajte pregled dostupnih jezika na "{{SITENAME}}" ovdje.',
	'mobile-frontend-language-site-choose' => 'Potraži jezik',
	'mobile-frontend-username' => 'Suradničko ime:',
	'mobile-frontend-password' => 'Zaporka:',
	'mobile-frontend-username-placeholder' => 'Suradničko ime',
	'mobile-frontend-password-placeholder' => 'Zaporka',
	'mobile-frontend-login' => 'Prijava',
	'mobile-frontend-account-create-submit' => 'Prijavite se',
	'mobile-frontend-password-confirm-placeholder' => 'Potvrdi zaporku',
	'mobile-frontend-account-create-email-placeholder' => 'Adresa e-pošte (neobvezno)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Unesite "captcha" tekst', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Povratak',
	'mobile-frontend-placeholder' => 'Pretražite {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Pretražite {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Pretražite {{SITENAME}} (za napredne)', # Fuzzy
	'mobile-frontend-search-help' => 'Unesite traženi pojam a ovdje će se prikazati članci koji odgovaraju upitu.',
	'mobile-frontend-dismiss-notification' => 'ukloni ovu obavijest',
	'mobile-frontend-clear-search' => 'Očisti',
	'mobile-frontend-privacy-link-text' => 'Privatnost',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Sadržaj je dostupan pod [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] licencijom.', # Fuzzy
	'mobile-frontend-copyright' => "Tekst je dostupan pod licencijom <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Imenovanje/Dijeli pod istim uvjetima</a>; dodatni uvjeti mogu se primijenjivati. Pogledajte <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Uvjete uporabe</a> za detalje. Wikipedija je registrirani zaštitni znak <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, neprofitne organizacije.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-search-noresults' => 'Nema članka koji odgovara upitu. Promijenite traženi izraz, ili pritisnite gumb za pretraživanje sadržaja članaka.',
	'mobile-frontend-main-menu-button-tooltip' => 'Otvori glavni izbornik',
	'mobile-frontend-main-menu-page-title' => 'Navigacija',
	'mobile-frontend-main-menu-featured' => 'Izabrani članak',
	'mobile-frontend-main-menu-nearby' => 'U blizini',
	'mobile-frontend-main-menu-login' => 'Prijavite se',
	'mobile-frontend-main-menu-logout' => 'Odjava',
	'mobile-frontend-main-menu-watchlist' => 'Praćene stranice',
	'mobile-frontend-main-menu-settings' => 'Postavke',
	'mobile-frontend-main-menu-settings-heading' => 'Postavke mobilnog sučelja', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} jezici',
	'mobile-frontend-settings-site-description' => 'Projekt {{SITENAME}} dostupan je na $1 {{PLURAL:$1|jeziku|jezika}}. Sve jezične inačice pobrojane su ovdje',
	'mobile-frontend-main-menu-account-create' => 'Otvori suradnički račun',
	'mobile-frontend-page-menu-contents' => 'sadržaj',
	'mobile-frontend-page-menu-history' => 'Povijest stranice',
	'mobile-frontend-meta-data-issues-header' => 'Nedostatci',
	'mobile-frontend-meta-data-issues' => 'Ova stranica ima sljedeće nedostatke',
	'mobile-frontend-page-saving' => 'Snimam $1',
	'mobile-frontend-nearby-to-page' => 'Sljedeće stranice su povezane sa stranicom $1 na osnovi zemljopisne lokacije',
	'mobile-frontend-nearby-noresults' => 'Tiho je ovdje... Nije nađena niti jedna stranica u blizini.',
	'mobile-frontend-nearby-noresults-guidance' => 'Stvorite novu stranicu ili dodajte lokaciju postojećoj',
	'mobile-frontend-photo-upload-generic' => 'Darujte nam sliku', # Fuzzy
	'mobile-frontend-donate-image-title' => 'Darujte nam sliku', # Fuzzy
	'mobile-frontend-donate-image-heading' => 'Vaši nedavni doprinosi',
	'mobile-frontend-watchlist-add' => 'Stranica $1 dodana je na popis praćenih stranica',
	'mobile-frontend-watchlist-removed' => 'Stranica $1 uklonjena je s popisa praćenih stranica',
	'mobile-frontend-watchlist-view' => 'Pregled popisa praćenih stranica',
	'mobile-frontend-watchlist-a-z' => 'Praćene stranice', # Fuzzy
	'mobile-frontend-watchlist-feed' => 'Promijenjene stranice', # Fuzzy
	'mobile-frontend-changeslist-ip' => 'Anonimni suradnik',
	'mobile-frontend-changeslist-nocomment' => 'bez sažetka',
	'mobile-frontend-watchlist-filter-all' => 'Sve',
	'mobile-frontend-watchlist-filter-articles' => 'Članci', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Razgovor',
	'mobile-frontend-watchlist-filter-other' => 'Ostalo',
	'mobile-frontend-diffview-title' => 'Promjeni u $1', # Fuzzy
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|uređivanje|uređivanja}}',
	'mobile-frontend-diffview-anonymous' => 'Anonimni suradnik',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|bajt|bajta|bajtova}} dodano',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|bajt|bajta|bajtova}} obrisano',
	'mobile-frontend-table' => 'Tablica $1',
	'mobile-frontend-saving-exit-page' => 'Vaše uređivanje se još snima. Ako prekinete Vaše uređivanje bit će izgubljeno. Jeste li sigurni da želite prekinuti?',
	'mobile-frontend-photo-upload' => 'Dodaj prvu sliku na ovu stranicu', # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => 'Dodana slika na stranicu (s mobilnog uređaja)', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'Dodana slika na stranicu (s mobilnog uređaja)', # Fuzzy
	'mobile-frontend-photo-caption-placeholder' => 'Dodaj opis slike', # Fuzzy
	'mobile-frontend-image-loading' => 'Učitavam sliku',
	'mobile-frontend-image-uploading-wait' => 'Šaljem sliku', # Fuzzy
	'mobile-frontend-image-uploading-long' => 'Slika se još postavlja! Zahvaljujemo na strpljenju.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Otkaži</a> ako traje predugo.',
	'mobile-frontend-photo-upload-error' => 'Pogrješka tijekom slanja. Pokušajte opet, ili pokušajte s nekom drugom slikom.', # Fuzzy
	'mobile-frontend-photo-license' => 'Napomena: Sve slike koje dodate objavujete pod [//en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License CC BY-SA 3.0 licencijom]', # Fuzzy
	'tag-mobile_edit' => 'Uređivanje s mobilnog uređaja',
	'mobile-frontend-profile-last-thanked' => '{{GENDER:$1|je zadnji zahvalio|je zadnja zahvalila}} preko [[Special:UserProfile/$1|$1]] za uređivanje na [[$2]].', # Fuzzy
);

/** Upper Sorbian (hornjoserbsce)
 * @author Michawiki
 */
$messages['hsb'] = array(
	'mobilefrontend-random-explain' => 'Zajimuješ so za tutu připadnu stronu?',
	'mobilefrontend-random-cancel' => 'Daj mi čitać!',
	'mobilefrontend-keepgoing-explain' => 'Wulkotnje! Druhi wužiwar napisa, zo tuta strona pomoc trjeba. Spytaj tam pomhać abo druhdźe.',
	'mobilefrontend-keepgoing-cancel' => 'Ně, dźakuju so',
	'mobilefrontend-keepgoing-suggest' => 'Haj, prošu',
	'mobilefrontend-keepgoing-suggest-again' => 'Druhu spytać',
	'mobilefrontend-keepgoing-saved-title' => 'Změna składowana!',
	'mobilefrontend-keepgoing-links-title' => 'Wotkazy přidać',
	'mobilefrontend-keepgoing-links-ask-again' => 'Druhu stronu wobdźěłać?',
	'mobilefrontend-keepgoing-links-example' => 'na př. $1gitara$2 budźe $3gitara$4',
	'nearby' => 'Strony w twojej bliskosći',
	'mobile-frontend-desc' => 'Zwobraznjenje stronow za mobilne kónčne graty',
	'mobile-frontend-search-submit' => 'Pytać',
	'mobile-frontend-home-button' => 'Start',
	'mobile-frontend-logged-out' => 'Njepřizjewjeny',
	'mobile-frontend-logged-in-homepage-notification' => 'Witaj, $1',
	'mobile-frontend-logged-in-toast-notification' => 'Přizjewjeny jako $1.',
	'mobile-frontend-sign-up-heading' => 'Registrować',
	'mobile-frontend-sign-in-heading' => 'Registrować',
	'mobile-frontend-sign-in-why' => 'Jeli maš konto na {{GRAMMAR:lokatiw|{{SITENAME}}}}, móžeš so deleka registrować.',
	'mobile-frontend-sign-in-error-heading' => 'Hopla',
	'mobile-frontend-settings-description' => 'Přiměr swój mobilny grat z tutymi mobilnymi specifiskimi nastajenjemi.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Eksperimentalny modus',
	'mobile-frontend-save-settings' => 'Składować',
	'mobile-frontend-save-error' => 'Při składowanju nastajenjow je zmylk wustupił. Prošu přeswědč so, zo placki su zmóžnjene.',
	'mobile-frontend-random-button' => 'Připadny',
	'mobile-frontend-back-to-top-of-section' => 'Wotrězk wróćo skočić',
	'mobile-frontend-regular-site' => 'Klasiski napohlad',
	'mobile-frontend-wml-continue' => 'Dale ...',
	'mobile-frontend-wml-back' => 'Wróćo ...',
	'mobile-frontend-view' => 'Mobilny napohlad',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Mobilny',
	'mobile-frontend-opt-in-explain' => 'Přez wobdźělenje na betatesće, změješ přistup na eksperimentelne funkcije, kotrež wšak móža zmylki a problemy zawinować.',
	'mobile-frontend-images-status' => 'Wobrazy',
	'mobile-frontend-disable-images' => 'Wobrazy w mobilnym napohledźe znjemóžnić',
	'mobile-frontend-enable-images' => 'Wobrazy w mobilnym napohledźe zmóžnić',
	'mobile-frontend-missing-image' => 'Wobraz',
	'mobile-frontend-off' => 'WUPINJENY',
	'mobile-frontend-on' => 'ZAPINJENY',
	'mobile-frontend-featured-article' => 'Wobsah dnja',
	'mobile-frontend-news-items' => 'W powěsćach',
	'mobile-frontend-languages-404-title' => 'Zmylk rěčow',
	'mobile-frontend-languages-404-desc' => 'Dyrbiš płaćiwy titul podać',
	'mobile-frontend-languages-header' => 'Rěče',
	'mobile-frontend-languages-nonexistent-title' => 'Strona "$1" njeeksistuje.',
	'mobile-frontend-languages-text' => '$1 steji w $2 {{PLURAL:$2|rěči|rěčomaj|rěčach}} k dispoziciji',
	'mobile-frontend-languages-variant-header' => 'Warianty rěče {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Rěče</strong>',
	'mobile-frontend-language-article-heading' => 'W druhej rěči čitać',
	'mobile-frontend-language-header' => 'Tuta strona steji w $1 {{PLURAL:$1|rěči|rěčomaj|rěčach}} k dispoziciji',
	'mobile-frontend-language-variant-header' => 'Wariantu rěče {{#language:{{CONTENTLANG}}}} wubrać',
	'mobile-frontend-language-site-choose' => 'Rěč pytać',
	'mobile-frontend-username' => 'Wužiwarske mjeno:',
	'mobile-frontend-password' => 'Hesło:',
	'mobile-frontend-username-placeholder' => 'Wužiwarske mjeno',
	'mobile-frontend-password-placeholder' => 'Hesło',
	'mobile-frontend-login' => 'Přizjewić',
	'mobile-frontend-history' => 'Historiju změnow tuteje strony pokazać.',
	'mobile-frontend-history-404-title' => 'Strona njeeksistuje',
	'mobile-frontend-contribution-summary' => 'Wšě změny wot {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Historija strony za [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Posledni raz $1 $2 změnjeny',
	'mobile-frontend-last-modified-seconds' => 'Před {{PLURAL:$1|$1 sekundu|$1 sekundomaj|$1 sekundami}} posledni raz změnjeny',
	'mobile-frontend-last-modified-minutes' => 'Před {{PLURAL:$1|$1 mjeńšinu|$1 mjeńšinomaj|$1 mjeńšinami}} posledni raz změnjeny',
	'mobile-frontend-last-modified-hours' => 'Před {{PLURAL:$1|$1 hodźinu|$1 hodźinomaj|$1 hodźinami}} posledni raz změnjeny',
	'mobile-frontend-last-modified-days' => 'Před {{PLURAL:$1|$1 dnjom|$1 dnjomaj|$1 dnjemi}} posledni raz změnjeny',
	'mobile-frontend-last-modified-months' => 'Před {{PLURAL:$1|$1 měsacom|$1 měsacomaj|$1 měsacami}} posledni raz změnjeny',
	'mobile-frontend-last-modified-years' => 'Před {{PLURAL:$1|$1 lětom|$1 lětomaj|$1 lětami}} posledni raz změnjeny',
	'mobile-frontend-last-modified-just-now' => 'Runje změnjeny',
	'mobile-frontend-view-source' => 'Žórłowy tekst sej wobhladać',
	'mobile-frontend-account-create-submit' => 'Registrować',
	'mobile-frontend-password-confirm-placeholder' => 'Hesło wobkrućić',
	'mobile-frontend-account-create-email-placeholder' => 'E-mejlowa adresa (opcionalny)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Wobkrućenski kod zapodać',
	'mobile-frontend-overlay-escape' => 'Wróćo',
	'mobile-frontend-overlay-close' => 'Začinić',
	'mobile-frontend-overlay-continue' => 'Dale',
	'mobile-frontend-placeholder' => '{{GRAMMAR:akuzatiw|{{SITENAME}}}} přepytać',
	'mobile-frontend-placeholder-beta' => '{{GRAMMAR:akuzatiw|{{SITENAME}}}} přepytać (beta)',
	'mobile-frontend-placeholder-alpha' => '{{GRAMMAR:akuzatiw|{{SITENAME}}}} přepytać (eksperimentalny)',
	'mobile-frontend-dismiss-notification' => 'Tute zdźělenje zaćisnyć',
	'mobile-frontend-clear-search' => 'Wuprózdnić',
	'mobile-frontend-search-content' => 'Znutřka stronow pytać',
	'mobile-frontend-search-no-results' => 'Strona z tutym titulom njeje.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''', zo by widźał, hač so tutón wuraz něhdźe jewi.",
	'mobile-frontend-privacy-link-text' => 'Priwatnosć',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Tekst steji pod licencu [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] k dispoziciji; přidatne wuměnjenja dadźa so nałožić',
	'mobile-frontend-copyright' => 'Wobsah pod $1 k dispoziciji steji, jeli njeje so hinak podało.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-terms-text' => 'Wužiwanske wuměnjenja',
	'mobile-frontend-main-menu-button-tooltip' => 'Hłowny meni wočinić',
	'mobile-frontend-main-menu-page-title' => 'Sydłowa nawigacija',
	'mobile-frontend-main-menu-featured' => 'Wuběrny',
	'mobile-frontend-main-menu-nearby' => 'W bliskosći',
	'mobile-frontend-main-menu-login' => 'Přizjewić',
	'mobile-frontend-main-menu-logout' => 'Wotzjewić',
	'mobile-frontend-main-menu-watchlist' => 'Wobkedźbowanki',
	'mobile-frontend-main-menu-settings' => 'Nastajenja',
	'mobile-frontend-main-menu-upload' => 'Nahraća',
	'mobile-frontend-main-menu-settings-heading' => 'Nastajenja',
	'mobile-frontend-settings-site-header' => 'Rěče {{GRAMMAR:genitiw|{{SITENAME}}}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} steji w $1 {{PLURAL:$1|rěči|rěči|rěčach|rěčach}} k dispoziciji. Wšě k dispoziciji stejace wersije su deleka nalistowane:',
	'mobile-frontend-main-menu-account-create' => 'Konto załožić',
	'mobile-frontend-page-menu-contents' => 'wobsah',
	'mobile-frontend-page-menu-history' => 'Stawizny',
	'mobile-frontend-meta-data-issues-header' => 'Problemy',
	'mobile-frontend-meta-data-issues' => 'Tuta strona ma problemy',
	'mobile-frontend-page-saving' => '$1 so składuje',
	'mobile-frontend-user-button-tooltip' => 'Moje zdźělenki pokazać',
	'mobile-frontend-nearby-title' => 'W bliskosći',
	'mobile-frontend-nearby-loading' => 'Temy začitać, kotrež su w bliskosći twojeho městna',
	'mobile-frontend-nearby-requirements' => 'Bohužel twój wobhladowak funkciju "blisko {{GRAMMAR:genitiw|{{SITENAME}}}}" njepodpěruje.',
	'mobile-frontend-nearby-requirements-guidance' => 'Spytaj druhi wobhladowak abo zmóžń JavaScript, jeli sy jón znjemóžnił.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-noresults' => 'Zboha měrne tu... W bliskosći njejsu so žane strony namakali.',
	'mobile-frontend-nearby-refresh' => 'Smy dokładniše stejnišćo za tebje namakali. Klikń tu, zo by lisćinu ze stronami w bliskosći aktualizował',
	'mobile-frontend-nearby-error' => 'Funkcija "blisko {{GRAMMAR:genitiw|{{SITENAME}}}}" ma někotre problemy.',
	'mobile-frontend-nearby-link' => 'Dospołnu stronu čitać',
	'mobile-frontend-donate-image-nouploads' => 'Žane nahrate dataje.',
	'mobile-frontend-donate-image-login' => 'Medije na {{GRAMMAR:lokatiw|{{SITENAME}}}} daruja so wot ludźi kaž ty .',
	'mobile-frontend-photo-upload-disabled' => 'Na tutej stronje žadyn wobraz trěbny njeje.',
	'mobile-frontend-photo-upload-anon' => 'Prošu přizjew so, zo by tutej stronje wobraz přidał.',
	'mobile-frontend-photo-upload-unavailable' => 'Twój wobhladowak nahraća wobrazow njepodpěruje.',
	'mobile-frontend-photo-upload-generic' => 'Wobraz přinošować',
	'mobile-frontend-donate-image-title' => 'Nahraća',
	'mobile-frontend-donate-image-heading' => 'Twoje najnowše přinoški',
	'mobile-frontend-donate-image-anon' => 'Trjebaš $1, zo by sej stronu nahraćow wobhladał.',
	'mobile-frontend-user-account' => 'wužiwarske konto',
	'mobile-frontend-listed-image-no-description' => 'Žane wopisanje',
	'mobile-frontend-donate-photo-upload-success' => 'Wuspěch! Twój wobraz hodźi so nětko na {{GRAMMAR:lokatiw|{{SITENAME}}}} wužiwać!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Wuspěch! Wulki dźak za twój prěni přinošk!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Přinošuj swoje wobrazy. Pomhaj {{GRAMMAR:akuzatiw|{{SITENAME}}}} k žiwjenju zbudźić!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Wobrazy na {{GRAMMAR:lokatiw|{{SITENAME}}}} pochadźeja z Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Sy rozumił?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Haj!',
	'mobile-frontend-watchlist-add' => '$1 je so wobkedźbowankam přidał',
	'mobile-frontend-watchlist-removed' => '$1 je so z wobkedźbowankow wotstronił',
	'mobile-frontend-watchlist-view' => 'Sej wobkedźbowanki wobhladać',
	'mobile-frontend-watchlist-more' => 'wjace',
	'mobile-frontend-watchlist-cta' => 'Slěduj tutu stronu a wšě změny na njej.',
	'mobile-frontend-watchlist-cta-button-login' => 'Přizjewić',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registrować',
	'mobile-frontend-generic-login' => '{{SITENAME}} je so wot ludźi kaž ty wutworił.',
	'mobile-frontend-watch-login' => 'Twojim wobkedźbowankam $1 přidać.',
	'mobile-frontend-edit-login' => 'Pomhaj stronu $1 polěpšić.',
	'mobile-frontend-edit-login-action' => 'Přizjew so za wobdźěłowanje.',
	'mobile-frontend-edit-signup-action' => 'Zregistruj so za wobdźěłowanje.',
	'mobile-frontend-watchlist-a-z' => 'Lisćina',
	'mobile-frontend-watchlist-feed' => 'Změnjeny',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klikń na hwěžku horjeka na stronje',
	'mobile-frontend-watchlist-feed-empty' => 'Njejsu žane strony z nowymi změnami',
	'mobile-frontend-watchlist-back-home' => 'Wróćo k startowej stronje',
	'mobile-frontend-changeslist-ip' => 'Anonymny wužiwar',
	'mobile-frontend-changeslist-nocomment' => 'žane zjeće',
	'mobile-frontend-watchlist-filter-all' => 'Wšě',
	'mobile-frontend-watchlist-filter-articles' => 'Strony',
	'mobile-frontend-watchlist-filter-talk' => 'Diskusija',
	'mobile-frontend-watchlist-filter-other' => 'Druhe',
	'mobile-frontend-watchlist-modified' => 'Změnjeny $1',
	'mobile-frontend-diffview-404-title' => 'Njepłaćiwa wersija',
	'mobile-frontend-diffview-404-desc' => 'ID za požadanu wersiju njeeksistuje',
	'mobile-frontend-diffview-title' => 'Změny',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|změna|změnje|změny|změnow}}',
	'mobile-frontend-diffview-anonymous' => 'Anonymny wužiwar',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|bajt přidaty|bajtaj přidatej|bajty přidate|bajtow přidatych}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|bajt wotstronjeny|bajtaj wotstronjenej|bajty wostronjene|bajtow wotstronjenych}}',
	'mobile-frontend-diffview-explained' => 'Slědowace linki su so přidali (+) a wotstronili (-):',
	'mobile-frontend-thanked-notice' => '$1 je so {{GENDER:$1|informował|informowała}}, zo {{GENDER:$2|jeho|jeje}} změna je so ći spodobała.',
	'mobile-frontend-saving-exit-page' => 'Twój přinošk so hišće składuje. Jeli nětko kónčiš, so twoje přinoški zhubja. Chceš woprawdźe kónčić?',
	'mobile-frontend-photo-upload' => 'Wobraz tutej stronje přidać',
	'mobile-frontend-photo-article-edit-comment' => 'Wobraz za wužiwanje na stronje přidaty',
	'mobile-frontend-photo-article-donate-comment' => 'Přinošowany wobraz z Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Wobraz stronje přidaty',
	'mobile-frontend-photo-caption-placeholder' => 'Wopisaj tutón wobraz (trěbny)',
	'mobile-frontend-photo-ownership' => 'Ja, $1, sym tutón wobraz wutworił.',
	'mobile-frontend-photo-ownership-help' => 'Što to woznamjenja?',
	'mobile-frontend-photo-ownership-confirm' => 'Sym zrozumił!',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Nahraće startować',
	'mobile-frontend-photo-upload-error' => 'Zmylk, prošu spytaj hišće raz.',
	'mobile-frontend-photo-upload-error-file-type' => 'Prošu nahraj jenož wobrazy.',
	'mobile-frontend-photo-upload-error-filename' => 'Zmylk, prošu podaj bóle wurazliwe zjeće.',
	'mobile-frontend-photo-upload-success-article' => 'Wuspěch! Twój wobraz je nětko na tutej stronje.',
	'mobile-frontend-photo-license' => 'Hdyž tutón wobraz nahrawaš, zwoliš do našich [//wikimediafoundation.org/wiki/Terms_of_use wužiwarskich wuměnjenjow] a přizwoliš swój wobraz pod licencu  [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0] wozjewić.',
	'mobile-frontend-photo-submit' => 'Wotpósłać',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> nahraće|<span>$1</span> nahraći|<span>$1</span> nahraća|<span>$1</span> nahraćow}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ nahratych datajow',
	'mobile-frontend-image-heading-describe' => "Wobraz '''wopisać'''",
	'mobile-frontend-image-uploading' => "Wobraz so '''nahrawa'''...",
	'mobile-frontend-image-cancel-confirm' => 'Nahraće přetorhnyć?',
	'mobile-frontend-editor-unavailable-header' => 'Editor k dispoziciji njesteji',
	'mobile-frontend-editor-disabled' => 'Tuta strona je so škitała, zo by wandalizm wobešoł.',
	'mobile-frontend-editor-cta' => 'Pomhaj, tutu stronu polěpšić!',
	'mobile-frontend-editor-edit' => 'Wobdźěłać',
	'mobile-frontend-editor-continue' => 'Dale',
	'mobile-frontend-editor-save' => 'Składować',
	'mobile-frontend-editor-cancel' => 'Přetorhnyć',
	'mobile-frontend-editor-keep-editing' => 'Dale wobdźěłować',
	'mobile-frontend-editor-placeholder' => 'Tutón wotrězk je prózdny. Budź prěni, kotryž jón rozšěrješ!',
	'mobile-frontend-editor-wait' => 'Změna so składuje, prošu čakaj.',
	'mobile-frontend-editor-success' => 'Wuspěšny! Twoja změna je so składowała.',
	'mobile-frontend-editor-success-landmark-1' => 'Wutrobne zbožopřeće, sy nětko awtor {{GRAMMAR:genitiw|{{SITENAME}}}}!',
	'mobile-frontend-editor-error' => 'Zmylk, změna njeje so składowała.',
	'mobile-frontend-editor-error-conflict' => 'Zmylk, druhi wužiwar je tutu stronu wobdźěłał.',
	'mobile-frontend-editor-error-loading' => 'Zmylk, wotrězk njeda so začitać.',
	'mobile-frontend-editor-error-preview' => 'Při začitowanju přehlada je někajki njewočakowany zmylk wustupił. Prošu začiń a spytaj hišće raz.',
	'mobile-frontend-editor-tutorial-confirm' => 'Wobdźěłowanje započeć',
	'mobile-frontend-editor-captcha-try-again' => 'Wopačny kod, spytaj hišće raz.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Tuta změna njeda so składować, dokelž smy problem namakali.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Wjace čitać',
	'tag-mobile_edit' => 'Mobilna změna',
	'tag-mobile_edit-description' => 'Z mobilneho sydła změnjeny',
	'mobile-frontend-drawer-cancel' => 'Přetorhnyć',
	'mobile-frontend-talk-explained' => 'Slědowace diskusije su tuchwilu aktiwne',
	'mobile-frontend-talk-explained-empty' => 'Diskusije wo tutej stronje njejsu.',
	'mobile-frontend-talk-overlay-header' => 'Diskusija',
	'mobile-frontend-talk-back-to-page' => 'Wróćo k stronje "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Diskusija bjez mjena',
	'mobile-frontend-talk-add-overlay-submit' => 'Diskusiju přidać',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Tema',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Što maš na wutrobje?',
	'mobile-frontend-talk-edit-summary' => 'Nowy diskusijny wotrězk: $1',
	'mobile-frontend-talk-reply-success' => 'Twoja wotmołwa je so wuspěšnje na diskusijnej stronje składowała.',
	'mobile-frontend-talk-reply-info' => 'Twoja wotmołwa budźe so awtomatisce z twojim wužiwarskim mjenom podpisować.',
	'mobile-frontend-talk-reply' => 'Wotmołwa',
	'mobile-frontend-talk-topic-feedback' => 'Nowa tema je so diskusijnej stronje přidała!',
	'mobile-frontend-media-details' => 'Podrobnosće',
	'mobile-frontend-media-license-link' => 'Licencne informacije',
	'mobile-frontend-profile-title' => 'Wužiwarski profil',
	'mobile-frontend-profile-last-upload-caption' => '{{PLURAL:$1|Wčera|Před $1 dnjomaj|Před $1 dnjemi|0=Dźensa}} {{GENDER:$2|nahraty}}.',
	'mobile-frontend-profile-usertalk' => 'Z {{GENDER:$1|$1 diskutować}}',
	'mobile-frontend-profile-error' => 'Ow ně!',
	'mobile-frontend-profile-noargs' => 'Njeje so žane wužiwarske mjeno podało. Prošu podaj wužiwarske mjeno, zo by sej profil wobhladał.',
	'mobile-frontend-profile-activity-heading' => 'Najnowša aktiwita',
	'mobile-frontend-profile-userpage-link' => 'Wužiwarsku stronu wopytać.',
	'mobile-frontend-geonotahack' => 'Blisko tuteje strony',
	'beta-feature-geonotahack' => 'Blisko tuteje strony',
	'beta-feature-geonotahack-description' => 'Wotkryj strony, kotrež su geografisce blisko wobsahowej stronje, kotruž runje čitaš.',
	'mobile-frontend-mainpage-cta-prompt' => 'Tuta strona trjeba twoju pomoc!',
	'mobile-frontend-mainpage-cta-button' => 'Tutu stronu polěpšić',
);

/** Hungarian (magyar)
 * @author BáthoryPéter
 * @author Dj
 * @author Hunyadym
 * @author Ltrlg
 * @author Misibacsi
 * @author Tacsipacsi
 */
$messages['hu'] = array(
	'mobile-frontend-desc' => 'Mobil felület',
	'mobile-frontend-search-submit' => 'Menj',
	'mobile-frontend-home-button' => 'Kezdőlap',
	'mobile-frontend-logged-out' => 'Nem vagy bejelentkezve',
	'mobile-frontend-logged-in-homepage-notification' => 'Üdvözlünk $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Be vagy jelentkezve $1 néven.',
	'mobile-frontend-sign-up-heading' => 'Regisztráció',
	'mobile-frontend-sign-in-heading' => 'Bejelentkezés',
	'mobile-frontend-sign-in-why' => 'Ha van {{SITENAME}} fiókod, be tudsz jelentkezni.',
	'mobile-frontend-sign-in-error-heading' => 'Hoppá!',
	'mobile-frontend-settings-beta' => 'Béta',
	'mobile-frontend-save-settings' => 'Mentés',
	'mobile-frontend-random-button' => 'Véletlen lap',
	'mobile-frontend-back-to-top-of-section' => 'Vissza egy bekezdést',
	'mobile-frontend-close-section' => 'Szakasz bezárása',
	'mobile-frontend-regular-site' => 'Lap megtekintése a szokásos {{SITENAME}} nézetben', # Fuzzy
	'mobile-frontend-wml-continue' => 'Folytatás ...',
	'mobile-frontend-wml-back' => 'Vissza ...',
	'mobile-frontend-view' => 'Mobil nézet',
	'mobile-frontend-view-desktop' => 'Asztali',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-opt-in-explain' => 'Ha csatlakozol a béta teszteléshez, akkor kísérleti szolgáltatásokhoz és újdonságokhoz is hozzáférsz, de esetleg hibákkal és problémákkal is találkozhatsz.',
	'mobile-frontend-images-status' => 'Képek',
	'mobile-frontend-disable-images' => 'Képek letiltása mobil nézetben',
	'mobile-frontend-enable-images' => 'Képek engedélyezése mobil nézetben',
	'mobile-frontend-missing-image' => 'Kép',
	'mobile-frontend-off' => 'ki',
	'mobile-frontend-on' => 'be',
	'mobile-frontend-featured-article' => 'A nap kiemelt szócikke', # Fuzzy
	'mobile-frontend-news-items' => 'Hírek',
	'mobile-frontend-language-article-heading' => 'Olvasd el más nyelven',
	'mobile-frontend-language-header' => 'A szócikk $1 nyelven elérhető', # Fuzzy
	'mobile-frontend-language-footer' => '{{SITENAME}} más nyelveken is elérhető.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Nyelv keresése',
	'mobile-frontend-username' => 'Felhasználónév:',
	'mobile-frontend-password' => 'Jelszó:',
	'mobile-frontend-username-placeholder' => 'Felhasználónév',
	'mobile-frontend-password-placeholder' => 'Jelszó',
	'mobile-frontend-login' => 'Bejelentkezés',
	'mobile-frontend-account-create-submit' => 'Regisztráció',
	'mobile-frontend-password-confirm-placeholder' => 'Jelszó megerősítése',
	'mobile-frontend-account-create-email-placeholder' => 'E-mail cím (opcionáis)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Biztonsági szöveg beírása', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Vissza',
	'mobile-frontend-placeholder' => 'Keresés a wikin',
	'mobile-frontend-search-help' => 'Írd be felülre a keresőkifejezést, a találatok a szócikkek címeiben itt fognak megjelenni.', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'figyelmeztetés elutasítása',
	'mobile-frontend-clear-search' => 'Törlés',
	'mobile-frontend-privacy-link-text' => 'Adatvédelem',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'A lap szövege [//hu.m.wikipedia.org/wiki/WP:CC?useformat=mobile Creative Commons Nevezd meg! – Így add tovább! 3.0] licenc alatt van; egyes esetekben más módon is felhasználható.',
	'mobile-frontend-copyright' => "A lap szövege a <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Nevezd meg!-Így add tovább! Licenc</a> alatt van; egyes esetekben más módon is felhasználható. Részletekért lásd a <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>felhasználási feltételeket</a>. A Wikipédia a <a href='http://www.wikimediafoundation.org/'>Wikimedia, Inc.</a> nonprofit szervezet védjegye.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Kapcsolatfelvétel',
	'mobile-frontend-search-noresults' => 'Nincs találat a keresésedre. Változtasd meg a keresőszavakat, vagy nyomd meg a keresés gombot, hogy a szócikkeken belül is keress.', # Fuzzy
	'mobile-frontend-main-menu-button-tooltip' => 'Főmenü megnyitása',
	'mobile-frontend-main-menu-page-title' => 'Oldal navigáció',
	'mobile-frontend-main-menu-featured' => 'Kiemelt',
	'mobile-frontend-main-menu-nearby' => 'Közeli',
	'mobile-frontend-main-menu-login' => 'Bejelentkezés',
	'mobile-frontend-main-menu-logout' => 'Kijelentkezés',
	'mobile-frontend-main-menu-watchlist' => 'Figyelőlista',
	'mobile-frontend-main-menu-settings' => 'Beállítások',
	'mobile-frontend-main-menu-settings-heading' => 'Mobil oldal beállításai', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} nyelvek',
	'mobile-frontend-settings-site-description' => '{{SITENAME}}  {{PLURAL:$1|egy nyelven|$1 nyelven}} érhető el. Az összes elérhető verzió alább található',
	'mobile-frontend-main-menu-account-create' => 'Felhasználói fiók létrehozása',
	'mobile-frontend-page-menu-contents' => 'tartalom',
	'mobile-frontend-page-menu-history' => 'Előzmények',
	'mobile-frontend-page-saving' => '$1 mentése',
	'mobile-frontend-watchlist-removed' => '$1 eltávolítva a figyelőlistádról',
	'mobile-frontend-changeslist-ip' => 'Névtelen felhasználó',
	'mobile-frontend-changeslist-nocomment' => 'nincs szerkesztési összefoglaló',
	'mobile-frontend-watchlist-filter-all' => 'Mind',
	'mobile-frontend-watchlist-filter-articles' => 'Szócikkek', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Vitalap',
	'mobile-frontend-watchlist-filter-other' => 'Egyéb',
	'mobile-frontend-diffview-title' => 'Módosítások',
	'mobile-frontend-diffview-editcount' => '<div>{{PLURAL:$1|egy|$1}}</div> szerkesztés',
	'mobile-frontend-diffview-anonymous' => 'Névtelen felhasználó',
	'mobile-frontend-diffview-bytesadded' => '{{PLURAL:$1|egy|$1}} bájt hozzáadva',
	'mobile-frontend-diffview-bytesremoved' => '{{PLURAL:$1|egy|$1}} bájt törölve',
	'mobile-frontend-image-loading' => 'Kép betöltése',
	'mobile-frontend-image-uploading-wait' => 'Kép feltöltése, kis türelmet.',
	'mobile-frontend-photo-upload-error' => 'Hiba történt, próbáld újra.',
);

/** Armenian (Հայերեն)
 * @author Chaojoker
 * @author Jazz
 * @author M hamlet
 * @author Vadgt
 */
$messages['hy'] = array(
	'mobilefrontend-keepgoing-explain' => 'Հիանալի է: Մեկ այլ օգտվող էլ է ասել, որ այս էջն օգնության կարիք ունի: Փորձել այս մեկը կամ մեկ ուրիշը:',
	'mobilefrontend-keepgoing-cancel' => 'Ոչ,շնորհակալություն:',
	'mobilefrontend-keepgoing-suggest-again' => 'Փորձե´լ մեկ ուրիշը:',
	'mobile-frontend-home-button' => 'Դեպի տուն',
	'mobile-frontend-save-settings' => 'Պահպանել կարգավորումները', # Fuzzy
	'mobile-frontend-random-button' => 'Պատահական',
	'mobile-frontend-back-to-top-of-section' => 'Վերադառնալ մեկ բաժին առաջ',
	'mobile-frontend-view' => 'Տեսքը բջջայինով',
	'mobile-frontend-view-mobile' => 'Հեռախոս',
	'mobile-frontend-featured-article' => 'Օրվա ընտրված հոդվածը', # Fuzzy
	'mobile-frontend-search-content' => 'Ընտրել էջերում',
	'mobile-frontend-search-no-results' => 'Այս անվանումով էջեր չկան։',
	'mobile-frontend-copyright' => "Տեքստը մատչելի է <a href=\"http://creativecommons.org/licenses/by-sa/3.0/deed.hy\">Քրիեյթիվ Քոմոնս Հղման-Համանման տարածման</a> թույլատրագրի ներքո, առանձին դեպքերում կարող են գործել լրացուցիչ պայմաններ։ Մանրամասնությունների համար այցելեք՝ <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Օգտագործման պայմաններ</a>։ {{SITENAME}}ն <a href='http://www.wikimediafoundation.org/'>Վիքիմեդիա հիմնադրամ</a> ոչ-առևտրական կազմակերպության գրանցված ապրանքանիշ է։", # Fuzzy
	'mobile-frontend-watchlist-filter-articles' => 'Հոդվածների էջեր', # Fuzzy
	'mobile-frontend-editor-editing-page' => '<strong>Խմբագրում</strong> <span>$1</span>', # Fuzzy
	'mobile-frontend-editor-previewing-page' => '<strong>Նախադիտում</strong> <span>$1</span>', # Fuzzy
	'beta-feature-geonotahack-description' => 'Հայտնաբերեք էջեր, որոնք աշխարհագրական դիրքով մոտ են այն էջին, որը դուք հիմա կարդում եք։',
);

/** Interlingua (interlingua)
 * @author McDutchie
 * @author Remux
 */
$messages['ia'] = array(
	'mobilefrontend-random-explain' => 'Iste pagina aleatori te interessa?',
	'mobilefrontend-random-cancel' => 'Lassa me leger!',
	'mobilefrontend-keepgoing-ask' => 'Ben facite! Tu jam comencia a dominar isto! Vole tu probar a modificar un altere pagina?',
	'mobilefrontend-keepgoing-ask-first' => 'Felicitationes pro haber facite tu prime modification! Vole tu probar a modificar un altere pagina?',
	'mobilefrontend-keepgoing-explain' => 'Multo ben! Un altere usator indicava que iste pagina ha besonio de adjuta. Essaya iste, o un altere.',
	'mobilefrontend-keepgoing-cancel' => 'No, gratias',
	'mobilefrontend-keepgoing-suggest' => 'Si, per favor',
	'mobilefrontend-keepgoing-suggest-again' => 'Essayar un altere',
	'mobilefrontend-keepgoing-saved-title' => 'Modification salveguardate!',
	'mobilefrontend-keepgoing-links-title' => 'Adder ligamines',
	'mobilefrontend-keepgoing-links-ask-first' => 'Felicitationes pro haber facite tu prime modification! Vole tu adjutar a adder ligamines a un pagina recentemente create?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Corriger un altere pagina?',
	'mobilefrontend-keepgoing-links-explain' => 'Trova altere parolas que poterea devenir ligamines. Mitte le parola inter duple parentheses quadrate.',
	'mobilefrontend-keepgoing-links-example' => 'p.ex. $1gitarra$2 deveni $3gitarra$4',
	'nearby' => 'Paginas a presso de te',
	'mobile-frontend-desc' => 'Interfacie pro apparatos mobile',
	'mobile-frontend-search-submit' => 'Va',
	'mobile-frontend-home-button' => 'Initio',
	'mobile-frontend-logged-out' => 'Non identificate',
	'mobile-frontend-logged-in-homepage-notification' => 'Benvenite, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Authenticate como $1.',
	'mobile-frontend-generic-404-title' => 'Error - Pagina non trovate',
	'mobile-frontend-generic-404-desc' => 'Le pagina que tu cerca non pote esser trovate.',
	'mobile-frontend-sign-up-heading' => 'Crear conto',
	'mobile-frontend-sign-in-heading' => 'Aperir session',
	'mobile-frontend-sign-in-why' => 'Si tu ha un conto de {{SITENAME}}, tu pote aperir session hic infra.',
	'mobile-frontend-sign-in-error-heading' => 'Ups!',
	'mobile-frontend-settings-description' => 'Personalisa tu experientia sur tu apparato mobile con iste configurationes de sito mobile.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Modo experimental',
	'mobile-frontend-settings-alpha-description' => 'Entra in un territorio mobile periculose e inexplorate. Obtene functionalitate mesmo plus experimental, ma con plus risco de defectos.',
	'mobile-frontend-save-settings' => 'Confirmar',
	'mobile-frontend-save-error' => 'Error durante le salveguarda del configuration. Per favor verifica que le cookies es activate in tu navigator.',
	'mobile-frontend-random-button' => 'Aleatori',
	'mobile-frontend-back-to-top-of-section' => 'Retroceder un section',
	'mobile-frontend-regular-site' => 'Vista normal',
	'mobile-frontend-wml-continue' => 'Continuar ...',
	'mobile-frontend-wml-back' => 'Retornar…',
	'mobile-frontend-view' => 'Version mobile',
	'mobile-frontend-view-desktop' => 'Scriptorio',
	'mobile-frontend-view-mobile' => 'Mobile',
	'mobile-frontend-cookies-required' => 'Cookies es necessari pro cambiar de modo de vista. Per favor activa los e reproba.',
	'mobile-frontend-opt-in-explain' => 'Per participar in le beta-test, tu habera accesso a functionalitate experimental, incurrente le risco de incontrar defectos e problemas.',
	'mobile-frontend-images-status' => 'Imagines',
	'mobile-frontend-disable-images' => 'Disactivar imagines in sito mobile',
	'mobile-frontend-enable-images' => 'Activar imagines in sito mobile',
	'mobile-frontend-expand-sections-status' => 'Displicar tote le sectiones',
	'mobile-frontend-expand-sections-description' => 'Sempre displicar tote le sectiones quando tu naviga a un nove pagina.',
	'mobile-frontend-missing-image' => 'Imagine',
	'mobile-frontend-off' => 'INACTIVE',
	'mobile-frontend-on' => 'ACTIVE',
	'mobile-frontend-featured-article' => 'Selection del die',
	'mobile-frontend-news-items' => 'Actualitates',
	'mobile-frontend-languages-404-title' => 'Error de linguas',
	'mobile-frontend-languages-404-desc' => 'Un titulo valide debe esser specificate.',
	'mobile-frontend-languages-header' => 'Linguas',
	'mobile-frontend-languages-nonexistent-title' => 'Le pagina "$1" non existe.',
	'mobile-frontend-languages-text' => '$1 es disponibile in $2 {{PLURAL:$2|lingua|linguas}}.',
	'mobile-frontend-languages-variant-header' => 'Variantes de {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Linguas</strong>',
	'mobile-frontend-language-article-heading' => 'Leger in un altere lingua',
	'mobile-frontend-language-header' => 'Ista pagina es disponibile in $1 {{PLURAL:$1|lingua|linguas}}',
	'mobile-frontend-language-variant-header' => 'Elige un variante de {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Cercar lingua',
	'mobile-frontend-username' => 'Nomine de usator:',
	'mobile-frontend-password' => 'Contrasigno:',
	'mobile-frontend-username-placeholder' => 'Nomine de usator',
	'mobile-frontend-password-placeholder' => 'Contrasigno',
	'mobile-frontend-login' => 'Aperir session',
	'mobile-frontend-history' => 'Vider le historia de modificationes de iste pagina.',
	'mobile-frontend-history-404-title' => 'Pagina non existe',
	'mobile-frontend-history-404-desc' => 'Impossibile examinar le historia de un pagina que non existe. Illo pote haber essite delite o tu pote haber sequite un ligamine rupte.',
	'mobile-frontend-history-no-results' => 'Le filtro non ha fornite alcun correspondentia de historia.',
	'mobile-frontend-contribution-summary' => 'Tote le modificationes facite per {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Historia del pagina [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Ultime modification le $1 a $2',
	'mobile-frontend-last-modified-seconds' => 'Ultime modification {{PLURAL:$1|$1 secunda|$1 secundas}} retro',
	'mobile-frontend-last-modified-minutes' => 'Ultime modification {{PLURAL:$1|$1 minuta|$1 minutas}} retro',
	'mobile-frontend-last-modified-hours' => 'Ultime modification {{PLURAL:$1|$1 hora|$1 horas}} retro',
	'mobile-frontend-last-modified-days' => 'Ultime modification {{PLURAL:$1|$1 die|$1 dies}} retro',
	'mobile-frontend-last-modified-months' => 'Ultime modification {{PLURAL:$1|$1 mense|$1 menses}} retro',
	'mobile-frontend-last-modified-years' => 'Ultime modification {{PLURAL:$1|$1 anno|$1 annos}} retro',
	'mobile-frontend-last-modified-just-now' => 'Modificate justo nunc',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Ultime {{GENDER:$1|modification}} {{PLURAL:$3|$3 secunda|$3 secundas}} retro] per {{PLURAL:$5|[$6 $2]|0=un usator anonyme}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Ultime {{GENDER:$1|modification}} {{PLURAL:$3|$3 minuta|$3 minutas}} retro] per {{PLURAL:$5|[$6 $2]|0=un usator anonyme}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Ultime {{GENDER:$1|modification}} {{PLURAL:$3|$3 hora|$3 horas}} retro] per {{PLURAL:$5|[$6 $2]|0=un usator anonyme}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Ultime {{GENDER:$1|modification}} {{PLURAL:$3|$3 die|$3 dies}} retro] per {{PLURAL:$5|[$6 $2]|0=un usator anonyme}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Ultime {{GENDER:$1|modification}} {{PLURAL:$3|$3 mense|$3 menses}} retro] per {{PLURAL:$5|[$6 $2]|0=un usator anonyme}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Ultime {{GENDER:$1|modification}} {{PLURAL:$3|$3 anno|$3 annos}} retro] per {{PLURAL:$5|[$6 $2]|0=un usator anonyme}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 {{GENDER:$1|Modificate}}] justo nunc per {{PLURAL:$4|[$5 $2]|0=un usator anonyme}}',
	'mobile-frontend-view-source' => 'Vider texto fonte',
	'mobile-frontend-account-create-submit' => 'Crear un conto',
	'mobile-frontend-password-confirm-placeholder' => 'Confirmar contrasigno',
	'mobile-frontend-account-create-email-placeholder' => 'Adresse de e-mail (optional)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Scribe codice de confirmation',
	'mobile-frontend-overlay-escape' => 'Retornar',
	'mobile-frontend-overlay-close' => 'Clauder',
	'mobile-frontend-overlay-continue' => 'Continuar',
	'mobile-frontend-placeholder' => 'Cercar in {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Cercar in {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Cercar in {{SITENAME}} (experimental)',
	'mobile-frontend-dismiss-notification' => 'clauder iste notification',
	'mobile-frontend-clear-search' => 'Rader',
	'mobile-frontend-search-content' => 'Cerca intra paginas',
	'mobile-frontend-search-no-results' => 'Non existe un pagina con iste titulo.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' pro vider si iste phrase appare in alcun parte.",
	'mobile-frontend-privacy-link-text' => 'Confidentialitate',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Contento disponibile sub [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; additional conditiones pote esser in vigor.',
	'mobile-frontend-copyright' => 'Le contento es disponibile sub $1 salvo indication contrari.',
	'mobile-frontend-footer-contact' => 'Contacto',
	'mobile-frontend-terms-text' => 'Conditiones de uso',
	'mobile-frontend-main-menu-button-tooltip' => 'Aperir le menu principal',
	'mobile-frontend-main-menu-page-title' => 'Navigation in sito',
	'mobile-frontend-main-menu-featured' => 'Eminente',
	'mobile-frontend-main-menu-nearby' => 'A proximitate',
	'mobile-frontend-main-menu-login' => 'Aperir session',
	'mobile-frontend-main-menu-logout' => 'Clauder session',
	'mobile-frontend-main-menu-watchlist' => 'Observatorio',
	'mobile-frontend-main-menu-settings' => 'Configuration',
	'mobile-frontend-main-menu-upload' => 'Incargamentos',
	'mobile-frontend-main-menu-settings-heading' => 'Configuration',
	'mobile-frontend-settings-site-header' => 'Linguas de {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} es disponibile in $1 {{PLURAL:$1|lingua|linguas}}. Tote le versiones disponibile es listate hic infra.',
	'mobile-frontend-main-menu-account-create' => 'Crear un conto',
	'mobile-frontend-page-menu-contents' => 'contento',
	'mobile-frontend-page-menu-history' => 'Historia',
	'mobile-frontend-meta-data-issues-header' => 'Problemas',
	'mobile-frontend-meta-data-issues' => 'Iste pagina ha alicun problemas',
	'mobile-frontend-page-saving' => 'Salveguarda $1',
	'mobile-frontend-user-cta' => 'Aperi session o inscribe te pro vider tu notificationes.',
	'mobile-frontend-user-button-tooltip' => 'Monstrar mi notificationes',
	'mobile-frontend-nearby-to-page' => 'Le sequente paginas es associate a $1 per lor position geographic.',
	'mobile-frontend-nearby-title' => 'A proximitate',
	'mobile-frontend-nearby-loading' => 'Carga topicos a presso de tu position actual',
	'mobile-frontend-nearby-requirements' => 'Regrettabilemente, tu navigator del web non supporta "{{SITENAME}} a proximitate".',
	'mobile-frontend-nearby-requirements-guidance' => 'Proba un altere navigator o activa JavaScript si tu lo ha disactivate.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '"{{SITENAME}} a proximitate" non pote determinar tu position. Probar de novo?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Proba in un area aperte con un signal melior.',
	'mobile-frontend-nearby-permission' => '"{{SITENAME}} a proximitate" non ha le permission de acceder a tu position.',
	'mobile-frontend-nearby-permission-guidance' => 'Assecura te de haber date le permission de monstrar tu position. Tu debe forsan verificar le configurationes de position de tu navigator.',
	'mobile-frontend-nearby-noresults' => 'Es calme hic… Il non ha alcun pagina a proximitate.',
	'mobile-frontend-nearby-noresults-guidance' => 'Tenta crear un nove pagina o adder un position geographic a un pagina existente.',
	'mobile-frontend-nearby-refresh' => 'Nos te ha trovate un position plus accurate. Clicca hic pro refrescar le lista de paginas a proximitate.',
	'mobile-frontend-nearby-error' => '"{{SITENAME}} a proximitate" ha alcun problemas.',
	'mobile-frontend-nearby-error-guidance' => 'Proba refrescar tu position.',
	'mobile-frontend-nearby-link' => 'Leger tote iste pagina',
	'mobile-frontend-nearby-directions' => 'Navigar a hic',
	'mobile-frontend-donate-image-nouploads' => 'Nihil incargate.',
	'mobile-frontend-donate-image-login' => 'Le materiales disponibile in {{SITENAME}} es donate per gente como tu.',
	'mobile-frontend-donate-image-login-action' => 'Aperi session pro divider contento multimedial.',
	'mobile-frontend-donate-image-signup-action' => 'Aperi session pro divider contento multimedial con le mundo integre.',
	'mobile-frontend-photo-upload-disabled' => 'Nulle imagine es necessari pro iste pagina.',
	'mobile-frontend-photo-upload-anon' => 'Aperi session pro adder un imagine a iste pagina.',
	'mobile-frontend-photo-upload-protected' => 'Tu non ha le permission de adder un imagine a iste pagina.',
	'mobile-frontend-photo-upload-unavailable' => 'Tu navigator non supporta le incargamento de imagines.',
	'mobile-frontend-photo-upload-generic' => 'Contribuer un imagine',
	'mobile-frontend-donate-image-title' => 'Incargamentos',
	'mobile-frontend-donate-image-heading' => 'Tu contributiones recente',
	'mobile-frontend-donate-image-anon' => 'Un $1 es necessari pro vider le pagina de incargamento.',
	'mobile-frontend-user-account' => 'conto de usator',
	'mobile-frontend-listed-image-no-description' => 'Nulle description',
	'mobile-frontend-donate-photo-upload-success' => 'Successo! Tu imagine es ora usabile in {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Successo! Gratias pro tu prime contribution!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Contribue tu imagines. Adjuta {{SITENAME}} a viver!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Imagines in {{SITENAME}} veni de Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Tu imagines adjuta a educar personas in tote le mundo',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Evita materiales sub copyright que se trova in internet, assi como imagines de affiches, coperturas de libro, etc.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Comprende?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Si!',
	'mobile-frontend-watchlist-add' => '"$1" addite a tu observatorio',
	'mobile-frontend-watchlist-removed' => '"$1" removite de tu observatorio',
	'mobile-frontend-watchlist-view' => 'Vider tu observatorio',
	'mobile-frontend-watchlist-more' => 'plus',
	'mobile-frontend-watchlist-cta' => 'Sequer iste pagina e tote su modificationes.',
	'mobile-frontend-watchlist-cta-button-login' => 'Aperir session',
	'mobile-frontend-watchlist-cta-button-signup' => 'Crear un conto',
	'mobile-frontend-watchlist-purpose' => 'Le observatorio te adjuta a marcar paginas e sequer le cambiamentos facite in illos.',
	'mobile-frontend-watchlist-login-action' => 'Aperi session pro vider lo.',
	'mobile-frontend-watchlist-signup-action' => 'Inscribe te pro comenciar un nove.',
	'mobile-frontend-generic-login' => '{{SITENAME}} es facite per gente como tu.',
	'mobile-frontend-generic-login-action' => 'Aperi session pro contribuer.',
	'mobile-frontend-generic-signup-action' => 'Inscribe te pro contribuer.',
	'mobile-frontend-watch-login' => 'Adder $1 a tu observatorio.',
	'mobile-frontend-edit-login' => 'Adjuta a meliorar le pagina $1.',
	'mobile-frontend-edit-login-action' => 'Aperi session pro modificar.',
	'mobile-frontend-edit-signup-action' => 'Inscribe te pro modificar.',
	'mobile-frontend-watchlist-a-z' => 'Lista',
	'mobile-frontend-watchlist-feed' => 'Modificate',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Clicca sur le stella al initio del pagina',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'In iste momento tu non observa alcun pagina. Le observatorio te adjuta a sequer le paginas de tu interesse. Observa paginas con un clic sur le icone in forma de stella.',
	'mobile-frontend-watchlist-feed-empty' => 'Il non ha paginas con modificationes recente.',
	'mobile-frontend-watchlist-back-home' => 'Retornar al initio',
	'mobile-frontend-changeslist-ip' => 'Usator anonyme',
	'mobile-frontend-changeslist-nocomment' => 'modification sin summario',
	'mobile-frontend-watchlist-filter-all' => 'Totes',
	'mobile-frontend-watchlist-filter-articles' => 'Paginas',
	'mobile-frontend-watchlist-filter-talk' => 'Discussion',
	'mobile-frontend-watchlist-filter-other' => 'Altere',
	'mobile-frontend-watchlist-modified' => 'Modificate $1',
	'mobile-frontend-diffview-404-title' => 'Mal ID de version',
	'mobile-frontend-diffview-404-desc' => 'Le numero de version que tu ha requestate non existe.',
	'mobile-frontend-diffview-title' => 'Cambios',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|modification|modificationes}}',
	'mobile-frontend-diffview-anonymous' => 'Usator anonyme',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte|bytes}} addite',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte|bytes}} removite',
	'mobile-frontend-diffview-explained' => 'Le sequente lineas ha essite addite (+) e removite (-):',
	'mobile-frontend-thanked-notice' => '$1 ha essite informate que {{GENDER:$2|su}} modification te placeva.',
	'mobile-frontend-saving-exit-page' => 'Tu contribution es ancora in curso de esser salveguardate. Si tu parti, illo essera perdite. Es tu secur de voler exir?',
	'mobile-frontend-photo-upload' => 'Adder un imagine a iste pagina',
	'mobile-frontend-photo-article-edit-comment' => 'Imagine addite pro uso in pagina',
	'mobile-frontend-photo-article-donate-comment' => 'Imagine contribuite ab Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Imagine addite al pagina',
	'mobile-frontend-photo-caption-placeholder' => 'Describe iste imagine (obligatori)',
	'mobile-frontend-photo-ownership' => 'Io, $1, ha create iste imagine.',
	'mobile-frontend-photo-ownership-help' => 'Que significa isto?',
	'mobile-frontend-photo-ownership-confirm' => 'Comprendite!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Assecura te que le imagine pote adjutar a illustrar le pagina. Illo debe esser un imagine que tu ha create e que non viola alcun derecto de autor.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Comenciar a incargar',
	'mobile-frontend-photo-upload-error' => 'Error. Proba de novo.',
	'mobile-frontend-photo-upload-error-file-type' => 'Per favor incarga solmente imagines.',
	'mobile-frontend-photo-upload-error-filename' => 'Error. Per favor forni un summario plus descriptive.',
	'mobile-frontend-photo-upload-success-article' => 'Successo! Le imagine es ora visibile sur iste pagina.',
	'mobile-frontend-photo-license' => 'Si tu incarga iste imagine, tu accepta nostre [//wikimediafoundation.org/wiki/Terms_of_use conditiones de uso] e accepta de liberar tu imagine sub le [//creativecommons.org/licenses/by-sa/3.0/ licentia Creative Commons Attribution-ShareAlike 3.0].',
	'mobile-frontend-photo-submit' => 'Submitter',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> imagine incargate|<span>$1</span> imagines incargate}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ imagines incargate',
	'mobile-frontend-image-heading-describe' => "'''Describe''' le imagine",
	'mobile-frontend-image-uploading' => "'''Incarga''' le image...",
	'mobile-frontend-image-cancel-confirm' => 'Cancellar incargamento?',
	'mobile-frontend-editor-redirect-title' => 'Redirige verso editor...',
	'mobile-frontend-editor-unavailable-header' => 'Editor indisponibile',
	'mobile-frontend-editor-unavailable' => 'Modificar in modo mobile non es actualmente possibile in tu navigator. Per favor proba un altere navigator.',
	'mobile-frontend-editor-undo-unsupported' => 'Disfacer non es actualmente possibile con dispositivos mobile.',
	'mobile-frontend-editor-newpage-prompt' => 'Iste pagina non existe. Proque non esser intrepide e crear lo?',
	'mobile-frontend-editor-disabled' => 'Iste pagina es protegite pro impedir le vandalismo.',
	'mobile-frontend-editor-blocked' => 'Tu conto ha essite blocate pro modification.',
	'mobile-frontend-editor-cta' => 'Adjuta a meliorar iste pagina!',
	'mobile-frontend-editor-edit' => 'Modificar',
	'mobile-frontend-editor-continue' => 'Continuar',
	'mobile-frontend-editor-save' => 'Salveguardar',
	'mobile-frontend-editor-cancel' => 'Cancellar',
	'mobile-frontend-editor-keep-editing' => 'Continuar a modificar',
	'mobile-frontend-editor-license' => 'Si tu salveguarda le cambiamentos, tu accepta nostre [//wikimediafoundation.org/wiki/Terms_of_use conditiones de uso] e accepta de liberar tu texto sub le [//creativecommons.org/licenses/by-sa/3.0/ licentia CC BY-SA 3.0] e sub [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'Iste section es vacue. Sia le prime a elaborar lo!',
	'mobile-frontend-editor-summary-placeholder' => 'Dice nos lo que tu ha cambiate (optional)',
	'mobile-frontend-editor-cancel-confirm' => 'Es tu secur de voler abandonar tu modification?',
	'mobile-frontend-editor-wait' => 'Salveguarda modification, attende.',
	'mobile-frontend-editor-success' => 'Successo! Tu modification ha essite salveguardate.',
	'mobile-frontend-editor-success-landmark-1' => 'Felicitationes, tu ora es redactor de {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Error. Modification non salveguardate.',
	'mobile-frontend-editor-error-conflict' => 'Error. Un altere usator ha modificate iste pagina.',
	'mobile-frontend-editor-error-loading' => 'Error. Non pote cargar section.',
	'mobile-frontend-editor-error-preview' => 'Error. Un problema ha occurrite durante le cargamento del previsualisation. Per favor claude lo e reproba.',
	'mobile-frontend-editor-tutorial-summary' => 'Non sia intimidate per le codice. Tenta meliorar le pagina $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Proque non meliorar $1? Non lassa le codice intimidar te!',
	'mobile-frontend-editor-tutorial-confirm' => 'Comenciar a modificar',
	'mobile-frontend-editor-tutorial-cancel' => 'No, gratias',
	'mobile-frontend-editor-captcha-try-again' => 'Codice incorrecte. Proba de novo.',
	'mobile-frontend-editor-abusefilter-warning' => 'Attention: Es tu secur de voler salveguardar iste modification? Il pote haber un problema con illo.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Iste modification non pote esser salveguardate perque nos ha detegite un problema.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Leger plus',
	'mobile-frontend-editor-editing-page' => '<strong>Modification de</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Previsualisation de</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Codice-fonte de</strong><span> $1</span>',
	'tag-mobile_edit' => 'Modification per mobile',
	'tag-mobile_edit-description' => 'Modification facite con sito mobile',
	'mobile-frontend-drawer-cancel' => 'Cancellar',
	'mobile-frontend-talk-explained' => 'Le sequente conversationes es ora active',
	'mobile-frontend-talk-explained-empty' => 'Il non ha conversationes sur iste pagina.',
	'mobile-frontend-talk-overlay-header' => 'Discussion',
	'mobile-frontend-talk-back-to-page' => 'Retornar al pagina "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Discussion sin titulo',
	'mobile-frontend-talk-add-overlay-submit' => 'Adder discussion',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Subjecto',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Que vole tu discuter?',
	'mobile-frontend-talk-edit-summary' => 'Nove section de discussion: $1',
	'mobile-frontend-talk-reply-success' => 'Tu responsa ha essite salveguardate in le pagina de discussion.',
	'mobile-frontend-talk-reply-info' => 'Nota que tu responsa essera automaticamente signate con tu nomine de usator.',
	'mobile-frontend-talk-reply' => 'Responder',
	'mobile-frontend-talk-topic-feedback' => 'Nove topico addite al pagina de discussion!',
	'mobile-frontend-media-details' => 'Detalios',
	'mobile-frontend-media-license-link' => 'Information de licentia',
	'abusefilter-edit-builder-vars-user-mobile' => 'Si un usator es o non es in curso de modification per le interfacie mobile',
	'mobile-frontend-profile-title' => 'Profilo de usator',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Incargate}} {{PLURAL:$1|heri|$1 dies retro|0=hodie}}.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|Parlar a $1}}',
	'mobile-frontend-profile-error' => 'Oh no!',
	'mobile-frontend-profile-noargs' => 'Nulle nomine de usator ha essite fornite. Per favor forni un nomine de usator pro vider un profilo.',
	'mobile-frontend-profile-nouser' => 'Non existe un usator con iste nomine. Nomines de usator distingue inter majusculas e minusculas, dunque verifica si illo ha essite scribite correctemente.',
	'mobile-frontend-profile-activity-heading' => 'Activitate recente',
	'mobile-frontend-profile-userpage-link' => 'Visitar le pagina del usator.',
	'mobile-frontend-requires-optin' => 'Iste pagina es solmente disponibile in modo beta. Visita le [[Special:MobileOptions|pagina de configuration]] pro activar lo.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Reingratiate}} {{GENDER:$1|per}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Ha modificate}} le pagina [[:$1]] {{PLURAL:$2|heri|$2 dies retro|0=hodie}}.',
	'mobile-frontend-profile-footer-days' => 'Inscribite {{PLURAL:$2|1 die|$2 dies}} retro con [[Special:Contributions/$1|{{PLURAL:$3|1 modification|$3 modificationes}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 file incargate|$4 files incargate|500=plus de 500 files incargate}}]].',
	'mobile-frontend-profile-footer-months' => 'Inscribite plus de {{PLURAL:$2|1 mense|$2 menses}} retro con [[Special:Contributions/$1|{{PLURAL:$3|1 modification|$3 modificationes}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 file incargate|$4 files incargate|500=plus de 500 files incargate}}]].',
	'mobile-frontend-profile-footer-years' => 'Inscribite plus de {{PLURAL:$2|1 anno|$2 annos}} retro con [[Special:Contributions/$1|{{PLURAL:$3|1 modification|$3 modificationes}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 file incargate|$4 files incargate|500=plus de 500 files incargate}}]].',
	'mobile-frontend-geonotahack' => 'Proxime a iste pagina',
	'beta-feature-geonotahack' => 'Proxime a iste pagina',
	'beta-feature-geonotahack-description' => 'Discoperi paginas que es in le proximitate geographic del pagina que tu lege actualmente.',
	'mobile-frontend-mainpage-cta-prompt' => 'Iste pagina ha besonio de tu adjuta!',
	'mobile-frontend-mainpage-cta-button' => 'Meliorar iste pagina',
);

/** Indonesian (Bahasa Indonesia)
 * @author Aldnonymous
 * @author Anakmalaysia
 * @author Bennylin
 * @author Farras
 * @author Ilham151096
 * @author Iwan Novirion
 * @author Kenrick95
 * @author Mahali syarifuddin
 * @author William Surya Permana
 */
$messages['id'] = array(
	'mobilefrontend-random-explain' => 'Apakah halaman sembarang ini menarik bagi Anda?',
	'mobilefrontend-random-cancel' => 'Saya mau membaca!',
	'mobilefrontend-keepgoing-ask' => 'Selamat! Anda sudah tahu caranya! Apakah Anda mau mencoba menyunting halaman lain?',
	'mobilefrontend-keepgoing-ask-first' => 'Selamat untuk suntingan pertama Anda! Apakah Anda mau mencoba menyunting halaman lain?',
	'mobilefrontend-keepgoing-explain' => 'Bagus! Menurut pengguna lain, halaman ini perlu bantuan. Coba halaman ini, atau coba halaman lain.',
	'mobilefrontend-keepgoing-cancel' => 'Tidak, terima kasih',
	'mobilefrontend-keepgoing-suggest' => 'Ya, silakan',
	'mobilefrontend-keepgoing-suggest-again' => 'Coba yang lain',
	'nearby' => 'Artikel tentang tempat di dekat Anda',
	'mobile-frontend-desc' => 'Mobile Frontend',
	'mobile-frontend-search-submit' => 'Cari',
	'mobile-frontend-home-button' => 'Utama',
	'mobile-frontend-logged-out' => 'Belum masuk log',
	'mobile-frontend-logged-in-homepage-notification' => 'Selamat datang, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Masuk log sebagai $1',
	'mobile-frontend-sign-up-heading' => 'Daftar',
	'mobile-frontend-sign-in-heading' => 'Masuk log',
	'mobile-frontend-sign-in-why' => 'Jika Anda memiliki akun {{SITENAME}}, Anda dapat masuk log di bawah ini.',
	'mobile-frontend-sign-in-error-heading' => 'Ups!',
	'mobile-frontend-settings-description' => 'Menyesuaikan pengalaman Anda di piranti mobil dengan pengaturan spesifik untuk situs mobil.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Mode eksperimental',
	'mobile-frontend-settings-alpha-description' => 'Masuk ke wilayah seluler yang berbahaya dan belum dieksplorasi. Dapatkan fitur yang lebih eksperimental, tapi dengan lebih banyak kemungkinan kesalahan.',
	'mobile-frontend-save-settings' => 'Simpan',
	'mobile-frontend-save-error' => 'Galat menyimpan pengaturan. Pastikan bahwa Anda telah mengaktifkan kuki.',
	'mobile-frontend-random-button' => 'Sembarang',
	'mobile-frontend-back-to-top-of-section' => 'Kembali ke bagian sebelumnya',
	'mobile-frontend-regular-site' => 'Tampilan komputer meja',
	'mobile-frontend-wml-continue' => 'Lanjutkan...',
	'mobile-frontend-wml-back' => 'Kembali ...',
	'mobile-frontend-view' => 'Tampilan seluler',
	'mobile-frontend-view-desktop' => "Tampilan besar (''desktop'')",
	'mobile-frontend-view-mobile' => "Tampilan kecil (''mobile'')",
	'mobile-frontend-opt-in-explain' => 'Dengan bergabung dengan beta, Anda akan mendapatkan akses ke fitur-fitur eksperimental, namun dengan risiko menjumpai bug dan masalah.',
	'mobile-frontend-images-status' => 'Gambar',
	'mobile-frontend-disable-images' => 'Non-aktifkan gambar pada situs mobil',
	'mobile-frontend-enable-images' => 'Aktifkan gambar pada situs mobil',
	'mobile-frontend-missing-image' => 'Gambar',
	'mobile-frontend-off' => 'MATIKAN',
	'mobile-frontend-on' => 'HIDUPKAN',
	'mobile-frontend-featured-article' => 'Artikel pilihan',
	'mobile-frontend-news-items' => 'Peristiwa terkini',
	'mobile-frontend-language-article-heading' => 'Baca dalam bahasa lain',
	'mobile-frontend-language-header' => 'Artikel ini tersedia dalam $1 {{PLURAL:$1|bahasa}}',
	'mobile-frontend-language-variant-header' => 'Pilih varian {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Catatan: Halaman ini mungkin tidak ditulis dalam bahasa pilihan Anda. Anda dapat melihat {{SITENAME}} bahasa apa yang didukung dengan mengeklik di sini.',
	'mobile-frontend-language-site-choose' => 'Cari bahasa',
	'mobile-frontend-username' => 'Nama pengguna:',
	'mobile-frontend-password' => 'Kata sandi:',
	'mobile-frontend-username-placeholder' => 'Nama pengguna',
	'mobile-frontend-password-placeholder' => 'Kata sandi',
	'mobile-frontend-login' => 'Masuk log',
	'mobile-frontend-history' => 'Lihat riwayat suntingan halaman ini.',
	'mobile-frontend-last-modified-date' => 'Terakhir diubah pada $1, $2',
	'mobile-frontend-last-modified-seconds' => 'Terakhir diubah pada {{PLURAL:$1|$1 detik}} yang lalu',
	'mobile-frontend-last-modified-minutes' => 'Terakhir diubah pada {{PLURAL:$1|$1 menit}} yang lalu',
	'mobile-frontend-last-modified-hours' => 'Terakhir diubah pada {{PLURAL:$1|$1 jam}} yang lalu',
	'mobile-frontend-last-modified-days' => 'Terakhir diubah pada {{PLURAL:$1|$1 hari}} yang lalu',
	'mobile-frontend-last-modified-months' => 'Terakhir diubah pada {{PLURAL:$1|$1 bulan}} yang lalu',
	'mobile-frontend-last-modified-years' => 'Terakhir diubah pada {{PLURAL:$1|$1 tahun}} yang lalu',
	'mobile-frontend-last-modified-just-now' => 'Terakhir diubah baru saja',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3 detik|$3 detik}} yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3|$3}} menit yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3|$3}} jam yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3|$3}} hari yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3|$3}} bulan yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3|$3}} tahun yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Baru saja {{GENDER:$1|disunting}}] oleh {{PLURAL:$4|[$5 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-learn-more' => 'Pelajari lebih lanjut',
	'mobile-frontend-account-create-submit' => 'Mendaftar',
	'mobile-frontend-password-confirm-placeholder' => 'Konfirmasi sandi',
	'mobile-frontend-account-create-email-placeholder' => 'Alamat surel (opsional)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Masukkan kode konfirmasi',
	'mobile-frontend-overlay-escape' => 'Kembali',
	'mobile-frontend-placeholder' => 'Cari {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Cari {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Cari {{SITENAME}} (Eksperimental)',
	'mobile-frontend-search-help' => 'Masukkan kueri pencarian di atas dan judul halaman yang sesuai akan muncul di sini.',
	'mobile-frontend-dismiss-notification' => 'tutup pemberitahuan ini',
	'mobile-frontend-clear-search' => 'Kosongkan',
	'mobile-frontend-privacy-link-text' => 'Privasi',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Teks tersedia di bawah [//id.m.wikipedia.org/wiki/Wikipedia:Teks_Lisensi_Creative_Commons_Atribusi-BerbagiSerupa_3.0?useformat=mobile CC BY-SA 3.0]; ketentuan tambahan mungkin berlaku.',
	'mobile-frontend-copyright' => 'Konten tersedia di bawah $1 kecuali apabila disebutkan lisensi yang lain.',
	'mobile-frontend-footer-contact' => 'Kontak',
	'mobile-frontend-search-noresults' => 'Tidak ada judul yang cocok dengan pencarian Anda. Ubah pencarian Anda, atau tekan tombol pencarian di papan ketik untuk mencari di dalam isi artikel.',
	'mobile-frontend-main-menu-button-tooltip' => 'Buka menu utama',
	'mobile-frontend-main-menu-page-title' => 'Navigasi situs',
	'mobile-frontend-main-menu-featured' => 'Pilihan',
	'mobile-frontend-main-menu-nearby' => 'Dekat',
	'mobile-frontend-main-menu-login' => 'Masuk log',
	'mobile-frontend-main-menu-logout' => 'Keluar log',
	'mobile-frontend-main-menu-watchlist' => 'Pantauan',
	'mobile-frontend-main-menu-settings' => 'Pengaturan',
	'mobile-frontend-main-menu-upload' => 'Unggah',
	'mobile-frontend-main-menu-settings-heading' => 'Pengaturan',
	'mobile-frontend-settings-site-header' => 'Bahasa {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} tersedia dalam $1 {{PLURAL:$1|bahasa|bahasa}}. Semua versi yang tersedia disebutkan di bawah',
	'mobile-frontend-main-menu-account-create' => 'Buat akun',
	'mobile-frontend-page-menu-contents' => 'isi',
	'mobile-frontend-page-menu-history' => 'Versi terdahulu',
	'mobile-frontend-meta-data-issues-header' => 'Masalah',
	'mobile-frontend-meta-data-issues' => 'Halaman ini memiliki beberapa masalah',
	'mobile-frontend-page-saving' => 'Menyimpan $1',
	'mobile-frontend-user-cta' => 'Silakan masuk log atau mendaftar untuk melihat pemberitahuan Anda.',
	'mobile-frontend-user-button-tooltip' => 'Tampilkan pemberitahuan saya',
	'mobile-frontend-nearby-to-page' => 'Halaman berikut terkait dengan $1 menurut lokasi geografis mereka',
	'mobile-frontend-nearby-title' => 'Dekat',
	'mobile-frontend-nearby-loading' => 'Memuat topik di dekat lokasi Anda saat ini',
	'mobile-frontend-nearby-requirements' => 'Maaf! Penjelajah Anda tidak mendukung fitur Dekat {{SITENAME}} .',
	'mobile-frontend-nearby-requirements-guidance' => 'Cobalah penjelajah yang lain atau mengaktifkan JavaScript jika Anda telah menon-aktifkannya.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'Fitur Dekat {{SITENAME}} tidak tahu di mana Anda... coba lagi?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Cobalah area terbuka dengan sinyal yang lebih baik.',
	'mobile-frontend-nearby-permission' => 'Fitur Dekat {{SITENAME}} tidak memiliki izin untuk mengakses lokasi Anda.',
	'mobile-frontend-nearby-permission-guidance' => 'Pastikan Anda memberikan izin untuk menunjukkan lokasi Anda. Anda mungkin perlu mengecek pengaturan lokasi penjelajah Anda.',
	'mobile-frontend-nearby-noresults' => 'Di luar sana sepi... Tidak ada artikel lain tentang tempat di dekat Anda yang dapat ditemukan.',
	'mobile-frontend-nearby-noresults-guidance' => 'Cobalah membuat sebuah halaman baru atau menambahkan lokasi ke halaman yang sudah ada',
	'mobile-frontend-nearby-refresh' => 'Kami menemukan lokasi yang lebih akurat untuk Anda. Klik di sini untuk memperbarui daftar halaman tentang tempat di dekat Anda.',
	'mobile-frontend-nearby-error' => 'Fitur Dekat {{SITENAME}} memiliki beberapa masalah.',
	'mobile-frontend-nearby-error-guidance' => 'Cobalah perbarui lokasi Anda.',
	'mobile-frontend-nearby-link' => 'Baca halaman ini secara penuh',
	'mobile-frontend-nearby-directions' => 'Navigasi ke sini',
	'mobile-frontend-donate-image-nouploads' => 'Tidak ada unggahan.',
	'mobile-frontend-donate-image-login' => 'Anda harus masuk log untuk melihat unggahan Anda.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'Tidak ada gambar yang diperlukan pada halaman ini.',
	'mobile-frontend-photo-upload-anon' => 'Anda harus masuk log untuk menambahkan gambar ke halaman ini.', # Fuzzy
	'mobile-frontend-photo-upload-protected' => 'Anda tidak memiliki izin untuk menambahkan gambar ke halaman ini.',
	'mobile-frontend-photo-upload-unavailable' => 'Penjelajah Anda tidak mendukung pengunggahan gambar.',
	'mobile-frontend-photo-upload-generic' => 'Sumbang sebuah gambar',
	'mobile-frontend-donate-image-title' => 'Unggah',
	'mobile-frontend-donate-image-heading' => 'Kontribusi terakhir Anda',
	'mobile-frontend-donate-image-anon' => '$1 dibutuhkan untuk melihat halaman pengunggahan.',
	'mobile-frontend-user-account' => 'akun pengguna',
	'mobile-frontend-listed-image-no-description' => 'Tidak ada keterangan',
	'mobile-frontend-donate-photo-upload-success' => 'Sukses! Gambar Anda sekarang dapat digunakan pada {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Berhasil! Terima kasih atas kontribusi pertama Anda!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Kirimkan gambar yang Anda buat. Bantulah {{SITENAME}} menjadi lebih hidup!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Gambar pada {{SITENAME}} berasal dari Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Gambar Anda membantu mendidik orang-orang di seluruh dunia',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Hindari materi berhak cipta yang Anda temukan dari internet serta gambar poster, sampul buku, dll.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Mengerti?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Ya!',
	'mobile-frontend-watchlist-add' => 'Ditambahkan $1 ke daftar pantauan Anda',
	'mobile-frontend-watchlist-removed' => 'Dihapus $1 dari daftar pantauan Anda',
	'mobile-frontend-watchlist-view' => 'Lihat daftar pantauan Anda',
	'mobile-frontend-watchlist-more' => 'lainnya',
	'mobile-frontend-watchlist-cta' => 'Silakan masuk log atau mendaftar untuk mamantau halaman ini.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Masuk log',
	'mobile-frontend-watchlist-cta-button-signup' => 'Daftar',
	'mobile-frontend-watch-login' => 'Anda harus masuk log untuk memantau halaman.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'Daftar',
	'mobile-frontend-watchlist-feed' => 'Diubah',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klik bintang di bagian atas halaman',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Anda tidak sedang memantau halaman apa pun. Daftar pantauan Anda membantu mendaftarkan halaman-halaman yang menarik bagi Anda. Anda dapat memantau halaman dengan menekan simbol bintang.',
	'mobile-frontend-watchlist-feed-empty' => 'Tidak ada halaman dengan perubahan terbaru.',
	'mobile-frontend-watchlist-back-home' => 'Kembali ke beranda',
	'mobile-frontend-changeslist-ip' => 'Pengguna anonim',
	'mobile-frontend-changeslist-nocomment' => 'tidak ada ringkasan suntingan',
	'mobile-frontend-watchlist-filter-all' => 'Semua',
	'mobile-frontend-watchlist-filter-articles' => 'Artikel', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Pembicaraan',
	'mobile-frontend-watchlist-filter-other' => 'Lainnya',
	'mobile-frontend-watchlist-modified' => 'Diubah $1',
	'mobile-frontend-diffview-404-title' => 'Revisi buruk',
	'mobile-frontend-diffview-404-desc' => 'ID untuk revisi yang Anda minta tidak ada.',
	'mobile-frontend-diffview-title' => 'Perubahan',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|suntingan|suntingan}}',
	'mobile-frontend-diffview-anonymous' => 'Pengguna anonim',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|bita|bita}} ditambahkan',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|bita|bita}} dihapus',
	'mobile-frontend-diffview-explained' => 'Baris berikut ini ditambahkan (+) dan dihapus (-):',
	'mobile-frontend-thanked-notice' => '$1 telah diberitahu bahwa Anda menyukai {{GENDER:$2|suntingannya|suntingannya|suntingan mereka}}.',
	'mobile-frontend-saving-exit-page' => 'Kontribusi Anda sedang disimpan. Jika Anda meninggalkan halaman ini maka kontribusi Anda akan hilang. Apakah Anda yakin Anda ingin keluar?',
	'mobile-frontend-photo-upload' => 'Tambahkan gambar ke halaman ini',
	'mobile-frontend-photo-article-edit-comment' => 'Tambahkan gambar untuk digunakan pada halaman',
	'mobile-frontend-photo-article-donate-comment' => 'Sumbang gambar dari Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Menambahkan gambar ke halaman',
	'mobile-frontend-photo-caption-placeholder' => 'Menambahkan keterangan (diperlukan)', # Fuzzy
	'mobile-frontend-image-loading' => 'Memuat gambar',
	'mobile-frontend-photo-ownership' => 'Saya, $1, yang membuat gambar ini.',
	'mobile-frontend-photo-ownership-help' => 'Apa artinya ini?',
	'mobile-frontend-photo-ownership-confirm' => 'Mengerti!',
	'mobile-frontend-photo-ownership-bullet-one' => 'Kami hanya dapat menerima gambar milik Anda. Jangan mengunggah gambar yang Anda temukan di tempat lain di Internet.',
	'mobile-frontend-photo-ownership-bullet-two' => 'Gambar yang dilindungi hak cipta dan tidak patut akan dihapus.',
	'mobile-frontend-photo-ownership-bullet-three' => 'Unggahan Anda dirilis di bawah lisensi yang memungkinkan setiap orang untuk menggunakan kembali berkas Anda secara gratis.',
	'mobile-frontend-photo-nag-1-bullet-1-heading' => 'Saya tidak melanggar hak cipta',
	'mobile-frontend-photo-nag-1-bullet-1-text' => "Ini '''bukan''' gambar yang saya temukan di Internet. Ini adalah buatan saya sendiri.",
	'mobile-frontend-photo-nag-1-bullet-2-heading' => 'Ini bukan gambaran diri saya',
	'mobile-frontend-photo-nag-1-bullet-2-text' => 'Dan dapat membantu mengilustrasikan topik yang penting.',
	'mobile-frontend-photo-nag-2-bullet-1-heading' => 'Pasti tidak melanggar hak cipta, dan gambar ini memiliki nilai edukasi.',
	'mobile-frontend-photo-nag-3-bullet-1-heading' => 'Saya mengerti apa yang boleh diunggah. Jangan tampilkan pesan ini lagi.',
	'mobile-frontend-photo-nag-learn-more-heading' => 'Apa yang boleh diunggah',
	'mobile-frontend-photo-nag-learn-more-1' => "'''Ya!''' Foto-foto tempat, benda-benda, dan peristiwa.",
	'mobile-frontend-photo-nag-learn-more-2' => "'''Ya!''' Foto yang dapat membantu menggambarkan dan memperkaya halaman {{SITENAME}}.",
	'mobile-frontend-photo-nag-learn-more-3' => "'''Tidak.''' foto poster film, sampul buku, atau materi berhak cipta lainnya. Gambar-gambar seperti ini akan dihapus.",
	'mobile-frontend-lead-image-tutorial-summary' => 'Pastikan bahwa gambar Anda dapat membantu mengilustrasikan halaman. Gambar tersebut harus gambar yang Anda buat sendiri, yang tidak melanggar hak cipta.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Mulai mengunggah',
	'mobile-frontend-image-uploading-wait' => 'Mengunggah gambar, silakan tunggu.',
	'mobile-frontend-image-uploading-long' => 'Gambar masih diunggah! Terima kasih atas kesabaran Anda.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Batalkan</a> jika ini terlalu lama.',
	'mobile-frontend-photo-upload-error' => 'Galat, coba lagi.',
	'mobile-frontend-photo-upload-error-file-type' => 'Harap hanya mengunggah gambar.',
	'mobile-frontend-photo-upload-error-filename' => 'Galat, harap memberikan ringkasan yang lebih deskriptif.',
	'mobile-frontend-photo-upload-success-article' => 'Berhasil! Gambar Anda sekarang telah tertampil di halaman ini.',
	'mobile-frontend-photo-license' => 'Dengan mengeklik "Kirim", Anda setuju [//wikimediafoundation.org/wiki/Terms_of_use Ketentuan Penggunaan] kami dan setuju untuk melepaskan gambar Anda di bawah [//creativecommons.org/licenses/by-sa/3.0/deed.id Lisensi Creative Commons Atribusi-BerbagiSerupa 3.0].', # Fuzzy
	'mobile-frontend-photo-submit' => 'Kirim',
	'mobile-frontend-photo-cancel' => 'Batalkan',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> unggah|<span> $1 </span> unggah}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ unggahan',
	'mobile-frontend-editor-unavailable' => 'Penyuntingan lewat piranti mobil saat ini tidak tersedia pada penjelajah Anda. Silakan coba penjelajah yang berbeda.',
	'mobile-frontend-editor-undo-unsupported' => 'Fitur pembatalan saat ini tidak didukung pada piranti mobil.',
	'mobile-frontend-editor-newpage-prompt' => 'Halaman ini tidak ada. Mengapa tidak Anda coba buat saja?',
	'mobile-frontend-editor-disabled' => 'Anda tidak dapat menyunting halaman ini', # Fuzzy
	'mobile-frontend-editor-cta' => 'Anda harus masuk log untuk menyunting halaman pada piranti mobil.', # Fuzzy
	'mobile-frontend-editor-edit' => 'Sunting',
	'mobile-frontend-editor-continue' => 'Lanjutkan',
	'mobile-frontend-editor-save' => 'Simpan',
	'mobile-frontend-editor-cancel' => 'Batal',
	'mobile-frontend-editor-keep-editing' => 'Lanjutkan',
	'mobile-frontend-editor-license' => 'Dengan mengeklik "Simpan", Anda setuju dengan [//wikimediafoundation.org/wiki/Terms_of_use Ketentuan Penggunaan] kami dan setuju untuk melepaskan teks Anda di bawah [//creativecommons.org/licenses/by-sa/3.0/deed.id Lisensi Creative Commons Atribusi-BerbagiSerupa 3.0] dan [//id.wikipedia.org/wiki/Wikipedia:Teks_Lisensi_Dokumentasi_Bebas_GNU GFDL].', # Fuzzy
	'mobile-frontend-editor-placeholder' => 'Bagian ini kosong. Jadilah orang pertama yang mengembangkannya!',
	'mobile-frontend-editor-summary-placeholder' => 'Beritahu kami apa Anda ubah (opsional)',
	'mobile-frontend-editor-cancel-confirm' => 'Apakah Anda benar-benar ingin meninggalkan suntingan Anda?',
	'mobile-frontend-editor-wait' => 'Menyimpan suntingan, silakan tunggu.',
	'mobile-frontend-editor-guider' => '"{{int:mobile-frontend-editor-continue}}" akan memungkinkan Anda untuk melihat pratayang dan menyimpan.',
	'mobile-frontend-editor-success' => 'Berhasil! Suntingan Anda tersimpan.',
	'mobile-frontend-editor-success-landmark-1' => 'Selamat, sekarang Anda adalah penyunting {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Galat, suntingan tidak tersimpan.',
	'mobile-frontend-editor-error-conflict' => 'Galat, pengguna lain telah menyunting halaman ini.',
	'mobile-frontend-editor-error-loading' => 'Galat, tidak dapat memuat bagian.',
	'mobile-frontend-editor-preview-header' => 'Pratayang',
	'mobile-frontend-editor-error-preview' => 'Galat, sesuatu yang tak terduga terjadi saat memuat pratayang. Silakan tutup dan coba lagi.',
	'mobile-frontend-editor-tutorial-summary' => 'Jangan takut dengan marka wiki. Cobalah kembangkan halaman $1.',
	'mobile-frontend-editor-tutorial-confirm' => 'Mulai menyunting',
	'mobile-frontend-editor-captcha-try-again' => 'Kode salah, coba lagi.',
	'mobile-frontend-editor-abusefilter-warning' => 'Peringatan: Apakah Anda yakin Anda ingin menyimpan perubahan ini? Mungkin ada masalah dengan suntingan itu.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Suntingan ini tidak bisa disimpan karena kami telah mendeteksi sebuah masalah.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Baca lebih lanjut',
	'tag-mobile_edit' => 'Penyuntingan piranti mobil',
	'tag-mobile_edit-description' => 'Suntingan dari situs mobil',
	'mobile-frontend-drawer-cancel' => 'Batal',
	'mobile-frontend-talk-explained' => 'Percakapan berikut sedang aktif',
	'mobile-frontend-talk-explained-empty' => 'Tidak ada percakapan tentang halaman ini.',
	'mobile-frontend-talk-overlay-header' => 'Pembicaraan',
	'mobile-frontend-talk-back-to-page' => 'Kembali ke halaman "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Diskusi tanpa nama',
	'mobile-frontend-talk-add-overlay-submit' => 'Tambahkan diskusi',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Subyek topik',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Apa yang ada di pikiran Anda?',
	'mobile-frontend-talk-edit-summary' => 'Bagian pembicaraan yang baru: $1',
	'mobile-frontend-talk-reply-success' => 'Balasan Anda berhasil disimpan di halaman pembicaraan.',
	'mobile-frontend-talk-reply-info' => 'Catatan: balasan Anda akan secara otomatis ditandatangani dengan nama pengguna Anda.',
	'mobile-frontend-talk-reply' => 'Balas',
	'mobile-frontend-media-details' => 'Rincian',
	'mobile-frontend-profile-title' => 'Profil pengguna',
	'mobile-frontend-profile-last-upload-caption' => 'Unggahan terakhir oleh {{GENDER:$1|$1}}, {{PLURAL:$2|kemarin|$2 hari yang lalu|0=hari ini}}.', # Fuzzy
	'mobile-frontend-profile-usertalk' => 'Lihat halaman pembicaraan', # Fuzzy
	'mobile-frontend-profile-noargs' => 'Harap masukkan nama pengguna untuk melihat profil.', # Fuzzy
	'mobile-frontend-profile-nouser' => 'Nama pengguna tidak ada atau salah', # Fuzzy
	'mobile-frontend-profile-userpage-link' => 'Kunjungi halaman pengguna.',
	'mobile-frontend-requires-optin' => 'Halaman ini tidak tersedia kecuali Anda ikut serta ke dalam mode beta kami. Kunjungi [[Special:MobileOptions|halaman pengaturan]] untuk ikut mode beta.',
	'mobile-frontend-profile-last-thanked' => '{{GENDER:$1|Terakhir diberi ucapan terima kasih}} oleh [[Special:UserProfile/$1|$1]] untuk suntingan pada [[$2]].', # Fuzzy
	'mobile-frontend-geonotahack' => 'Dekat halaman ini',
	'beta-feature-geonotahack' => 'Dekat halaman ini',
	'beta-feature-geonotahack-description' => 'Temukan halaman yang dekat secara geografis dari halaman konten yang sedang Anda baca.',
);

/** Igbo (Igbo)
 * @author Ukabia
 */
$messages['ig'] = array(
	'mobile-frontend-show-button' => 'Zi',
	'mobile-frontend-hide-button' => 'Zonari',
);

/** Iloko (Ilokano)
 * @author Lam-ang
 */
$messages['ilo'] = array(
	'mobilefrontend-random-explain' => 'Kayatmo kadi dagitoy a pugto a panid?',
	'mobilefrontend-random-cancel' => 'Basaek man!',
	'nearby' => 'Pampanid nga asideg kenka',
	'mobile-frontend-desc' => 'Mobile a Sanguanan',
	'mobile-frontend-search-submit' => 'Inkan',
	'mobile-frontend-home-button' => 'Balay',
	'mobile-frontend-logged-out' => 'Saan a nakastrek',
	'mobile-frontend-logged-in-homepage-notification' => 'Naragsak nga isasangbay, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Nakastrek a kas ni $1.',
	'mobile-frontend-sign-up-heading' => 'Sumalip',
	'mobile-frontend-sign-in-heading' => 'Sumrek',
	'mobile-frontend-sign-in-why' => 'No adda pakabilangam iti {{SITENAME}} , mabalinmo ti sumrek dita.',
	'mobile-frontend-sign-in-error-heading' => 'Whoops',
	'mobile-frontend-settings-description' => 'Papintasem ti panagsanaymo iti ramitmo a mobile kadagitoy a naisangayan a pannakaiyasentar.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Eksperimental a moda',
	'mobile-frontend-settings-alpha-description' => 'Sumrek ti napeggad ken di pay nasukisok a teritorio ti mobile. Makaalaka pay kadagiti ad-adu nga eksperimental a langa, ngem ad-adu met ti peggad kadagiti parikut.',
	'mobile-frontend-save-settings' => 'Idulin',
	'mobile-frontend-save-error' => 'Biddut ti panangidulin dagiti panangiyasentar. Pangngaasi a siguraduem a napakabaelan dagiti galietam.',
	'mobile-frontend-random-button' => 'Pugto',
	'mobile-frontend-back-to-top-of-section' => 'Agsubli iti maysa a paset',
	'mobile-frontend-close-section' => 'Irikep daytoy a paset',
	'mobile-frontend-regular-site' => 'Desktop a panagkita',
	'mobile-frontend-wml-continue' => 'Agtuloy...',
	'mobile-frontend-wml-back' => 'Agsubli...',
	'mobile-frontend-view' => 'Mobile a panagkita',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Mobile',
	'mobile-frontend-opt-in-explain' => 'Babaen ti pannakitipon ti beta, makaserrekka kadagiti subsubokan a langa, nga addaan ti peggad a makasarakka kadagiti parikut ken madi a banag.',
	'mobile-frontend-images-status' => 'Dagiti ladawan',
	'mobile-frontend-disable-images' => 'Ibaldado dagiti ladawan iti sitio ti mobile',
	'mobile-frontend-enable-images' => 'Pakabaelan dagiti ladawan iti sitio ti mobile',
	'mobile-frontend-missing-image' => 'Ladawan',
	'mobile-frontend-off' => 'Iddepen',
	'mobile-frontend-on' => 'Lukatan',
	'mobile-frontend-featured-article' => 'Nailasin a linaon ita nga aldaw',
	'mobile-frontend-news-items' => 'Damdamag',
	'mobile-frontend-language-article-heading' => 'Basaen iti sabali a pagsasao',
	'mobile-frontend-language-header' => 'Daytoy a panid ket mabalin a magun-od iti $1 {{PLURAL:$1|a pagsasao|kadagiti pagsasao}}',
	'mobile-frontend-language-variant-header' => 'Agpili ti sabali a kita ti {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Laglagipen: Daytoy a panid ket mabalin a saan a naisurat iti kinaynayatmo a pagsasao. Mabalinmo a makita dagitoy a pagsasao a masuportaran ti {{SITENAME}} babaen ti panagpindut ditoy.',
	'mobile-frontend-language-site-choose' => 'Agbiruk ti pagsasao',
	'mobile-frontend-username' => 'Nagan ti agar-aramat:',
	'mobile-frontend-password' => 'Kontrasenias:',
	'mobile-frontend-username-placeholder' => 'Nagan ti agar-aramat',
	'mobile-frontend-password-placeholder' => 'Kontrasenias',
	'mobile-frontend-login' => 'Sumrek',
	'mobile-frontend-history' => 'Kitaen ti pakasaritaan ti panag-urnos iti daytoy a panid.',
	'mobile-frontend-last-modified-date' => 'Naudi a nabaliwan idi $1, idi $2',
	'mobile-frontend-last-modified-seconds' => 'Naudi a binaliwan kalpasan idi {{PLURAL:$1|$1 a segundo|$1 a segsegundo}}',
	'mobile-frontend-last-modified-minutes' => 'Naudi a binaliwan kalpasan idi {{PLURAL:$1|$1 a minuto|$1 a minminuto}}',
	'mobile-frontend-last-modified-hours' => 'Naudi a binaliwan kalpasan idi {{PLURAL:$1|$1 nga oras|$1 nga or-oras}}',
	'mobile-frontend-last-modified-days' => 'Naudi a binaliwan kalpasan idi {{PLURAL:$1|$1 nga aldaw|$1 nga al-aldaw}}',
	'mobile-frontend-last-modified-months' => 'Naudi a binaliwan kalpasan idi {{PLURAL:$1|$1 a bulan|$1 a bulbulan}}',
	'mobile-frontend-last-modified-years' => 'Naudi a binaliwan kalpasan idi {{PLURAL:$1|$1 a tawen|$1 a tawtawen}}',
	'mobile-frontend-learn-more' => 'Agadal pay ti adu',
	'mobile-frontend-account-create-submit' => 'Sumalip',
	'mobile-frontend-password-confirm-placeholder' => 'Pasingkedan ti kontrasenias',
	'mobile-frontend-account-create-email-placeholder' => 'Esurat a pagtaengan (pagpilian)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Ikabil ti seguridad a testo', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Agsubli',
	'mobile-frontend-placeholder' => 'Agbiruk iti {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Agbiruk iti {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Agbiruk iti {{SITENAME}} (Eksperimental)',
	'mobile-frontend-search-help' => 'Imakinilia ti termino a biruken dita ngato ken ti maipada a panid dagiti titulo ket agparangto ditoy.',
	'mobile-frontend-dismiss-notification' => 'pugsayen daytoy a paammo',
	'mobile-frontend-clear-search' => 'Dalusan',
	'mobile-frontend-privacy-link-text' => 'Kinapribado',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Ti testo ket magun-od babaen ti [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; dagiti maipatinayon a termino ket mabalin pay a maipakat.',
	'mobile-frontend-copyright' => 'Ti linaon ket magun-od babaen ti $1 malaksid no adda sabali a naibaga.',
	'mobile-frontend-footer-contact' => 'Pagdamagan',
	'mobile-frontend-search-noresults' => 'AWan ti panid dagiti titulo ti naipada ti panagbirukmo. Baliwan ti panagbirukmo, wenno talmegam ti panagbiruk a buton ti teklado tapno agbiruk iti uneg ti pampanid.',
	'mobile-frontend-main-menu-button-tooltip' => 'Lukatan ti nangruna a menu',
	'mobile-frontend-main-menu-page-title' => 'Pagdalisatan ti sitio',
	'mobile-frontend-main-menu-featured' => 'Napili',
	'mobile-frontend-main-menu-nearby' => 'Iti asideg',
	'mobile-frontend-main-menu-login' => 'Sumrek',
	'mobile-frontend-main-menu-logout' => 'Rummuar',
	'mobile-frontend-main-menu-watchlist' => 'Listaan ti bambantayan',
	'mobile-frontend-main-menu-settings' => 'Dagiti pakayasentaran',
	'mobile-frontend-main-menu-upload' => 'Dagiti pang-ipan',
	'mobile-frontend-main-menu-settings-heading' => 'Dagiti pakayasentaran',
	'mobile-frontend-settings-site-header' => 'Dagiti pagsasao ti {{SITENAME}}',
	'mobile-frontend-settings-site-description' => 'Ti {{SITENAME}} ket mabalin a magun-od iti $1 {{PLURAL:$1|a pagsasao|kadagiti pagsasao}}. Amin dagiti magun-od a bersion ket nailista dita baba',
	'mobile-frontend-main-menu-account-create' => 'Agaramid ti pakabilangan',
	'mobile-frontend-page-menu-contents' => 'dagiti linaon',
	'mobile-frontend-page-menu-history' => 'Pakasaritaan',
	'mobile-frontend-meta-data-issues-header' => 'Dagiti parikut',
	'mobile-frontend-meta-data-issues' => 'Daytoy a panid ket adda dagiti parikutna',
	'mobile-frontend-page-saving' => 'Iduldulin ti $1',
	'mobile-frontend-user-cta' => 'Panggaasi a sumrekka wenno sumalipka tapno makitam dagiti paammom.',
	'mobile-frontend-user-button-tooltip' => 'Ipakitam dagiti paammok',
	'mobile-frontend-nearby-to-page' => 'Ti sumaganad apampanid ket mainaig iti $1 babaen ti heograpiko a lokasionda',
	'mobile-frontend-nearby-title' => 'Iti asideg',
	'mobile-frontend-nearby-loading' => 'Agkarkarga kadagiti topiko iti asideg ti agdama a lokasionmo',
	'mobile-frontend-nearby-requirements' => 'Pasensia! Ti pagbasabasam ti web ket saanna a suportaran ti {{SITENAME}} Nearby.',
	'mobile-frontend-nearby-requirements-guidance' => 'Padasen ti sabali apagbasabasa wenno pakabaelam ti JavaScript no inbaldadom daytoy.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'Ti {{SITENAME}} Nearby ket saanna a mabirukan ti ayanmo… padasem manen?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Padasem ti nawaya lugar nga adda iti nasaysayaat a senial.',
	'mobile-frontend-nearby-permission' => 'Ti {{SITENAME}} Nearby ket awan pammalubos a makapan iti lokasionmo.',
	'mobile-frontend-nearby-permission-guidance' => 'Pangngaasi a siguraduem ti mangited ti pammalubos a mangipakita ti ayanmo. Mabalin a nasken a kitaem ti pannakaiyasentar ti lokasion ti pagbasabasam.',
	'mobile-frontend-nearby-noresults' => 'Naulimek met ditoy… Awan met dagiti aniaman a panid a nabirukan iti asideg.',
	'mobile-frontend-nearby-noresults-guidance' => 'Padasem ti agpatuat ti baro a panid wenno agnayon ti lokasion iti maysa nga addan',
	'mobile-frontend-nearby-refresh' => 'Nakabiruk kami ti nasaysayaat a lokasion ara kenka. Pindutem ditoy tapno mapasadiwa ti listaan iti asideg a pampanid',
	'mobile-frontend-nearby-error' => 'Ti {{SITENAME}} Nearby ket agdama nga adda dagiti parikut.',
	'mobile-frontend-nearby-error-guidance' => 'Padasem a pasadiwaen ti lokasionmo.',
	'mobile-frontend-nearby-link' => 'Basaen daytoy a panid iti napno',
	'mobile-frontend-nearby-directions' => 'Agdaliasat ditoy',
	'mobile-frontend-donate-image-nouploads' => 'Awan dagiti panagipan.',
	'mobile-frontend-donate-image-login' => 'Nasken a nakastrekka tapno makitam dagiti inpanmo.',
	'mobile-frontend-photo-upload-disabled' => 'Saan a masapul ti ladawan iti daytoy a panid.',
	'mobile-frontend-photo-upload-anon' => 'Nasken a nakstrekka tapno makanayonka ti ladawan iti daytoy a panid.',
	'mobile-frontend-photo-upload-protected' => 'Awan ti pammalubosmo nga agnayon ti ladawan iti daytoy a panid.',
	'mobile-frontend-photo-upload-unavailable' => 'Ti pagbasabasam ket saan a mangsuporta kadagiti panagipan ti ladawan.',
	'mobile-frontend-photo-upload-generic' => 'Agipadawat ti maysa a ladawan',
	'mobile-frontend-donate-image-title' => 'Dagiti pang-ipan',
	'mobile-frontend-donate-image-heading' => 'Dagiti kinaudi a kontribusionmo',
	'mobile-frontend-donate-image-anon' => 'Ti $1 ket masapul tapno makita dagiti panagipan a panid.',
	'mobile-frontend-user-account' => 'pakabilangan ti agar-aramat',
	'mobile-frontend-listed-image-no-description' => 'Awan ti deskripsion',
	'mobile-frontend-donate-photo-upload-success' => 'Balligi! Ti ladawanmo ket mabalinen a mausar iti {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Balligi! Agyamanak kadagiti immuna a kontribusionmo!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Ipadawatmo dagiti ladawnmo. Tulongam ti {{SITENAME}} nga agrang-ay!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Dagiti ladawan iti {{SITENAME}} ket nagtaud manipud idiay Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Dagiti ladawanmo ket makatulong a makaisuro ti tatao iti lawlaw ti lubong',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Liklikan dagiti adda karbenganna a kopia a materiales a nabirukam manipud ti internet ken dagiti pay ladawan dagiti poster, dagiti aklub ti libro, kdpy.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Naalamon?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Wen!',
	'mobile-frontend-watchlist-add' => 'Innayon ti $1 idiay listaan ti banbantayam',
	'mobile-frontend-watchlist-removed' => 'Inikkat ti $1 manipud idiay listaan ti banbantayam',
	'mobile-frontend-watchlist-view' => 'Kitaem ti listaan ti banbantayam',
	'mobile-frontend-watchlist-more' => 'adu pay',
	'mobile-frontend-watchlist-cta' => 'Pangngaasi a sumrekka wenno sumalip tapno mabantayam daytoy a panid',
	'mobile-frontend-watchlist-cta-button-login' => 'Sumrek',
	'mobile-frontend-watchlist-cta-button-signup' => 'Sumalip',
	'mobile-frontend-watch-login' => 'Nasken a nakastrekka tapno makabuyaka ti pampanid',
	'mobile-frontend-watchlist-a-z' => 'Listaan',
	'mobile-frontend-watchlist-feed' => 'Nabaliwan',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Pinduten ti bituen dita ngato ti panid',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Saanka nga agdama nga agbuybuya kadagiti panid. Ti listaan ti banbantayam ket mangsurot ti pampanid a kakaykayatam. Buyaem dagiti panid babaen ti panagpindut ti ikono ti bituen.',
	'mobile-frontend-watchlist-feed-empty' => 'Awan ti pampanid nga adda kadagiti kinaudi a sinuksukatan.',
	'mobile-frontend-watchlist-back-home' => 'Agawid iti balay',
	'mobile-frontend-changeslist-ip' => 'Di ammo nga agar-aramat',
	'mobile-frontend-changeslist-nocomment' => 'awan ti pakabuklan ti panag-urnos',
	'mobile-frontend-watchlist-filter-all' => 'Amin',
	'mobile-frontend-watchlist-filter-articles' => 'Dagiti artikulo', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Tungtungan',
	'mobile-frontend-watchlist-filter-other' => 'Sabali',
	'mobile-frontend-watchlist-modified' => 'Nabaliwan idi $1',
	'mobile-frontend-diffview-404-title' => 'Madi a panagbaliw',
	'mobile-frontend-diffview-404-desc' => 'Awan ti id para iti kinidddawmo a panagbaliw.',
	'mobile-frontend-diffview-title' => 'Dagiti sinukatan',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|nga inusnos|nga inur-urnos}}',
	'mobile-frontend-diffview-anonymous' => 'Di ammo nga agar-aramat',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|a byte|dagiti byte}} ti nainayon',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|a byte|dagiti byte}} ti naikkat',
	'mobile-frontend-diffview-explained' => 'Dagiti sumaganad a linia ket nainayon (+) ken naikkat (-):',
	'mobile-frontend-thanked-notice' => 'Naibaga idi kenni $1 a kinayatmo {{GENDER:$2|ti inurnosna|ti inurnosna|dagiti inurnosda}} .',
	'mobile-frontend-table' => 'Tabla $1',
	'mobile-frontend-saving-exit-page' => 'Dagiti kontribusionmo ket maiduldulin pay laeng. No pumanawka dagiti kontribusionmo ket mapukawto. Siguradoka kadi a kayatmo ti rummuar?',
	'mobile-frontend-photo-upload' => 'Agnayon ti ladawan iti daytoy a panid',
	'mobile-frontend-photo-article-edit-comment' => 'Agnayon ti ladawan a mausar iti panid',
	'mobile-frontend-photo-article-donate-comment' => 'Naipadawat a ladawn manipud ti Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Nagnayon ti ladawan iti panid',
	'mobile-frontend-photo-caption-placeholder' => 'Agnayon ti deskripsion (masapul)', # Fuzzy
	'mobile-frontend-image-loading' => 'Agkarkarga ti ladawan',
	'mobile-frontend-photo-ownership' => 'Siak ni, $1, ket nagpartuat iti daytoy a ladawan.',
	'mobile-frontend-photo-ownership-help' => 'Ania ti kaibuksilanna daytoy?',
	'mobile-frontend-photo-ownership-confirm' => 'Naalamon?',
	'mobile-frontend-photo-ownership-bullet-one' => 'Makaawat kami laeng kadagiti ladawan a kukuam. Pangngaasi a saan nga agipan kadagiti ladawan manipud kadagiti sabali a lugar ti Internet.',
	'mobile-frontend-photo-ownership-bullet-two' => 'Maikkatto dagiti nakarbengan ti kopia ken saan a nasayaat a ladawan.',
	'mobile-frontend-photo-ownership-bullet-three' => 'Dagiti inpamo ket maipablaak babaen ti lisensia a mangpalubos ti sinoman ti nawaya a mangusar manen kaniada.',
	'mobile-frontend-photo-nag-1-bullet-1-heading' => 'Saanak nga aglabsing ti karbengan ti kopia',
	'mobile-frontend-photo-nag-1-bullet-1-text' => "Daytoy ket '''saan''' a maysa aladawan a nabirukak iti Internet. Daytoy ket bukodko nga obra.",
	'mobile-frontend-photo-nag-1-bullet-2-heading' => 'Daytoy ket saan a personal a ladawan',
	'mobile-frontend-photo-nag-1-bullet-2-text' => 'Ken mabalin a makatulong a mangiladawan ti maysa a nangruna a topiko.',
	'mobile-frontend-photo-nag-2-bullet-1-heading' => 'Siguradoak a saan nga aglabsing ti karbengan ti kopia, ken daytoy a ladawan ket edukasional.',
	'mobile-frontend-photo-nag-3-bullet-1-heading' => 'Maawatak no ania ti maipan. Saanmonton nga ipakita daytoy a mensahe.',
	'mobile-frontend-photo-nag-learn-more-heading' => 'Ania ti ipan',
	'mobile-frontend-photo-nag-learn-more-1' => "'''Wen!''' Dagiti retrato nga innalam kadagiti lugar, dagiti banbanag, ken dagiti paspasamak.",
	'mobile-frontend-photo-nag-learn-more-2' => "'''Wen!''' Dagiti retrato a mabalin a makatulong a mangiladawan ken mangpabaknang ti pampanid ti {{SITENAME}}.",
	'mobile-frontend-photo-nag-learn-more-3' => "'''Saan.''' Dagiti retrato dagiti poster ti pelikula, dagiti aklub ti libro wenno dagiti sabali pay a nakarbengan ti kopia a materiales. Maikkatto dagitoy.",
	'mobile-frontend-lead-image-tutorial-summary' => 'Siguraduem a ti ladawanmo ket makatulong a mangiladawan ti panid. Nasken a daytoyket maysa a ladawan a pinartuatmo a saan a manglabsing ti karbengan ti kopia.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Mangrugi nga agipan',
	'mobile-frontend-image-uploading-wait' => 'Agip-ipan ti ladawan, pangngaasi nga aguray.',
	'mobile-frontend-image-uploading-long' => 'Agip-ipay pay laeng ti ladawan! Agyamankami ti asiyo.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Ukasen</a> no daytoy ket nabayag unay.',
	'mobile-frontend-photo-upload-error' => 'Biddut, padasem manen.',
	'mobile-frontend-photo-upload-error-file-type' => 'Pangngaasi nga agipan laeng kadagiti ladawan.',
	'mobile-frontend-photo-upload-error-filename' => 'Biddut, pangngaasi a mangited ti nasaysayaat a pakabuklan.',
	'mobile-frontend-photo-upload-success-article' => 'Balligi! Ti ladawanmo ket maipakpakitan iti daytoy a panid.',
	'mobile-frontend-photo-license' => 'Babaen ti panagpindut ti "Ited", tumulagka kadagiti bagimi a [//wikimediafoundation.org/wiki/Terms_of_use Termino ti panag-usar] ken tumulagka a mangibbet ti ladawanmo babaen ti [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0 License].', # Fuzzy
	'mobile-frontend-photo-submit' => 'Ited',
	'mobile-frontend-photo-cancel' => 'Ukasen',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> a naipan|<span>$1</span> a naip-ipan}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ a naip-ipan',
	'mobile-frontend-photo-upload-login' => 'Nasken a nakastrekka tapno makanayon ti maysa a ladawan.',
	'mobile-frontend-editor-newpage-prompt' => 'Awan daytoy a panid. Agturturedka man kadi a mangpartuat daytoy?',
	'mobile-frontend-editor-disabled' => 'Awan pammalubosmo nga agurnos iti daytoy a panid.',
	'mobile-frontend-editor-unavailable' => 'Ti mobile a panag-urnos ket agdama a saan a magun-od iti pagbasabasam. Pangngaasi a padasem ti sabali a pagbasabasa.',
	'mobile-frontend-editor-cta' => 'Nasken a nakastrekka tapno maka-urnos kadagiti panid iti mobile.',
	'mobile-frontend-editor-edit' => 'Urnosen',
	'mobile-frontend-editor-continue' => 'Agtuloy',
	'mobile-frontend-editor-save' => 'Idulin',
	'mobile-frontend-editor-cancel' => 'Ukasen',
	'mobile-frontend-editor-keep-editing' => 'Agtuloy nga agurnos',
	'mobile-frontend-editor-license' => 'Babaen ti panagpindut ti "Idulin", tumulagka dagiti bagimi a [//wikimediafoundation.org/wiki/Terms_of_use Termino ti Panag-usar] ken tumulagka a mangibbet ti testom babaen ti [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0 a Lisensia] ken [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].', # Fuzzy
	'mobile-frontend-editor-placeholder' => 'Daytoy a paset ket awan linaonna. Umunaka mangpadakkel daytoy!',
	'mobile-frontend-editor-summary-placeholder' => 'Ibagam kaniami ti sinukatam (pagpilian)',
	'mobile-frontend-editor-cancel-confirm' => 'Kayatmo kadi a panawan ti inurnosmo?',
	'mobile-frontend-editor-wait' => 'Agiduldulin ti inurnos, pangngaasi nga aguray.',
	'mobile-frontend-editor-guider' => 'Ti "{{int:mobile-frontend-editor-continue}}" ket mangpalubos kenka a mangipadas ken agidulin.',
	'mobile-frontend-editor-success' => 'Balligi! Ti inurnosmo ket naidulinen.',
	'mobile-frontend-editor-success-landmark-1' => 'Kablaawanka, sikan ket editor ti {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Biddut, ti inurnos ket saan a naidulin.',
	'mobile-frontend-editor-error-conflict' => 'Biddut, adda sabali nga agar-aramat ti nagurnos iti daytoy a panid.',
	'mobile-frontend-editor-error-loading' => 'Biddut, saan a maikarga ti paset.',
	'mobile-frontend-editor-preview-header' => 'Ipadas',
	'mobile-frontend-editor-error-preview' => 'Biddut, adda saan a nanamnama a napasamak idi inkarga ti ipadas. Pangngaasi nga irekep ken padasen manen.',
	'mobile-frontend-editor-tutorial-summary' => 'Saanka nga agbutbuteng iti markup. Padasem a pasayaaten ti panid ti $1.',
	'mobile-frontend-editor-tutorial-confirm' => 'Mangrugi nga agurnos',
	'mobile-frontend-editor-captcha-try-again' => 'Madi a kodigo, padasem manen.',
	'tag-mobile_edit' => 'Mobile a panag-urnos',
	'tag-mobile_edit-description' => 'Urnos nga inaramid manipud ti sitio ti mobile',
	'mobile-frontend-drawer-cancel' => 'Ukasen',
	'mobile-frontend-talk-explained' => 'Dagiti sumaganad a pannakisarita ket agdama nga aktibo',
	'mobile-frontend-talk-explained-empty' => 'Awan dagiti pannakisarita a maipanggep iti daytoy a panid.',
	'mobile-frontend-talk-overlay-header' => 'Tungtungan',
	'mobile-frontend-talk-back-to-page' => 'Agsubli iti panid ti "$1"',
	'mobile-frontend-talk-overlay-lead-header' => 'Di nanaganan a tungtungan',
	'mobile-frontend-talk-add-overlay-submit' => 'Agnayon ti tungtungan',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Suheto a topiko',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Ania kadi ti panpanunotem?',
	'mobile-frontend-talk-edit-summary' => 'Baro a paset ti tungtungan: $1',
	'mobile-frontend-talk-reply-success' => 'Ti sungbatmo ket balligi a naidulin iti tungtungan ti panid.',
	'mobile-frontend-talk-reply-info' => 'Ti sungbatmo ket automatikonto a mapirmaan iti naganmo nga agar-aramat.',
	'mobile-frontend-talk-reply' => 'Sungbat',
	'mobile-frontend-media-details' => 'Dagiti salaysay',
	'abusefilter-edit-builder-vars-user-mobile' => 'No man wenno saan a ti agar-aramat ket agur-urnos babaen ti interface ti mobile',
	'mobile-frontend-profile-title' => 'Bariweswes ti agar-aramat',
	'mobile-frontend-profile-usertalk' => 'Kitaen ti tungtungan a panid.', # Fuzzy
	'mobile-frontend-profile-noargs' => 'Pangngaasi a mangited ti bariweswes ti agar-aramat tapno makita ti bariweswes.', # Fuzzy
	'mobile-frontend-requires-optin' => 'Daytoy a panid ket saan a magun-od malaksid no tumiponka iti beta a moda. Sarungkaram ti [[Special:MobileOptions|pagiyasentaran a panid]] tapno makatipon.',
);

/** Ingush (ГӀалгӀай)
 * @author Amire80
 * @author Умар
 */
$messages['inh'] = array(
	'mobile-frontend-search-submit' => 'Дехьа гӀо',
	'mobile-frontend-home-button' => 'ЦӀенга',
	'mobile-frontend-regular-site' => 'Ер оагӀув Вкипадечу хьажа', # Fuzzy
	'mobile-frontend-featured-article' => 'Укх ден хьаржа йоазув', # Fuzzy
);

/** Icelandic (íslenska)
 * @author Bjarki S
 * @author Maxí
 * @author Snævar
 */
$messages['is'] = array(
	'mobilefrontend-random-explain' => 'Finnst þér þessi handahófsvalda síða áhugaverð?',
	'mobilefrontend-random-cancel' => 'Leyfðu mér að lesa!',
	'mobilefrontend-keepgoing-ask' => 'Vel gert! Þú ert að ná tökum á þessu! Viltu reyna að breyta annari síðu?',
	'mobilefrontend-keepgoing-ask-first' => 'Til hamingu með fyrstu breytinguna þína! Viltu reyna að breyta annari síðu?',
	'mobilefrontend-keepgoing-explain' => 'Frábært! Annar notandi sagði að það þurfi að vinna í þessari síðu. Reyndu þessa síðu eða prófaðu aðra.',
	'mobilefrontend-keepgoing-cancel' => 'Nei takk',
	'mobilefrontend-keepgoing-suggest' => 'Já takk',
	'mobilefrontend-keepgoing-suggest-again' => 'Prófa aðra',
	'nearby' => 'Síður nærri þér',
	'mobile-frontend-search-submit' => 'Áfram',
	'mobile-frontend-home-button' => 'Forsíða',
	'mobile-frontend-logged-out' => 'Ekki innskráð(ur)',
	'mobile-frontend-logged-in-homepage-notification' => 'Velkomin(n), $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Skráð/ur inn sem $1.',
	'mobile-frontend-sign-up-heading' => 'Nýskráning',
	'mobile-frontend-sign-in-heading' => 'Innskrá',
	'mobile-frontend-sign-in-why' => 'Ef þú átt {{SITENAME}} aðgang, þá getur þú skráð þig inn hér fyrir neðan.',
	'mobile-frontend-sign-in-error-heading' => 'Úps',
	'mobile-frontend-settings-description' => 'Sérsníddu reynslu þína á farsímanum þínum með þessum sérstöku farsíma stillingum.',
	'mobile-frontend-settings-beta' => 'Prufuútgáfa',
	'mobile-frontend-save-settings' => 'Vista',
	'mobile-frontend-save-error' => 'Villa við vistun á stillingum. Vinsamlegast athugaðu hvort þú hafir vefkökur virkar.',
	'mobile-frontend-random-button' => 'Handahófsvalið',
	'mobile-frontend-back-to-top-of-section' => 'Fara til baka',
	'mobile-frontend-close-section' => 'Loka þessum hluta',
	'mobile-frontend-regular-site' => 'Skoða aðalvef',
	'mobile-frontend-wml-continue' => 'Áfram…',
	'mobile-frontend-wml-back' => 'Til baka…',
	'mobile-frontend-view' => 'Farsímaútgáfa',
	'mobile-frontend-view-desktop' => 'Einkatölvu útgáfa',
	'mobile-frontend-view-mobile' => 'Farsímaútgáfa',
	'mobile-frontend-opt-in-explain' => 'Með því að taka þátt í beta prófun, munt þú fá aðgang að tilrauna möguleikum sem hafa mögulegar villur eða vandamál.',
	'mobile-frontend-images-status' => 'Myndir',
	'mobile-frontend-disable-images' => 'Fela myndir á farsímasíðunni',
	'mobile-frontend-enable-images' => 'Sýna myndir á farsímasíðunni',
	'mobile-frontend-missing-image' => 'Mynd',
	'mobile-frontend-off' => 'AF',
	'mobile-frontend-on' => 'Á',
	'mobile-frontend-featured-article' => 'Grein mánaðarins', # Fuzzy
	'mobile-frontend-news-items' => 'Í fréttum',
	'mobile-frontend-language-heading' => '<strong>Tungumál</strong>',
	'mobile-frontend-language-article-heading' => 'Lesa á öðru tungumáli',
	'mobile-frontend-language-header' => 'Þessi síða er aðgengileg á $1 {{PLURAL:$1|tungumáli|tungumálum}}.',
	'mobile-frontend-language-footer' => 'Athugið: Þessi síða er kanski ekki skrifuð á þínu tungumáli. Þú getur séð hvaða tungumál {{SITENAME}} styður með því að smella hér.',
	'mobile-frontend-language-site-choose' => 'Leita að tungumáli',
	'mobile-frontend-username' => 'Notandanafn:',
	'mobile-frontend-password' => 'Lykilorð:',
	'mobile-frontend-username-placeholder' => 'Notandanafn',
	'mobile-frontend-password-placeholder' => 'Lykilorð',
	'mobile-frontend-login' => 'Innskrá',
	'mobile-frontend-history' => 'Skoða breytingarskrá síðunnar',
	'mobile-frontend-history-summary' => 'Breytingarskrá [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Síðast breytt $1, kl. $2',
	'mobile-frontend-last-modified-seconds' => 'Síðast breytt fyrir {{PLURAL:$1|$1 sekúndu|$1 sekúndum}} síðan',
	'mobile-frontend-last-modified-minutes' => 'Síðast breytt fyrir {{PLURAL:$1|$1 mínútu|$1 mínútum}} síðan',
	'mobile-frontend-last-modified-hours' => 'Síðast breytt fyrir {{PLURAL:$1|$1 klukkutíma|$1 klukkutímum}} síðan',
	'mobile-frontend-last-modified-days' => 'Síðast breytt {{PLURAL:$1|í gær|fyrir $1 dögum síðan}}',
	'mobile-frontend-last-modified-months' => 'Síðast breytt fyrir {{PLURAL:$1|$1 mánuði|$1 mánuðum}} síðan',
	'mobile-frontend-last-modified-years' => 'Síðast breytt fyrir {{PLURAL:$1|$1 ári|$1 árum}} síðan',
	'mobile-frontend-last-modified-just-now' => 'Síðast breytt rétt áðan',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Síðast {{GENDER:$1|breytt}} fyrir {{PLURAL:$3|$3 sekúndu|$3 sekúndum}} síðan] af {{PLURAL:$5|[$6 $2]|0=óskráðum notanda}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Síðast {{GENDER:$1|breytt}} fyrir {{PLURAL:$3|$3 mínótu|$3 mínótum}} síðan] af {{PLURAL:$5|[$6 $2]|0=óskráðum notanda}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Síðast {{GENDER:$1|breytt}} fyrir {{PLURAL:$3|$3 klukkutíma|$3 klukkutímum}} síðan] af {{PLURAL:$5|[$6 $2]|0=óskráðum notanda}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Síðast {{GENDER:$1|breytt}} fyrir {{PLURAL:$3|$3 dag|$3 dögum}} síðan] af {{PLURAL:$5|[$6 $2]|0=óskráðum notanda}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Síðast {{GENDER:$1|breytt}} fyrir {{PLURAL:$3|$3 mánuði|$3 mánuðum}} síðan] af {{PLURAL:$5|[$6 $2]|0=óskráðum notanda}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Síðast {{GENDER:$1|breytt}} fyrir {{PLURAL:$3|$3 ári|$3 árum}} síðan] af {{PLURAL:$5|[$6 $2]|0=óskráðum notanda}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Síðast {{GENDER:$1|breytt}}] rétt áðan af {{PLURAL:$4|[$5 $2]|0=óskráðum notanda}}.',
	'mobile-frontend-account-create-submit' => 'Nýskrá',
	'mobile-frontend-password-confirm-placeholder' => 'Staðfestu lykilorð',
	'mobile-frontend-account-create-email-placeholder' => 'Netfang (valfrjálst)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Sláðu inn staðfestingar kóða',
	'mobile-frontend-overlay-escape' => 'Til baka',
	'mobile-frontend-placeholder' => 'Leita á {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Leita á {{SITENAME}} (Prufuútgáfa)',
	'mobile-frontend-search-help' => 'Sláðu inn leitarorð hér fyrir ofan og leitarniðurstöður birtast hér.',
	'mobile-frontend-dismiss-notification' => 'sleppa þessari áminningu',
	'mobile-frontend-clear-search' => 'Hreinsa',
	'mobile-frontend-privacy-link-text' => 'Persónuvernd',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Textinn er laus undir [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0 leyfi]', # Fuzzy
	'mobile-frontend-copyright' => 'Efnið er aðgengilegt undir $1 nema annað komi fram.',
	'mobile-frontend-footer-contact' => 'Hafa samband',
	'mobile-frontend-search-noresults' => 'Engin síða með þessum titli fannst. Breyttu leitarorðinu, eða ýttu á leitartakkann á lyklaborðinu til þess að leita inní síðum.',
	'mobile-frontend-terms-text' => 'Notkunarskilmálar',
	'mobile-frontend-main-menu-button-tooltip' => 'Opna aðalvalmynd',
	'mobile-frontend-main-menu-featured' => 'Gæða',
	'mobile-frontend-main-menu-nearby' => 'Nálægt',
	'mobile-frontend-main-menu-login' => 'Innskrá',
	'mobile-frontend-main-menu-logout' => 'Útskrá',
	'mobile-frontend-main-menu-watchlist' => 'Vaktlisti',
	'mobile-frontend-main-menu-settings' => 'Stillingar',
	'mobile-frontend-main-menu-upload' => 'Upphöl',
	'mobile-frontend-main-menu-settings-heading' => 'Stillingar',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} tungumál',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} er aðgengilegt á $1 {{PLURAL:$1|tungumáli|tungumálum}}. Allar aðgengilegar útgáfur eru skráðar hér fyrir neðan',
	'mobile-frontend-main-menu-account-create' => 'Nýskrá',
	'mobile-frontend-page-menu-contents' => 'efnisyfirlit',
	'mobile-frontend-page-menu-history' => 'Breytingaskrá',
	'mobile-frontend-meta-data-issues-header' => 'Vandamál',
	'mobile-frontend-meta-data-issues' => 'Nokkur vandamál hrjá þessa síðu',
	'mobile-frontend-page-saving' => 'Vista $1',
	'mobile-frontend-user-cta' => 'Vinsamlegast skráðu þig inn til að sjá tilkynningarnar þínar.',
	'mobile-frontend-user-button-tooltip' => 'Sýna tilkynningarnar mínar',
	'mobile-frontend-nearby-to-page' => 'Eftirfarandi síður tengjast $1 eftir landfræðilegri legu þeirra',
	'mobile-frontend-nearby-title' => 'Nálægt',
	'mobile-frontend-nearby-loading' => 'Hleð inn efni sem er í nágrenninu',
	'mobile-frontend-nearby-requirements' => 'Því miður styður vafrinn þinn ekki {{SITENAME}} eiginleikann „í nágrenninu”.',
	'mobile-frontend-nearby-requirements-guidance' => 'Reyndu annan vafra eða virkjaðu JavaScript ef þú hefur afvirkjað það.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} „Í nágrenninu” getur ekki fundið hvar þú ert... Viltu reyna aftur?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Reyndu opið svæði með betra sambandi.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} „Í nágrenninu” hefur ekki leyfi til að finna staðsetninguna þína.',
	'mobile-frontend-nearby-noresults' => 'Þú ert líklega úti í óbyggðum... Engar síður fundust í nágrenninu.',
	'mobile-frontend-nearby-noresults-guidance' => 'Reyndu að búa til nýja síðu eða bæta hniti við síðu sem er til fyrir.',
	'mobile-frontend-nearby-refresh' => 'Við höfum fundið nákvæmari staðsetningu fyrir þig. Smelltu hér til að endurhlaða listann.',
	'mobile-frontend-nearby-error' => '„Í nágrenninu” á {{SITENAME}} er í vandræðum.',
	'mobile-frontend-nearby-error-guidance' => 'Reyndu að endurhlaða staðsetningunni þinni.',
	'mobile-frontend-nearby-link' => 'Lesa síðuna í heild sinni',
	'mobile-frontend-donate-image-nouploads' => 'Engin upphlöð.',
	'mobile-frontend-donate-image-login' => 'Þú þarft að vera skráð/ur inn til að sjá upphölin þín.',
	'mobile-frontend-photo-upload-disabled' => 'Ekki er þörf á mynd á þessari síðu.',
	'mobile-frontend-photo-upload-anon' => 'Þú þarft að vera skráð/ur inn til að bæta mynd við þessa síðu.',
	'mobile-frontend-photo-upload-protected' => 'Þú hefur ekki leyfi til að bæta mynd við þessa síðu.',
	'mobile-frontend-photo-upload-unavailable' => 'Vafrinn þinn styður ekki upphöl á myndum.',
	'mobile-frontend-photo-upload-generic' => 'Gefa mynd', # Fuzzy
	'mobile-frontend-donate-image-title' => 'Upphlöð',
	'mobile-frontend-donate-image-heading' => 'Nýjustu breytingarnar þínar',
	'mobile-frontend-donate-image-anon' => '$1 er þörf til að skoða síðu yfir upphöl.',
	'mobile-frontend-user-account' => 'Notanda aðgangs',
	'mobile-frontend-listed-image-no-description' => 'Engin lýsing',
	'mobile-frontend-donate-photo-upload-success' => 'Tókst! Nú er hægt að nota myndina þína á {{SITENAME}}!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Myndir á {{SITENAME}} koma frá Wikimedia Commons.',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Forðastu höfundaréttarvarið efni sem finnst á netinu eins og myndir af veggspjöldum, bókarkápum, o.s.frv.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Náðir þú þessu?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Já!',
	'mobile-frontend-watchlist-add' => '$1 bætt við vaktlistann þinn',
	'mobile-frontend-watchlist-removed' => '$1 fjarlægð úr vaktlistanum þínum',
	'mobile-frontend-watchlist-view' => 'Skoða vaktlistann þinn',
	'mobile-frontend-watchlist-more' => 'meira',
	'mobile-frontend-watchlist-cta' => 'Vinsamlegast innskráðu þig til að fylgjast með þessari síðu.',
	'mobile-frontend-watchlist-cta-button-login' => 'Innskrá',
	'mobile-frontend-watchlist-cta-button-signup' => 'Nýskrá',
	'mobile-frontend-watch-login' => 'Þú verður að vera skráð/ur inn til að fylgjast með síðum.',
	'mobile-frontend-watchlist-a-z' => 'Lista',
	'mobile-frontend-watchlist-feed' => 'Breytt',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Smelltu á stjörnuna efst á síðunni',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Þú ert ekki að fylgjast með neinnri síðu. Vaktlistinn hjálpar þér að fylgjast með síðum sem þú hefur áhuga á. Fylgstu með síðum með því að ýta á stjörnuna.',
	'mobile-frontend-watchlist-feed-empty' => 'Engar síður með nýlegar breytingar',
	'mobile-frontend-watchlist-back-home' => 'Heim',
	'mobile-frontend-changeslist-ip' => 'Óskráður notandi',
	'mobile-frontend-changeslist-nocomment' => 'ekkert breytingarágrip',
	'mobile-frontend-watchlist-filter-all' => 'Allar',
	'mobile-frontend-watchlist-filter-articles' => 'Greinar',
	'mobile-frontend-watchlist-filter-talk' => 'Spjallsíður',
	'mobile-frontend-watchlist-filter-other' => 'Aðrar',
	'mobile-frontend-watchlist-modified' => 'Breytt fyrir $1',
	'mobile-frontend-diffview-404-title' => 'Ógild útgáfa síðu.',
	'mobile-frontend-diffview-404-desc' => 'Útgáfa síðunnar með því auðkenni sem þú tilgreindir er ekki til.',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|breyting|breytingar}}',
	'mobile-frontend-diffview-anonymous' => 'Óskráður notandi',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|bæti|bætum}} bætt við',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|bæti fjarlægt|bæti fjarlægð}}',
	'mobile-frontend-diffview-explained' => 'Eftirfarandi línum var bætt við (+) og fjarlægðar (-):',
	'mobile-frontend-table' => 'Tafla $1',
	'mobile-frontend-saving-exit-page' => 'Breytingin þín er ennþá að vistast. Ef þú ferð þá tapast breytingin þín. Ertu viss um að þú viljir hætta?',
	'mobile-frontend-photo-upload' => 'Bæta mynd við þessa síðu',
	'mobile-frontend-photo-article-edit-comment' => 'Bætti við mynd fyrir notkun á síðu',
	'mobile-frontend-photo-article-donate-comment' => 'Gaf mynd frá farsíma', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'Bætti við mynd á síðu',
	'mobile-frontend-photo-caption-placeholder' => 'Lýstu myndinni (nauðsynlegt að tilgreina)',
	'mobile-frontend-image-loading' => 'Hleð mynd',
	'mobile-frontend-photo-ownership' => 'Ég, $1, tók þessa mynd.',
	'mobile-frontend-photo-ownership-help' => 'Hvað þýðir þetta?',
	'mobile-frontend-photo-ownership-confirm' => 'Ég skil!',
	'mobile-frontend-photo-ownership-bullet-one' => 'Við tökum aðeins við myndum sem þú átt. Vinsamlegast hladdu ekki inn myndum sem þú hefur fundið á netinu.',
	'mobile-frontend-photo-ownership-bullet-two' => 'Myndir sem eru höfundaréttarvarðar eða óviðeigandi verður eytt.',
	'mobile-frontend-image-uploading-wait' => 'Hleð inn mynd, vinsamlegast bíddu.',
	'mobile-frontend-image-uploading-long' => 'Myndin er enn að hlaðast inn! Takk fyrir þolinmæðina.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Hætta við</a> ef þetta tekur of langan tíma.',
	'mobile-frontend-photo-upload-error' => 'Villa, reyndu aftur.',
	'mobile-frontend-photo-license' => 'Með því að hlaða inn þessari mynd, samþykkir þú [//wikimediafoundation.org/wiki/Terms_of_use notkunarskilmála] og samþykkir að gefa myndina út undir 
Athugið: Allar myndir sem þú gefur út undir [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0 leyfi].',
	'mobile-frontend-photo-submit' => 'Senda',
	'mobile-frontend-photo-cancel' => 'Hætta við',
	'tag-mobile_edit' => 'Farsíma breyting',
	'tag-mobile_edit-description' => 'Breyting gerð frá farsímasíðu',
	'mobile-frontend-drawer-cancel' => 'Hætta við',
	'mobile-frontend-talk-explained' => 'Eftirfarandi umræður eru virkar',
	'mobile-frontend-talk-explained-empty' => 'Það eru engar umræður um þessa síðu',
	'mobile-frontend-talk-overlay-header' => 'Spjall',
);

/** Italian (italiano)
 * @author Aushulz
 * @author Beta16
 * @author Gloria sah
 * @author Nemo bis
 * @author Raoli
 * @author Una giornata uggiosa '94
 * @author Ximo17
 */
$messages['it'] = array(
	'mobilefrontend-random-explain' => 'Ti interessa questa pagina casuale?',
	'mobilefrontend-random-cancel' => 'Fammela leggere!',
	'mobilefrontend-keepgoing-ask' => "Ben fatto, ci stai prendendo la mano! Vuoi provare a modificare un'altra pagina?",
	'mobilefrontend-keepgoing-ask-first' => "Congratulazioni per il tuo primo edit! Vuoi provare a modificare un'altra pagina?",
	'mobilefrontend-keepgoing-explain' => "Grande! Un altro utente ha detto che questa pagina ha bisogno di aiuto. Vuoi provare con questa o con un'altra?",
	'mobilefrontend-keepgoing-cancel' => 'No, grazie',
	'mobilefrontend-keepgoing-suggest' => 'Sì, per favore',
	'mobilefrontend-keepgoing-suggest-again' => "Prova con un'altra",
	'mobilefrontend-keepgoing-saved-title' => 'Modifica salvata!',
	'mobilefrontend-keepgoing-links-title' => 'Aggiungi collegamenti',
	'mobilefrontend-keepgoing-links-ask-first' => 'Congratulazioni per aver effettuato la tua prima modifica! Ti piacerebbe aiutare ad aggiungere collegamenti a una pagina creata di recente?',
	'mobilefrontend-keepgoing-links-ask-again' => "Correggi un'altra pagina?",
	'mobilefrontend-keepgoing-links-explain' => 'Trova più parole che possono essere collegate. Aggiungi doppie parentesi intorno alla parola.',
	'mobilefrontend-keepgoing-links-example' => 'esempio: $1chitarra$2 diventa $3chitarra$4',
	'nearby' => 'Pagine nelle vicinanze',
	'mobile-frontend-desc' => 'Interfaccia mobile',
	'mobile.css' => '/* Gli stili CSS inseriti qui si applicano agli utenti che usano il sito per dispositivi mobili */',
	'mobile.js' => '/* Il codice JavaScript inserito qui viene caricato dagli utenti che usano il sito per dispositivi mobili */',
	'mobile-frontend-search-submit' => 'Vai',
	'mobile-frontend-home-button' => 'Pagina principale',
	'mobile-frontend-logged-out' => 'Accesso non effettuato',
	'mobile-frontend-logged-in-homepage-notification' => 'Benvenuto, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Accesso effettuato come $1.',
	'mobile-frontend-generic-404-title' => 'Errore - pagina non trovata',
	'mobile-frontend-generic-404-desc' => 'La pagina che stai cercando non è stata trovata.',
	'mobile-frontend-sign-up-heading' => 'Registrati',
	'mobile-frontend-sign-in-heading' => 'Accedi',
	'mobile-frontend-sign-in-why' => 'Se hai effettuato la registrazione su {{SITENAME}}, può accedere di seguito.',
	'mobile-frontend-sign-in-error-heading' => 'Oops!',
	'mobile-frontend-settings-description' => 'Personalizza la tua esperienza sul dispositivo mobile con le impostazioni specifiche per questa versione.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Modalità sperimentale',
	'mobile-frontend-settings-alpha-description' => 'Accedi ad un territorio mobile pericoloso ed inesplorato. Hai ancora più funzioni sperimentali, ma con un rischio maggiore di trovare bug.',
	'mobile-frontend-save-settings' => 'Salva',
	'mobile-frontend-save-error' => 'Errore durante il salvataggio delle impostazioni. Assicurati di avere i cookie abilitati.',
	'mobile-frontend-random-button' => 'Una pagina a caso',
	'mobile-frontend-back-to-top-of-section' => 'Vai a inizio sezione',
	'mobile-frontend-regular-site' => 'Vista desktop',
	'mobile-frontend-wml-continue' => 'Continua ...',
	'mobile-frontend-wml-back' => 'Indietro ...',
	'mobile-frontend-view' => 'Versione mobile',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Cellulare',
	'mobile-frontend-cookies-required' => 'I cookie sono necessari per cambiare la modalità di visualizzazione. Si prega di abilitarli e riprovare.',
	'mobile-frontend-opt-in-explain' => 'Partecipando alla versione di prova avrai la possibilità di usare funzionalità sperimentali, ma con il rischio di incontrare errori e problemi.',
	'mobile-frontend-images-status' => 'Immagini',
	'mobile-frontend-disable-images' => 'Disabilita le immagini sul sito per dispositivi mobili',
	'mobile-frontend-enable-images' => 'Abilita le immagini sul sito per dispositivi mobili',
	'mobile-frontend-expand-sections-status' => 'Espandi tutte le sezioni',
	'mobile-frontend-expand-sections-description' => 'Espandi sempre tutte le sezioni, quando si naviga in una nuova pagina.',
	'mobile-frontend-missing-image' => 'Immagine',
	'mobile-frontend-off' => 'OFF',
	'mobile-frontend-on' => 'ON',
	'mobile-frontend-featured-article' => 'Vetrina',
	'mobile-frontend-news-items' => 'Novità',
	'mobile-frontend-languages-404-title' => 'Errore di lingue',
	'mobile-frontend-languages-404-desc' => 'Deve essere specificato un titolo valido.',
	'mobile-frontend-languages-header' => 'Lingue',
	'mobile-frontend-languages-nonexistent-title' => 'La pagina "$1" non esiste.',
	'mobile-frontend-languages-text' => '$1 è disponibile in $2 {{PLURAL:$2|lingua|lingue}}',
	'mobile-frontend-languages-variant-header' => 'Varianti {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Lingue</strong>',
	'mobile-frontend-language-article-heading' => "Leggi in un'altra lingua",
	'mobile-frontend-language-header' => 'Questa pagina è disponibile in $1 {{PLURAL:$1|lingua|lingue}}',
	'mobile-frontend-language-variant-header' => 'Scegli una variante {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Ricerca lingua',
	'mobile-frontend-username' => 'Nome utente:',
	'mobile-frontend-password' => 'Password:',
	'mobile-frontend-username-placeholder' => 'Nome utente',
	'mobile-frontend-password-placeholder' => 'Password',
	'mobile-frontend-login' => 'Entra',
	'mobile-frontend-history' => 'Vedi la cronologia di questa pagina.',
	'mobile-frontend-history-404-title' => 'Nessuna pagina',
	'mobile-frontend-history-404-desc' => 'Non può essere mostrata la cronologia per una pagina che non esiste. Potrebbe essere stata cancellata o hai seguito un collegamento malformato.',
	'mobile-frontend-history-no-results' => 'Nessun elemento della cronologia corrisponde al filtro fornito.',
	'mobile-frontend-contribution-summary' => 'Tutte le modifiche fatte da {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Cronologia di [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Ultima modifica il $1 alle $2',
	'mobile-frontend-last-modified-seconds' => 'Ultima modifica {{PLURAL:$1|$1 secondo|$1 secondi}} fa',
	'mobile-frontend-last-modified-minutes' => 'Ultima modifica {{PLURAL:$1|$1 minuto|$1 minuti}} fa',
	'mobile-frontend-last-modified-hours' => 'Ultima modifica {{PLURAL:$1|$1 ora|$1 ore}} fa',
	'mobile-frontend-last-modified-days' => 'Ultima modifica {{PLURAL:$1|$1 giorno|$1 giorni}} fa',
	'mobile-frontend-last-modified-months' => 'Ultima modifica {{PLURAL:$1|$1 mese|$1 mesi}} fa',
	'mobile-frontend-last-modified-years' => 'Ultima modifica {{PLURAL:$1|$1 anno|$1 anni}} fa',
	'mobile-frontend-last-modified-just-now' => 'Appena modificata',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Ultima {{GENDER:$1|modifica}} {{PLURAL:$3|$3 secondo|$3 secondi}} fa] di {{PLURAL:$5|[$6 $2]|0=un utente anonimo}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Ultima {{GENDER:$1|modifica}} {{PLURAL:$3|$3 minuto|$3 minuti}} fa] di {{PLURAL:$5|[$6 $2]|0=un utente anonimo}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Ultima {{GENDER:$1|modifica}} {{PLURAL:$3|$3 ora|$3 ore}} fa] di {{PLURAL:$5|[$6 $2]|0=un utente anonimo}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Ultima {{GENDER:$1|modifica}} {{PLURAL:$3|$3 giorno|$3 giorni}} fa] di {{PLURAL:$5|[$6 $2]|0=un utente anonimo}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Ultima {{GENDER:$1|modifica}} {{PLURAL:$3|$3 mese|$3 mesi}} fa] di {{PLURAL:$5|[$6 $2]|0=un utente anonimo}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Ultima {{GENDER:$1|modifica}} {{PLURAL:$3|$3 anno|$3 anni}} fa] di {{PLURAL:$5|[$6 $2]|0=un utente anonimo}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Appena {{GENDER:$1|modificata}}] da {{PLURAL:$4|[$5 $2]|0=un utente anonimo}}.',
	'mobile-frontend-view-source' => 'Visualizza sorgente',
	'mobile-frontend-account-create-submit' => 'Registrati',
	'mobile-frontend-password-confirm-placeholder' => 'Conferma password',
	'mobile-frontend-account-create-email-placeholder' => 'Indirizzo di posta elettronica (opzionale)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Inserisci il codice di conferma',
	'mobile-frontend-overlay-escape' => 'Indietro',
	'mobile-frontend-overlay-close' => 'Chiudi',
	'mobile-frontend-overlay-continue' => 'Continua',
	'mobile-frontend-placeholder' => "Cerca all'interno di {{SITENAME}}",
	'mobile-frontend-placeholder-beta' => 'Ricerca su {{SITENAME}} (beta)',
	'mobile-frontend-placeholder-alpha' => 'Cerca su {{SITENAME}} (sperimentale)',
	'mobile-frontend-dismiss-notification' => 'ignora questa notifica',
	'mobile-frontend-clear-search' => 'Pulisci',
	'mobile-frontend-search-content' => "Cerca all'interno delle pagine",
	'mobile-frontend-search-no-results' => 'Nessuna pagina con questo titolo.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' per vedere se questa frase appare dovunque.",
	'mobile-frontend-privacy-link-text' => 'Privacy',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Contenuti disponibili secondo la licenza [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; possono applicarsi ulteriori condizioni.',
	'mobile-frontend-copyright' => 'Il contenuto è disponibile in base alla licenza $1, se non diversamente specificato.',
	'mobile-frontend-footer-contact' => 'Contatti',
	'mobile-frontend-terms-text' => "Condizioni d'uso",
	'mobile-frontend-main-menu-button-tooltip' => 'Apri il menu principale',
	'mobile-frontend-main-menu-page-title' => 'Navigazione sul sito',
	'mobile-frontend-main-menu-featured' => 'In primo piano',
	'mobile-frontend-main-menu-nearby' => 'Nelle vicinanze',
	'mobile-frontend-main-menu-login' => 'Entra',
	'mobile-frontend-main-menu-logout' => 'Esci',
	'mobile-frontend-main-menu-watchlist' => 'Osservati speciali',
	'mobile-frontend-main-menu-settings' => 'Impostazioni',
	'mobile-frontend-main-menu-upload' => 'Caricamenti',
	'mobile-frontend-main-menu-settings-heading' => 'Impostazioni',
	'mobile-frontend-settings-site-header' => 'Lingue {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} è disponibile in $1 {{PLURAL:$1|lingua|lingue}}. Tutte le versioni disponibili sono elencate di seguito',
	'mobile-frontend-main-menu-account-create' => 'Registrati',
	'mobile-frontend-page-menu-contents' => 'contenuti',
	'mobile-frontend-page-menu-history' => 'Cronologia',
	'mobile-frontend-meta-data-issues-header' => 'Anomalie',
	'mobile-frontend-meta-data-issues' => 'Questa pagina ha alcuni problemi',
	'mobile-frontend-page-saving' => 'Sto salvando $1',
	'mobile-frontend-user-cta' => "Effettua l'accesso o registrati per vedere le tue notifiche.",
	'mobile-frontend-user-button-tooltip' => 'Mostra le mie notifiche',
	'mobile-frontend-nearby-to-page' => 'Le seguenti pagine sono relative a $1 per la loro posizione geografica',
	'mobile-frontend-nearby-title' => 'Nelle vicinanze',
	'mobile-frontend-nearby-loading' => 'Caricamento delle voci vicine alla tua posizione attuale...',
	'mobile-frontend-nearby-requirements' => 'Ci dispiace! Il tuo browser non supporta "Nelle vicinanze" di {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Prova ad usare un browser diverso o attiva JavaScript se lo hai disattivato.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} non riesce a capire dove ti trovi... provare di nuovo?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => "Prova in un'area aperta con un segnale migliore.",
	'mobile-frontend-nearby-permission' => '{{SITENAME}} non ha permesso di accedere alla tua posizione.',
	'mobile-frontend-nearby-permission-guidance' => 'Assicurati di fornire il permesso di mostrare dove ti trovi. Può essere necessario controllare le impostazioni del browser.',
	'mobile-frontend-nearby-noresults' => 'È tranquillo da queste parti… non abbiamo trovato pagine nelle vicinanze.',
	'mobile-frontend-nearby-noresults-guidance' => 'Prova a creare una nuova pagina o ad aggiungere le coordinate della posizione ad una esistente.',
	'mobile-frontend-nearby-refresh' => "Abbiamo trovato una posizione più precisa. Clicca qui per aggiornare l'elenco delle pagine nelle tue vicinanze",
	'mobile-frontend-nearby-error' => '{{SITENAME}} sta avendo alcuni problemi.',
	'mobile-frontend-nearby-error-guidance' => 'Prova ad aggiornare la tua posizione.',
	'mobile-frontend-nearby-link' => "Leggi l'intera pagina",
	'mobile-frontend-nearby-directions' => 'Vai qui',
	'mobile-frontend-donate-image-nouploads' => 'Nessun caricamento.',
	'mobile-frontend-donate-image-login' => 'I file su {{SITENAME}} sono donati da persone come te.',
	'mobile-frontend-donate-image-login-action' => 'Accedi per condividere i file multimediali.',
	'mobile-frontend-donate-image-signup-action' => 'Registrati per condividere file multimediali con il mondo.',
	'mobile-frontend-photo-upload-disabled' => 'Non è necessaria alcuna immagine in questa pagina.',
	'mobile-frontend-photo-upload-anon' => "Effettua l'accesso per aggiungere un'immagine a questa pagina.",
	'mobile-frontend-photo-upload-protected' => "Non si dispone dei permessi necessari per aggiungere un'immagine a questa pagina.",
	'mobile-frontend-photo-upload-unavailable' => 'Il tuo browser non supporta il caricamento di immagini.',
	'mobile-frontend-photo-upload-generic' => "Carica un'immagine",
	'mobile-frontend-donate-image-title' => 'Caricamenti',
	'mobile-frontend-donate-image-heading' => 'I tuoi contributi recenti',
	'mobile-frontend-donate-image-anon' => 'Per visualizzare la pagina di caricamento è necessario un $1.',
	'mobile-frontend-user-account' => 'utenza',
	'mobile-frontend-listed-image-no-description' => 'Nessuna descrizione',
	'mobile-frontend-donate-photo-upload-success' => 'Finito! La tua immagine ora può essere usata su {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Fatto! Grazie per il tuo primo contributo!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Contribuisci con le tue immagini.
Aiuta a rendere viva {{SITENAME}}!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Le immagini su {{SITENAME}} provengono da Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Le tue immagini aiutano a educare persone
in tutto il mondo',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Evita materiali protetti da copyright che hai trovato su Internet, come pure le immagini di poster, copertine di libri, ecc.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Hai capito?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Sì!',
	'mobile-frontend-watchlist-add' => 'Aggiunto $1 ai tuoi osservati speciali',
	'mobile-frontend-watchlist-removed' => 'Rimosso $1 dai tuoi osservati speciali',
	'mobile-frontend-watchlist-view' => 'Vedi i tuoi osservati speciali',
	'mobile-frontend-watchlist-more' => 'altro',
	'mobile-frontend-watchlist-cta' => 'Tieni traccia di questa pagina e di tutte le sue modifiche.',
	'mobile-frontend-watchlist-cta-button-login' => 'Accedi',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registrati',
	'mobile-frontend-watchlist-purpose' => 'Gli osservati speciali ti consentono di salvare le pagine e di tenere traccia dei loro cambiamenti.',
	'mobile-frontend-watchlist-login-action' => 'Accedi per vederlo.',
	'mobile-frontend-watchlist-signup-action' => 'Registrati per iniziarne uno ora.',
	'mobile-frontend-generic-login' => '{{SITENAME}} cresce grazie a persone come te.',
	'mobile-frontend-generic-login-action' => 'Accedi per contribuire.',
	'mobile-frontend-generic-signup-action' => 'Registrati per contribuire.',
	'mobile-frontend-watch-login' => 'Aggiungi $1 ai tuoi osservati speciali.',
	'mobile-frontend-edit-login' => 'Aiuta a migliorare la pagina $1.',
	'mobile-frontend-edit-login-action' => 'Accedi per modificare.',
	'mobile-frontend-edit-signup-action' => 'Registrati per modificare.',
	'mobile-frontend-watchlist-a-z' => 'Elenco',
	'mobile-frontend-watchlist-feed' => 'Modificate',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Fai clic sulla stella in alto nella pagina',
	'mobile-frontend-watchlist-a-z-empty-howto' => "Attualmente non c'è alcuna pagina fra i tuoi osservati speciali. Gli osservati speciali ti aiutano a tenere traccia delle voci di tuo interesse. Puoi aggiungerle toccando l'icona a forma di stella.",
	'mobile-frontend-watchlist-feed-empty' => 'Non ci sono pagine con modifiche recenti',
	'mobile-frontend-watchlist-back-home' => 'Torna alla pagina principale',
	'mobile-frontend-changeslist-ip' => 'Utente anonimo',
	'mobile-frontend-changeslist-nocomment' => 'nessun oggetto della modifica',
	'mobile-frontend-watchlist-filter-all' => 'Tutte',
	'mobile-frontend-watchlist-filter-articles' => 'Pagine',
	'mobile-frontend-watchlist-filter-talk' => 'Discussioni',
	'mobile-frontend-watchlist-filter-other' => 'Altro',
	'mobile-frontend-watchlist-modified' => 'Modificata $1',
	'mobile-frontend-diffview-404-title' => 'Errore versione',
	'mobile-frontend-diffview-404-desc' => "L'id per la versione richiesta non esiste",
	'mobile-frontend-diffview-title' => 'Modifiche',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|contributo|contributi}}',
	'mobile-frontend-diffview-anonymous' => 'Utente anonimo',
	'mobile-frontend-diffview-bytesadded' => '$1 byte {{PLURAL:$1|aggiunto|aggiunti}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 byte {{PLURAL:$1|rimosso|rimossi}}',
	'mobile-frontend-diffview-explained' => 'Le righe seguenti sono stati aggiunte (+) e rimosse (-):',
	'mobile-frontend-thanked-notice' => 'Hai detto a $1 che ti piace {{GENDER:$2|la sua}} modifica.',
	'mobile-frontend-saving-exit-page' => 'La tua modifica è ancora da salvare. Se esci i tuoi contributi andranno persi. Sei sicuro di voler uscire?',
	'mobile-frontend-photo-upload' => "Aggiungi un'immagine a questa pagina",
	'mobile-frontend-photo-article-edit-comment' => "Aggiungi un'immagine a questa pagina",
	'mobile-frontend-photo-article-donate-comment' => 'Immagine caricata da Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Aggiungi questa immagine ad una pagina',
	'mobile-frontend-photo-caption-placeholder' => 'Descrivi questa immagine (obbligatorio)',
	'mobile-frontend-photo-ownership' => 'Io, $1, ho creato questa immagine.',
	'mobile-frontend-photo-ownership-help' => 'Che cosa significa questo?',
	'mobile-frontend-photo-ownership-confirm' => 'Ho capito!',
	'mobile-frontend-lead-image-tutorial-summary' => "Assicurati che la tua immagine possa aiutare ad illustrare la pagina. Deve essere un'immagine che hai creato tu e che non viola il copyright.",
	'mobile-frontend-lead-image-tutorial-confirm' => 'Inizia caricamento',
	'mobile-frontend-photo-upload-error' => 'Errore, prova ancora.',
	'mobile-frontend-photo-upload-error-file-type' => 'Si prega di caricare solo immagini.',
	'mobile-frontend-photo-upload-error-filename' => 'Errore, per favore fornisci un riassunto più descrittivo.',
	'mobile-frontend-photo-upload-success-article' => 'Finito! La tua immagine è ora visibile su questa pagina.',
	'mobile-frontend-photo-license' => "Caricando questa immagine, accetti le nostre [//wikimediafoundation.org/wiki/Terms_of_use/it condizioni d'uso] e accetti di rilasciare la tua immagine sotto la licenza [//creativecommons.org/licenses/by-sa/3.0/deed.it Creative Commons Attribuzione-Condividi allo stesso modo 3.0].",
	'mobile-frontend-photo-submit' => 'Invia',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> caricamento|<span>$1</span> caricamenti}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ caricamenti',
	'mobile-frontend-image-heading-describe' => "'''Descrivi''' immagine",
	'mobile-frontend-image-uploading' => "'''Caricamento''' immagine...",
	'mobile-frontend-image-cancel-confirm' => 'Annullare il caricamento?',
	'mobile-frontend-editor-redirect-title' => "Reindirizzamento all'editor...",
	'mobile-frontend-editor-unavailable-header' => 'Editor non disponibile',
	'mobile-frontend-editor-unavailable' => 'La modifica attraverso dispositivo mobile non è attualmente disponibile sul tuo browser. Prova un browser diverso.',
	'mobile-frontend-editor-undo-unsupported' => "L'annullamento non è attualmente supportato sui dispositivi mobili.",
	'mobile-frontend-editor-newpage-prompt' => 'Questa pagina non esiste. Perché non essere audaci e crearla?',
	'mobile-frontend-editor-disabled' => 'Questa pagina è protetta per evitare vandalismi.',
	'mobile-frontend-editor-blocked' => 'La tua utenza è bloccata alle modifiche.',
	'mobile-frontend-editor-cta' => 'Aiuta a migliorare questa pagina!',
	'mobile-frontend-editor-edit' => 'Modifica',
	'mobile-frontend-editor-continue' => 'Continua',
	'mobile-frontend-editor-save' => 'Salva',
	'mobile-frontend-editor-cancel' => 'Annulla',
	'mobile-frontend-editor-keep-editing' => 'Continua a modificare',
	'mobile-frontend-editor-license' => "Salvando le modifiche, accetti le nostre [//wikimediafoundation.org/wiki/Terms_of_use/it condizioni d'uso] e accetti di rilasciare il tuo testo in base alle licenze [//creativecommons.org/licenses/by-sa/3.0/deed.it CC-BY-SA 3.0] e [//it.wikipedia.org/wiki/Wikipedia:Testo_della_GNU_Free_Documentation_License GDFL].",
	'mobile-frontend-editor-placeholder' => 'Questa sezione è vuota. Scrivila tu per primo!',
	'mobile-frontend-editor-summary-placeholder' => 'Dicci cosa hai cambiato (opzionale)',
	'mobile-frontend-editor-cancel-confirm' => 'Vuoi davvero abbandonare la tua modifica?',
	'mobile-frontend-editor-wait' => 'Stiamo salvando la tua modifica, attendi.',
	'mobile-frontend-editor-success' => 'Riuscito! La modifica è stata salvata.',
	'mobile-frontend-editor-success-landmark-1' => 'Congratulazioni, ora sei un contributore di {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Errore, modifica non salvata.',
	'mobile-frontend-editor-error-conflict' => 'Errore, un altro utente ha modificato questa pagina.',
	'mobile-frontend-editor-error-loading' => 'Errore, impossibile caricare la sezione.',
	'mobile-frontend-editor-error-preview' => "Errore, qualcosa di inaspettato è accaduto durante il caricamento dell'anteprima. Per favore chiudi e prova di nuovo.",
	'mobile-frontend-editor-tutorial-summary' => 'Non aver paura del markup. Prova a migliorare la pagina su $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Perché non migliori $1? Non preoccuparti del markup!',
	'mobile-frontend-editor-tutorial-confirm' => 'Inizia a modificare',
	'mobile-frontend-editor-tutorial-cancel' => 'No, grazie',
	'mobile-frontend-editor-captcha-try-again' => 'Codice errato, riprova.',
	'mobile-frontend-editor-abusefilter-warning' => 'Attenzione: sei sicuro di voler salvare questa modifica? Potrebbe esserci un problema con essa.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Questa modifica non può essere salvata perché è stato rilevato un problema.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Per saperne di più',
	'mobile-frontend-editor-editing-page' => '<strong>Modificando</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Anteprima</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Visualizza sorgente di</strong><span> $1</span>',
	'tag-mobile_edit' => 'Modifica da mobile',
	'tag-mobile_edit-description' => 'Modifica apportata dal sito per dispositivi mobili',
	'mobile-frontend-drawer-cancel' => 'Annulla',
	'mobile-frontend-talk-explained' => 'Le seguenti conversazioni sono attualmente attive',
	'mobile-frontend-talk-explained-empty' => 'Non ci sono conversazioni su questa pagina.',
	'mobile-frontend-talk-overlay-header' => 'discussioni',
	'mobile-frontend-talk-back-to-page' => 'Ritorna alla pagina "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Discussione senza nome',
	'mobile-frontend-talk-add-overlay-submit' => 'Aggiungi discussione',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Oggetto della discussione',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'A cosa stai pensando?',
	'mobile-frontend-talk-edit-summary' => 'Nuova sezione di discussione: $1',
	'mobile-frontend-talk-reply-success' => 'La tua risposta è stata salvata correttamente nella pagina di discussione.',
	'mobile-frontend-talk-reply-info' => 'La risposta sarà firmata automaticamente con il tuo nome utente.',
	'mobile-frontend-talk-reply' => 'Rispondi',
	'mobile-frontend-talk-topic-feedback' => 'Nuova discussione aggiunta alla pagina di discussione!',
	'mobile-frontend-media-details' => 'Dettagli',
	'mobile-frontend-media-license-link' => 'Informazioni sulla licenza',
	'abusefilter-edit-builder-vars-user-mobile' => "Se un utente sta modificando attraverso l'interfaccia per dispositivi mobili",
	'mobile-frontend-profile-title' => 'Profilo utente',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Caricato}} {{PLURAL:$1|ieri|$1 giorni fa|0=oggi}}.',
	'mobile-frontend-profile-usertalk' => 'Pagina di discussione di {{GENDER:$1|$1}}',
	'mobile-frontend-profile-error' => 'Oh no!',
	'mobile-frontend-profile-noargs' => 'Non è stato indicato alcun nome utente. Inserisci un nome utente per vedere un profilo.',
	'mobile-frontend-profile-nouser' => 'Non esiste alcun utente con questo nome. I nomi utente tengono conto delle maiuscole\\minuscole, controlla se è stato digitato correttamente.',
	'mobile-frontend-profile-activity-heading' => 'Attività recenti',
	'mobile-frontend-profile-userpage-link' => 'Visita la pagina utente.',
	'mobile-frontend-requires-optin' => 'Questa pagina non è disponibile se non si opta per la modalità beta. Visita la [[Special:MobileOptions|pagina delle impostazioni]] per scegliere.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Ringraziato|Ringraziata|Ringraziato/a}} {{GENDER:$1|da}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Ha modificato}} la pagina [[:$1]], {{PLURAL:$2|ieri|$2 giorni fa|0=oggi}}.',
	'mobile-frontend-profile-footer-days' => 'Registrato {{PLURAL:$2|1 giorno|$2 giorni}} fa con [[Special:Contributions/$1|{{PLURAL:$3|1 modifica|$3 modifiche}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 caricamento|$4 caricamenti|500=più di 500 caricamenti}}]].',
	'mobile-frontend-profile-footer-months' => 'Registrato più di {{PLURAL:$2|1 mese|$2 mesi}} fa con [[Special:Contributions/$1|{{PLURAL:$3|1 modifica|$3 modifiche}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 caricamento|$4 caricamenti|500=più di 500 caricamenti}}]].',
	'mobile-frontend-profile-footer-years' => 'Registrato più di {{PLURAL:$2|1 anno|$2 anni}} fa con [[Special:Contributions/$1|{{PLURAL:$3|1 modifica|$3 modifiche}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 caricamento|$4 caricamenti|500=più di 500 caricamenti}}]].',
	'mobile-frontend-geonotahack' => 'Vicino a questa pagina',
	'beta-feature-geonotahack' => 'Vicino a questa pagina',
	'beta-feature-geonotahack-description' => 'Scopri le pagine che sono geograficamente vicine alla pagina di contenuto che stai attualmente leggendo.',
	'mobile-frontend-mainpage-cta-prompt' => 'Questa pagina ha bisogno del tuo aiuto!',
	'mobile-frontend-mainpage-cta-button' => 'Migliora questa pagina',
	'beta-feature-minerva' => 'Abilita la skin mobile (Minerva) sul desktop',
	'beta-feature-minerva-description' => 'Rende selezionabile la skin utilizzata sui dispositivi mobili anche per i desktop nella scheda aspetto delle preferenze.',
);

/** Japanese (日本語)
 * @author Anakmalaysia
 * @author Fryed-peach
 * @author Miya
 * @author Ohgi
 * @author Schu
 * @author Shirayuki
 * @author Whym
 */
$messages['ja'] = array(
	'mobilefrontend-random-explain' => 'このページを見つけましたが読みますか?',
	'mobilefrontend-random-cancel' => '読みます!',
	'mobilefrontend-keepgoing-ask' => 'お疲れ様でした。慣れてきたようですね。もう1ページ編集してみませんか?',
	'mobilefrontend-keepgoing-ask-first' => '初めての編集、お疲れ様でした。別のページも編集してみませんか?',
	'mobilefrontend-keepgoing-explain' => '別の利用者の方が、このページには助けが必要だと言っています。これに挑戦してみますか。それとも別のことをしてみますか。',
	'mobilefrontend-keepgoing-cancel' => '不要です',
	'mobilefrontend-keepgoing-suggest' => 'はい、やってみます',
	'mobilefrontend-keepgoing-suggest-again' => '別を試す',
	'mobilefrontend-keepgoing-saved-title' => '保存しました!',
	'mobilefrontend-keepgoing-links-title' => 'リンクの追加',
	'mobilefrontend-keepgoing-links-ask-first' => '初めての編集お疲れ様でした。最近作成されたページにリンクを追加してみませんか?',
	'mobilefrontend-keepgoing-links-ask-again' => '別のページを修正しますか?',
	'mobilefrontend-keepgoing-links-explain' => 'リンクにする語句を見つけます。その語句を二重括弧で囲みます。',
	'mobilefrontend-keepgoing-links-example' => '例: $1ギター$2 は $3ギター$4 になります',
	'nearby' => '付近のページ',
	'mobile-frontend-desc' => '携帯機器フロントエンド',
	'mobile.css' => '/* ここに記述したCSSは携帯機器版サイトの利用者に影響します */',
	'mobile.js' => '/* ここにあるすべてのJavaScriptは携帯機器版サイトの利用者に影響します */',
	'mobile-frontend-search-submit' => '表示',
	'mobile-frontend-home-button' => 'ホーム',
	'mobile-frontend-logged-out' => 'ログインしていません',
	'mobile-frontend-logged-in-homepage-notification' => 'ようこそ、$1さん!',
	'mobile-frontend-logged-in-toast-notification' => '$1 としてログインしています。',
	'mobile-frontend-generic-404-title' => 'エラー - ページが見つかりません',
	'mobile-frontend-generic-404-desc' => 'お探しのページが見つかりませんでした。',
	'mobile-frontend-sign-up-heading' => '利用者登録',
	'mobile-frontend-sign-in-heading' => 'ログイン',
	'mobile-frontend-sign-in-why' => '{{SITENAME}}のアカウントを既に持っている場合、以下でログインしてください。',
	'mobile-frontend-sign-in-error-heading' => 'エラー',
	'mobile-frontend-settings-description' => 'これらの携帯機器専用の設定によりあなたの携帯機器上での体験をカスタマイズします。',
	'mobile-frontend-settings-beta' => 'ベータ',
	'mobile-frontend-settings-alpha' => '実験モード',
	'mobile-frontend-settings-alpha-description' => '携帯機器向けの危険で未探検の領域に入ります。よりいっそう実験的な機能が手に入りますが、バグの危険性もより大きくなります。',
	'mobile-frontend-save-settings' => '保存',
	'mobile-frontend-save-error' => '設定を保存する際にエラーが発生しました。Cookie を有効にしていることを確認してください。',
	'mobile-frontend-random-button' => 'おまかせ表示',
	'mobile-frontend-back-to-top-of-section' => '節の先頭に戻る',
	'mobile-frontend-regular-site' => 'デスクトップビュー',
	'mobile-frontend-wml-continue' => '続行...',
	'mobile-frontend-wml-back' => '戻る...',
	'mobile-frontend-view' => 'モバイルビュー',
	'mobile-frontend-view-desktop' => 'デスクトップ',
	'mobile-frontend-view-mobile' => '携帯機器',
	'mobile-frontend-cookies-required' => '表示モードを切り替えるには Cookie が必要です。有効にしてからもう一度お試しください。',
	'mobile-frontend-opt-in-explain' => 'ベータテストへ参加すると、開発中の機能にアクセスできるようになりますがバグや問題に遭遇する危険性が伴います。',
	'mobile-frontend-images-status' => '画像',
	'mobile-frontend-disable-images' => '携帯機器ウェブサイトで画像を無効にする',
	'mobile-frontend-enable-images' => '携帯機器ウェブサイトで画像を有効にする',
	'mobile-frontend-expand-sections-status' => 'すべての節を展開',
	'mobile-frontend-missing-image' => '画像',
	'mobile-frontend-off' => 'OFF',
	'mobile-frontend-on' => 'ON',
	'mobile-frontend-featured-article' => '今日の秀逸なコンテンツ',
	'mobile-frontend-news-items' => '新着情報',
	'mobile-frontend-languages-404-title' => '言語エラー',
	'mobile-frontend-languages-404-desc' => '有効なページ名を指定してください。',
	'mobile-frontend-languages-header' => '言語',
	'mobile-frontend-languages-nonexistent-title' => 'ページ「$1」は存在しません。',
	'mobile-frontend-languages-text' => '$1 は $2 {{PLURAL:$2|言語}}で提供されています。',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}}の言語変種',
	'mobile-frontend-language-heading' => '<strong>言語</strong>',
	'mobile-frontend-language-article-heading' => '別の言語で閲覧',
	'mobile-frontend-language-header' => 'このページは $1 {{PLURAL:$1|言語}}で提供されています。',
	'mobile-frontend-language-variant-header' => '{{#language:{{CONTENTLANG}}}}の言語変種の選択',
	'mobile-frontend-language-site-choose' => '言語を検索',
	'mobile-frontend-username' => '利用者名:',
	'mobile-frontend-password' => 'パスワード:',
	'mobile-frontend-username-placeholder' => '利用者名',
	'mobile-frontend-password-placeholder' => 'パスワード',
	'mobile-frontend-login' => 'ログイン',
	'mobile-frontend-history' => 'このページの編集履歴を閲覧',
	'mobile-frontend-history-404-title' => 'ページが見つかりません',
	'mobile-frontend-history-404-desc' => 'ページが存在しないため履歴を閲覧できません。ページが削除された可能性、誤ったリンクをたどった可能性があります。',
	'mobile-frontend-history-no-results' => '指定したフィルターに一致する履歴はありません。',
	'mobile-frontend-contribution-summary' => '{{GENDER:$1|[[Special:UserProfile/$1|$1]]}} によるすべての編集です',
	'mobile-frontend-history-summary' => 'ページ [[:$1]] の履歴',
	'mobile-frontend-last-modified-date' => '最終更新: $1 $2',
	'mobile-frontend-last-modified-seconds' => '最終更新: {{PLURAL:$1|$1秒}}前',
	'mobile-frontend-last-modified-minutes' => '最終更新: {{PLURAL:$1|$1分}}前',
	'mobile-frontend-last-modified-hours' => '最終更新: {{PLURAL:$1|$1時間}}前',
	'mobile-frontend-last-modified-days' => '最終更新: {{PLURAL:$1|$1日}}前',
	'mobile-frontend-last-modified-months' => '最終更新: {{PLURAL:$1|$1か月}}前',
	'mobile-frontend-last-modified-years' => '最終更新: {{PLURAL:$1|$1年}}前',
	'mobile-frontend-last-modified-just-now' => '最終更新: たった今',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 最終{{GENDER:$1|編集}}: {{PLURAL:$3|$3 秒}}前]、{{PLURAL:$5|[$6 $2]|0=匿名利用者}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 最終{{GENDER:$1|編集}}: {{PLURAL:$3|$3 分}}前]、{{PLURAL:$5|[$6 $2]|0=匿名利用者}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 最終{{GENDER:$1|編集}}: {{PLURAL:$3|$3 時間}}前]、{{PLURAL:$5|[$6 $2]|0=匿名利用者}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 最終{{GENDER:$1|編集}}: {{PLURAL:$3|$3 日}}前]、{{PLURAL:$5|[$6 $2]|0=匿名利用者}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 最終{{GENDER:$1|編集}}: {{PLURAL:$3|$3 か月}}前]、{{PLURAL:$5|[$6 $2]|0=匿名利用者}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 最終{{GENDER:$1|編集}}: {{PLURAL:$3|$3 年}}前]、{{PLURAL:$5|[$6 $2]|0=匿名利用者}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 最終{{GENDER:$1|編集}}]: たった今、{{PLURAL:$4|[$5 $2]|0=匿名利用者}}',
	'mobile-frontend-view-source' => 'ソースを閲覧',
	'mobile-frontend-account-create-submit' => '利用者登録',
	'mobile-frontend-password-confirm-placeholder' => 'パスワード再入力',
	'mobile-frontend-account-create-email-placeholder' => 'メールアドレス (省略可能)',
	'mobile-frontend-account-create-captcha-placeholder' => '確認コードを入力',
	'mobile-frontend-overlay-escape' => '戻る',
	'mobile-frontend-overlay-close' => '閉じる',
	'mobile-frontend-overlay-continue' => '続行',
	'mobile-frontend-placeholder' => '{{SITENAME}}内を検索',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}}内を検索 (ベータ版)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}} を検索 (実験的)',
	'mobile-frontend-dismiss-notification' => 'この通知を消す',
	'mobile-frontend-clear-search' => '消去',
	'mobile-frontend-search-content' => 'ページ内を検索',
	'mobile-frontend-search-no-results' => 'この名前のページはありません。',
	'mobile-frontend-search-content-no-results' => "すべての記事内でこの語句を検索するには'''{{int:mobile-frontend-search-content}}'''を使用してください。",
	'mobile-frontend-privacy-link-text' => 'プライバシー',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => '本文は [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] で提供されています。追加の規約が適用される場合があります。',
	'mobile-frontend-copyright' => 'コンテンツは、特に記載されていない限り、$1のもとで利用可能です。',
	'mobile-frontend-footer-contact' => '連絡先',
	'mobile-frontend-terms-text' => '利用規約',
	'mobile-frontend-main-menu-button-tooltip' => 'メインメニューを開く',
	'mobile-frontend-main-menu-page-title' => 'サイトナビゲーション',
	'mobile-frontend-main-menu-featured' => '秀逸',
	'mobile-frontend-main-menu-nearby' => '付近',
	'mobile-frontend-main-menu-login' => 'ログイン',
	'mobile-frontend-main-menu-logout' => 'ログアウト',
	'mobile-frontend-main-menu-watchlist' => 'ウォッチリスト',
	'mobile-frontend-main-menu-settings' => '設定',
	'mobile-frontend-main-menu-upload' => 'アップロード',
	'mobile-frontend-main-menu-settings-heading' => '設定',
	'mobile-frontend-settings-site-header' => '{{SITENAME}}の言語',
	'mobile-frontend-settings-site-description' => '{{SITENAME}}は $1 {{PLURAL:$1|言語}}で利用できます。利用できるすべての言語版を以下に列挙します',
	'mobile-frontend-main-menu-account-create' => 'アカウント作成',
	'mobile-frontend-page-menu-contents' => '目次',
	'mobile-frontend-page-menu-language-current' => '{{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-page-menu-history' => '履歴',
	'mobile-frontend-meta-data-issues-header' => '問題点',
	'mobile-frontend-meta-data-issues' => 'このページには問題点があります',
	'mobile-frontend-page-saving' => '$1 を保存中',
	'mobile-frontend-user-cta' => '自分への通知を見るにはログインまたはアカウント作成をしてください。',
	'mobile-frontend-user-button-tooltip' => '自分宛の通知を表示',
	'mobile-frontend-nearby-to-page' => '以下のページは $1 と地理的に関連しています',
	'mobile-frontend-nearby-title' => '付近',
	'mobile-frontend-nearby-loading' => '現在地付近の話題を読み込み中',
	'mobile-frontend-nearby-requirements' => '申し訳ありませんが、ご使用中のブラウザーは{{SITENAME}}の付近検索に対応していません。',
	'mobile-frontend-nearby-requirements-guidance' => '別のブラウザーを試すか、または JavaScript を無効にしている場合は有効にしてください。',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => '電波がよく届く、開けた場所で試してください。',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} Nearby にはあなたの現在地にアクセスする権限がありません。',
	'mobile-frontend-nearby-permission-guidance' => 'あなたの現在地を表示する権限を与えるようにしてください。ブラウザーの現在地の設定を変更する必要がある可能性があります。',
	'mobile-frontend-nearby-noresults' => '何も聞こえません… この付近にはページがないようです。',
	'mobile-frontend-nearby-noresults-guidance' => '新しいページを作ったり、既存のページに位置を追加したりしてみてください。',
	'mobile-frontend-nearby-refresh' => 'より正確な位置情報が見つかりました。ここをクリックすると、近くのページのリストが更新されます。',
	'mobile-frontend-nearby-error' => '{{SITENAME}} 付近の検索で問題が発生しました。',
	'mobile-frontend-nearby-error-guidance' => '位置情報を更新してみてください。',
	'mobile-frontend-nearby-link' => 'このページ全体を閲覧',
	'mobile-frontend-donate-image-nouploads' => 'アップロードされていません。',
	'mobile-frontend-donate-image-login' => '{{SITENAME}}上のメディアはあなたのような人々が寄贈したものです。',
	'mobile-frontend-donate-image-login-action' => 'メディアを共有するにはログインしてください。',
	'mobile-frontend-donate-image-signup-action' => 'メディアを全世界と共有するには利用者登録をしてください。',
	'mobile-frontend-photo-upload-disabled' => 'このページでは画像は不要です。',
	'mobile-frontend-photo-upload-anon' => 'このページに画像を追加するにはログインしてください。',
	'mobile-frontend-photo-upload-protected' => 'あなたにはこのページに画像を追加する権限がありません。',
	'mobile-frontend-photo-upload-unavailable' => 'ご使用中のブラウザーは画像のアップロードに対応していません。',
	'mobile-frontend-photo-upload-generic' => '画像を投稿する',
	'mobile-frontend-donate-image-title' => 'アップロード',
	'mobile-frontend-donate-image-heading' => '最近の投稿記録',
	'mobile-frontend-donate-image-anon' => 'アップロードページを閲覧するには$1が必要です。',
	'mobile-frontend-user-account' => '利用者アカウント',
	'mobile-frontend-listed-image-no-description' => '説明なし',
	'mobile-frontend-donate-photo-upload-success' => '完了しました! 画像は{{SITENAME}}上で使用できるようになりました!',
	'mobile-frontend-donate-photo-first-upload-success' => '完了しました! 初めてのアップロードありがとうございます!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => '画像で{{SITENAME}}を充実させましょう。ぜひご投稿を。',
	'mobile-frontend-first-upload-wizard-new-page-1' => '{{SITENAME}}の画像はウィキメディア・コモンズから来ています',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'あなたの画像は世界中の人々が学習する助けになります',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'ご理解いただけましたか?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'はい',
	'mobile-frontend-watchlist-add' => '$1 をウォッチリストに追加しました',
	'mobile-frontend-watchlist-removed' => '$1 をウォッチリストから除去しました',
	'mobile-frontend-watchlist-view' => 'ウォッチリストを表示',
	'mobile-frontend-watchlist-more' => '続き',
	'mobile-frontend-watchlist-cta' => 'このページのすべての変更を追跡しましょう。',
	'mobile-frontend-watchlist-cta-button-login' => 'ログイン',
	'mobile-frontend-watchlist-cta-button-signup' => '利用者登録',
	'mobile-frontend-watchlist-purpose' => 'ウォッチリストにページを追加しておくと、そのページの変更を追跡しやすくなります。',
	'mobile-frontend-watchlist-login-action' => '閲覧するにはログインしてください。',
	'mobile-frontend-watchlist-signup-action' => '今すぐ始めるには利用者登録をしてください。',
	'mobile-frontend-generic-login' => '{{SITENAME}}は、あなたのような人々が創っています。',
	'mobile-frontend-generic-login-action' => '投稿するにはログインしてください。',
	'mobile-frontend-generic-signup-action' => '投稿するには利用者登録をしてください。',
	'mobile-frontend-watch-login' => '$1 をウォッチリストに追加しましょう。',
	'mobile-frontend-edit-login' => 'ページ $1 の改善にご協力ください。',
	'mobile-frontend-edit-login-action' => '編集するにはログインしてください。',
	'mobile-frontend-edit-signup-action' => '編集するには利用者登録をしてください。',
	'mobile-frontend-watchlist-a-z' => '一覧',
	'mobile-frontend-watchlist-feed' => '変更あり',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'ページ上部の星アイコンをクリックします',
	'mobile-frontend-watchlist-a-z-empty-howto' => '現在、どのページもウォッチしていません。ウォッチリストは、あなたが興味を持ったページを追跡しやすくします。ページをウォッチリストに追加するには、星アイコンをタップしてください。',
	'mobile-frontend-watchlist-feed-empty' => '最近更新されたページはありません。',
	'mobile-frontend-watchlist-back-home' => 'ホームに戻る',
	'mobile-frontend-changeslist-ip' => '匿名利用者',
	'mobile-frontend-changeslist-nocomment' => '編集の要約なし',
	'mobile-frontend-watchlist-filter-all' => 'すべて',
	'mobile-frontend-watchlist-filter-articles' => 'ページ',
	'mobile-frontend-watchlist-filter-talk' => 'トーク',
	'mobile-frontend-watchlist-filter-other' => 'その他',
	'mobile-frontend-watchlist-modified' => '$1に変更',
	'mobile-frontend-diffview-404-title' => '版指定の誤り',
	'mobile-frontend-diffview-404-desc' => '指定した ID の版は存在しません。',
	'mobile-frontend-diffview-title' => '差分',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|回編集}}',
	'mobile-frontend-diffview-anonymous' => '匿名利用者',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|バイト}}追加',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|バイト}}除去',
	'mobile-frontend-diffview-explained' => '「+」は追加された行、「-」は除去された行を示しています:',
	'mobile-frontend-thanked-notice' => 'あなたが $1 の編集に感謝を示したことを{{GENDER:$2|本人}}に伝えました。',
	'mobile-frontend-saving-exit-page' => '編集内容をまだ保存中です。このまま終了すると編集内容が失われます。本当に終了しますか?',
	'mobile-frontend-photo-upload' => 'このページに画像を追加する',
	'mobile-frontend-photo-article-edit-comment' => 'ページで使用する画像を追加しました',
	'mobile-frontend-photo-article-donate-comment' => 'Special:Uploads から投稿された画像',
	'mobile-frontend-photo-upload-comment' => 'ページに画像を追加しました',
	'mobile-frontend-photo-caption-placeholder' => 'この画像の解説 (必須)',
	'mobile-frontend-photo-ownership' => '私、$1がこの画像を製作しました。',
	'mobile-frontend-photo-ownership-help' => 'これはどういう意味?',
	'mobile-frontend-photo-ownership-confirm' => '理解しました',
	'mobile-frontend-lead-image-tutorial-confirm' => 'アップロードを開始',
	'mobile-frontend-photo-upload-error' => 'エラーです。もう一度試してください。',
	'mobile-frontend-photo-upload-error-file-type' => 'アップロードできるのは画像のみです。',
	'mobile-frontend-photo-upload-error-filename' => 'エラーです。説明的な要約を入力してください。',
	'mobile-frontend-photo-upload-success-article' => '完了しました! 画像をこのページに追加しました。',
	'mobile-frontend-photo-license' => 'この画像をアップロードすると、あなたは[//wikimediafoundation.org/wiki/Terms_of_use/ja 利用規約]に同意し、この画像を [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0 ライセンス]で公開することに同意したと見なされます。',
	'mobile-frontend-photo-submit' => '送信',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|アップロード <span>$1</span> 件}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => 'アップロード 500+ 件',
	'mobile-frontend-image-heading-describe' => "画像を'''説明してください'''",
	'mobile-frontend-image-uploading' => "画像を'''アップロード中'''...",
	'mobile-frontend-image-cancel-confirm' => 'アップロードをキャンセルしますか?',
	'mobile-frontend-editor-redirect-title' => 'エディターへリダイレクト中...',
	'mobile-frontend-editor-unavailable-header' => 'エディターは利用できません',
	'mobile-frontend-editor-unavailable' => 'ご利用中のブラウザーでは、現在編集できません。他のブラウザーをお試しください。',
	'mobile-frontend-editor-undo-unsupported' => '現在、「元に戻す」は携帯機器に対応していません。',
	'mobile-frontend-editor-newpage-prompt' => 'このページは存在しません。作成してみませんか?',
	'mobile-frontend-editor-disabled' => 'このページは荒らし防止のため保護されています。',
	'mobile-frontend-editor-blocked' => 'あなたのアカウントは編集ブロックされています。',
	'mobile-frontend-editor-cta' => 'このページの改善に協力',
	'mobile-frontend-editor-edit' => '編集',
	'mobile-frontend-editor-continue' => '続行',
	'mobile-frontend-editor-save' => '保存',
	'mobile-frontend-editor-cancel' => 'キャンセル',
	'mobile-frontend-editor-keep-editing' => '編集を続行',
	'mobile-frontend-editor-license' => '変更内容を保存すると、あなたは[//wikimediafoundation.org/wiki/Terms_of_use/ja 利用規約]に同意し、この文章を [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0 ライセンス]および [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL] で公開することに同意したと見なされます。',
	'mobile-frontend-editor-placeholder' => 'この節は空です。一番乗りで書いてみましょう。',
	'mobile-frontend-editor-summary-placeholder' => '変更点を入力 (省略可能)',
	'mobile-frontend-editor-cancel-confirm' => '編集内容を本当に破棄しますか?',
	'mobile-frontend-editor-wait' => '編集内容を保存しています。お待ちください。',
	'mobile-frontend-editor-success' => '編集内容を保存しました。',
	'mobile-frontend-editor-success-landmark-1' => 'おめでとうございます。これであなたは{{SITENAME}}の編集者になりました。',
	'mobile-frontend-editor-error' => 'エラー: 編集内容を保存できません。',
	'mobile-frontend-editor-error-conflict' => 'エラー: 別の利用者がこのページを編集しました。',
	'mobile-frontend-editor-error-loading' => 'エラー: 節を読み込めません。',
	'mobile-frontend-editor-error-preview' => 'プレビューを読み込む際に予期しないエラーが発生しました。閉じてもう一度お試しください。',
	'mobile-frontend-editor-tutorial-summary' => 'マークアップを恐れずに、ページ $1 を改善してください。',
	'mobile-frontend-editor-tutorial-alt-summary' => 'マークアップを恐れずに、ページ $1 を改善してみましょう!',
	'mobile-frontend-editor-tutorial-confirm' => '編集を開始',
	'mobile-frontend-editor-captcha-try-again' => 'コードが正しくありません。もう一度やり直してください。',
	'mobile-frontend-editor-abusefilter-warning' => '警告: この編集内容を本当に保存しますか? 問題点を含んでいるおそれがあります。',
	'mobile-frontend-editor-abusefilter-disallow' => 'この編集内容で問題点が検出されたため、保存できません。',
	'mobile-frontend-editor-abusefilter-read-more' => '続きを読む',
	'mobile-frontend-editor-editing-page' => '<span>$1</span> を<strong>編集中</strong>',
	'mobile-frontend-editor-previewing-page' => '<span>$1</span> の<strong>プレビュー</strong>',
	'mobile-frontend-editor-viewing-source-page' => '<span>$1</span> の<strong>ソースを閲覧中</strong>',
	'tag-mobile_edit' => 'モバイル版編集',
	'tag-mobile_edit-description' => 'モバイル版から行われた編集',
	'mobile-frontend-drawer-cancel' => 'キャンセル',
	'mobile-frontend-talk-explained' => '以下の会話が現在進行中です',
	'mobile-frontend-talk-explained-empty' => 'このページについての会話はありません。',
	'mobile-frontend-talk-overlay-header' => 'トーク',
	'mobile-frontend-talk-back-to-page' => 'ページ「$1」に戻る',
	'mobile-frontend-talk-overlay-lead-header' => '無題の議論',
	'mobile-frontend-talk-add-overlay-submit' => '議論を追加',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => '話題の題名',
	'mobile-frontend-talk-add-overlay-content-placeholder' => '本文を入力',
	'mobile-frontend-talk-edit-summary' => 'トークの節の新規作成: $1',
	'mobile-frontend-talk-reply-success' => '返信をトークページに保存しました。',
	'mobile-frontend-talk-reply-info' => '返信にあなたの利用者名の署名が自動的に付くことにご注意ください。',
	'mobile-frontend-talk-reply' => '返信',
	'mobile-frontend-talk-topic-feedback' => 'トークページに新しい話題が追加されました!',
	'mobile-frontend-media-details' => '詳細',
	'mobile-frontend-media-license-link' => 'ライセンス情報',
	'abusefilter-edit-builder-vars-user-mobile' => '利用者が携帯機器版インターフェイスで編集しているかどうか',
	'mobile-frontend-profile-title' => '利用者情報',
	'mobile-frontend-profile-last-upload-caption' => '{{PLURAL:$1|昨日|$1 日前に|0=今日}}{{GENDER:$2|アップロードされました}}。',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|$1 のトークページ}}',
	'mobile-frontend-profile-error' => 'エラー!',
	'mobile-frontend-profile-noargs' => '利用者名を入力していません。プロフィールを表示する利用者名を指定してください。',
	'mobile-frontend-profile-nouser' => 'この利用者名の利用者は存在しません。利用者名の大文字小文字は区別されます。正しく入力したか確認してください。',
	'mobile-frontend-profile-activity-heading' => '最近の活動',
	'mobile-frontend-profile-userpage-link' => '利用者ページを閲覧',
	'mobile-frontend-requires-optin' => 'ベータ版モードを有効にしていないため、このページを利用できません。有効にするには[[Special:MobileOptions|設定ページ]]を参照してください。',
	'mobile-frontend-profile-last-thank' => '[[Special:UserProfile/$1|$1]] {{GENDER:$1|から}}{{GENDER:$2|感謝を示されました}}。',
	'mobile-frontend-profile-last-edit' => '{{PLURAL:$2|昨日|$2日前|0=今日}}、ページ [[:$1]] を{{GENDER:$3|編集しました}}。',
	'mobile-frontend-profile-footer-days' => '{{PLURAL:$2|1日|$2日}}前から参加、編集回数[[Special:Contributions/$1|{{PLURAL:$3|1回|$3回}}]]、アップロード[[Special:Uploads/$1|{{PLURAL:$4|1件|$4件|500=500件以上}}]]。',
	'mobile-frontend-profile-footer-months' => '{{PLURAL:$2|1ヶ月|$2ヶ月}}前から参加、編集回数[[Special:Contributions/$1|{{PLURAL:$3|1回|$3回}}]]、アップロード[[Special:Uploads/$1|{{PLURAL:$4|1件|$4件|500=500件以上}}]]。',
	'mobile-frontend-profile-footer-years' => '{{PLURAL:$2|1年|$2年}}前から参加、編集回数[[Special:Contributions/$1|{{PLURAL:$3|1回|$3回}}]]、アップロード[[Special:Uploads/$1|{{PLURAL:$4|1件|$4件|500=500件以上}}]]。',
	'mobile-frontend-geonotahack' => 'このページの近辺',
	'beta-feature-geonotahack' => 'このページの近辺',
	'beta-feature-geonotahack-description' => '現在閲覧している本文ページに地理的に近いページを見つけます。',
	'mobile-frontend-mainpage-cta-prompt' => 'このページにはあなたの助けが必要です!',
	'mobile-frontend-mainpage-cta-button' => 'このページを改善',
);

/** Javanese (Basa Jawa)
 * @author Bennylin
 * @author NoiX180
 */
$messages['jv'] = array(
	'mobilefrontend-random-explain' => 'Apakah halaman sembarang ini menarik bagi Anda?',
	'mobilefrontend-random-cancel' => 'Saya mau membaca!',
	'mobilefrontend-keepgoing-ask' => 'Selamat! Anda sudah tahu caranya! Apakah Anda mau mencoba menyunting halaman lain?',
	'mobilefrontend-keepgoing-ask-first' => 'Selamat untuk suntingan pertama Anda! Apakah Anda mau mencoba menyunting halaman lain?',
	'mobilefrontend-keepgoing-explain' => 'Bagus! Menurut pengguna lain, halaman ini perlu bantuan. Coba halaman ini, atau coba halaman lain.',
	'mobilefrontend-keepgoing-cancel' => 'Ora, suwun',
	'mobilefrontend-keepgoing-suggest' => 'Iya, suwun',
	'mobilefrontend-keepgoing-suggest-again' => 'Coba liyane',
	'mobilefrontend-keepgoing-saved-title' => 'Pangowahan kasimpen!',
	'mobilefrontend-keepgoing-links-title' => 'Tambah pranala',
	'mobilefrontend-keepgoing-links-ask-again' => 'Owahi kaca liyane?',
	'mobilefrontend-keepgoing-links-example' => 'kajaba $1guitar$2 dadi 3guitar$4', # Fuzzy
	'nearby' => 'Artikel tentang tempat di dekat Anda',
	'mobile-frontend-desc' => 'Antarmuka Ponsèl',
	'mobile-frontend-search-submit' => 'Nuju',
	'mobile-frontend-home-button' => 'Latar',
	'mobile-frontend-logged-out' => 'Durung mlebu log',
	'mobile-frontend-logged-in-homepage-notification' => 'Sugeng Rawuh, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Mlebet log dadi $1',
	'mobile-frontend-sign-up-heading' => 'Daptar',
	'mobile-frontend-sign-in-heading' => 'Mlebu log',
	'mobile-frontend-sign-in-why' => 'Jika Anda memiliki akun {{SITENAME}}, Anda dapat masuk log di bawah ini.',
	'mobile-frontend-sign-in-error-heading' => 'Wélah!',
	'mobile-frontend-settings-description' => 'Menyesuaikan pengalaman Anda di piranti mobil dengan pengaturan spesifik untuk situs mobil.',
	'mobile-frontend-settings-beta' => 'Béta',
	'mobile-frontend-settings-alpha' => 'Mode eksperimental',
	'mobile-frontend-settings-alpha-description' => 'Masuk ke wilayah seluler yang berbahaya dan belum dieksplorasi. Dapatkan fitur yang lebih eksperimental, tapi dengan lebih banyak kemungkinan kesalahan.',
	'mobile-frontend-save-settings' => 'Simpen',
	'mobile-frontend-save-error' => 'Galat menyimpan pengaturan. Pastikan bahwa Anda telah mengaktifkan kuki.',
	'mobile-frontend-random-button' => 'Waton',
	'mobile-frontend-back-to-top-of-section' => 'Balik nèng sakdurungé',
	'mobile-frontend-regular-site' => 'Tampilan komputer',
	'mobile-frontend-wml-continue' => 'Banjuraké...',
	'mobile-frontend-wml-back' => 'Balik...',
	'mobile-frontend-view' => 'Tampilan ponsel',
	'mobile-frontend-view-desktop' => 'Komputer',
	'mobile-frontend-view-mobile' => 'Ponsèl',
	'mobile-frontend-opt-in-explain' => 'Amarga gabung modé bèta, Sampéyan artiné ngéntukaké dalan nèng piranti èkspèrimèntal masiya mawa risiko ana bug lan masalah.',
	'mobile-frontend-images-status' => 'Gambar',
	'mobile-frontend-disable-images' => 'Patèni gambar nèng situs ponsèl',
	'mobile-frontend-enable-images' => 'Urubaké gambar nèng situs ponsèl',
	'mobile-frontend-missing-image' => 'Gambar',
	'mobile-frontend-off' => 'MATI',
	'mobile-frontend-on' => 'MURUB',
	'mobile-frontend-featured-article' => 'Artikel Pinilih Dina Iki',
	'mobile-frontend-news-items' => 'Warta Pinjunjul',
	'mobile-frontend-languages-404-title' => 'Kesalahan basa',
	'mobile-frontend-languages-404-desc' => 'Judul kudu diwenehi sing bener',
	'mobile-frontend-languages-header' => 'Basa-basa',
	'mobile-frontend-languages-nonexistent-title' => 'Kaca "$1" ora ana.',
	'mobile-frontend-languages-variant-header' => 'variasi {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Basa-basa</strong>',
	'mobile-frontend-language-article-heading' => 'Maca ing basa liyane',
	'mobile-frontend-language-header' => 'Kaca iki sumadhiya nèng $1 {{PLURAL:$1|basa|basa}}',
	'mobile-frontend-language-variant-header' => 'Pilih variasi {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Catatan: Halaman ini mungkin tidak ditulis dalam bahasa pilihan Anda. Anda dapat melihat {{SITENAME}} bahasa apa yang didukung dengan mengeklik di sini.',
	'mobile-frontend-language-site-choose' => 'Golèk basa',
	'mobile-frontend-username' => 'Jeneng panganggo:',
	'mobile-frontend-password' => 'Tembung sandhi:',
	'mobile-frontend-username-placeholder' => 'Jeneng panganggo',
	'mobile-frontend-password-placeholder' => 'Tembung sandhi',
	'mobile-frontend-login' => 'Mlebu log',
	'mobile-frontend-history' => 'Lihat riwayat suntingan halaman ini.',
	'mobile-frontend-history-404-title' => 'Ora ana kaca kuwi',
	'mobile-frontend-history-summary' => 'Riwayat kaca kanggo [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Dianyari pungkasan ing tanggal $1, $jam 2', # Fuzzy
	'mobile-frontend-last-modified-seconds' => 'Dianyari pungkasan {{PLURAL:$1|$1 detik|$1 detik}} kapungkur',
	'mobile-frontend-last-modified-minutes' => 'Dianyari pungkasan {{PLURAL:$1|$1 menit|$1 menit}} kapungkur',
	'mobile-frontend-last-modified-hours' => 'Dianyari pungkasan {{PLURAL:$1|$1 jam|$1 jam}} kapungkur',
	'mobile-frontend-last-modified-days' => 'Dianyari pungkasan {{PLURAL:$1|$1 dina|$1 dinat}} kapungkur',
	'mobile-frontend-last-modified-months' => 'Dianyari pungkasan {{PLURAL:$1|$1 sasi|$1 sasi}} kapungkur',
	'mobile-frontend-last-modified-years' => 'Dianyari pungkasan {{PLURAL:$1|$1 taun|$1 taun}} kapungkur',
	'mobile-frontend-last-modified-just-now' => 'Lagi wae dianyari',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3 detik|$3 detik}} yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3|$3}} menit yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3|$3}} jam yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3|$3}} hari yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3|$3}} bulan yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Terakhir {{GENDER:$1|disunting}} {{PLURAL:$3|$3|$3}} tahun yang lalu] oleh {{PLURAL:$5|[$6 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Baru saja {{GENDER:$1|disunting}}] oleh {{PLURAL:$4|[$5 $2]|0=seorang pengguna anonim}}',
	'mobile-frontend-learn-more' => 'Sinau luwih',
	'mobile-frontend-view-source' => 'Pirsani sumber',
	'mobile-frontend-account-create-submit' => 'Daptar',
	'mobile-frontend-password-confirm-placeholder' => 'Konfirmasi tembung sandhi',
	'mobile-frontend-account-create-email-placeholder' => 'Alamat layang èlèktronik (ora kudu)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Lebokna kode konfirmasi',
	'mobile-frontend-overlay-escape' => 'Mbalik',
	'mobile-frontend-overlay-close' => 'Tutup',
	'mobile-frontend-overlay-continue' => 'Banjuraké',
	'mobile-frontend-placeholder' => 'Golèk {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Golek {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Golek {{SITENAME}} (Eksperimental)',
	'mobile-frontend-search-help' => 'Tulis istilah sing digolèki kuwi lan cocokaké karo judhul artikel sing njedhul mengko.', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'tutup warta iki',
	'mobile-frontend-clear-search' => 'Busak',
	'mobile-frontend-search-content' => 'Golek ing sajroning kaca-kaca',
	'mobile-frontend-search-no-results' => 'Ora ana kaca nganggo judul iki.',
	'mobile-frontend-privacy-link-text' => 'Pripasi',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Kontèn sumadhiya sakisoré [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; ketentuan tambahan mungkin berlaku.',
	'mobile-frontend-copyright' => 'Koten kasedyakaké miturut $1, kecuali ditulis liyane.',
	'mobile-frontend-footer-contact' => 'Kontak',
	'mobile-frontend-search-noresults' => 'Ora ana judul sing padha karo panggolèkan sampéyan. Ganti panggolèkan, utawa teken tombol golèk nèng keyboard kanggo nggolèki saknjeroné artikel.',
	'mobile-frontend-terms-text' => 'Kebijakan penggunaan',
	'mobile-frontend-main-menu-button-tooltip' => 'Buka menu utama',
	'mobile-frontend-main-menu-page-title' => 'Navigasi situs',
	'mobile-frontend-main-menu-featured' => 'Pinilih',
	'mobile-frontend-main-menu-nearby' => 'Paling cedhak',
	'mobile-frontend-main-menu-login' => 'Mlebu log',
	'mobile-frontend-main-menu-logout' => 'Metu log',
	'mobile-frontend-main-menu-watchlist' => 'Daptar pangawasan',
	'mobile-frontend-main-menu-settings' => 'Pangaturan',
	'mobile-frontend-main-menu-upload' => 'Unggahan',
	'mobile-frontend-main-menu-settings-heading' => 'Pangaturan',
	'mobile-frontend-settings-site-header' => 'Basa {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} sumadhiya nèng $1 {{PLURAL:$1|basa|basa}}. Kabéh vèrsi sumadhiya kadaptar nèng ngisor',
	'mobile-frontend-main-menu-account-create' => 'Nggawé akun anyar',
	'mobile-frontend-page-menu-contents' => 'isi',
	'mobile-frontend-page-menu-history' => 'Riwayat',
	'mobile-frontend-meta-data-issues-header' => 'Masalah',
	'mobile-frontend-meta-data-issues' => 'Halaman ini memiliki beberapa masalah',
	'mobile-frontend-page-saving' => 'Menyimpan $1',
	'mobile-frontend-user-cta' => 'Silakan masuk log atau mendaftar untuk melihat pemberitahuan Anda.',
	'mobile-frontend-user-button-tooltip' => 'Tampilkan pemberitahuan saya',
	'mobile-frontend-nearby-to-page' => 'Halaman berikut terkait dengan $1 menurut lokasi geografis mereka',
	'mobile-frontend-nearby-title' => 'Cedhak',
	'mobile-frontend-nearby-loading' => 'Memuat topik di dekat lokasi Anda saat ini',
	'mobile-frontend-nearby-requirements' => 'Maaf! Penjelajah Anda tidak mendukung fitur Dekat {{SITENAME}} .',
	'mobile-frontend-nearby-requirements-guidance' => 'Cobalah penjelajah yang lain atau mengaktifkan JavaScript jika Anda telah menon-aktifkannya.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'Fitur Dekat {{SITENAME}} tidak tahu di mana Anda... coba lagi?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Cobalah area terbuka dengan sinyal yang lebih baik.',
	'mobile-frontend-nearby-permission' => 'Fitur Dekat {{SITENAME}} tidak memiliki izin untuk mengakses lokasi Anda.',
	'mobile-frontend-nearby-permission-guidance' => 'Pastikan Anda memberikan izin untuk menunjukkan lokasi Anda. Anda mungkin perlu mengecek pengaturan lokasi penjelajah Anda.',
	'mobile-frontend-nearby-noresults' => 'Di luar sana sepi... Tidak ada artikel lain tentang tempat di dekat Anda yang dapat ditemukan.',
	'mobile-frontend-nearby-noresults-guidance' => 'Cobalah membuat sebuah halaman baru atau menambahkan lokasi ke halaman yang sudah ada',
	'mobile-frontend-nearby-refresh' => 'Kami menemukan lokasi yang lebih akurat untuk Anda. Klik di sini untuk memperbarui daftar halaman tentang tempat di dekat Anda.',
	'mobile-frontend-nearby-error' => 'Fitur Dekat {{SITENAME}} memiliki beberapa masalah.',
	'mobile-frontend-nearby-error-guidance' => 'Cobalah perbarui lokasi Anda.',
	'mobile-frontend-nearby-link' => 'Baca halaman ini secara penuh',
	'mobile-frontend-nearby-directions' => 'Navigasi ke sini',
	'mobile-frontend-donate-image-nouploads' => 'Tidak ada unggahan.',
	'mobile-frontend-donate-image-login' => 'Media di {{SITENAME}} disumbangne kaliyan wong-wong kaya sampeyan.',
	'mobile-frontend-photo-upload-disabled' => 'Tidak ada gambar yang diperlukan pada halaman ini.',
	'mobile-frontend-photo-upload-protected' => 'Panjenengan ora duwé idin kanggo nambah gambar ing kaca iki.',
	'mobile-frontend-photo-upload-unavailable' => 'Penjelajah Anda tidak mendukung pengunggahan gambar.',
	'mobile-frontend-photo-upload-generic' => 'Sumbang sebuah gambar',
	'mobile-frontend-donate-image-title' => 'Unggahan',
	'mobile-frontend-donate-image-heading' => 'Kontribusi terakhir Anda',
	'mobile-frontend-donate-image-anon' => '$1 dibutuhkan untuk melihat halaman pengunggahan.',
	'mobile-frontend-user-account' => 'rékening panganggo',
	'mobile-frontend-listed-image-no-description' => 'Ora ana katrangan',
	'mobile-frontend-donate-photo-upload-success' => 'Sukses! Gambar Anda sekarang dapat digunakan pada {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Berhasil! Terima kasih atas kontribusi pertama Anda!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Kirimkan gambar yang Anda buat. Bantulah {{SITENAME}} menjadi lebih hidup!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Gambar pada {{SITENAME}} berasal dari Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Gambar Anda membantu mendidik orang-orang di seluruh dunia',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Hindari materi berhak cipta yang Anda temukan dari internet serta gambar poster, sampul buku, dll.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Mudheng?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Iya!',
	'mobile-frontend-watchlist-add' => 'Ditambahkan $1 ke daftar pantauan Anda',
	'mobile-frontend-watchlist-removed' => 'Busak kaca iki saka daftar pangawasan panjenengan', # Fuzzy
	'mobile-frontend-watchlist-view' => 'Dheleng daftar pangawasan sampeyan',
	'mobile-frontend-watchlist-more' => 'Luwih akèh',
	'mobile-frontend-watchlist-cta-button-login' => 'Mlebu log',
	'mobile-frontend-watchlist-cta-button-signup' => 'Daptar',
	'mobile-frontend-generic-login' => '{{SITENAME}} digawe karo wong-wong kaya sampeyan.',
	'mobile-frontend-generic-login-action' => 'Mlebu log kanggo kontribusi.',
	'mobile-frontend-generic-signup-action' => 'Daftara dhisik yen arep kontribusi.',
	'mobile-frontend-watch-login' => 'Tambahna $1 menyang daftar pangawasan sampeyan.',
	'mobile-frontend-edit-login' => 'Èwangi mbenahi kaca $1',
	'mobile-frontend-edit-login-action' => 'Mlebu log kanggo ngowahi.',
	'mobile-frontend-edit-signup-action' => 'Daftara dhisik yen arep ngowahi.',
	'mobile-frontend-watchlist-a-z' => 'Daptar',
	'mobile-frontend-watchlist-feed' => 'Diowahi',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klik bintang di bagian atas halaman',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Anda tidak sedang memantau halamlan apa pun. Daftar pantauan Anda membantu mendaftarkan halaman-halaman yang menarik bagi Anda. Anda dapat memantau halaman dengan menekan simbol bintang.',
	'mobile-frontend-watchlist-feed-empty' => 'Tidak ada halaman dengan perubahan terbaru.',
	'mobile-frontend-watchlist-back-home' => 'Kembali ke beranda',
	'mobile-frontend-changeslist-ip' => 'Panganggo ora dikenal',
	'mobile-frontend-changeslist-nocomment' => 'ora ana ringkesan suntingan',
	'mobile-frontend-watchlist-filter-all' => 'Kabèh',
	'mobile-frontend-watchlist-filter-articles' => 'Kaca-kaca',
	'mobile-frontend-watchlist-filter-talk' => 'Wicara',
	'mobile-frontend-watchlist-filter-other' => 'Liyané',
	'mobile-frontend-watchlist-modified' => 'Diubah $1',
	'mobile-frontend-diffview-404-title' => 'Batalaké benahan',
	'mobile-frontend-diffview-404-desc' => 'ID untuk revisi yang Anda minta tidak ada.',
	'mobile-frontend-diffview-title' => 'Owah-owahan',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|suntingan|suntingan}}',
	'mobile-frontend-diffview-anonymous' => 'Panganggo ora dikenal',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|bita|bita}} wis ditambahake',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|bita|bita}} wis dibusak',
	'mobile-frontend-diffview-explained' => 'Baris berikut ini ditambahkan (+) dan dihapus (-):',
	'mobile-frontend-thanked-notice' => '$1 telah diberitahu bahwa Anda menyukai {{GENDER:$2|suntingannya|suntingannya|suntingan mereka}}.',
	'mobile-frontend-saving-exit-page' => 'Kontribusi Anda sedang disimpan. Jika Anda meninggalkan halaman ini maka kontribusi Anda akan hilang. Apakah Anda yakin Anda ingin keluar?',
	'mobile-frontend-photo-upload' => 'Tambahkan gambar ke halaman ini',
	'mobile-frontend-photo-article-edit-comment' => 'Tambahkan gambar untuk digunakan pada halaman',
	'mobile-frontend-photo-article-donate-comment' => 'Sumbang gambar dari Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Menambahkan gambar ke halaman',
	'mobile-frontend-image-loading' => 'Memuat gambar',
	'mobile-frontend-photo-ownership' => 'Saya, $1, yang membuat gambar ini.',
	'mobile-frontend-photo-ownership-help' => 'Iki artine apa?',
	'mobile-frontend-photo-ownership-confirm' => 'Mudheng!',
	'mobile-frontend-photo-ownership-bullet-one' => 'Kami hanya dapat menerima gambar milik Anda. Jangan mengunggah gambar yang Anda temukan di tempat lain di Internet.',
	'mobile-frontend-photo-ownership-bullet-two' => 'Gambar yang dilindungi hak cipta dan tidak patut akan dihapus.',
	'mobile-frontend-photo-ownership-bullet-three' => 'Unggahan Anda dirilis di bawah lisensi yang memungkinkan setiap orang untuk menggunakan kembali berkas Anda secara gratis.',
	'mobile-frontend-photo-nag-1-bullet-1-heading' => 'Saya tidak melanggar hak cipta',
	'mobile-frontend-photo-nag-1-bullet-1-text' => "Ini '''bukan''' gambar yang saya temukan di Internet. Ini adalah buatan saya sendiri.",
	'mobile-frontend-photo-nag-1-bullet-2-heading' => 'Ini bukan gambaran diri saya',
	'mobile-frontend-photo-nag-1-bullet-2-text' => 'Dan dapat membantu mengilustrasikan topik yang penting.',
	'mobile-frontend-photo-nag-2-bullet-1-heading' => 'Pasti tidak melanggar hak cipta, dan gambar ini memiliki nilai edukasi.',
	'mobile-frontend-photo-nag-3-bullet-1-heading' => 'Saya mengerti apa yang boleh diunggah. Jangan tampilkan pesan ini lagi.',
	'mobile-frontend-photo-nag-learn-more-heading' => 'Apa yang boleh diunggah',
	'mobile-frontend-photo-nag-learn-more-1' => "'''Ya!''' Foto-foto tempat, benda-benda, dan peristiwa.",
	'mobile-frontend-photo-nag-learn-more-2' => "'''Ya!''' Foto yang dapat membantu menggambarkan dan memperkaya halaman {{SITENAME}}.",
	'mobile-frontend-photo-nag-learn-more-3' => "'''Tidak.''' foto poster film, sampul buku, atau materi berhak cipta lainnya. Gambar-gambar seperti ini akan dihapus.",
	'mobile-frontend-lead-image-tutorial-summary' => 'Pastikan bahwa gambar Anda dapat membantu mengilustrasikan halaman. Gambar tersebut harus gambar yang Anda buat sendiri, yang tidak melanggar hak cipta.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Miwiti pangunggahan',
	'mobile-frontend-image-uploading-wait' => 'Mengunggah gambar, silakan tunggu.',
	'mobile-frontend-image-uploading-long' => 'Gambar masih diunggah! Terima kasih atas kesabaran Anda.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Batalkan</a> jika ini terlalu lama.',
	'mobile-frontend-photo-upload-error' => 'Galat, coba lagi.',
	'mobile-frontend-photo-upload-error-file-type' => 'Harap hanya mengunggah gambar.',
	'mobile-frontend-photo-upload-error-filename' => 'Galat, harap memberikan ringkasan yang lebih deskriptif.',
	'mobile-frontend-photo-upload-success-article' => 'Berhasil! Gambar Anda sekarang telah tertampil di halaman ini.',
	'mobile-frontend-photo-submit' => 'Kirim',
	'mobile-frontend-photo-cancel' => 'Batal',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> unggah|<span> $1 </span> unggah}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ unggahan',
	'mobile-frontend-image-cancel-confirm' => 'Batalna ngunggahé',
);

/** Georgian (ქართული)
 * @author BRUTE
 * @author David1010
 * @author Dawid Deutschland
 * @author ITshnik
 * @author გიორგიმელა
 */
$messages['ka'] = array(
	'mobile-frontend-desc' => 'მობილური ინტერფეისი',
	'mobile-frontend-search-submit' => 'აბა ჰე',
	'mobile-frontend-home-button' => 'შინ',
	'mobile-frontend-logged-out' => 'შესვლა არ განხორციელდა',
	'mobile-frontend-logged-in-homepage-notification' => 'მოგესალმებით, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'შესული ხართ როგორც $1.',
	'mobile-frontend-sign-up-heading' => 'რეგისტრაცია',
	'mobile-frontend-sign-in-heading' => 'რეგისტრაცია',
	'mobile-frontend-sign-in-why' => 'თუ თქვენ გაქვთ ანგარიში საიტზე {{SITENAME}}, თქვენ შეგიძლიათ შეხვიდეთ.',
	'mobile-frontend-sign-in-error-heading' => 'ვაი',
	'mobile-frontend-settings-description' => 'გამოიყენეთ მობილური ვერსიის ეს სპეციალური პარამეტრები, რათა უფრო კომფორტული გახდეს საიტის გამოყენება თქვენი მობილური მოწყობილობით.',
	'mobile-frontend-settings-beta' => 'ბეტა',
	'mobile-frontend-settings-alpha' => 'ექსპერიმენტული რეჟიმი',
	'mobile-frontend-settings-alpha-description' => 'შედით საშიშ და გამოუკვლეველ მობილურ ტერიტორიაზე. მიიღეთ უფრო მეტი ექსპერიმენტის საშუალება და შეცდომების წარმოქმნის დიდი საშიშროება.',
	'mobile-frontend-save-settings' => 'შენახვა',
	'mobile-frontend-random-button' => 'შემთხვევითი',
	'mobile-frontend-back-to-top-of-section' => 'დაბრუნება უკან',
	'mobile-frontend-regular-site' => 'ჩვეულებრივი ვერსია',
	'mobile-frontend-wml-continue' => 'შემდეგ...',
	'mobile-frontend-wml-back' => 'უკან...',
	'mobile-frontend-view' => 'მობილური ვერსია',
	'mobile-frontend-view-desktop' => 'დესკტოპი',
	'mobile-frontend-view-mobile' => 'მობილური',
	'mobile-frontend-opt-in-explain' => 'ბეტა ვერსიასთან დაკავშირებისას, თქვენ მიიღებთ წვდომას რამდენიმე ექსპერიმენტულ ფუნქციასთან, მაგრამ აგრეთვე იზდრება იმის შანსიც, რომ გადააწყდეთ რაიმე შეცდომას ან პრობლემას.',
	'mobile-frontend-images-status' => 'სურათები',
	'mobile-frontend-disable-images' => 'მობილურ საიტზე სურათების გამორთვა',
	'mobile-frontend-enable-images' => 'მობილურ საიტზე სურათების ჩართვა',
	'mobile-frontend-missing-image' => 'სურათი',
	'mobile-frontend-off' => 'გამორთვა',
	'mobile-frontend-on' => 'ჩართვა',
	'mobile-frontend-featured-article' => 'დღის რჩეული მასალა',
	'mobile-frontend-news-items' => 'სიახლეებში',
	'mobile-frontend-language-article-heading' => 'სხვა ენაზე წაკითხვა',
	'mobile-frontend-language-header' => 'ეს გვერდი ხელმისაწვდომია $1 {{PLURAL:$1|ენაზე|ენაზე}}',
	'mobile-frontend-language-variant-header' => 'აირჩიეთ {{#language:{{CONTENTLANG}}}} ვარიანტი',
	'mobile-frontend-language-footer' => 'შენიშვნა: ამ გვერდის ჩაწერა თქვენთვის საჭირო ენაზე შეუძლებელია. თქვენ შეგიძიათ იხილოთ რომელი ენების მხარდაჭერა აქვს {{SITENAME}}-ს აქ დაჭერით.',
	'mobile-frontend-language-site-choose' => 'ენის ძიება',
	'mobile-frontend-username' => 'მომხმარებელი:',
	'mobile-frontend-password' => 'პაროლი:',
	'mobile-frontend-username-placeholder' => 'მომხმარებლის სახელი',
	'mobile-frontend-password-placeholder' => 'პაროლი',
	'mobile-frontend-login' => 'შესვლა',
	'mobile-frontend-last-modified-date' => 'ბოლოს შეიცვალა $1-ში, $2-ზე',
	'mobile-frontend-last-modified-seconds' => 'ბოლოს შეიცვალა {{PLURAL:$1|$1 წამის|$1 წამის}} წინ',
	'mobile-frontend-last-modified-minutes' => 'ბოლოს შეიცვალა {{PLURAL:$1|$1 წუთის|$1 წუთის}} წინ',
	'mobile-frontend-last-modified-hours' => 'ბოლოს შეიცვალა {{PLURAL:$1|$1 საათის|$1 საათის}} წინ',
	'mobile-frontend-last-modified-days' => 'ბოლოს შეიცვალა {{PLURAL:$1|$1 დღის|$1 დღის}} წინ',
	'mobile-frontend-last-modified-months' => 'ბოლოს შეიცვალა {{PLURAL:$1|$1 თვის|$1 თვის}} წინ',
	'mobile-frontend-last-modified-years' => 'ბოლოს შეიცვალა {{PLURAL:$1|$1 წლის|$1 წლის}} წინ',
	'mobile-frontend-account-create-submit' => 'რეგისტრაცია',
	'mobile-frontend-password-confirm-placeholder' => 'პაროლის დადასტურება',
	'mobile-frontend-account-create-email-placeholder' => 'ელ. ფოსტის მისამართი (არასავალდებულო)',
	'mobile-frontend-account-create-captcha-placeholder' => 'შეიყვანეთ დადასტურების კოდი',
	'mobile-frontend-overlay-escape' => 'უკან',
	'mobile-frontend-placeholder' => 'ძიება {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'ძიება {{SITENAME}} (ბეტა)',
	'mobile-frontend-placeholder-alpha' => 'ძიება საიტზე {{SITENAME}} (ექსპერიმენტული)',
	'mobile-frontend-search-help' => 'ზევით შეიყვანეთ ძიების პირობები და აქ გამოჩნდება შესაბამისი გვერდების სათაურები.',
	'mobile-frontend-dismiss-notification' => 'ამ შეტყობინების დამალვა',
	'mobile-frontend-clear-search' => 'გასუფთავება',
	'mobile-frontend-privacy-link-text' => 'უსაფრთხოება',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'ტექსტი ხელმისაწვდომია [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] ლიცენზიით; შესაძლოა გამოიყენებოდეს დამატებითი პირობები.',
	'mobile-frontend-copyright' => "ეს ტექსტი ვრცელდება <a  href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative	 Commons Attribution/Share-Alike ლიცენზიით</a>; ზოგ შემთხვევაში შესაძლებელია დამატებითი პირობები. იხილეთ <a	 href='http://wikimediafoundation.org/wiki/Terms_of_Use/ru'>გამოყენების პირობი</a>. «{{SITENAME}}» — არაკომერციული ორგანიზაციია <a  href='http://www.wikimediafoundation.org/'>«ფონდ ვიკიმედიის»</a> პროექტია.", # Fuzzy
	'mobile-frontend-footer-contact' => 'კონტაქტი',
	'mobile-frontend-search-noresults' => 'არ არის გვერდები, რომელთა სახელებიც შეესაბამება თქვენ მოთხოვნას. შეცვალეთ თქვენი მოთხოვნა ან კლავიატურაზე დააჭირეთ გვერდის შეგნით საძიებო ღილაკს.',
	'mobile-frontend-main-menu-button-tooltip' => 'მთავარი მენიუს გახსნა',
	'mobile-frontend-main-menu-page-title' => 'საიტის ნავიგაცია',
	'mobile-frontend-main-menu-featured' => 'რჩეული',
	'mobile-frontend-main-menu-nearby' => 'სიახლოვეს',
	'mobile-frontend-main-menu-login' => 'შესვლა',
	'mobile-frontend-main-menu-logout' => 'გასვლა',
	'mobile-frontend-main-menu-watchlist' => 'კონტროლის სია',
	'mobile-frontend-main-menu-settings' => 'პარამეტრები',
	'mobile-frontend-main-menu-upload' => 'ატვირთვები',
	'mobile-frontend-main-menu-settings-heading' => 'კონფიგურაცია',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} ენები',
	'mobile-frontend-settings-site-description' => 'პროექტი {{SITENAME}} ხელმისაწვდომია $1 {{PLURAL:$1|ენაზე|ენაზე}}. ქვემოთ მოცემულია ყველა ხელმისაწვდომი ვერსია',
	'mobile-frontend-main-menu-account-create' => 'ანგარიშის შექმნა',
	'mobile-frontend-page-menu-contents' => 'შინაარსი',
	'mobile-frontend-page-menu-language-current' => '{{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-page-menu-history' => 'ისტორია',
	'mobile-frontend-meta-data-issues-header' => 'პრობლემა',
	'mobile-frontend-meta-data-issues' => 'გვერდს აქვს რაღაც პრობლემა',
	'mobile-frontend-page-saving' => 'ინახება $1',
	'mobile-frontend-nearby-title' => 'ახლოს',
	'mobile-frontend-nearby-loading' => 'ინფორმაციის ჩატვირთვა იმის შესახებ, რაც თქვენ ადგილსამყოფელთან ახლოს მდებარეობს',
	'mobile-frontend-nearby-requirements' => 'ეს გვერდი მოითხოვს, რომ ჩართული იყოს JavaScript  და ბრაუზერმა შეძლოს ინფორმაციის მიღება ადგილმდებარეობის შესახებ.', # Fuzzy
	'mobile-frontend-nearby-noresults' => 'თქვენ იმყოფებით გაურკვევლობის ცენტრში და ჩვენ ვერ შევძელით შესაბამისი თემების მოძიება. იქნებ დაწეროთ ერთი მათგანი?', # Fuzzy
	'mobile-frontend-nearby-refresh' => 'ჩვენ ზუსტად განვსაზღვრეთ თქვენი ადგილმდებარეობა. დააჭირეთ აქ, რათა განაახლოთ უახლოესი გვერდების სია',
	'mobile-frontend-nearby-error' => 'გვერდების ძიებისას მოხდა მოულოდნელი შეცდომა, რაც დაკავშირებულია თქვენ ადგილმდებარეობასთან', # Fuzzy
	'mobile-frontend-donate-image-login' => 'თქვენ უნდა შეხვიდეთ სისტემაში რათა იხილოთ თქვენი ატვირთვები.', # Fuzzy
	'mobile-frontend-photo-upload-generic' => 'შეწირეთ სურათი',
	'mobile-frontend-donate-image-title' => 'ატვირთვები',
	'mobile-frontend-donate-image-heading' => 'თქვენი ბოლო ცლილებები',
	'mobile-frontend-donate-image-anon' => 'ატვირთვების გვერდის სანახავად საჭიროა [[Special:UserLogin|მომხმარებლის ანგარიში]]', # Fuzzy
	'mobile-frontend-listed-image-no-description' => 'არ არის აღწერა',
	'mobile-frontend-donate-photo-upload-success' => 'გამოვიდა! ახლა თქვენი სურათი შეიძლება გამოყენებულ იქნას საიტზე {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'გამოვიდა! გმადლობთ თქვენი წვილისათვის!',
	'mobile-frontend-watchlist-add' => '$1 დაემატა თქვენი კონტროლის სიაში',
	'mobile-frontend-watchlist-removed' => '$1 წაიშალა თქვენი კონტროლის სიიდან',
	'mobile-frontend-watchlist-view' => 'თქვენი კონტროლის სიის ხილვა',
	'mobile-frontend-watchlist-more' => 'მეტი',
	'mobile-frontend-watchlist-cta' => 'გთხოვთ, შედით ან დარეგისტრირდით, რათა იხილოთ ეს გვერდი.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'შესვლა',
	'mobile-frontend-watchlist-cta-button-signup' => 'დარეგისტრირდით',
	'mobile-frontend-watch-login' => 'ამ გვერდების სანახავად თქვენ უნდა შეხვიდეთ სისტემაში.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'სია',
	'mobile-frontend-watchlist-feed' => 'შეცვლილია',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'დააჭირეთ გვერდის ზედა ნაწილში განთავსებულ ვარსკვლავს',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'შესაძლებელია თქვენთვის საინტერესო გვერდისათვის თვალის დევნება. ამისათვის საჭიროა ეკრანის ზედა ნაწილში ვარსკვლავის სიმბოლოზე დაწკაპუნება. ეს საშუალებას მოგცემთ თვალი ადევნოთ თქვენთვის სასურველი გვერდების ცვლილებებს.', # Fuzzy
	'mobile-frontend-watchlist-feed-empty' => 'გვერდები ბოლო ცვლილებებით არ არის',
	'mobile-frontend-watchlist-back-home' => 'უკან დაბრუნება',
	'mobile-frontend-changeslist-ip' => 'ანონიმური მომხმარებელი',
	'mobile-frontend-changeslist-nocomment' => 'არ არის რედაქტირების რეზიუმე',
	'mobile-frontend-watchlist-filter-all' => 'ყველა',
	'mobile-frontend-watchlist-filter-articles' => 'გვერდები',
	'mobile-frontend-watchlist-filter-talk' => 'განხილვა',
	'mobile-frontend-watchlist-filter-other' => 'სხვა',
	'mobile-frontend-watchlist-modified' => 'შეცვლილი $1',
	'mobile-frontend-diffview-404-title' => 'ცუდი ვერსია',
	'mobile-frontend-diffview-404-desc' => 'ვერსიები თქვენი მოთხოვნილი იდენტიფიკატორით არ არსებობს',
	'mobile-frontend-diffview-title' => 'ცვლილებები',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|რედაქტირება|რედაქტირება}}',
	'mobile-frontend-diffview-anonymous' => 'ანონიმური მომხმარებელი',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|ბაიტი|ბაიტი}} დაემატა',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|ბაიტი|ბაიტი}} წაიშალა',
	'mobile-frontend-diffview-explained' => 'შემდეგი ხაზები იქნა დამატებული (+) და წაშლილი (-):',
	'mobile-frontend-saving-exit-page' => 'თქვენი შესწორება ჯერ კიდევ ინახება. თუ თქვენ დატოვებთ გვერდს, თქვენი ცვლილებები დაიკარგება. დარწმუნებული ხართ, რომ გსურთ გასვლა?',
	'mobile-frontend-photo-upload' => 'დაამატეთ სურათი ამ გვერდზე',
	'mobile-frontend-photo-article-edit-comment' => 'გვერდზე გამოსაყენებლად დამატებულია სურათი',
	'mobile-frontend-photo-article-donate-comment' => 'გაიღო სურათი Special:Uploads-დან',
	'mobile-frontend-photo-upload-comment' => 'გვერდზე დაემატა სურათი',
	'mobile-frontend-photo-caption-placeholder' => 'ამ სურათის აღწერა (სავალდებულოა)',
	'mobile-frontend-image-loading' => 'სურათი იტვირთება',
	'mobile-frontend-photo-ownership' => 'მე, მომხმარებელმა $1, შევქმენი ეს სურათი.',
	'mobile-frontend-photo-ownership-help' => 'ეს რას ნიშნავს?',
	'mobile-frontend-photo-ownership-confirm' => 'არის!',
	'mobile-frontend-photo-ownership-bullet-one' => 'ჩვენ შეგვიძლია მივიღოთ მხოლოდ თქვენ მიერ შექმნილი სურათები. გთხოვთ, არ ატვირთოთ სადმე ინტერნეტში მოძებნილი სურათები.', # Fuzzy
	'mobile-frontend-photo-ownership-bullet-two' => 'საავტორო უფლებებით დაცული ან უადგილო სურათები წაიშლება.',
	'mobile-frontend-photo-ownership-bullet-three' => 'თქვენი ატვირთული ფაილები განთავსებულია ლიცენზიით რომელიც ყველას აძლევს მათი უფასოდ გამოყენების უფლებას.',
	'mobile-frontend-image-uploading-wait' => 'სურათი იტვირთება, გთხოვთ მოიცადეთ. <a href="#">გააუქმეთ</a> თუ ეს დიდხანს გაგრძელდება.',
	'mobile-frontend-image-uploading-long' => 'სურათი ჯერ ისევ იტვირთება! გმადლობთ მოთმინებისათვის.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">გააუქმეთ</a> თუ ეს დიდხანს გაგრძელდება.',
	'mobile-frontend-photo-upload-error' => 'შეცდომა, კიდევ სცადეთ.',
	'mobile-frontend-photo-upload-error-filename' => 'შეცდომა. გთხოვთ მიუთითოთ უფრო აღწერადი რეზიუმე.',
	'mobile-frontend-photo-upload-success-article' => 'წარმატებით აიტვირთა! თქვენი სურათი ახლა უკვე განთავსებულია ამ გვერდზე.',
	'mobile-frontend-photo-license' => '"მიღებაზე" დაწკაპუნებით, თქვენ ეთანხმებით ჩვენი [//wikimediafoundation.org/wiki/Terms_of_use გამოყენების წესებს] და თანახმა ხართ თქვენი ფოტოს გადაცემაზე [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0 ლიცენზიით].', # Fuzzy
	'mobile-frontend-photo-submit' => 'მიღება',
	'mobile-frontend-photo-cancel' => 'გაუქმება',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> ატვირთვა|<span>$1</span> ატვირთვა}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ ატვირთვა',
	'tag-mobile_edit' => 'რედაქტირება მობილურით',
	'tag-mobile_edit-description' => 'რედაქტირება შესრულებულია საიტის მობილური ვერსიიდან',
	'mobile-frontend-drawer-cancel' => 'გაუქმება',
	'mobile-frontend-talk-explained' => 'შემდეგი საუბრები მოცემულ მომენტში აქტიურია',
	'mobile-frontend-talk-explained-empty' => 'აქ არ არის არანაირი საუბარი ამ გვერდის შესახებ.',
	'mobile-frontend-talk-overlay-header' => 'განხილვა',
);

/** Адыгэбзэ (Адыгэбзэ)
 */
$messages['kbd-cyrl'] = array(
	'mobile-frontend-search-submit' => 'ЕкIуэкIын',
	'mobile-frontend-home-button' => 'ПэщIэдзэм',
	'mobile-frontend-random-button' => 'ЗэрамыщIэкIэрэ',
	'mobile-frontend-back-to-top-of-section' => 'Зы разделкIэ къэгъэзэжын',
	'mobile-frontend-regular-site' => 'НапэкIуэцIым Википедиедыдэм щеплъын', # Fuzzy
	'mobile-frontend-featured-article' => 'Нобэ и статья хэхар', # Fuzzy
	'mobile-frontend-copyright' => "Текстыр уи пащхьэ илъщ лицензэ <a href=\"http://creativecommons.org/licenses/by-sa/3.0/\">Creative Commons Attribution/Share-Alike</a>-м теухуауэ, изыныкъуэхэм нэгъуэщI лицензэ иIэнкIи мэхъу. Нэхъ гурIуэгъуэу ухемэ еплъ <a href='http://wikimediafoundation.org/wiki/Terms_of_Use/ru'>Къызэрыбгъэсэбэпыным и щыхьэт</a>. «{{SITENAME}}» — зарегистрированнэ торговэ маркэ мыкоммерческэ зэIущIэныгъэм <a href='http://www.wikimediafoundation.org/'>«Викимедым и Фонд»</a>.", # Fuzzy
);

/** Kongo (Kongo)
 * @author Dfoy
 * @author Rkupsala
 */
$messages['kg'] = array(
	'mobile-frontend-placeholder' => 'Sosa na {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Sosa na {{SITENAME}} (Beta)',
);

/** Khowar (کھوار)
 * @author Rachitrali
 */
$messages['khw'] = array(
	'mobile-frontend-main-menu-watchlist' => 'مہ زیرنظرفہرست',
	'mobile-frontend-watchlist-filter-all' => 'سف',
	'mobile-frontend-watchlist-filter-articles' => 'آرٹیکل', # Fuzzy
	'mobile-frontend-diffview-anonymous' => 'نوژان ممبار',
);

/** Kirmanjki (Kırmancki)
 */
$messages['kiu'] = array(
	'mobile-frontend-search-submit' => 'So',
	'mobile-frontend-random-button' => 'Rastamae',
);

/** Kazakh (Cyrillic script) (қазақша (кирил)‎)
 * @author Arystanbek
 * @author GaiJin
 * @author Kaztrans
 * @author Wikibilim
 */
$messages['kk-cyrl'] = array(
	'mobilefrontend-random-explain' => 'Сізге бұл кездейсоқ бет қызықты ма?',
	'mobilefrontend-keepgoing-cancel' => 'Жоқ, рахмет',
	'mobilefrontend-keepgoing-suggest' => 'Иә, өтініш',
	'mobilefrontend-keepgoing-suggest-again' => 'Басқасын байқап көру',
	'mobilefrontend-keepgoing-saved-title' => 'Өңдеме сақталды!',
	'mobilefrontend-keepgoing-links-title' => 'Сілтемелер қосу',
	'nearby' => 'Сізге жақын бет',
	'mobile-frontend-desc' => 'Мобильді интерфейс',
	'mobile-frontend-search-submit' => 'Өту',
	'mobile-frontend-home-button' => 'Басты бет',
	'mobile-frontend-logged-out' => 'Кірмегенсіз',
	'mobile-frontend-logged-in-homepage-notification' => 'Қош келдіңіз, $1!',
	'mobile-frontend-logged-in-toast-notification' => '$1 ретінде кірдіңіз.',
	'mobile-frontend-sign-up-heading' => 'Тіркелу',
	'mobile-frontend-sign-in-heading' => 'Кіру',
	'mobile-frontend-sign-in-why' => 'Егер сізде {{SITENAME}} аккаунты бар болса, төменгі жақтан кіруіңізге болады.',
	'mobile-frontend-sign-in-error-heading' => 'Қате',
	'mobile-frontend-settings-description' => 'Мобилдік құрылғыңызды бұл сайттың мобилдік нұсқасының арнайы баптаулары арқылы өзіңізге ыңғайлы етіп баптауыңызға болады.',
	'mobile-frontend-settings-beta' => 'Бета',
	'mobile-frontend-settings-alpha' => 'Тәжірибелік режим',
	'mobile-frontend-settings-alpha-description' => 'Қауіпті және зерттелмеген мобилдік аумағындасыз. Тағыда көбірек тәжірибелік мүмкіндіктерді алыңыз, бірақ көптеген қауіпті қателерге кездесуіңіз мүмкін.',
	'mobile-frontend-save-settings' => 'Сақтау',
	'mobile-frontend-random-button' => 'Кездейсоқ',
	'mobile-frontend-back-to-top-of-section' => 'Бөлімге қайта келу',
	'mobile-frontend-regular-site' => 'Кәдімгі нұсқа',
	'mobile-frontend-wml-continue' => 'Жалғастыру...',
	'mobile-frontend-wml-back' => 'Артқа...',
	'mobile-frontend-view' => 'Мобайлды көрініс',
	'mobile-frontend-view-desktop' => 'Компьютерлік нұсқа',
	'mobile-frontend-view-mobile' => 'Мобилдік нұсқа',
	'mobile-frontend-opt-in-explain' => 'Бета нұсқасын қосу арқылы, сіз тәжірибелік мүмкіндіктерді көре аласыз, бірақ та, қателерге тап болуыңыз әбден мүмкін.',
	'mobile-frontend-images-status' => 'Суреттер',
	'mobile-frontend-disable-images' => 'Сайттың мобилді нұсқасында суреттерді көрсетпеу',
	'mobile-frontend-enable-images' => 'Сайттың мобилді нұсқасында суреттерді көрсету',
	'mobile-frontend-missing-image' => 'Сурет',
	'mobile-frontend-off' => 'Өшіру',
	'mobile-frontend-on' => 'Қосу',
	'mobile-frontend-featured-article' => 'Таңдаулы мақала',
	'mobile-frontend-news-items' => 'Жаңалықтар',
	'mobile-frontend-languages-404-title' => 'Қате тіл',
	'mobile-frontend-languages-header' => 'Тілдер',
	'mobile-frontend-languages-nonexistent-title' => '$1 беті жоқ.',
	'mobile-frontend-languages-text' => '$1 дегенді $2 {{PLURAL:$2|тілде|тілде}} оқуға болады.',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}} нұсқасы',
	'mobile-frontend-language-heading' => '<strong>Тілдер</strong>',
	'mobile-frontend-language-article-heading' => 'Басқа тілде оқу',
	'mobile-frontend-language-header' => 'Бұл бетті оқу $1 {{PLURAL:$1|тілде|тілде}} қол жетімді',
	'mobile-frontend-language-variant-header' => '{{#language:{{CONTENTLANG}}}} нұсқасын таңданыңыз',
	'mobile-frontend-language-site-choose' => 'Тілді іздеу',
	'mobile-frontend-username' => 'Қатысушы аты:',
	'mobile-frontend-password' => 'Құпия сөз:',
	'mobile-frontend-username-placeholder' => 'Қатысушы аты',
	'mobile-frontend-password-placeholder' => 'Құпия сөз',
	'mobile-frontend-login' => 'Кіру',
	'mobile-frontend-history' => 'Бұл беттің өңдеу тарихын қарау',
	'mobile-frontend-history-404-title' => 'Осындай бет жоқ',
	'mobile-frontend-contribution-summary' => 'Барлық өңдемелерді {{GENDER:$1[[Special:UserProfile/$1|$1]]}} жасаған.',
	'mobile-frontend-history-summary' => '[[:$1]] бетінің тарихы',
	'mobile-frontend-last-modified-date' => 'Соңғы рет $1, $2 бұрын өзгертілді',
	'mobile-frontend-last-modified-seconds' => 'Соңғы рет {{PLURAL:$1|$1 секунд|$1 секунд}} бұрын өзгертілді',
	'mobile-frontend-last-modified-minutes' => 'Соңғы рет {{PLURAL:$1|$1 минут|$1 минут}} бұрын өзгертілді',
	'mobile-frontend-last-modified-hours' => 'Соңғы рет {{PLURAL:$1|$1 сағат|$1 сағат}} бұрын өзгертілді',
	'mobile-frontend-last-modified-days' => 'Соңғы рет {{PLURAL:$1|$1 күн|$1 күн}} бұрын өзгертілді',
	'mobile-frontend-last-modified-months' => 'Соңғы рет {{PLURAL:$1|$1 ай|$1 ай}} бұрын өзгертілді',
	'mobile-frontend-last-modified-years' => 'Соңғы рет {{PLURAL:$1|$1 жыл|$1 жыл}} бұрын өзгертілді',
	'mobile-frontend-last-modified-just-now' => 'Тек қазіргі соңғы өзгерісі',
	'mobile-frontend-last-modified-with-user-seconds' => '{{PLURAL:$5|[$6 $2]|0=анонимді қатысушы}} [{{PLURAL:$3|$3 секунт|$3 секунт}} бұрын   $4 соңғы рет {{GENDER:$1|өңдеді}}]',
	'mobile-frontend-last-modified-with-user-minutes' => '{{PLURAL:$5|[$6 $2]|0=анонимді қатысушы}} [{{PLURAL:$3|$3 минут|$3 минут}} бұрын $4 соңғы рет {{GENDER:$1|өңдеді}}]',
	'mobile-frontend-last-modified-with-user-hours' => '{{PLURAL:$5|[$6 $2]|0=анонимді қатысушы}} [{{PLURAL:$3|$3 сағат|$3 сағат}} бұрын $4 соңғы рет {{GENDER:$1|өңдеді}}]',
	'mobile-frontend-last-modified-with-user-days' => '{{PLURAL:$3|$3 күн|$3 күн}} бұрын]  {{PLURAL:$5|[$6 $2]|0=анонимді қатысушы}} [$4 соңғы рет {{GENDER:$1|өңдеді}}',
	'mobile-frontend-last-modified-with-user-months' => '{{PLURAL:$5|[$6 $2]|0=анонимді қатысушы}} [{{PLURAL:$3|$3 ай|$3 ай}} бұрын $4 соңғы рет {{GENDER:$1|өңдеді}}]',
	'mobile-frontend-last-modified-with-user-years' => '{{PLURAL:$5|[$6 $2]|0=анонимді қатысушы}} [{{PLURAL:$3|$3 жыл|$3 жыл}} бұрын $4 соңғы рет {{GENDER:$1|өңдеді}}]',
	'mobile-frontend-last-modified-with-user-just-now' => 'Қазір ғана {{PLURAL:$4|[$5 $2]|0=анонимді қатысушы}} [$3 соңғы рет {{GENDER:$1|өңдеді}}]',
	'mobile-frontend-learn-more' => 'Көбірек білу',
	'mobile-frontend-view-source' => 'Қайнарын қарау',
	'mobile-frontend-account-create-submit' => 'Кіру',
	'mobile-frontend-password-confirm-placeholder' => 'Құпия сөзді қайталаңыз',
	'mobile-frontend-account-create-email-placeholder' => 'Email адресі (міндетті емес)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Құптау кодын еңгізіңіз',
	'mobile-frontend-overlay-escape' => 'Артқа',
	'mobile-frontend-overlay-close' => 'Жабу',
	'mobile-frontend-overlay-continue' => 'Жалғастыру',
	'mobile-frontend-placeholder' => '{{SITENAME}} сайтынан іздеу',
	'mobile-frontend-placeholder-beta' => 'Іздеу {{SITENAME}} (Бета)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}} сайтынан іздеу (Тәжірибелік)',
	'mobile-frontend-dismiss-notification' => 'бұл хабарламаны жасыру',
	'mobile-frontend-clear-search' => 'Тазарту',
	'mobile-frontend-search-no-results' => 'Бұл тақырыпта бет жоқ.',
	'mobile-frontend-privacy-link-text' => 'Жеке меншік',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-contact' => 'Байланыс',
	'mobile-frontend-terms-text' => 'Қолдану шарты',
	'mobile-frontend-main-menu-button-tooltip' => 'Басты мәзірді ашу',
	'mobile-frontend-main-menu-page-title' => 'Сайт навигациясы',
	'mobile-frontend-main-menu-featured' => 'Таңдаулы',
	'mobile-frontend-main-menu-nearby' => 'Айналада',
	'mobile-frontend-main-menu-login' => 'Кіру',
	'mobile-frontend-main-menu-logout' => 'Шығу',
	'mobile-frontend-main-menu-watchlist' => 'Бақылау тізімі',
	'mobile-frontend-main-menu-settings' => 'Баптаулар',
	'mobile-frontend-main-menu-upload' => 'Жүктеулер',
	'mobile-frontend-main-menu-settings-heading' => 'Баптаулар',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} тілдері',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} $1 {{PLURAL:$1|тілде|тілде}} қол жетімді. Барлық қол жетімді нұсқалары төменде көрсетілген.',
	'mobile-frontend-main-menu-account-create' => 'Тіркеліңіз',
	'mobile-frontend-page-menu-contents' => 'мазмұны',
	'mobile-frontend-page-menu-history' => 'Тарихы',
	'mobile-frontend-meta-data-issues-header' => 'Сұрақтар',
	'mobile-frontend-meta-data-issues' => 'Бұл бетте кейбір сұрақтар бар',
	'mobile-frontend-page-saving' => '$1 сақталуда',
	'mobile-frontend-user-cta' => 'Сіздегі ескертпелерді көру үшін кіріңіз немесе тіркеліңіз.',
	'mobile-frontend-user-button-tooltip' => 'Мендегі ескертпелерді көрсет',
	'mobile-frontend-nearby-title' => 'Айналада',
	'mobile-frontend-nearby-loading' => 'Сіздің орналасқан жеріңізге жақын аумақтардың тақырыптары жүктелуде',
	'mobile-frontend-nearby-requirements' => 'Кешіріңіз! Сіздің уеб шолғышыңыз {{SITENAME}} Айналадағылар қосымшасын қолдамайды.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 км}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 м}}',
	'mobile-frontend-nearby-link' => 'Бұл бетті толық оқу',
	'mobile-frontend-nearby-directions' => 'Мұнда шарлау',
	'mobile-frontend-donate-image-nouploads' => 'Жүктелгендер жоқ.',
	'mobile-frontend-donate-image-login-action' => 'Медиа файлыңызды бөлісу үшін кіріңіз.',
	'mobile-frontend-photo-upload-disabled' => 'Бұл бетте суреттер қосылмаған.',
	'mobile-frontend-photo-upload-anon' => 'Бұл бетке сурет қосу үшін кіріңіз.',
	'mobile-frontend-photo-upload-protected' => 'Бұл бетке сурет қосу рұқсатыңыз жоқ.',
	'mobile-frontend-photo-upload-unavailable' => 'Сіздің шолғышыңыз сурет жүктеуді қолдамайды.',
	'mobile-frontend-donate-image-title' => 'Жүктеулер',
	'mobile-frontend-donate-image-heading' => 'Жуықтағы үлестеріңіз',
	'mobile-frontend-user-account' => 'Қатысушы аккаунты',
	'mobile-frontend-listed-image-no-description' => 'Сипаттамасы жоқ',
	'mobile-frontend-donate-photo-upload-success' => 'Сәтті болды! Суретіңізді {{SITENAME}} сайтында қазір қолдана аласыз!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Сәтті болды! Бірінші үлесіңізге рахмет!',
	'mobile-frontend-first-upload-wizard-new-page-1' => '{{SITENAME}} сайтындағы суреттер Ортаққордан',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Болды!',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Иә!',
	'mobile-frontend-watchlist-add' => '$1 бақылау тізіміңізге қосылды',
	'mobile-frontend-watchlist-removed' => '$1 бақылау тізіміңізден аласталды',
	'mobile-frontend-watchlist-view' => 'Бақылау тізіміңізді көру',
	'mobile-frontend-watchlist-more' => 'көбірек',
	'mobile-frontend-watchlist-cta' => 'Бұл бетті көру үшін кіріңіз немесе тіркеліңіз.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Кіру',
	'mobile-frontend-watchlist-cta-button-signup' => 'Тіркелу',
	'mobile-frontend-watchlist-login-action' => 'Оны көру үшін кіріңіз.',
	'mobile-frontend-generic-login' => '{{SITENAME}} сіз сияқты қызығатын адамдар арқылы жасалады.',
	'mobile-frontend-generic-login-action' => 'Үлес қосу үшін кіріңіз.',
	'mobile-frontend-generic-signup-action' => 'Үлес қосу үшін тіркеліңіз',
	'mobile-frontend-watch-login' => '$1 дегенді бақылау тізіміңізге қосу.',
	'mobile-frontend-edit-login' => '$1 бетіy жетілдіруге көмектесіңіз!',
	'mobile-frontend-edit-login-action' => 'Өңдеу үшін кіріңіз.',
	'mobile-frontend-edit-signup-action' => 'Өңдеу үшін тіркеліңіз.',
	'mobile-frontend-watchlist-a-z' => 'Тізім',
	'mobile-frontend-watchlist-feed' => 'Өзгертілгендер',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Жоғарғы жақтағы жұлдызшаны басыңыз',
	'mobile-frontend-watchlist-back-home' => 'Артқа',
	'mobile-frontend-changeslist-ip' => 'Тіркелгісіз қатысушы',
	'mobile-frontend-changeslist-nocomment' => 'Түйіндемесі өңделмейді',
	'mobile-frontend-watchlist-filter-all' => 'Барлығы',
	'mobile-frontend-watchlist-filter-articles' => 'Беттер',
	'mobile-frontend-watchlist-filter-talk' => 'Талқылауы',
	'mobile-frontend-watchlist-filter-other' => 'Басқа',
	'mobile-frontend-watchlist-modified' => '$1 өзгертілді',
	'mobile-frontend-diffview-404-title' => 'Зақымданған нұсқа',
	'mobile-frontend-diffview-title' => 'Өзгерістер',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|өңдеме|өңдеме}}',
	'mobile-frontend-diffview-anonymous' => 'Тіркелгісіз қатысушы',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|байт|байт}} қосылды',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|байт|байт}} өшірілді',
	'mobile-frontend-diffview-explained' => 'Келесі жолдар қосылған (+) және өшірілген (-) еді:',
	'mobile-frontend-saving-exit-page' => 'Сіздің өзгерістереңіз әлі сақталу үстінде. Егер сіз шығып кететін болсаңыз, өзгерістер сақталмайды. Шыққаныңызға сенімдісіз бе?',
	'mobile-frontend-photo-upload' => 'Бұл бетке сурет қосу',
	'mobile-frontend-photo-article-edit-comment' => 'Бетке пайдалану үшін қосылған сурет',
	'mobile-frontend-photo-article-donate-comment' => 'Ұялы телефон арқылы бөліскен сурет', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'Бетке қосылған сурет',
	'mobile-frontend-photo-caption-placeholder' => 'Бұл суретті сипаттаңыз (міндетті)',
	'mobile-frontend-image-loading' => 'Сурет жүктеуде',
	'mobile-frontend-photo-ownership' => 'Мен $1 бұл суретті жасадым.',
	'mobile-frontend-photo-ownership-help' => 'Бұның мағынасы не?',
	'mobile-frontend-photo-ownership-confirm' => 'Болды!',
	'mobile-frontend-photo-nag-1-bullet-2-heading' => 'Бұл жеке сурет емес',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Жүктеуді бастау',
	'mobile-frontend-image-uploading-wait' => 'Сурет жүктелуде..., күте тұрыңыз.',
	'mobile-frontend-image-uploading-long' => 'Сурет әлі жүктелуде! Шыдамдылық танытқаңыңыз үшін алғысымызды білдіреміз.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Болдырмау</a> егер бұл көп уақытқа созылса.',
	'mobile-frontend-photo-upload-error' => 'Қате, қайтадан көріңіз.',
	'mobile-frontend-photo-upload-error-file-type' => 'Тек суреттерді ғана жүктеңіз.',
	'mobile-frontend-photo-submit' => 'Жіберу',
	'mobile-frontend-photo-cancel' => 'Болдырмау',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> енгізілім|<span>$1</span> еңгізілім}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ еңгізілім',
	'mobile-frontend-image-heading-describe' => "Суретті '''сипаттаңыз'''",
	'mobile-frontend-image-uploading' => "Сурет '''жүктелуде'''...",
	'mobile-frontend-image-cancel-confirm' => 'Жүтеуді болдырмағыңыз келе ме?',
	'mobile-frontend-editor-unavailable' => 'Шолғышыңызда мобайлмен өңдеу мүмкіндігі жоқ. Басқа шолғышпен қайта байқап көріңіз.',
	'mobile-frontend-editor-disabled' => 'Бұл бет бұзақылыққа кедергі жасау үшін қорғалған.',
	'mobile-frontend-editor-blocked' => 'Аккаунтыңыз өңдеуден бұғатталған.',
	'mobile-frontend-editor-cta' => 'Бұл бетті жетілдіруге көмектесіңіз!',
	'mobile-frontend-editor-edit' => 'Өңдеу',
	'mobile-frontend-editor-continue' => 'Жалғастыру',
	'mobile-frontend-editor-save' => 'Сақтау',
	'mobile-frontend-editor-cancel' => 'Болдырмау',
	'mobile-frontend-editor-license' => 'Өзгертулерді сақтағаныңыз, біздің [//wikimediafoundation.org/wiki/Terms_of_use қолдану шарттарымен] және  [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0 лицензиясы] және [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL] аясында мәтініңізді жариялағаныңызға келіскеніңіз болып табылады.',
	'mobile-frontend-editor-placeholder' => 'Бұл бөлім бос. Жетілдіру үшін бірінші болыңыз!',
	'mobile-frontend-editor-summary-placeholder' => 'Нені өзгеркеніңізді айтыңыз (ерікті)',
	'mobile-frontend-editor-cancel-confirm' => 'Өңдемеңізді қалырып кетуді шынымен қалайсыз ба?',
	'mobile-frontend-editor-wait' => 'Өңдеме сақталуда, күте тұрыңыз.',
	'mobile-frontend-editor-guider' => '"{{int:mobile-frontend-editor-continue}}" дегенді басаңыз өңдемеңізді қарап шығасыз және сақтайсыз.',
	'mobile-frontend-editor-success' => 'Сәтті болды! Өңдемеңіз сақталды.',
	'mobile-frontend-editor-success-landmark-1' => 'Құттықтаймыз, сіз енді {{SITENAME}} сайтының редакторысыз!',
	'mobile-frontend-editor-error' => 'Қате, өңдеме сақталмады.',
	'mobile-frontend-editor-error-conflict' => 'Қате, бұл бетті басқа қатысушы өңдеген.',
	'mobile-frontend-editor-error-loading' => 'Қатеғ бөлім жүктелмеді.',
	'mobile-frontend-editor-preview-header' => 'Қарап шығу',
	'mobile-frontend-editor-tutorial-confirm' => 'Өңдеуді бастау',
	'mobile-frontend-editor-captcha-try-again' => 'Қате код, қайта байқап көріңіз.',
	'mobile-frontend-editor-abusefilter-warning' => 'Ескерту: Бұл өңдемені сақтағыңыз келе ме? Онда мәселе туындауы мүмкін.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Бұл өңдеме сақталмады, себебі біз мәселеге кездестік.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Көбірек оқу',
	'mobile-frontend-editor-editing-page' => '<span>$1</span> <strong>өңделуде</strong>',
	'mobile-frontend-editor-previewing-page' => '<span> $1</span> <strong>қарап шығылуда</strong>',
	'mobile-frontend-editor-viewing-source-page' => '<span>$1</span> <strong>дегеннің қайнары қаралуда</strong>',
	'tag-mobile_edit' => '<span style="background-color:#FF4500"><span style="color:white">Мобилді өзгерту</span></span>',
	'tag-mobile_edit-description' => 'Мобайлды сайттан жасалған өңдеме',
	'mobile-frontend-drawer-cancel' => 'Болдырмау',
	'mobile-frontend-talk-explained' => 'Келесі әңгімелесулер қазіргі уақытта белсенді',
	'mobile-frontend-talk-explained-empty' => 'Бұл бет туралы талқылаулар жоқ.',
	'mobile-frontend-talk-overlay-header' => 'Талқылауы',
	'mobile-frontend-talk-back-to-page' => '"$1" бетін қайта қосу.',
	'mobile-frontend-talk-overlay-lead-header' => 'Аталмаған сипаттама',
	'mobile-frontend-talk-add-overlay-submit' => 'Талқылау қосу',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Тақырып аты',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Не ойлап тұрсыз?',
	'mobile-frontend-talk-edit-summary' => 'Жаңа талқылау бөлімі: $1',
	'mobile-frontend-talk-reply-success' => 'Талқылау бетінде сіздің жауабыңыз сәтті сақталды.',
	'mobile-frontend-talk-reply-info' => 'Аңғарту: Жауабыңыз сіздің қатысушы есіміңізбен өздігінен қол қойылады.',
	'mobile-frontend-talk-reply' => 'Жауап',
	'mobile-frontend-media-details' => 'Бөлшектер',
	'mobile-frontend-media-license-link' => 'Лицензиялық ақпараты',
	'mobile-frontend-profile-title' => 'Қатысушы жеке деректері',
	'mobile-frontend-profile-last-upload-caption' => '{{PLURAL:$1|Кеше|$1 күн бұрын|0=Бүгін}} {{GENDER:$2|жүктелген}}.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|$1}} дегенді талқылау',
	'mobile-frontend-profile-error' => 'Оһ, жоқ!',
	'mobile-frontend-profile-activity-heading' => 'Белсенділігі және үлестері',
	'mobile-frontend-profile-userpage-link' => 'Қатысушы бетінне барып шығу',
	'mobile-frontend-profile-last-thanked' => '[[Special:UserProfile/$1|$1]] [[$2]] бетіндегі өңдемеге {{GENDER:$3|рахметін білдірді}}.',
	'mobile-frontend-profile-last-edit' => '[[:$1]] беті {{PLURAL:$2|кеше|$2 күн бұрын|0=бүгін}} {{GENDER:$3|өңделген}}.',
	'mobile-frontend-profile-footer-days' => ' {{PLURAL:$2|1 күн|$2 күн}} бұрын тіркеліп  [[Special:Contributions/$1|{{PLURAL:$3|1 өңдеме жасаған|$3 өңдеме жасаған}}]] және [[Special:Uploads/$1|{{PLURAL:$4|1 сурет жүктеген|$4 сурет жүктеген|500=500+ сурет жүктеген}}]].',
	'mobile-frontend-profile-footer-months' => ' {{PLURAL:$2|1 ай|$2 ай}} бұрын тіркеліп  [[Special:Contributions/$1|{{PLURAL:$3|1 өңдеме жасаған|$3 өңдеме жасаған}}]] және [[Special:Uploads/$1|{{PLURAL:$4|1 сурет жүктеген|$4 сурет жүктеген|500=500+ сурет жүктеген}}]].',
	'mobile-frontend-profile-footer-years' => ' {{PLURAL:$2|1 жыл|$2 жыл}} бұрын тіркеліп  [[Special:Contributions/$1|{{PLURAL:$3|1 өңдеме жасаған|$3 өңдеме жасаған}}]] және [[Special:Uploads/$1|{{PLURAL:$4|1 сурет жүктеген|$4 сурет жүктеген|500=500+ сурет жүктеген}}]].',
	'mobile-frontend-profile-description-placeholder' => 'Не себептен {{GENDER:$1|өңдейсіз}}? {{GENDER:$1|Жетілдіргіңіз}} келе ме? {{GENDER:$1|Қызығушылығыңызды}} басқаларға бөлісіңіз.',
	'mobile-frontend-profile-edit-summary' => 'Қатысушы бетіңіздегі таныстырымыңызды жаңарту',
	'mobile-frontend-geonotahack' => 'Осы бетке жақындар',
	'beta-feature-geonotahack' => 'Осы бетке жақындар',
	'mobile-frontend-mainpage-cta-prompt' => 'Бұл бетке сіздің көмегіңіз керек!',
	'mobile-frontend-mainpage-cta-button' => 'Бұл бетті жетілдір',
);

/** Kalaallisut (kalaallisut)
 */
$messages['kl'] = array(
	'mobile-frontend-search-submit' => 'Tassunngarit',
	'mobile-frontend-home-button' => 'Angerlamut',
	'mobile-frontend-random-button' => 'Nalaatsornikkut',
	'mobile-frontend-back-to-top-of-section' => 'Immikkoortup qulaanut',
	'mobile-frontend-regular-site' => 'Takutiguk {{SITENAME}} naliginnaasumut', # Fuzzy
	'mobile-frontend-featured-article' => 'Allaaserisaq ullumi', # Fuzzy
	'mobile-frontend-copyright' => "Allatat ilaatinneqarput  <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike-licensen</a> ataani; allat piumasaqaatit atuutinneqarsinnaapput. Takuuk <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>brugsbetingelserne</a> paasissutissaanerusut. {{SITENAME}} nioqqutissiatut nalunaaqqutserneqarsimavoq suliniuteqarfittut una <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>.", # Fuzzy
);

/** Khmer (ភាសាខ្មែរ)
 * @author Evannak
 * @author គីមស៊្រុន
 * @author វ័ណថារិទ្ធ
 */
$messages['km'] = array(
	'mobile-frontend-desc' => 'ឧបករណ៍ចល័ត',
	'mobile-frontend-search-submit' => 'ទៅ',
	'mobile-frontend-home-button' => 'ទំព័រដើម',
	'mobile-frontend-logged-out' => 'មិន​ទាន់​ចូល',
	'mobile-frontend-logged-in-homepage-notification' => 'សូមស្វាគមន៍ $1!',
	'mobile-frontend-logged-in-toast-notification' => 'ចូល​ជា $1 ។',
	'mobile-frontend-sign-up-heading' => 'ចុះ​ឈ្មោះ',
	'mobile-frontend-sign-in-heading' => 'ចូល',
	'mobile-frontend-sign-in-why' => 'បើ​អ្នក​មាន​គណនី {{SITENAME}} អ្នក​អាច​ចូល​នៅ​ខាងក្រោម ។',
	'mobile-frontend-sign-in-error-heading' => 'អូ',
	'mobile-frontend-settings-beta' => 'បេតា',
	'mobile-frontend-save-settings' => 'រក្សា​ទុក​',
	'mobile-frontend-random-button' => 'ចៃដន្យ',
	'mobile-frontend-back-to-top-of-section' => 'លោតត្រលប់ទៅផ្នែកខាងលើរបស់ផ្នែកនេះ',
	'mobile-frontend-regular-site' => 'បើកមើលលើផ្ទៃអេក្រង់លើតុ',
	'mobile-frontend-wml-continue' => 'បន្ត...',
	'mobile-frontend-wml-back' => 'ត្រលប់ក្រោយ...',
	'mobile-frontend-view' => 'មើលលើឧបករណ៍ចល័ត',
	'mobile-frontend-view-desktop' => 'លើតុ',
	'mobile-frontend-view-mobile' => 'ចល័ត',
	'mobile-frontend-opt-in-explain' => 'ដោយ​ចូលរួម​កម្មវិធី​បេតា អ្នក​នឹងមាន​លទ្ធភាព​ប្រើ​មុខងា​រដែល​កំពុង​ស្ថិតនៅក្រោម​ការពិសោធន៍​នៅឡើយ ដែល​អាចធ្វើ​អោយ​អ្នកប្រឈមមុខ​នឹង​បញ្ហា​តូចតាច​មួយចំនួន។',
	'mobile-frontend-images-status' => 'រូបភាព',
	'mobile-frontend-disable-images' => 'បិទមិនអោយមើលរូបភាពនៅលើវិបសាយសំរាប់ឧបករណ៍ចល័ត',
	'mobile-frontend-enable-images' => 'បើកអោយមើលរូបភាពនៅលើវិបសាយសំរាប់ឧបករណ៍ចល័ត',
	'mobile-frontend-missing-image' => 'រូបភាព',
	'mobile-frontend-off' => 'បិទ',
	'mobile-frontend-on' => 'បើក',
	'mobile-frontend-featured-article' => 'ខ្លឹមសារពិសេសសម្រាប់ថ្ងៃនេះ',
	'mobile-frontend-news-items' => 'នៅក្នុងសារព័ត៌មាន',
	'mobile-frontend-language-article-heading' => 'អាន​ជា​ភាសា​ផ្សេង​ទៀត',
	'mobile-frontend-language-header' => 'ទំព័រនេះអាចអានបានជា $1 {{PLURAL:$1|ភាសា|ភាសា}}',
	'mobile-frontend-language-site-choose' => 'ស្វែងរក​ភាសា',
	'mobile-frontend-username' => 'អត្តនាម៖',
	'mobile-frontend-password' => 'ពាក្យសំងាត់៖',
	'mobile-frontend-username-placeholder' => 'ឈ្មោះ​អ្នក​ប្រើ',
	'mobile-frontend-password-placeholder' => 'ពាក្យ​សម្ងាត់',
	'mobile-frontend-login' => 'កត់ឈ្មោះចូល',
	'mobile-frontend-account-create-submit' => 'ចុះ​ឈ្មោះ',
	'mobile-frontend-password-confirm-placeholder' => 'អះអាង​ពាក្យ​សម្ងាត់',
	'mobile-frontend-account-create-email-placeholder' => 'អាសយដ្ឋានអ៊ីមែល (ដាក់ក៏បានមិនដាក់ក៏បាន)',
	'mobile-frontend-account-create-captcha-placeholder' => 'បញ្ចូល​លេខកូដបញ្ជាក់',
	'mobile-frontend-overlay-escape' => 'ត្រឡប់​ក្រោយ',
	'mobile-frontend-placeholder' => 'ស្វែងរកក្នុង{{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'ស្វែងរកក្នុង{{SITENAME}} (បេតា)',
	'mobile-frontend-placeholder-alpha' => 'ស្វែងរកក្នុង{{SITENAME}} (ក្រោមការពិសោធន៍)',
	'mobile-frontend-search-help' => 'វាយបញ្ចូលពាក្យដែលចង់ស្វែងរកខាងលើ នោះចំណងជើងទំព័រដែលត្រូ​វនឹងវានឹងបង្ហាញនៅទីនេះ។',
	'mobile-frontend-dismiss-notification' => 'បិទការផ្ដល់ដំណឹងនេះ',
	'mobile-frontend-clear-search' => 'ជំរះ',
	'mobile-frontend-privacy-link-text' => 'ភាព​ឯកជន',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => 'ខ្លឹមសារអត្ថបទប្រើប្រាស់បានក្រោមអាជ្ញាបណ្ឌ$1 លើកលែងតែមានបញ្ជាក់ផ្សេងពីនោះ។',
	'mobile-frontend-footer-contact' => 'ទំនាក់ទំនង',
	'mobile-frontend-main-menu-button-tooltip' => 'បើក​ម៉ឺនុយ​មេ',
	'mobile-frontend-main-menu-page-title' => 'ការ​រុករក​បណ្ដាញ',
	'mobile-frontend-main-menu-login' => 'ចូល',
	'mobile-frontend-main-menu-logout' => 'ចេញ',
	'mobile-frontend-main-menu-watchlist' => 'បញ្ជី​តាមដាន',
	'mobile-frontend-main-menu-settings' => 'ការ​កំណត់',
	'mobile-frontend-main-menu-upload' => 'ផ្ទុកឡើង',
	'mobile-frontend-main-menu-settings-heading' => 'ការកំណត់​នានា',
	'mobile-frontend-settings-site-header' => 'ភាសារបស់ {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} អាចអានបានជាំ $1 {{PLURAL:$1|ភាសា|ភាសា}} ដូចខាងក្រោម',
	'mobile-frontend-main-menu-account-create' => 'បង្កើតគណនី',
	'mobile-frontend-page-menu-contents' => 'មាតិកា',
	'mobile-frontend-page-menu-history' => 'ប្រវត្តិ',
	'mobile-frontend-meta-data-issues-header' => 'បញ្ហា',
	'mobile-frontend-meta-data-issues' => 'ទំព័រនេះ​មាន​បញ្ហា​មួយ​ចំនួន',
	'mobile-frontend-page-saving' => 'កំពុង​រក្សា​ទុក $1',
	'mobile-frontend-nearby-title' => 'ជិតខាង',
	'mobile-frontend-nearby-loading' => 'ផ្ទុក​ប្រធាន​បទ​ដែល​នៅ​ទីតាំង​បច្ចុប្បន្ន​របស់​អ្នក',
	'mobile-frontend-donate-image-login' => 'អ្នកត្រូវតែកត់ឈ្មោះចូល​ដើម្បី​មើល​ការ​ផ្ទុក​របស់​អ្នក។', # Fuzzy
	'mobile-frontend-photo-upload-generic' => 'ចែករំលែក​រូបភាពមួយសន្លឹក',
	'mobile-frontend-donate-image-title' => 'ផ្ទុកឡើង',
	'mobile-frontend-listed-image-no-description' => 'គ្មាន​ការ​ពណ៌នា',
	'mobile-frontend-watchlist-add' => 'បន្ថែម $1 ទៅ​បញ្ជី​មើល​របស់​អ្នក',
	'mobile-frontend-watchlist-removed' => 'បាន​យក $1 ចេញ​ពី​បញ្ជី​មើល​របស់​អ្នក',
	'mobile-frontend-watchlist-view' => 'មើល​បញ្ជី​មើល​របស់​អ្នក',
	'mobile-frontend-watchlist-more' => 'បន្ថែមទៀត',
	'mobile-frontend-watchlist-cta' => 'សូមកត់ឈ្មោះចូលឬចុះឈ្មោះថ្មីដើម្បីមើលទំព័រនេះ។', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'កត់ឈ្មោះចូល',
	'mobile-frontend-watchlist-cta-button-signup' => 'ចុះ​ឈ្មោះ',
	'mobile-frontend-watchlist-a-z' => 'បញ្ជី',
	'mobile-frontend-watchlist-feed' => 'ត្រូវបានកែប្រែ',
	'mobile-frontend-watchlist-back-home' => 'ត្រឡប់​ទៅ​ដើម',
	'mobile-frontend-changeslist-ip' => 'អ្នក​ប្រើ​អនាមិក',
	'mobile-frontend-changeslist-nocomment' => 'គ្មាន​ការ​សង្ខេប​កែ​សម្រួល',
	'mobile-frontend-watchlist-filter-all' => 'ទាំងអស់',
	'mobile-frontend-watchlist-filter-articles' => 'ទំព័រ',
	'mobile-frontend-watchlist-filter-talk' => 'ការ​ពិភាក្សា',
	'mobile-frontend-watchlist-filter-other' => 'ផ្សេង​ទៀត',
	'mobile-frontend-watchlist-modified' => 'បាន​កែប្រែ​នៅ $1 មុន',
	'mobile-frontend-diffview-404-title' => 'ការ​កែប្រែ​មិន​ល្អ',
	'mobile-frontend-diffview-title' => 'ផ្លាស់ប្ដូរ',
	'mobile-frontend-diffview-anonymous' => 'អ្នក​ប្រើ​អនាមិក',
	'mobile-frontend-diffview-bytesremoved' => 'យក $1 {{PLURAL:$1|byte|bytes}} ចេញ',
	'mobile-frontend-diffview-explained' => 'បន្ទាត់​ខាងក្រោម​ត្រូវ​បាន​បន្ថែម (+) និង​យក​ចេញ (-)៖',
	'mobile-frontend-photo-upload' => 'បន្ថែម​រូបភាពមួយ​ទៅ​ក្នុងទំព័រ​នេះ',
	'mobile-frontend-photo-article-edit-comment' => 'បាន​បន្ថែម​រូបភាព​សម្រាប់​ប្រើ​លើ​ទំព័រ',
	'mobile-frontend-photo-upload-comment' => 'បាន​បន្ថែម​រូបភាព​ទៅ​ទំព័រ',
	'mobile-frontend-photo-caption-placeholder' => 'ពណ៌នាពីរូបភាពនេះ (ចាំបាច់)',
	'mobile-frontend-image-loading' => 'កំពុង​ផ្ទុក​រូបភាព',
	'mobile-frontend-image-uploading-wait' => 'កំពុងផ្ទុកឡើង។ សូមរង់ចាំបន្តិច។',
	'mobile-frontend-photo-upload-error' => 'មាន​កំហុស​កើត​ឡើង។ សូម​សាកល្បងម្ដង​ទៀត។',
	'mobile-frontend-photo-submit' => 'ដាក់​ស្នើ',
	'mobile-frontend-photo-cancel' => 'បោះបង់',
	'tag-mobile_edit' => 'កែ​សម្រួល​តាម​ទូរស័ព្ទ',
	'tag-mobile_edit-description' => 'ការ​កែ​សម្រួល​បាន​ធ្វើ​ពី​តំបន់​បណ្ដាញ​សម្រាប់​ទូរស័ព្ទ',
	'mobile-frontend-drawer-cancel' => 'បោះបង់',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|និយាយទៅកាន់ $1}}',
	'mobile-frontend-mainpage-cta-prompt' => 'ទំព័រនេះត្រូវការជំនួយពីអ្នក!',
);

/** Kannada (ಕನ್ನಡ)
 * @author M G Harish
 * @author Nayvik
 * @author VASANTH S.N.
 */
$messages['kn'] = array(
	'mobile-frontend-desc' => 'ಮೊಬೈಲ್ ಮುನ್ನೆಲೆ',
	'mobile-frontend-search-submit' => 'ಹೋಗು',
	'mobile-frontend-home-button' => 'ಮುಖ್ಯಪುಟ',
	'mobile-frontend-random-button' => 'ಹೀಗೇ ಒಂದು ಪುಟ',
	'mobile-frontend-back-to-top-of-section' => 'ಒಂದು ವಿಭಾಗ ಹಿಂದಕ್ಕೆ ಹೋಗಿ',
	'mobile-frontend-regular-site' => 'ಮುಂತೆರೆ ನೋಟ',
	'mobile-frontend-wml-continue' => 'ಮುಂದುವರೆಸು...',
	'mobile-frontend-wml-back' => 'ಹಿಂದೆ...',
	'mobile-frontend-view' => 'ಮೊಬೈಲ್ ವೀಕ್ಷಣೆ',
	'mobile-frontend-opt-in-explain' => 'ಬೀಟಾವನ್ನು ಸೇರುವುದರಿಂದ, ದೋಷಗಳು ಮತ್ತು ವಿವಾದಾಂಶಗಳ ಅಪಾಯದೊಂದಿಗೆ, ನೀವು ಪ್ರಾಯೋಗಿಕ ವೈಶಿಷ್ಟ್ಯಗಳನ್ನು ಪಡೆಯುವಿರಿ.',
	'mobile-frontend-disable-images' => 'ಮೊಬೈಲ್ ಜಾಲತಾಣದಲ್ಲಿ ಚಿತ್ರಗಳನ್ನು ಅಡಗಿಸು',
	'mobile-frontend-enable-images' => 'ಮೊಬೈಲ್ ಜಾಲತಾಣದಲ್ಲಿ ಚಿತ್ರಗಳನ್ನು ತೋರಿಸು',
	'mobile-frontend-featured-article' => 'ಇಂದಿನ ವಿಶೇಷ ಲೇಖನ', # Fuzzy
	'mobile-frontend-news-items' => 'ಸುದ್ದಿಯಲ್ಲಿ',
	'mobile-frontend-username' => 'ಬಳಕೆದಾರ ಹೆಸರು:',
	'mobile-frontend-password' => 'ಪ್ರವೇಶಪದ:',
	'mobile-frontend-login' => 'ಒಳ ಬಾ',
	'mobile-frontend-placeholder' => 'ನಿಮ್ಮ ಹುಡುಕಾಟವನ್ನು ಇಲ್ಲಿ ನಮೂದಿಸಿ...', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'ಈ ಅಧಿಸೂಚನೆಯನ್ನು ತೊಡೆದುಹಾಕಿ',
	'mobile-frontend-clear-search' => 'ಅಳಿಸಿ',
	'mobile-frontend-copyright' => "ಈ ಮಾಹಿತಿ <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>ಕ್ರಿಯೇಟಿವ್ ಕಾಮನ್ಸ್ ಆಟ್ರಿಬ್ಯೂಶನ್ ಶೇರ್ ಅಲೈಕ್ ಲೈಸೆನ್ಸಿನಡಿ</a> ಲಭ್ಯವಿದೆ. ಕೆಲವು ಹೆಚ್ಚಿನ ನಿಬಂಧನೆಗಳು ಕೂಡ ಅನ್ವಯಿಸಬಹುದು. ಮಾಹಿತಿಗೆ <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>ಬಳಕೆಯ ನಿಬಂಧನೆಗಳು</a> ಪುಟ ನೋಡಿ. ವಿಕಿಪೀಡಿಯ <a href='http://www.wikimediafoundation.org/'>ವಿಕಿಮೀಡಿಯ ಫೌಂಡೇಶನ್</a> ಎಂಬ ಲಾಭರಹಿತ ಸಂಸ್ಥೆಯ ಟ್ರೇಡ್ ಮಾರ್ಕ್.", # Fuzzy
);

/** Korean (한국어)
 * @author Altostratus
 * @author Clockoon
 * @author Freebiekr
 * @author Hym411
 * @author Jskang
 * @author Klutzy
 * @author Kwj2772
 * @author Leehoy
 * @author Priviet
 * @author SEVEREN
 * @author 관인생략
 * @author 아라
 */
$messages['ko'] = array(
	'mobilefrontend-random-explain' => '이 문서가 당신의 관심을 끕니까?',
	'mobilefrontend-random-cancel' => '읽어 보기',
	'mobilefrontend-keepgoing-ask' => '잘하셨습니다! 이제 문서를 편집하는 요령을 알게 되었습니다! 다른 문서도 편집해 보겠습니까?',
	'mobilefrontend-keepgoing-ask-first' => '첫 편집을 한 것을 축하드립니다! 다른 문서도 편집해 보겠습니까?',
	'mobilefrontend-keepgoing-explain' => '좋아요! 다른 사용자가 이 문서가 도움이 필요하다고 했습니다. 이 문서를 고치거나, 다른 문서를 고치세요.',
	'mobilefrontend-keepgoing-cancel' => '괜찮습니다',
	'mobilefrontend-keepgoing-suggest' => '예',
	'mobilefrontend-keepgoing-suggest-again' => '다른 문서',
	'mobilefrontend-keepgoing-saved-title' => '편집 저장됨!',
	'mobilefrontend-keepgoing-links-title' => '링크 추가',
	'mobilefrontend-keepgoing-links-ask-first' => '첫 편집을 한 것을 축하합니다! 최근에 만들어진 문서에 링크를 추가하는 것을 도와줄 수 있나요?',
	'mobilefrontend-keepgoing-links-ask-again' => '다른 문서를 고치겠습니까?',
	'mobilefrontend-keepgoing-links-explain' => '링크할 수 있는 더 많은 낱말을 찾으세요. 낱말 주위에 이중 대괄호를 추가하세요.',
	'mobilefrontend-keepgoing-links-example' => '예를 들어 $1기타$2는 $3기타$4가 됩니다',
	'nearby' => '근처 문서',
	'mobile-frontend-desc' => '모바일 프론트엔드',
	'mobile.css' => '/* 이 CSS 설정은 모바일 사이트를 사용하는 사용자에게 적용됩니다 */',
	'mobile.js' => '/* 이 자바스크립트 설정은 모바일 사이트를 사용하는 사용자에게 적용됩니다 */',
	'mobile-frontend-search-submit' => '보기',
	'mobile-frontend-home-button' => '대문',
	'mobile-frontend-logged-out' => '로그인하지 않음',
	'mobile-frontend-logged-in-homepage-notification' => '$1님, 환영합니다!',
	'mobile-frontend-logged-in-toast-notification' => '$1 사용자로 로그인했습니다.',
	'mobile-frontend-generic-404-title' => '오류 - 페이지를 찾을 수 없습니다',
	'mobile-frontend-generic-404-desc' => '페이지를 찾을 수 없습니다.',
	'mobile-frontend-sign-up-heading' => '가입하기',
	'mobile-frontend-sign-in-heading' => '로그인',
	'mobile-frontend-sign-in-why' => '{{SITENAME}} 계정이 있으면 아래에 로그인할 수 있습니다.',
	'mobile-frontend-sign-in-error-heading' => '이런',
	'mobile-frontend-settings-description' => '이러한 모바일 특정 사이트 설정을 사용하여 모바일 기기에서 내 경험을 사용자 정의합니다.',
	'mobile-frontend-settings-beta' => '베타',
	'mobile-frontend-settings-alpha' => '실험 모드',
	'mobile-frontend-settings-alpha-description' => '위험하고 미개척한 모바일 영역에 들어갑니다. 더 많은 실험 중인 기능을 사용할 수 있지만 더 많은 버그 위험이 따릅니다.',
	'mobile-frontend-save-settings' => '저장',
	'mobile-frontend-save-error' => '설정을 저장하는 중 오류가 있습니다. 쿠키를 활성화했는지 확인하세요.',
	'mobile-frontend-random-button' => '임의 문서',
	'mobile-frontend-back-to-top-of-section' => '문단 처음으로',
	'mobile-frontend-regular-site' => '데스크톱 버전',
	'mobile-frontend-wml-continue' => '계속...',
	'mobile-frontend-wml-back' => '뒤로...',
	'mobile-frontend-view' => '모바일판에서 보기',
	'mobile-frontend-view-desktop' => '데스크탑',
	'mobile-frontend-view-mobile' => '모바일',
	'mobile-frontend-cookies-required' => '보기 모드로 전환하기 위해서 쿠키가 필요합니다. 쿠키를 활성화 한 후 다시 시도하세요.',
	'mobile-frontend-opt-in-explain' => '베타에 참여하면서, 버그나 문제가 생길 위험을 감수하고 실험 중인 기능을 사용해볼 수 있습니다.',
	'mobile-frontend-images-status' => '그림',
	'mobile-frontend-disable-images' => '그림을 표시하지 않도록 설정',
	'mobile-frontend-enable-images' => '그림을 표시하도록 설정',
	'mobile-frontend-expand-sections-status' => '모든 문단 확장',
	'mobile-frontend-expand-sections-description' => '새 문서를 탐색할 때 항상 모든 문단 확장하기',
	'mobile-frontend-missing-image' => '그림',
	'mobile-frontend-off' => '끄기',
	'mobile-frontend-on' => '켜기',
	'mobile-frontend-featured-article' => '오늘의 알찬 내용',
	'mobile-frontend-news-items' => '새로 들어온 소식',
	'mobile-frontend-languages-404-title' => '언어 오류',
	'mobile-frontend-languages-404-desc' => '올바른 제목을 지정해야 합니다.',
	'mobile-frontend-languages-header' => '언어',
	'mobile-frontend-languages-nonexistent-title' => '"$1" 문서가 존재하지 않습니다.',
	'mobile-frontend-languages-text' => '$1 문서는 $2개 {{PLURAL:$2|언어}}로 읽을 수 있습니다.',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}} 변종',
	'mobile-frontend-language-heading' => '<strong>언어</strong>',
	'mobile-frontend-language-article-heading' => '다른 언어로 읽기',
	'mobile-frontend-language-header' => '이 문서는 $1개 {{PLURAL:$1|언어}}로 읽을 수 있습니다.',
	'mobile-frontend-language-variant-header' => '{{#language:{{CONTENTLANG}}}} 언어 종류를 선택하세요',
	'mobile-frontend-language-site-choose' => '언어 검색',
	'mobile-frontend-username' => '사용자 이름:',
	'mobile-frontend-password' => '비밀번호:',
	'mobile-frontend-username-placeholder' => '사용자 이름',
	'mobile-frontend-password-placeholder' => '비밀번호',
	'mobile-frontend-login' => '로그인',
	'mobile-frontend-history' => '이 문서의 편집 역사를 봅니다.',
	'mobile-frontend-history-404-title' => '이러한 문서 없음',
	'mobile-frontend-history-404-desc' => '존재하지 않은 문서의 역사를 볼 수 없습니다. 문서가 삭제되었거나 잘못된 링크일 수 있습니다.',
	'mobile-frontend-history-no-results' => '제공된 필터와 일치하는 역사가 없습니다.',
	'mobile-frontend-contribution-summary' => '{{GENDER:$1|[[Special:UserProfile/$1|$1]]}} 사용자가 만든 모든 편집',
	'mobile-frontend-history-summary' => '[[:$1]]의 문서 역사',
	'mobile-frontend-last-modified-date' => '$1 $2에 마지막으로 수정됨',
	'mobile-frontend-last-modified-seconds' => '{{PLURAL:$1|$1초}} 전에 마지막으로 수정됨',
	'mobile-frontend-last-modified-minutes' => '{{PLURAL:$1|$1분}} 전에 마지막으로 수정됨',
	'mobile-frontend-last-modified-hours' => '{{PLURAL:$1|$1시간}} 전에 마지막으로 수정됨',
	'mobile-frontend-last-modified-days' => '{{PLURAL:$1|$1일}} 전에 마지막으로 수정됨',
	'mobile-frontend-last-modified-months' => '{{PLURAL:$1|$1달}} 전에 마지막으로 수정됨',
	'mobile-frontend-last-modified-years' => '{{PLURAL:$1|$1년}} 전에 마지막으로 수정됨',
	'mobile-frontend-last-modified-just-now' => '방금 편집됨',
	'mobile-frontend-last-modified-with-user-seconds' => '{{PLURAL:$5|[$6 $2]|0=익명의}} 사용자가 [$4 {{PLURAL:$3|$3 초}} 전 마지막으로 {{GENDER:$1|편집함}}]',
	'mobile-frontend-last-modified-with-user-minutes' => '{{PLURAL:$5|[$6 $2]|0=익명의}} 사용자가 [$4 {{PLURAL:$3|$3 분}} 전 마지막으로 {{GENDER:$1|편집함}}]',
	'mobile-frontend-last-modified-with-user-hours' => '{{PLURAL:$5|[$6 $2]|0=익명의}} 사용자가 [$4 {{PLURAL:$3|$3 시간}} 전 마지막으로 {{GENDER:$1|편집함}}]',
	'mobile-frontend-last-modified-with-user-days' => '{{PLURAL:$5|[$6 $2]|0=익명의}} 사용자가 [$4 {{PLURAL:$3|$3 일}} 전 마지막으로 {{GENDER:$1|편집함}}]',
	'mobile-frontend-last-modified-with-user-months' => '{{PLURAL:$5|[$6 $2]|0=익명의}} 사용자가 [$4 {{PLURAL:$3|$3 개월}} 전 마지막으로 {{GENDER:$1|편집함}}]',
	'mobile-frontend-last-modified-with-user-years' => '{{PLURAL:$5|[$6 $2]|0=익명의}} 사용자가 [$4 {{PLURAL:$3|$3 년}} 전 마지막으로 {{GENDER:$1|편집함}}]',
	'mobile-frontend-last-modified-with-user-just-now' => '{{PLURAL:$4|[$5 $2]|0=익명의}} 사용자가 방금 [$3 마지막으로 {{GENDER:$1|편집함}}]',
	'mobile-frontend-view-source' => '원본 보기',
	'mobile-frontend-account-create-submit' => '가입하기',
	'mobile-frontend-password-confirm-placeholder' => '비밀번호 확인',
	'mobile-frontend-account-create-email-placeholder' => '이메일 주소 (선택 사항)',
	'mobile-frontend-account-create-captcha-placeholder' => '인증 코드를 입력하세요',
	'mobile-frontend-overlay-escape' => '돌아가기',
	'mobile-frontend-overlay-close' => '닫기',
	'mobile-frontend-overlay-continue' => '계속',
	'mobile-frontend-placeholder' => '{{SITENAME}} 검색',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}} 검색 (베타)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}} 검색 (실험 기능)',
	'mobile-frontend-dismiss-notification' => '이 알림 숨기기',
	'mobile-frontend-clear-search' => '지우기',
	'mobile-frontend-search-content' => '문서 안에서 검색',
	'mobile-frontend-search-no-results' => '이 제목으로 된 문서가 없습니다.',
	'mobile-frontend-search-content-no-results' => "이 어구가 어디에 나타나는지 보려면 '''{{int:mobile-frontend-search-content}}'''하세요.",
	'mobile-frontend-privacy-link-text' => '개인 정보 정책',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => '내용은 [//ko.m.wikipedia.org/wiki/%EC%9C%84%ED%82%A4%EB%B0%B1%EA%B3%BC:Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile 크리에이티브 커먼즈 저작자표시-동일조건변경허락 3.0]에 따라 사용할 수 있습니다. 추가적인 조건이 적용될 수 있습니다.',
	'mobile-frontend-copyright' => '내용은 별도로 명시하지 않을 경우 $1에 따라 사용할 수 있습니다.',
	'mobile-frontend-footer-contact' => '연락하기',
	'mobile-frontend-terms-text' => '이용 약관',
	'mobile-frontend-main-menu-button-tooltip' => '주 메뉴 열기',
	'mobile-frontend-main-menu-page-title' => '사이트 둘러보기',
	'mobile-frontend-main-menu-featured' => '알참',
	'mobile-frontend-main-menu-nearby' => '근처',
	'mobile-frontend-main-menu-login' => '로그인',
	'mobile-frontend-main-menu-logout' => '로그아웃',
	'mobile-frontend-main-menu-watchlist' => '주시문서 목록',
	'mobile-frontend-main-menu-settings' => '설정',
	'mobile-frontend-main-menu-upload' => '올리기',
	'mobile-frontend-main-menu-settings-heading' => '설정',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} 언어',
	'mobile-frontend-settings-site-description' => '{{SITENAME}}(은)는 $1개 {{PLURAL:$1|언어}}로 읽을 수 있습니다. 읽을 수 있는 모든 버전은 다음과 같습니다',
	'mobile-frontend-main-menu-account-create' => '계정 만들기',
	'mobile-frontend-page-menu-contents' => '목차',
	'mobile-frontend-page-menu-history' => '역사',
	'mobile-frontend-meta-data-issues-header' => '문제',
	'mobile-frontend-meta-data-issues' => '이 문서에 문제가 있습니다',
	'mobile-frontend-page-saving' => '$1 저장 중',
	'mobile-frontend-user-cta' => '알림을 보려면 로그인하거나 가입하세요.',
	'mobile-frontend-user-button-tooltip' => '내 알림 보기',
	'mobile-frontend-nearby-to-page' => '다음 문서는 $1와(과) 지리적으로 관련이 있습니다',
	'mobile-frontend-nearby-title' => '근처',
	'mobile-frontend-nearby-loading' => '현재 위치 근처에 주제를 불러오는 중',
	'mobile-frontend-nearby-requirements' => '죄송합니다! 사용 중인 웹 브라우저가 {{SITENAME}} 근처를 지원하지 않습니다.',
	'mobile-frontend-nearby-requirements-guidance' => '다른 브라우저나 자바스크립트가 비활성화되어 있으면 활성화하세요.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} 근처는 당신이 어디에 있는지 알아낼 수 없습니다… 다시 시도하겠습니까?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => '전파가 좋은, 열린 장소에서 시도하세요.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} 근처는 당신의 위치에 접근할 권한이 없습니다.',
	'mobile-frontend-nearby-permission-guidance' => '당신이 어디에 있는지 보여줄 권한을 부여하세요. 브라우저 위치 설정을 확인할 필요가 있습니다.',
	'mobile-frontend-nearby-noresults' => '여기는 조용합니다… 근처에 문서를 찾을 수 없습니다.',
	'mobile-frontend-nearby-noresults-guidance' => '새 문서를 만드거나 기존 문서에 위치를 추가하세요',
	'mobile-frontend-nearby-refresh' => '정확한 위치를 찾았습니다. 근처 문서의 목록을 새로 고치려면 여기를 클릭하세요',
	'mobile-frontend-nearby-error' => '{{SITENAME}} 근처에 문제가 있습니다.',
	'mobile-frontend-nearby-error-guidance' => '위치 새로 고침을 시도하세요.',
	'mobile-frontend-nearby-link' => '이 문서 전체 읽기',
	'mobile-frontend-nearby-directions' => '여기를 둘러보기',
	'mobile-frontend-donate-image-nouploads' => '올린 파일이 없습니다.',
	'mobile-frontend-donate-image-login' => '{{SITENAME}}의 미디어는 여러분과 같은 사람이 기부합니다.',
	'mobile-frontend-donate-image-login-action' => '당신의 미디어를 공유하려면 로그인하세요.',
	'mobile-frontend-donate-image-signup-action' => '미디어를 세계와 공유하려면 가입하세요.',
	'mobile-frontend-photo-upload-disabled' => '이 문서에는 그림이 필요 없습니다.',
	'mobile-frontend-photo-upload-anon' => '이 문서에 그림을 추가하려면 로그인하세요.',
	'mobile-frontend-photo-upload-protected' => '이 문서에 그림을 추가할 권한이 없습니다.',
	'mobile-frontend-photo-upload-unavailable' => '사용 중인 브라우저는 그림 올리기를 지원하지 않습니다.',
	'mobile-frontend-photo-upload-generic' => '그림 기여',
	'mobile-frontend-donate-image-title' => '올린 파일',
	'mobile-frontend-donate-image-heading' => '내 최근 기여',
	'mobile-frontend-donate-image-anon' => '올리기 문서를 보려면 $1이 필요합니다.',
	'mobile-frontend-user-account' => '사용자 계정',
	'mobile-frontend-listed-image-no-description' => '설명 없음',
	'mobile-frontend-donate-photo-upload-success' => '성공했습니다! 그림은 이제 {{SITENAME}}에 사용할 수 있습니다!',
	'mobile-frontend-donate-photo-first-upload-success' => '성공했습니다! 첫 기여를 해주셔서 감사합니다!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => '당신의 그림을 기여하세요. {{SITENAME}}의 생명이 오는 데 도와주세요!',
	'mobile-frontend-first-upload-wizard-new-page-1' => '{{SITENAME}}의 그림은 위키미디어 공용에서 옵니다',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => '당신의 그림은 전세계 사람을 교육하는 데 도움이 됩니다',
	'mobile-frontend-first-upload-wizard-new-page-2' => '포스터, 책 표지 등의 그림 뿐만 아니라 인터넷에서 찾은 저작권이 있는 자료를 피하세요',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => '이해하셨습니까?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => '예!',
	'mobile-frontend-watchlist-add' => '내 주시문서 목록에 $1 문서를 추가했습니다',
	'mobile-frontend-watchlist-removed' => '내 주시문서 목록에서 $1 문서를 제거했습니다',
	'mobile-frontend-watchlist-view' => '내 주시문서 목록 보기',
	'mobile-frontend-watchlist-more' => '더 보기',
	'mobile-frontend-watchlist-cta' => '이 문서의 모든 바뀜을 추적합니다.',
	'mobile-frontend-watchlist-cta-button-login' => '로그인',
	'mobile-frontend-watchlist-cta-button-signup' => '가입하기',
	'mobile-frontend-watchlist-purpose' => '주시문서 목록은 문서를 북마크하고 그들의 바뀜을 추적하는 것을 돕습니다.',
	'mobile-frontend-watchlist-login-action' => '목록을 보려면 로그인하세요.',
	'mobile-frontend-watchlist-signup-action' => '지금 시작하려면 가입하세요.',
	'mobile-frontend-generic-login' => '{{SITENAME}}(은)는 여러분과 같은 사람으로 이루어집니다.',
	'mobile-frontend-generic-login-action' => '기여하려면 로그인하세요.',
	'mobile-frontend-generic-signup-action' => '기여하려면 가입하세요.',
	'mobile-frontend-watch-login' => '$1 문서를 주시문서 목록에 추가합니다.',
	'mobile-frontend-edit-login' => '$1 문서를 개선하는 데 도움을 주세요.',
	'mobile-frontend-edit-login-action' => '편집하려면 로그인하세요.',
	'mobile-frontend-edit-signup-action' => '편집하려면 가입하세요.',
	'mobile-frontend-watchlist-a-z' => '목록',
	'mobile-frontend-watchlist-feed' => '수정됨',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => '문서의 위에 별을 클릭하세요',
	'mobile-frontend-watchlist-a-z-empty-howto' => '현재 어떠한 문서도 주시하고 있지 않습니다. 내 주시문서 목록은 관심 있는 문서를 추적하는 데 도움이 됩니다. 별 아이콘을 눌러서 문서를 주시하세요.',
	'mobile-frontend-watchlist-feed-empty' => '최근 바뀐 문서가 없습니다',
	'mobile-frontend-watchlist-back-home' => '대문으로 돌아가기',
	'mobile-frontend-changeslist-ip' => '익명 사용자',
	'mobile-frontend-changeslist-nocomment' => '편집 요약 없음',
	'mobile-frontend-watchlist-filter-all' => '모두',
	'mobile-frontend-watchlist-filter-articles' => '문서',
	'mobile-frontend-watchlist-filter-talk' => '토론',
	'mobile-frontend-watchlist-filter-other' => '기타',
	'mobile-frontend-watchlist-modified' => '$1에 수정됨',
	'mobile-frontend-diffview-404-title' => '잘못된 판',
	'mobile-frontend-diffview-404-desc' => '요청한 판에 대한 id가 존재하지 않습니다',
	'mobile-frontend-diffview-title' => '바뀜',
	'mobile-frontend-diffview-editcount' => '{{PLURAL:$1|편집}} <div>$1</div>회',
	'mobile-frontend-diffview-anonymous' => '익명 사용자',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|바이트}} 추가됨',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|바이트}} 제거됨',
	'mobile-frontend-diffview-explained' => '다음 줄이 추가(+)되고 제거(-)되었습니다.',
	'mobile-frontend-thanked-notice' => '$1님이 당신이 {{GENDER:$2|그|그녀|그들}}의 편집에 감사했다는 것을 들었습니다.',
	'mobile-frontend-saving-exit-page' => '기여한 내용을 아직 저장하고 있습니다. 만일 떠나면 기여한 내용을 잃게 됩니다. 정말 끝내시겠습니까?',
	'mobile-frontend-photo-upload' => '이 문서에 그림 추가',
	'mobile-frontend-photo-article-edit-comment' => '문서에 사용할 그림을 추가했습니다',
	'mobile-frontend-photo-article-donate-comment' => 'Special:Uploads에서 그림을 기여함',
	'mobile-frontend-photo-upload-comment' => '문서에 그림을 추가했습니다',
	'mobile-frontend-photo-caption-placeholder' => '이미지 설명하기 (필수)',
	'mobile-frontend-photo-ownership' => '나, $1(이)가 이 그림을 만들었습니다.',
	'mobile-frontend-photo-ownership-help' => '이게 무슨 의미입니까?',
	'mobile-frontend-photo-ownership-confirm' => '알았습니다!',
	'mobile-frontend-lead-image-tutorial-summary' => '그림이 문서를 설명하는 데 도움이 될 수 있는지 확인하세요. 저작권을 위반하지 않은 당신이 만든 그림이어야 합니다.',
	'mobile-frontend-lead-image-tutorial-confirm' => '올리기 시작',
	'mobile-frontend-photo-upload-error' => '오류가 발생했습니다, 다시 시도하세요.',
	'mobile-frontend-photo-upload-error-file-type' => '올릴 그림뿐입니다.',
	'mobile-frontend-photo-upload-error-filename' => '오류가 발생했습니다, 더 자세한 요약을 제공하세요.',
	'mobile-frontend-photo-upload-success-article' => '성공했습니다! 그림은 지금 이 문서에 있습니다.',
	'mobile-frontend-photo-license' => '파일을 올림으로써, [//wikimediafoundation.org/wiki/Terms_of_use/ko 이용 약관]에 동의하고 [//creativecommons.org/licenses/by-sa/3.0/deed.ko 크리에이티브 커먼즈 저작자표시-동일조건변경허락 3.0 라이선스]에 따라 그림을 공개하는 데 동의합니다.',
	'mobile-frontend-photo-submit' => '제출',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|올리기 <span>1</span>개|올리기 <span>$1</span>개}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '올리기 500개 초과',
	'mobile-frontend-image-heading-describe' => "파일 '''설명'''하기",
	'mobile-frontend-image-uploading' => "파일 '''올리기'''...",
	'mobile-frontend-image-cancel-confirm' => "올리기를 '''취소'''할까요?",
	'mobile-frontend-editor-redirect-title' => '편집기로 넘어가는 중...',
	'mobile-frontend-editor-unavailable-header' => '편집기를 사용할 수 없음',
	'mobile-frontend-editor-unavailable' => '모바일 편집은 현재 사용 중인 브라우저에서 사용할 수 없습니다. 다른 브라우저로 다시 시도하세요.',
	'mobile-frontend-editor-undo-unsupported' => '되돌리기는 현재 모바일 장치에서 지원하지 않습니다.',
	'mobile-frontend-editor-newpage-prompt' => '이 문서가 존재하지 않습니다. 만들어 보지 않겠습니까?',
	'mobile-frontend-editor-disabled' => '이 문서는 훼손을 막기 위해 보호되어 있습니다.',
	'mobile-frontend-editor-blocked' => '당신의 계정이 편집에서 차단되어 있습니다.',
	'mobile-frontend-editor-cta' => '이 문서를 개선하는 데 도움을 주세요!',
	'mobile-frontend-editor-edit' => '편집',
	'mobile-frontend-editor-continue' => '계속',
	'mobile-frontend-editor-save' => '저장',
	'mobile-frontend-editor-cancel' => '취소',
	'mobile-frontend-editor-keep-editing' => '편집 계속',
	'mobile-frontend-editor-license' => '바뀜을 저장하면 [//wikimediafoundation.org/wiki/Terms_of_use/ko 이용 약관]에 동의하고 [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0 라이선스]와 [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL]에 따라 텍스트를 공개하는 데 동의합니다.',
	'mobile-frontend-editor-placeholder' => '이 문단은 비어 있습니다. 문단을 확장하는 첫번째 사용자가 되어보세요!',
	'mobile-frontend-editor-summary-placeholder' => '편집하신 내용을 간략히 적어주세요 (선택 사항)',
	'mobile-frontend-editor-cancel-confirm' => '편집을 포기하겠습니까?',
	'mobile-frontend-editor-wait' => '편집을 저장하고 있습니다, 기다려주세요.',
	'mobile-frontend-editor-success' => '성공! 편집을 저장했습니다.',
	'mobile-frontend-editor-success-landmark-1' => '축하합니다, 이제 {{SITENAME}} 편집자입니다!',
	'mobile-frontend-editor-error' => '오류, 편집이 저장되지 않았습니다.',
	'mobile-frontend-editor-error-conflict' => '오류, 다른 사용자가 이 문서를 편집했습니다.',
	'mobile-frontend-editor-error-loading' => '오류, 문단을 불러올 수 없습니다.',
	'mobile-frontend-editor-error-preview' => '예상치 못한 오류가 미리 보기를 불러올 때 일어났습니다. 닫고 다시 시도하세요.',
	'mobile-frontend-editor-tutorial-summary' => '문법에 무서워하지 마세요. $1 문서를 개선해보세요.',
	'mobile-frontend-editor-tutorial-alt-summary' => '왜 $1 문서를 개선하지 않나요? 문법에 두려워하지 마세요!',
	'mobile-frontend-editor-tutorial-confirm' => '편집 시작',
	'mobile-frontend-editor-tutorial-cancel' => '괜찮습니다',
	'mobile-frontend-editor-captcha-try-again' => '코드가 잘못되었습니다, 다시 시도하세요.',
	'mobile-frontend-editor-abusefilter-warning' => '경고: 정말로 편집을 저장하겠습니까? 편집에 문제가 있을 수 있습니다.',
	'mobile-frontend-editor-abusefilter-disallow' => '편집에서 문제가 발생되어 저장될 수 없습니다.',
	'mobile-frontend-editor-abusefilter-read-more' => '더 읽어보기',
	'mobile-frontend-editor-editing-page' => '<span>$1</span> <strong>편집 중</strong>',
	'mobile-frontend-editor-previewing-page' => '<span>$1</span> <strong>미리 보는 중</strong>',
	'mobile-frontend-editor-viewing-source-page' => '<span>$1</span> <strong>문서의 원본을 보는 중</strong>',
	'tag-mobile_edit' => '모바일 편집',
	'tag-mobile_edit-description' => '모바일 사이트에서 편집',
	'mobile-frontend-drawer-cancel' => '취소',
	'mobile-frontend-talk-explained' => '다음 토론은 현재 활동하고 있습니다',
	'mobile-frontend-talk-explained-empty' => '이 문서에 대한 토론이 없습니다.',
	'mobile-frontend-talk-overlay-header' => '토론',
	'mobile-frontend-talk-back-to-page' => '"$1" 문서로 돌아갑니다.',
	'mobile-frontend-talk-overlay-lead-header' => '이름이 없는 토론',
	'mobile-frontend-talk-add-overlay-submit' => '토론 추가',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => '주제 제목',
	'mobile-frontend-talk-add-overlay-content-placeholder' => '당신이 생각하는 것은 무엇입니까?',
	'mobile-frontend-talk-edit-summary' => '새 토론 문단: $1',
	'mobile-frontend-talk-reply-success' => '답글이 성공적으로 토론 문서에 저장되었습니다.',
	'mobile-frontend-talk-reply-info' => '답글은 당신의 사용자 이름으로 자동으로 서명됨을 참고하세요.',
	'mobile-frontend-talk-reply' => '답글',
	'mobile-frontend-talk-topic-feedback' => '새 주제가 토론 문서에 추가되었습니다!',
	'mobile-frontend-media-details' => '자세한 사항',
	'mobile-frontend-media-license-link' => '라이선스 정보',
	'abusefilter-edit-builder-vars-user-mobile' => '사용자가 모바일 인터페이스를 통해 편집하고 있는지 여부',
	'mobile-frontend-profile-title' => '사용자 프로필',
	'mobile-frontend-profile-last-upload-caption' => '{{PLURAL:$2|어제|$2일 전에|0=오늘}} {{GENDER:$1|$1}} 사용자가 마지막으로 올렸습니다.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|$1}}님과 대화하기',
	'mobile-frontend-profile-error' => '아 안돼!',
	'mobile-frontend-profile-noargs' => '사용자 이름이 주어지지 않았습니다. 프로필을 보려면 사용자 이름을 제공하세요.',
	'mobile-frontend-profile-nouser' => '이 이름으로 된 사용자가 존재하지 않습니다. 사용자 이름은 대소문자를 구분하므로 올바르게 입력했는지 확인해주세요.',
	'mobile-frontend-profile-activity-heading' => '최근 활동',
	'mobile-frontend-profile-userpage-link' => '사용자 문서를 방문합니다.',
	'mobile-frontend-requires-optin' => '우리의 베타 모드로 선택하지 않으면 이 페이지를 사용할 수 없습니다. 선택하려면 [[Special:MobileOptions|설정 문서]]를 방문하세요.',
	'mobile-frontend-profile-last-thank' => ' {{GENDER:$1}}([[Special:UserProfile/$1|$1]]) 사용자가 {{GENDER:$2|감사를 표시했습니다}}',
	'mobile-frontend-profile-last-edit' => '[[:$1]] 문서를 {{PLURAL:$2|어제|$2일 전|0=오늘}} {{GENDER:$3|편집했습니다}}.',
	'mobile-frontend-profile-footer-days' => '{{PLURAL:$2|$2일}}전에 가입하여 [[Special:Contributions/$1|{{PLURAL:$3|편집 1회|편집 $3회}}]]와 [[Special:Uploads/$1|{{PLURAL:$4|1개의 파일 올림|$4개의 파일 올림|500=500개 이상의 파일 올림}}]].',
	'mobile-frontend-profile-footer-months' => '{{PLURAL:$2|1개월|$2개월}} 전에 가입하여 [[Special:Contributions/$1|{{PLURAL:$3|편집 1회|편집 $3회}}]]와 [[Special:Uploads/$1|{{PLURAL:$4|1개의 파일 올림|$4개의 파일 올림|500= 500+개의 사진 올림}}]].',
	'mobile-frontend-profile-footer-years' => '[[Special:Contributions/$1|{{PLURAL:$3|1번의 편집|$3번의 편집}}]]과[[Special:Uploads/$1|{{PLURAL:$4|1번의 파일 올리기|$4번의 파일 올리기|500=500+번의 파일올리기}}]]로 {{PLURAL:$2|1년|$년}} 전에 가입함.',
	'mobile-frontend-geonotahack' => '이 문서 근처',
	'beta-feature-geonotahack' => '근처 문서',
	'beta-feature-geonotahack-description' => '자신이 지금 보고 있는 내용과 지리적으로 가까운 문서를 찾아 보십시오.',
	'mobile-frontend-mainpage-cta-prompt' => '이 문서는 여러분의 도움이 필요합니다!',
	'mobile-frontend-mainpage-cta-button' => '이 문서 개선하기',
	'beta-feature-minerva' => '데스크탑에서 모바일 스킨(미네르바)을 활성화',
	'beta-feature-minerva-description' => '모바일 기기에서 사용되는 스킨을 문서 보이기 환경 설정에서 선택할 수 있는 데스크탑 스킨으로 만듭니다.',
);

/** Karachay-Balkar (къарачай-малкъар)
 * @author Iltever
 */
$messages['krc'] = array(
	'mobile-frontend-desc' => 'Мобил интерфейс',
	'mobile-frontend-search-submit' => 'Бар',
	'mobile-frontend-home-button' => 'Юйге',
	'mobile-frontend-logged-out' => 'Авторизацияны ётмегенсиз',
	'mobile-frontend-sign-in-heading' => 'Кириў',
	'mobile-frontend-sign-in-why' => '{{SITENAME}} сайтда тергеў джазыўугъуз (аккаунтугъуз) бар эсе, тюбюндеги форманы толтуруб, сайтха кирирге боллукъсуз.',
	'mobile-frontend-sign-in-error-heading' => 'Халат',
	'mobile-frontend-settings-description' => 'Сайтха мобил аппаратыгъызда къараў табыракъ болур ючюн мобил версияны бу энчи джарашдырыўларын хайырланыдырыгъыз.',
	'mobile-frontend-settings-beta' => 'Бета-версия',
	'mobile-frontend-save-settings' => 'Джарашдырыўланы сакъла', # Fuzzy
	'mobile-frontend-random-button' => 'Эсде болмагъан бет',
	'mobile-frontend-back-to-top-of-section' => 'Бир бёлюмге артха атла',
	'mobile-frontend-regular-site' => 'Тюз Википедияда къара бетге',
	'mobile-frontend-wml-continue' => 'Мындан арысы ...',
	'mobile-frontend-wml-back' => 'Артха ...',
	'mobile-frontend-view' => 'Мобил версия',
	'mobile-frontend-view-desktop' => 'Стационар',
	'mobile-frontend-view-mobile' => 'Мобил',
	'mobile-frontend-opt-in-explain' => 'Бета-тест этиўге къошулсагъыз, талай экспериментал функцияны хайырландырыргъа эркинлик берилликди, алай а халатха неда проблемагъа тюберге къоркъуў ёсерикди.',
	'mobile-frontend-images-status' => 'Суратла',
	'mobile-frontend-disable-images' => 'Мобил сайтда суратла кёрюнмезча эт',
	'mobile-frontend-enable-images' => 'Мобил сайтда суратла кёрюнюрча эт',
	'mobile-frontend-missing-image' => 'Сурат',
	'mobile-frontend-off' => 'ДЖУКЪЛ',
	'mobile-frontend-on' => 'ДЖАНД',
	'mobile-frontend-featured-article' => 'Бюгюннгю сайланнган статья', # Fuzzy
	'mobile-frontend-news-items' => 'Джангылыкълада',
	'mobile-frontend-language-article-heading' => 'Башха тилде окъу',
	'mobile-frontend-language-header' => 'Бу статьяны $1 {{PLURAL:$1|тилде}} версиясы барды', # Fuzzy
	'mobile-frontend-language-footer' => 'Статья, сизни кёзюгюз къарагъан тилде джазылмагъан болургъа боллукъду. Былайгъа басыб, {{SITENAME}}ны къайсы тилледе версиялары болгъанын кёрюрге боллукъду.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Тилни изле',
	'mobile-frontend-username' => 'Къошулуучуну аты:',
	'mobile-frontend-password' => 'Паролюгъуз:',
	'mobile-frontend-login' => 'Кир',
	'mobile-frontend-placeholder' => '{{SITENAME}}да изле',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}}да (Бета) изле',
	'mobile-frontend-search-help' => 'Башыракъда изленнген терминни джаз эм былайда аннга келишген статья атла кёрюннюкдюле.', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'бу билдириуню джашыр',
	'mobile-frontend-clear-search' => 'Кетер',
	'mobile-frontend-privacy-link-text' => 'Конфиденциаллыкъ',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Ичиндегиси, [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] лицензиягъа кёре бериледи.', # Fuzzy
	'mobile-frontend-copyright' => "Текст, <a href=\"http://creativecommons.org/licenses/by-sa/3.0/\">Creative Commons Attribution/Share-Alike</a> лицензияны шартларында бериледи, бир-бирледе къошакъ шартла да болургъа боллукъдула. Толуракъ къарагъыз: <a href='http://wikimediafoundation.org/wiki/Terms_of_Use/'>Хайырланыу шартла</a>. «{{SITENAME}}», <a href='http://www.wikimediafoundation.org/'>«Викимедиа» фонд</a> коммерциялыкъсыз организацияны регистрация ётген сатыу маркасыды.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Контакт информация',
	'mobile-frontend-search-noresults' => 'Сизни соруўугъузгъа келишген статья джокъду. Соруўугъузну тюрлендиригиз, неда клавиатурада статьяны ичинде излер ючюн тиекни басыгъыз.', # Fuzzy
	'mobile-frontend-main-menu-button-tooltip' => 'Баш менюну ач',
	'mobile-frontend-main-menu-page-title' => 'Сайт навигация',
	'mobile-frontend-main-menu-featured' => 'Сайлама',
	'mobile-frontend-main-menu-nearby' => 'Джуўукъда',
	'mobile-frontend-main-menu-login' => 'Кириў',
	'mobile-frontend-main-menu-logout' => 'Чыгъыў',
	'mobile-frontend-main-menu-settings' => 'Джарашдырыўла',
	'mobile-frontend-main-menu-settings-heading' => 'Сайтны мобил версиясыны джарашдырыўлары', # Fuzzy
	'mobile-frontend-settings-site-header' => '«{{SITENAME}}» проектни тиллери',
	'mobile-frontend-settings-site-description' => '«{{SITENAME}}» проект $1 {{PLURAL:$1|тилде}} барды. Тюберекде болгъан версия да тизилибди.', # Fuzzy
	'mobile-frontend-page-menu-contents' => 'ичиндегиси',
	'mobile-frontend-page-menu-history' => 'Тарих',
	'mobile-frontend-meta-data-issues-header' => 'Бу статьяны игилендир', # Fuzzy
	'mobile-frontend-meta-data-issues' => 'Бу статьяны джетмегенликлери барды', # Fuzzy
	'mobile-frontend-page-saving' => '$1 сакълана турады',
	'mobile-frontend-watchlist-add' => '«$1» бетни кёзде тургъан тизменге къош',
	'mobile-frontend-watchlist-removed' => '«$1» бетни кёзде тургъан тизменгден кетер',
	'mobile-frontend-watchlist-view' => 'Кёзде тургъан тизменге кёч',
);

/** Colognian (Ripoarisch)
 * @author Geitost
 * @author Purodha
 */
$messages['ksh'] = array(
	'mobile-frontend-desc' => 'Der Zohjang för Mobiljerääte',
	'mobile.css' => '/* Dat CSS heh aan dä Schtäll wirrek bloß op de mobile ẞööver ẞait */',
	'mobile.js' => '/* Dat JavaSkrep heh aan dä Schtäll wirrek bloß op de Mobile ẞööver ẞait */',
	'mobile-frontend-search-submit' => 'Lohß Jonn!',
	'mobile-frontend-home-button' => 'Houpsigg',
	'mobile-frontend-logged-out' => 'Nit enjelogg',
	'mobile-frontend-logged-in-homepage-notification' => 'Wellkumme $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Enjelogg als $1.',
	'mobile-frontend-sign-up-heading' => 'Aanmällde',
	'mobile-frontend-sign-in-heading' => 'Enlogge',
	'mobile-frontend-sign-in-error-heading' => 'Dä!',
	'mobile-frontend-settings-description' => 'Met heh dä Enschtällonge kanns De Dinge Zohjang för Mobiljerääte för Ding Bedörfniße paraat maache.',
	'mobile-frontend-settings-beta' => 'Betta',
	'mobile-frontend-save-settings' => 'Enschtällonge faßhallde', # Fuzzy
	'mobile-frontend-random-button' => 'Zohfallsigg',
	'mobile-frontend-back-to-top-of-section' => 'Jangk ene Afschnett zerök',
	'mobile-frontend-close-section' => 'Donn dä Afschnet heh aan et Ängk bränge',
	'mobile-frontend-regular-site' => 'jangk op de nomaale Belscherrem',
	'mobile-frontend-wml-continue' => 'Wiggermaache&nbsp;...',
	'mobile-frontend-wml-back' => 'Retuur&nbsp;...',
	'mobile-frontend-view' => 'Aansech om Mobiljerät',
	'mobile-frontend-view-desktop' => 'Jewöhnlejje Aansesch',
	'mobile-frontend-view-mobile' => 'Mobil-Aansesch',
	'mobile-frontend-opt-in-explain' => 'Beim Ußprobeere metmaache löht Desch neu Saache känne liehre, ävver et künnt sind, dat De jät fengks, wat noch nit flupp.',
	'mobile-frontend-images-status' => 'Belder',
	'mobile-frontend-disable-images' => 'Belder för et Mobiljerät ußschallde',
	'mobile-frontend-enable-images' => 'Belder för et Mobiljerät uohlohße',
	'mobile-frontend-missing-image' => 'Beld',
	'mobile-frontend-off' => 'Uß',
	'mobile-frontend-on' => 'Aan',
	'mobile-frontend-featured-article' => 'Der Atikel vum Daach', # Fuzzy
	'mobile-frontend-news-items' => 'En de Präß',
	'mobile-frontend-language-article-heading' => 'En ener andere Schprooch beloore.',
	'mobile-frontend-language-header' => 'Heh dä Atikel jidd_et en {{PLURAL:$1|eine Schprooch|$1 Schprooche|keine Schprooch}}.', # Fuzzy
	'mobile-frontend-language-variant-header' => 'Söhg en varrijetäät vun {{#language:{{CONTENTLANG}}}} uß',
	'mobile-frontend-language-footer' => '{{ucfirst:{{GRAMMAR:Nominative|{{ucfirst:{{SITENAME}}}}}}}} jidd_et en ander Schprooche.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Schprooch söhke',
	'mobile-frontend-username' => 'Metmaacher_Naame:',
	'mobile-frontend-password' => 'Paßwoot:',
	'mobile-frontend-password-placeholder' => 'Et Paßwoot',
	'mobile-frontend-login' => 'Enlogge',
	'mobile-frontend-account-create-submit' => 'Aanmällde',
	'mobile-frontend-placeholder' => 'Jiv heh en, wat De söhke wells&nbsp;&hellip;',
	'mobile-frontend-search-help' => 'Tipp Dinge Bejreff zom Söhke, un de zopaß Atikelle wääde heh aanjezeisch.', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'donn heh di Nohresch zohmaache',
	'mobile-frontend-clear-search' => 'Läddesch maache',
	'mobile-frontend-privacy-link-text' => 'Prevaatheit',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Ze han onger dä Lizänz [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-copyright' => 'Dä Täx shtäjt unger dä <a href="http://de.wikipedia.org/wiki/{{SITENAME}}:Lizenzbestimmungen_Commons_Attribution-ShareAlike_3.0_Unported"><span lang="de">Creative Commons Attribution/Share-Alike</span> Lizänz</a>; un et künnt noch mieh Bestemmunge doför jävve. Loor op de <a href="http://wikimediafoundation.org/wiki/Nutzungsbedingungen">Sigg met de Bedengunge</a> noh der Einzelheite. {{SITENAME}} es e ennjedraare Waarezeiche vun de <a href="http://www.wikimediafoundation.org/">Wikimedia Shtefftung</a>, en Ojanisazuhn, di kei Jeld verdeent.', # Fuzzy
	'mobile-frontend-footer-contact' => 'Kumtak',
	'mobile-frontend-search-noresults' => 'Kein Tittel vun enem Atikel deiht op dat paße, wat De söhks. Don jät angersch söhke udder nemm dä Knopp zom Söhke onger Dinge Taßte, un söhk der_met em Täx vun de Atikelle.', # Fuzzy
	'mobile-frontend-main-menu-featured' => 'Äxzälänt',
	'mobile-frontend-main-menu-nearby' => 'En de Nöhde',
	'mobile-frontend-main-menu-login' => 'Enlogge',
	'mobile-frontend-main-menu-logout' => 'Ußlogge',
	'mobile-frontend-main-menu-watchlist' => 'De Oppassleß',
	'mobile-frontend-main-menu-settings' => 'Enschtällonge',
	'mobile-frontend-main-menu-settings-heading' => 'Enschtällonge för Mobiljerääte', # Fuzzy
	'mobile-frontend-settings-site-header' => 'Schprooche {{GRAMMAR:vun+Dative|{{SITENAME}}}}',
	'mobile-frontend-settings-site-description' => '{{ucfirst:{{GRAMMAR:Nomminatif|{{ucfirst:{{SITENAME}}}}}}}} jiidd_et en {{PLURAL:$1|jenou eine Schprooch|$1 Schprooche|jaakein Schprooche}}. {{PLURAL:$1|Di Schprooch|Di Schprooche|Nix es dröm}} heh noh opjelėß.',
	'mobile-frontend-main-menu-account-create' => 'Ene neue Zohjang aanlääje',
	'mobile-frontend-page-menu-contents' => 'Enhalt',
	'mobile-frontend-page-menu-history' => 'Versione',
	'mobile-frontend-meta-data-issues-header' => 'Aanjelääjeheite',
	'mobile-frontend-watchlist-filter-all' => 'Alle',
	'mobile-frontend-watchlist-filter-articles' => 'Atikele', # Fuzzy
	'mobile-frontend-diffview-title' => 'Op "$1" ändere', # Fuzzy
	'mobile-frontend-diffview-anonymous' => 'Nameloose Metmaacher',
	'mobile-frontend-photo-upload' => 'Donn et eezde Beld op di Sigg', # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => 'E Beld op di Sigg jedonn.', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'E Fotto op di Sigg jedonn.', # Fuzzy
	'mobile-frontend-image-loading' => 'Ben et Beld aam Laade&nbsp;&hellip;',
	'mobile-frontend-image-uploading-wait' => 'Ben et Beld aam Huhlaade&nbsp;&hellip;', # Fuzzy
);

/** Kurdish (Kurdî) */
$messages['ku'] = array(
	'mobile-frontend-search-submit' => 'Biçe',
	'mobile-frontend-home-button' => 'Mal',
	'mobile-frontend-random-button' => 'Tesadufî',
	'mobile-frontend-show-button' => 'Nîşan bide',
	'mobile-frontend-hide-button' => 'Veşêre',
	'mobile-frontend-regular-site' => 'Vê rûpelê di Wîkîpediya asayî de bibîne',
);

/** Kurdish (Latin script) (Kurdî (latînî)‎)
 * @author George Animal
 * @author Ghybu
 * @author Gomada
 */
$messages['ku-latn'] = array(
	'mobile-frontend-search-submit' => 'Biçe',
	'mobile-frontend-home-button' => 'Mal',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-random-button' => 'Ketober',
	'mobile-frontend-regular-site' => 'Vê rûpelê di Wîkîpediya asayî de bibîne', # Fuzzy
	'mobile-frontend-wml-continue' => 'Didome ...',
	'mobile-frontend-view' => 'Xuyakirina mobîl',
	'mobile-frontend-username' => 'Navê bikarhêner:',
	'mobile-frontend-password' => 'Şîfre:',
	'mobile-frontend-username-placeholder' => 'Navê bikarhêner',
	'mobile-frontend-footer-contact' => 'Têkilî',
	'mobile-frontend-page-menu-contents' => 'naverok',
	'mobile-frontend-editor-success' => 'Serkeftî! Guhertina te hate tomarkirin.',
);

/** Komi (коми)
 */
$messages['kv'] = array(
	'mobile-frontend-search-submit' => 'Выльлаö',
	'mobile-frontend-home-button' => 'Керка',
	'mobile-frontend-random-button' => 'Случайнöй',
);

/** Cornish (kernowek)
 * @author Kernoweger
 * @author Kw-Moon
 * @author Nrowe
 */
$messages['kw'] = array(
	'nearby' => 'Folennow ogas dhywgh',
	'mobile-frontend-desc' => 'Penn a-rag pellgowsellow',
	'mobile-frontend-search-submit' => 'Mos',
	'mobile-frontend-home-button' => 'Folen dre',
	'mobile-frontend-logged-out' => 'Nyns owgh omgelmys',
	'mobile-frontend-logged-in-homepage-notification' => 'Dynnargh, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Omgelmys avel $1.',
	'mobile-frontend-sign-up-heading' => 'Kovskrifa',
	'mobile-frontend-sign-in-heading' => 'Omgelmi',
	'mobile-frontend-sign-in-why' => "Mara'gas beus akont {{SITENAME}}, hwi a yll omgelmi a-woles.",
	'mobile-frontend-sign-in-error-heading' => 'Oups',
	'mobile-frontend-settings-description' => 'Personelhe agas eksperyans war agas devis pell der an settyansow-ma yw komparek dhe bellgowsellow.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Modh arbrevel',
	'mobile-frontend-save-settings' => 'Gwitha',
	'mobile-frontend-random-button' => 'Chonsus',
	'mobile-frontend-back-to-top-of-section' => 'Lamma war-dhelergh unn dregh',
	'mobile-frontend-close-section' => 'Degea an tregh-ma',
	'mobile-frontend-regular-site' => 'Gwel desktop',
	'mobile-frontend-wml-continue' => 'Pesya...',
	'mobile-frontend-wml-back' => 'War-dhelergh...',
	'mobile-frontend-view' => 'Gwel pellgowsel',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Pellgowsel',
	'mobile-frontend-images-status' => 'Imajys',
	'mobile-frontend-disable-images' => 'Dialosegi imajys war an wiasva bellgowsel',
	'mobile-frontend-enable-images' => 'Galosegi imajys war an wiasva bellgowsel',
	'mobile-frontend-missing-image' => 'Imach',
	'mobile-frontend-off' => 'MAROW',
	'mobile-frontend-on' => 'BYW',
	'mobile-frontend-featured-article' => 'Erthygel dhiskwedhys an jydh',
	'mobile-frontend-news-items' => "Y'n nowodhow",
	'mobile-frontend-language-article-heading' => 'Redya yn yeth aral',
	'mobile-frontend-language-header' => 'Kavadow yw an folen-ma yn $1 {{PLURAL:$1|yeth}}',
	'mobile-frontend-language-footer' => "Noten: Martesen nyns yw an folen-ma skrifys y'n yeth yw gwell genowgh. Hwi a yll gweles py yethow a skoodh  {{SITENAME}} dre glyckya omma.",
	'mobile-frontend-language-site-choose' => 'Hwilas yeth',
	'mobile-frontend-username' => 'Hanow devnydhyer:',
	'mobile-frontend-password' => 'Ger tremena:',
	'mobile-frontend-username-placeholder' => 'Hanow devnydhyer',
	'mobile-frontend-password-placeholder' => 'Ger tremena',
	'mobile-frontend-login' => 'Omgelmi',
	'mobile-frontend-last-modified-date' => 'Chanj diwettha an $1 dhe $2',
	'mobile-frontend-last-modified-seconds' => 'Chanj diwettha nans yw {{PLURAL:$1|$1 sekond}}',
	'mobile-frontend-last-modified-minutes' => 'Chanj diwettha nans yw {{PLURAL:$1|$1 vynysen|$1 mynysen}}',
	'mobile-frontend-last-modified-hours' => 'Chanj diwettha nans yw {{PLURAL:$1|$1 our}}',
	'mobile-frontend-last-modified-days' => 'Chanj diwettha nans yw {{PLURAL:$1|$1 dhydh|$1 dydh}}',
	'mobile-frontend-last-modified-months' => 'Chanj diwettha nans yw {{PLURAL:$1|$1 vis|$1 mis}}',
	'mobile-frontend-last-modified-years' => 'Chanj diwettha nans yw {{PLURAL:$1|$1 vledhen|$1 bledhen}}',
	'mobile-frontend-learn-more' => 'Dyski moy',
	'mobile-frontend-account-create-submit' => 'Kovskrifa',
	'mobile-frontend-password-confirm-placeholder' => 'Afydhya an ger tremena',
	'mobile-frontend-account-create-email-placeholder' => 'Trigva ebost (a-dhewis)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Entrewgh an tekst sekerder', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Mos war-dhelergh',
	'mobile-frontend-placeholder' => 'Hwilas {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Hwilas {{SITENAME}} (Beta)',
	'mobile-frontend-search-help' => 'Jynnskrifewgh geryow hwilas a-ugh ha titlys folennow par a omdhiskwedh omma.',
	'mobile-frontend-dismiss-notification' => 'gordhyllo an gwarnyans-ma',
	'mobile-frontend-clear-search' => 'Klerhe',
	'mobile-frontend-privacy-link-text' => 'Privetter',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => 'Kavadow yw an tekst en-dadn an <a href="http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License">Kubmyas Creative Commons Attribution/Share-Alike</a>; termynyow keworansel a alsa bos omvyskys. Gwelowgh <a href="http://wikimediafoundation.org/wiki/Terms_of_Use">Termynyow Devnydh</a> rag manylyon. {{SITENAME}} yw merk-kenwerth a <a href=\'http://www.wikimediafoundation.org/\'>Fondyans Wikimedia, Inc.</a>, restrans heb budh.', # Fuzzy
	'mobile-frontend-footer-contact' => 'Kestava',
	'mobile-frontend-main-menu-button-tooltip' => 'Ygeri an rol jyf',
	'mobile-frontend-main-menu-page-title' => "Lewya y'n wiasva",
	'mobile-frontend-main-menu-featured' => 'Diskwedhys',
	'mobile-frontend-main-menu-nearby' => 'Yn ogas',
	'mobile-frontend-main-menu-login' => 'Omgelmi',
	'mobile-frontend-main-menu-logout' => 'Digelmi',
	'mobile-frontend-main-menu-watchlist' => 'Rol wolya',
	'mobile-frontend-main-menu-settings' => 'Settyansow',
	'mobile-frontend-main-menu-upload' => 'Ughkargansow',
	'mobile-frontend-main-menu-settings-heading' => 'Settyansow an wiasva bellgowsel', # Fuzzy
	'mobile-frontend-settings-site-header' => 'Yethow {{SITENAME}}',
	'mobile-frontend-settings-site-description' => "Kavadow yw {{SITENAME}} yn $1 {{PLURAL:$1|yeth}}. Yma keniver versyon kavadow y'n rol a-woles.",
	'mobile-frontend-main-menu-account-create' => 'Gwruthyl akont',
	'mobile-frontend-page-menu-contents' => 'rol an folen',
	'mobile-frontend-page-menu-history' => 'Istori',
	'mobile-frontend-meta-data-issues-header' => 'Kudynnow',
	'mobile-frontend-meta-data-issues' => "An folen-ma a's teves kudynnow",
	'mobile-frontend-page-saving' => 'Ow kwitha $1',
	'mobile-frontend-user-cta' => 'Omgelmewgh po kovskrifewgh rag gweles agas gwarnyansow.',
	'mobile-frontend-user-button-tooltip' => 'Diskwedhes ow gwarnyansow',
	'mobile-frontend-nearby-title' => 'Yn ogas',
	'mobile-frontend-nearby-loading' => "Ow karga testennow ogas dhe'gas tyller a-lemmyn",
	'mobile-frontend-photo-upload-generic' => 'Kevri imach',
	'mobile-frontend-donate-image-title' => 'Ughkargansow',
	'mobile-frontend-donate-image-heading' => 'Agas kevrohow a-dhiwedhes',
);

/** Kyrgyz (Кыргызча)
 * @author Chorobek
 */
$messages['ky'] = array(
	'mobile-frontend-username' => 'Колдонуучунун аты:',
	'mobile-frontend-password' => 'Сырсөз:',
	'mobile-frontend-login' => 'Кирүү',
	'mobile-frontend-placeholder' => 'Издегениңизди бул жакка жазыңыз', # Fuzzy
	'mobile-frontend-privacy-link-text' => 'Купуялыкты сактоо',
);

/** Latin (Latina)
 * @author Autokrator
 * @author Fitoschido
 * @author UV
 */
$messages['la'] = array(
	'mobilefrontend-random-explain' => 'Tuane interest haec pagina fortuita?',
	'mobilefrontend-random-cancel' => 'Incipere legere',
	'mobilefrontend-keepgoing-ask' => 'Bene! Visne aliam paginam recensere?',
	'mobilefrontend-keepgoing-ask-first' => 'Gratulamur tibi ob istam primam recensionem! Visne pergere aliam paginam recensere?',
	'mobilefrontend-keepgoing-explain' => 'Bene! Alius usor statuit hanc paginam esse recensendam. Istam recensere conari aut alteram ligere.',
	'mobilefrontend-keepgoing-cancel' => 'Sinere recensere',
	'mobilefrontend-keepgoing-suggest' => 'Pergere recensendo',
	'mobilefrontend-keepgoing-suggest-again' => 'Aliam paginam experiri',
	'nearby' => 'Paginae propinquae',
	'mobile-frontend-desc' => 'Editio mobilis',
	'mobile-frontend-search-submit' => 'Quaerere',
	'mobile-frontend-home-button' => 'Pagina prima',
	'mobile-frontend-logged-out' => 'Conventum non apertum',
	'mobile-frontend-logged-in-homepage-notification' => 'Salve, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Apud {{grammar:accusative|{{SITENAME}}}} agnosceris nomine $1.',
	'mobile-frontend-sign-up-heading' => 'Rationem novam creare',
	'mobile-frontend-sign-in-heading' => 'Conventum aperire',
	'mobile-frontend-sign-in-why' => 'Si rationem apud {{grammar:accusative|{{SITENAME}}}} habes, subter conventum aperire potes.',
	'mobile-frontend-sign-in-error-heading' => 'Error',
	'mobile-frontend-settings-description' => 'Accomoda paginas mobiles his praeferentiis utens',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Alpha',
	'mobile-frontend-settings-alpha-description' => 'Ista est editio immatura. Cum adhuc rudis sit periculum mendorum experiendorum imminet.',
	'mobile-frontend-save-settings' => 'Servare',
	'mobile-frontend-save-error' => 'Error in praeferentiis servandis.',
	'mobile-frontend-random-button' => 'Pagina fortuita',
	'mobile-frontend-back-to-top-of-section' => 'Ad sectionem insupram redire',
	'mobile-frontend-close-section' => 'Hanc partem concludere',
	'mobile-frontend-regular-site' => 'Vide paginam plenam',
	'mobile-frontend-wml-continue' => 'Perge...',
	'mobile-frontend-wml-back' => 'Redire...',
	'mobile-frontend-view' => 'Pagina mobilis',
	'mobile-frontend-view-desktop' => 'Plenum',
	'mobile-frontend-view-mobile' => 'Mobile',
	'mobile-frontend-opt-in-explain' => 'Participando Betae tibi facultas quasdam novitates experiendi praebetur, sed cave menda vitiaque.',
	'mobile-frontend-images-status' => 'Imagines',
	'mobile-frontend-disable-images' => 'Imagines supprimere',
	'mobile-frontend-enable-images' => 'Imagines monstrare',
	'mobile-frontend-missing-image' => 'Imago',
	'mobile-frontend-off' => 'PERMITTERE',
	'mobile-frontend-on' => 'NEGARE',
	'mobile-frontend-featured-article' => 'Commentatio cottidiana',
	'mobile-frontend-news-items' => 'Novissima',
	'mobile-frontend-language-article-heading' => 'Aliam linguam adhibere',
	'mobile-frontend-language-header' => 'Haec pagina $1 {{PLURAL:$1|alia lingua|aliis linguis}} exstat',
	'mobile-frontend-language-variant-header' => 'Editionem {{#language:{{CONTENTLANG}}}} elige',
	'mobile-frontend-language-footer' => 'Nota: Haec pagina fortasse tua lingua inveniri non potest.  Hic aliae editiones {{grammar:genitive|{{SITENAME}}}} videre potes.',
	'mobile-frontend-language-site-choose' => 'Linguam quaerere',
	'mobile-frontend-username' => 'Nomen usoris:',
	'mobile-frontend-password' => 'Tessera:',
	'mobile-frontend-username-placeholder' => 'Nomen usoris',
	'mobile-frontend-password-placeholder' => 'Tessera',
	'mobile-frontend-login' => 'Conventum aperire',
	'mobile-frontend-history' => 'Conspectum recensionum huius paginae videre',
	'mobile-frontend-history-summary' => 'Historia paginae [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Postremo die $1 $2 mutatum',
	'mobile-frontend-last-modified-seconds' => 'Postremo ante {{PLURAL:$1|$1 minutum secundum|$1 minuta secunda}} mutatum',
	'mobile-frontend-last-modified-minutes' => 'Postremo ante {{PLURAL:$1|$1 minutum primum|$1 minuta prima}} mutatum',
	'mobile-frontend-last-modified-hours' => 'Postremo ante {{PLURAL:$1|$1 horam|$1 horas}} mutatum',
	'mobile-frontend-last-modified-days' => 'Postremo ante {{PLURAL:$1|$1 diem|$1 dies}} mutatum',
	'mobile-frontend-last-modified-months' => 'Postremo ante {{PLURAL:$1|$1 mensem|$1 menses}} mutatum',
	'mobile-frontend-last-modified-years' => 'Postremo ante {{PLURAL:$1|$1 annum|$1 annos}} mutatum',
	'mobile-frontend-last-modified-just-now' => 'Modo recensum',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Postremo {{GENDER:$1|mutatum}} ante {{PLURAL:$3|$3 dies}}] a {{PLURAL:$5|[$6 $2]|0=usore ignoto}}',
	'mobile-frontend-learn-more' => 'Plura',
	'mobile-frontend-account-create-submit' => 'Rationem novam creare',
	'mobile-frontend-password-confirm-placeholder' => 'Tesseram adfirmare',
	'mobile-frontend-account-create-email-placeholder' => 'Inscriptio electronica (non necesse)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Litteras indicatas inscribe',
	'mobile-frontend-overlay-escape' => 'Redire',
	'mobile-frontend-placeholder' => 'Quaerere apud {{grammar:accusative|{{SITENAME}}}}',
	'mobile-frontend-placeholder-beta' => 'Quaerere apud {{grammar:accusative|{{SITENAME}}}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Quaerere apud {{grammar:accusative|{{SITENAME}}}} (Alpha)',
	'mobile-frontend-search-help' => 'Supra quaesito commentationes idoneae hic apparebunt.',
	'mobile-frontend-dismiss-notification' => 'Hanc notionem dimittere',
	'mobile-frontend-clear-search' => 'Extinguere',
	'mobile-frontend-privacy-link-text' => 'Res privatae',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Textus sub licentia [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] praebetur.',
	'mobile-frontend-copyright' => 'Textus sub $1 praebetur nisi aliter indicatus.',
	'mobile-frontend-footer-contact' => 'Nexus',
	'mobile-frontend-search-noresults' => 'Nulli paginarum tituli quaestionem tuam adaequant. Quaestionem muta.',
	'mobile-frontend-terms-text' => 'Conventio utendi',
	'mobile-frontend-main-menu-button-tooltip' => 'Aperire sectionem principem',
	'mobile-frontend-main-menu-page-title' => 'Conspectus paginarum',
	'mobile-frontend-main-menu-featured' => 'Pagina hebdomadis',
	'mobile-frontend-main-menu-nearby' => 'Paginae vicinae',
	'mobile-frontend-main-menu-login' => 'Conventum aperire',
	'mobile-frontend-main-menu-logout' => 'Conventum concludere',
	'mobile-frontend-main-menu-watchlist' => 'Paginae custoditae',
	'mobile-frontend-main-menu-settings' => 'Praeferentiae',
	'mobile-frontend-main-menu-upload' => 'Fasciculi impositi',
	'mobile-frontend-main-menu-settings-heading' => 'Praeferentiae',
	'mobile-frontend-settings-site-header' => 'Linguae',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} $1 {{PLURAL:$1|alia lingua|aliis linguis}} exstat. Omnes editiones infra enumerantur',
	'mobile-frontend-main-menu-account-create' => 'Rationem novam creare',
	'mobile-frontend-page-menu-contents' => 'contenta',
	'mobile-frontend-page-menu-history' => 'Historiam inspicere',
	'mobile-frontend-meta-data-issues-header' => 'Vitia',
	'mobile-frontend-meta-data-issues' => 'Haec pagina quaedam vitia continet',
	'mobile-frontend-page-saving' => 'Servare $1',
	'mobile-frontend-user-cta' => 'Ad nuntios novas spectandos conventum aperire vel rationem novam creare necesse est.',
	'mobile-frontend-user-button-tooltip' => 'Nuntii mei ostendere',
	'mobile-frontend-nearby-to-page' => 'Istae paginae ad $1 pertinent',
	'mobile-frontend-nearby-title' => 'Paginae vicinae',
	'mobile-frontend-nearby-loading' => 'Commentationes prope stationem tuam quaeruntur',
	'mobile-frontend-nearby-requirements' => 'Ad paginam {{SITENAME}} spectandam JavaScript atque navigatrum capax locum destinandi necessaria sunt.',
	'mobile-frontend-nearby-requirements-guidance' => 'Alterum navigatrum adhibe aut JavaScript expedi.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 chiliometrum|$1 chiliometra}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 metrum|$1 metra}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} locum tuum reperire non potest.',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'In locum accessibiliorem te conferre consulimus.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} prope non licet locum tuum invenire',
	'mobile-frontend-nearby-noresults' => 'Apparet nullas commentationes inveniri posse.',
	'mobile-frontend-nearby-noresults-guidance' => 'Novam commentationem incipere aut locum commentationis statuere',
	'mobile-frontend-nearby-refresh' => 'Locus accuratior invenitur. Hic indicem paginarum vicinarum renovare potes.',
	'mobile-frontend-nearby-error' => 'In paginis vicinis quaerendis error inexspectatus accidit.',
	'mobile-frontend-nearby-error-guidance' => 'Conquirere locum tuum denuo conare',
	'mobile-frontend-nearby-link' => 'Plenam paginam legere',
	'mobile-frontend-nearby-directions' => 'Huc ire',
	'mobile-frontend-donate-image-nouploads' => 'Nulli fasciculi impositi.',
	'mobile-frontend-donate-image-login' => 'Ad fasciculos spectandos conventum tuum aperi.',
	'mobile-frontend-photo-upload-disabled' => 'Nulla imago quaeritur.',
	'mobile-frontend-photo-upload-anon' => 'Opportet conventum aperire antequam imaginem addere potes.',
	'mobile-frontend-photo-upload-protected' => 'Tibi permissum non est huic paginae imaginem addere.',
	'mobile-frontend-photo-upload-unavailable' => 'Navigatruum tuum ineptum est ad imagines inmittendas.',
	'mobile-frontend-photo-upload-generic' => 'Imaginem donare',
	'mobile-frontend-donate-image-title' => 'Fasciculi impositi',
	'mobile-frontend-donate-image-heading' => 'Conlationes tuae novissimae',
	'mobile-frontend-donate-image-anon' => '$1 ad istam paginam spectandam quaeritur.',
	'mobile-frontend-user-account' => 'Ratio usoris',
	'mobile-frontend-listed-image-no-description' => 'Nulla descriptio',
	'mobile-frontend-donate-photo-upload-success' => 'Prospere additum! Imago tua nunc in pagina {{SITENAME}} parata habetur!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Prospere additum! Gratias agimus pro prima conlatione tua!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Locupleta {{grammar:accusative|{{SITENAME}}}} imaginibus tuis!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Imagines paginae {{grammar:genitive|{{SITENAME}}}} a Wikimedia Commons praebentur.',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Imagines tuas ad lectores excolendos prosunt',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Noli inmittere documenta ex interrete sumpta neque involucrorum imagines librorum.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Intellexistine haec?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Pergere',
	'mobile-frontend-watchlist-add' => '$1 paginis custoditis additum',
	'mobile-frontend-watchlist-removed' => '$1 ex paginis custoditis remotum',
	'mobile-frontend-watchlist-view' => 'Videre paginas custoditas',
	'mobile-frontend-watchlist-more' => 'plus',
	'mobile-frontend-watchlist-cta' => 'Si istam paginam custodire vis, conventum tuum aperire aut rationem novam creare necesse est.',
	'mobile-frontend-watchlist-cta-button-login' => 'Conventum aperire',
	'mobile-frontend-watchlist-cta-button-signup' => 'Rationem novam creare',
	'mobile-frontend-watch-login' => 'Primo conventum aperiri debet antequam paginas custoditas spectare potes.',
	'mobile-frontend-watchlist-a-z' => 'Index',
	'mobile-frontend-watchlist-feed' => 'Mutata',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Stellam in summa pagina elige',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Stellam supra positam eligens istam paginam in paginas tuas custoditas recipe. Eo facto et paginam reperire et quaslibet paginae mutationes videre potes.',
	'mobile-frontend-watchlist-feed-empty' => 'Nullae paginae nuper mutatae',
	'mobile-frontend-watchlist-back-home' => 'Redire ad paginam primam',
	'mobile-frontend-changeslist-ip' => 'Usor anonymus',
	'mobile-frontend-changeslist-nocomment' => 'Summarium vacuum',
	'mobile-frontend-watchlist-filter-all' => 'Omnia',
	'mobile-frontend-watchlist-filter-articles' => 'Commentationes', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Disputationes',
	'mobile-frontend-watchlist-filter-other' => 'Aliae paginae',
	'mobile-frontend-watchlist-modified' => 'Mutata $1',
	'mobile-frontend-diffview-404-title' => 'Conlatio irrita',
	'mobile-frontend-diffview-404-desc' => 'Emendatio quaesita non invenitur',
	'mobile-frontend-diffview-title' => 'Mutata',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|recensio|recensiones}}',
	'mobile-frontend-diffview-anonymous' => 'Usor anonymus',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|octetus additus|octeti additi}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|octetus amotus|octeti amoti}}',
	'mobile-frontend-diffview-explained' => 'Hi versus additi (+) aut amoti (-) sunt:',
	'mobile-frontend-thanked-notice' => '$1 nuntiatum est hanc recensionem tibi placere.', # Fuzzy
	'mobile-frontend-table' => 'Tabula $1',
	'mobile-frontend-saving-exit-page' => 'Conlatio tua etiamnum servatur. Si discederis, omnia perdita fuerint.',
	'mobile-frontend-photo-upload' => 'Paginae imaginem addere',
	'mobile-frontend-photo-article-edit-comment' => 'Imago ad utendum in pagina additur',
	'mobile-frontend-photo-article-donate-comment' => 'Imago a telephono gestabili inmissa',
	'mobile-frontend-photo-upload-comment' => 'Imago paginae addita',
	'mobile-frontend-photo-caption-placeholder' => 'Descriptionem addere (necesse est)',
	'mobile-frontend-image-loading' => 'Praeparans imaginem',
	'mobile-frontend-photo-ownership' => 'Ipse, $1, istam imaginem confeci.',
	'mobile-frontend-photo-ownership-help' => 'Quid hoc sibi vult?',
	'mobile-frontend-photo-ownership-confirm' => 'Assentior!',
	'mobile-frontend-photo-ownership-bullet-one' => 'Solum imagines accepimus ipse patratas. Quaerimus, ne imagines alibi inventas inmittas.',
	'mobile-frontend-photo-ownership-bullet-two' => 'Imagines indignae aut ad alterius licentiam pertinentes delebuntur.',
	'mobile-frontend-photo-ownership-bullet-three' => 'Fasciculi tui propter licentiam liberam cuilibet arbitrio permissi sunt.',
	'mobile-frontend-photo-nag-1-bullet-1-heading' => 'Nullam licentiam violo',
	'mobile-frontend-photo-nag-1-bullet-1-text' => 'Nullam licentiam violo.',
	'mobile-frontend-photo-nag-1-bullet-2-heading' => 'Non est imago privata',
	'mobile-frontend-photo-nag-1-bullet-2-text' => 'Imago praeterea utilis ad quandam rem explicandam erit.',
	'mobile-frontend-photo-nag-2-bullet-1-heading' => 'Imago neque ullam licentiam violat et explicationi alicui rei prodest.',
	'mobile-frontend-photo-nag-3-bullet-1-heading' => 'Quae licet imponere intellexi. Hanc notionem dimittere.',
	'mobile-frontend-photo-nag-learn-more-heading' => 'Quae imponi licent',
	'mobile-frontend-photo-nag-learn-more-1' => "'''ACCIPIUNTUR''' imagines quorumlibet locorum, rerum eventuumque.",
	'mobile-frontend-photo-nag-learn-more-2' => "'''ACCIPIUNTUR''' imagines {{grammar:accusative|{{SITENAME}}}} explanantes emendantesve.",
	'mobile-frontend-photo-nag-learn-more-3' => "''''REPUDIANTUR''' imagines sine licentia libera.",
	'mobile-frontend-lead-image-tutorial-summary' => 'Certum habeto hanc imaginem commentationem emendare neque ullam licentiam violare posse.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Incipere imponere',
	'mobile-frontend-image-uploading-wait' => 'Imago inmittitur, te patientiam oramus.',
	'mobile-frontend-image-uploading-long' => 'Imago adhuc inmittitur. Gratias agimus ob patientiam tuam.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Dimittere</a> si diuturnius est.',
	'mobile-frontend-photo-upload-error' => 'Error, denuo tempta.',
	'mobile-frontend-photo-upload-error-file-type' => 'Licet solum imagines addere.',
	'mobile-frontend-photo-upload-error-filename' => 'Error, descriptionem pleniorem da.',
	'mobile-frontend-photo-upload-success-article' => 'Perfectum! Imago tua nunc in hac pagina servabitur.',
	'mobile-frontend-photo-license' => 'Immittendo hanc imaginem  [//wikimediafoundation.org/wiki/Terms_of_use conventionem utendi] nostram approbas. Praeterea consentis imaginem sub licentia [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0 License] publicari.',
	'mobile-frontend-photo-submit' => 'Conferre',
	'mobile-frontend-photo-cancel' => 'Dimittere',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> fasciculum impositum|<span>$1</span> fasciculi impositi}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => 'plus quam 500 fasciculi impositi',
	'mobile-frontend-photo-upload-login' => 'Conventum aperiri debet antequam imaginem addere potes.',
	'mobile-frontend-image-heading-describe' => "'''Describe''' imaginem",
	'mobile-frontend-image-uploading' => "'''Immittens''' imaginem...",
	'mobile-frontend-image-cancel-confirm' => 'Immissionem abrogare?',
	'mobile-frontend-editor-undo-unsupported' => 'Abrogare computatris mobilibus non permittitur',
	'mobile-frontend-editor-newpage-prompt' => 'Haec pagina adhuc non est. Visne eam creare?',
	'mobile-frontend-editor-disabled' => 'Tibi permissum non est hanc paginam recensere',
	'mobile-frontend-editor-unavailable' => 'Navigatrum tuum recensiones mobiles nondum permittit. Alio navigatro utere.',
	'mobile-frontend-editor-cta' => 'Necesse est conventum aperire antequam paginas telephono gestabili utens recensere potes.',
	'mobile-frontend-editor-edit' => 'Recensere',
	'mobile-frontend-editor-continue' => 'Pergere',
	'mobile-frontend-editor-save' => 'Servare',
	'mobile-frontend-editor-cancel' => 'Dimittere',
	'mobile-frontend-editor-keep-editing' => 'Mutationibus pergere',
	'mobile-frontend-editor-license' => 'Confirmando affirmas [//wikimediafoundation.org/wiki/Terms_of_use Conventio utendi] et rem sub [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0 License] et [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL] edituram esse assentiris.', # Fuzzy
	'mobile-frontend-editor-placeholder' => 'Haec pars vacua est. Eam locupleta, si potes!',
	'mobile-frontend-editor-summary-placeholder' => 'Descriptionem mutationis addere',
	'mobile-frontend-editor-cancel-confirm' => 'Recensionem dimittere?',
	'mobile-frontend-editor-wait' => 'Recensio servatur.',
	'mobile-frontend-editor-guider' => '"{{int:mobile-frontend-editor-continue}}" tibi praevisum paginae atque facultatem servandae paginae praebebit.',
	'mobile-frontend-editor-success' => 'Recensio tua prospere servata est.',
	'mobile-frontend-editor-success-landmark-1' => 'Tibi probatio {{grammar:accusative|{{SITENAME}}}} mutandi data est.',
	'mobile-frontend-editor-error' => 'Error, recensio non servata est.',
	'mobile-frontend-editor-error-conflict' => 'Error, alius simul eandem paginam recensuit.',
	'mobile-frontend-editor-error-loading' => 'Partem aperire non contigit.',
	'mobile-frontend-editor-preview-header' => 'Praevisum',
	'mobile-frontend-editor-error-preview' => 'Error, paginam dimitte et renovare necesse est.',
	'mobile-frontend-editor-tutorial-summary' => 'Paginam $1 emendare conare.',
	'mobile-frontend-editor-tutorial-confirm' => 'Recensere incipere',
	'mobile-frontend-editor-abusefilter-warning' => 'Monitio: Num hanc recensionem servare vis? Errores continere possit.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Haec recensio servari non potuit cuiusdam erroris intra inventi causa.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Plura legere',
	'tag-mobile_edit' => 'Recensio mobilis',
	'tag-mobile_edit-description' => 'Recensio pagina mobili utens facta',
	'mobile-frontend-drawer-cancel' => 'Sinere',
	'mobile-frontend-talk-explained' => 'Istis colloquiis nunc utuntur',
	'mobile-frontend-talk-explained-empty' => 'Nulla colloquia de hac pagina',
	'mobile-frontend-talk-overlay-header' => 'Disputatio',
	'mobile-frontend-talk-back-to-page' => 'Revertere ad "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Disputatio sine nomine',
	'mobile-frontend-talk-add-overlay-submit' => 'Disputationem addere',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Argumentum profer',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Quid agis?',
	'mobile-frontend-talk-edit-summary' => 'Pars nova disputationis: $1',
	'mobile-frontend-talk-reply-success' => 'Responsum tuum prospere in disputationis paginam acceptum est.',
	'mobile-frontend-talk-reply-info' => 'Responsum tuum nomine rationis utendi tuo subscribitur.',
	'mobile-frontend-talk-reply' => 'Responsum',
	'mobile-frontend-media-details' => 'Indicia',
	'mobile-frontend-media-license-link' => 'De permissione',
	'abusefilter-edit-builder-vars-user-mobile' => 'Recensionem plenone an mobili pagina utens factam esse indicat',
	'mobile-frontend-profile-title' => 'Minutiae rationis',
	'mobile-frontend-profile-usertalk' => 'Paginam disputationis spectare.', # Fuzzy
	'mobile-frontend-profile-noargs' => 'Ad hanc rationem spectandam nomen usoris indica.', # Fuzzy
	'mobile-frontend-profile-nouser' => 'Nomen usoris non exstat', # Fuzzy
	'mobile-frontend-profile-activity-heading' => 'Industria et collatores',
	'mobile-frontend-profile-userpage-link' => 'Paginam usoris spectare.',
	'mobile-frontend-requires-optin' => 'Haec pagina non patet nisi modum experimentalem permittis. Ad hoc faciendum vide [[Special:MobileOptions|praeferentias]] tuas.',
	'mobile-frontend-geonotahack' => 'Prope hanc paginam',
);

/** Ladino (Ladino)
 * @author Menachem.Moreira
 * @author Universal Life
 */
$messages['lad'] = array(
	'mobile-frontend-search-submit' => 'Ir',
	'mobile-frontend-home-button' => 'Kaza',
	'mobile-frontend-languages-header' => 'Lenguas',
	'mobile-frontend-language-heading' => '<strong>Lenguas</strong>',
	'mobile-frontend-language-site-choose' => 'Bushkar lengua',
	'mobile-frontend-username' => 'Nombre de kullaneador:',
	'mobile-frontend-password' => 'Kóddiche:',
	'mobile-frontend-username-placeholder' => 'Nombre de kullaneador',
	'mobile-frontend-password-placeholder' => 'Kóddiche',
	'mobile-frontend-placeholder' => 'Bushka en {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Bushka en {{SITENAME}}(Beta)',
	'mobile-frontend-placeholder-alpha' => 'Buska en {{SITENAME}}(Experimental)',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Si!',
	'mobile-frontend-watchlist-more' => 'mas',
	'mobile-frontend-watchlist-filter-all' => 'Todos',
	'mobile-frontend-watchlist-filter-articles' => 'Pajinas',
	'mobile-frontend-diffview-title' => 'Trocamientos',
);

/** Luxembourgish (Lëtzebuergesch)
 * @author MaxSem
 * @author Robby
 * @author Soued031
 */
$messages['lb'] = array(
	'mobilefrontend-random-explain' => 'Interesséiert dës zoufälleg Säit Iech?',
	'mobilefrontend-random-cancel' => 'Loosst mech liesen!',
	'mobilefrontend-keepgoing-ask' => 'Gutt gemaach! Dir hutt den Dréi eraus! Wëllt dir probéieren nach eng Säit ze änneren?',
	'mobilefrontend-keepgoing-explain' => 'Fantastesch! En anere Benotzer sot dës Säit bréicht Hëllef. Probéiert dës, oder probéiert eng Aner.',
	'mobilefrontend-keepgoing-cancel' => 'Nee, merci',
	'mobilefrontend-keepgoing-suggest' => 'Jo, w.e.g.',
	'mobilefrontend-keepgoing-suggest-again' => 'Probéiert eng Aner',
	'mobilefrontend-keepgoing-saved-title' => 'Ännerung gespäichert!',
	'mobilefrontend-keepgoing-links-title' => 'Link derbäisetzen',
	'mobilefrontend-keepgoing-links-ask-again' => 'Eng aner Säit verbesseren?',
	'nearby' => 'Säiten no bei Iech',
	'mobile-frontend-desc' => 'Frontend Applicatioun fir mobil Apparater',
	'mobile-frontend-search-submit' => 'Lass',
	'mobile-frontend-home-button' => 'Haaptsäit',
	'mobile-frontend-logged-out' => 'Net ageloggt',
	'mobile-frontend-logged-in-homepage-notification' => 'Wëllkomm $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Als $1 ageloggt.',
	'mobile-frontend-generic-404-title' => 'Feeler - Säit net fonnt',
	'mobile-frontend-sign-up-heading' => 'Schreift Iech an',
	'mobile-frontend-sign-in-heading' => 'Umellen',
	'mobile-frontend-sign-in-why' => 'Wann Dir e Benotzerkont op {{SITENAME}} hutt, kënnt Dir Iech hei drënner aloggen.',
	'mobile-frontend-sign-in-error-heading' => 'Ups',
	'mobile-frontend-settings-description' => 'Personaliséiert Är Erfarung op Ärem mobilen Apparat mat dëse spezifesche mobilen Astellungen.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Experimentelle Modus',
	'mobile-frontend-save-settings' => 'Späicheren',
	'mobile-frontend-save-error' => 'Feeler beim Späichere vun den Astellungen. Vergewëssert Iech w.e.g. ob Dir Cookien aktivéiert hutt.',
	'mobile-frontend-random-button' => 'Zoufall',
	'mobile-frontend-back-to-top-of-section' => 'En Abschnitt zrécksprangen',
	'mobile-frontend-regular-site' => 'Desktop-Vue',
	'mobile-frontend-wml-continue' => 'Weider ...',
	'mobile-frontend-wml-back' => 'Zréck ...',
	'mobile-frontend-view' => 'Mobil Vue',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-opt-in-explain' => "Duerch d'Matmaache beim mobile Beta-Projet, kritt Dir Zougang op experimentell Funktiounen, mam Risiko datt Problemer a Feeler geschéien.",
	'mobile-frontend-images-status' => 'Biller',
	'mobile-frontend-disable-images' => 'Biller an der Mobiler Versioun desaktivéieren',
	'mobile-frontend-enable-images' => 'Biller an der Mobiler Versioun aktivéieren',
	'mobile-frontend-expand-sections-status' => 'All Abschnitter komplett weisen',
	'mobile-frontend-missing-image' => 'Bild',
	'mobile-frontend-off' => 'AUS',
	'mobile-frontend-on' => 'UN',
	'mobile-frontend-featured-article' => 'Den Inhalt vum Dag',
	'mobile-frontend-news-items' => 'An den Neiegkeeten',
	'mobile-frontend-languages-404-title' => 'Sproochefeeler',
	'mobile-frontend-languages-404-desc' => 'Et muss e valabelen Titel ugi uginn.',
	'mobile-frontend-languages-header' => 'Sproochen',
	'mobile-frontend-languages-nonexistent-title' => "D'Säit ''$1'' gëtt et net.",
	'mobile-frontend-languages-text' => '$1 ass {{PLURAL:$2|an enger Sprooch|a(n) $2 Sproochen}} disponibel.',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}} Varianten',
	'mobile-frontend-language-heading' => '<strong>Sproochen</strong>',
	'mobile-frontend-language-article-heading' => 'An enger anerer Sprooch liesen',
	'mobile-frontend-language-header' => 'Dës Säit ass {{PLURAL:$1|an enger Sprooch| a(n) $1 Sproochen}} disponibel',
	'mobile-frontend-language-variant-header' => 'Variant vu(n) {{#language:{{CONTENTLANG}}}} eraussichen',
	'mobile-frontend-language-site-choose' => 'Sprooch sichen',
	'mobile-frontend-username' => 'Benotzernumm:',
	'mobile-frontend-password' => 'Passwuert:',
	'mobile-frontend-username-placeholder' => 'Benotzernumm',
	'mobile-frontend-password-placeholder' => 'Passwuert',
	'mobile-frontend-login' => 'Aloggen',
	'mobile-frontend-history' => "D'Lëscht vun de Versioune vun dëser Säit weisen.",
	'mobile-frontend-history-404-title' => 'Säit gëtt et net',
	'mobile-frontend-contribution-summary' => 'All Ännerungen déi vum {{GENDER:$1|[[Special:UserProfile/$1|$1]]}} gemaach goufen',
	'mobile-frontend-history-summary' => 'Versioune vun der Säit [[:$1]]',
	'mobile-frontend-last-modified-date' => "Fir d'lescht geännert den $1 ëm $2",
	'mobile-frontend-last-modified-seconds' => "Fir d'lescht geännert {{PLURAL:$1|virun 1 Sekonn|viru(n) $1 Sekonnen}}",
	'mobile-frontend-last-modified-minutes' => "Fir d'lescht geännert {{PLURAL:$1|virun 1 Minutt|viru(n) $1 Minutten}}",
	'mobile-frontend-last-modified-hours' => "Fir d'lescht geännert {{PLURAL:$1|virun 1 Stonn|viru(n) $1 Stonnen}}",
	'mobile-frontend-last-modified-days' => "Fir d'lescht geännert {{PLURAL:$1|virun 1 Dag|viru(n) $1 Deeg}}",
	'mobile-frontend-last-modified-months' => "Fir d'lescht geännert {{PLURAL:$1|virun 1 Mount|viru(n) $1 Méint}}",
	'mobile-frontend-last-modified-years' => "Fir d'lescht geännert {{PLURAL:$1|virun 1 Joer|viru(n) $1 Joer}}",
	'mobile-frontend-last-modified-just-now' => "Fir d'lescht geännert op dësem Ament",
	'mobile-frontend-last-modified-with-user-minutes' => "[$4 Fir d'lescht {{GENDER:$1|geännert}}  {{PLURAL:$3|virun enger Minutt|viru(n) $3 Minutten}}] {{PLURAL:$5|vum [$6 $2]|0=vun engem anonyme Benotzer}}",
	'mobile-frontend-last-modified-with-user-just-now' => "[$3 Fir d'lescht {{GENDER:$1|geännert}}] elo grad  {{PLURAL:$4|vum [$5 $2]|0= vun engem anonyme Benotzer}}",
	'mobile-frontend-view-source' => 'Quellcode weisen',
	'mobile-frontend-account-create-submit' => 'Schreift Iech an',
	'mobile-frontend-password-confirm-placeholder' => 'Passwuert confirméieren',
	'mobile-frontend-account-create-email-placeholder' => 'E-Mailadress (fakultativ)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Confirmatiounscode aginn',
	'mobile-frontend-overlay-escape' => 'Zréck goen',
	'mobile-frontend-overlay-close' => 'Zoumaachen',
	'mobile-frontend-overlay-continue' => 'Viru fueren',
	'mobile-frontend-placeholder' => 'Op {{SITENAME}} sichen',
	'mobile-frontend-placeholder-beta' => 'Op {{SITENAME}} sichen (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Op {{SITENAME}} sichen (Experimentell)',
	'mobile-frontend-dismiss-notification' => 'dës Noriicht zoumaachen',
	'mobile-frontend-clear-search' => 'Eidel maachen',
	'mobile-frontend-search-content' => 'An de Säite sichen',
	'mobile-frontend-search-no-results' => 'Keng Säit mat dësem Titel.',
	'mobile-frontend-privacy-link-text' => 'Dateschutz',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Text disponibel ënner [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; zousätzlech Konditioune kënnen applicabel sinn.',
	'mobile-frontend-copyright' => 'Den Text ass ënner der $1 disponibel wann et net anescht uginn ass.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-terms-text' => 'Benotzungs-Bedingungen',
	'mobile-frontend-main-menu-button-tooltip' => 'Haaptmenü opmaachen',
	'mobile-frontend-main-menu-page-title' => 'Navigatioun um Site',
	'mobile-frontend-main-menu-featured' => 'Bemierkenswäert',
	'mobile-frontend-main-menu-nearby' => 'Nobäi',
	'mobile-frontend-main-menu-login' => 'Aloggen',
	'mobile-frontend-main-menu-logout' => 'Ausloggen',
	'mobile-frontend-main-menu-watchlist' => 'Iwwerwaachungslëscht',
	'mobile-frontend-main-menu-settings' => 'Astellungen',
	'mobile-frontend-main-menu-upload' => 'Eropgeluede Fichieren',
	'mobile-frontend-main-menu-settings-heading' => 'Astellungen',
	'mobile-frontend-settings-site-header' => '{{SITENAME}}-Sproochen',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} ass {{PLURAL:$1|an enger Sprooch|a(n) $1 Sproochen}} disponibel. Alle Ddsponibel Versioune stinn hei drënner',
	'mobile-frontend-main-menu-account-create' => 'Benotzerkont opmaachen',
	'mobile-frontend-page-menu-contents' => 'Inhalter',
	'mobile-frontend-page-menu-history' => 'Versiounen',
	'mobile-frontend-meta-data-issues-header' => 'Problemer',
	'mobile-frontend-meta-data-issues' => 'Dës Säit huet e puer Problemer',
	'mobile-frontend-page-saving' => '$1 späicheren',
	'mobile-frontend-user-cta' => 'Loggt Iech w.e.g. an oder mellt Iech u fir Är Notifikatiounen ze gesinn.',
	'mobile-frontend-user-button-tooltip' => 'Meng Notifikatioune weisen',
	'mobile-frontend-nearby-to-page' => 'Dës Säiten hunn, duerch hier geographesch Plaz, eppes mat $1 ze dinn',
	'mobile-frontend-nearby-title' => 'Nobäi',
	'mobile-frontend-nearby-loading' => 'Sujete vun no bei der Plaz wou Dir elo sidd gi gelueden',
	'mobile-frontend-nearby-requirements' => 'Leider ënnerstëtzt Ären Internetbrowser {{SITENAM}} Nearby net.',
	'mobile-frontend-nearby-requirements-guidance' => 'Probéiert en anere Browser oder aktivéiert Javascript wann Dir deen ausgeschalt hutt.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} Nearby konnt net erausfanne wou Dir sidd... nach eng Kéier probéieren?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Probéiert eng oppe Fläch mat engem bessere Signal.',
	'mobile-frontend-nearby-permission-guidance' => "Vergewëssert Iech datt Dir d'Autorisatioun ginn hutt fir ze weise wou Dir sidd. Et ka sinn datt Dir Lokalisatiounsastellunge vun Ärem Browser nokucke musst.",
	'mobile-frontend-nearby-noresults' => 'Et ass roueg hei... Et goufe keng Säiten aus der Géigend fonnt.',
	'mobile-frontend-nearby-noresults-guidance' => "Probéiert eng nei Säit ze schreiwen oder d'Plaz bei eng Säit déi et gëtt derbäizesetzen",
	'mobile-frontend-nearby-refresh' => "Mir hunn eng Plaz fir Iech fonnt déi besser passt. Klickt hei fir d'Lëscht vun de Säiten aus der Ëmgéigend z'aktualiséieren",
	'mobile-frontend-nearby-error' => "{{SITENAME}} 'Nearby' huet e puer Problemer.",
	'mobile-frontend-nearby-error-guidance' => "Probéiert d'Plaz wou Dir sidd z'aktualiséieren.",
	'mobile-frontend-nearby-link' => 'Dës Säit ganz liesen',
	'mobile-frontend-nearby-directions' => 'Hei navigéieren',
	'mobile-frontend-donate-image-nouploads' => 'Keng eropgeluede Fichieren.',
	'mobile-frontend-donate-image-login' => 'Fichieren op {{SITENAME}} gi vu Leit wéi Iech zur Verfügung gestallt.',
	'mobile-frontend-photo-upload-disabled' => 'Op dëser Säit gëtt kee Bild gebraucht.',
	'mobile-frontend-photo-upload-anon' => 'Loggt Iech w.e.g. a fir e Bild op dës Säit derbäizesetzen.',
	'mobile-frontend-photo-upload-protected' => 'Dir hutt net déi néideg Rechter fir op dës Säit e Bild derbäizesetzen.',
	'mobile-frontend-photo-upload-unavailable' => "Äre Browser ënnerstëtzt d'Eropluede vu Biller net.",
	'mobile-frontend-photo-upload-generic' => 'E Bild bäidroen',
	'mobile-frontend-donate-image-title' => 'Eropgeluede Fichieren',
	'mobile-frontend-donate-image-heading' => 'Är rezent Kontributiounen',
	'mobile-frontend-donate-image-anon' => 'Fir eropgeluede Fichieren ze gesinn muss een e $1 hunn',
	'mobile-frontend-user-account' => 'Benotzerkont',
	'mobile-frontend-listed-image-no-description' => 'Keng Beschreiwung',
	'mobile-frontend-donate-photo-upload-success' => 'Bravo! Äert Bild kann elo op {{SITENAME}} benotzt ginn!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Bravo! Merci fir Ären éischte Beitrag!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Maacht mat mat Äre Biller. Hëlleft {{SITENAME}} méi lieweg ze maachen!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Biller op {{SITENAME}} komme vu Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Är Biller hëllefe Leit op der ganzer Welt ze forméieren',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Evitéiert Materialien déi ënner de Copyright falen an déi Dir um Internet fonnt hutt, genee sou wéi Biller vu Pousteren, Bicher, asw.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Verstan?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Jo!',
	'mobile-frontend-watchlist-add' => '$1 gouf op Är Iwwerwaachungslëscht derbäigesat',
	'mobile-frontend-watchlist-removed' => '$1 gouf vun Ärer Iwwerwaachungslëscht erofgeholl',
	'mobile-frontend-watchlist-view' => 'Är Iwwerwaachungslëscht weisen',
	'mobile-frontend-watchlist-more' => 'méi',
	'mobile-frontend-watchlist-cta' => 'Dës Säit an all hir Ännerungen am A behalen.',
	'mobile-frontend-watchlist-cta-button-login' => 'Aloggen',
	'mobile-frontend-watchlist-cta-button-signup' => 'Mellt Iech un',
	'mobile-frontend-watchlist-login-action' => 'Loggt Iech a fir se ze gesinn.',
	'mobile-frontend-generic-login' => '{{SITENAME}} gëtt vu Leit wéi Iech gemaach.',
	'mobile-frontend-generic-login-action' => 'Loggt Iech a fir bäizedroen',
	'mobile-frontend-watch-login' => 'Setzt $1 op Är Iwwerwaachungslëscht derbäi.',
	'mobile-frontend-edit-login' => "Hëlleft d'$1 Säit ze verbesseren.",
	'mobile-frontend-edit-login-action' => "Alogge fir z'änneren.",
	'mobile-frontend-watchlist-a-z' => 'Lëscht',
	'mobile-frontend-watchlist-feed' => 'Geännert',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klickt op de Stär uewen op der Säit',
	'mobile-frontend-watchlist-a-z-empty-howto' => "Dir iwwerwaacht elo keng Säiten. Är Iwwerwaachungslëscht hëlleft Iech Säiten un deenen Dir interesséiert sidd am Aen ze behalen. Iwwerwaacht Säiten andeems Dir op d'Icone mam Stär klickt.",
	'mobile-frontend-watchlist-feed-empty' => 'Et gëtt keng Säite mat rezenten Ännerungen',
	'mobile-frontend-watchlist-back-home' => "Zréck op d'Haaptsäit",
	'mobile-frontend-changeslist-ip' => 'Anonyme Benotzer',
	'mobile-frontend-changeslist-nocomment' => 'kee Resumé vun der Ännerung',
	'mobile-frontend-watchlist-filter-all' => 'All',
	'mobile-frontend-watchlist-filter-articles' => 'Säiten',
	'mobile-frontend-watchlist-filter-talk' => 'Diskussioun',
	'mobile-frontend-watchlist-filter-other' => 'Anerer',
	'mobile-frontend-watchlist-modified' => '$1 geännert',
	'mobile-frontend-diffview-404-title' => 'Schlecht Versioun',
	'mobile-frontend-diffview-404-desc' => "D'Id vun der Versioun déi Dir ugefrot hutt gëtt et net.",
	'mobile-frontend-diffview-title' => 'Ännerungen',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|Ännerung|Ännerungen}}',
	'mobile-frontend-diffview-anonymous' => 'Anonyme Benotzer',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|Byte|Byten}} derbäigesat',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|Byte|Byten}} ewechgeholl',
	'mobile-frontend-diffview-explained' => 'Dës Linne goufen derbäigesat (+) an ewechgeholl (-):',
	'mobile-frontend-saving-exit-page' => 'Äre Beitrag gëtt nach gespäichert. Wann Dir elo ofbriecht da sinn är Beiträg verluer. Sidd Dir sécher datt Dir wëllt erausgoen?',
	'mobile-frontend-photo-upload' => 'Setzt e Bild op dës Säit derbäi',
	'mobile-frontend-photo-article-edit-comment' => "Bild fir d'Benotzen op der Säit gouf derbäigesat",
	'mobile-frontend-photo-upload-comment' => "Bild op d'Säit derbäigesat",
	'mobile-frontend-photo-caption-placeholder' => 'Beschreift dëst Bild (obligatoresch)',
	'mobile-frontend-photo-ownership' => 'Ech, $1, hunn dat Bild gemaach.',
	'mobile-frontend-photo-ownership-help' => 'Wat heescht dat?',
	'mobile-frontend-photo-ownership-confirm' => 'Verstan!',
	'mobile-frontend-lead-image-tutorial-summary' => "Vergewëssert iech datt Ärt Bild d'Säit illustréiert. Et soll e Bild sinn dat Dir selwer gemaach hutt an dat kee Copyright verletzt.",
	'mobile-frontend-lead-image-tutorial-confirm' => 'Mam eroplueden ufänken',
	'mobile-frontend-photo-upload-error' => 'Feeler, probéiert nach eng Kéier.',
	'mobile-frontend-photo-upload-error-file-type' => 'Luet w.e.g. nëmme Biller erop.',
	'mobile-frontend-photo-upload-error-filename' => 'Feeler, gitt w.e.g. e Resumé un dee eng besser Beschreiwung ass.',
	'mobile-frontend-photo-upload-success-article' => 'Et huet geklappt! Äert Bild ass elo op dëser Säit drop.',
	'mobile-frontend-photo-submit' => 'Schécken',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ eropgeluede Fichieren',
	'mobile-frontend-image-heading-describe' => "Bild '''beschreiwen'''",
	'mobile-frontend-image-uploading' => "Bild '''eroplueden''' ...",
	'mobile-frontend-image-cancel-confirm' => 'Eroplueden ofbriechen?',
	'mobile-frontend-editor-unavailable' => "D'Ännere per mobilen Apparat ass elo fir Äre Browser net disponibel. Probéiert. w.e.g. en anere Browser aus.",
	'mobile-frontend-editor-undo-unsupported' => "D'Réckgängegmaache gëtt elo net op mobilen Apparaten ënnerstëtzt.",
	'mobile-frontend-editor-newpage-prompt' => 'Dës Säit gëtt et net. Firwat traut Dir Iech net fir se unzeleeën?',
	'mobile-frontend-editor-disabled' => 'Dës Säit ass geschützt fir Vandalismus ze verhënneren.',
	'mobile-frontend-editor-blocked' => "Äre Benotzerkont ass gespaart fir z'änneren.",
	'mobile-frontend-editor-cta' => 'Hëlleft dës Säit ze verbesseren!',
	'mobile-frontend-editor-edit' => 'Änneren',
	'mobile-frontend-editor-continue' => 'Viru fueren',
	'mobile-frontend-editor-save' => 'Späicheren',
	'mobile-frontend-editor-cancel' => 'Ofbriechen',
	'mobile-frontend-editor-keep-editing' => 'Virufuere mat Änneren',
	'mobile-frontend-editor-license' => "Duerch d'Späicherevun den Ännerunge sidd Dir mat eisen [//wikimediafoundation.org/wiki/Terms_of_Use/de Notzungsbedingungen] an der Verëffentlechung vun Ärem Text ënner der [//creativecommons.org/licenses/by-sa/3.0/deed.de CC-BY-SA-3.0-Lizenz] an der [//de.wikipedia.org/wiki/Wikipedia:GNU_Free_Documentation_License GFDL] averstan.",
	'mobile-frontend-editor-placeholder' => 'Dësen Abschnitt ass eidel. Sidd deen Éischte fir en ze erweideren!',
	'mobile-frontend-editor-summary-placeholder' => 'Sot eis wat Dir geännert hutt (fakultativ)',
	'mobile-frontend-editor-cancel-confirm' => 'Wëllt dir Är Ännerung wierklech opginn?',
	'mobile-frontend-editor-wait' => 'Ännerung gëtt gespäichert, waart w.e.g..',
	'mobile-frontend-editor-success' => 'Är Ännerung ass gespäichert!',
	'mobile-frontend-editor-success-landmark-1' => 'Felicitatiounen, Dir sidd elo een {{SITENAME}}-Auteur.',
	'mobile-frontend-editor-error' => 'Feeler, Ännerung net gespäichert.',
	'mobile-frontend-editor-error-conflict' => 'Feeler, en anere Benotzer huet dës Säit geännert.',
	'mobile-frontend-editor-error-loading' => 'Feeler, den Abschnitt kann net geluede ginn.',
	'mobile-frontend-editor-tutorial-summary' => "Erféiert Iech net wéinst der Markéierung. Probéiert fir d'Säit $1 ze verbesseren.",
	'mobile-frontend-editor-tutorial-confirm' => 'Ufänke mat änneren',
	'mobile-frontend-editor-tutorial-cancel' => 'Nee, merci',
	'mobile-frontend-editor-captcha-try-again' => 'Falsche Code, probéiert nach eng Kéier.',
	'mobile-frontend-editor-abusefilter-warning' => 'Opgepasst: Sidd Dir sécher datt Dir dës Ännerung späichere wëllt? Et kéint sinn datt et domat e Problem gëtt.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Dës Ännerung kann net gespäichert gi well mir e Problem fonnt hunn.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Liest méi',
	'mobile-frontend-editor-editing-page' => '<strong>Ännere</strong> vu(n)<span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<span>$1</span> <strong>weisen ouni ze späicheren</strong>',
	'tag-mobile_edit' => 'Mobil Ännerung',
	'tag-mobile_edit-description' => 'Ännerung déi vun engem mobile Site gemaach gouf',
	'mobile-frontend-drawer-cancel' => 'Ofbriechen',
	'mobile-frontend-talk-explained-empty' => 'Et gëtt keng Diskussiounen iwwer dës Säit.',
	'mobile-frontend-talk-overlay-header' => 'Diskussioun',
	'mobile-frontend-talk-back-to-page' => 'Zréck op d\'Säit "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Diskussioun ouni Numm',
	'mobile-frontend-talk-add-overlay-submit' => 'Diskussioun derbäisetzen',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Thema',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Wat mengt Dir?',
	'mobile-frontend-talk-edit-summary' => 'Neien Diskussiounsabschnitt: $1',
	'mobile-frontend-talk-reply-success' => 'Är Äntwert gouf op der Diskussiounssäit gespäichert.',
	'mobile-frontend-talk-reply-info' => 'Är Äntwert gëtt automatesch mat Ärem Benotzernumm ënnerschriwwen.',
	'mobile-frontend-talk-reply' => 'Äntwerten',
	'mobile-frontend-talk-topic-feedback' => "Neie Sujet op d'Diskussiounssäit derbäigesat!",
	'mobile-frontend-media-details' => 'Detailer',
	'mobile-frontend-media-license-link' => 'Lizenzinformatioun',
	'abusefilter-edit-builder-vars-user-mobile' => "Ob e Benotzer de mobilen Interface benotzt fir z'änneren",
	'mobile-frontend-profile-title' => 'Benotzerprofil',
	'mobile-frontend-profile-last-upload-caption' => '{{PLURAL:$1|Gëschter|Viru(n) $1 Deeg|0=Haut}} {{GENDER:$2|eropgelueden}}.',
	'mobile-frontend-profile-usertalk' => 'Mam {{GENDER:$1|$1}} schwätzen',
	'mobile-frontend-profile-error' => 'Oh neen!',
	'mobile-frontend-profile-noargs' => 'Et gouf kee Benotzernumm uginn. Gitt w.e.g. e Benotzernumm u fir ee Profil ze gesinn.',
	'mobile-frontend-profile-nouser' => 'Et gëtt kee Benotzernumm mat dësem Numm. Bei Benotzernimm gëtt tëscht groussen a kleng Buschtawen ënnerscheed, kuckt dofir no ob de Benotzernumm richteg geschriwwen ass.',
	'mobile-frontend-profile-activity-heading' => 'Rezent Aktivitéit',
	'mobile-frontend-profile-userpage-link' => 'Benotzersäit besichen.',
	'mobile-frontend-profile-last-edit' => "{{GENDER:$3|Huet}} d'Säit [[:$1]] {{PLURAL:$2|gëschter|viru(n) $2 Deeg|0=méi fréi haut am Laf vum Dag}} geännert.",
	'mobile-frontend-geonotahack' => 'No bei dëser Säit',
	'beta-feature-geonotahack' => 'No bei dëser Säit',
	'mobile-frontend-mainpage-cta-prompt' => 'Dës Säit brauch Är Hëllef!',
	'mobile-frontend-mainpage-cta-button' => 'Dës Säit verbesseren',
	'beta-feature-minerva' => 'Mobilt Ausgesinn (Minerva) um Desktop aktivéieren',
);

/** Lezghian (лезги)
 * @author Migraghvi
 */
$messages['lez'] = array(
	'mobile-frontend-search-submit' => 'ЭлячIун',
	'mobile-frontend-home-button' => 'КIвализ',
	'mobile-frontend-random-button' => 'Дуьшуьшдин',
	'mobile-frontend-wml-continue' => 'Давамун...',
	'mobile-frontend-wml-back' => 'КЪулухъ...',
	'mobile-frontend-username' => 'Уртахдин тlвар:',
	'mobile-frontend-password' => 'Парол:',
);

/** Limburgish (Limburgs)
 * @author Ooswesthoesbes
 */
$messages['li'] = array(
	'mobile-frontend-desc' => 'Mobiel Frontend',
	'mobile-frontend-search-submit' => 'Gank',
	'mobile-frontend-home-button' => 'Veurblaad',
	'mobile-frontend-logged-out' => 'Neet aangemèld',
	'mobile-frontend-settings-description' => 'Pas dien gebroekerservaring óp diene mobiel aan via dees instèllinge.',
	'mobile-frontend-settings-beta' => 'Bèta',
	'mobile-frontend-save-settings' => 'Slaon instèllinge op', # Fuzzy
	'mobile-frontend-random-button' => 'Willekäörig',
	'mobile-frontend-back-to-top-of-section' => 'Ein köpke tröksjpringe',
	'mobile-frontend-close-section' => 'Sloet dit deil',
	'mobile-frontend-regular-site' => 'Standerdbetrachting',
	'mobile-frontend-wml-continue' => 'Gank door ...',
	'mobile-frontend-wml-back' => 'Trögk ...',
	'mobile-frontend-view' => 'Mobiele weergave',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Mobiel',
	'mobile-frontend-opt-in-explain' => 'Door ane bèta mit te doon kriegs se toegank aan experimenteel kinmirke en kums se meugelik bugs en anger ómstenj taenge.',
	'mobile-frontend-images-status' => 'Aafbeildjinge',
	'mobile-frontend-disable-images' => 'Zèt aafbeildinge óppe mobiel site oet',
	'mobile-frontend-enable-images' => 'Zèt aafbeildinge óppe mobiel site aan',
	'mobile-frontend-off' => 'OET',
	'mobile-frontend-on' => 'AAN',
	'mobile-frontend-featured-article' => 'Sjterartikel', # Fuzzy
	'mobile-frontend-news-items' => "In 't nuujs",
	'mobile-frontend-language-header' => 'Dees pagina is besjikbaar in {{PLURAL:$1|ein spraok|$1 spräök}}', # Fuzzy
	'mobile-frontend-language-footer' => '{{SITENAME}} is in anger spräök besjikbaar.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Zeuk spraok',
	'mobile-frontend-username' => 'Gebroekersnaam:',
	'mobile-frontend-password' => 'Wachwaord:',
	'mobile-frontend-login' => 'Mèlj aan',
	'mobile-frontend-placeholder' => 'Doorzeuk {{SITENAME}}',
	'mobile-frontend-search-help' => 'Veur de trèfweurd hiebaove in. Zeukrizzeltaote waere hie waergaeve.', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'verberg de notificatie',
	'mobile-frontend-clear-search' => 'Wösj',
	'mobile-frontend-privacy-link-text' => 'Prajvesie',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'De inhawd is besjikbaar óngere licentie [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-copyright' => 'De teks is besjikbaar ónger de <a href="http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License">Creative Commons Naomsvermelding/Geliek Deile</a> licentie. \'t Is mäögelik dat aanvöllende veurwaarde van toepassing zeen. Betrach de <a href="http://wikimediafoundation.org/wiki/Terms_of_Use">Algemein Veurwaarde</a> veur mie informatie.', # Fuzzy
	'mobile-frontend-footer-contact' => 'Kóntak',
	'mobile-frontend-search-noresults' => "Gein rizzeltaote veur dien zeukopdrach. Veranger dien zeukopdrach of klik oppe zeukknoep oppe klaveer óm binne pagina's te zeuke.", # Fuzzy
	'mobile-frontend-main-menu-featured' => 'Oetgelich',
	'mobile-frontend-main-menu-nearby' => 'Kórtbie',
	'mobile-frontend-main-menu-settings' => 'Insjtèllinge',
	'mobile-frontend-main-menu-settings-heading' => 'Mobiel veurkäöre', # Fuzzy
	'mobile-frontend-settings-site-header' => 'Spräök veur {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} is besjikbaar in {{PLURAL:$1|ein spraok|$1 spräök}}. Al besjikbaar versies staon hieónger',
	'mobile-frontend-page-menu-contents' => 'inhawd',
	'mobile-frontend-page-menu-history' => 'Gesjiechte',
);

/** lumbaart (lumbaart)
 */
$messages['lmo'] = array(
	'mobile-frontend-search-submit' => 'Inanz',
	'mobile-frontend-home-button' => 'Pagina principala',
	'mobile-frontend-random-button' => 'A cas',
	'mobile-frontend-back-to-top-of-section' => "Sàlta Indree d'una Sezión",
	'mobile-frontend-regular-site' => "Varda 'sta pagina chì in sü la {{SITENAME}} nurmala", # Fuzzy
	'mobile-frontend-featured-article' => 'Vedrína', # Fuzzy
	'mobile-frontend-copyright' => "El test a l'è dispunìbil suta la <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; pödass che s'àplichen anca cundizión adiziunaj. Varda <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Terms of Use</a> per i detaj. {{SITENAME}} a l'è un march argistraa de la <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, un urganizazion non-profit.", # Fuzzy
);

/** Lingala (lingála)
 * @author Dfoy
 */
$messages['ln'] = array(
	'mobile-frontend-placeholder' => 'Luka na {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Luka na {{SITENAME}} (Beta)',
);

/** لوری (لوری)
 * @author Bonevarluri
 * @author Mogoeilor
 */
$messages['lrc'] = array(
	'mobilefrontend-random-explain' => 'د کوم بلگه بختکی خوشتو میا؟',
	'mobilefrontend-keepgoing-cancel' => 'نه منمون',
	'mobilefrontend-keepgoing-suggest' => 'هری لطف بكيد',
	'nearby' => 'بلگه نزيكتو',
	'mobile-frontend-search-submit' => 'رو',
	'mobile-frontend-home-button' => 'سرآسونه',
	'mobile-frontend-logged-out' => 'وارد نبیه',
	'mobile-frontend-logged-in-toast-notification' => 'اومائن د سیستم چی $1.',
	'mobile-frontend-sign-up-heading' => 'ثوت نام كردن',
	'mobile-frontend-sign-in-heading' => 'اومائن',
	'mobile-frontend-settings-beta' => 'بتا',
	'mobile-frontend-save-settings' => 'ذخيره كردن',
	'mobile-frontend-random-button' => 'بختكی',
	'mobile-frontend-wml-continue' => 'ادامه ديئن',
	'mobile-frontend-wml-back' => 'ورئرد',
	'mobile-frontend-view' => 'ديئن موبايل',
	'mobile-frontend-view-desktop' => 'ميزكار',
	'mobile-frontend-view-mobile' => 'موبايل',
	'mobile-frontend-images-status' => 'عسگيا',
	'mobile-frontend-missing-image' => 'عسگ',
	'mobile-frontend-off' => 'روشنا',
	'mobile-frontend-on' => 'كور',
	'mobile-frontend-news-items' => 'د حوال',
	'mobile-frontend-languages-404-title' => 'خطا زون',
	'mobile-frontend-languages-header' => 'زونيا',
	'mobile-frontend-languages-nonexistent-title' => 'بلگه $1 وجود ناره.',
	'mobile-frontend-language-heading' => '<strong>زونیا</strong>',
	'mobile-frontend-language-article-heading' => 'د یه گل زون هنی بحون',
	'mobile-frontend-language-site-choose' => 'پی جوری زون',
	'mobile-frontend-username' => 'نوم كاروری:',
	'mobile-frontend-password' => 'رمز:',
	'mobile-frontend-username-placeholder' => 'نوم كاروری',
	'mobile-frontend-password-placeholder' => 'رمز',
	'mobile-frontend-login' => 'اومائن',
	'mobile-frontend-last-modified-days' => 'آخرین آلشت د {{جمی:$1|$1 روز|$1 روز}} دما انجوم بیه', # Fuzzy
	'mobile-frontend-last-modified-years' => 'آخرین بار د {{جمی:$1|$1 سال|$1 سالیا}} دما آلشت بیه', # Fuzzy
	'mobile-frontend-view-source' => 'سرچشمه نه بوينيت',
	'mobile-frontend-account-create-submit' => 'ثوت نام كردن',
	'mobile-frontend-password-confirm-placeholder' => 'رمز محكم كو',
	'mobile-frontend-account-create-email-placeholder' => 'نشونی ايميل',
	'mobile-frontend-account-create-captcha-placeholder' => 'متن امنيتی نه وارد كو', # Fuzzy
	'mobile-frontend-overlay-escape' => 'ورئرد',
	'mobile-frontend-overlay-continue' => 'ادامه دئین',
	'mobile-frontend-placeholder' => 'پی جوری {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'مئن جوری {{نوم سیلجا}} (Beta)',
	'mobile-frontend-clear-search' => 'پاك كردن',
	'mobile-frontend-search-content' => 'پی جوری مینجا بلگیا',
	'mobile-frontend-footer-sitename' => '{{نوم سیلجا}}',
	'mobile-frontend-footer-contact' => 'تماس',
	'mobile-frontend-main-menu-page-title' => 'ناوگردی سیلجا',
	'mobile-frontend-main-menu-nearby' => 'نزیک',
	'mobile-frontend-main-menu-login' => 'اومائن د سيستم',
	'mobile-frontend-main-menu-logout' => 'د سيستم دراومائن',
	'mobile-frontend-main-menu-watchlist' => 'سیل برگ',
	'mobile-frontend-main-menu-settings' => 'تنظيمات',
	'mobile-frontend-main-menu-upload' => 'سوارکردیا',
	'mobile-frontend-main-menu-settings-heading' => 'تنظيمات',
	'mobile-frontend-settings-site-header' => '{{نوم مالگه}} زونا',
	'mobile-frontend-main-menu-account-create' => 'يه گل حساو راست بكيد',
	'mobile-frontend-page-menu-contents' => 'مینونه یا',
	'mobile-frontend-page-menu-history' => 'ويرگار',
	'mobile-frontend-user-button-tooltip' => 'نشو دئن وارسیاری یا مه',
	'mobile-frontend-nearby-title' => 'نزیک',
	'mobile-frontend-donate-image-nouploads' => 'هیچ سوار کرد نئ.',
	'mobile-frontend-donate-image-login-action' => 'بیایت وا مین سی بهر کردن رسانه یاتو.',
	'mobile-frontend-photo-upload-anon' => 'لطفن بیایت وا مین و یه گل عسگ دی ای بلگه اضاف بکید.',
	'mobile-frontend-photo-upload-unavailable' => 'جاگرد شما سوارکرد عسگ نه دماگری نمی که.',
	'mobile-frontend-donate-image-title' => 'سوارکردیا',
	'mobile-frontend-donate-image-anon' => 'یه گل $1 سی دیئن بلگه یا سوارکرد لازم هئ.',
	'mobile-frontend-user-account' => 'حساو کاروری',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'روئه دش؟',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'هری!',
	'mobile-frontend-watchlist-more' => 'بیشتر',
	'mobile-frontend-watchlist-cta-button-login' => 'اومائن د سیستم',
	'mobile-frontend-watchlist-cta-button-signup' => 'ثوت نام كردن',
	'mobile-frontend-watchlist-login-action' => 'اومائن سی ددیئن وه',
	'mobile-frontend-generic-login' => '{{نوم سیلجا}} وه دس خلکی چی شما راس بیه.',
	'mobile-frontend-generic-login-action' => 'اومائن د سیستم سی هومیاری',
	'mobile-frontend-generic-signup-action' => 'ثوت نام سی هومیاری',
	'mobile-frontend-edit-login-action' => 'اومائن د سیستم سی ویرایشت',
	'mobile-frontend-edit-signup-action' => 'ثوت نام کردن سی ویرایشت',
	'mobile-frontend-watchlist-a-z' => 'نوم گه',
	'mobile-frontend-watchlist-feed' => 'آلشت بیه',
	'mobile-frontend-changeslist-ip' => 'كارور ناشناس',
	'mobile-frontend-watchlist-filter-all' => 'همه',
	'mobile-frontend-watchlist-filter-articles' => 'بلگيا محتوا', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'چك چنه',
	'mobile-frontend-watchlist-filter-other' => 'هنی',
	'mobile-frontend-diffview-title' => 'آلشتيا',
	'mobile-frontend-diffview-anonymous' => 'كارور ناشناس',
	'mobile-frontend-photo-article-donate-comment' => 'هومیاری عسگ ویجه:سوارکردیا',
	'mobile-frontend-photo-ownership-help' => 'یه چه مئنی می یه؟',
	'mobile-frontend-photo-ownership-confirm' => 'رو دش!',
	'mobile-frontend-lead-image-tutorial-confirm' => 'شرو د سوار کرد',
	'mobile-frontend-photo-upload-error' => 'خطا هنی تلاش بکید',
	'mobile-frontend-photo-upload-error-file-type' => 'لطفن فقط عسگیانه سوار بکید',
	'mobile-frontend-photo-upload-user-count' => '{{جمی:$1|<span>1</span> سوار کرد|<span>$1</span> سوارکردیا}}', # Fuzzy
	'mobile-frontend-image-uploading' => "'''د حالت سوارکردن''' عسگ...",
	'mobile-frontend-editor-newpage-prompt' => 'ای بلگه نئیش. سی چی گپ نبا و راستش نمی کید؟',
	'mobile-frontend-editor-edit' => 'ويرايشت',
	'mobile-frontend-editor-continue' => 'ادامه دئین',
	'mobile-frontend-editor-save' => 'ذخيره كردن',
	'mobile-frontend-editor-cancel' => 'رد کردن',
	'mobile-frontend-editor-cancel-confirm' => 'شما واقعا میهایشت ای ویرایشت نه ول بکید؟',
	'mobile-frontend-editor-success-landmark-1' => 'موارک با، ایسه شما یه گل ویرایشتگر{{نوم سیلجا}} هئیت',
	'tag-mobile_edit-description' => 'ویرایشت سی سیلجا هومدرونگ راس بیه',
	'mobile-frontend-talk-overlay-header' => 'چك چنه',
	'mobile-frontend-profile-last-upload-caption' => '{{جنس:$2|سواربیه}} {{جمی:$1|دوش|$1روزیا دما|0=امرو}}.', # Fuzzy
	'mobile-frontend-profile-usertalk' => 'بلگه چك چنه نه بوينيت', # Fuzzy
	'mobile-frontend-profile-userpage-link' => 'ديئن بلگه كارور',
	'mobile-frontend-geonotahack' => 'نزیک د ای بلگه',
	'beta-feature-geonotahack' => 'نزیک د ای بلگه',
	'mobile-frontend-mainpage-cta-prompt' => 'ای بلگه هومیاری تونه میها!',
);

/** Lithuanian (lietuvių)
 * @author Eitvys200
 * @author Robotukas11
 * @author Vogone
 */
$messages['lt'] = array(
	'mobile-frontend-search-submit' => 'Eiti',
	'mobile-frontend-home-button' => 'Pradžia',
	'mobile-frontend-logged-out' => 'Neprisijungta',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-save-settings' => 'Išsaugoti nustatymus', # Fuzzy
	'mobile-frontend-random-button' => 'Atsitiktinis',
	'mobile-frontend-back-to-top-of-section' => 'Peršokti atgal sekcija',
	'mobile-frontend-regular-site' => 'Peržiūrėti šį puslapį įprastoje Vikipedijoje', # Fuzzy
	'mobile-frontend-wml-continue' => 'Toliau ...',
	'mobile-frontend-wml-back' => 'Atgal ...',
	'mobile-frontend-view' => 'Mobili peržiūra',
	'mobile-frontend-view-desktop' => 'Darbalaukis',
	'mobile-frontend-view-mobile' => 'Mobilus',
	'mobile-frontend-cookies-required' => 'Slapukai yra reikalingi norint pakeisti peržiūros režimus. Įjunkite juos ir bandykite dar kartą.',
	'mobile-frontend-opt-in-explain' => 'Prisijungiant prie beta, jūs gausite prieigą prie dar tik bandomų galimybių, rizikuodami puslapio klaidomis.',
	'mobile-frontend-images-status' => 'Paveikslėliai',
	'mobile-frontend-disable-images' => 'Išjungti vaizdus mobilioje svetainėje',
	'mobile-frontend-enable-images' => 'Įjungti vaizdus mobilioje svetainėje',
	'mobile-frontend-off' => 'IŠJUNGTI',
	'mobile-frontend-on' => 'IJUNGTI',
	'mobile-frontend-featured-article' => 'Dienos straipsnis', # Fuzzy
	'mobile-frontend-news-items' => 'Naujienose',
	'mobile-frontend-language-header' => 'Šis straipsnis prieinamas $1 {{PLURAL:$1|kalba|kalbomis}}', # Fuzzy
	'mobile-frontend-language-footer' => '{{SITENAME}} yra prieinamas kitomis kalbomis', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Paieškos kalba',
	'mobile-frontend-username' => 'Naudotojo vardas:',
	'mobile-frontend-password' => 'Slaptažodis:',
	'mobile-frontend-login' => 'Prisijungti',
	'mobile-frontend-placeholder' => 'Ieškoti {{SITENAME}}',
	'mobile-frontend-clear-search' => 'Išvalyti',
	'mobile-frontend-privacy-link-text' => 'Privatumas',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => "Tekstas pateikiamas pagal <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution / Share-Alike</a> ; gali būti taikomos papildomos sąlygos. Žiūrėkite <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Naudojimo sąlygas</a> norėdami gauti daugiau informacijos. Vikipedija yra pelno nesiekiančios organizacijos <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc</a> registruotas prekinis ženklas.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Kontaktai',
	'mobile-frontend-main-menu-nearby' => 'Netoli',
	'mobile-frontend-main-menu-settings' => 'Nustatymai',
	'mobile-frontend-main-menu-settings-heading' => 'Mobiliosios svetainės nustatymai', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} Kalbos',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} yra prieinamas $1 {{PLURAL:$1|kalba|kalbomis}}. Visos prieinamos versijos nurodytos žemiau',
	'mobile-frontend-page-menu-contents' => 'turinys',
	'mobile-frontend-page-menu-history' => 'Istorija',
);

/** Latgalian (latgaļu)
 */
$messages['ltg'] = array(
	'mobile-frontend-show-button' => 'Paruodeit',
	'mobile-frontend-hide-button' => 'Nūglobuot',
);

/** Mizo (Mizo ţawng)
 * @author RMizo
 */
$messages['lus'] = array(
	'mobile-frontend-desc' => 'Biakhlatna hmanga thlìrna',
	'mobile-frontend-search-submit' => 'Khai le',
	'mobile-frontend-home-button' => 'Inpui',
	'mobile-frontend-random-button' => 'Kahpah',
	'mobile-frontend-back-to-top-of-section' => 'Hlawm khat zuan lêtna',
	'mobile-frontend-close-section' => 'Hläwm khàrna',
	'mobile-frontend-regular-site' => 'Hmaipui thlir',
	'mobile-frontend-wml-continue' => 'Chhunzawmna...',
	'mobile-frontend-wml-back' => 'Lêtna...',
	'mobile-frontend-view' => 'Biakhlatna hmanga thlìrna',
	'mobile-frontend-view-desktop' => 'Khawlthluaknei',
	'mobile-frontend-view-mobile' => 'Biakhlatna',
	'mobile-frontend-featured-article' => 'Tlangrèlthang...', # Fuzzy
	'mobile-frontend-news-items' => 'Chanchin thar',
	'mobile-frontend-username' => 'Hmangtuhming:',
	'mobile-frontend-password' => 'Thurûk:',
	'mobile-frontend-login' => 'Luhna',
	'mobile-frontend-placeholder' => 'I zawn duh hetah hian ziak rawh le. . .', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'he hriattirna hi hnâwl rawh',
	'mobile-frontend-clear-search' => 'Nawhrehna',
	'mobile-frontend-privacy-link-text' => 'Inthupna',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Thuziak leh thildang rëng rëng hi [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] dàn hmanga hman theih a ni.', # Fuzzy
	'mobile-frontend-footer-contact' => 'Biakna',
	'mobile-frontend-search-noresults' => 'I thuzawnin thuziak mil pakhat mah a nei lo. I thuzawn i thlâk loh pawhin i khawlthluaknei chhutthlènga zawnna hmehkhep hmet la, thuziak chhúngah i zawng thei ang.', # Fuzzy
	'mobile-frontend-main-menu-featured' => 'Tlángrèlthang',
);

/** Latvian (latviešu)
 * @author GreenZeb
 * @author Papuass
 */
$messages['lv'] = array(
	'mobilefrontend-keepgoing-cancel' => 'Nē, paldies',
	'mobilefrontend-keepgoing-suggest' => 'Jā, lūdzu',
	'nearby' => 'Lapas jūsu tuvumā',
	'mobile-frontend-search-submit' => 'Meklēt',
	'mobile-frontend-home-button' => 'Sākumlapa',
	'mobile-frontend-sign-up-heading' => 'Reģistrēties',
	'mobile-frontend-sign-in-heading' => 'Pieslēgties',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Eksperimentālais režīms',
	'mobile-frontend-save-settings' => 'Saglabāt',
	'mobile-frontend-random-button' => 'Nejaušs raksts',
	'mobile-frontend-regular-site' => 'Darbvirsmas skats',
	'mobile-frontend-wml-continue' => 'Turpināt...',
	'mobile-frontend-wml-back' => 'Atpakaļ...',
	'mobile-frontend-view' => 'Mobilais skats',
	'mobile-frontend-view-desktop' => 'Darbvirsma',
	'mobile-frontend-view-mobile' => 'Mobilais',
	'mobile-frontend-images-status' => 'Attēli',
	'mobile-frontend-missing-image' => 'Attēls',
	'mobile-frontend-off' => 'IZSL.',
	'mobile-frontend-on' => 'IESL.',
	'mobile-frontend-featured-article' => 'Šodienas izceltais saturs',
	'mobile-frontend-news-items' => 'Ziņās',
	'mobile-frontend-language-article-heading' => 'Lasīt citā valodā',
	'mobile-frontend-language-header' => 'Šī lapa ir pieejama $1 {{PLURAL:$1|valodā|valodās}}',
	'mobile-frontend-language-site-choose' => 'Meklēt valodu',
	'mobile-frontend-username' => 'Lietotājvārds:',
	'mobile-frontend-password' => 'Parole:',
	'mobile-frontend-username-placeholder' => 'Lietotājvārds',
	'mobile-frontend-password-placeholder' => 'Parole',
	'mobile-frontend-login' => 'Pieslēgties',
	'mobile-frontend-history' => 'Apskatīt šīs lapas labojumu vēsturi',
	'mobile-frontend-last-modified-date' => 'Pēdējoreiz mainīts $1, $2',
	'mobile-frontend-last-modified-seconds' => 'Pēdējoreiz mainīts pirms {{PLURAL:$1|$1 sekundes|$1 sekundēm}}',
	'mobile-frontend-last-modified-minutes' => 'Pēdējoreiz mainīts pirms {{PLURAL:$1|$1 minūtes|$1 minūtēm}}',
	'mobile-frontend-last-modified-hours' => 'Pēdējoreiz mainīts pirms {{PLURAL:$1|$1 stundas|$1 stundām}}',
	'mobile-frontend-last-modified-days' => 'Pēdējoreiz mainīts pirms {{PLURAL:$1|$1 dienas|$1 dienām}}',
	'mobile-frontend-last-modified-months' => 'Pēdējoreiz mainīts pirms {{PLURAL:$1|$1 mēneša|$1 mēnešiem}}',
	'mobile-frontend-last-modified-years' => 'Pēdējoreiz mainīts pirms {{PLURAL:$1|$1 gada|$1 gadiem}}',
	'mobile-frontend-account-create-submit' => 'Reģistrēties',
	'mobile-frontend-password-confirm-placeholder' => 'Apstipriniet paroli',
	'mobile-frontend-account-create-email-placeholder' => 'E-pasta adrese (nav obligāta)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Ievadiet apstiprinājuma kodu',
	'mobile-frontend-overlay-escape' => 'Atpakaļ',
	'mobile-frontend-placeholder' => 'Meklēt {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Meklēt {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Meklēt {{SITENAME}} (eksperimentāli)',
	'mobile-frontend-dismiss-notification' => 'paslēpt šo paziņojumu',
	'mobile-frontend-clear-search' => 'Notīrīt',
	'mobile-frontend-privacy-link-text' => 'Konfidencialitāte',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Saturs pieejams saskaņā ar [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] licenci; var tikt piemēroti papildus ierobežojumi.',
	'mobile-frontend-copyright' => 'Saturs ir pieejams saskaņā ar $1, ja vien nav norādīts citādi.',
	'mobile-frontend-footer-contact' => 'Kontakti',
	'mobile-frontend-main-menu-button-tooltip' => 'Atvērt galveno izvēlni',
	'mobile-frontend-main-menu-page-title' => 'Vietnes navigācija',
	'mobile-frontend-main-menu-nearby' => 'Tuvumā',
	'mobile-frontend-main-menu-login' => 'Pieslēgties',
	'mobile-frontend-main-menu-logout' => 'Iziet',
	'mobile-frontend-main-menu-watchlist' => 'Uzraugāmie raksti',
	'mobile-frontend-main-menu-settings' => 'Iestatījumi',
	'mobile-frontend-main-menu-upload' => 'Augšupielādes',
	'mobile-frontend-main-menu-settings-heading' => 'Iestatījumi',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} Valodas',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} ir pieejams $1 {{PLURAL:$1|valodā|valodās}}. Visas pieejamās versijas ir uzskaitītas zemāk',
	'mobile-frontend-main-menu-account-create' => 'Izveidot kontu',
	'mobile-frontend-page-menu-contents' => 'saturs',
	'mobile-frontend-page-menu-history' => 'Vēsture',
	'mobile-frontend-meta-data-issues-header' => 'Problēmas',
	'mobile-frontend-meta-data-issues' => 'Šajā lapā ir dažas problēmas',
	'mobile-frontend-page-saving' => 'Saglabā $1',
	'mobile-frontend-nearby-title' => 'Tuvumā',
	'mobile-frontend-nearby-loading' => 'Ielādē tēmas netālu no jūsu pašreizējās atrašanās vietas',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-noresults' => 'Visapkārt tik kluss... Tuvumā netika atrasta neviena lapa.',
	'mobile-frontend-nearby-noresults-guidance' => 'Pamēģiniet izveidot jaunu lapu vai pievienojiet atrašanās vietu jau esošai',
	'mobile-frontend-donate-image-nouploads' => 'Nav augšupielāžu.',
	'mobile-frontend-photo-upload-disabled' => 'Šai lapai nav nepieciešams attēls.',
	'mobile-frontend-donate-image-title' => 'Augšupielādes',
	'mobile-frontend-user-account' => 'lietotāja konts',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Sapratāt?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Jā!',
	'mobile-frontend-watchlist-add' => '$1 pievienots jūsu uzraugāmajam sarakstam',
	'mobile-frontend-watchlist-removed' => '$1 tika izņemts no jūsu uzraugāmo lapu saraksta',
	'mobile-frontend-watchlist-more' => 'vairāk',
	'mobile-frontend-watchlist-cta-button-login' => 'Pieslēgties',
	'mobile-frontend-watchlist-login-action' => 'Pieslēdzieties, lai aplūkotu.',
	'mobile-frontend-watchlist-a-z' => 'Saraksts',
	'mobile-frontend-watchlist-feed' => 'Izmaiņas',
	'mobile-frontend-watchlist-filter-all' => 'Visi',
	'mobile-frontend-watchlist-filter-articles' => 'Lapas',
	'mobile-frontend-watchlist-filter-talk' => 'Diskusijas',
	'mobile-frontend-watchlist-filter-other' => 'Citi',
	'mobile-frontend-photo-ownership-help' => 'Ko tas nozīmē?',
	'mobile-frontend-photo-ownership-confirm' => 'Sapratu!',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Sākt augšupielādi',
	'mobile-frontend-photo-upload-error' => 'Kļūda, mēģiniet vēlreiz.',
	'mobile-frontend-photo-upload-error-file-type' => 'Lūdzu, augšupielādējiet tikai attēlus.',
	'mobile-frontend-photo-submit' => 'Iesniegt',
	'mobile-frontend-editor-edit' => 'Labot',
	'mobile-frontend-editor-continue' => 'Turpināt',
	'mobile-frontend-editor-save' => 'Saglabāt',
	'mobile-frontend-editor-cancel' => 'Atcelt',
	'mobile-frontend-editor-keep-editing' => 'Turpināt labot',
	'mobile-frontend-editor-wait' => 'Saglabā labojumu, lūdzu uzgaidiet.',
	'mobile-frontend-editor-tutorial-cancel' => 'Nē, paldies',
	'tag-mobile_edit' => 'Labojums no mobilās versijas',
	'tag-mobile_edit-description' => 'Labojums veikts no lapas mobilās versijas',
	'mobile-frontend-drawer-cancel' => 'Atcelt',
	'mobile-frontend-talk-explained-empty' => 'Par šo lapu nav diskusiju.',
	'mobile-frontend-talk-overlay-header' => 'Diskusija',
	'mobile-frontend-talk-overlay-lead-header' => 'Nenosaukta diskusija',
	'mobile-frontend-talk-add-overlay-submit' => 'Pievienot diskusiju',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Tēmas nosaukums',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Kas jums prātā?',
	'mobile-frontend-talk-edit-summary' => 'Jauna diskusiju sadaļa: $1',
	'mobile-frontend-talk-reply' => 'Atbilde',
	'mobile-frontend-profile-userpage-link' => 'Apmeklēt lietotāja lapu.',
);

/** Lazuri (Lazuri)
 */
$messages['lzz'] = array(
	'mobile-frontend-search-submit' => 'İgzali',
	'mobile-frontend-home-button' => 'Dudi',
	'mobile-frontend-random-button' => 'Randomi',
	'mobile-frontend-back-to-top-of-section' => "Ar burme uk'uni idi",
	'mobile-frontend-regular-site' => "Am but'k'a normaluri Vik'ip'edias ko3'iri", # Fuzzy
	'mobile-frontend-featured-article' => "Dolonişi Favori St'at'ia", # Fuzzy
	'mobile-frontend-copyright' => "Tekst'i <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike Lisansi</a>şi doloxe ren; çkva şeyepeti ixvenen. Detayepe şeni <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Oxmaruşi K'aidepe</a>s o3'k'edit. Vik'ip'edia mogapa na var ikips ar k'idala na ren <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>-şi tesciloni mark'a muşi ren.", # Fuzzy
);

/** Malagasy (Malagasy)
 * @author Jagwar
 * @author Krinkle
 */
$messages['mg'] = array(
	'mobile-frontend-search-submit' => 'Tsidiho',
	'mobile-frontend-home-button' => 'Fandraisana',
	'mobile-frontend-generic-404-title' => 'Hadisoana - tsy hita ilay pejy',
	'mobile-frontend-generic-404-desc' => 'Tsy hia ilay pejy notadiavinao.',
	'mobile-frontend-random-button' => 'Takelaka kisendra',
	'mobile-frontend-back-to-top-of-section' => 'Hiverina any amina fizarana nialoha',
	'mobile-frontend-regular-site' => "Aseho amin'ny {{SITENAME}} tsotra ity pejy ity", # Fuzzy
	'mobile-frontend-featured-article' => "Takelak'ity andro ity", # Fuzzy
);

/** Maori (Māori)
 */
$messages['mi'] = array(
	'mobile-frontend-search-submit' => 'Haere',
);

/** Minangkabau (Baso Minangkabau)
 * @author Iwan Novirion
 */
$messages['min'] = array(
	'tag-mobile_edit' => 'Suntiangan seluler',
	'tag-mobile_edit-description' => 'Suntingan dibuek dari seluler',
);

/** Macedonian (македонски)
 * @author Bjankuloski06
 */
$messages['mk'] = array(
	'mobilefrontend-random-explain' => 'Дали ве интересира оваа случајна страница?',
	'mobilefrontend-random-cancel' => 'Да ја прочитам!',
	'mobilefrontend-keepgoing-ask' => 'Одлично! Веќе се оспособувате за уредување! Дали би сакале да уредите друга страница?',
	'mobilefrontend-keepgoing-ask-first' => 'Честитки за вашето прво уредување! Дали би сакале да уредите друга страница?',
	'mobilefrontend-keepgoing-explain' => 'Одлично! Еден наш корисник смета дека на страницава ѝ треба помош. Видете што можете да направите тука, или пак на некоја друга страница.',
	'mobilefrontend-keepgoing-cancel' => 'Не, благодарам',
	'mobilefrontend-keepgoing-suggest' => 'Да',
	'mobilefrontend-keepgoing-suggest-again' => 'Дај друга',
	'mobilefrontend-keepgoing-saved-title' => 'Уредувањето е зачувано!',
	'mobilefrontend-keepgoing-links-title' => 'Додај врски',
	'mobilefrontend-keepgoing-links-ask-first' => 'Честитаме на вашето прво уредување! Дали би сакале да ни помогнете да додадеме врски на неодамна создадена страница?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Да поправиме друга страница?',
	'mobilefrontend-keepgoing-links-explain' => 'Пронајдете уште зборови што можат да бидат врски. Околу секој збор ставете двојни квадратни загради.',
	'mobilefrontend-keepgoing-links-example' => 'на пр. $1гитара$2 да биде $3гитара$4',
	'nearby' => 'Страници во ваша близина',
	'mobile-frontend-desc' => 'Мобилен посредник',
	'mobile.css' => '/* Тука поставениот CSS ќе се применува врз корисниците на мобилното мрежно место */',
	'mobile.js' => '/* Тука поставениот JavaScript ќе им се вчитува на корисниците на мобилното мрежно место */',
	'mobile-frontend-search-submit' => 'Оди',
	'mobile-frontend-home-button' => 'Почетна',
	'mobile-frontend-logged-out' => 'Не сте најавени',
	'mobile-frontend-logged-in-homepage-notification' => 'Добре дојдовте, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Најавен како $1.',
	'mobile-frontend-generic-404-title' => 'Грешка — Не ја пронајдов страницата',
	'mobile-frontend-generic-404-desc' => 'Не ја пронајдов страницата што ја барате.',
	'mobile-frontend-sign-up-heading' => 'Регистрација',
	'mobile-frontend-sign-in-heading' => 'Најава',
	'mobile-frontend-sign-in-why' => 'Ако имате сметка на {{SITENAME}}, тогаш најавете се подолу.',
	'mobile-frontend-sign-in-error-heading' => 'Упс!',
	'mobile-frontend-settings-description' => 'Прилагодете си ја околината на мобилниот уред со овие наменски поставки.',
	'mobile-frontend-settings-beta' => 'Бета',
	'mobile-frontend-settings-alpha' => 'Експериментален режим',
	'mobile-frontend-settings-alpha-description' => 'Со ова влегувате во опасна и неистражена мобилна територија. Добивате уште повеќе експериментални функции, но со поголема опасност од бубачки и грешки.',
	'mobile-frontend-save-settings' => 'Зачувај',
	'mobile-frontend-save-error' => 'Грешка при зачувувањето на поставките. Проверете дали имате овозможено колачиња.',
	'mobile-frontend-random-button' => 'Случајна',
	'mobile-frontend-back-to-top-of-section' => 'Оди на претх. заглавие',
	'mobile-frontend-regular-site' => 'Обичен изглед',
	'mobile-frontend-wml-continue' => 'Продолжи ...',
	'mobile-frontend-wml-back' => 'Назад ...',
	'mobile-frontend-view' => 'Мобилен изглед',
	'mobile-frontend-view-desktop' => 'Обично',
	'mobile-frontend-view-mobile' => 'Мобилно',
	'mobile-frontend-cookies-required' => 'За да ги префрлате режимите на преглед, ќе ви требаат колачиња. Овозможете ги, па обидете се повторно.',
	'mobile-frontend-opt-in-explain' => 'Користејќи ја бета-верзијата добивате пристап до експериментални функции, но и можност да наидете на грешки и проблеми.',
	'mobile-frontend-images-status' => 'Слики',
	'mobile-frontend-disable-images' => 'Оневозможи слики во мобилниот изглед',
	'mobile-frontend-enable-images' => 'Овозможи слики во мобилниот изглед',
	'mobile-frontend-expand-sections-status' => 'Расклопувај ги сите делови',
	'mobile-frontend-expand-sections-description' => 'Секогаш расклопувај ги сите делови кога одам на нова страница.',
	'mobile-frontend-missing-image' => 'Слика',
	'mobile-frontend-off' => 'ИСКЛ',
	'mobile-frontend-on' => 'ВКЛЧ',
	'mobile-frontend-featured-article' => 'Содржина на денот',
	'mobile-frontend-news-items' => 'Вести',
	'mobile-frontend-languages-404-title' => 'Грешка со јазиците',
	'mobile-frontend-languages-404-desc' => 'Мора да укажете важечки наслов.',
	'mobile-frontend-languages-header' => 'Јазици',
	'mobile-frontend-languages-nonexistent-title' => 'Страницата „$1“ не постои.',
	'mobile-frontend-languages-text' => '$1 е достапна на {{PLURAL:$2|еден јазик|$2 јазици}}.',
	'mobile-frontend-languages-variant-header' => 'Варијанти на {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Јазици</strong>',
	'mobile-frontend-language-article-heading' => 'На други јазици',
	'mobile-frontend-language-header' => 'Оваа страница е достапна на $1 {{PLURAL:$1|јазик|јазици}}',
	'mobile-frontend-language-variant-header' => 'Одберете ја варијантата на {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Пребарување на јазик',
	'mobile-frontend-username' => 'Корисничко име:',
	'mobile-frontend-password' => 'Лозинка:',
	'mobile-frontend-username-placeholder' => 'Корисничко име',
	'mobile-frontend-password-placeholder' => 'Лозинка',
	'mobile-frontend-login' => 'Најава',
	'mobile-frontend-history' => 'Преглед и уредување на историјата на страницава.',
	'mobile-frontend-history-404-title' => 'Нема таква страница',
	'mobile-frontend-history-404-desc' => 'Не можам да прикажам страница со историја што не постои. Може да е избришана или да сте проследиле неисправна врска.',
	'mobile-frontend-history-no-results' => 'Нема историја што одговара на укажаниот филтер.',
	'mobile-frontend-contribution-summary' => 'Сите уредувања на {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Историја на страницата [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Последна измена на $1, во $2 ч.',
	'mobile-frontend-last-modified-seconds' => 'Последните измени се направени пред {{PLURAL:$1|$1 секунда|$1 секунди}}',
	'mobile-frontend-last-modified-minutes' => 'Последните измени се направени пред {{PLURAL:$1|$1 минута|$1 минути}}',
	'mobile-frontend-last-modified-hours' => 'Последните измени се направени пред {{PLURAL:$1|$1 час|$1 часа}}',
	'mobile-frontend-last-modified-days' => 'Последните измени се направени пред {{PLURAL:$1|$1 ден|$1 дена}}',
	'mobile-frontend-last-modified-months' => 'Последните измени се направени пред {{PLURAL:$1|$1 месец|$1 месеци}}',
	'mobile-frontend-last-modified-years' => 'Последните измени се направени пред {{PLURAL:$1|$1 година|$1 години}}',
	'mobile-frontend-last-modified-just-now' => 'Штотуку изменета',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Последното уредување е {{GENDER:$1|направено}} пред {{PLURAL:$3|една секунда|$3 секунди}}] од {{PLURAL:$5|[$6 $2]|0=анонимен корисник}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Последното уредување е {{GENDER:$1|направено}} пред {{PLURAL:$3|една минута|$3 минути}}] од {{PLURAL:$5|[$6 $2]|0=анонимен корисник}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Последното уредување е {{GENDER:$1|направено}} пред {{PLURAL:$3|еден час|$3 часа}}] од {{PLURAL:$5|[$6 $2]|0=анонимен корисник}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Последното уредување е {{GENDER:$1|направено}} пред {{PLURAL:$3|еден ден|$3 дена}}] од {{PLURAL:$5|[$6 $2]|0=анонимен корисник}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Последното уредување е {{GENDER:$1|направено}} пред {{PLURAL:$3|еден месец|$3 месеци}}] од {{PLURAL:$5|[$6 $2]|0=анонимен корисник}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Последното уредување е {{GENDER:$1|направено}} пред {{PLURAL:$3|една година|$3 години}}] од {{PLURAL:$5|[$6 $2]|0=анонимен корисник}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Штотуку направено {{GENDER:$1|уредување}}]. Вршител: {{PLURAL:$4|[$5 $2]|0=анонимен корисник}}.',
	'mobile-frontend-view-source' => 'Извор',
	'mobile-frontend-account-create-submit' => 'Регистрација',
	'mobile-frontend-password-confirm-placeholder' => 'Потврдете ја лозинката',
	'mobile-frontend-account-create-email-placeholder' => 'Е-пошта (незадолжително)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Внесете го потврдниот код',
	'mobile-frontend-overlay-escape' => 'Назад',
	'mobile-frontend-overlay-close' => 'Затвори',
	'mobile-frontend-overlay-continue' => 'Продолжи',
	'mobile-frontend-placeholder' => 'Пребарајте ја {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Пребарување на {{SITENAME}} (бета)',
	'mobile-frontend-placeholder-alpha' => 'Пребарајте по {{SITENAME}} (експериментално)',
	'mobile-frontend-dismiss-notification' => 'отстрани го известувањето',
	'mobile-frontend-clear-search' => 'Исчисти',
	'mobile-frontend-search-content' => 'Пребарајте по страниците',
	'mobile-frontend-search-no-results' => 'Нема страница со таков наслов.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' за да видите дали изразот се јавува некаде.",
	'mobile-frontend-privacy-link-text' => 'Приватност',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Содржините се достапни под лиценцата [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; може да важат дополнителни услови',
	'mobile-frontend-copyright' => 'Содржината е достапна под $1 освен ако не е поинаку наведено.',
	'mobile-frontend-footer-contact' => 'Контакт',
	'mobile-frontend-terms-text' => 'Услови на употреба',
	'mobile-frontend-main-menu-button-tooltip' => 'Отвори го главното мени',
	'mobile-frontend-main-menu-page-title' => 'Навигација',
	'mobile-frontend-main-menu-featured' => 'Избрано',
	'mobile-frontend-main-menu-nearby' => 'Во близина',
	'mobile-frontend-main-menu-login' => 'Најава',
	'mobile-frontend-main-menu-logout' => 'Одјава',
	'mobile-frontend-main-menu-watchlist' => 'Набљудувања',
	'mobile-frontend-main-menu-settings' => 'Нагодувања',
	'mobile-frontend-main-menu-upload' => 'Подигања',
	'mobile-frontend-main-menu-settings-heading' => 'Поставки',
	'mobile-frontend-settings-site-header' => 'Јазици на {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} се нуди на $1 {{PLURAL:$1|јазик|јазици}}. Сите расположиви верзии се наведени подолу',
	'mobile-frontend-main-menu-account-create' => 'Направи сметка',
	'mobile-frontend-page-menu-contents' => 'содржина',
	'mobile-frontend-page-menu-history' => 'Историја',
	'mobile-frontend-meta-data-issues-header' => 'Проблеми',
	'mobile-frontend-meta-data-issues' => 'Страницава има извесни проблеми',
	'mobile-frontend-page-saving' => 'Го зачувувам $1',
	'mobile-frontend-user-cta' => 'Најавете се или регистрирајте се за да ги погледате вашите известувања',
	'mobile-frontend-user-button-tooltip' => 'Прикажи ги моите известувања',
	'mobile-frontend-nearby-to-page' => 'Следниве страници се поврзани со $1 по географска местоположба',
	'mobile-frontend-nearby-title' => 'Во близина',
	'mobile-frontend-nearby-loading' => 'Вчитувам теми во ваша близина',
	'mobile-frontend-nearby-requirements' => 'Жалиме! Вашиот прелистувач не поддржува „Во близина“ на {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Користете друг прелистувач или вклучете JavaScript ако ви е исклучен.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 км}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 м}}',
	'mobile-frontend-nearby-lookup-ui-error' => '„Во близина“ на {{SITENAME}} не може да утвртди каде се ноаѓате… Да се обиде повторно?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Појдете на поотворен простор со подобар сигнал.',
	'mobile-frontend-nearby-permission' => '„Во околина“ на {{SITENAME}} нема дозвола да ја дознае вашата местоположба.',
	'mobile-frontend-nearby-permission-guidance' => 'Дајте му дозвола на програмот за да знае каде сте. Може да треба да ги проверите поставките за местоположба во прелистувачот.',
	'mobile-frontend-nearby-noresults' => 'Не најдов ниедна страница во близина.',
	'mobile-frontend-nearby-noresults-guidance' => 'Направете нова страница или додајте место во некоја постоечка',
	'mobile-frontend-nearby-refresh' => 'Најдов поточна местоположба на местото. Стиснете тука за да го освежите списокот на страници во близина',
	'mobile-frontend-nearby-error' => '„Во близина“ на {{SITENAME}} се соочува со проблеми.',
	'mobile-frontend-nearby-error-guidance' => 'Превчитајте го местото кајшто се наоѓате.',
	'mobile-frontend-nearby-link' => 'Прочитајте ја страницава целосно',
	'mobile-frontend-nearby-directions' => 'Појди тука',
	'mobile-frontend-donate-image-nouploads' => 'Нема ништо подигнато.',
	'mobile-frontend-donate-image-login' => 'Слики и снимки на {{SITENAME}} дарувани од луѓе како Вас.',
	'mobile-frontend-donate-image-login-action' => 'Најавете се за да ги споделите Вашите слики и снимки.',
	'mobile-frontend-donate-image-signup-action' => 'Регистрирајте се за да ги споделите Вашите слики и снимки со светот.',
	'mobile-frontend-photo-upload-disabled' => 'На страницава не ѝ треба ниедна слика.',
	'mobile-frontend-photo-upload-anon' => 'Најавете се за да ставите слика на страницава.',
	'mobile-frontend-photo-upload-protected' => 'Немате дозвола да додавате слики на страницава.',
	'mobile-frontend-photo-upload-unavailable' => 'Вашиот прелистувач не поддржува подигање на слики.',
	'mobile-frontend-photo-upload-generic' => 'Приложете ваша слика',
	'mobile-frontend-donate-image-title' => 'Подигања',
	'mobile-frontend-donate-image-heading' => 'Ваши скорешни придонеси',
	'mobile-frontend-donate-image-anon' => 'За да ја гледате страницата со подигања, ќе ви треба $1.',
	'mobile-frontend-user-account' => 'корисничка сметка',
	'mobile-frontend-listed-image-no-description' => 'Нема опис',
	'mobile-frontend-donate-photo-upload-success' => 'Успешно! Вашата слика сега може да се користи на {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Успешно! Благодариме за вашиот прв придонес!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Споделете ги вашите слики. Да ги оживееме статиите на {{SITENAME}}!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Сликите на {{SITENAME}} доаѓаат од Ризницата',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Со вашите слики помагате во образованието
на луѓето ширум светот.',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Избегнуавјте материјали што сте
ги нашле на интернет, како и
слики од плакати, корици од книги и тн.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Бевме јасни?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Да!',
	'mobile-frontend-watchlist-add' => '„$1“ е додадена во набљудуваните',
	'mobile-frontend-watchlist-removed' => '„$1“ е отстранета од набљудуваните',
	'mobile-frontend-watchlist-view' => 'Погл. вашиот список на набљудувања',
	'mobile-frontend-watchlist-more' => 'повеќе',
	'mobile-frontend-watchlist-cta' => 'Бидете во тек со сите случувања и измени на страницава.',
	'mobile-frontend-watchlist-cta-button-login' => 'Најава',
	'mobile-frontend-watchlist-cta-button-signup' => 'Регистрација',
	'mobile-frontend-watchlist-purpose' => 'Со списокот на набљудувања можете да обележувате страници и да ги следите промените што ќе им се случуваат.',
	'mobile-frontend-watchlist-login-action' => 'Најавете се за да ја погледате.',
	'mobile-frontend-watchlist-signup-action' => 'Регистрирајте се сега за да го започнете.',
	'mobile-frontend-generic-login' => '{{SITENAME}} е дело на луѓе како Вас.',
	'mobile-frontend-generic-login-action' => 'Најавете се за да учествувате.',
	'mobile-frontend-generic-signup-action' => 'Регистрирајте се за да учествувате.',
	'mobile-frontend-watch-login' => 'Додај ја страницата „$1“ во набљудуваните.',
	'mobile-frontend-edit-login' => 'Помогнете ни да ја подобриме страницата „$1“.',
	'mobile-frontend-edit-login-action' => 'Најавете се за да уредувате.',
	'mobile-frontend-edit-signup-action' => 'Регистрирајте се за да уредувате.',
	'mobile-frontend-watchlist-a-z' => 'Список',
	'mobile-frontend-watchlist-feed' => 'Изменети',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Стиснете на ѕвездата најгоре на страницата',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Засега не набљудувате ниедна страница. Списокот на набљудувања ви овозможува да го следите развојот/измените на страниците што ве интересираат. За да ја следите страницата, тапнете на ѕвездата горе.',
	'mobile-frontend-watchlist-feed-empty' => 'Нема ниедна страница во скорешните промени',
	'mobile-frontend-watchlist-back-home' => 'Назад на почетна',
	'mobile-frontend-changeslist-ip' => 'Анонимен корисник',
	'mobile-frontend-changeslist-nocomment' => 'нема опис на уредувањето',
	'mobile-frontend-watchlist-filter-all' => 'Сите',
	'mobile-frontend-watchlist-filter-articles' => 'Страници',
	'mobile-frontend-watchlist-filter-talk' => 'Разговор',
	'mobile-frontend-watchlist-filter-other' => 'Други',
	'mobile-frontend-watchlist-modified' => 'Изменето $1',
	'mobile-frontend-diffview-404-title' => 'Неисправна ревизија',
	'mobile-frontend-diffview-404-desc' => 'Побараната назнаката на ревизијата не постои',
	'mobile-frontend-diffview-title' => 'Промени',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|уредување|уредувања}}',
	'mobile-frontend-diffview-anonymous' => 'Анонимен корисник',
	'mobile-frontend-diffview-bytesadded' => '{{PLURAL:$1|Додаден $1 бајт|Додадени $1 бајти}}',
	'mobile-frontend-diffview-bytesremoved' => '{{PLURAL:$1|Одземен $1 бајт|Одземени $1 бајти}}',
	'mobile-frontend-diffview-explained' => 'Следниве редови се додадени (+) и отстранети (-):',
	'mobile-frontend-thanked-notice' => '$1 доби известие дека ви се допаѓа {{GENDER:$2|неговото|нејзиното|направеното}} уредување.',
	'mobile-frontend-saving-exit-page' => 'Вашите придонеси сè уште се зачувуваат. Доколку напуштите, ќе ги изгубите придонесите. Дали сте сигурни дека сакате да излезете?',
	'mobile-frontend-photo-upload' => 'Стави слика во страницава',
	'mobile-frontend-photo-article-edit-comment' => 'Ставена слика за употреба во страница',
	'mobile-frontend-photo-article-donate-comment' => 'Приложена слика од Специјална:Подигања',
	'mobile-frontend-photo-upload-comment' => 'Ставена слика во страница',
	'mobile-frontend-photo-caption-placeholder' => 'Опишете ја сликава (задолжително)',
	'mobile-frontend-photo-ownership' => 'Јас, $1 ја направив сликава.',
	'mobile-frontend-photo-ownership-help' => 'Што значи ова?',
	'mobile-frontend-photo-ownership-confirm' => 'Јасно!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Сликата треба да ја илустрира статијата. Треба да биде слика што вие сте ја создале и да не прекршува авторски права.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Почнете со подигање',
	'mobile-frontend-photo-upload-error' => 'Грешка. Обидете се повторно.',
	'mobile-frontend-photo-upload-error-file-type' => 'Подигајте само слики.',
	'mobile-frontend-photo-upload-error-filename' => 'Грешка. Напишете нешто поописно.',
	'mobile-frontend-photo-upload-success-article' => 'Успеа! Вашата слика сега поставена на страницата.',
	'mobile-frontend-photo-license' => 'Подигајќи ја сликава, се согласувате на [//wikimediafoundation.org/wiki/Terms_of_use/mk Условите на употреба] и се согласувате да ја објавите сликата под лиценцата [//creativecommons.org/licenses/by-sa/3.0/deed.mk Криејтив комонс НаведиИзвор-СподелиПодИстиУслови 3.0].',
	'mobile-frontend-photo-submit' => 'Поднеси',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> подигање|<span>$1</span> подигања}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ подигања',
	'mobile-frontend-image-heading-describe' => "'''Опишете''' ја сликата",
	'mobile-frontend-image-uploading' => "Ја '''подигам''' сликата...",
	'mobile-frontend-image-cancel-confirm' => 'Да го откажам подигањето?',
	'mobile-frontend-editor-redirect-title' => 'Пренасочувам кон уредувачот...',
	'mobile-frontend-editor-unavailable-header' => 'Уредувачот е недостапен',
	'mobile-frontend-editor-unavailable' => 'Вашиот прелистувач моментално не поддржува мобилно уредување. Користете друг.',
	'mobile-frontend-editor-undo-unsupported' => 'Поништувањето засега не е достапно на мобилни уреди.',
	'mobile-frontend-editor-newpage-prompt' => 'Страницата не постои. Бидете смели — Направете ја!',
	'mobile-frontend-editor-disabled' => 'Страницава е заштитена за да се спречи вандализам.',
	'mobile-frontend-editor-blocked' => 'Сметката ви е заклучена за уредување.',
	'mobile-frontend-editor-cta' => 'Помогнете ни да ја подобриме страницава!',
	'mobile-frontend-editor-edit' => 'Уреди',
	'mobile-frontend-editor-continue' => 'Продолжи',
	'mobile-frontend-editor-save' => 'Зачувај',
	'mobile-frontend-editor-cancel' => 'Откажи',
	'mobile-frontend-editor-keep-editing' => 'Назад на уредувањето',
	'mobile-frontend-editor-license' => 'Зачувувајќи ги измените, се согласувате со нашите [//wikimediafoundation.org/wiki/Terms_of_use/mk?uselang=mk Услови на употреба] и се сложувате вашиот текст да се објавува под лиценците [//creativecommons.org/licenses/by-sa/3.0/deed.mk CC BY-SA 3.0] и [//mk.wikipedia.org/wiki/Википедија:ГНУ-ова_лиценца_за_слободна_документација ГЛСД].',
	'mobile-frontend-editor-placeholder' => 'Овој дел е празен. Слободно исполнете го со содржини.',
	'mobile-frontend-editor-summary-placeholder' => 'Кажете какви измени направивте (незадолжително)',
	'mobile-frontend-editor-cancel-confirm' => 'Навистина сакате да го напуштите уредувањето?',
	'mobile-frontend-editor-wait' => 'Го зачувувам уредувањето. Почекајте.',
	'mobile-frontend-editor-success' => 'Одлично! Уредувањето е зачувано.',
	'mobile-frontend-editor-success-landmark-1' => 'Честитаме! Сега сте уредник на {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Грешка — уредувањето не е зачувано.',
	'mobile-frontend-editor-error-conflict' => 'Грешка: Страницата ја има уредено друг корисник.',
	'mobile-frontend-editor-error-loading' => 'Грешка: Не можам да го вчитам поднасловот.',
	'mobile-frontend-editor-error-preview' => 'Грешка — се случи нешто неочекувано при вчитувањето на прегледот. Затворете го и обидете се пак.',
	'mobile-frontend-editor-tutorial-summary' => 'Нека не ве плаши викикодот. Повелете, подобрете ја страницата $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Зошто не подобрите страницата „$1“? Не плашете се од викитекстот!',
	'mobile-frontend-editor-tutorial-confirm' => 'Почнете со уредување',
	'mobile-frontend-editor-tutorial-cancel' => 'Не, благодарам',
	'mobile-frontend-editor-captcha-try-again' => 'Погрешен код. Обидете се повторно.',
	'mobile-frontend-editor-abusefilter-warning' => 'Предупредување: Дали сте сигурни дека сакате да го зачувате уредувањето? Може да е проблематично.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Не можам да го зачувам уредувањето бидејќи востановив проблем.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Прочитајте повеќе',
	'mobile-frontend-editor-editing-page' => '<strong>Уредување</strong><span> на $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Преглед</strong><span> на $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Преглед на изворот</strong><span>на $1</span>',
	'tag-mobile_edit' => 'Мобилно уредување',
	'tag-mobile_edit-description' => 'Уредување извршено од мобилната варијанта на викито',
	'mobile-frontend-drawer-cancel' => 'Откажи',
	'mobile-frontend-talk-explained' => 'Моментално се активни следниве разговори',
	'mobile-frontend-talk-explained-empty' => 'Нема разговори за страницава.',
	'mobile-frontend-talk-overlay-header' => 'Разговор',
	'mobile-frontend-talk-back-to-page' => 'Назад на страницата „$1“.',
	'mobile-frontend-talk-overlay-lead-header' => 'Безимена расправа',
	'mobile-frontend-talk-add-overlay-submit' => 'Додај расправа',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Тема',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Што имате на ум?',
	'mobile-frontend-talk-edit-summary' => 'Нова тема на разговор: $1',
	'mobile-frontend-talk-reply-success' => 'Одговорот е успешно зачуван на страницата за разговор.',
	'mobile-frontend-talk-reply-info' => 'Одговорот ќе биде автоматски потпишан со вашето корисничко име.',
	'mobile-frontend-talk-reply' => 'Одговори',
	'mobile-frontend-talk-topic-feedback' => 'Во страницата за разговор се додадени нови теми!',
	'mobile-frontend-media-details' => 'Подробно',
	'mobile-frontend-media-license-link' => 'Информации за лиценца',
	'abusefilter-edit-builder-vars-user-mobile' => 'Дали корисникот уредува од мобилниот посредник',
	'mobile-frontend-profile-title' => 'Кориснички профил',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Подигнато}} {{PLURAL:$1|вчера|пред $1 дена|0=денес}}.',
	'mobile-frontend-profile-usertalk' => 'Разговарајте со {{GENDER:$1|$1}}',
	'mobile-frontend-profile-error' => 'Се извинуваме',
	'mobile-frontend-profile-noargs' => 'Нема наведено корисничко име. Укажете го за да го погледате профилот.',
	'mobile-frontend-profile-nouser' => 'Нема корисник со тоа име. Проверете дали сте го внеле правилно, вклучувајќи големи и мали букви.',
	'mobile-frontend-profile-activity-heading' => 'Скорешни активности',
	'mobile-frontend-profile-userpage-link' => 'Посетете ја корисничката страница',
	'mobile-frontend-requires-optin' => 'Страницава не е достапна доколку не изберете да ги користите бета-можностите. Ова можете да го направите во [[Special:MobileOptions|поставките]].',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Добил благодарност|Добила благодарност|Доби благодарност}} {{GENDER:$1|од}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Ја измени}} страницата [[:$1]], {{PLURAL:$2|вчера|пред $2 дена|0=денес}}.',
	'mobile-frontend-profile-footer-days' => 'Регистриран пред {{PLURAL:$2|еден ден|$2 дена}} со [[Special:Contributions/$1|{{PLURAL:$3|едно уредување|$3 уредувања}}]] и [[Special:Uploads/$1|{{PLURAL:$4|едно подигање|$4 подигања|500=преку 500 подигања}}]].',
	'mobile-frontend-profile-footer-months' => 'Регистриран пред {{PLURAL:$2|еден месец|$2 месеци}} со [[Special:Contributions/$1|{{PLURAL:$3|едно уредување|$3 уредувања}}]] и [[Special:Uploads/$1|{{PLURAL:$4|едно подигање|$4 подигања|500=преку 500 подигања}}]].',
	'mobile-frontend-profile-footer-years' => 'Регистриран пред {{PLURAL:$2|една година|$2 години}} со [[Special:Contributions/$1|{{PLURAL:$3|едно уредување|$3 уредувања}}]] и [[Special:Uploads/$1|{{PLURAL:$4|едно подигање|$4 подигања|500=преку 500 подигања}}]].',
	'mobile-frontend-geonotahack' => 'Во околина на страницава',
	'beta-feature-geonotahack' => 'Во околина на страницава',
	'beta-feature-geonotahack-description' => 'Откријте други поврзани страници со слични координатни податоци како оние што ги гледате.',
	'mobile-frontend-mainpage-cta-prompt' => 'На страницава ѝ треба Вашата помош!',
	'mobile-frontend-mainpage-cta-button' => 'Подобри ја страницава',
	'beta-feature-minerva' => 'Вклучи го мобилното руво (Минерва) како обично',
	'beta-feature-minerva-description' => 'Можност рувото за мобилни уреди да се користи обично (немобилно), избирајќи го во јазичето „Изглед“ во нагодувањата.',
);

/** Malayalam (മലയാളം)
 * @author Akhilan
 * @author Praveenp
 * @author Raghith
 * @author Santhosh.thottingal
 * @author Suresh.balasubra
 * @author Vssun
 */
$messages['ml'] = array(
	'mobilefrontend-random-explain' => 'ക്രമരഹിതമായി എടുത്ത ഈ താൾ താങ്കൾക്ക് താത്പര്യമുള്ളതാണോ?',
	'mobilefrontend-random-cancel' => 'ഞാനൊന്ന് വായിക്കട്ടെ!',
	'mobilefrontend-keepgoing-ask' => 'കൊള്ളാം! താങ്കൾക്ക് ഇത് യോജിക്കും! മറ്റൊരു താൾ തിരുത്തി നോക്കുന്നോ?',
	'mobilefrontend-keepgoing-ask-first' => 'താങ്കളുടെ ആദ്യ തിരുത്തിന് അഭിനന്ദനങ്ങൾ! മറ്റൊരു താൾ തിരുത്തി നോക്കുന്നോ?',
	'mobilefrontend-keepgoing-explain' => 'അടിപൊളി! മറ്റൊരു ഉപയോക്താവ് ഈ താളിൽ സഹായമാവശ്യപ്പെട്ടിട്ടുണ്ട്. ഇതോ മറ്റേതെങ്കിലുമോ പരീക്ഷിക്കുക.',
	'mobilefrontend-keepgoing-cancel' => 'വേണ്ട, നന്ദി',
	'mobilefrontend-keepgoing-suggest' => 'ശരി, നോക്കാം',
	'mobilefrontend-keepgoing-suggest-again' => 'മറ്റൊരെണ്ണം പരീക്ഷിക്കുക',
	'mobilefrontend-keepgoing-saved-title' => 'തിരുത്ത് സേവ് ചെയ്തിരിക്കുന്നു!',
	'mobilefrontend-keepgoing-links-title' => 'കണ്ണികൾ ചേർക്കുക',
	'mobilefrontend-keepgoing-links-ask-first' => 'അദ്യതിരുത്തിന് അഭിനന്ദനങ്ങൾ! ഇപ്പോൾ സൃഷ്ടിച്ച താളിലേയ്ക്ക് കണ്ണികൾ ചേർക്കാൻ ആഗ്രഹിക്കുന്നോ?',
	'mobilefrontend-keepgoing-links-ask-again' => 'മറ്റൊരു താൾ ശരിയാക്കാം?',
	'mobilefrontend-keepgoing-links-explain' => 'കണ്ണികളാവാൻ സാദ്ധ്യതയുള്ള കൂടുതൽ വാക്കുകൾ കണ്ടെത്തുക. വാക്കിനിരുവശത്തും ഇരട്ട കോഷ്ഠകങ്ങൾ ചേർക്കുക.',
	'mobilefrontend-keepgoing-links-example' => 'ഉദാ: $1കേരളം$2 എന്നത് $3കേരളം$4 എന്നാകും',
	'nearby' => 'താങ്കളുടെ സമീപസ്ഥവിഷയങ്ങളെക്കുറിച്ചുള്ള താളുകൾ',
	'mobile-frontend-desc' => 'മൊബൈൽ മുഖം',
	'mobile-frontend-search-submit' => 'പോകൂ',
	'mobile-frontend-home-button' => 'പ്രധാനം',
	'mobile-frontend-logged-out' => 'പ്രവേശിച്ചിട്ടില്ല',
	'mobile-frontend-logged-in-homepage-notification' => 'സ്വാഗതം, $1!',
	'mobile-frontend-logged-in-toast-notification' => '$1 ആയി പ്രവേശിച്ചിരിക്കുന്നു.',
	'mobile-frontend-generic-404-title' => 'പിഴവ് - താൾ കണ്ടെത്താനായില്ല',
	'mobile-frontend-generic-404-desc' => 'താങ്കൾ നോക്കിയ താൾ കണ്ടെത്താൻ കഴിഞ്ഞില്ല.',
	'mobile-frontend-sign-up-heading' => 'അംഗത്വമെടുക്കുക',
	'mobile-frontend-sign-in-heading' => 'പ്രവേശിക്കുക',
	'mobile-frontend-sign-in-why' => 'താങ്കൾക്ക് {{SITENAME}} അംഗത്വമുണ്ടെങ്കിൽ, താഴെ പ്രവേശിക്കുക.',
	'mobile-frontend-sign-in-error-heading' => 'അയ്യോ!',
	'mobile-frontend-settings-description' => 'മൊബൈലിനായുള്ള ഈ സൈറ്റ് സജ്ജീകരണങ്ങൾ ഉപയോഗിച്ച് താങ്കളുടെ മൊബൈൽ ഉപകരണങ്ങളിലെ അനുഭവം മെച്ചപ്പെടുത്തുക.',
	'mobile-frontend-settings-beta' => 'ബീറ്റ',
	'mobile-frontend-settings-alpha' => 'പരീക്ഷണാടിസ്ഥാനത്തിലുള്ള രീതികൾ',
	'mobile-frontend-settings-alpha-description' => 'അപകടകരവും പരീക്ഷിക്കാത്തതുമായ മൊബൈൽ മേഖലയിലേയ്ക്ക് കടക്കുക. കൂടുതൽ പരീക്ഷണാടിസ്ഥാനത്തിലുള്ള സവിശേഷതകൾ ഉപയോഗിക്കുക, പക്ഷേ അപകടകരമായ ബഗുകൾ ഉണ്ടായേക്കാം.',
	'mobile-frontend-save-settings' => 'സേവ് ചെയ്യുക',
	'mobile-frontend-save-error' => 'സജ്ജീകരണങ്ങൾ സേവ് ചെയ്യുന്നതിനിടെ പിഴവുണ്ടായി. താങ്കൾ കുക്കികൾ സജ്ജമാക്കിയിട്ടുണ്ടോ എന്ന് പരിശോധിക്കുക.',
	'mobile-frontend-random-button' => 'ക്രമരഹിതം',
	'mobile-frontend-back-to-top-of-section' => 'ഒരു ഉപഖണ്ഡം പുറകിലേയ്ക്ക് പോവുക',
	'mobile-frontend-regular-site' => 'ഡെസ്ക്ടോപ്പ് രൂപം',
	'mobile-frontend-wml-continue' => 'തുടരുക...',
	'mobile-frontend-wml-back' => 'പിന്നിലേക്ക് ...',
	'mobile-frontend-view' => 'മൊബൈൽ ദൃശ്യരൂപം',
	'mobile-frontend-view-desktop' => 'ഡെസ്ക്ടോപ്പ്',
	'mobile-frontend-view-mobile' => 'മൊബൈൽ',
	'mobile-frontend-cookies-required' => 'ദൃശ്യ രീതികൾ മാറ്റുവാൻ കുക്കികൾ ആവശ്യമാണ്. അവ സജ്ജമാക്കിയ ശേഷം വീണ്ടും ശ്രമിക്കുക.',
	'mobile-frontend-opt-in-explain' => 'ബീറ്റയിൽ പങ്കു ചേരുമ്പോൾ താങ്കൾക്ക് പരീക്ഷണത്തിലുള്ള സവിശേഷഗുണങ്ങൾ ലഭ്യമാകും, പക്ഷേ ബഗ്ഗുകളും പ്രശ്നങ്ങളും നേരിടേണ്ടി വന്നേക്കാം.',
	'mobile-frontend-images-status' => 'ചിത്രങ്ങൾ',
	'mobile-frontend-disable-images' => 'മൊബൈൽ സൈറ്റിൽ ചിത്രങ്ങൾ പ്രവർത്തനരഹിതമാക്കുക',
	'mobile-frontend-enable-images' => 'മൊബൈൽ സൈറ്റിൽ ചിത്രങ്ങൾ പ്രവർത്തനസജ്ജമാക്കുക',
	'mobile-frontend-expand-sections-status' => 'എല്ലാ ഭാഗങ്ങളും വികസിപ്പിക്കുക',
	'mobile-frontend-expand-sections-description' => 'പുതിയ താളിലേക്ക് പോകുമ്പോൾ എല്ലാ ഭാഗങ്ങളും വികസിപ്പിക്കുക.',
	'mobile-frontend-missing-image' => 'ചിത്രം',
	'mobile-frontend-off' => 'വേണ്ട',
	'mobile-frontend-on' => 'വേണം',
	'mobile-frontend-featured-article' => 'ഇന്നത്തെ തിരഞ്ഞെടുത്ത ഉള്ളടക്കം',
	'mobile-frontend-news-items' => 'വാർത്തയിൽ',
	'mobile-frontend-languages-404-title' => 'ഭാഷകളിൽ പിഴവ്',
	'mobile-frontend-languages-404-desc' => 'സാധുവായ തലക്കെട്ട് നൽകിയിരിക്കണം.',
	'mobile-frontend-languages-header' => 'ഭാഷകൾ',
	'mobile-frontend-languages-nonexistent-title' => '"$1" എന്ന താൾ നിലവിലില്ല.',
	'mobile-frontend-languages-text' => '{{PLURAL:$2|ഒരു ഭാഷയിൽ|$2 ഭാഷകളിൽ}} $1 എന്ന താൾ ലഭ്യമാണ്.',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}} ഇതരരൂപങ്ങൾ',
	'mobile-frontend-language-heading' => '<strong>ഭാഷകൾ</strong>',
	'mobile-frontend-language-article-heading' => 'മറ്റൊരു ഭാഷയിൽ വായിക്കുക',
	'mobile-frontend-language-header' => 'ഈ താൾ {{PLURAL:$1|ഒരു ഭാഷയിൽ|$1 ഭാഷകളിൽ}} ലഭ്യമാണ്',
	'mobile-frontend-language-variant-header' => '{{#language:{{CONTENTLANG}}}} ഇതരരൂപം തിരഞ്ഞെടുക്കുക',
	'mobile-frontend-language-site-choose' => 'ഭാഷ തിരയുക',
	'mobile-frontend-username' => 'ഉപയോക്തൃനാമം:',
	'mobile-frontend-password' => 'രഹസ്യവാക്ക്:',
	'mobile-frontend-username-placeholder' => 'ഉപയോക്തൃനാമം',
	'mobile-frontend-password-placeholder' => 'രഹസ്യവാക്ക്',
	'mobile-frontend-login' => 'പ്രവേശിക്കുക',
	'mobile-frontend-history' => 'ഈ താളിന്റെ തിരുത്തൽ നാൾവഴി കാണുക.',
	'mobile-frontend-history-404-title' => 'അത്തരത്തിലൊരു താളില്ല',
	'mobile-frontend-history-404-desc' => 'നിലവിലില്ലാത്ത താളിന്റെ നാൾവഴി കാണാനാകില്ല. താൾ മായ്ക്കപ്പെട്ടിരിക്കുകയോ താങ്കൾ തെറ്റായ കണ്ണി വഴി എത്തിയതോ ആകാം.',
	'mobile-frontend-history-no-results' => 'നൽകിയിരിക്കുന്ന അരിപ്പയുമായി ചേർന്നുപോകുന്ന നാൾവഴിയൊന്നും കണ്ടെത്താനായില്ല.',
	'mobile-frontend-contribution-summary' => 'എല്ലാ തിരുത്തുകളും ചെയ്തത് {{GENDER:$1|[[Special:UserProfile/$1|$1]]}} ആണ്',
	'mobile-frontend-history-summary' => '[[:$1]] എന്ന താളിന്റെ നാൾവഴി',
	'mobile-frontend-last-modified-date' => 'അവസാനം പുതുക്കപ്പെട്ടത് $1, $2',
	'mobile-frontend-last-modified-seconds' => '{{PLURAL:$1|ഒരു സെക്കൻഡ്|$1 സെക്കൻഡ്}} മുമ്പാണ് അവസാനം പുതുക്കിയത്',
	'mobile-frontend-last-modified-minutes' => '{{PLURAL:$1|ഒരു മിനിറ്റ്|$1 മിനിറ്റ്}} മുമ്പാണ് അവസാനം പുതുക്കിയത്',
	'mobile-frontend-last-modified-hours' => '{{PLURAL:$1|ഒരു മണിക്കൂർ|$1 മണിക്കൂർ}} മുമ്പാണ് അവസാനം പുതുക്കിയത്',
	'mobile-frontend-last-modified-days' => '{{PLURAL:$1|ഒരു ദിവസം|$1 ദിവസം}} മുമ്പാണ് അവസാനം പുതുക്കിയത്',
	'mobile-frontend-last-modified-months' => '{{PLURAL:$1|ഒരു മാസം|$1 മാസം}} മുമ്പാണ് അവസാനം പുതുക്കിയത്',
	'mobile-frontend-last-modified-years' => '{{PLURAL:$1|ഒരു വർഷം|$1 വർഷം}} മുമ്പാണ് അവസാനം പുതുക്കിയത്',
	'mobile-frontend-last-modified-just-now' => 'അവസാനം തിരുത്തപ്പെട്ടത് ഇപ്പോഴാണ്',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 അവസാനം {{GENDER:$1|തിരുത്തിയത്}} {{PLURAL:$3|ഒരു സെക്കൻഡ്|$3 സെക്കൻഡ്}} മുമ്പ്] {{PLURAL:$5|[$6 $2]|0=ഒരു അജ്ഞാത ഉപയോക്താവ്}} ആണ്',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 അവസാനം {{GENDER:$1|തിരുത്തിയത്}} {{PLURAL:$3|ഒരു മിനിറ്റ്|$3 മിനിറ്റ്}} മുമ്പ്] {{PLURAL:$5|[$6 $2]|0=ഒരു അജ്ഞാത ഉപയോക്താവ്}} ആണ്',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 അവസാനം {{GENDER:$1|തിരുത്തിയത്}} {{PLURAL:$3|ഒരു മണിക്കൂർ|$3 മണിക്കൂർ}} മുമ്പ്] {{PLURAL:$5|[$6 $2]|0=ഒരു അജ്ഞാത ഉപയോക്താവ്}} ആണ്',
	'mobile-frontend-last-modified-with-user-days' => '[$4 അവസാനം {{GENDER:$1|തിരുത്തിയത്}} {{PLURAL:$3|ഒരു ദിവസം|$3 ദിവസം}} മുമ്പ്] {{PLURAL:$5|[$6 $2]|0=ഒരു അജ്ഞാത ഉപയോക്താവ്}} ആണ്',
	'mobile-frontend-last-modified-with-user-months' => '[$4 അവസാനം {{GENDER:$1|തിരുത്തിയത്}} {{PLURAL:$3|ഒരു മാസം|$3 മാസം}} മുമ്പ്] {{PLURAL:$5|[$6 $2]|0=ഒരു അജ്ഞാത ഉപയോക്താവ്}} ആണ്',
	'mobile-frontend-last-modified-with-user-years' => '[$4 അവസാനം {{GENDER:$1|തിരുത്തിയത്}} {{PLURAL:$3|ഒരു വർഷം|$3 വർഷം}} മുമ്പ്] {{PLURAL:$5|[$6 $2]|0=ഒരു അജ്ഞാത ഉപയോക്താവ്}} ആണ്',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 അവസാനം {{GENDER:$1|തിരുത്തിയത്}}] ഇപ്പോഴാണ്, ചെയ്തത് {{PLURAL:$4|[$5 $2]|0=ഒരു അജ്ഞാത ഉപയോക്താവ്}} ആണ്',
	'mobile-frontend-view-source' => 'മൂലരൂപം കാണുക',
	'mobile-frontend-account-create-submit' => 'അംഗത്വമെടുക്കുക',
	'mobile-frontend-password-confirm-placeholder' => 'രഹസ്യവാക്ക് സ്ഥിരീകരിക്കുക',
	'mobile-frontend-account-create-email-placeholder' => 'ഇമെയിൽ വിലാസം (ഐച്ഛികം)',
	'mobile-frontend-account-create-captcha-placeholder' => 'സ്ഥിരീകരണ കോഡ് നൽകുക',
	'mobile-frontend-overlay-escape' => 'പഴയ താളിലേയ്ക്ക് മടങ്ങുക',
	'mobile-frontend-overlay-close' => 'അടയ്ക്കുക',
	'mobile-frontend-overlay-continue' => 'തുടരുക',
	'mobile-frontend-placeholder' => '{{SITENAME}} സംരംഭത്തിൽ തിരയുക',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}} (ബീറ്റ) സംരംഭത്തിൽ തിരയുക',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}} സംരംഭത്തിൽ തിരയുക (പരീക്ഷണാടിസ്ഥാനം)',
	'mobile-frontend-dismiss-notification' => 'ഈ അറിയിപ്പ് ഒഴിവാക്കുക',
	'mobile-frontend-clear-search' => 'ശൂന്യമാക്കുക',
	'mobile-frontend-search-content' => 'താളുകൾക്കുള്ളിൽ തിരയുക',
	'mobile-frontend-search-no-results' => 'ഈ തലക്കെട്ടിൽ താളൊന്നുമില്ല.',
	'mobile-frontend-search-content-no-results' => "ഈ പദം എവിടെയെങ്കിലും ഉണ്ടോയെന്നറിയാൻ '''{{int:mobile-frontend-search-content}}''' ഉപയോഗിക്കുക",
	'mobile-frontend-privacy-link-text' => 'സ്വകാര്യത',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'എഴുത്തുകൾ [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile സി.സി. ബൈ-എസ്.എ. 3.0] പ്രകാരം ലഭ്യം; മേൽ നിബന്ധനകൾ ഉണ്ടായേക്കാം.',
	'mobile-frontend-copyright' => 'പ്രത്യേകം പറയാത്ത പക്ഷം ഉള്ളടക്കം $1 പ്രകാരം ലഭ്യം.',
	'mobile-frontend-footer-contact' => 'സമ്പർക്കം',
	'mobile-frontend-terms-text' => 'ഉപയോഗനിബന്ധനകൾ',
	'mobile-frontend-main-menu-button-tooltip' => 'പ്രധാന മെനു തുറക്കുക',
	'mobile-frontend-main-menu-page-title' => 'സൈറ്റിലൂടെ ഗമിക്കൽ',
	'mobile-frontend-main-menu-featured' => 'തിരഞ്ഞെടുക്കപ്പെട്ടത്',
	'mobile-frontend-main-menu-nearby' => 'സമീപസ്ഥം',
	'mobile-frontend-main-menu-login' => 'പ്രവേശിക്കുക',
	'mobile-frontend-main-menu-logout' => 'ലോഗൗട്ട്',
	'mobile-frontend-main-menu-watchlist' => 'ശ്രദ്ധിക്കുന്നവ',
	'mobile-frontend-main-menu-settings' => 'സജ്ജീകരണങ്ങൾ',
	'mobile-frontend-main-menu-upload' => 'അപ്‌ലോഡുകൾ',
	'mobile-frontend-main-menu-settings-heading' => 'സജ്ജീകരണങ്ങൾ',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} ലഭ്യമായ ഭാഷകൾ',
	'mobile-frontend-settings-site-description' => '{{PLURAL:$1|ഒരു ഭാഷയിൽ|$1 ഭാഷകളിൽ}} {{SITENAME}} ലഭ്യമാണ്. എല്ലാ പതിപ്പുകളും താഴെക്കൊടുത്തിരിക്കുന്നു.',
	'mobile-frontend-main-menu-account-create' => 'അംഗത്വമെടുക്കുക',
	'mobile-frontend-page-menu-contents' => 'ഉള്ളടക്കം',
	'mobile-frontend-page-menu-history' => 'നാൾവഴി',
	'mobile-frontend-meta-data-issues-header' => 'പ്രശ്നങ്ങൾ',
	'mobile-frontend-meta-data-issues' => 'ഈ താളിൽ ചില പ്രശ്നങ്ങളുണ്ട്',
	'mobile-frontend-page-saving' => '$1 സേവ് ചെയ്യുന്നു',
	'mobile-frontend-user-cta' => 'താങ്കൾക്കുള്ള അറിയിപ്പുകൾ കാണാൻ ദയവായി പ്രവേശിക്കുക അല്ലെങ്കിൽ അംഗത്വമെടുക്കുക.',
	'mobile-frontend-user-button-tooltip' => 'എനിക്കുള്ള അറിയിപ്പുകൾ പ്രദർശിപ്പിക്കുക',
	'mobile-frontend-nearby-to-page' => 'താഴെക്കൊടുത്തിരിക്കുന്ന താളുകൾ അവയുടെ ഭൂമിയിലെ സ്ഥാനം വെച്ച് $1 എന്നതുമായി ബന്ധപ്പെട്ടിരിക്കുന്നു',
	'mobile-frontend-nearby-title' => 'സമീപസ്ഥം',
	'mobile-frontend-nearby-loading' => 'താങ്കൾ നിൽക്കുന്ന സ്ഥാനത്തിനു സമീപമുള്ള വിഷയങ്ങൾ ശേഖരിക്കുന്നു',
	'mobile-frontend-nearby-requirements' => 'ക്ഷമിക്കുക! താങ്കളുടെ വെബ് ബ്രൗസർ {{SITENAME}} സമീപസ്ഥം സൗകര്യം പിന്തുണയ്ക്കുന്നില്ല.',
	'mobile-frontend-nearby-requirements-guidance' => 'മറ്റൊരു ബ്രൗസർ പരീക്ഷിക്കുക അല്ലെങ്കിൽ ജാവാസ്ക്രിപ്റ്റ് സജ്ജമല്ലെങ്കിൽ സജ്ജമാക്കി നൽകുക.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 കി.മീ.}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 മീ.}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} സമീപസ്ഥം സൗകര്യത്തിന് താങ്കളെവിടെയാണെന്ന് നിർണ്ണയിക്കാനാവുന്നില്ല... വീണ്ടും ശ്രമിക്കണോ?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'മെച്ചപ്പെട്ട സിഗ്നൽ ഉള്ള തുറന്ന പ്രദേശം ഉപയോഗിക്കുക.',
	'mobile-frontend-nearby-permission' => 'താങ്കളുടെ സ്ഥലം കണ്ടെത്താൻ {{SITENAME}} സമീപസ്ഥത്തിന് അനുമതിയില്ല.',
	'mobile-frontend-nearby-permission-guidance' => 'താങ്കളെവിടെയാണെന്ന് കാണാനുള്ള അനുമതി താങ്കൾ നൽകിയിട്ടുണ്ടെന്നുറപ്പാക്കുക. താങ്കളുടെ ബ്രൗസറിന്റെ സ്ഥാനസജ്ജീകരണങ്ങൾ പരിശോധിക്കേണ്ടി വന്നേക്കാം.',
	'mobile-frontend-nearby-noresults' => 'ഏകാന്തതയുടെ അപാരതീരം... സമീപസ്ഥമായി ഞങ്ങൾക്ക് വിഷയങ്ങളൊന്നും കണ്ടെത്താനായില്ല.',
	'mobile-frontend-nearby-noresults-guidance' => 'പുതിയൊരു താൾ സൃഷ്ടിക്കാൻ ശ്രമിക്കുക അല്ലെങ്കിൽ നിലവിലുള്ള ഒന്നിൽ ഒരു പുതിയ സ്ഥാനം ചേർക്കുക',
	'mobile-frontend-nearby-refresh' => 'താങ്കളുടെ കൂടുതൽ കൃത്യമായ സ്ഥാനം ഞങ്ങൾക്ക് കണ്ടെത്താനായി. താങ്കളുടെ സമീപസ്ഥമായ താളുകൾ പുതുക്കാനായി ഇവിടെ ഞെക്കുക',
	'mobile-frontend-nearby-error' => '{{SITENAME}} സമീപസ്ഥം കണ്ടെത്തുന്നതിനിടെ ചില പ്രശ്നങ്ങളുണ്ടായി.',
	'mobile-frontend-nearby-error-guidance' => 'താങ്കളുടെ സ്ഥാനം പുതുക്കി നോക്കുക.',
	'mobile-frontend-nearby-link' => 'ഈ താൾ മുഴുവനും വായിക്കുക',
	'mobile-frontend-nearby-directions' => 'ഇവിടേയ്ക്ക് എത്തുക',
	'mobile-frontend-donate-image-nouploads' => 'അപ്‌ലോഡുകൾ ഒന്നുമില്ല.',
	'mobile-frontend-donate-image-login' => '{{SITENAME}} സംരംഭത്തിലെ മീഡിയകൾ താങ്കളെപ്പോലെയുള്ളവർ സംഭാവന ചെയ്തതാണ്.',
	'mobile-frontend-donate-image-login-action' => 'താങ്കളുടെ പക്കലുള്ള മീഡിയ പങ്ക് വെയ്ക്കാൻ പ്രവേശിക്കുക.',
	'mobile-frontend-donate-image-signup-action' => 'താങ്കളുടെ പക്കലുള്ള മീഡിയ ലോകവുമായി പങ്ക് വെയ്ക്കാൻ അംഗത്വമെടുക്കുക.',
	'mobile-frontend-photo-upload-disabled' => 'ഈ താളിൽ ചിത്രങ്ങളൊന്നും ആവശ്യമില്ല.',
	'mobile-frontend-photo-upload-anon' => 'ഈ താളിൽ ചിത്രം ചേർക്കാൻ ദയവായി ലോഗിൻ ചെയ്യുക.',
	'mobile-frontend-photo-upload-protected' => 'ഈ താളിൽ ചിത്രം ചേർക്കാൻ താങ്കൾക്ക് അനുമതിയില്ല.',
	'mobile-frontend-photo-upload-unavailable' => 'താങ്കളുടെ ബ്രൗസർ ചിത്രങ്ങൾ അപ്‌ലോഡ് ചെയ്യൽ പിന്തുണയ്ക്കുന്നില്ല.',
	'mobile-frontend-photo-upload-generic' => 'ഒരു ചിത്രം സംഭാവന ചെയ്യുക',
	'mobile-frontend-donate-image-title' => 'അപ്‌ലോഡുകൾ',
	'mobile-frontend-donate-image-heading' => 'താങ്കളുടെ സമീപകാല സംഭാവനകൾ',
	'mobile-frontend-donate-image-anon' => 'അപ്‌ലോഡുകളുടെ താൾ കാണാനായി ഒരു $1 ആവശ്യമാണ്',
	'mobile-frontend-user-account' => 'ഉപയോക്തൃഅംഗത്വം',
	'mobile-frontend-listed-image-no-description' => 'വിവരണമൊന്നുമില്ല',
	'mobile-frontend-donate-photo-upload-success' => 'വിജയകരം! താങ്കളെടുത്ത ചിത്രം {{SITENAME}} സംരംഭത്തിൽ ഇനി ഉപയോഗിക്കാം!',
	'mobile-frontend-donate-photo-first-upload-success' => 'വിജയകരം! താങ്കളുടെ ആദ്യസംഭാവനയ്ക്ക് നന്ദി!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'താങ്കളെടുത്ത ചിത്രങ്ങൾ സംഭാവന ചെയ്യൂ. {{SITENAME}} ജീവസ്സുറ്റതാക്കൂ!',
	'mobile-frontend-first-upload-wizard-new-page-1' => '{{SITENAME}} സംരംഭത്തിലെ ചിത്രങ്ങൾ വിക്കിമീഡിയ കോമൺസിൽ നിന്നുള്ളതാണ്',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'താങ്കളെടുക്കുന്ന ചിത്രങ്ങൾ ലോകമെമ്പാടുമുള്ള ജനങ്ങൾക്ക് വിജ്ഞാനദായകമായിത്തീരുന്നതാണ്',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'ഇന്റർനെറ്റിൽ കാണുന്ന പകർപ്പവകാശ സംരക്ഷിതമായ ചിത്രങ്ങൾ, പോസ്റ്ററുകളുടെയും പുസ്തകങ്ങളുടെ പുറംചട്ടകളുടെയും ചിത്രങ്ങൾ, തുടങ്ങിയവ ഒഴിവാക്കുക.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'സമ്മതമല്ലേ?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'അതെ!',
	'mobile-frontend-watchlist-add' => '$1 താങ്കൾ ശ്രദ്ധിക്കുന്ന താളുകളുടെ പട്ടികയിലേയ്ക്ക് ചേർത്തു',
	'mobile-frontend-watchlist-removed' => '$1 താങ്കൾ ശ്രദ്ധിക്കുന്ന താളുകളുടെ പട്ടികയിൽ നിന്ന് നീക്കി',
	'mobile-frontend-watchlist-view' => 'താങ്കൾ ശ്രദ്ധിക്കുന്നവയുടെ പട്ടിക കാണുക',
	'mobile-frontend-watchlist-more' => 'കൂടുതൽ',
	'mobile-frontend-watchlist-cta' => 'ഈ താളും അതിലെ മാറ്റങ്ങളും ശ്രദ്ധിക്കുക.',
	'mobile-frontend-watchlist-cta-button-login' => 'പ്രവേശിക്കുക',
	'mobile-frontend-watchlist-cta-button-signup' => 'അംഗത്വമെടുക്കുക',
	'mobile-frontend-watchlist-purpose' => 'ശ്രദ്ധിക്കുന്നവയുടെ പട്ടിക താളുകൾ പിന്നീട് വായിക്കാൻ ശേഖരിക്കാനും അവയിലെ മാറ്റങ്ങൾ എളുപ്പത്തിലറിയാനും സഹായമാണ്.',
	'mobile-frontend-watchlist-login-action' => 'കാണാനായി പ്രവേശിക്കുക.',
	'mobile-frontend-watchlist-signup-action' => 'ഒരെണ്ണം തുടങ്ങാൻ പേരുചേർക്കുക.',
	'mobile-frontend-generic-login' => 'താങ്കളെപ്പോലെയുള്ളവരാണ്  {{SITENAME}}  പടുത്തുയർത്തിയിരിക്കുന്നത്.',
	'mobile-frontend-generic-login-action' => 'സംഭാവന ചെയ്യാനായി പ്രവേശിക്കുക.',
	'mobile-frontend-generic-signup-action' => 'സംഭാവന ചെയ്യാനായി പേരുചേർക്കുക.',
	'mobile-frontend-watch-login' => '$1 താങ്കൾ ശ്രദ്ധിക്കുന്ന താളുകളുടെ പട്ടികയിലേയ്ക്ക് ചേർക്കുക.',
	'mobile-frontend-edit-login' => '$1 എന്ന താൾ മെച്ചപ്പെടുത്താൻ സഹായിക്കുക',
	'mobile-frontend-edit-login-action' => 'തിരുത്താനായി പ്രവേശിക്കുക.',
	'mobile-frontend-edit-signup-action' => 'തിരുത്താനായി പേരുചേർക്കുക.',
	'mobile-frontend-watchlist-a-z' => 'പട്ടിക',
	'mobile-frontend-watchlist-feed' => 'പുതുക്കപ്പെട്ടവ',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'താളിനു മുകളിലുള്ള നക്ഷത്രത്തിൽ ഞെക്കുക',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'താങ്കൾ ഇപ്പോൾ താളുകളൊന്നും ശ്രദ്ധിക്കുന്നില്ല. താങ്കൾക്ക് താത്പര്യമുള്ള താളുകൾ ശ്രദ്ധിക്കുന്നവയുടെ പട്ടികയിൽ ചേർക്കുന്നത് അവ പിന്തുടരുന്നത് എളുപ്പമാക്കാൻ സഹായിക്കുന്നതാണ്. താളുകൾ ശ്രദ്ധിക്കാനായി നക്ഷത്ര ഐകോണിൽ ടാപ് ചെയ്യുക.',
	'mobile-frontend-watchlist-feed-empty' => 'സമീപകാലത്ത് മാറ്റങ്ങളുണ്ടായ താളുകളൊന്നുമില്ല',
	'mobile-frontend-watchlist-back-home' => 'പ്രധാന താളിലേയ്ക്ക് മടങ്ങുക',
	'mobile-frontend-changeslist-ip' => 'അജ്ഞാത ഉപയോക്താവ്',
	'mobile-frontend-changeslist-nocomment' => 'തിരുത്തലിനു സംഗ്രഹമില്ല',
	'mobile-frontend-watchlist-filter-all' => 'എല്ലാം',
	'mobile-frontend-watchlist-filter-articles' => 'താളുകൾ',
	'mobile-frontend-watchlist-filter-talk' => 'സംവാദം',
	'mobile-frontend-watchlist-filter-other' => 'മറ്റുള്ളവ',
	'mobile-frontend-watchlist-modified' => 'പുതുക്കപ്പെട്ടത് $1',
	'mobile-frontend-diffview-404-title' => 'മോശം നാൾപ്പതിപ്പ്',
	'mobile-frontend-diffview-404-desc' => 'താങ്കൾ ആവശ്യപ്പെട്ട നാൾപ്പതിപ്പിന്റെ ഐ.ഡി. നിലവിലില്ല',
	'mobile-frontend-diffview-title' => 'മാറ്റങ്ങൾ',
	'mobile-frontend-diffview-editcount' => '{{PLURAL:$1|ഒരു തിരുത്തൽ|<div>$1</div> തിരുത്തലുകൾ}}',
	'mobile-frontend-diffview-anonymous' => 'അജ്ഞാത ഉപയോക്താവ്',
	'mobile-frontend-diffview-bytesadded' => '{{PLURAL:$1|ഒരു ബൈറ്റ്|$1 ബൈറ്റുകൾ}} കൂട്ടിച്ചേർത്തിരിക്കുന്നു',
	'mobile-frontend-diffview-bytesremoved' => '{{PLURAL:$1|ഒരു ബൈറ്റ്|$1 ബൈറ്റുകൾ}} നീക്കംചെയ്തിരിക്കുന്നു',
	'mobile-frontend-diffview-explained' => 'താഴെപ്പറയുന്ന വരികൾ ചേർക്കുകയും (+) നീക്കം ചെയ്യുകയും (-)‌‌ ചെയ്തിട്ടുണ്ട്:',
	'mobile-frontend-thanked-notice' => 'താങ്കൾക്ക് $1 എന്ന ഉപയോക്താവിന്റെ തിരുത്തൽ ഇഷ്ടപ്പെട്ടുവെന്ന് {{GENDER:$2|അദ്ദേഹത്തോട്|അവരോട്|അവരോട്}} പറഞ്ഞിരിക്കുന്നു.',
	'mobile-frontend-saving-exit-page' => 'താങ്കളുടെ സംഭാവന ഇപ്പോഴും സേ‌വ് ചെയ്തുകൊണ്ടിരിക്കുന്നു. താങ്കൾ ഇപ്പോൾ പോവുകയാണെങ്കിൽ, താങ്കളുടെ സേവനങ്ങൾ നഷ്ടപ്പെടുന്നതാണ്. പുറത്തുകടക്കണമെന്ന് താങ്കൾക്കുറപ്പാണോ?',
	'mobile-frontend-photo-upload' => 'ഈ താളിലേയ്ക്ക് ഒരു ചിത്രം ചേർക്കുക',
	'mobile-frontend-photo-article-edit-comment' => 'താളിൽ ഉപയോഗിക്കാനായി ചിത്രം ചേർത്തു',
	'mobile-frontend-photo-article-donate-comment' => 'പ്രത്യേകം:അപ്‌ലോഡ് ഉപയോഗിച്ച് ഒരു ചിത്രം സംഭാവന ചെയ്തു',
	'mobile-frontend-photo-upload-comment' => 'താളിൽ ചിത്രം ചേർത്തു',
	'mobile-frontend-photo-caption-placeholder' => 'ഈ ചിത്രം വിവരിക്കുക  (ആവശ്യമാണ്)',
	'mobile-frontend-photo-ownership' => 'ഈ ചിത്രം സൃഷ്ടിച്ചത് $1 എന്ന ഞാനാണ്.',
	'mobile-frontend-photo-ownership-help' => 'എന്താണിതിനർത്ഥം?',
	'mobile-frontend-photo-ownership-confirm' => 'കിട്ടിപ്പോയ്!',
	'mobile-frontend-lead-image-tutorial-summary' => 'താളിനു വ്യക്തത നൽകാൻ താങ്കളുടെ ചിത്രത്തിന് കഴിയുമെന്ന് ഉറപ്പാക്കുക. ചിത്രം താങ്കൾ തന്നെ സൃഷ്ടിച്ചതും പകർപ്പവകാശം ലംഘിക്കാത്തതുമാവണം.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'അപ്‌ലോഡ് തുടങ്ങുക',
	'mobile-frontend-photo-upload-error' => 'പിഴവുണ്ടായി, വീണ്ടും ശ്രമിക്കുക.',
	'mobile-frontend-photo-upload-error-file-type' => 'ദയവായി ചിത്രങ്ങൾ മാത്രം അപ്‌ലോഡ് ചെയ്യുക.',
	'mobile-frontend-photo-upload-error-filename' => 'പിഴവ്, ദയവായി കൂടുതൽ വിവരണാത്മകമായിട്ടുള്ള ചുരുക്കം നൽകുക.',
	'mobile-frontend-photo-upload-success-article' => 'വിജയകരം! താങ്കളുടെ ചിത്രം ഇനി ഈ താളിൽ കാണാവുന്നതാണ്.',
	'mobile-frontend-photo-license' => 'ഈ ചിത്രം അപ്‌ലോഡ് ചെയ്യുമ്പോൾ, താങ്കൾ ഞങ്ങളുടെ [//wikimediafoundation.org/wiki/Terms_of_Use/ml ഉപയോഗനിബന്ധനകൾ] പാലിക്കാമെന്നും, താങ്കളെടുത്ത ചിത്രം  [//creativecommons.org/licenses/by-sa/3.0/ ക്രിയേറ്റീവ് കോമൺസ് ആട്രിബ്യൂഷൻ-ഷെയർ‌എലൈക് 3.0 അനുവാദപത്രം] പ്രകാരം പ്രസിദ്ധീകരിക്കുന്നുവെന്നും സമ്മതിക്കുന്നുണ്ട്.',
	'mobile-frontend-photo-submit' => 'സമർപ്പിക്കുക',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>ഒരു</span> അപ്‌ലോഡ്|<span>$1</span> അപ്‌ലോഡുകൾ}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ അപ്‌ലോഡുകൾ',
	'mobile-frontend-image-heading-describe' => "ചിത്രം '''വിവരിക്കുക'''",
	'mobile-frontend-image-uploading' => "ചിത്രം '''അപ്‌ലോഡ് ചെയ്യുന്നു'''...",
	'mobile-frontend-image-cancel-confirm' => 'അപ്‌ലോഡ് റദ്ദാക്കണോ?',
	'mobile-frontend-editor-redirect-title' => 'തിരുത്തൽ സൗകര്യത്തിലേക്ക് തിരിച്ചുവിടുന്നു...',
	'mobile-frontend-editor-unavailable-header' => 'എഡിറ്റർ ലഭ്യമല്ല്ല',
	'mobile-frontend-editor-unavailable' => 'മൊബൈലുപയോഗിച്ചുള്ള തിരുത്തൽ ഇപ്പോൾ താങ്കളുടെ ബ്രൗസറിൽ ലഭ്യമല്ല. ദയവായി മറ്റൊരു ബ്രൗസർ പരീക്ഷിക്കുക.',
	'mobile-frontend-editor-undo-unsupported' => 'മൊബൈൽ ഉപകരണങ്ങളിൽ തിരസ്കരിക്കൽ പിന്തുണയ്ക്കുന്നില്ല.',
	'mobile-frontend-editor-newpage-prompt' => 'ഈ താൾ നിലവിലില്ല. എന്തുകൊണ്ടത് സൃഷ്ടിച്ചുകൂടാ?',
	'mobile-frontend-editor-disabled' => 'ഈ താൾ നശീകരണപ്രവർത്തനങ്ങളെ നേരിടാൻ സംരക്ഷിച്ചിരിക്കുന്നതാണ്.',
	'mobile-frontend-editor-blocked' => 'താങ്കളുടെ അംഗത്വത്തെ തിരുത്തുന്നതിൽ നിന്നും തടഞ്ഞിരിക്കുന്നു.',
	'mobile-frontend-editor-cta' => 'ഈ താൾ മെച്ചപ്പെടുത്താൻ സഹായിക്കുക!',
	'mobile-frontend-editor-edit' => 'തിരുത്തുക',
	'mobile-frontend-editor-continue' => 'തുടരുക',
	'mobile-frontend-editor-save' => 'സേവ് ചെയ്യുക',
	'mobile-frontend-editor-cancel' => 'റദ്ദാക്കുക',
	'mobile-frontend-editor-keep-editing' => 'തിരുത്തൽ തുടരുക',
	'mobile-frontend-editor-license' => 'മാറ്റങ്ങൾ സേവ് ചെയ്യുമ്പോൾ, താങ്കൾ ഞങ്ങളുടെ [//wikimediafoundation.org/wiki/Terms_of_Use/ml ഉപയോഗനിബന്ധനകൾ] അംഗീകരിക്കുന്നുവെന്നും, താങ്കൾ എഴുതി നൽകിയത് [//creativecommons.org/licenses/by-sa/3.0/ സി.സി. ബൈ-എസ്.എ. 3.0 അനുവാദപത്രം] ഒപ്പം [//ml.wikipedia.org/wiki/WP:GFDL-ml ജി.എഫ്.ഡി.എൽ.] പ്രകാരം പ്രസിദ്ധീകരിക്കുന്നുവെന്നും അംഗീകരിക്കുന്നുണ്ട്.',
	'mobile-frontend-editor-placeholder' => 'ഈ ഭാഗം ശൂന്യമാണ്. ഇത് വികസിപ്പിക്കുന്ന ആദ്യത്തെയാളാവുക!',
	'mobile-frontend-editor-summary-placeholder' => 'താങ്കളെന്താണ് മാറ്റം വരുത്തിയതെന്ന് പറയുക (നിർബന്ധമില്ല)',
	'mobile-frontend-editor-cancel-confirm' => 'താങ്കളുടെ തിരുത്ത് ഉപേക്ഷിക്കണം എന്നുറപ്പാണോ?',
	'mobile-frontend-editor-wait' => 'തിരുത്ത് സേവ് ചെയ്യുന്നു, ദയവായി കാത്തിരിക്കുക.',
	'mobile-frontend-editor-success' => 'വിജയകരം! താങ്കളുടെ തിരുത്ത് സേവ് ചെയ്തിരിക്കുന്നു.',
	'mobile-frontend-editor-success-landmark-1' => 'അഭിനന്ദനങ്ങൾ, താങ്കൾ ഇപ്പോളൊരു {{SITENAME}} എഡിറ്റർ ആണ്!',
	'mobile-frontend-editor-error' => 'പിഴവ്, തിരുത്ത് സേവ് ചെയ്യപ്പെട്ടില്ല.',
	'mobile-frontend-editor-error-conflict' => 'പിഴവ്, മറ്റൊരു ഉപയോക്താവ് ഈ താൾ തിരുത്തിയിരിക്കുന്നു.',
	'mobile-frontend-editor-error-loading' => 'പിഴവ്, ഉപഭാഗം എടുക്കാനാവുന്നില്ല.',
	'mobile-frontend-editor-error-preview' => 'പിഴവ്, പ്രിവ്യൂ എടുക്കുന്നതിനിടെ എന്തോ അപ്രതീക്ഷിതമായത് സംഭവിച്ചു. ദയവായി അടച്ച് വീണ്ടും ശ്രമിക്കുക.',
	'mobile-frontend-editor-tutorial-summary' => 'അടയാളഭാഷ കണ്ടെ പേടിക്കേണ്ടതില്ല. താൾ $1 മെച്ചപ്പെടുത്താൻ ശ്രമിക്കുക.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'എന്തുകൊണ്ട് $1 മെച്ചപ്പെടുത്തിക്കൂടാ? എഴുത്തുരീതിയെ ഭയക്കേണ്ടതില്ല!',
	'mobile-frontend-editor-tutorial-confirm' => 'തിരുത്തൽ തുടങ്ങുക',
	'mobile-frontend-editor-tutorial-cancel' => 'വേണ്ട, നന്ദി',
	'mobile-frontend-editor-captcha-try-again' => 'കോഡ് തെറ്റാണ്, വീണ്ടും ശ്രമിക്കുക.',
	'mobile-frontend-editor-abusefilter-warning' => 'മുന്നറിയിപ്പ്: ഈ തിരുത്ത് സേവ് ചെയ്യണമെന്നുറപ്പാണോ? അതിൽ ഒരു പ്രശ്നമുണ്ടെന്ന് തോന്നുന്നു.',
	'mobile-frontend-editor-abusefilter-disallow' => 'തിരുത്തിൽ ഒരു പ്രശ്നം കണ്ടെത്താനായതിനാൽ അത് സേവ് ചെയ്യാനാവില്ല.',
	'mobile-frontend-editor-abusefilter-read-more' => 'കൂടുതൽ വായിക്കുക',
	'mobile-frontend-editor-editing-page' => '<span> $1</span> <strong>തിരുത്തുന്നു</strong>',
	'mobile-frontend-editor-previewing-page' => '<span> $1</span> <strong>എങ്ങനെയുണ്ടെന്ന് കാണുന്നു</strong>',
	'mobile-frontend-editor-viewing-source-page' => '<span> $1</span> എന്ന താളിന്റെ <strong>മൂലരൂപം കാണുന്നു</strong>',
	'tag-mobile_edit' => 'മൊബൈൽ സൈറ്റ്',
	'tag-mobile_edit-description' => 'മൊബൈൽ സൈറ്റ് വഴി വരുത്തിയ തിരുത്തുകൾ',
	'mobile-frontend-drawer-cancel' => 'റദ്ദാക്കുക',
	'mobile-frontend-talk-explained' => 'താഴെക്കൊടുത്തിരിക്കുന്ന സംവാദങ്ങൾ ഇപ്പോൾ സജീവമാണ്',
	'mobile-frontend-talk-explained-empty' => 'ഈ താളിനെക്കുറിച്ച് സംവാദങ്ങളൊന്നുമില്ല.',
	'mobile-frontend-talk-overlay-header' => 'സംവാദം',
	'mobile-frontend-talk-back-to-page' => '"$1" താളിലേക്ക് മടങ്ങുക.',
	'mobile-frontend-talk-overlay-lead-header' => 'പേരില്ലാത്ത സംവാദം',
	'mobile-frontend-talk-add-overlay-submit' => 'സംവാദം ചേർക്കുക',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'വിഷയം',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'എന്താണ് താങ്കളുടെ മനസ്സിൽ?',
	'mobile-frontend-talk-edit-summary' => 'പുതിയ സംവാദഭാഗം: $1',
	'mobile-frontend-talk-reply-success' => 'താങ്കളുടെ മറുപടി സംവാദത്താളിൽ വിജയകരമായി ചേർത്തിട്ടുണ്ട്.',
	'mobile-frontend-talk-reply-info' => 'താങ്കളുടെ മറുപടിയിൽ താങ്കളുടെ ഉപയോക്തൃനാമം അടക്കമുള്ള ഒപ്പ് സ്വയമേവ ചേർക്കുന്നതാണ്.',
	'mobile-frontend-talk-reply' => 'മറുപടി',
	'mobile-frontend-talk-topic-feedback' => 'സംവാദത്താളിൽ പുതിയ വിഷയം ചേർത്തിരിക്കുന്നു!',
	'mobile-frontend-media-details' => 'വിശദാംശങ്ങൾ',
	'mobile-frontend-media-license-link' => 'അനുമതി വിവരങ്ങൾ',
	'abusefilter-edit-builder-vars-user-mobile' => 'ഉപയോക്താവ് മൊബൈൽ സമ്പർക്കമുഖം ഉപയോഗിച്ചാണോ അല്ലയോ തിരുത്തുന്നത്',
	'mobile-frontend-profile-title' => 'എന്നെപ്പറ്റി',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|അപ്‌ലോഡ് ചെയ്തത്}} {{PLURAL:$1|ഇന്നലെ|$1 ദിവസം മുമ്പ്|0=ഇന്ന്}} ആണ്.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|$1 എന്ന ഉപയോക്താവിനോട് സംവദിക്കുക}}',
	'mobile-frontend-profile-error' => 'അത്തിപ്പാറ അമ്മച്ചീ!',
	'mobile-frontend-profile-noargs' => 'ഉപയോക്തൃനാമം നൽകിയിട്ടില്ല. ഉപയോക്തൃവിവരങ്ങൾ കാണാനായി ഒരു ഉപയോക്തൃനാമം നൽകുക.',
	'mobile-frontend-profile-nouser' => 'ഈ പേരിൽ ഒരു ഉപയോക്താവുമില്ല. ഉപയോക്തൃനാമങ്ങൾ കേസ് സെൻസിറ്റീവ് ആയതിനാൽ താങ്കൾ ടൈപ്പ് ചെയ്തത് ശരിയാണോയെന്ന് ദയവായി പരിശോധിക്കുക.',
	'mobile-frontend-profile-activity-heading' => 'സമീപകാല പ്രവൃത്തികൾ',
	'mobile-frontend-profile-userpage-link' => 'ഉപയോക്തൃതാൾ കാണുക.',
	'mobile-frontend-requires-optin' => 'ബീറ്റ മട്ട് തിരഞ്ഞെടുക്കാതെ ഈ താൾ താങ്കൾക്ക് ലഭ്യമായിരിക്കില്ല. അത് തിരഞ്ഞെടുക്കുവാൻ [[Special:MobileOptions|സജ്ജീകരണങ്ങൾ താൾ]] സന്ദർശിക്കുക.',
	'mobile-frontend-profile-last-thank' => '[[Special:UserProfile/$1|$1]] {{GENDER:$2|നന്ദി രേഖപ്പെടുത്തിയിരിക്കുന്നു}}.',
	'mobile-frontend-profile-last-edit' => '[[:$1]] എന്ന താൾ {{PLURAL:$2|ഇന്നലെ|$2 ദിവസങ്ങൾ മുമ്പ്|0=ഇന്ന്}} {{GENDER:$3|തിരുത്തിയിട്ടുണ്ട്}}.',
	'mobile-frontend-profile-footer-days' => '{{PLURAL:$2|ഒരു ദിവസം|$2 ദിവസം}} മുമ്പ് അംഗത്വമെടുത്തു, ആകെ [[Special:Contributions/$1|{{PLURAL:$3|ഒരു തിരുത്ത്|$3 തിരുത്ത്}}]]   [[Special:Uploads/$1|{{PLURAL:$4|ഒരു അപ്‌ലോഡ്|$4 അപ്‌ലോഡുകൾ|500=500+ അപ്‌ലോഡുകൾ}}]]',
	'mobile-frontend-profile-footer-months' => '{{PLURAL:$2|ഒരു മാസം|$2 മാസം}} മുമ്പ് അംഗത്വമെടുത്തു, ആകെ [[Special:Contributions/$1|{{PLURAL:$3|ഒരു തിരുത്ത്|$3 തിരുത്ത്}}]]   [[Special:Uploads/$1|{{PLURAL:$4|ഒരു അപ്‌ലോഡ്|$4 അപ്‌ലോഡുകൾ|500=500+ അപ്‌ലോഡുകൾ}}]].',
	'mobile-frontend-profile-footer-years' => '{{PLURAL:$2|ഒരു വർഷം|$2 വർഷം}} മുമ്പ് അംഗത്വമെടുത്തു, ആകെ [[Special:Contributions/$1|{{PLURAL:$3|ഒരു തിരുത്ത്|$3 തിരുത്ത്}}]]   [[Special:Uploads/$1|{{PLURAL:$4|ഒരു അപ്‌ലോഡ്|$4 അപ്‌ലോഡുകൾ|500=500+ അപ്‌ലോഡുകൾ}}]].',
	'mobile-frontend-geonotahack' => 'ഈ താളിന്റെ സമീപസ്ഥം',
	'beta-feature-geonotahack' => 'ഈ താളിനു സമീപം',
	'beta-feature-geonotahack-description' => 'താങ്കൾ ഇപ്പോൾ വായിച്ചുകൊണ്ടിരിക്കുന്നവയുമായി ഭൗമശാസ്ത്രപരമായി അടുത്തുള്ള വിഷയങ്ങൾ കണ്ടെത്തുക.',
	'mobile-frontend-mainpage-cta-prompt' => 'ഈ താളിൽ താങ്കളുടെ സഹായം ആവശ്യമുണ്ട്!',
	'mobile-frontend-mainpage-cta-button' => 'ഈ താൾ മെച്ചപ്പെടുത്തുക',
);

/** Mongolian (монгол)
 */
$messages['mn'] = array(
	'mobile-frontend-search-submit' => 'Явах',
	'mobile-frontend-home-button' => 'Нүүр',
	'mobile-frontend-random-button' => 'Санамсаргүй',
	'mobile-frontend-back-to-top-of-section' => 'Өмнөх хэсэг руу буцах',
	'mobile-frontend-regular-site' => 'Энэ хуудсыг ердийн Википедиа дээр үзэх', # Fuzzy
	'mobile-frontend-featured-article' => 'Өнөөдрийн онцлох өгүүлэл', # Fuzzy
	'mobile-frontend-copyright' => "Текст нь <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>-ийн хувьд оршин буй; зарим нэг нэмэлт нөхцөл байж магадгүй. <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Хэрэглээний нөхцөл</a> хуудсаас илүү дэлгэрэнгүй мэдээлэл авна уу. Википедиа нь <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc. (Викимедиа сан)</a> ашгийн бус байгууллагын доор бүртгэлтэй таних тэмдэг болно.", # Fuzzy
);

/** Moldavian (молдовеняскэ)
 */
$messages['mo'] = array(
	'mobile-frontend-search-submit' => 'Ду-те',
	'mobile-frontend-random-button' => 'Аляториу',
);

/** Marathi (मराठी)
 * @author Evision
 * @author Kaajawa
 * @author Mahitgar
 * @author Prabodh1987
 * @author Rahuldeshmukh101
 * @author Sau6402
 * @author Shantanoo
 * @author Skomal
 * @author V.narsikar
 * @author संतोष दहिवळ
 */
$messages['mr'] = array(
	'nearby' => 'आपल्या नजिक असलेली पाने',
	'mobile-frontend-desc' => 'मोबाइल फ्रंटएंड',
	'mobile-frontend-search-submit' => 'चला',
	'mobile-frontend-home-button' => 'मुखपृष्ठ',
	'mobile-frontend-logged-out' => 'प्रवेशाची नोंदणी झालेली नाही!',
	'mobile-frontend-logged-in-homepage-notification' => '$1!, स्वागत',
	'mobile-frontend-logged-in-toast-notification' => '$1 नावाने सनोंद प्रवेशित.',
	'mobile-frontend-generic-404-title' => 'त्रूटी - पान सापडले नाही',
	'mobile-frontend-generic-404-desc' => 'तुम्ही शोधू पाहात असलेले पान सापडले नाही.',
	'mobile-frontend-sign-up-heading' => 'नोंदणी करा',
	'mobile-frontend-sign-in-heading' => 'प्रवेश नोंदवा',
	'mobile-frontend-sign-in-why' => 'जर {{SITENAME}} वर आपले खाते असेल तर, खाली प्रवेश नोंदवा.',
	'mobile-frontend-sign-in-error-heading' => 'अरेच्चा',
	'mobile-frontend-settings-description' => 'ही मोबाईल आवृत्ती तुमच्या मोबाईल उपकरणावर अनुभवण्यासाठी अनुकूल मांडणी करा.',
	'mobile-frontend-settings-beta' => 'बीटा',
	'mobile-frontend-settings-alpha' => 'चाचणी स्थिती',
	'mobile-frontend-settings-alpha-description' => 'धोकादायक आणि असमन्वेषित मोबाईल क्षेत्रात प्रवेश. आणखी जास्त प्रायोगिक सुविधा, पण   धोकादायक गणकदोषांची  तेवढीच शक्यता.',
	'mobile-frontend-save-settings' => 'जतन करा',
	'mobile-frontend-save-error' => 'मांडणी जतन करण्यात त्रूटी. कृपया खात्री करा की, कूकीज सक्षम केल्या आहेत.',
	'mobile-frontend-random-button' => 'अविशिष्ट',
	'mobile-frontend-back-to-top-of-section' => 'एक विभाग मागे जा',
	'mobile-frontend-regular-site' => 'हे पृष्ठ सामान्य {{SITENAME}}मध्ये पाहा',
	'mobile-frontend-wml-continue' => 'सुरु ठेवा ...',
	'mobile-frontend-wml-back' => 'माघारी',
	'mobile-frontend-view' => 'मोबाईल-दृश्य',
	'mobile-frontend-view-desktop' => 'डेस्कटॉप',
	'mobile-frontend-view-mobile' => 'मोबाईल',
	'mobile-frontend-opt-in-explain' => 'बीटा सुरु करून तुम्हाला चाचणी स्थितीचा उपयोग करता येईल, अर्थात, गणकदोष (बग्स) आणि इतर अवघड स्थिती अनुभवण्याची मानसिक तयारी ठेवावी.',
	'mobile-frontend-images-status' => 'चित्रे',
	'mobile-frontend-disable-images' => 'मोबाईल साईटवरील प्रतिमा अक्षम करा',
	'mobile-frontend-enable-images' => 'मोबाईल साईटवरील प्रतिमा सक्षम करा',
	'mobile-frontend-expand-sections-status' => 'सर्व विभागांचा विस्तार करा',
	'mobile-frontend-expand-sections-description' => 'नविन पानावर जातांना सर्व विभाग विस्तारीत करा.',
	'mobile-frontend-missing-image' => 'चित्र',
	'mobile-frontend-off' => 'बंद',
	'mobile-frontend-on' => 'सुरु',
	'mobile-frontend-featured-article' => 'आजच्या आशयाचे आकर्षण',
	'mobile-frontend-news-items' => 'बातम्यांमध्ये',
	'mobile-frontend-languages-404-title' => 'भाषा त्रूटी',
	'mobile-frontend-languages-header' => 'भाषा',
	'mobile-frontend-languages-nonexistent-title' => '$1 पान अस्तित्वात नाही.',
	'mobile-frontend-language-article-heading' => 'इतर भाषांत वाचा',
	'mobile-frontend-language-header' => 'हे पान $1 {{PLURAL:$1|भाषेत}} उपलब्ध आहे',
	'mobile-frontend-language-site-choose' => 'भाषा शोधा',
	'mobile-frontend-username' => 'सदस्य नाव:',
	'mobile-frontend-password' => 'परवलीचा शब्द:',
	'mobile-frontend-username-placeholder' => 'सदस्यनाव',
	'mobile-frontend-password-placeholder' => 'परवलीचा शब्द',
	'mobile-frontend-login' => 'प्रवेश करा',
	'mobile-frontend-history' => 'या पानाचा संपादन इतिहास बघा.',
	'mobile-frontend-history-404-title' => 'असे पान नाही',
	'mobile-frontend-history-summary' => '[[:$1]] साठी पानाचा इतिहास',
	'mobile-frontend-last-modified-date' => 'शेवटचा बदल $1 रोजी, $2 वाजता',
	'mobile-frontend-last-modified-seconds' => 'शेवटचा बदल {{PLURAL:$1|$1 सेकंदा|$1 सेकंदां}}पूर्वी',
	'mobile-frontend-last-modified-minutes' => 'शेवटचा बदल {{PLURAL:$1|$1 मिनिटा|$1 मिनिटां}}पूर्वी',
	'mobile-frontend-last-modified-hours' => 'शेवटचा बदल {{PLURAL:$1|$1 तासा|$1 तासां}}पूर्वी',
	'mobile-frontend-last-modified-days' => 'शेवटचा बदल {{PLURAL:$1|$1 दिवसा|$1 दिवसां}}पूर्वी',
	'mobile-frontend-last-modified-months' => 'शेवटचा बदल {{PLURAL:$1|$1 महिना|$1 महिन्यां}} पूर्वी',
	'mobile-frontend-last-modified-years' => 'शेवटचा बदल {{PLURAL:$1|$1 वर्षा|$1 वर्षां}}पूर्वी',
	'mobile-frontend-last-modified-just-now' => 'शेवटचा बदल इतक्यातच',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 शेवटचा {{GENDER:$1|बदल}} {{PLURAL:$3|$3 सेकंदा|$3 सेकंदां}}पूर्वी] {{PLURAL:$5|[$6 $2]|0=अनामिक सदस्या}} कडून',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 शेवटचा {{GENDER:$1|बदल}} {{PLURAL:$3|$3 मिनिटा|$3 मिनिटां}}पूर्वी] {{PLURAL:$5|[$6 $2]|0=अनामिक सदस्या}} कडून',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 शेवटचा {{GENDER:$1|बदल}} {{PLURAL:$3|$3 तासा|$3 तासां}}पुर्वी] {{PLURAL:$5|[$6 $2]|0=अनामिक सदस्या}} कडून',
	'mobile-frontend-last-modified-with-user-days' => '[$4 शेवटचा {{GENDER:$1|बदल}} {{PLURAL:$3|$3 दिवसा|$3 दिवसां}} पूर्वी] {{PLURAL:$5|[$6 $2]|0=अनामिक सदस्या}} कडून',
	'mobile-frontend-last-modified-with-user-months' => '[$4 शेवटचा {{GENDER:$1|बदल}} {{PLURAL:$3|$3 महिन्या|$3 महिन्यां}} पूर्वी] {{PLURAL:$5|[$6 $2]|0=अनामिक सदस्या}} कडून',
	'mobile-frontend-last-modified-with-user-years' => '[$4 शेवटचा {{GENDER:$1|बदल}} {{PLURAL:$3|$3 वर्षा|$3 वर्षाँ}}पूर्वी] {{PLURAL:$5|[$6 $2]|0=अनामिक सदस्या}} कडून',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 शेवटचा {{GENDER:$1|बदल}}] इतक्यातच {{PLURAL:$4|[$5 $2]|0=अनामिक सदस्याकडून}}',
	'mobile-frontend-view-source' => 'स्रोत पाहा',
	'mobile-frontend-account-create-submit' => 'नोंदणी करा',
	'mobile-frontend-password-confirm-placeholder' => 'परवलीच्या शब्दाची निश्चिती करा',
	'mobile-frontend-account-create-email-placeholder' => 'विपत्रपत्ता (ई-मेल) (ऐच्छिक)',
	'mobile-frontend-overlay-escape' => 'परत जा',
	'mobile-frontend-placeholder' => '{{SITENAME}} शोधा',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}} शोध (बिटा)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}} शोध (प्रायोगिक)',
	'mobile-frontend-dismiss-notification' => 'या सूचनेस काढा',
	'mobile-frontend-clear-search' => 'हटवा',
	'mobile-frontend-search-content' => 'पानांतच शोधा',
	'mobile-frontend-search-no-results' => 'या शीर्षकाचे पान नाही.',
	'mobile-frontend-privacy-link-text' => 'एकान्त',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'हि माहिती [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]
याच्या खाली येते', # Fuzzy
	'mobile-frontend-copyright' => "लेख <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; नुसार उपलब्ध आहेत, अधिक अटी असू शकतात. विशेष माहितीसाठी <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Terms of Use</a> पाहा. विकीपिडीया हे <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a> या ना-नफा तत्त्वावर चालणार्‍या संस्थेचे नोंदणीकृत व्यवसायचिन्ह आहे.", # Fuzzy
	'mobile-frontend-footer-contact' => 'संपर्क',
	'mobile-frontend-terms-text' => 'वापराच्या अटी',
	'mobile-frontend-main-menu-nearby' => 'जवळपास',
	'mobile-frontend-main-menu-login' => 'सनोंद-प्रवेश करा',
	'mobile-frontend-main-menu-logout' => 'सनोंद-निर्गम',
	'mobile-frontend-main-menu-watchlist' => 'निरीक्षणसूची',
	'mobile-frontend-main-menu-settings' => 'मांडणी',
	'mobile-frontend-main-menu-upload' => 'अपभारणे',
	'mobile-frontend-main-menu-settings-heading' => 'मांडण्या',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} भाषा',
	'mobile-frontend-main-menu-account-create' => 'खाते बनवा',
	'mobile-frontend-page-menu-contents' => 'आशय',
	'mobile-frontend-page-menu-history' => 'इतिहास',
	'mobile-frontend-meta-data-issues-header' => 'समस्या',
	'mobile-frontend-meta-data-issues' => 'या पानाला काही समस्या आहेत',
	'mobile-frontend-page-saving' => '$1 जतन करीत आहे',
	'mobile-frontend-user-cta' => 'तुमच्या अधिसूचना बघण्यासाठी सनोंद प्रवेश किंवा साइन अप करा.',
	'mobile-frontend-user-button-tooltip' => 'माझ्या अधिसूचना दाखवा',
	'mobile-frontend-nearby-title' => 'जवळपास',
	'mobile-frontend-nearby-noresults' => 'येथून बाहेर जा...याजवळ कोणतीही पाने सापडली नाहीत.',
	'mobile-frontend-nearby-noresults-guidance' => 'नविन पान तयार करण्याचा प्रयत्न करा किंवा सध्या असलेल्या पानास स्थान-निश्चिती(लोकेशन) जोडा',
	'mobile-frontend-photo-upload-anon' => 'या पानावर चित्र टाकण्यासाठी कृपया सनोंद प्रवेशित व्हा.',
	'mobile-frontend-donate-image-title' => 'अपभारणे',
	'mobile-frontend-user-account' => 'सदस्य खाते',
	'mobile-frontend-donate-photo-first-upload-success' => 'यशस्वी! तुमच्या पहिल्या संपादनासाठी धन्यवाद!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'आपल्या चित्रांचे योगदान करा.{{SITENAME}}ला जिवंतपणा आणण्यास मदत करा!',
	'mobile-frontend-watchlist-add' => '$1 तुमच्या निरीक्षणसूचीत टाकले',
	'mobile-frontend-watchlist-removed' => '$1 तुमच्या निरीक्षणसूचीतून काढले',
	'mobile-frontend-watchlist-view' => 'निरीक्षणसूची पाहा',
	'mobile-frontend-watchlist-more' => 'आणखी',
	'mobile-frontend-watchlist-cta-button-login' => 'सनोंद प्रवेश',
	'mobile-frontend-watchlist-cta-button-signup' => 'नोंदणी करा',
	'mobile-frontend-watchlist-login-action' => 'बघण्यास सनोंद प्रवेश करा.',
	'mobile-frontend-generic-login-action' => 'योगदान करण्यास सनोंद प्रवेशित व्हा.',
	'mobile-frontend-watch-login' => '$1 तुमच्या निरीक्षणसूचीत टाका',
	'mobile-frontend-edit-login-action' => 'संपादनासाठी प्रवेश करा.',
	'mobile-frontend-edit-signup-action' => 'संपादनासाठी नोंदणी करा.',
	'mobile-frontend-watchlist-a-z' => 'यादी',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => "पानाच्या वरच्या बाजूला असलेले 'चांदणीचिन्ह' टिचकवा.",
	'mobile-frontend-changeslist-ip' => 'अनामिक सदस्य',
	'mobile-frontend-changeslist-nocomment' => 'बदलांचा आढावा नाही',
	'mobile-frontend-watchlist-filter-all' => 'सर्व',
	'mobile-frontend-watchlist-filter-articles' => 'पाने',
	'mobile-frontend-watchlist-filter-talk' => 'चर्चा',
	'mobile-frontend-watchlist-filter-other' => 'इतर',
	'mobile-frontend-watchlist-modified' => 'सुधारीत $1',
	'mobile-frontend-diffview-404-title' => 'खराब आवृत्ती',
	'mobile-frontend-diffview-title' => 'फरक',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|संपादन|संपादने}}',
	'mobile-frontend-diffview-anonymous' => 'अनामिक सदस्य',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|बाइटची|बाइट्सची}} भर घातली',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|बाइट|बाइट्स}} वगळले',
	'mobile-frontend-diffview-explained' => 'खालील ओळी वाढवल्या (+) आणि वगळल्या (-):',
	'mobile-frontend-thanked-notice' => '$1 ला असे सांगीतल्या गेले आहे कि आपणास {{GENDER:$2|त्याचे|तिचे|त्यांचे}} संपादन आवडले.',
	'mobile-frontend-photo-upload' => 'या पानावर चित्र जोडा',
	'mobile-frontend-lead-image-tutorial-summary' => 'याची खात्री करा कि,आपण टाकत असलेले चित्र या पानास उदाहरणासह स्पष्ट करेल.ते आपण निर्मिलेले  असे चित्र हवे जे प्रताधिकाराचे उल्लंघन करणार नाही.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'अपभारण सुरू करा', # Fuzzy
	'mobile-frontend-photo-upload-error' => 'त्रूटी, पुन्हा प्रयत्न करा.',
	'mobile-frontend-editor-unavailable' => 'भ्रमणध्वानीद्वारे संपादन आपल्या न्याहाळकावर सध्या उपलब्ध नाही.कृपया वेगळा न्याहाळक वापरा.',
	'mobile-frontend-editor-continue' => 'चालू ठेवा',
	'mobile-frontend-editor-save' => 'जतन करा',
	'mobile-frontend-editor-cancel' => 'रद्द',
	'mobile-frontend-editor-keep-editing' => 'संपादन चालू ठेवा',
	'mobile-frontend-editor-placeholder' => "हा विभाग रिकामा आहे.त्याचा विस्तार करणारी आपण 'सर्वप्रथम' व्यक्ति व्हा!",
	'mobile-frontend-editor-summary-placeholder' => 'बदलाचा आढावा थोडक्यात लिहा (ऐच्छिक)',
	'mobile-frontend-editor-cancel-confirm' => 'तुम्हाला खरोखर संपादन रद्द करायचे आहे?',
	'mobile-frontend-editor-wait' => 'बदल जतन होत आहेत, प्रतिक्षा करा.',
	'mobile-frontend-editor-success' => 'यशस्वी! तुमचे संपादन जतन करण्यात आले आहे.',
	'mobile-frontend-editor-error' => 'त्रूटी, बदल जतन झाले नाहीत.',
	'mobile-frontend-editor-tutorial-confirm' => 'संपादन चालू करा',
	'mobile-frontend-editor-tutorial-cancel' => 'नाही, धन्यवाद',
	'mobile-frontend-editor-previewing-page' => '<strong>झलक</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<span> $1</span> <strong>स्त्रोत दाखवत आहे</strong>',
	'tag-mobile_edit' => '[[विकिपीडिया:मोबाईल संपादन|मोबाईल संपादन]]',
	'tag-mobile_edit-description' => 'मोबाईल संकेतस्थळाकडून संपादन झाले',
	'mobile-frontend-drawer-cancel' => 'रद्द',
	'mobile-frontend-talk-explained' => 'पुढील चर्चा सध्या चालू आहेत',
	'mobile-frontend-talk-explained-empty' => 'या पानाविषयी चर्चा नाहीत.',
	'mobile-frontend-talk-overlay-header' => 'चर्चा',
	'mobile-frontend-talk-back-to-page' => '"$1" पानाकडे परत चला.',
	'mobile-frontend-talk-overlay-lead-header' => 'निनावी चर्चा',
	'mobile-frontend-talk-add-overlay-submit' => 'चर्चा जोडा',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'विषय',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'आपला काय विचार आहे?',
	'mobile-frontend-talk-edit-summary' => 'नवीन चर्चा विभाग: $1',
	'mobile-frontend-talk-reply-success' => 'तुमचे प्रत्युत्तर चर्चा पानावर यशस्वीरित्या जतन करण्यात आले आहे.',
	'mobile-frontend-talk-reply-info' => 'याची नोंद घ्या कि आपल्या उत्तराखाली आपल्या सदस्यनावाची सही आपोआप उमटेल.',
	'mobile-frontend-talk-reply' => 'प्रत्युत्तर',
	'mobile-frontend-talk-topic-feedback' => 'चर्चा पानावर नवीन विषय जोडला आहे!',
	'mobile-frontend-media-details' => 'तपशील',
	'mobile-frontend-media-license-link' => 'परवाना माहिती',
	'mobile-frontend-profile-title' => 'सदस्य व्यक्तिरेखा',
	'mobile-frontend-profile-last-upload-caption' => '{{PLURAL:$1|काल|$1 दिवसांपूर्वी|0=आज}} {{GENDER:$2|चित्र चढवले}}.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|$1शी चर्चा करा}}',
	'mobile-frontend-profile-activity-heading' => 'अलीकडील क्रिया',
	'mobile-frontend-profile-userpage-link' => 'सदस्य पान पाहा.',
	'mobile-frontend-profile-last-thank' => '[[Special:UserProfile/$1|$1]] {{GENDER:$1|द्वारा }} {{GENDER:$2|धन्यवाद दिल्या गेले}}',
	'mobile-frontend-profile-last-edit' => ' [[:$1]], पानाचे {{GENDER:$3|संपादन}} केले {{PLURAL:$2|काल|$2 दिवसांपूर्वी|0=आजच}}.',
	'mobile-frontend-profile-footer-days' => '{{PLURAL:$2|1 दिवस|$2 दिवसां}}पूर्वी सामील -  [[Special:Contributions/$1|{{PLURAL:$3|1 संपादन|$3 संपादने}}]] आणि [[Special:Uploads/$1|{{PLURAL:$4|1 चित्र|$4 चित्रे|500=500+ uploads}}]].',
	'mobile-frontend-profile-footer-months' => '{{PLURAL:$2|1 महिना|$2 महिन्यां}}पूर्वी सामील - [[Special:Contributions/$1|{{PLURAL:$3|1 संपादन|$3 संपादने}}]] आणि [[Special:Uploads/$1|{{PLURAL:$4|1 चित्र|$4 चित्रे|500=500+ uploads}}]].',
	'mobile-frontend-profile-footer-years' => '{{PLURAL:$2|1 वर्ष|$2 वर्षां}}पूर्वी सामील - [[Special:Contributions/$1|{{PLURAL:$3|1 संपादन|$3 संपादने}}]] आणि [[Special:Uploads/$1|{{PLURAL:$4|1 चित्र|$4 चित्रे|500=500+ uploads}}]].',
	'mobile-frontend-geonotahack' => 'या पानाच्या जवळ',
	'beta-feature-geonotahack' => 'या पानाच्या जवळ',
	'mobile-frontend-mainpage-cta-prompt' => 'या पानाला तुमच्या मदतीची गरज आहे.',
	'mobile-frontend-mainpage-cta-button' => 'पानाचा विस्तार करा',
);

/** Malay (Bahasa Melayu)
 * @author Anakmalaysia
 */
$messages['ms'] = array(
	'mobilefrontend-keepgoing-saved-title' => 'Suntingan disimpan!',
	'mobilefrontend-keepgoing-links-title' => 'Tambah pautan',
	'mobilefrontend-keepgoing-links-ask-first' => 'Tahniah kerana melakukan suntingan sulung anda! Adakah anda sudi menolong dengan menambah pautan kepada halaman yang baru diwujudkan?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Baiki halaman lain?',
	'mobilefrontend-keepgoing-links-explain' => 'Cari lebih banyak perkataan yang boleh dijadikan pautan. Bubuh tanda kurungan siku berganda di awal dan akhir perkataan.',
	'mobilefrontend-keepgoing-links-example' => 'cth. $1gitar$2 menjadi $3gitar$4',
	'nearby' => 'Halaman berdekatan anda',
	'mobile-frontend-desc' => 'Mobile Frontend',
	'mobile-frontend-search-submit' => 'Pergi',
	'mobile-frontend-home-button' => 'Laman Utama',
	'mobile-frontend-logged-out' => 'Belum log masuk',
	'mobile-frontend-logged-in-homepage-notification' => 'Selamat datang, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Log masuk sebagai $1.',
	'mobile-frontend-sign-up-heading' => 'Daftar diri',
	'mobile-frontend-sign-in-heading' => 'Log masuk',
	'mobile-frontend-sign-in-why' => 'Jika anda memegang akaun di {{SITENAME}}, anda boleh log masuk di bawah.',
	'mobile-frontend-sign-in-error-heading' => 'Alamak!',
	'mobile-frontend-settings-description' => 'Mudahkan penggunaan dengan tetapan yang khusus untuk kegunaan peranti mudah alih.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Mod percubaan',
	'mobile-frontend-settings-alpha-description' => 'Masuki wilayah mobil yang bahaya dan belum dijelajahi. Dapatkan lebih banyak ciri-ciri dalam percubaan tetapi awas, ada pepijat!',
	'mobile-frontend-save-settings' => 'Simpan',
	'mobile-frontend-random-button' => 'Rawak',
	'mobile-frontend-back-to-top-of-section' => 'Undur Satu Bahagian',
	'mobile-frontend-regular-site' => 'Paparan desktop',
	'mobile-frontend-wml-continue' => 'Teruskan ...',
	'mobile-frontend-wml-back' => 'Kembali ...',
	'mobile-frontend-view' => 'Paparan Mudah Alih',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Mudah Alih',
	'mobile-frontend-opt-in-explain' => 'Dengan menyertai beta ini, anda akan mendapat capaian kepada ciri-ciri percubaan, tetapi anda mungkin akan berdepan dengan pepijat dan masalah-masalah yang seumpamanya.',
	'mobile-frontend-images-status' => 'Gambar',
	'mobile-frontend-disable-images' => 'Matikan imej di tapak mudah alih',
	'mobile-frontend-enable-images' => 'Membolehkan imej di tapak mudah alih',
	'mobile-frontend-missing-image' => 'Imej',
	'mobile-frontend-off' => 'TUTUP',
	'mobile-frontend-on' => 'BUKA',
	'mobile-frontend-featured-article' => 'Kandungan pilihan hari ini',
	'mobile-frontend-news-items' => 'Dalam Berita',
	'mobile-frontend-language-article-heading' => 'Baca dalam bahasa lain',
	'mobile-frontend-language-header' => 'Halaman ini disediakan dalam $1 bahasa',
	'mobile-frontend-language-variant-header' => 'Pilih varian {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Perhatian: Halaman ini mungkin tidak tersedia dalam bahasa keutamaan anda. Anda boleh melihat bahasa-bahasa mana yang disokong oleh {{SITENAME}} dengan mengklik di sini.',
	'mobile-frontend-language-site-choose' => 'Bahasa carian',
	'mobile-frontend-username' => 'Nama pengguna:',
	'mobile-frontend-password' => 'Kata laluan:',
	'mobile-frontend-username-placeholder' => 'Nama pengguna',
	'mobile-frontend-password-placeholder' => 'Kata laluan',
	'mobile-frontend-login' => 'Log masuk',
	'mobile-frontend-history-404-title' => 'Tiada halaman sedemikian',
	'mobile-frontend-last-modified-date' => 'Kali terakhir disunting pada $1, $2',
	'mobile-frontend-last-modified-seconds' => 'Kali terakhir disunting $1 saat lepas',
	'mobile-frontend-last-modified-minutes' => 'Kali terakhir disunting $1 minit lepas',
	'mobile-frontend-last-modified-hours' => 'Kali terakhir disunting $1 jam lepas',
	'mobile-frontend-last-modified-days' => 'Kali terakhir disunting $1 hari lepas',
	'mobile-frontend-last-modified-months' => 'Kali terakhir disunting $1 bulan lepas',
	'mobile-frontend-last-modified-years' => 'Kali terakhir disunting $1 tahun lepas',
	'mobile-frontend-learn-more' => 'Ketahui lebih lanjut',
	'mobile-frontend-account-create-submit' => 'Daftar diri',
	'mobile-frontend-password-confirm-placeholder' => 'Sahkan kata laluan',
	'mobile-frontend-account-create-email-placeholder' => 'Alamat e-mel (pilihan)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Taipkan teks keselamatan', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Kembali',
	'mobile-frontend-overlay-close' => 'Tutup',
	'mobile-frontend-overlay-continue' => 'Sambung',
	'mobile-frontend-placeholder' => 'Cari dalam {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Cari dalam {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Cari dalam {{SITENAME}} (Percubaan)',
	'mobile-frontend-search-help' => 'Taipkan kata kunci di atas, dan tajuk-tajuk halaman yang berpadanan akan dipaparkan di sini.',
	'mobile-frontend-dismiss-notification' => 'abaikan pemberitahuan ini',
	'mobile-frontend-clear-search' => 'Padamkan',
	'mobile-frontend-privacy-link-text' => 'Privasi',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Teks disediakan dengan lesen [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; mungkin tertakluk pada syarat-syarat tambahan.',
	'mobile-frontend-copyright' => "Teks boleh didapati di bawah <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Lesen Creative Commons Attribution/Share-Alike</a>; syarat tambahan mungkin terpakai. Lihat <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Terma Penggunaan</a> untuk perincian. {{SITENAME}} merupakan tanda dagangan berdaftar <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, sebuah pertubuhan bukan untung.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Hubungi',
	'mobile-frontend-search-noresults' => 'Tiada tajuk halaman yang sepadan dengan carian anda. Ubah carian anda, atau tekan butang carian papan kekunci untuk mencari di dalam halaman.',
	'mobile-frontend-main-menu-button-tooltip' => 'Buka menu utama',
	'mobile-frontend-main-menu-page-title' => 'Pandu arah tapak',
	'mobile-frontend-main-menu-featured' => 'Sorotan',
	'mobile-frontend-main-menu-nearby' => 'Berdekatan',
	'mobile-frontend-main-menu-login' => 'Log masuk',
	'mobile-frontend-main-menu-logout' => 'Log keluar',
	'mobile-frontend-main-menu-watchlist' => 'Senarai pantau',
	'mobile-frontend-main-menu-settings' => 'Tetapan',
	'mobile-frontend-main-menu-upload' => 'Muatan naik',
	'mobile-frontend-main-menu-settings-heading' => 'Tetapan tapak mudah alih', # Fuzzy
	'mobile-frontend-settings-site-header' => 'Bahasa-bahasa {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} terdapat dalam $1 bahasa. Berikut adalah semua versi yang ada',
	'mobile-frontend-main-menu-account-create' => 'Buka akaun',
	'mobile-frontend-page-menu-contents' => 'kandungan',
	'mobile-frontend-page-menu-history' => 'Sejarah',
	'mobile-frontend-meta-data-issues-header' => 'Isu',
	'mobile-frontend-meta-data-issues' => 'Halaman ini ada beberapa isu',
	'mobile-frontend-page-saving' => 'Menyimpan $1',
	'mobile-frontend-user-cta' => 'Sila log masuk atau berdaftar untuk membaca pemberitahuan untuk anda.',
	'mobile-frontend-user-button-tooltip' => 'Paparkan pemberitahuan untuk saya',
	'mobile-frontend-nearby-to-page' => 'Halaman-halaman berikut berkaitan dengan $1 berdasarkan lokasi geografinya',
	'mobile-frontend-nearby-title' => 'Berdekatan',
	'mobile-frontend-nearby-loading' => 'Memuatkan topik yang berdekatan dengan kedudukan semasa anda',
	'mobile-frontend-nearby-requirements' => 'Maaf! Pelayar sesawang anda tidak menyokong {{SITENAME}} Nearby.',
	'mobile-frontend-nearby-requirements-guidance' => 'Cubalah pelayar yang lain atau hidupkan JavaScript jika ia belum dihidupkan.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} Nearby tak tahu di mana anda berada… cuba lagi?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Cuba kawasan terbuka di mana signalnya lebih kuat.',
	'mobile-frontend-nearby-noresults' => 'Sunyinya...
Langsung tak ada halaman dekat sini.',
	'mobile-frontend-nearby-noresults-guidance' => 'Cuba wujudkan halaman baru atau berikan lokasi pada halaman yang sedia ada',
	'mobile-frontend-nearby-refresh' => 'Kami telah menjumpai lokasi yang lebih tepat untuk anda. Klik di sini untuk memuat semula senarai halaman-halaman yang berdekatan.',
	'mobile-frontend-nearby-error' => '{{SITENAME}} Nearby sedang mengalami sedikit masalah.',
	'mobile-frontend-nearby-error-guidance' => "Cuba muat semula (''refresh'') lokasi anda.",
	'mobile-frontend-nearby-link' => 'Baca halaman ini sepenuhnya',
	'mobile-frontend-nearby-directions' => 'Navigasi ke sini',
	'mobile-frontend-donate-image-login' => 'Anda mesti log masuk untuk melihat muatan naik anda.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'Halaman ini tidak memerlukan gambar.',
	'mobile-frontend-photo-upload-anon' => 'Anda perlu log masuk untuk meletak gambar pada halaman ini.', # Fuzzy
	'mobile-frontend-photo-upload-protected' => 'Anda tiada kebenaran untuk meletak gambar pada halaman ini.',
	'mobile-frontend-photo-upload-unavailable' => 'Pelayar anda tidak membolehkan pemuatnaikan gambar.',
	'mobile-frontend-photo-upload-generic' => 'Sumbangkan gambar',
	'mobile-frontend-donate-image-title' => 'Muat naikan',
	'mobile-frontend-donate-image-heading' => 'Sumbangan terkini anda',
	'mobile-frontend-donate-image-anon' => '$1 diperlukan untuk melihat halaman muat naik.',
	'mobile-frontend-user-account' => 'Akaun pengguna',
	'mobile-frontend-listed-image-no-description' => 'Tiada keterangan',
	'mobile-frontend-donate-photo-upload-success' => 'Berjaya! Gambar anda kini boleh digunakan di {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Berjaya! Terima kasih atas sumbangan pertama anda!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Serikan {{SITENAME}} dengan memberikan gambar-gambar anda!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Gambar-gambar di {{SITENAME}} datang dari Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Gambar-gambar anda membantu mendidik masyarakat seluruh dunia',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Elakkan bahan-bahan terhak cipta yang anda jumpai di Internet dan juga gambar-gambar poster, kulit buku, dsb.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Faham?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Faham!',
	'mobile-frontend-watchlist-add' => '$1 ditambahkan dalam senarai pantau anda',
	'mobile-frontend-watchlist-removed' => '$1 digugurkan dari senarai pantau anda',
	'mobile-frontend-watchlist-view' => 'Lihat senarai pantau anda',
	'mobile-frontend-watchlist-more' => 'lagi',
	'mobile-frontend-watchlist-cta' => 'Sila log masuk atau daftar diri untuk memantau halaman ini.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Log masuk',
	'mobile-frontend-watchlist-cta-button-signup' => 'Daftar diri',
	'mobile-frontend-watch-login' => 'Anda mesti log masuk untuk melihat halaman.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'Semua', # Fuzzy
	'mobile-frontend-watchlist-feed' => 'Diubah',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klik pada bintang di atas halaman',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Anda tidak memantau sebarang halaman buat masa ini. Senarai pantau membantu anda untuk mengikuti perkembangan halaman-halaman yang anda minati. Pantau halaman dengan mengetik ikon bintang.',
	'mobile-frontend-watchlist-feed-empty' => 'Tidak terdapat halaman dengan perubahan terkini',
	'mobile-frontend-watchlist-back-home' => 'Kembali ke halaman utama',
	'mobile-frontend-changeslist-ip' => 'Pengguna awanama',
	'mobile-frontend-changeslist-nocomment' => 'tiada ringkasan suntingan',
	'mobile-frontend-watchlist-filter-all' => 'Semua',
	'mobile-frontend-watchlist-filter-articles' => 'Rencana', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Perbualan',
	'mobile-frontend-watchlist-filter-other' => 'Lain-lain',
	'mobile-frontend-watchlist-modified' => 'Diubah $1',
	'mobile-frontend-diffview-404-title' => 'Semakan tak elok',
	'mobile-frontend-diffview-404-desc' => 'ID untuk semakan yang anda pohon tidak wujud.',
	'mobile-frontend-diffview-title' => 'Perubahan',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> suntingan',
	'mobile-frontend-diffview-anonymous' => 'Pengguna awanama',
	'mobile-frontend-diffview-bytesadded' => '$1 bait ditambah',
	'mobile-frontend-diffview-bytesremoved' => '$1 bait dibuang',
	'mobile-frontend-diffview-explained' => 'Baris-baris yang berikut ditambahkan (+) dan digugurkan (-):',
	'mobile-frontend-thanked-notice' => '$1 telah diberitahu bahawa anda menyukai suntingan{{GENDER:$2|nya}}.',
	'mobile-frontend-table' => 'Jadual $1',
	'mobile-frontend-saving-exit-page' => 'Sumbangan anda masih sedang disimpan. Jika anda pergi, sumbangan anda akan hilang. Adakah anda benar-benar ingin keluar?',
	'mobile-frontend-photo-upload' => 'Letakkan gambar pada halaman ini',
	'mobile-frontend-photo-article-edit-comment' => 'Meletakkan gambar untuk digunakan pada halaman',
	'mobile-frontend-photo-article-donate-comment' => 'Menyumbangkan gambar dari Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Meletakkan gambar pada halaman',
	'mobile-frontend-photo-caption-placeholder' => 'Isikan keterangan (wajib)', # Fuzzy
	'mobile-frontend-image-loading' => 'Imej sedang dimuatkan',
	'mobile-frontend-photo-ownership' => 'Saya, $1, adalah pencipta gambar ini.',
	'mobile-frontend-photo-ownership-help' => 'Apa maksudnya?',
	'mobile-frontend-photo-ownership-confirm' => 'Faham!',
	'mobile-frontend-photo-ownership-bullet-one' => 'Kami boleh menerima gambar milik anda sahaja. Tolong jangan muat naik gambar yang anda jumpa di mana-mana di Internet.',
	'mobile-frontend-photo-ownership-bullet-two' => 'Gambar-gambar yang berhak cipta atau tidak sesuai akan dipadamkan.',
	'mobile-frontend-photo-ownership-bullet-three' => 'Hasil muat naik anda dikeluarkan dengan lesen yang membolehkan penggunaan semula secara bebas oleh sesiapa jua.',
	'mobile-frontend-photo-nag-1-bullet-1-heading' => 'Saya tidak melanggar hak cipta',
	'mobile-frontend-photo-nag-1-bullet-1-text' => "Ini '''bukan''' gambar yang saya jumpai di Internet, sebaliknya hasil kerja saya sendiri.",
	'mobile-frontend-photo-nag-1-bullet-2-heading' => 'Ini bukan gambar peribadi',
	'mobile-frontend-photo-nag-1-bullet-2-text' => 'Dan ia boleh membantu dalam menjelaskan topik yang penting.',
	'mobile-frontend-photo-nag-2-bullet-1-heading' => 'Gambar ini bertujuan pendidikan dan sudah tentu tidak melanggar hak cipta.',
	'mobile-frontend-photo-nag-3-bullet-1-heading' => 'Saya faham apa yang hendak dimuat naik. Jangan tayang pesanan ini lagi.',
	'mobile-frontend-photo-nag-learn-more-heading' => 'Bahan-bahan untuk dimuat naik',
	'mobile-frontend-photo-nag-learn-more-1' => "'''Boleh!''' Gambar tempat, benda dan peristiwa yang anda ambil sendiri.",
	'mobile-frontend-photo-nag-learn-more-2' => "'''Boleh!''' Gambar yang boleh membantu dalam menjelaskan dan memperkaya halaman-halaman {{SITENAME}}.",
	'mobile-frontend-photo-nag-learn-more-3' => "'''Tak boleh!''' Gambar poster filem, kulit buku atau lain-lain bahan terhak cipta. Semua ini akan dihapuskan.",
	'mobile-frontend-lead-image-tutorial-summary' => 'Pastikan imej anda boleh membantu menjelaskan halaman. Gambar itu seharusnya dihasilkan oleh diri anda sendiri dan tidak menyalahi hak cipta.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Mula memuat naik', # Fuzzy
	'mobile-frontend-image-uploading-wait' => 'Sila tunggu, gambar sedang dimuat naik.',
	'mobile-frontend-image-uploading-long' => 'Imej masih sedang dimuat naik. Terima kasih atas kesabaran anda.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Batalkan</a> jika terlalu lama.',
	'mobile-frontend-photo-upload-error' => 'Ralat, cuba lagi.',
	'mobile-frontend-photo-upload-error-file-type' => 'Sila muat naik imej sahaja.',
	'mobile-frontend-photo-upload-error-filename' => 'Ralat, sila berikan ringkasan yang lebih memerikan.',
	'mobile-frontend-photo-upload-success-article' => 'Berjaya! Gambar anda kini disiarkan pada halaman ini.',
	'mobile-frontend-photo-license' => 'Dengan mengklik "Hantar", anda bersetuju dengan [//wikimediafoundation.org/wiki/Terms_of_use Syarat-Syarat Penggunaan] kami dan juga sudi melepaskan gambar anda di bawah [//creativecommons.org/licenses/by-sa/3.0/ Lesen Creative Commons Attribution-ShareAlike 3.0].', # Fuzzy
	'mobile-frontend-photo-submit' => 'Hantar',
	'mobile-frontend-photo-cancel' => 'Batalkan',
	'mobile-frontend-photo-upload-user-count' => '$1 muatnaikan',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ muatan naik',
	'mobile-frontend-editor-disabled' => 'Anda tidak dibenarkan menyunting halaman ini.', # Fuzzy
	'mobile-frontend-editor-cta' => 'Anda mesti log masuk untuk menyunting halaman pada peranti mudah alih.', # Fuzzy
	'mobile-frontend-editor-edit' => 'Sunting',
	'mobile-frontend-editor-continue' => 'Sambung',
	'mobile-frontend-editor-save' => 'Simpan',
	'mobile-frontend-editor-cancel' => 'Batalkan',
	'mobile-frontend-editor-keep-editing' => 'Sambung menyunting',
	'mobile-frontend-editor-license' => 'Dengan mengklik "Simpan", anda bersetuju dengan [//wikimediafoundation.org/wiki/Terms_of_use Syarat-Syarat Penggunaan] kami dan juga sudi mengeluarkan gambar anda dengan [//creativecommons.org/licenses/by-sa/3.0/ Lesen Creative Commons Attribution-ShareAlike 3.0] dan [//ms.wikipedia.org/wiki/Wikipedia:Teks_Lesen_Dokumentasi_Bebas_GNU GFDL].', # Fuzzy
	'mobile-frontend-editor-placeholder' => 'Bahagian ini kosong. Jadilah yang pertama untuk mengembangkannya!',
	'mobile-frontend-editor-summary-placeholder' => 'Terangkan suntingan anda (tidak wajib)',
	'mobile-frontend-editor-cancel-confirm' => 'Adakah anda benar-benar mahu meninggalkan suntingan anda?',
	'mobile-frontend-editor-wait' => 'Suntingan sedang disimpan, sila tunggu.',
	'mobile-frontend-editor-guider' => '"{{int:mobile-frontend-editor-continue}}" akan membolehkananda untuk memaparkan pralihat dan menyimpan.',
	'mobile-frontend-editor-success' => 'Berjaya! Suntingan anda telah disimpan.',
	'mobile-frontend-editor-success-landmark-1' => 'Tahniah, anda telah menjadi penyunting di {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Maaf, suntingan tidak disimpan.',
	'mobile-frontend-editor-error-conflict' => 'Ralat, seorang pengguna telah menyunting halaman ini.',
	'mobile-frontend-editor-error-loading' => 'Ralat, bahagian tidak dapat dimuatkan.',
	'mobile-frontend-editor-preview-header' => 'Pralihat',
	'mobile-frontend-editor-error-preview' => 'Ralat, berlakunya sesuatu di luar jangkaan sewaktu memuatkan pratayang. Sila tutup dan cuba lagi.',
	'tag-mobile_edit' => 'Suntingan mobil',
	'tag-mobile_edit-description' => 'Suntingan dari tapak mobil',
	'mobile-frontend-drawer-cancel' => 'Batalkan',
	'mobile-frontend-talk-explained' => 'Yang berikut adalah penukaran-penukaran yang sedang giat dijalankan',
	'mobile-frontend-talk-explained-empty' => 'Tiada penukaran berkenaan halaman ini.',
	'mobile-frontend-talk-overlay-header' => 'Perbualan',
	'mobile-frontend-talk-overlay-lead-header' => 'Perbincangan tanpa nama',
	'mobile-frontend-talk-add-overlay-submit' => 'Tambah perbincangan',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Tajuk topik',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Apa pendapat anda?',
	'mobile-frontend-talk-edit-summary' => 'Bahagian perbualan baru: $1',
	'mobile-frontend-talk-reply-success' => 'Balasan anda berjaya disimpan dalam halaman perbualan.',
	'mobile-frontend-talk-reply-info' => 'Sila ambil perhatian bahawa balasan anda akan ditandatangani secara automatik dengan nama pengguna anda.',
	'mobile-frontend-talk-reply' => 'Balas',
);

/** Maltese (Malti)
 * @author Chrisportelli
 */
$messages['mt'] = array(
	'mobile-frontend-desc' => 'Interfaċċa għall-mowbajl',
	'mobile-frontend-search-submit' => 'Mur',
	'mobile-frontend-home-button' => 'Daħla',
	'mobile-frontend-logged-out' => "M'intix illoggjat",
	'mobile-frontend-logged-in-homepage-notification' => 'Merħba, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Illogjat bħala $1.',
	'mobile-frontend-sign-up-heading' => 'Irreġistra',
	'mobile-frontend-sign-in-heading' => 'Idħol',
	'mobile-frontend-sign-in-why' => "Jekk għandek kont ta' {{SITENAME}}, tista' tidħol billi timla l-formola t'hawn taħt.",
	'mobile-frontend-sign-in-error-heading' => 'Oops!',
	'mobile-frontend-settings-description' => "Ippersonalizza l-esperjenza tiegħek fuq il-mowbajl b'dawn il-konfigurazzjonijiet speċifiċi għal din il-verżjoni.",
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Modalità sperimentali',
	'mobile-frontend-save-settings' => 'Salva',
	'mobile-frontend-random-button' => 'Paġna kwalunkwe',
	'mobile-frontend-back-to-top-of-section' => 'Aqbeż sezzjoni lura',
	'mobile-frontend-close-section' => 'Agħlaq din is-sezzjoni',
	'mobile-frontend-regular-site' => 'Verżjoni għad-desktop',
	'mobile-frontend-wml-continue' => 'Kompli...',
	'mobile-frontend-wml-back' => 'Lura...',
	'mobile-frontend-view' => 'Verżjoni għall-mowbajl',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Mowbajl',
	'mobile-frontend-opt-in-explain' => "Billi tipparteċipa fil-verżjoni beta, se jkollok aċċess il-funzjonalità sperimentali, bir-riskju li tiltaqa' ma' żbalji u problemi.",
	'mobile-frontend-images-status' => 'Stampi',
	'mobile-frontend-disable-images' => 'Iddiżattiva l-istampi fuq is-sit għall-mowbajl',
	'mobile-frontend-enable-images' => 'Attiva l-istampi fuq is-sit għall-mowbajl',
	'mobile-frontend-missing-image' => 'Stampa',
	'mobile-frontend-off' => 'OFF',
	'mobile-frontend-on' => 'ON',
	'mobile-frontend-featured-article' => 'Vetrina', # Fuzzy
	'mobile-frontend-news-items' => 'Fl-aħbarijiet',
	'mobile-frontend-language-article-heading' => "Aqra f'lingwa oħra",
	'mobile-frontend-language-header' => "Din il-paġna hija disponibbli f'{{PLURAL:$1|lingwa waħda|$1 lingwi}}",
	'mobile-frontend-language-footer' => "Nota: Din il-paġna tista' ma tkunx miktuba bil-lingwa preferuta tiegħek. Tista' tara b'liema lingwi {{SITENAME}} hija disponibbli billi tagħfas hawnhekk.",
	'mobile-frontend-language-site-choose' => 'Fittex lingwa',
	'mobile-frontend-username' => 'Isem tal-utent:',
	'mobile-frontend-password' => 'Password:',
	'mobile-frontend-username-placeholder' => 'Isem tal-utent',
	'mobile-frontend-password-placeholder' => 'Password',
	'mobile-frontend-login' => 'Idħol',
	'mobile-frontend-last-modified-date' => 'Modifikata l-aħħar nhar il-$1, fil-$2',
	'mobile-frontend-account-create-submit' => 'Irreġistra',
	'mobile-frontend-password-confirm-placeholder' => 'Ikkonferma l-password',
	'mobile-frontend-account-create-email-placeholder' => 'Indirizz elettroniku (opzjonali)',
	'mobile-frontend-overlay-escape' => 'Mur lura',
	'mobile-frontend-placeholder' => 'Fittex fil-{{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Fittex fuq {{SITENAME}} (Beta)',
	'mobile-frontend-search-help' => 'Daħħal il-kliem li trid tfittex hawn fuq u t-titli tal-paġni li jikkorrispondu jidhru hawnhekk.',
	'mobile-frontend-dismiss-notification' => 'neħħi din in-notifika',
	'mobile-frontend-clear-search' => 'Ħassar',
	'mobile-frontend-privacy-link-text' => 'Privatezza',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Kontenut disponibbli taħt il-liċenzja [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; termini addizjonali jistgħu japplikaw.',
	'mobile-frontend-copyright' => "It-test hu disponibbli taħt il-<a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Liċenzja Creative Commons Attribution/Share-Alike</a>; termini addizjonali jistgħu japplikaw. Ara t-<a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>termini ta' użu</a> għal aktar dettalji. Il-Wikipedija hija trejdmark reġistrata mill-<a href='http://www.wikimediafoundation.org/'>Fondazzjoni Wikimedia, Inc.</a>, organizzazzjoni mingħajr ebda fini ta' profitt.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Kuntatt',
	'mobile-frontend-search-noresults' => 'L-ebda titlu ta\' paġna ma kkorrisponda mat-tfittxija tiegħek. Biddel it-tfittxija tiegħek, jew agħfas il-buttuna tat-tastiera "Fittex" sabiex tfittex fi ħdan it-test tal-paġni.',
	'mobile-frontend-main-menu-button-tooltip' => 'Iftaħ il-menu prinċipali',
	'mobile-frontend-main-menu-page-title' => 'Navigazzjoni tas-sit',
	'mobile-frontend-main-menu-featured' => 'Fil-vetrina',
	'mobile-frontend-main-menu-nearby' => 'Fil-qrib',
	'mobile-frontend-main-menu-login' => 'Idħol',
	'mobile-frontend-main-menu-logout' => 'Oħroġ',
	'mobile-frontend-main-menu-watchlist' => "Lista ta' osservazzjonijiet",
	'mobile-frontend-main-menu-settings' => 'Konfigurazzjoni',
	'mobile-frontend-main-menu-settings-heading' => 'Konfigurazzjoni għas-sit għall-mowbajl', # Fuzzy
	'mobile-frontend-settings-site-header' => 'Lingwi {{SITENAME}}',
	'mobile-frontend-settings-site-description' => "{{SITENAME}} hija disponibbli f'$1 {{PLURAL:$1|lingwa|lingwi}}. Il-verżjonijiet disponibbli kollha huma mniżżla hawn taħt",
	'mobile-frontend-main-menu-account-create' => 'Oħloq kont',
	'mobile-frontend-page-menu-contents' => 'werrej',
	'mobile-frontend-page-menu-history' => 'Kronoloġija',
	'mobile-frontend-meta-data-issues-header' => 'Anomaliji',
	'mobile-frontend-meta-data-issues' => 'Din il-paġna għandha xi problemi',
	'mobile-frontend-page-saving' => 'Qiegħed jiġi salvat $1',
	'mobile-frontend-user-cta' => 'Idħol fil-kont jew irreġistra sabiex tara n-notifiki tiegħek.',
	'mobile-frontend-nearby-title' => 'Fil-qrib',
	'mobile-frontend-nearby-loading' => 'Telgħin xi artikli qrib il-pożizzjoni attwali tiegħek',
	'mobile-frontend-nearby-requirements' => 'Jiddispjaċina! Il-browżer tiegħek ma jsostnix "Fil-qrib" ta\' {{SITENAME}}.',
	'mobile-frontend-nearby-noresults' => "Jidher kwiet f'dawn in-naħat… m'għandna l-ebda artiklu f'dawn in-naħat.", # Fuzzy
	'mobile-frontend-nearby-noresults-guidance' => 'Prova ibda artiklu ġdid jew iżżid lokalità fuq wieħed eżistenti', # Fuzzy
	'mobile-frontend-photo-upload-anon' => 'Trid tkun dħalt fil-kont tiegħek sabiex iżżid stampa fuq din il-paġna.',
	'mobile-frontend-photo-upload-generic' => "Tella' stampa",
	'mobile-frontend-donate-image-title' => 'Agħti stampa', # Fuzzy
	'mobile-frontend-donate-image-heading' => 'Kontributi riċenti tiegħek',
	'mobile-frontend-watchlist-add' => "$1 ġie miżjud fil-lista ta' osservazzjonijiet tiegħek",
	'mobile-frontend-watchlist-removed' => "$1 tneħħa mil-lista ta' osservazzjonijiet tiegħek",
	'mobile-frontend-watchlist-view' => "Ara l-lista ta' osservazzjonijiet tiegħek",
	'mobile-frontend-watchlist-cta' => 'Idħol fil-kont jew irreġistra sabiex tosserva din il-paġna.',
	'mobile-frontend-watch-login' => 'Trid tkun dħalt fil-kont tiegħek sabiex tosserva paġna.',
	'mobile-frontend-watchlist-a-z' => 'Kollha', # Fuzzy
	'mobile-frontend-watchlist-feed' => 'Modifikati',
	'mobile-frontend-changeslist-ip' => 'Utent anonimu',
	'mobile-frontend-changeslist-nocomment' => 'l-ebda taqsira',
	'mobile-frontend-watchlist-filter-all' => 'Kollha',
	'mobile-frontend-watchlist-filter-articles' => 'Artikli', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Diskussjoni',
	'mobile-frontend-watchlist-filter-other' => 'Oħrajn',
	'mobile-frontend-diffview-title' => 'Tibdil',
	'mobile-frontend-diffview-editcount' => '{{PLURAL:$1|modifika waħda|<div>$1</div> modifiki}}',
	'mobile-frontend-diffview-anonymous' => 'Utent anonimu',
	'mobile-frontend-diffview-bytesadded' => '{{PLURAL:$1|byte|$1 bytes}} miżjuda',
	'mobile-frontend-diffview-bytesremoved' => '{{PLURAL:$1|byte|$1 bytes}} imneħħija',
	'mobile-frontend-table' => 'Tabella $1',
	'mobile-frontend-saving-exit-page' => 'Il-kontribuzzjoni tiegħek għadha qed tiġi salvata. Jekk se titlaq, il-kontribuzzjonijiet tiegħek jintilfu. Inti ċert li tixtieq titlaq?',
	'mobile-frontend-photo-upload' => "Żid stampa f'dan l-artiklu", # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => "Miżjuda stampa f'din il-paġna",
	'mobile-frontend-photo-upload-comment' => 'Stampa miżjuda fuq il-paġna',
	'mobile-frontend-photo-caption-placeholder' => 'Żid deskrizzjoni (neċessarja)', # Fuzzy
	'mobile-frontend-image-loading' => "L-istampa tiela'",
	'mobile-frontend-editor-disabled' => "M'intix permess li timmodifika din il-paġna.",
	'mobile-frontend-editor-cta' => "Trid tkun dħalt fil-kont tiegħek qabel ma tkun tista' timmodifika paġni fuq il-mowbajl.",
	'mobile-frontend-talk-explained-empty' => "M'hemm l-ebda konverżazzjoni fuq din il-paġna.",
);

/** Burmese (မြန်မာဘာသာ)
 */
$messages['my'] = array(
	'mobile-frontend-search-submit' => 'သွား',
	'mobile-frontend-home-button' => 'ပင်မ',
	'mobile-frontend-random-button' => 'ကျပန်း',
	'mobile-frontend-back-to-top-of-section' => 'အပိုင်းတစ်ခု ခုန်ကျော်ရန်',
	'mobile-frontend-regular-site' => 'ဤစာမျက်နှာကို ပုံမှန် ဝီကီပီးဒီးယား စာမျက်နှာတွင် ကြည့်ရန်', # Fuzzy
	'mobile-frontend-featured-article' => 'ယနေ့အထူးဆောင်းပါး', # Fuzzy
	'mobile-frontend-copyright' => "စာသားများသည် <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike လိုင်စင်</a>အောက်တွင် ရရှိနိုင်ပါသည်။ အပိုသတ်မှတ်ချက်များ ရှိကောင်းရှိမည်ဖြစ်သည်။ အသေးစိတ်အတွက် <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>အသုံးပြုရာတွင် သတိပြုရမည့် အချက်များ</a>ကို ကြည့်ပါ။ ဝီကီပီးဒီးယားသည် အကျိုးအမြတ် မရယူသော <a href='http://www.wikimediafoundation.org/'>ဝီကီမီဒီယာဖောင်ဒေးရှင်း Inc.</a>၏ မှတ်ပုံတင်ထားသော ကုန်အမှတ်တံဆိပ် ဖြစ်သည်။", # Fuzzy
);

/** Mazanderani (مازِرونی)
 * @author Mehdi
 * @author محک
 */
$messages['mzn'] = array(
	'mobile-frontend-view' => 'موبایلی هارشائن',
	'mobile-frontend-copyright' => "کل نوشتارون <a href='http://en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>موجوز Creative Commons Attribution/Share-Alike</a> اساس شمه دسترس درنه؛ مومکنه ای بعدن اته سری نو شرط و شروط ایضافه بوه. اگه اطلاعات ویشتری خواننی <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>قوانین و موقررات ایستفاده</a> ره هارشین. ویکی‌پدیا ، <a href='http://www.wikimediafoundation.org/'>ویکی‌مدیا بونیاد</a>اته تجاری علومت ثبت بئی هسه که اتا ناسودبر سازمون هسه.", # Fuzzy
);

/** Neapolitan (Napulitano)
 * @author Chelin
 */
$messages['nap'] = array(
	'mobile-frontend-watchlist-filter-articles' => 'Paggene',
	'mobile-frontend-talk-topic-feedback' => "Novo sugietto aggiunto ad 'a paggena 'e discussione !",
	'mobile-frontend-profile-usertalk' => "Paggena 'e discussione 'e {{GENDER:$1|$1}}",
	'mobile-frontend-mainpage-cta-prompt' => "Chista paggena tene bisogno 'e ll'ajùto vuosto !",
);

/** Norwegian Bokmål (norsk bokmål)
 * @author Danmichaelo
 * @author Event
 * @author Haakon K
 * @author Jsoby
 * @author Kjetil r
 * @author Lokal Profil
 * @author Nghtwlkr
 * @author Njardarlogar
 * @author Nsaa
 */
$messages['nb'] = array(
	'mobilefrontend-random-explain' => 'Interesserer denne tilfeldige siden deg?',
	'mobilefrontend-random-cancel' => 'La meg lese!',
	'mobilefrontend-keepgoing-ask' => 'Bra jobba! Du begynner å få draget på dette! Vil du prøve å redigere en annen side?',
	'mobilefrontend-keepgoing-ask-first' => 'Gratulerer med din første redigering! Vil du prøve å redigere en annen side?',
	'mobilefrontend-keepgoing-explain' => 'Glimrende! En annen bruker har meldt fra om at denne siden trenger hjelp. Prøv denne, eller prøv en annen.',
	'mobilefrontend-keepgoing-cancel' => 'Nei takk',
	'mobilefrontend-keepgoing-suggest' => 'Ja takk',
	'mobilefrontend-keepgoing-suggest-again' => 'Prøv en annen',
	'mobilefrontend-keepgoing-saved-title' => 'Redigering lagret!',
	'mobilefrontend-keepgoing-links-title' => 'Legg til lenker',
	'mobilefrontend-keepgoing-links-ask-first' => 'Gratulerer med din første redigering! Vil du hjelpe til med å legge til lenker til en nylig opprettet side?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Fikse en annen side?',
	'nearby' => 'Sider nær deg',
	'mobile-frontend-desc' => 'Mobilgrensesnitt',
	'mobile-frontend-search-submit' => 'Gå',
	'mobile-frontend-home-button' => 'Hjem',
	'mobile-frontend-logged-out' => 'Ikke innlogget',
	'mobile-frontend-logged-in-homepage-notification' => 'Velkommen, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Innlogget som $1.',
	'mobile-frontend-generic-404-title' => 'Feil - Siden ble ikke funnet',
	'mobile-frontend-generic-404-desc' => 'Siden du så etter kunne ikke finnes.',
	'mobile-frontend-sign-up-heading' => 'Registrer deg',
	'mobile-frontend-sign-in-heading' => 'Logg inn',
	'mobile-frontend-sign-in-why' => 'Hvis du har en {{SITENAME}}-konto, kan du logge inn nedenfor.',
	'mobile-frontend-sign-in-error-heading' => 'Hoppsann',
	'mobile-frontend-settings-description' => 'Tilpass brukeropplevelsen på den mobile enheten med disse mobilspesifikke innstillingene.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Eksperimentell modus',
	'mobile-frontend-settings-alpha-description' => 'Stig inn i farlig og uutforsket mobilterritorium. Du får enda flere eksperimentelle funksjoner, men med større risiko for feil.',
	'mobile-frontend-save-settings' => 'Lagre',
	'mobile-frontend-save-error' => 'Det oppstod en feil under lagring av innstillingene. Sjekk at du har aktivert informasjonskapsler (cookies).',
	'mobile-frontend-random-button' => 'Tilfeldig artikkel',
	'mobile-frontend-back-to-top-of-section' => 'Hopp tilbake et avsnitt',
	'mobile-frontend-regular-site' => 'Bordmaskinvisning',
	'mobile-frontend-wml-continue' => 'Fortsett&nbsp;…',
	'mobile-frontend-wml-back' => 'Tilbake&nbsp;…',
	'mobile-frontend-view' => 'Mobilvisning',
	'mobile-frontend-view-desktop' => 'Bordmaskin',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-opt-in-explain' => 'Ved å bli med på betatestingen vil du få tilgang til eksperimentelle funksjoner, som kan inneholde feil og problemer.',
	'mobile-frontend-images-status' => 'Bilder',
	'mobile-frontend-disable-images' => 'Ikke vis bilder på mobilutgaven',
	'mobile-frontend-enable-images' => 'Vis bilder på mobilutgaven',
	'mobile-frontend-missing-image' => 'Bilde',
	'mobile-frontend-off' => 'AV',
	'mobile-frontend-on' => 'PÅ',
	'mobile-frontend-featured-article' => 'Dagens utvalgte innhold',
	'mobile-frontend-news-items' => 'I nyhetene',
	'mobile-frontend-languages-404-title' => 'Språkfeil',
	'mobile-frontend-languages-404-desc' => 'En gyldig tittel må angis.',
	'mobile-frontend-languages-header' => 'Språk',
	'mobile-frontend-languages-nonexistent-title' => 'Siden «$1» eksisterer ikke.',
	'mobile-frontend-languages-text' => '$1 er tilgjengelig på $2 {{PLURAL:$2|språk}}.',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}}utgaver',
	'mobile-frontend-language-heading' => '<strong>Språk</strong>',
	'mobile-frontend-language-article-heading' => 'Les på et annet språk',
	'mobile-frontend-language-header' => 'Denne siden er tilgjengelig på {{PLURAL:$1|ett språk|$1 språk}}',
	'mobile-frontend-language-variant-header' => 'Velg varianten {{#language: {{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Søk etter språk',
	'mobile-frontend-username' => 'Brukernavn:',
	'mobile-frontend-password' => 'Passord:',
	'mobile-frontend-username-placeholder' => 'Brukernavn',
	'mobile-frontend-password-placeholder' => 'Passord',
	'mobile-frontend-login' => 'Logg inn',
	'mobile-frontend-history' => 'Vis sidens redigeringshistorikk.',
	'mobile-frontend-history-404-title' => 'Ingen slik side',
	'mobile-frontend-history-404-desc' => 'Kan ikke se på historikken for en side som ikke eksisterer. Den kan ha blitt slettet eller du kan ha fulgt en ugyldig lenke.',
	'mobile-frontend-contribution-summary' => 'Alle redigeringer gjort av {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Sidehistorikk for [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Sist endret $1, kl. $2',
	'mobile-frontend-last-modified-seconds' => 'Sist endret for {{PLURAL:$1|$1 sekund|$1 sekunder}} siden',
	'mobile-frontend-last-modified-minutes' => 'Sist endret for {{PLURAL:$1|$1 minutt|$1 minutter}} siden',
	'mobile-frontend-last-modified-hours' => 'Sist endret for {{PLURAL:$1|$1 time|$1 timer}} siden',
	'mobile-frontend-last-modified-days' => 'Sist endret for {{PLURAL:$1|$1 dag|$1 dager}} siden',
	'mobile-frontend-last-modified-months' => 'Sist endret for {{PLURAL:$1|$1 måned|$1 måneder}} siden',
	'mobile-frontend-last-modified-years' => 'Sist endret for {{PLURAL:$1|$1 år}} siden',
	'mobile-frontend-last-modified-just-now' => 'Sist redigert nå nettopp',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Sist {{GENDER:$1|redigert}} for {{PLURAL:$3|$3 sekund|$3 sekunder}} siden] av {{PLURAL:$5|[$6 $2]|0=en anonym bruker}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Sist {{GENDER:$1|redigert}} for {{PLURAL:$3|$3 minutt|$3 minutter}} siden] av  {{PLURAL:$5|[$6 $2]|0=en anonym bruker}}.',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Sist {{GENDER:$1|redigert}} for {{PLURAL:$3|$3 time|$3 timer}} siden] av {{PLURAL:$5|[$6 $2]|0=en anonym bruker}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Sist {{GENDER:$1|redigert}} for {{PLURAL:$3|$3 dag|$3 dager}} siden] av {{PLURAL:$5|[$6 $2]|0=en anonym bruker}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Sist {{GENDER:$1|redigert}} for {{PLURAL:$3|$3 måned|$3 måneder}} siden] av {{PLURAL:$5|[$6 $2]|0=en anonym bruker}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Sist {{GENDER:$1|redigert}} for {{PLURAL:$3|$3 år}} siden] av {{PLURAL:$5|[$6 $2]|0=en anonym bruker}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Sist {{GENDER:$1|redigert}}] nå nettopp av {{PLURAL:$4|[$5 $2]|0=en anonym bruker}}.',
	'mobile-frontend-view-source' => 'Vis kilde',
	'mobile-frontend-account-create-submit' => 'Registrer deg',
	'mobile-frontend-password-confirm-placeholder' => 'Bekreft passord',
	'mobile-frontend-account-create-email-placeholder' => 'E-postadresse (valgfritt)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Skriv inn bekreftelseskode',
	'mobile-frontend-overlay-escape' => 'Gå tilbake',
	'mobile-frontend-overlay-close' => 'Lukk',
	'mobile-frontend-overlay-continue' => 'Fortsett',
	'mobile-frontend-placeholder' => 'Søk i {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Søk i {{SITENAME}} (beta)',
	'mobile-frontend-placeholder-alpha' => 'Søk i {{SITENAME}} (eksperimentell)',
	'mobile-frontend-dismiss-notification' => 'fjern denne beskjeden',
	'mobile-frontend-clear-search' => 'Tilbakestill',
	'mobile-frontend-search-content' => 'Søk i sider',
	'mobile-frontend-search-no-results' => 'Ingen side med denne tittelen.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' for å se om søkebegrepet finnes noe sted i det hele tatt.",
	'mobile-frontend-privacy-link-text' => 'Personvern',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Innholdet er tilgjengelig under [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; ytterligere betingelser kan gjelde.',
	'mobile-frontend-copyright' => 'Innholdet er tilgjengelig under $1 hvis ikke annet er angitt.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-terms-text' => 'Bruksvilkår',
	'mobile-frontend-main-menu-button-tooltip' => 'Åpne hovedmenyen',
	'mobile-frontend-main-menu-page-title' => 'Nettstednavigering',
	'mobile-frontend-main-menu-featured' => 'Utmerka',
	'mobile-frontend-main-menu-nearby' => 'I nærheten',
	'mobile-frontend-main-menu-login' => 'Logg inn',
	'mobile-frontend-main-menu-logout' => 'Logg ut',
	'mobile-frontend-main-menu-watchlist' => 'Overvåkningsliste',
	'mobile-frontend-main-menu-settings' => 'Innstillinger',
	'mobile-frontend-main-menu-upload' => 'Opplastinger',
	'mobile-frontend-main-menu-settings-heading' => 'Innstillinger',
	'mobile-frontend-settings-site-header' => '{{SITENAME}}-språk',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} er tilgjengelig på $1 {{PLURAL:$1|språk|språk}}. Alle tilgjengelige utgaver er listet opp nedenfor',
	'mobile-frontend-main-menu-account-create' => 'Opprett konto',
	'mobile-frontend-page-menu-contents' => 'innhold',
	'mobile-frontend-page-menu-history' => 'Historikk',
	'mobile-frontend-meta-data-issues-header' => 'Problemer',
	'mobile-frontend-meta-data-issues' => 'Denne artikkelen har noen problemer',
	'mobile-frontend-page-saving' => 'Lagrer $1',
	'mobile-frontend-user-cta' => 'Logg inn eller registrer deg for å vise varslinger.',
	'mobile-frontend-user-button-tooltip' => 'Vis varslene mine',
	'mobile-frontend-nearby-to-page' => 'Følgende sider er relatert til $1 gjennom deres geografiske plassering',
	'mobile-frontend-nearby-title' => 'I nærheten',
	'mobile-frontend-nearby-loading' => 'Laster inn emner nær din nåværende posisjon',
	'mobile-frontend-nearby-requirements' => 'Beklager! Nettleseren din støtter ikke {{SITENAME}}-funksjonaliteten «I nærheten».',
	'mobile-frontend-nearby-requirements-guidance' => 'Prøv en annen nettleser eller skru på JavaScript hvis du har skrudd det av.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} «I nærheten» finner ikke ut av hvor du er… prøv igjen?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Prøv i et åpent område med bedre dekning.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} i nærheten har ikke fått tilgang til plasseringen din.',
	'mobile-frontend-nearby-permission-guidance' => 'Sjekk at du gir tillatele til å vise hvor du er. Det kan hende du må sjekke nettleserinnstillingene dine.',
	'mobile-frontend-nearby-noresults' => 'Du er visst utenfor allfarvei… Det ble ikke funnet noen sider i nærheten.',
	'mobile-frontend-nearby-noresults-guidance' => 'Prøv å opprette en ny side eller legg inn koordinater i en eksisterende.',
	'mobile-frontend-nearby-refresh' => 'Vi fant en mer nøyaktig posisjon for deg. Trykk her for å oppfriske listen.',
	'mobile-frontend-nearby-error' => '{{SITENAME}} «I nærheten» har problemer.',
	'mobile-frontend-nearby-error-guidance' => 'Prøv å friske opp plasseringen din.',
	'mobile-frontend-nearby-link' => 'Les hele siden',
	'mobile-frontend-nearby-directions' => 'Naviger her',
	'mobile-frontend-donate-image-nouploads' => 'Ingen opplastinger.',
	'mobile-frontend-donate-image-login' => 'Media på {{SITENAME}} er donert av mennesker som deg.',
	'mobile-frontend-donate-image-login-action' => 'Logg inn for å dele media.',
	'mobile-frontend-donate-image-signup-action' => 'Registrer deg for å dele dine mediafiler med verden.',
	'mobile-frontend-photo-upload-disabled' => 'Ingen bilder trengs på denne siden.',
	'mobile-frontend-photo-upload-anon' => 'Logg inn for å legge til et bilde på denne siden.',
	'mobile-frontend-photo-upload-protected' => 'Du har ikke tillatelse til å legge til bilder på denne siden.',
	'mobile-frontend-photo-upload-unavailable' => 'Nettleseren din støtter ikke bildeopplasting.',
	'mobile-frontend-photo-upload-generic' => 'Bidra med et bilde',
	'mobile-frontend-donate-image-title' => 'Opplastinger',
	'mobile-frontend-donate-image-heading' => 'Dine siste bidrag',
	'mobile-frontend-donate-image-anon' => 'En $1 trengs for å se opplastingssiden.',
	'mobile-frontend-user-account' => 'brukerkonto',
	'mobile-frontend-listed-image-no-description' => 'Ingen beskrivelse',
	'mobile-frontend-donate-photo-upload-success' => 'Suksess! Bildet ditt kan nå brukes på {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Suksess! Takk for ditt første bidrag!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Bidra med dine bilder. Hjelp til med å blåse liv i {{SITENAME}}!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Bilder på {{SITENAME}} kommer fra Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Dine bilder hjelper til med å utdanne mennesker over hele verden',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Unngå opphavsrettsbeskyttet materiale som du har funnet på internett samt bilder av plakater, bokomslag, osv.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Forstått?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Ja!',
	'mobile-frontend-watchlist-add' => '$1 er lagt til på din overvåkningsliste',
	'mobile-frontend-watchlist-removed' => '$1 er fjernet fra din overvåkningsliste',
	'mobile-frontend-watchlist-view' => 'Vis din overvåkningsliste',
	'mobile-frontend-watchlist-more' => 'mer',
	'mobile-frontend-watchlist-cta' => 'Følg med på denne siden og alle endringer som blir gjort på den.',
	'mobile-frontend-watchlist-cta-button-login' => 'Logg inn',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registrer deg',
	'mobile-frontend-watchlist-purpose' => 'En overvåkningsliste hjelper deg med å bokmerke sider og følge med på endringer som gjøres på dem.',
	'mobile-frontend-watchlist-login-action' => 'Logg inn for å vise den.',
	'mobile-frontend-watchlist-signup-action' => 'Registrer deg for å starte en nå.',
	'mobile-frontend-generic-login' => '{{SITENAME}} lages av folk som deg.',
	'mobile-frontend-generic-login-action' => 'Logg inn for å bidra.',
	'mobile-frontend-generic-signup-action' => 'Registrer deg for å bidra.',
	'mobile-frontend-watch-login' => 'Legg til $1 på overvåkningslisten din.',
	'mobile-frontend-edit-login' => 'Hjelp til med å forbedre siden $1.',
	'mobile-frontend-edit-login-action' => 'Logg inn for å redigere.',
	'mobile-frontend-edit-signup-action' => 'Registrer deg for å redigere.',
	'mobile-frontend-watchlist-a-z' => 'Liste',
	'mobile-frontend-watchlist-feed' => 'Endret',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klikk på stjernen øverst på en side',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Du overvåker foreløpig ingen sider. Overvåkningslisten hjelper deg med å følge med sider du er interessert i. Overvåk sider ved å trykke på stjernesymbolet.',
	'mobile-frontend-watchlist-feed-empty' => 'Det er ingen sider som har blitt redigert i det siste.',
	'mobile-frontend-watchlist-back-home' => 'Tilbake til hovedsiden',
	'mobile-frontend-changeslist-ip' => 'Uregistrert bruker',
	'mobile-frontend-changeslist-nocomment' => 'ingen redigeringsforklaring',
	'mobile-frontend-watchlist-filter-all' => 'Alle',
	'mobile-frontend-watchlist-filter-articles' => 'Sider',
	'mobile-frontend-watchlist-filter-talk' => 'Diskusjon',
	'mobile-frontend-watchlist-filter-other' => 'Andre',
	'mobile-frontend-watchlist-modified' => 'Endret $1',
	'mobile-frontend-diffview-404-title' => 'Ugyldig revisjon',
	'mobile-frontend-diffview-404-desc' => 'Revisjons-IDen du ba om eksisterer ikke',
	'mobile-frontend-diffview-title' => 'Endringer',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|endring|endringer}}',
	'mobile-frontend-diffview-anonymous' => 'Anonym bruker',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte}} lagt til',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte}} fjernet',
	'mobile-frontend-diffview-explained' => 'Følgende linjer ble lagt til (+) og fjernet (-):',
	'mobile-frontend-thanked-notice' => '$1 fikk høre at du likte {{GENDER:$2|hans|hennes|vedkommendes}} redigering.',
	'mobile-frontend-saving-exit-page' => 'Bidraget ditt holder fortsatt på å lagres. Hvis du forlater siden nå, vil bidraget gå tapt. Er du sikker på at du vil avslutte?',
	'mobile-frontend-photo-upload' => 'Legg til et bilde på denne siden',
	'mobile-frontend-photo-article-edit-comment' => 'Lagt til bilde for bruk på siden',
	'mobile-frontend-photo-article-donate-comment' => 'Bidratt med bilde fra Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Lagt til bilde på siden',
	'mobile-frontend-photo-caption-placeholder' => 'Beskriv bildet (påkrevd)',
	'mobile-frontend-photo-ownership' => 'Jeg, $1, har tatt dette bildet.',
	'mobile-frontend-photo-ownership-help' => 'Hva betyr dette?',
	'mobile-frontend-photo-ownership-confirm' => 'Jeg forstår!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Tenk på at bildet skal hjelpe til å illustrere innholdet på siden. Pass på at det er et bilde du har tatt selv som ikke bryter opphavsretten.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Start opplasting',
	'mobile-frontend-photo-upload-error' => 'Feil, prøv igjen.',
	'mobile-frontend-photo-upload-error-file-type' => 'Vennligst kun last opp bilder.',
	'mobile-frontend-photo-upload-error-filename' => 'Feil, vennligst fyll inn en mer dekkende beskrivelse.',
	'mobile-frontend-photo-upload-success-article' => 'Suksess! Bildet ditt er nå live på denne siden.',
	'mobile-frontend-photo-license' => 'Ved å laste opp dette bildet, godtar du  [//wikimediafoundation.org/wiki/Terms_of_use bruksvilkårene] og samtykker til å slippe bildet under en [//creativecommons.org/licenses/by-sa/3.0/no/ Creative Commons Navngivelse-DelPåSammeVilkår 3.0-lisens].',
	'mobile-frontend-photo-submit' => 'Last opp',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> opplasting|<span>$1</span> opplastinger}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ opplastinger',
	'mobile-frontend-image-heading-describe' => "'''Beskriv''' bildet",
	'mobile-frontend-image-uploading' => "'''Laster opp''' bilde...",
	'mobile-frontend-image-cancel-confirm' => 'Avbryt opplastingen?',
	'mobile-frontend-editor-redirect-title' => 'Videresender til redigeringsprogram...',
	'mobile-frontend-editor-unavailable-header' => 'Redigeringsprogrammet er ikke tilgjengelig',
	'mobile-frontend-editor-unavailable' => 'Mobilredigering er foreløpig ikke støttet av nettleseren din. Prøv gjerne med en annen nettleser.',
	'mobile-frontend-editor-undo-unsupported' => 'Angre er foreløpig ikke søttet på mobile enheter.',
	'mobile-frontend-editor-newpage-prompt' => 'Denne siden eksisterer ikke. Hvorfor ikke være modig og opprette den?',
	'mobile-frontend-editor-disabled' => 'Denne siden er beskyttet for å forhindre vandalisme.',
	'mobile-frontend-editor-blocked' => 'Kontoen din er blokkert fra å redigere.',
	'mobile-frontend-editor-cta' => 'Hjelp til med å forbedre denne siden!',
	'mobile-frontend-editor-edit' => 'Rediger',
	'mobile-frontend-editor-continue' => 'Fortsett',
	'mobile-frontend-editor-save' => 'Lagre',
	'mobile-frontend-editor-cancel' => 'Avbryt',
	'mobile-frontend-editor-keep-editing' => 'Fortsett å redigere',
	'mobile-frontend-editor-license' => 'Ved å lagre godtar du  [//wikimediafoundation.org/wiki/Terms_of_use bruksvilkårene], og samtykker til å slippe bildet under en [//creativecommons.org/licenses/by-sa/3.0/no/ CC-BY-SA 3.0-lisens] og [//no.wikipedia.org/wiki/GNU_fri_dokumentasjonslisens GFDL].',
	'mobile-frontend-editor-placeholder' => 'Dette avsnittet er foreløpig tomt. Du kan være den første til å fylle det!',
	'mobile-frontend-editor-summary-placeholder' => 'Fortell hva du endret (valgfritt)',
	'mobile-frontend-editor-cancel-confirm' => 'Er du sikker på at du ønsker å avbryte redigeringen?',
	'mobile-frontend-editor-wait' => 'Lagrer redigering, vennligst vent.',
	'mobile-frontend-editor-success' => 'Vellykket! Endringen din ble lagret.',
	'mobile-frontend-editor-success-landmark-1' => 'Gratulerer, du er nå en {{SITENAME}}-bidragsyter!',
	'mobile-frontend-editor-error' => 'Feil, endringen ble ikke lageet.',
	'mobile-frontend-editor-error-conflict' => 'Feil, en annen bruker har redigert denne siden.',
	'mobile-frontend-editor-error-loading' => 'Feil, kunne ikke laste avsnitt.',
	'mobile-frontend-editor-error-preview' => 'Feil, det skjedde noe uventet ved forsøket på å laste inn forhåndsvisningen. Vennligst lukk og prøv igjen.',
	'mobile-frontend-editor-tutorial-summary' => 'Ikke bli skremt av markering. Prøv å forbedre siden $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Hvorfor ikke forbedre $1? Ikke vær redd for koden!',
	'mobile-frontend-editor-tutorial-confirm' => 'Begynn å redigere',
	'mobile-frontend-editor-tutorial-cancel' => 'Nei takk',
	'mobile-frontend-editor-captcha-try-again' => 'Feil kode, prøv igjen.',
	'mobile-frontend-editor-abusefilter-warning' => 'Advarsel: Er du sikker på at du vil lagre redigeringen? Det kan være et problem med den.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Denne redigeringen kan ikke lagres fordi vi har oppdaget et problem.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Les mer',
	'mobile-frontend-editor-editing-page' => '<strong>Redigerer</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Forhåndsviser</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Viser kilden til</strong><span> $1</span>',
	'tag-mobile_edit' => 'Mobilredigering',
	'tag-mobile_edit-description' => 'Redigeringer gjort fra mobilsiden',
	'mobile-frontend-drawer-cancel' => 'Avbryt',
	'mobile-frontend-talk-explained' => 'Følgende diskusjoner er aktive',
	'mobile-frontend-talk-explained-empty' => 'Det er ingen diskusjoner om dennne siden.',
	'mobile-frontend-talk-overlay-header' => 'Diskusjon',
	'mobile-frontend-talk-back-to-page' => 'Tilbake til siden «$1».',
	'mobile-frontend-talk-overlay-lead-header' => 'Diskusjon uten navn',
	'mobile-frontend-talk-add-overlay-submit' => 'Start diskusjon',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Emne',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Hva tenker du på?',
	'mobile-frontend-talk-edit-summary' => 'Nytt diskusjonsavsnitt: $1',
	'mobile-frontend-talk-reply-success' => 'Svaret ditt ble lagret på diskusjonssiden.',
	'mobile-frontend-talk-reply-info' => 'Merk at svaret ditt automatisk vil bli signert med ditt brukernavn.',
	'mobile-frontend-talk-reply' => 'Svar',
	'mobile-frontend-talk-topic-feedback' => 'Nytt emne opprettet på diskusjonssiden!',
	'mobile-frontend-media-details' => 'Detaljer',
	'mobile-frontend-media-license-link' => 'Lisensinformasjon',
	'abusefilter-edit-builder-vars-user-mobile' => 'Hvorvidt en bruker redigerer fra mobilgrensesnittet',
	'mobile-frontend-profile-title' => 'Brukerprofil',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Lastet opp}} {{PLURAL:$1|i går|for $1 dager siden|0=i dag}}.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|Diskutér med $1}}',
	'mobile-frontend-profile-error' => 'Åh nei!',
	'mobile-frontend-profile-noargs' => 'Intet brukernavn ble oppgitt. Oppgi et brukernavn for å vise en profil.',
	'mobile-frontend-profile-nouser' => 'Det eksisterer ingen bruker med det navnet. I brukernavn er det forskjell på store og små bokstaver, så sjekk at det har blitt skrevet korrekt.',
	'mobile-frontend-profile-activity-heading' => 'Nylig aktivitet',
	'mobile-frontend-profile-userpage-link' => 'Besøk brukerside.',
	'mobile-frontend-requires-optin' => 'Denne siden er ikke tilgjengelig hvis du ikke melder deg på betatestingen vår. Besøk [[Special:MobileOptions|innstillingssiden]] for å melde deg på.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Takket}} {{GENDER:$1|av}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Redigerte}} [[:$1]] {{PLURAL:$2|i går|for $2 dager siden|0=tidligere i dag}}.',
	'mobile-frontend-profile-footer-days' => 'Ble med for {{PLURAL:$2|1 dag|$2 dager}} siden med [[Special:Contributions/$1|{{PLURAL:$3|1 redigering|$3 redigeringer}}]] og [[Special:Uploads/$1|{{PLURAL:$4|1 opplasting|$4 opplastinger|500=500+ opplastinger}}]].',
	'mobile-frontend-profile-footer-months' => 'Ble med for over {{PLURAL:$2|1 måned|$2 måneder}} siden med [[Special:Contributions/$1|{{PLURAL:$3|1 redigering|$3 redigeringer}}]] og [[Special:Uploads/$1|{{PLURAL:$4|1 opplasting|$4 opplastinger|500=500+ opplastinger}}]].',
	'mobile-frontend-profile-footer-years' => 'Ble med for over {{PLURAL:$2|1 år|$2 år}} siden med [[Special:Contributions/$1|{{PLURAL:$3|1 redigering|$3 redigeringer}}]] og [[Special:Uploads/$1|{{PLURAL:$4|1 opplasting|$4 opplastinger|500=500+ opplastinger}}]].',
	'mobile-frontend-geonotahack' => 'I nærheten av denne siden',
	'beta-feature-geonotahack' => 'I nærheten av denne siden',
	'beta-feature-geonotahack-description' => 'Oppdag sider som er geografisk i nærheten av innholdet i siden du leser nå.',
	'mobile-frontend-mainpage-cta-prompt' => 'Denne siden trenger din hjelp!',
	'mobile-frontend-mainpage-cta-button' => 'Forbedre denne siden',
);

/** Low German (Plattdüütsch)
 * @author Joachim Mos
 */
$messages['nds'] = array(
	'mobile-frontend-search-submit' => 'Los',
	'mobile-frontend-home-button' => 'Startsied',
	'mobile-frontend-images-status' => 'Biller',
	'mobile-frontend-missing-image' => 'Bild',
	'mobile-frontend-username' => 'Brukernaam:',
	'mobile-frontend-password' => 'Passwoord:',
	'mobile-frontend-username-placeholder' => 'Brukernaam',
	'mobile-frontend-password-placeholder' => 'Passwoord',
	'mobile-frontend-login' => 'Anmellen',
	'mobile-frontend-page-menu-contents' => 'Inholt',
	'mobile-frontend-listed-image-no-description' => 'Keen Beschrieven',
	'mobile-frontend-watchlist-a-z' => 'All', # Fuzzy
	'mobile-frontend-watchlist-filter-all' => 'All',
	'mobile-frontend-watchlist-filter-talk' => 'Diskuschoon',
	'mobile-frontend-watchlist-filter-other' => 'Annere',
	'mobile-frontend-photo-submit' => 'Afschicken',
	'mobile-frontend-photo-cancel' => 'Afbreken',
	'mobile-frontend-drawer-cancel' => 'Afbreken',
);

/** Low Saxon (Netherlands) (Nedersaksies)
 * @author Servien
 */
$messages['nds-nl'] = array(
	'nearby' => 'Ziejen bie joe in de buurte',
	'mobile-frontend-desc' => 'Mobiele weergave',
	'mobile-frontend-search-submit' => 'Artikel',
	'mobile-frontend-home-button' => 'Veurblad',
	'mobile-frontend-logged-out' => 'Niet an-emeld',
	'mobile-frontend-logged-in-homepage-notification' => 'Welkom, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'An-emeld as $1.',
	'mobile-frontend-sign-up-heading' => 'Inschrieven',
	'mobile-frontend-sign-in-heading' => 'Anmelden',
	'mobile-frontend-sign-in-why' => "A'j op {{SITENAME}} in-eschreven staon as gebruker, dan ku'j je eigen hieronder anmelden.",
	'mobile-frontend-sign-in-error-heading' => 'Fout',
	'mobile-frontend-settings-description' => 'Pas de gebrukerservaoring op joew mobiele apparaot an via disse instellingen.',
	'mobile-frontend-settings-beta' => 'Bèta',
	'mobile-frontend-settings-alpha' => 'Experimentele funksies',
	'mobile-frontend-settings-alpha-description' => 'Gao naor gevaorlik en onontdekt mobiel gebied. Verken nog meer experimentele funksies mit de kans op kinken in de kabel.',
	'mobile-frontend-save-settings' => 'Opslaon',
	'mobile-frontend-random-button' => 'Netzelde welk artikel',
	'mobile-frontend-back-to-top-of-section' => 'Gao naor t veurige kopjen',
	'mobile-frontend-close-section' => 'Disse paragraaf sluten',
	'mobile-frontend-regular-site' => 'Standardweergave',
	'mobile-frontend-wml-continue' => 'Gao veurdan ...',
	'mobile-frontend-wml-back' => 'Weerumme...',
	'mobile-frontend-view' => 'Mobiele weergave',
	'mobile-frontend-view-desktop' => 'Buroblad',
	'mobile-frontend-view-mobile' => 'Mobiele weergave',
	'mobile-frontend-opt-in-explain' => "A'j meedoon mit anproberen, dan krie'j toegang tot experimentele funksies, mit t risiko op fouten en problemen.",
	'mobile-frontend-images-status' => 'Aofbeeldingen',
	'mobile-frontend-disable-images' => 'Aofbeeldingen in de mobiele weergave uutzetten',
	'mobile-frontend-enable-images' => 'Aofbeeldingen in de mobiele weergave anzetten',
	'mobile-frontend-missing-image' => 'Aofbeelding',
	'mobile-frontend-off' => 'UUT',
	'mobile-frontend-on' => 'AN',
	'mobile-frontend-featured-article' => 'Artikel van de dag',
	'mobile-frontend-news-items' => 'In t niejs',
	'mobile-frontend-language-article-heading' => 'In n aandere taal lezen',
	'mobile-frontend-language-site-choose' => 'Taal zeuken',
	'mobile-frontend-username' => 'Gebrukersnaam:',
	'mobile-frontend-password' => 'Wachtwoord:',
	'mobile-frontend-username-placeholder' => 'Gebrukersnaam',
	'mobile-frontend-password-placeholder' => 'Wachtwoord',
	'mobile-frontend-login' => 'Anmelden',
	'mobile-frontend-last-modified-date' => 'Ewiezigd op $1 um $2',
	'mobile-frontend-last-modified-seconds' => '{{PLURAL:$1|Een sekonde|$1 sekonden}} elejen ewiezigd',
	'mobile-frontend-last-modified-minutes' => '{{PLURAL:$1|Een minuut|$1 minuten}} elejen ewiezigd',
	'mobile-frontend-last-modified-hours' => '{{PLURAL:$1|Een|$1}} uur elejen ewiezigd',
	'mobile-frontend-last-modified-days' => '{{PLURAL:$1|Een dag|$1 dagen}} elejen ewiezigd',
	'mobile-frontend-last-modified-months' => '{{PLURAL:$1|Een maond|$1 maonden}} elejen ewiezigd',
	'mobile-frontend-last-modified-years' => '{{PLURAL:$1|Een|$1}} jaor elejen ewiezigd',
	'mobile-frontend-learn-more' => 'Meer lezen',
	'mobile-frontend-account-create-submit' => 'Inschrieven',
	'mobile-frontend-password-confirm-placeholder' => 'Wachtwoord bevestigen',
	'mobile-frontend-account-create-email-placeholder' => 'Netpostadres (niet verplicht)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Vul de bevestigingskode in',
	'mobile-frontend-overlay-escape' => 'Gao weerumme',
	'mobile-frontend-placeholder' => '{{SITENAME}} duurzeukn',
	'mobile-frontend-clear-search' => 'Wissen',
	'mobile-frontend-privacy-link-text' => 'Gegevensbeleid',
	'mobile-frontend-copyright' => 'De inhoud is beschikbaor onder de $1 as der niks aanders an-egeven is.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-main-menu-page-title' => 'Navigasie',
	'mobile-frontend-main-menu-featured' => 'Uutekeuzen',
	'mobile-frontend-main-menu-nearby' => 'Kortbie',
	'mobile-frontend-main-menu-login' => 'Anmelden',
	'mobile-frontend-main-menu-logout' => 'Aofmelden',
	'mobile-frontend-main-menu-watchlist' => 'Volglieste',
	'mobile-frontend-main-menu-settings' => 'Veurkeuren',
	'mobile-frontend-main-menu-upload' => 'Nieje bestaanden',
	'mobile-frontend-main-menu-settings-heading' => 'Instellingen',
	'mobile-frontend-settings-site-header' => 'Talen veur {{SITENAME}}',
	'mobile-frontend-main-menu-account-create' => 'Inschrieven',
	'mobile-frontend-page-menu-contents' => 'inhoud',
	'mobile-frontend-page-menu-history' => 'Geschiedenisse',
	'mobile-frontend-meta-data-issues-header' => 'Verbeterpunten',
	'mobile-frontend-page-saving' => '$1 an t opslaon',
	'mobile-frontend-nearby-title' => 'Kortbie',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => "He'j t begrepen?",
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Ja!',
	'mobile-frontend-watchlist-more' => 'meer',
	'mobile-frontend-watchlist-cta-button-login' => 'Anmelden',
	'mobile-frontend-watchlist-cta-button-signup' => 'Inschrieven',
	'mobile-frontend-watchlist-a-z' => 'Optellen',
	'mobile-frontend-watchlist-feed' => 'Ewiezigd',
	'mobile-frontend-watchlist-back-home' => 'Weerumme naor t begin',
	'mobile-frontend-changeslist-ip' => 'Anonieme gebruker',
	'mobile-frontend-watchlist-filter-all' => 'Alle',
	'mobile-frontend-watchlist-filter-articles' => 'Artikels', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Overleg',
	'mobile-frontend-watchlist-filter-other' => 'Aanders',
	'mobile-frontend-watchlist-modified' => '$1 ewiezigd',
	'mobile-frontend-photo-ownership-confirm' => 'Begrepen!',
	'tag-mobile_edit' => 'Bewarking via mobiel',
	'tag-mobile_edit-description' => 'Bewarking edaon via mobiele webstee',
);

/** Nepali (नेपाली)
 * @author RajeshPandey
 */
$messages['ne'] = array(
	'mobile-frontend-search-submit' => 'जाउ',
	'mobile-frontend-home-button' => 'गृह',
	'mobile-frontend-random-button' => 'कुनै पनि एक',
	'mobile-frontend-back-to-top-of-section' => 'एक खण्ड पछाडि जाने',
	'mobile-frontend-regular-site' => 'यो पृष्ठलाई नियमित {{SITENAME}}मा हेर्ने', # Fuzzy
	'mobile-frontend-featured-article' => 'आजको जोडदिएको लेख', # Fuzzy
	'mobile-frontend-username' => 'प्रयोगकर्ता नाम:',
	'mobile-frontend-copyright' => "यी पाठहरु <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>;मा उपलब्ध छन् । थप सर्तहरु लागुहुन सक्छन् । थपजानकारीको लागि <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Terms of Use</a> मा हेर्नुहोस् । {{SITENAME}}  <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc. एक नाफा रहित संस्था , को एक दर्ता गरिएको ब्यापार संकेत हो </a>.", # Fuzzy
);

/** Dutch (Nederlands)
 * @author Akoopal
 * @author AvatarTeam
 * @author Breghtje
 * @author Hansmuller
 * @author JurgenNL
 * @author Konovalov
 * @author McDutchie
 * @author Patio
 * @author Rvlieshout
 * @author SPQRobin
 * @author Saruman
 * @author Siebrand
 * @author Sjoerddebruin
 * @author Southparkfan
 * @author User555
 * @author Wiki13
 */
$messages['nl'] = array(
	'mobilefrontend-random-explain' => 'Is deze willekeurige pagina interessant?',
	'mobilefrontend-random-cancel' => 'Laat mij lezen!',
	'mobilefrontend-keepgoing-ask' => 'Goed gedaan! U krijgt het al onder de knie! Wilt u een andere pagina bewerken?',
	'mobilefrontend-keepgoing-ask-first' => 'Gefeliciteerd met het maken van uw eerste bewerkingen! Wilt u een andere pagina proberen te bewerken?',
	'mobilefrontend-keepgoing-explain' => 'Goed zo! Een andere gebruiker heeft aangegeven dat deze pagina hulp nodig heeft. Probeer aan deze, of een andere pagina bij te dragen.',
	'mobilefrontend-keepgoing-cancel' => 'Nee, bedankt',
	'mobilefrontend-keepgoing-suggest' => 'Ja, graag',
	'mobilefrontend-keepgoing-suggest-again' => 'Nog één proberen',
	'mobilefrontend-keepgoing-saved-title' => 'Bewerking opgeslagen!',
	'mobilefrontend-keepgoing-links-title' => 'Koppelingen toevoegen',
	'mobilefrontend-keepgoing-links-ask-again' => 'Een andere pagina verbeteren?',
	'mobilefrontend-keepgoing-links-explain' => 'Meer woorden zoeken die koppelingen kunnen zijn. Voeg dubbele blokhaken toe om het woord.',
	'mobilefrontend-keepgoing-links-example' => '$1gitaar$2 wordt bijvoorbeeld $3gitaar$4',
	'nearby' => "Pagina's in de buurt",
	'mobile-frontend-desc' => 'Mobiele website',
	'mobile-frontend-search-submit' => 'Zoeken',
	'mobile-frontend-home-button' => 'Startpagina',
	'mobile-frontend-logged-out' => 'Niet aangemeld',
	'mobile-frontend-logged-in-homepage-notification' => 'Welkom, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Aangemeld als $1.',
	'mobile-frontend-sign-up-heading' => 'Registreren',
	'mobile-frontend-sign-in-heading' => 'Aanmelden',
	'mobile-frontend-sign-in-why' => 'Als u een gebruiker hebt op {{SITENAME}}, dan kunt u hieronder aanmelden.',
	'mobile-frontend-sign-in-error-heading' => 'Fout',
	'mobile-frontend-settings-description' => 'Pas uw gebruikerservaring op uw mobiele apparaat aan via deze instellingen.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Experimentele functies',
	'mobile-frontend-settings-alpha-description' => 'Betreed gevaarlijk en onontgonnen mobiel gebied. Verken nog meer experimentele functies met de kan op bugs.',
	'mobile-frontend-save-settings' => 'Opslaan',
	'mobile-frontend-save-error' => 'Fout bij het opslaan van instellingen. Zorg ervoor dat u cookies hebt ingeschakeld.',
	'mobile-frontend-random-button' => 'Willekeurig',
	'mobile-frontend-back-to-top-of-section' => 'Een kopje terugspringen',
	'mobile-frontend-regular-site' => 'Standaardweergave',
	'mobile-frontend-wml-continue' => 'Doorgaan...',
	'mobile-frontend-wml-back' => 'Terug...',
	'mobile-frontend-view' => 'Mobiele weergave',
	'mobile-frontend-view-desktop' => 'Desktopweergave',
	'mobile-frontend-view-mobile' => 'Mobiele weergave',
	'mobile-frontend-opt-in-explain' => 'Als u meedoet met testen, krijgt u toegang tot experimentele functionaliteit, met het risico op fouten en problemen.',
	'mobile-frontend-images-status' => 'Afbeeldingen',
	'mobile-frontend-disable-images' => 'Afbeeldingen op de mobiele site uitschakelen',
	'mobile-frontend-enable-images' => 'Afbeeldingen op de mobiele site inschakelen',
	'mobile-frontend-missing-image' => 'Afbeelding',
	'mobile-frontend-off' => 'UIT',
	'mobile-frontend-on' => 'AAN',
	'mobile-frontend-featured-article' => 'Uitgelicht vandaag',
	'mobile-frontend-news-items' => 'In het nieuws',
	'mobile-frontend-languages-404-title' => 'Fout in talen',
	'mobile-frontend-languages-404-desc' => 'Er moet een geldige paginanaam opgegeven worden.',
	'mobile-frontend-languages-header' => 'Talen',
	'mobile-frontend-languages-nonexistent-title' => 'De pagina "$1" bestaat niet.',
	'mobile-frontend-languages-text' => '$1 is beschikbaar in $2 {{PLURAL:$2|taal|talen}}.',
	'mobile-frontend-languages-variant-header' => 'Varianten van {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Talen</strong>',
	'mobile-frontend-language-article-heading' => 'In een andere taal lezen',
	'mobile-frontend-language-header' => 'Deze pagina is beschikbaar in {{PLURAL:$1|één taal|$1 talen}}',
	'mobile-frontend-language-variant-header' => 'Kies de variant voor {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Deze pagina is mogelijk niet beschikbaar in uw voorkeurstaal. U kunt hier klikken om alle taken die {{SITENAME}} ondersteunt te bekijken.',
	'mobile-frontend-language-site-choose' => 'Taal zoeken',
	'mobile-frontend-username' => 'Gebruikersnaam:',
	'mobile-frontend-password' => 'Wachtwoord:',
	'mobile-frontend-username-placeholder' => 'Gebruikersnaam',
	'mobile-frontend-password-placeholder' => 'Wachtwoord',
	'mobile-frontend-login' => 'Aanmelden',
	'mobile-frontend-history' => 'Bekijk bewerkingsgeschiedenis van deze pagina.',
	'mobile-frontend-history-404-title' => 'Deze pagina bestaat niet',
	'mobile-frontend-history-no-results' => 'Het filter heeft geen geschiedenisresulaten.',
	'mobile-frontend-contribution-summary' => 'Alle bewerkingen gemaakt door {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Paginageschiedenis voor [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Gewijzigd op $1 om $2',
	'mobile-frontend-last-modified-seconds' => '{{PLURAL:$1|Eén seconde|$1 seconden}} geleden gewijzigd',
	'mobile-frontend-last-modified-minutes' => '{{PLURAL:$1|Eén minuut|$1 minuten}} geleden gewijzigd',
	'mobile-frontend-last-modified-hours' => '{{PLURAL:$1|Eén|$1}} uur geleden gewijzigd',
	'mobile-frontend-last-modified-days' => '{{PLURAL:$1|Eén dag|$1 dagen}} geleden gewijzigd',
	'mobile-frontend-last-modified-months' => '{{PLURAL:$1|Eén maand|$1 maanden}} geleden gewijzigd',
	'mobile-frontend-last-modified-years' => '{{PLURAL:$1|Eén|$1}} jaar geleden gewijzigd',
	'mobile-frontend-last-modified-just-now' => 'Zojuist gewijzigd',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 {{PLURAL:$3|Eén seconde|$3 seconden}} geleden voor het laatst {{GENDER:$1|bewerkt}}] door {{PLURAL:$5|[$6 $2]|0=een anonieme gebruiker}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 {{PLURAL:$3|Eén minuut|$3 minuten}} geleden voor het laatst {{GENDER:$1|bewerkt}}] door {{PLURAL:$5|[$6 $2]|0=een anonieme gebruiker}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 {{PLURAL:$3|Eén uur|$3 uur}} geleden voor het laatst {{GENDER:$1|bewerkt}}] door {{PLURAL:$5|[$6 $2]|0=een anonieme gebruiker}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 {{PLURAL:$3|Eén dag geleden|$3 dagen gelden|2=Eergisteren}} voor het laatst {{GENDER:$1|bewerkt}}] door {{PLURAL:$5|[$6 $2]|0=een anonieme gebruiker}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 {{PLURAL:$3|Vorige week|$3 weken geleden}} voor het laatst {{GENDER:$1|bewerkt}}] door {{PLURAL:$5|[$6 $2]|0=een anonieme gebruiker}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 {{PLURAL:$3|Vorig jaar|$3 jaar geleden}} voor het laatst {{GENDER:$1|bewerkt}}] door {{PLURAL:$5|[$6 $2]|0=een anonieme gebruiker}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Zojuist voor het laatst {{GENDER:$1|bewerkt}}] door {{PLURAL:$4|[$5 $2]|0=een anonieme gebruiker}}',
	'mobile-frontend-learn-more' => 'Meer lezen',
	'mobile-frontend-view-source' => 'Brontekst bekijken',
	'mobile-frontend-account-create-submit' => 'Registreren',
	'mobile-frontend-password-confirm-placeholder' => 'Wachtwoord bevestigen',
	'mobile-frontend-account-create-email-placeholder' => 'E-mailadres (optioneel)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Bevestigingscode invoeren',
	'mobile-frontend-overlay-escape' => 'Terug',
	'mobile-frontend-overlay-close' => 'Sluiten',
	'mobile-frontend-overlay-continue' => 'Doorgaan',
	'mobile-frontend-placeholder' => '{{SITENAME}} doorzoeken',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}} doorzoeken (beta)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}} doorzoeken (experimenteel)',
	'mobile-frontend-search-help' => 'Voer de trefwoorden hierboven in. Zoekresultaten worden hier weergegeven.',
	'mobile-frontend-dismiss-notification' => 'deze melding verwijderen',
	'mobile-frontend-clear-search' => 'Wissen',
	'mobile-frontend-search-content' => "Zoeken binnen pagina's",
	'mobile-frontend-search-no-results' => 'Er is geen pagina met deze naam.',
	'mobile-frontend-search-content-no-results' => '<strong>{{int:mobile-frontend-search-content}}</strong> om te bekijken of deze zin ergens voorkomt.',
	'mobile-frontend-privacy-link-text' => 'Privacy',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'De inhoud is beschikbaar onder de licentie [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; er zijn mogelijk extra voorwaarden van toepassing.',
	'mobile-frontend-copyright' => 'De inhoud is beschikbaar onder de $1 tenzij anders aangegeven.',
	'mobile-frontend-footer-contact' => 'Contact',
	'mobile-frontend-search-noresults' => "Er zijn geen resultaten voor uw zoekopdracht. Wijzig uw zoekopdracht of klik op de zoekknop op het toetsenbord om binnen pagina's te zoeken.",
	'mobile-frontend-terms-text' => 'Gebruiksvoorwaarden',
	'mobile-frontend-main-menu-button-tooltip' => 'Hoofdmenu openen',
	'mobile-frontend-main-menu-page-title' => 'Sitenavigatie',
	'mobile-frontend-main-menu-featured' => 'Uitgelicht',
	'mobile-frontend-main-menu-nearby' => 'In de buurt',
	'mobile-frontend-main-menu-login' => 'Aanmelden',
	'mobile-frontend-main-menu-logout' => 'Afmelden',
	'mobile-frontend-main-menu-watchlist' => 'Volglijst',
	'mobile-frontend-main-menu-settings' => 'Instellingen',
	'mobile-frontend-main-menu-upload' => 'Uploads',
	'mobile-frontend-main-menu-settings-heading' => 'Instellingen',
	'mobile-frontend-settings-site-header' => 'Talen voor {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} is beschikbaar in {{PLURAL:$1|één taal|$1 talen}}. Alle beschikbare versies staan hieronder',
	'mobile-frontend-main-menu-account-create' => 'Registreren',
	'mobile-frontend-page-menu-contents' => 'inhoud',
	'mobile-frontend-page-menu-history' => 'Geschiedenis',
	'mobile-frontend-meta-data-issues-header' => 'Verbeterpunten',
	'mobile-frontend-meta-data-issues' => 'Er zijn verbeterpunten voor deze pagina',
	'mobile-frontend-page-saving' => 'Bezig met het opslaan van $1',
	'mobile-frontend-user-cta' => 'Meld u aan of registreer u om melding te zien.',
	'mobile-frontend-user-button-tooltip' => 'Uw meldingen weergeven',
	'mobile-frontend-nearby-to-page' => "De volgende pagina's zijn gerelateerd aan $1 op basis van hun geografische ligging",
	'mobile-frontend-nearby-title' => 'In de buurt',
	'mobile-frontend-nearby-loading' => 'Onderwerpen dichtbij u aan het laden',
	'mobile-frontend-nearby-requirements' => 'Uw browser ondersteunt helaas geen In de buurt voor {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Gebruik een andere browser of schakel JavaScript in als u die functie hebt uitgeschakeld.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'In de buurt voor {{SITENAME}} kan niet vinden waar u bent. Nog een keer proberen?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Probeer een open ruimte met een beter signaal.',
	'mobile-frontend-nearby-permission' => 'In de buurt van {{SITENAME}} heeft geen toestemming voor toegang tot uw locatie.',
	'mobile-frontend-nearby-permission-guidance' => 'Zorg ervoor dat u toestemming geeft om te laten zien waar u bent. Controleer de locatie-instellingen van uw browser.',
	'mobile-frontend-nearby-noresults' => "Het is hier rustig. Er zijn geen pagina's over onderwerpen in de buurt.",
	'mobile-frontend-nearby-noresults-guidance' => 'Probeer een nieuwe pagina aan te maken of een locatie toe te voegen aan een bestaande pagina.',
	'mobile-frontend-nearby-refresh' => "We hebben uw locatie preciezer kunnen bepalen. Klik hier om de lijst met nabijgelegen pagina's te vernieuwen",
	'mobile-frontend-nearby-error' => 'De functie In de buurt van {{SITENAME}} werkt niet zoals het hoort.',
	'mobile-frontend-nearby-error-guidance' => 'Probeer uw locatie bij te werken.',
	'mobile-frontend-nearby-link' => 'Volledige pagina lezen',
	'mobile-frontend-nearby-directions' => 'Routebeschrijving hierheen',
	'mobile-frontend-donate-image-nouploads' => 'Geen uploads',
	'mobile-frontend-donate-image-login' => 'Media op {{SITENAME}} wordt gedoneerd door mensen zoals u.',
	'mobile-frontend-donate-image-login-action' => 'Meld u aan om uw media te delen.',
	'mobile-frontend-donate-image-signup-action' => 'Registreer u om uw media met de wereld te delen.',
	'mobile-frontend-photo-upload-disabled' => 'Er is geen afbeelding nodig voor deze pagina.',
	'mobile-frontend-photo-upload-anon' => 'Meld u aan om een afbeelding toe te voegen aan deze pagina.',
	'mobile-frontend-photo-upload-protected' => 'U hebt geen rechten om een afbeelding toe te voegen aan deze pagina.',
	'mobile-frontend-photo-upload-unavailable' => 'Uw browser ondersteunt het uploaden van afbeeldingen niet.',
	'mobile-frontend-photo-upload-generic' => 'Afbeelding bijdragen',
	'mobile-frontend-donate-image-title' => 'Uploads',
	'mobile-frontend-donate-image-heading' => 'Uw recente bijdragen',
	'mobile-frontend-donate-image-anon' => 'U moet een $1 hebben om de pagina voor uploaden te bekijken.',
	'mobile-frontend-user-account' => 'gebruiker',
	'mobile-frontend-listed-image-no-description' => 'Geen beschrijving',
	'mobile-frontend-donate-photo-upload-success' => 'Uw afbeelding kan nu gebruikt worden op {{SITENAME}}.',
	'mobile-frontend-donate-photo-first-upload-success' => 'Bedankt voor uw eerste bijdrage!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Draag uw afbeeldingen bij. Help om {{SITENAME}} tot leven te laten komen!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Afbeeldingen op {{SITENAME}} komen van Wikimedia Commons.',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Uw afbeeldingen helpen mensen van over de hele wereld te leren',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Vermijd auteursrechtelijk beschermd materiaal dat u op internet hebt gevonden zoals  afbeeldingen van posters, boeken, enzovoort.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Begrepen?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Ja!',
	'mobile-frontend-watchlist-add' => '$1 is toegevoegd aan uw volglijst',
	'mobile-frontend-watchlist-removed' => '$1 is verwijderd van uw volglijst',
	'mobile-frontend-watchlist-view' => 'Volglijst bekijken',
	'mobile-frontend-watchlist-more' => 'meer',
	'mobile-frontend-watchlist-cta' => 'Volg deze pagina en de wijzigingen die eraan gemaakt worden.',
	'mobile-frontend-watchlist-cta-button-login' => 'Aanmelden',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registreren',
	'mobile-frontend-watchlist-purpose' => "Een volglijst helpt u pagina's als bladwijzers toe te voegen en wijzigingen aan die pagina's bij te houden.",
	'mobile-frontend-watchlist-login-action' => 'Meld u aan om het te zien.',
	'mobile-frontend-watchlist-signup-action' => 'Registreer u om er nu een aan te leggen.',
	'mobile-frontend-generic-login' => '{{SITENAME}} wordt gemaakt door mensen zoals u.',
	'mobile-frontend-generic-login-action' => 'Meld u aan om bij te dragen.',
	'mobile-frontend-generic-signup-action' => 'Registreer u om bij te dragen.',
	'mobile-frontend-watch-login' => 'Voeg "$1" toe aan uw volglijst.',
	'mobile-frontend-edit-login' => 'Help de pagina $1 te verbeteren.',
	'mobile-frontend-edit-login-action' => 'Meld u aan om te bewerken',
	'mobile-frontend-edit-signup-action' => 'Registreer u om te bewerken',
	'mobile-frontend-watchlist-a-z' => 'Lijst',
	'mobile-frontend-watchlist-feed' => 'Gewijzigd',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klik op de ster bovenaan de pagina',
	'mobile-frontend-watchlist-a-z-empty-howto' => "U volgt op dit moment geen pagina's. Via uw volglijst kunt u pagina's in de gaten houden die u interessant vindt. Volg pagina's door op het pictogram met de ster te klikken.",
	'mobile-frontend-watchlist-feed-empty' => "Er zijn geen pagina's met recente wijzigingen",
	'mobile-frontend-watchlist-back-home' => 'Terug naar startpagina',
	'mobile-frontend-changeslist-ip' => 'Anonieme gebruiker',
	'mobile-frontend-changeslist-nocomment' => 'geen bewerkingssamenvatting',
	'mobile-frontend-watchlist-filter-all' => 'Alle',
	'mobile-frontend-watchlist-filter-articles' => "Pagina's", # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Overleg',
	'mobile-frontend-watchlist-filter-other' => 'Overige',
	'mobile-frontend-watchlist-modified' => '$1 gewijzigd',
	'mobile-frontend-diffview-404-title' => 'Onjuiste versie',
	'mobile-frontend-diffview-404-desc' => 'Het ID voor de versie die u hebt opgevraagd bestaat niet',
	'mobile-frontend-diffview-title' => 'Wijzigingen',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|bewerking|bewerkingen}}',
	'mobile-frontend-diffview-anonymous' => 'Anonieme gebruiker',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte|bytes}} toegevoegd',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte|bytes}} verwijderd',
	'mobile-frontend-diffview-explained' => 'De volgende regels zijn toegevoegd (+) en verwijderd (-):',
	'mobile-frontend-thanked-notice' => '$1 heeft een bericht ontvangen dat u {{GENDER:$2|zijn|haar|zijn/haar}} bewerking leuk vindt.',
	'mobile-frontend-saving-exit-page' => 'Uw bijdrage wordt opgeslagen. Als u deze pagina verlaat, gaat uw bijdrage verloren. Weet u zeker dat u deze pagina wilt verlaten?',
	'mobile-frontend-photo-upload' => 'Voeg een afbeelding toe aan deze pagina',
	'mobile-frontend-photo-article-edit-comment' => 'De afbeelding voor gebruik op de pagina is toegevoegd',
	'mobile-frontend-photo-article-donate-comment' => 'Bijgedragen van Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'De afbeelding is toegevoegd aan de pagina',
	'mobile-frontend-photo-caption-placeholder' => 'Beschrijf deze afbeelding (verplicht)',
	'mobile-frontend-image-loading' => 'Bezig met het laden van de afbeelding',
	'mobile-frontend-photo-ownership' => 'Ik, $1 heb deze afbeelding gemaakt.',
	'mobile-frontend-photo-ownership-help' => 'Wat betekent dit?',
	'mobile-frontend-photo-ownership-confirm' => 'Begrepen!',
	'mobile-frontend-photo-ownership-bullet-one' => "We accepteren alleen foto's die u zelf hebt gemaakt. Upload geen foto's die u ergens anders op het internet hebt gevonden.",
	'mobile-frontend-photo-ownership-bullet-two' => 'Auteursrechtelijk beschermde en ongepaste afbeeldingen worden verwijderd.',
	'mobile-frontend-photo-ownership-bullet-three' => 'Uw uploads worden vrijgegeven onder een licentie die iedereen in staat stelt ze gratis te hergebruiken.',
	'mobile-frontend-photo-nag-1-bullet-1-heading' => 'Ik schend geen auteursrechten',
	'mobile-frontend-photo-nag-1-bullet-1-text' => "Het is '''geen''' afbeelding die ik op het internet heb gevonden. Het is mijn eigen werk.",
	'mobile-frontend-photo-nag-1-bullet-2-heading' => 'Dit is geen persoonlijke afbeelding',
	'mobile-frontend-photo-nag-1-bullet-2-text' => 'En het kan helpen een belangrijk onderwerp te illustreren.',
	'mobile-frontend-photo-nag-2-bullet-1-heading' => 'Geen auteursrechtenschending en deze afbeelding dient een educatief doel.',
	'mobile-frontend-photo-nag-3-bullet-1-heading' => 'Ik weet wat ik kan uploaden. Dit bericht niet opnieuw weergeven.',
	'mobile-frontend-photo-nag-learn-more-heading' => 'Wat te uploaden',
	'mobile-frontend-photo-nag-learn-more-1' => "'''Ja!''' Foto's van plaatsen, dingen en gebeurtenissen.",
	'mobile-frontend-photo-nag-learn-more-2' => "'''Ja!''' Foto's die kunnen helpen met het illustreren en verrijken van de pagina's van {{SITENAME}}.",
	'mobile-frontend-photo-nag-learn-more-3' => "'''Nee.''' Foto's van filmposters, boekomslagen of ander auteursrechtelijk beschermd materiaal. Deze worden verwijderd.",
	'mobile-frontend-lead-image-tutorial-summary' => 'Zorg dat uw afbeelding de pagina helpt te illustreren. Het moet een afbeelding zijn die geen auteursrechten schendt.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Beginnen met uploaden',
	'mobile-frontend-image-uploading-wait' => 'Bezig met het uploaden van de afbeelding.',
	'mobile-frontend-image-uploading-long' => 'De afbeelding wordt nog geüpload. Nog even geduld alstublieft.',
	'mobile-frontend-image-uploading-cancel' => 'Klik op <a href="#">Annuleren</a> als dit te lang duurt.',
	'mobile-frontend-photo-upload-error' => 'Er is een fout opgetreden. Probeer het opnieuw.',
	'mobile-frontend-photo-upload-error-file-type' => 'Upload alstublieft alleen afbeeldingen.',
	'mobile-frontend-photo-upload-error-filename' => 'Fout. Geef een meer beschrijvende samenvatting op.',
	'mobile-frontend-photo-upload-success-article' => 'Uw afbeelding is nu zichtbaar op deze pagina.',
	'mobile-frontend-photo-license' => 'Door deze afbeelding te uploaden, gaat u akkoord met onze [//wikimediafoundation.org/wiki/Terms_of_Use/nl Gebruiksvoorwaarden] en gaat u akkoord met het vrijgeven van uw afbeelding onder de licentie [//creativecommons.org/licenses/by-sa/3.0/deed.nl Naamsvermelding-Gelijk delen 3.0].',
	'mobile-frontend-photo-submit' => 'Opslaan',
	'mobile-frontend-photo-cancel' => 'Annuleren',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> upload|<span>$1</span> uploads}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ uploads',
	'mobile-frontend-image-heading-describe' => "'''Beschrijf''' de afbeelding",
	'mobile-frontend-image-uploading' => "'''Uploaden'''...",
	'mobile-frontend-image-cancel-confirm' => 'Upload annuleren?',
	'mobile-frontend-editor-redirect-title' => 'U wordt doorverwezen naar de tekstbewerker...',
	'mobile-frontend-editor-unavailable-header' => 'Tekstbewerker niet beschikbaar',
	'mobile-frontend-editor-unavailable' => 'Mobiel bewerken is op dit moment niet beschikbaar met uw browser. Probeer een andere browser.',
	'mobile-frontend-editor-undo-unsupported' => 'Ongedaan maken is op het moment niet mogelijk op mobiele apparaten.',
	'mobile-frontend-editor-newpage-prompt' => 'Deze pagina bestaat niet. Waarom maak je hem niet aan?',
	'mobile-frontend-editor-disabled' => 'Deze pagina is beveiligd om vandalisme te voorkomen.',
	'mobile-frontend-editor-blocked' => 'Met uw gebruiker kunt u niet bewerken.',
	'mobile-frontend-editor-cta' => 'Help deze pagina te verbeteren!',
	'mobile-frontend-editor-edit' => 'Bewerken',
	'mobile-frontend-editor-continue' => 'Doorgaan',
	'mobile-frontend-editor-save' => 'Opslaan',
	'mobile-frontend-editor-cancel' => 'Annuleren',
	'mobile-frontend-editor-keep-editing' => 'Doorgaan met bewerken',
	'mobile-frontend-editor-license' => 'Door wijzigingen op te slaan, gaat u akkoord met onze [//wikimediafoundation.org/wiki/Terms_of_Use/nl Gebruiksvoorwaarden] en gaat u akkoord met het vrijgeven van uw afbeelding onder de licentie [//creativecommons.org/licenses/by-sa/3.0/deed.nl Naamsvermelding-Gelijk delen 3.0] en [//nl.wikipedia.org/wiki/GNU-licentie_voor_vrije_documentatie GFDL].',
	'mobile-frontend-editor-placeholder' => 'Deze paragraaf bevat geen tekst. U kunt de eerste zijn die hem schrijft!',
	'mobile-frontend-editor-summary-placeholder' => 'Geef aan wat u hebt gewijzigd (optioneel)',
	'mobile-frontend-editor-cancel-confirm' => 'Wilt u uw bewerking echt niet opslaan?',
	'mobile-frontend-editor-wait' => 'Een moment geduld. De bewerking wordt opgeslagen.',
	'mobile-frontend-editor-guider' => 'Door te klikken op "{{int:mobile-frontend-editor-continue}}" kunt u een voorvertoning bekijken en opslaan.',
	'mobile-frontend-editor-success' => 'Uw bewerking is opgeslagen.',
	'mobile-frontend-editor-success-landmark-1' => 'Gefeliciteerd, u bent nu een bewerker bij {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Er is een fout opgetreden. De bewerking is niet opgeslagen.',
	'mobile-frontend-editor-error-conflict' => 'Er is een fout opgetreden. Een andere gebruiker heeft deze pagina bewerkt.',
	'mobile-frontend-editor-error-loading' => 'Er is een fout opgetreden. De paragraaf kan niet geladen worden.',
	'mobile-frontend-editor-preview-header' => 'Voorvertoning',
	'mobile-frontend-editor-error-preview' => 'Fout. Er is iets onverwachts gebeurd tijdens het laden van de voorvertoning. Sluit dit venster en probeer het opnieuw.',
	'mobile-frontend-editor-tutorial-summary' => 'Wikitekst bijt niet. Probeer de pagina $1 beter te maken.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Waarom probeert u $1 niet te verbeteren? U hoeft niet bang te zijn voor de opmaak!',
	'mobile-frontend-editor-tutorial-confirm' => 'Begin met bewerken',
	'mobile-frontend-editor-captcha-try-again' => 'Verkeerde code, probeer het opnieuw.',
	'mobile-frontend-editor-abusefilter-warning' => 'Waarschuwing: weet u zeker dat u deze bewerking wilt opslaan? Er is wellicht iets mee mis.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Deze bewerking kan niet worden opgeslagen omdat er een probleem is ontdekt.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Meer lezen',
	'mobile-frontend-editor-editing-page' => '<span>$1 </span><strong>bewerken</strong>',
	'mobile-frontend-editor-previewing-page' => '<strong>Voorvertoning van</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Broktekst bekijken van</strong><span> $1</span>',
	'tag-mobile_edit' => 'Bewerking via mobiel',
	'tag-mobile_edit-description' => 'Bewerking gemaakt via mobiele site',
	'mobile-frontend-drawer-cancel' => 'Annuleren',
	'mobile-frontend-talk-explained' => 'Op dit moment worden de volgende overleggen gevoerd',
	'mobile-frontend-talk-explained-empty' => 'Er zijn geen overleggen op deze pagina.',
	'mobile-frontend-talk-overlay-header' => 'Overleg',
	'mobile-frontend-talk-back-to-page' => 'Terugkeren naar "$1"-pagina.',
	'mobile-frontend-talk-overlay-lead-header' => 'Naamloos overleg',
	'mobile-frontend-talk-add-overlay-submit' => 'Onderwerp toevoegen',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Onderwerp',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Wat wilt u bespreken?',
	'mobile-frontend-talk-edit-summary' => 'Nieuw overleg: $1',
	'mobile-frontend-talk-reply-success' => 'Uw antwoord is opgeslagen op de overlegpagina.',
	'mobile-frontend-talk-reply-info' => 'Uw antwoord wordt automatisch ondertekend met uw gebruikersnaam.',
	'mobile-frontend-talk-reply' => 'Antwoorden',
	'mobile-frontend-media-details' => 'Details',
	'mobile-frontend-media-license-link' => 'Licentiegegevens',
	'abusefilter-edit-builder-vars-user-mobile' => 'Of een gebruiker wel of niet via de mobiele interface bewerkt',
	'mobile-frontend-profile-title' => 'Gebruikersprofiel',
	'mobile-frontend-profile-last-upload-caption' => '{{PLURAL:$1|Gisteren|$1 dagen geleden|0=Vandaag|2=Eergisteren}} {{GENDER:$2|geüpload}}.',
	'mobile-frontend-profile-usertalk' => 'Overleg met {{GENDER:$2|$1}}', # Fuzzy
	'mobile-frontend-profile-error' => 'Fout',
	'mobile-frontend-profile-noargs' => 'Er is geen gebruikersnaam opgegeven. Geef een gebruikernaam op om een profiel te bekijken.',
	'mobile-frontend-profile-nouser' => 'Er bestaat geen gebruiker met deze naam. Gebruikersnamen zijn hoofdlettergevoelig. Controleer uw invoer.',
	'mobile-frontend-profile-activity-heading' => 'Activiteit en bijdragen', # Fuzzy
	'mobile-frontend-profile-userpage-link' => 'Gebruikerspagina bekijken.',
	'mobile-frontend-requires-optin' => 'Deze pagina is niet beschikbaar tenzij u [[Special:MobileOptions|betamodus]] heeft ingeschakeld.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$3|Bedankt}} door [[Special:UserProfile/$1|{{GENDER:$1|$1}}]] voor een bewerking aan [[$2]].', # Fuzzy
	'mobile-frontend-profile-last-edit' => 'Heeft {{PLURAL:$2|gisteren|$2 dagen geleden|0=eerder vandaag|2=eergisteren}} de pagina [[:$1]] {{GENDER:$3|bewerkt}}.',
	'mobile-frontend-profile-footer-days' => '{{PLURAL:$2|1 day|$2 days}} geleden lid geworden met [[Special:Contributions/$1|{{PLURAL:$3|1 bewerking|$3 bewerkingen}}]] en [[Special:Uploads/$1|{{PLURAL:$4|1 upload|$4 uploads|500=500+ uploads}}]].',
	'mobile-frontend-profile-footer-months' => 'Meer dan {{PLURAL:$2|één maand|$2 maanden}} geleden lid beworden met [[Special:Contributions/$1|{{PLURAL:$3|1 bewerking|$3 bewerkingen}}]] en [[Special:Uploads/$1|{{PLURAL:$4|1 upload|$4 uploads|500=500+ uploads}}]].',
	'mobile-frontend-profile-footer-years' => 'Meer dan {{PLURAL:$2|één jaar|$2 jaar}} geleden lid beworden met [[Special:Contributions/$1|{{PLURAL:$3|1 bewerking|$3 bewerkingen}}]] en [[Special:Uploads/$1|{{PLURAL:$4|1 upload|$4 uploads|500=500+ uploads}}]].',
	'mobile-frontend-geonotahack' => 'In de buurt van deze pagina',
	'beta-feature-geonotahack' => 'In de buurt van deze pagina',
	'beta-feature-geonotahack-description' => "Ontdek pagina's die geografisch in de buurt liggen van deze pagina.",
	'mobile-frontend-mainpage-cta-prompt' => 'Deze pagina heeft uw hulp nodig!', # Fuzzy
	'mobile-frontend-mainpage-cta-button' => 'Verbeter deze pagina', # Fuzzy
);

/** Nederlands (informeel)‎ (Nederlands (informeel)‎)
 * @author Effeietsanders
 * @author Siebrand
 */
$messages['nl-informal'] = array(
	'mobile-frontend-sign-in-why' => 'Als je een gebruiker hebt op {{SITENAME}}, dan kan hieronder aanmelden.',
	'mobile-frontend-settings-description' => 'Pas je gebruikerservaring op je mobiele apparaat aan via deze instellingen.',
	'mobile-frontend-opt-in-explain' => 'Als je meedoet met testen, krijg je toegang tot experimentele functionaliteit, met het risico op fouten en problemen.',
	'mobile-frontend-language-footer' => 'Deze pagina is mogelijk niet beschikbaar in je voorkeurstaal. Je kunt hier klikken om alle taken die {{SITENAME}} ondersteunt te bekijken.',
	'mobile-frontend-search-noresults' => "Er zijn geen resultaten voor je zoekopdracht. Wijzig je zoekopdracht of klik op de zoekknop op het toetsenbord om binnen pagina's te zoeken.",
);

/** Norwegian Nynorsk (norsk nynorsk)
 * @author Njardarlogar
 * @author Ranveig
 */
$messages['nn'] = array(
	'mobilefrontend-random-explain' => 'Interesserer denne tilfeldige sida deg?',
	'mobilefrontend-random-cancel' => 'Lat meg lesa!',
	'mobilefrontend-keepgoing-ask' => 'Godt jobba! Du byrjar å få dreisen på dette! Vil du freista å endra ei anna side?',
	'mobilefrontend-keepgoing-explain' => 'Bra! Ein annan brukar sa at denne side treng hjelp. Freist denne eller freist ei anna ei.',
	'mobilefrontend-keepgoing-cancel' => 'Nei takk',
	'mobilefrontend-keepgoing-suggest' => 'Ja, gjerne',
	'mobilefrontend-keepgoing-suggest-again' => 'Freist ei anna',
	'nearby' => 'Sider nær deg',
	'mobile-frontend-desc' => 'Mobilgrensesnitt',
	'mobile-frontend-search-submit' => 'Gå',
	'mobile-frontend-home-button' => 'Heim',
	'mobile-frontend-logged-out' => 'Ikkje innlogga',
	'mobile-frontend-logged-in-homepage-notification' => 'Velkomen, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Innlogga som $1.',
	'mobile-frontend-sign-up-heading' => 'Registrer deg',
	'mobile-frontend-sign-in-heading' => 'Logg inn',
	'mobile-frontend-sign-in-why' => 'Har du ein {{SITENAME}}-konto kan du logga inn nedanfor.',
	'mobile-frontend-sign-in-error-heading' => 'Ops',
	'mobile-frontend-settings-description' => 'Tilpass opplevinga di på den mobile eininga di med desse mobilspesifikke nettstadinnstillingane.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Eksperimentell modus',
	'mobile-frontend-settings-alpha-description' => 'Stig inn i farleg og uutforska mobilterreng. Få endå meir eksperimentale funksjonar, men med større fare for programfeil.',
	'mobile-frontend-save-settings' => 'Lagra',
	'mobile-frontend-random-button' => 'Tilfeldig',
	'mobile-frontend-back-to-top-of-section' => 'Gå éin bolk attende',
	'mobile-frontend-regular-site' => 'Stasjonærvising',
	'mobile-frontend-wml-continue' => 'Haldt fram...',
	'mobile-frontend-wml-back' => 'Attende...',
	'mobile-frontend-view' => 'For mobil',
	'mobile-frontend-view-desktop' => 'Stasjonær',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-opt-in-explain' => 'Ved å verta med på betatestinga, vil du få tilgang til funksjonar under utrøyning; med den kostnaden at du kan møta på feil og vanskar.',
	'mobile-frontend-images-status' => 'Bilete',
	'mobile-frontend-disable-images' => 'Slå av bilete på mobilsida',
	'mobile-frontend-enable-images' => 'Slå på bilete på mobilsida',
	'mobile-frontend-missing-image' => 'Bilete',
	'mobile-frontend-off' => 'AV',
	'mobile-frontend-on' => 'PÅ',
	'mobile-frontend-featured-article' => 'Utvalt innhald i dag',
	'mobile-frontend-news-items' => 'Nyhende',
	'mobile-frontend-language-heading' => '<strong>Språk</strong>',
	'mobile-frontend-language-article-heading' => 'Les på eit anna språk',
	'mobile-frontend-language-header' => 'Sida finst på {{PLURAL:$1|eitt anna språk|$1 andre språk}}',
	'mobile-frontend-language-variant-header' => 'Vel {{#language:{{CONTENTLANG}}}} variant',
	'mobile-frontend-language-site-choose' => 'Søk etter språk',
	'mobile-frontend-username' => 'Brukarnamn:',
	'mobile-frontend-password' => 'Passord:',
	'mobile-frontend-username-placeholder' => 'Brukarnamn',
	'mobile-frontend-password-placeholder' => 'Passord',
	'mobile-frontend-login' => 'Logg inn',
	'mobile-frontend-history' => 'Sjå endringshistorikken til sida.',
	'mobile-frontend-last-modified-date' => 'Sist endra $1 kl. $2',
	'mobile-frontend-last-modified-seconds' => 'Sist endra for {{PLURAL:$1|$1 sekund}} sidan',
	'mobile-frontend-last-modified-minutes' => 'Sist endra for {{PLURAL:$1|$1 minutt}} sidan',
	'mobile-frontend-last-modified-hours' => 'Sist endra for {{PLURAL:$1|$1 time|$1 timar}} sidan',
	'mobile-frontend-last-modified-days' => 'Sist endra for {{PLURAL:$1|$1 dag|$1 dagar}} sidan',
	'mobile-frontend-last-modified-months' => 'Sist endra for {{PLURAL:$1|$1 månad|$1 månader}} sidan',
	'mobile-frontend-last-modified-years' => 'Sist endra for {{PLURAL:$1|$1 år}} sidan',
	'mobile-frontend-account-create-submit' => 'Registrer',
	'mobile-frontend-password-confirm-placeholder' => 'Stadfest passord',
	'mobile-frontend-account-create-email-placeholder' => 'E-postadresse (valfritt)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Skriv inn stadfestingskode',
	'mobile-frontend-overlay-escape' => 'Gå attende',
	'mobile-frontend-placeholder' => 'Søk i {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Søk i {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Søk i {{SITENAME}} (eksperimentell)',
	'mobile-frontend-dismiss-notification' => 'fjern meldinga',
	'mobile-frontend-clear-search' => 'Tøm',
	'mobile-frontend-search-content' => 'Søk i sider',
	'mobile-frontend-search-no-results' => 'Inga side har denne tittelen.',
	'mobile-frontend-privacy-link-text' => 'Personvern',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Tekst er tilgjengeleg under [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; fleire vilkår kan gjelda.',
	'mobile-frontend-copyright' => "Teksten er tilgjengeleg under <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike-lisensen</a>, med eventuelle tillegg. Sjå <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>vilkåra</a> for detaljar. {{SITENAME}} er eit registrert varemerke som tilhøyrer <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, som er ein ideell organisasjon.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-terms-text' => 'Bruksvilkår',
	'mobile-frontend-main-menu-button-tooltip' => 'Opna hovudmenyen',
	'mobile-frontend-main-menu-page-title' => 'Nettstadnavigering',
	'mobile-frontend-main-menu-featured' => 'Utvald',
	'mobile-frontend-main-menu-nearby' => 'Nær her',
	'mobile-frontend-main-menu-login' => 'Logg inn',
	'mobile-frontend-main-menu-logout' => 'Logg ut',
	'mobile-frontend-main-menu-watchlist' => 'Overvakingsliste',
	'mobile-frontend-main-menu-settings' => 'Innstillingar',
	'mobile-frontend-main-menu-upload' => 'Opplastingar',
	'mobile-frontend-main-menu-settings-heading' => 'Innstillingar',
	'mobile-frontend-settings-site-header' => '{{SITENAME}}-språk',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} er tilgjengeleg på {{PLURAL:$1|eitt språk|$1 språk}}. Alle tilgjengelege utgåver er lista opp nedanfor',
	'mobile-frontend-main-menu-account-create' => 'Opprett konto',
	'mobile-frontend-page-menu-contents' => 'innhald',
	'mobile-frontend-page-menu-history' => 'Historikk',
	'mobile-frontend-meta-data-issues-header' => 'Vanskar',
	'mobile-frontend-meta-data-issues' => 'Denne sida har vanskar',
	'mobile-frontend-page-saving' => 'Lagrar $1',
	'mobile-frontend-user-button-tooltip' => 'Vis meldingane mine',
	'mobile-frontend-nearby-title' => 'Nær her',
	'mobile-frontend-nearby-loading' => 'Lastar inn emne nær staden du er no',
	'mobile-frontend-nearby-requirements' => 'Diverre stør ikkje nettlesaren {{SITENAME}}-funksjonen «Nær her».',
	'mobile-frontend-nearby-requirements-guidance' => 'Freist ein annan nettlesar eller slå på JavaScript om du har slege det av.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}}-funksjonen «nær her» kan ikkje finna ut kvar du er...freist om att?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Freist i eit ope område med betre dekking.',
	'mobile-frontend-nearby-noresults' => 'Det er stille her ute… Det vart ikkje funne nokon sider nær deg.',
	'mobile-frontend-nearby-noresults-guidance' => 'Freist å oppretta ein ny artikkel eller legg til stad til ein som alt finst.', # Fuzzy
	'mobile-frontend-nearby-refresh' => 'Me fann ein meir nøyaktig stad for deg. Klikk her for å oppdatera lista over nære sider.',
	'mobile-frontend-nearby-error' => '{{SITENAME}} Nær her har vanskar.',
	'mobile-frontend-nearby-error-guidance' => 'Freist å oppdatera staden din.',
	'mobile-frontend-nearby-link' => 'Les heile sida',
	'mobile-frontend-nearby-directions' => 'Denne vegen',
	'mobile-frontend-photo-upload-disabled' => 'Det trengst ingen bilete på denne sida.',
	'mobile-frontend-photo-upload-generic' => 'Bidra med eit bilete',
	'mobile-frontend-donate-image-title' => 'Opplastingar',
	'mobile-frontend-donate-image-heading' => 'Siste bidraga av deg',
	'mobile-frontend-listed-image-no-description' => 'Inga skildring',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Skjøner?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Ja!',
	'mobile-frontend-watchlist-add' => 'La til $1 i overvakingslista di',
	'mobile-frontend-watchlist-removed' => 'Fjerna $1 frå overvakingslista di',
	'mobile-frontend-watchlist-view' => 'Sjå overvakingslista di',
	'mobile-frontend-watchlist-more' => 'meir',
	'mobile-frontend-watchlist-cta-button-login' => 'Log in',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registrer deg',
	'mobile-frontend-watch-login' => 'Du lyt vera innlogga for å overvaka sider.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'Liste',
	'mobile-frontend-watchlist-feed' => 'Endra',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klikk på stjerna øvst på sida',
	'mobile-frontend-watchlist-back-home' => 'Attende heim',
	'mobile-frontend-changeslist-ip' => 'Anonyme brukarar',
	'mobile-frontend-changeslist-nocomment' => 'inkje endringssamandrag',
	'mobile-frontend-watchlist-filter-all' => 'Alle',
	'mobile-frontend-watchlist-filter-articles' => 'Artiklar', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Diskusjon',
	'mobile-frontend-watchlist-filter-other' => 'Andre',
	'mobile-frontend-watchlist-modified' => 'Endra $1',
	'mobile-frontend-diffview-404-title' => 'Ugild versjon',
	'mobile-frontend-diffview-404-desc' => 'ID-en for versjon du bad om finst ikkje.',
	'mobile-frontend-diffview-title' => 'Endringar',
	'mobile-frontend-diffview-editcount' => '{{PLURAL:$1|éi endring|<div>$1</div> endringar}}',
	'mobile-frontend-diffview-anonymous' => 'Anonym brukar',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte lagde til}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte fjerna}}',
	'mobile-frontend-diffview-explained' => 'Desse linene vart lagde til (+) og fjerna (-):',
	'mobile-frontend-saving-exit-page' => 'Bidraget ditt vert framleis lagra. Fer du bort no vil bidraget ditt verta tapt. Er du viss på at du ynskjer å forlata?',
	'mobile-frontend-photo-upload' => 'Legg til det fyrste fotoet på sida', # Fuzzy
	'mobile-frontend-photo-caption-placeholder' => 'Legg til ein bilettekst for biletet', # Fuzzy
	'mobile-frontend-photo-ownership-help' => 'Kva tyder dette?',
	'mobile-frontend-photo-ownership-confirm' => 'Skjøner!',
	'mobile-frontend-photo-submit' => 'Last opp',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> opplasting|<span>$1</span> opplastingar}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ opplastingar',
	'mobile-frontend-image-heading-describe' => "'''Skildra''' biletet",
	'mobile-frontend-image-uploading' => "'''Lastar opp''' biletet…",
	'mobile-frontend-image-cancel-confirm' => 'Bryt av opplastinga?',
	'mobile-frontend-editor-edit' => 'Endra',
	'mobile-frontend-editor-continue' => 'Hald fram',
	'mobile-frontend-editor-save' => 'Lagra',
	'mobile-frontend-editor-cancel' => 'Bryt av',
	'mobile-frontend-editor-keep-editing' => 'Hald fram med å endra',
	'mobile-frontend-editor-cancel-confirm' => 'Ynskjer du verkeleg å avslutta endringa di?',
	'mobile-frontend-editor-wait' => 'Lagrar endring, vent litt.',
	'mobile-frontend-editor-success' => 'Det gjekk! Endringa di vart lagra.',
	'mobile-frontend-editor-error' => 'Feil, endringa vart ikkje lagra.',
	'tag-mobile_edit' => 'mobilendring',
	'tag-mobile_edit-description' => 'Endring gjord frå mobilsida',
	'mobile-frontend-talk-overlay-header' => 'Diskusjon',
	'mobile-frontend-talk-reply' => 'Svar',
	'mobile-frontend-media-details' => 'Detaljar',
);

/** Occitan (occitan)
 * @author Boulaur
 * @author Cedric31
 */
$messages['oc'] = array(
	'mobile-frontend-desc' => 'Afichatge mobil',
	'mobile-frontend-search-submit' => 'Consultar',
	'mobile-frontend-home-button' => 'Acuèlh',
	'mobile-frontend-logged-out' => 'Pas connectat(-ada)',
	'mobile-frontend-logged-in-homepage-notification' => 'Benvenguda, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Connectat en tant que $1.',
	'mobile-frontend-sign-up-heading' => 'Inscrivètz-vos',
	'mobile-frontend-sign-in-heading' => 'Connexion',
	'mobile-frontend-sign-in-error-heading' => 'Ops',
	'mobile-frontend-settings-beta' => 'Bèta',
	'mobile-frontend-random-button' => "A l'azard",
	'mobile-frontend-back-to-top-of-section' => "Tornar d'una seccion",
	'mobile-frontend-close-section' => 'Tampar aquesta seccion',
	'mobile-frontend-regular-site' => 'Desactivar la version mobil',
	'mobile-frontend-wml-continue' => 'Contunhar…',
	'mobile-frontend-wml-back' => 'Retorn…',
	'mobile-frontend-view' => 'Afichatge mobil',
	'mobile-frontend-view-desktop' => 'Burèu',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-images-status' => 'Imatges',
	'mobile-frontend-missing-image' => 'Imatge',
	'mobile-frontend-off' => 'OFF',
	'mobile-frontend-on' => 'ON',
	'mobile-frontend-featured-article' => 'Contengut recomandat del jorn',
	'mobile-frontend-language-site-choose' => 'Recèrcar la lenga',
	'mobile-frontend-username' => "Nom d'utilizaire :",
	'mobile-frontend-password' => 'Senhal :',
	'mobile-frontend-username-placeholder' => "Nom d'utilizaire",
	'mobile-frontend-password-placeholder' => 'Senhal',
	'mobile-frontend-login' => 'Se connectar',
	'mobile-frontend-last-modified-date' => 'Darrièra modificacion lo $1, a $2',
	'mobile-frontend-last-modified-seconds' => 'Darrièra modificacion i a {{PLURAL:$1|$1 segonda|$1 segondas}}',
	'mobile-frontend-last-modified-minutes' => 'Darrièra modificacion i a {{PLURAL:$1|$1 minuta|$1 minutas}}',
	'mobile-frontend-last-modified-hours' => 'Darrièra modificacion i a {{PLURAL:$1|$1 ora|$1 oras}}',
	'mobile-frontend-last-modified-days' => 'Darrièra modificacion i a {{PLURAL:$1|$1 jorn|$1 jorns}}',
	'mobile-frontend-last-modified-months' => 'Darrièra modificacion i a {{PLURAL:$1|$1 mes|$1 meses}}',
	'mobile-frontend-last-modified-years' => 'Darrièra modificacion i a {{PLURAL:$1|$1 an|$1 ans}}',
	'mobile-frontend-account-create-submit' => 'Inscrivètz-vos',
	'mobile-frontend-password-confirm-placeholder' => 'Confirmatz lo senhal',
	'mobile-frontend-account-create-email-placeholder' => 'Adreça de corrièl (facultativa)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Entratz lo còde de confirmacion',
	'mobile-frontend-overlay-escape' => 'Retorn en arrièr',
	'mobile-frontend-placeholder' => 'Recercar sus {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Recercar {{SITENAME}} (Bèta)',
	'mobile-frontend-placeholder-alpha' => 'Recercar sus {{SITENAME}} (Experimental)',
	'mobile-frontend-dismiss-notification' => 'regetar aquesta notificacion',
	'mobile-frontend-clear-search' => 'Escafar',
	'mobile-frontend-privacy-link-text' => 'Confidencialitat',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => 'Lo contengut es disponible jos licéncia $1 levat mencion contrària.',
	'mobile-frontend-footer-contact' => 'Contacte',
	'mobile-frontend-main-menu-button-tooltip' => 'Dobrir lo menú principal',
	'mobile-frontend-main-menu-page-title' => 'Navigacion dins lo site',
	'mobile-frontend-main-menu-nearby' => 'A proximitat',
	'mobile-frontend-main-menu-login' => 'Connectatz-vos',
	'mobile-frontend-main-menu-logout' => 'Se desconnectar',
	'mobile-frontend-main-menu-watchlist' => 'Lista de seguiment',
	'mobile-frontend-main-menu-settings' => 'Paramètres',
	'mobile-frontend-main-menu-settings-heading' => 'Paramètres',
	'mobile-frontend-settings-site-header' => 'Lengas de {{SITENAME}}',
	'mobile-frontend-main-menu-account-create' => 'Crear un compte',
	'mobile-frontend-page-menu-contents' => 'contenguts',
	'mobile-frontend-page-menu-history' => 'Istoric',
	'mobile-frontend-meta-data-issues-header' => 'Problèmas',
	'mobile-frontend-page-saving' => 'Enregistrament de $1',
	'mobile-frontend-photo-upload-generic' => 'Contribuir amb un imatge',
	'mobile-frontend-donate-image-title' => 'Telecargaments',
	'mobile-frontend-watchlist-more' => 'mai',
	'mobile-frontend-watchlist-cta-button-login' => 'Connectatz-vos',
	'mobile-frontend-watchlist-cta-button-signup' => 'Inscrivètz-vos',
	'mobile-frontend-watchlist-a-z' => 'Lista',
	'mobile-frontend-watchlist-feed' => 'Modificats',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Clicatz sus l’estela amont de la pagina',
	'mobile-frontend-watchlist-back-home' => 'Retorn a l’acuèlh',
	'mobile-frontend-watchlist-filter-all' => 'Totes',
	'mobile-frontend-watchlist-filter-articles' => 'Articles', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Discussion',
	'mobile-frontend-watchlist-filter-other' => 'Autres',
	'mobile-frontend-watchlist-modified' => 'Modificat $1',
	'mobile-frontend-diffview-404-title' => 'Marrida revision',
	'mobile-frontend-diffview-title' => 'Cambiaments',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|cambiament|cambiaments}}',
	'mobile-frontend-diffview-anonymous' => 'Utilizaire anonim',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|octet apondut|octets aponduts}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|octet suprimit|octets suprimits}}',
	'mobile-frontend-table' => 'Tablèu $1',
);

/** Oriya (ଓଡ଼ିଆ)
 * @author Jnanaranjan Sahu
 * @author Odisha1
 * @author Psubhashish
 */
$messages['or'] = array(
	'mobile-frontend-desc' => 'ମୋବାଇଲ ଦେଖଣା',
	'mobile-frontend-search-submit' => 'ଯିବା',
	'mobile-frontend-home-button' => 'ମୂଳ ଜାଗା',
	'mobile-frontend-logged-out' => 'ଲଗ‌‌ ଇନ କରିନାହାନ୍ତି',
	'mobile-frontend-logged-in-homepage-notification' => 'ସ୍ଵାଗତ, $1!',
	'mobile-frontend-logged-in-toast-notification' => '$1 ଭାବେ ଲଗଇନ ହେଲା ।',
	'mobile-frontend-sign-up-heading' => 'ନାମ ଲେଖାଇବେ',
	'mobile-frontend-sign-in-heading' => 'ଲଗ ଇନ କରିବେ',
	'mobile-frontend-sign-in-why' => 'ଯଦି ଆପଣଙ୍କର ଗୋଟିଏ {{SITENAME}} ଖାତା ଅଛି, ଆପଣ ତଳେ ଲଗ ଇନ କରିପାରିବେ ।',
	'mobile-frontend-sign-in-error-heading' => 'ଓଃହ',
	'mobile-frontend-settings-description' => 'ମୋବାଇଲ ପାଇଁ ଥିବା ସଜାଣିଦ୍ଵାରା ସଜାଇ ଆପଣଙ୍କର ମୋବାଇଲ ଅଭିଜ୍ଞାତକୁ ସଜାନ୍ତୁ ।',
	'mobile-frontend-settings-beta' => 'ବିଟା',
	'mobile-frontend-settings-alpha' => '[//en.wikipedia.org/wiki/Here_be_dragons Here be dragons] ମୋଡ', # Fuzzy
	'mobile-frontend-settings-alpha-description' => 'ଭୟଙ୍କର ଏବଂ ବ୍ୟବହାର ହୋଇନଥିବା ମୋବାଇଲ ଜଗତକୁ ପସନ୍ତୁ । ଆହୁରି ଅଧିକ ପରୀକ୍ଷାମୂଳକ ବିଶେଷତା ପାଆନ୍ତୁ କିନ୍ତୁ ଅସୁବିଧା ଗୁଡିକ ସହ ।',
	'mobile-frontend-save-settings' => 'ସଜାଣି ସାଇତିବେ', # Fuzzy
	'mobile-frontend-random-button' => 'ଯାହିତାହି',
	'mobile-frontend-back-to-top-of-section' => 'ଏକ ଭାଗକୁ ଡେଇଁଯିବେ',
	'mobile-frontend-close-section' => 'ଏହି ବାଛିବାକୁ ବନ୍ଦ କରିବେ',
	'mobile-frontend-regular-site' => 'ଡେସ୍କଟପ ଦେଖଣା',
	'mobile-frontend-wml-continue' => 'ଚାଲୁରଖ ...',
	'mobile-frontend-wml-back' => 'ପୂର୍ବବର୍ତ୍ତୀ ...',
	'mobile-frontend-view' => 'ମୋବାଇଲ ଦେଖଣା',
	'mobile-frontend-view-desktop' => 'ଡେସ୍କଟପ',
	'mobile-frontend-view-mobile' => 'ମୋବାଇଲ',
	'mobile-frontend-opt-in-explain' => 'betaରେ ଯୋଗ ଦେଇ , ଆପଣଙ୍କୁ ପରଖ ପାଇଁ ଅନୁମତି ମିଳିଥାଏ ଯାହା ବଗ୍ ଓ ଅସୁବିଧାସବୁର ସମ୍ମୁଖୀନ ହେବାକୁ ପଡ଼ିପାରେ ।',
	'mobile-frontend-images-status' => 'ଛବିଗୁଡିକ',
	'mobile-frontend-disable-images' => 'ମୋବାଇଲ ସାଇଟ ପାଇଁ ଛବି ଦେଖଣା ଅଚଳ କରିବେ',
	'mobile-frontend-enable-images' => 'ମୋବାଇଲ ସାଇଟ ପାଇଁ ଛବି ଦେଖଣା ସଚଳ କରିବେ',
	'mobile-frontend-missing-image' => 'ଛବି',
	'mobile-frontend-off' => 'ବନ୍ଦ',
	'mobile-frontend-on' => 'ଚାଲୁ',
	'mobile-frontend-featured-article' => 'ଆଜିର ବଛା ଲେଖା', # Fuzzy
	'mobile-frontend-news-items' => 'ଖବରରେ',
	'mobile-frontend-language-article-heading' => 'ଅନ୍ୟ ଭାଷାରେ ପଢିବେ',
	'mobile-frontend-language-header' => 'ଏହି ପୃଷ୍ଠାଟି $1 {{PLURAL:$1|language|languages}}ରେ ଅଛି ।',
	'mobile-frontend-language-variant-header' => '{{#language:{{CONTENTLANG}}}} ବିଭିନ୍ନତାରୁ ବାଛନ୍ତୁ',
	'mobile-frontend-language-footer' => 'ଟୀକା: ଏହି ପୃଷ୍ଠାଟି ଆପଣଙ୍କ ଜଣାଶୁଣା ଭାଷାରେ ନ ଲେଖା ହୋଇଥାଇପାରେ । ଏଠାରେ କ୍ଲିକ କରି ଆପଣ କେଉଁ କେଉଁ ଭାଷା {{SITENAME}} ରହୁଛି ଦେଖି ପାରିବେ ।',
	'mobile-frontend-language-site-choose' => 'ଖୋଜା ଭାଷା',
	'mobile-frontend-username' => 'ବ୍ୟବହାରକାରୀଙ୍କ ନାମ:',
	'mobile-frontend-password' => 'ପାସୱାର୍ଡ଼',
	'mobile-frontend-username-placeholder' => 'ବ୍ୟବହାରକାରୀଙ୍କ ନାମ',
	'mobile-frontend-password-placeholder' => 'ପାସୱାର୍ଡ଼',
	'mobile-frontend-login' => 'ଲଗଇନ',
	'mobile-frontend-last-modified-date' => 'ଗତଥର $1ରେ, $2ଠାରେ ବଦଲାଯାଇଥିଲା',
	'mobile-frontend-last-modified-seconds' => 'ଗତଥର {{PLURAL:$1|$1 second|$1 seconds}} ପୂର୍ବରୁ ବଦଳା ଯାଇଥିଲା',
	'mobile-frontend-last-modified-minutes' => 'ଗତଥର {{PLURAL:$1|$1 minute|$1 minutes}} ପୂର୍ବରୁ ବଦଳା ଯାଇଥିଲା',
	'mobile-frontend-last-modified-hours' => 'ଗତଥର {{PLURAL:$1|$1 hour|$1 hours}} ପୂର୍ବରୁ ବଦଳା ଯାଇଥିଲା',
	'mobile-frontend-last-modified-days' => 'ଗତଥର {{PLURAL:$1|$1 ଦିନ|$1 ଦିନଗୁଡିକ}} ପୂର୍ବରୁ ବଦଳା ଯାଇଥିଲା',
	'mobile-frontend-last-modified-months' => 'ଗତଥର {{PLURAL:$1|$1 month|$1 months}} ପୂର୍ବରୁ ବଦଳା ଯାଇଥିଲା',
	'mobile-frontend-last-modified-years' => 'ଗତଥର {{PLURAL:$1|$1 year|$1 years}} ପୂର୍ବରୁ ବଦଳା ଯାଇଥିଲା',
	'mobile-frontend-account-create-submit' => 'ନାମ ଲେଖାଇବେ',
	'mobile-frontend-password-confirm-placeholder' => 'ପାସୱାର୍ଡ ନିଶ୍ଚିତ କରିବେ',
	'mobile-frontend-account-create-email-placeholder' => 'ଇ-ମେଲ ଠିକଣା(ଇଚ୍ଛାଧୀନ)',
	'mobile-frontend-account-create-captcha-placeholder' => 'ସୁରକ୍ଷା ପାଇଁ ଏଥିରେ ଥିବା ଅକ୍ଷରଗୁଡିକୁ ଲେଖନ୍ତୁ', # Fuzzy
	'mobile-frontend-overlay-escape' => 'ପଛକୁ ଫେରିବେ',
	'mobile-frontend-placeholder' => '{{SITENAME}}ରେ ଖୋଜିବେ',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}}ରେ ଖୋଜିବେ (bita)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}}ରେ ଖୋଜିବେ (ଡ୍ରାଗନ ମୋଡ)', # Fuzzy
	'mobile-frontend-search-help' => 'ଆପଣ ଯାହା ଖୋଜିବାକୁ ଚାହୁଁଛନ୍ତି ତାହା ଏଠାରେ ଲେଖନ୍ତୁ ଏବଂ ମିଶୁଥିବା ଲେଖାର ଶୀର୍ଷକ ଗୁଡିକ ଏଠାରେ ଆସିଯିବା ।',
	'mobile-frontend-dismiss-notification' => 'ସୂଚନାଟିକୁ ହଟାଇଦିଅନ୍ତୁ',
	'mobile-frontend-clear-search' => 'ଖାଲି କରିଦିଅନ୍ତୁ',
	'mobile-frontend-privacy-link-text' => 'ଗୁମରନିତି',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-contact' => 'ଯୋଗାଯୋଗ',
	'mobile-frontend-search-noresults' => 'ଆପଣ ଖୋଜୁଥିବା ଲେଖାଟି କୌଣସି ଲେଖା ସହ ମିଳିଲାନି ।ଆପଣଙ୍କ ଖୋଜା ଲେଖାଟିକୁ ବଦଳାନ୍ତୁ, କିମ୍ବା କିବୋର୍ଡରେ ଥିବା ଖୋଜିବା ବଟନଟିକୁ କ୍ଲିକ କରି ପୃଷ୍ଠାଗୁଡିକ ଭିତରେ ଖୋଜନ୍ତୁ ।',
	'mobile-frontend-main-menu-button-tooltip' => 'ମୁଖ୍ୟ ମିନୁ ଦେଖିବେ',
	'mobile-frontend-main-menu-page-title' => 'ସାଇଟ ଦିଗବାରେଣୀ',
	'mobile-frontend-main-menu-featured' => 'ବିଶେଷ',
	'mobile-frontend-main-menu-nearby' => 'ପାଖାପାଖି',
	'mobile-frontend-main-menu-login' => 'ଲଗ-ଇନ (Log in)',
	'mobile-frontend-main-menu-logout' => 'ଲଗ ଆଉଟ',
	'mobile-frontend-main-menu-watchlist' => 'ଦେଖଣାତାଲିକା',
	'mobile-frontend-main-menu-settings' => 'ସଜାଣି',
	'mobile-frontend-main-menu-upload' => 'ଅପଲୋଡ଼ କରିବେ', # Fuzzy
	'mobile-frontend-main-menu-settings-heading' => 'ମୋବାଇଲ ସାଇଟ ସଜାଣି', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} ଭାଷାଗୁଡିକ',
	'mobile-frontend-settings-site-description' => '{{SITENAME}}ଟି $1 {{PLURAL:$1|ଭାଷା|ଭାଷାଗୁଡିକ}}ରେ ଉପଲବ୍ଧ ।ସମସ୍ତ ଉପଲବ୍ଧ ସଂସ୍କରଣର ତାଲିକା ତଳେ ଅଛି',
	'mobile-frontend-main-menu-account-create' => 'ଖାତାଟିଏ ଖୋଲିବେ',
	'mobile-frontend-page-menu-contents' => 'ବିଷୟସୂଚୀ',
	'mobile-frontend-page-menu-history' => 'ଇତିହାସ',
	'mobile-frontend-meta-data-issues-header' => 'ଅସୁବିଧାଗୁଡିକ',
	'mobile-frontend-meta-data-issues' => 'ଏହି ପୃଷ୍ଠାରେ କିଛି ଅସୁବିଧା ଅଛି',
	'mobile-frontend-page-saving' => '$1 ସାଇତା ଯାଉଛି',
	'mobile-frontend-nearby-title' => 'ପାଖାପାଖି',
	'mobile-frontend-nearby-loading' => 'ଆପଣଙ୍କ ବର୍ତ୍ତମାନର ଅବସ୍ଥାନର ପାଖାପାଖି ଲେଖାଗୁଡ଼ିକ ଧାରଣା ହେଉଛି',
	'mobile-frontend-nearby-requirements' => 'ଏହି ପୃଷ୍ଠାଟି ଉଭୟ ଜାଭାସ୍କ୍ରିପ୍ଟ ଏବଂ ଅବସ୍ଥିତି ନିର୍ଧାରକ ବ୍ରାଉଜର ଆବଶ୍ୟକ କରୁଛି ।', # Fuzzy
	'mobile-frontend-nearby-noresults' => 'ଆପଣ କୋଉଠି ଅଛନ୍ତି ଜଣାପଡୁନି ଏବଂ ଆମେ ମଧ୍ୟ ଆପଣଙ୍କ ପାଇଁ କିଛି ଲେଖା ପାଉନୁ । ଅପଣ ନିଜେ ଗୋଟେ ଲେଖନ୍ତୁ ନା ?', # Fuzzy
	'mobile-frontend-nearby-refresh' => 'ଆମେ ଆପଣଙ୍କ ପ୍ରକୃତ ଅବସ୍ଥିତି ପାଇଲୁ । ଏଠାରେ କ୍ଲିକ କରି ପାଖାପାଖି ଲେଖାଗୁଡ଼ିକୁ ଆଉଥରେ ଲୋଡ କରନ୍ତୁ',
	'mobile-frontend-nearby-error' => 'ପାଖାପାଖି ପୃଷ୍ଠାଗୁଡିକୁ ଖୋଜିଲା ବେଳେ କିଛିଗୋଟେ ଅଜଣା ଅସୁବିଧା ଉପୁଜିଲା', # Fuzzy
	'mobile-frontend-donate-image-login' => 'ଆପଣଙ୍କ ଅପଲୋଡଗୁଡିକୁ ଦେଖିବା ପାଇଁ ଲଗଇନ କରନ୍ତୁ', # Fuzzy
	'mobile-frontend-photo-upload-generic' => 'ଛବିଟିଏ ଅବଦାନ କରିବେ', # Fuzzy
	'mobile-frontend-donate-image-title' => 'ଛବିଟିଏ ଅବଦାନ କରିବେ', # Fuzzy
	'mobile-frontend-donate-image-heading' => 'ଆପଣଙ୍କର ଏବେକାର ଅବଦାନଗୁଡିକ',
	'mobile-frontend-donate-image-anon' => 'ଏହି ଅପଲୋଡ ହୋଇଥିବା ପୃଷ୍ଠା ଦେଖିବାକୁ ହେଲେ ଗୋଟେ [[Special:UserLogin|ବ୍ୟବହାରକାରୀ ଖାତା]] ଆବଶ୍ୟକ', # Fuzzy
	'mobile-frontend-listed-image-no-description' => 'କୌଣସି ବର୍ଣ୍ଣନା ନାହିଁ',
	'mobile-frontend-donate-photo-upload-success' => 'ସଫଳ ! ବର୍ତ୍ତମାନ ଆପଣଙ୍କର ଛବିଟି {{SITENAME}}!ରେ ବ୍ୟବହାର କରାଯାଇପାରିବ !',
	'mobile-frontend-donate-photo-first-upload-success' => 'ସଫଳ ହେଲା! ଆପଣଙ୍କର ପ୍ରଥମ ଅବଦାନ ପାଇଁ ଧନ୍ୟବାଦ !',
	'mobile-frontend-watchlist-add' => 'ଆପଣଙ୍କ ଦେଖଣା ତାଲିକାରେ ଯୋଡା ଯାଇଥିବା $1',
	'mobile-frontend-watchlist-removed' => '$1କୁ ଆପଣଙ୍କ ଦେଖଣାତାଲିକାରୁ ହଟାଇବେ',
	'mobile-frontend-watchlist-view' => 'ଆପଣଙ୍କ ଦେଖଣାତାଲିକା ଦେଖିବେ',
	'mobile-frontend-watchlist-more' => 'ଅଧିକ',
	'mobile-frontend-watchlist-cta' => 'ଏହି ପୃଷ୍ଠାକୁ ଦେଖବା ପାଇଁ ଦୟାକରି ଲଗଇନ କରନ୍ତୁ କିମ୍ବା  ନାମ ଲେଖାନ୍ତୁ ।',
	'mobile-frontend-watchlist-cta-button-login' => 'ଲଗଇନ',
	'mobile-frontend-watchlist-cta-button-signup' => 'ନାମ ଲେଖାଇବେ',
	'mobile-frontend-watchlist-a-z' => 'ସମସ୍ତ', # Fuzzy
	'mobile-frontend-watchlist-feed' => 'ବଦଳାଯାଇଥିବା',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'ପୃଷ୍ଠାଟିର ଉପରେ ଥିବା ତାରା ଚିହ୍ନ ଉପରେ କ୍ଲିକ କରନ୍ତୁ',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'ସ୍କ୍ରୀନର ଉପରେ ଥିବା ତାରା ଚିହ୍ନ ଉପରେ କ୍ଲିକ କରି ଆପଣଙ୍କୁ ଭଲ ଲାଗିଥିବା ପୃଷ୍ଠାଟିକୁ ଦେଖନ୍ତୁ । ଏହା ଆପଣଙ୍କୁ ଏହି ପୃଷ୍ଠଟିକୁ ବୁକମାର୍କ କରେଇବାରେ ଏବଂ ସେଥିରେ ବଦଳ ହେଲେ ଦେଖେଇବାରେ ସାହାଯ୍ୟ କରିବ ।', # Fuzzy
	'mobile-frontend-watchlist-feed-empty' => 'ନଗଦବଦଳରେ କୌଣସି ପୃଷ୍ଠା ନାହିଁ',
	'mobile-frontend-watchlist-back-home' => 'ମୂଳକୁ ଫେରିବେ',
	'mobile-frontend-changeslist-ip' => 'Anonymous user',
	'mobile-frontend-changeslist-nocomment' => 'ବଦଳ ସାରକଥା ଲୁଚାଇଦିଅନ୍ତୁ',
	'mobile-frontend-watchlist-filter-all' => 'ସମସ୍ତ',
	'mobile-frontend-watchlist-filter-articles' => 'ପ୍ରସଙ୍ଗଗୁଡିକ', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'କଥାଭାଷା',
	'mobile-frontend-watchlist-filter-other' => 'ଅନ୍ୟାନ୍ୟ',
	'mobile-frontend-watchlist-modified' => 'ବଦଳାଯାଇଥିବା $1',
	'mobile-frontend-diffview-404-title' => 'ଖରାପ ପୁନରାବୃତି',
	'mobile-frontend-diffview-404-desc' => 'ଆପଣ ପୁନରାବୃତି କରିବା ପାଇଁ ଚାହୁଁଥିବା IDଟି ଉପଲବ୍ଧ ନାହିଁ',
	'mobile-frontend-diffview-title' => 'ବଦଳଗୁଡିକ',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|ବଦଳାଗଲା|ବଦଳାଗଲା}}', # Fuzzy
	'mobile-frontend-diffview-anonymous' => 'ବେନାମି ସଭ୍ୟ',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|ବାଇଟ|ବାଇଟଗୁଡିକ}} ଯୋଡାଗଲା',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|ବାଇଟ|ବାଇଟଗୁଡିକ}} କଢାଗଲା',
	'mobile-frontend-diffview-explained' => 'ଏହି ଧାଡିଗୁଡିକ ଯୋଡାଗଲା (+) ଏବଂ କଢାଗଲା (-):',
	'mobile-frontend-table' => '$1 ସାରଣୀ',
	'mobile-frontend-saving-exit-page' => 'ଆପଣଙ୍କ ଅବଦାନଗୁଡିକ ଏଯାଏଁ ସାଇତା ଯାଉଛି । ଯଦି ଆପଣ ଚାଲିଯିବେ ତାହେଲେ ଆପଣଙ୍କ ଅବଦାନଗୁଡିକ କଟିଯିବା । ଆପଣ ନିଶ୍ଚିତ ଯେ ଏହି ପୃଷ୍ଠାକୁ ବନ୍ଦ କରିବେ ?',
	'mobile-frontend-photo-upload' => 'ଏହି ଲେଖାରେ ଛବିଟିଏ ଯୋଡନ୍ତୁ', # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => 'ଏହି ପୃଷ୍ଠାରେ ବ୍ୟବହାର ପାଇଁ ଫଟୋ ଯୋଡାଗଲା', # Fuzzy
	'mobile-frontend-photo-article-donate-comment' => 'ମୋବାଇଲ ଦ୍ଵାରା ଛବି ଅବଦାନ କରିବେ', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'ପୃଷ୍ଠାରେ ଫଟୋ ଯୋଡାଗଲା', # Fuzzy
	'mobile-frontend-photo-caption-placeholder' => 'ସବିଶେଷ ଯୋଡନ୍ତୁ (ଆବଶ୍ୟକ)', # Fuzzy
	'mobile-frontend-image-loading' => 'ଛବି ଲୋଡ ହେଉଛି',
	'mobile-frontend-image-uploading-wait' => 'ଛବିଟି ଅପଲୋଡ ହେଉଛି, ଦୟାକରି ଅପେକ୍ଷା କରନ୍ତୁ ।',
	'mobile-frontend-image-uploading-long' => 'ଛବିଟି ଏବେବି ଅପଲୋଡ଼ ହେଉଛି ! ଆପଣଙ୍କ ଧୈର୍ଯ୍ୟ ପାଇଁ ଧନ୍ୟବାଦ ।',
	'mobile-frontend-image-uploading-cancel' => 'ଯଦି ଏହା ବହୁତ ସମୟ ନେଉଛି ତେବେ <a href="#">ବାତିଲ କରନ୍ତୁ</a> ।',
	'mobile-frontend-photo-upload-error' => 'ଅସୁବିଧା ହେଲା, ଦୟାକରି ଆଉଥରେ ଚେଷ୍ଟା କରନ୍ତୁ ।',
	'mobile-frontend-photo-upload-success-article' => 'ସଫଳ ! ଆପଣଙ୍କ ଛବିଟି ପୃଷ୍ଠାଟିରେ ଆସିଗଲା ।',
	'mobile-frontend-photo-license' => '"ପଇଠ"ରେ କ୍ଲିକ କରିବା ଦ୍ଵାରା ଅପଣ ଆମର [//wikimediafoundation.org/wiki/Terms_of_use ବ୍ୟବହାର କରିବା ନିୟମ] ସହ ରାଜି ହେଉଛନ୍ତି ଏବଂ ଆପଣଙ୍କ ଛବିଟିକୁ [//en.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License କ୍ରିଏଟିଭି କମନ ଆଟ୍ରିବ୍ୟୁସନ-ସେଆରଆଲାଇକ ୩.0 ଲାଇସେନ୍ସ] ଅନ୍ତର୍ଗତ ରଖି ଛାଡୁଛନ୍ତି ।', # Fuzzy
	'mobile-frontend-photo-submit' => 'ପଇଠ',
	'mobile-frontend-photo-cancel' => 'ବାତିଲ',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|$1ଟି ଅପଲୋଡ|$1 ଗୋଟି ଅପଲୋଡ}}', # Fuzzy
	'mobile-frontend-photo-upload-user-count-over-limit' => '୫୦୦+ ଅପଲୋଡଗୁଡିକ',
	'tag-mobile_edit' => 'ମୋବାଇଲ ବଦଳ',
	'tag-mobile_edit-description' => 'ମୋବାଇଲ ସାଇଟଦ୍ଵାରା ହେଇଥିବା ବଦଳଗୁଡିକ',
	'mobile-frontend-drawer-cancel' => 'ବାତିଲ',
);

/** Ossetic (Ирон)
 * @author Amikeco
 * @author Bouron
 */
$messages['os'] = array(
	'mobile-frontend-desc' => 'Мобилон хуыз',
	'mobile-frontend-search-submit' => 'Уацмæ',
	'mobile-frontend-home-button' => 'Райдианмæ',
	'mobile-frontend-logged-out' => 'Системæмæ хызт нæ дæ',
	'mobile-frontend-sign-in-heading' => 'Бахизын',
	'mobile-frontend-sign-in-why' => 'Кæд дын ис {{grammar:genitive|{{SITENAME}}}} аккаунт, уæд дæ бон у дæлдæр бахизын.',
	'mobile-frontend-sign-in-error-heading' => 'Гъери гъа',
	'mobile-frontend-settings-description' => 'Сфæлынд дæ мобилон гарзыл архайд мæнæ ацы мобилон сайты уагæвæрæнтæй.',
	'mobile-frontend-settings-beta' => 'Бета',
	'mobile-frontend-save-settings' => 'Уаг бавæрын', # Fuzzy
	'mobile-frontend-random-button' => 'Халæй',
	'mobile-frontend-back-to-top-of-section' => 'Раздæхын иу хай фæстæмæ',
	'mobile-frontend-close-section' => 'Ацы хай сæхгæнын',
	'mobile-frontend-regular-site' => 'Æнæхъæнæй',
	'mobile-frontend-wml-continue' => 'Дарддæр...',
	'mobile-frontend-wml-back' => 'Фæстæмæ...',
	'mobile-frontend-view' => 'Мобилон хуыз',
	'mobile-frontend-view-desktop' => 'Æнæхъæн',
	'mobile-frontend-view-mobile' => 'Мобилон',
	'mobile-frontend-opt-in-explain' => 'Мобилон бетамæ иу гæнгæйæ, ды эксперименталон функцитæм бавналæн исыс, фæлæтас у исты баг кæнæ рæдыдыл фембæлын.',
	'mobile-frontend-images-status' => 'Нывтæ',
	'mobile-frontend-disable-images' => 'Ахицæн кæнын нывтæ мобилон сайты',
	'mobile-frontend-enable-images' => 'Баиу кæнын нывтæ мобилон сайты',
	'mobile-frontend-missing-image' => 'Ныв',
	'mobile-frontend-off' => 'ХИЦӔН',
	'mobile-frontend-on' => 'ИУ',
	'mobile-frontend-featured-article' => 'Боны сæрмагонд статья', # Fuzzy
	'mobile-frontend-news-items' => 'Нæуæг хабæртты',
	'mobile-frontend-username' => 'Архайæджы ном:',
	'mobile-frontend-password' => 'Пароль:',
	'mobile-frontend-login' => 'Бахизын',
	'mobile-frontend-placeholder' => '{{grammar:genitive|{{SITENAME}}}} агурын',
	'mobile-frontend-clear-search' => 'Схафын',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Ацы æрмæг у сæрибар [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] лицензимæ гæсгæ.', # Fuzzy
	'mobile-frontend-copyright' => "Текст у сæрибар<a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a> лицензимæ гæсгæ; гæнæн ис æндæр æм ис. Бæстондæр бакæс <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Пайда гæныны домæнтæ</a>. {{SITENAME}} у<a href='http://www.wikimediafoundation.org/'> Викимеди фондыон</a> регистраци гонд нысан.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Контакт',
);

/** Punjabi (ਪੰਜਾਬੀ)
 */
$messages['pa'] = array(
	'mobile-frontend-search-submit' => 'ਜਾਓ',
	'mobile-frontend-home-button' => 'ਘਰ',
	'mobile-frontend-back-to-top-of-section' => 'A ਸ਼ੈਕਸ਼ਨ ਉੱਤੇ ਵਾਪਸ ਜਾਉ',
	'mobile-frontend-regular-site' => 'ਇਹ ਸਫ਼ਾ ਪੂਰੇ ਵਿਕਿਪੀਡਿਆ ਉੱਤੇ ਵੇਖੋ', # Fuzzy
	'mobile-frontend-featured-article' => 'ਅੱਜ ਦੇ ਖਾਸ ਲੇਖ', # Fuzzy
);

/** Papiamento (Papiamentu)
 */
$messages['pap'] = array(
	'mobile-frontend-search-submit' => 'Buska',
	'mobile-frontend-home-button' => 'Página Prinsipal',
	'mobile-frontend-random-button' => 'Kualkier',
	'mobile-frontend-back-to-top-of-section' => 'Bai un sekshon patras',
	'mobile-frontend-regular-site' => 'Mira e página aki riba un base regular', # Fuzzy
	'mobile-frontend-featured-article' => 'E Artíkulo Estelar Di Awe', # Fuzzy
	'mobile-frontend-copyright' => "Teksto ta disponibel bou di e a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; otro rekisitonan por ta aplikabel. Mira <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Rekisitonan pa uso</a> pa detayenan. {{SITENAME}} ta un marka registrá di e <a href='http://www.wikimediafoundation.org/'>Fundashon Wikimedia, Inc.</a>, un organisashon káritativo.", # Fuzzy
);

/** Deitsch (Deitsch)
 * @author Xqt
 */
$messages['pdc'] = array(
	'mobile-frontend-search-submit' => 'Geh los',
	'mobile-frontend-home-button' => 'Schtaert',
);

/** Pälzisch (Pälzisch)
 * @author Manuae
 */
$messages['pfl'] = array(
	'mobile-frontend-wml-continue' => 'Waida...',
	'mobile-frontend-wml-back' => 'Zrigg...',
);

/** Polish (polski)
 * @author BeginaFelicysym
 * @author Chrumps
 * @author Derbeth
 * @author Juliusz Gonera
 * @author Lazowik
 * @author Leinad
 * @author Matma Rex
 * @author Mikołka
 * @author Odder
 * @author Odie2
 * @author Olgak85
 * @author P0358
 * @author Przemub
 * @author Rezonansowy
 * @author Rzuwig
 * @author Sp5uhe
 * @author Tar Lócesilion
 * @author Vuh
 * @author WTM
 * @author Woytecr
 */
$messages['pl'] = array(
	'mobilefrontend-random-explain' => 'Czy ta losowa strona cię zainteresowała?',
	'mobilefrontend-random-cancel' => 'Chcę poczytać!',
	'mobilefrontend-keepgoing-ask' => 'Dobra robota! Zaczyna ci to iść! Chcesz spróbować edycji innej strony?',
	'mobilefrontend-keepgoing-ask-first' => 'Gratulujemy z okazji pierwszej edycji! Chcesz spróbować edycji innej strony?',
	'mobilefrontend-keepgoing-explain' => 'Świetnie! Inny użytkownik stwierdził, że na ta strona potrzebuje dopracowania. Spróbuj to zrobić albo spróbuj jakąś inną.',
	'mobilefrontend-keepgoing-cancel' => 'Nie, dziękuję',
	'mobilefrontend-keepgoing-suggest' => 'Tak, proszę',
	'mobilefrontend-keepgoing-suggest-again' => 'Spróbuj coś innego',
	'mobilefrontend-keepgoing-saved-title' => 'Edycja została zapisana!',
	'mobilefrontend-keepgoing-links-title' => 'Dodaj linki',
	'mobilefrontend-keepgoing-links-ask-first' => 'Gratulujemy twojej pierwszej edycji! Chcesz uzyskać pomoc jak dodać linki do nowo utworzonej strony?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Czy chcesz naprawić inną stronę?',
	'nearby' => 'W pobliżu ciebie',
	'mobile-frontend-desc' => 'Mobilny interfejs użytkownika',
	'mobile-frontend-search-submit' => 'Przejdź',
	'mobile-frontend-home-button' => 'Główna',
	'mobile-frontend-logged-out' => 'Nie jesteś zalogowany(a)',
	'mobile-frontend-logged-in-homepage-notification' => 'Witaj, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Zalogowano jako $1.',
	'mobile-frontend-sign-up-heading' => 'Zarejestruj się',
	'mobile-frontend-sign-in-heading' => 'Zaloguj się',
	'mobile-frontend-sign-in-why' => 'Jeśli masz konto w {{GRAMMAR:D.lp|{{SITENAME}}}} możesz zalogować się poniżej.',
	'mobile-frontend-sign-in-error-heading' => 'Ups',
	'mobile-frontend-settings-description' => 'Dostosuj ustawienia dla urządzeń mobilnych.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Tryb eksperymentalny',
	'mobile-frontend-settings-alpha-description' => 'Wkrocz do niebezpiecznego i niezbadanego terytorium mobilnego. Korzystaj z jeszcze bardziej eksperymentalnych funkcji, ale z wyższym ryzykiem wystąpienia błędów.',
	'mobile-frontend-save-settings' => 'Zapisz',
	'mobile-frontend-save-error' => 'Wystąpił błąd podczas zapisywania ustawień. Upewnij się, że masz włączoną obsługę plików cookie.',
	'mobile-frontend-random-button' => 'Losuj',
	'mobile-frontend-back-to-top-of-section' => 'Wróć do wcześniejszej sekcji',
	'mobile-frontend-regular-site' => 'Wersja dla urządzeń stacjonarnych',
	'mobile-frontend-wml-continue' => 'Dalej ...',
	'mobile-frontend-wml-back' => 'Wstecz ...',
	'mobile-frontend-view' => 'Wersja dla urządzeń mobilnych',
	'mobile-frontend-view-desktop' => 'Standardowa',
	'mobile-frontend-view-mobile' => 'Mobilna',
	'mobile-frontend-opt-in-explain' => 'Przystępując do wersji beta otrzymasz dostęp do eksperymentalnych funkcji, mogących wywołać błędy i problemy.',
	'mobile-frontend-images-status' => 'Obrazki',
	'mobile-frontend-disable-images' => 'Wyłącz wyświetlanie grafik w wersji mobilnej',
	'mobile-frontend-enable-images' => 'Włącz wyświetlanie grafik w wersji mobilnej',
	'mobile-frontend-expand-sections-status' => 'Rozwiń wszystkie sekcje',
	'mobile-frontend-missing-image' => 'Grafika',
	'mobile-frontend-off' => 'WYŁ.',
	'mobile-frontend-on' => 'WŁ.',
	'mobile-frontend-featured-article' => 'Artykuł na medal',
	'mobile-frontend-news-items' => 'Aktualności',
	'mobile-frontend-languages-header' => 'Języki',
	'mobile-frontend-language-heading' => '<strong>Języki</strong>',
	'mobile-frontend-language-article-heading' => 'Przeczytaj w innym języku',
	'mobile-frontend-language-header' => 'Ta strona jest dostępna w $1 {{PLURAL:$1|języku|językach}}',
	'mobile-frontend-language-variant-header' => 'Wybierz wariant języka {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Znajdź język',
	'mobile-frontend-username' => 'Nazwa użytkownika:',
	'mobile-frontend-password' => 'Hasło:',
	'mobile-frontend-username-placeholder' => 'Nazwa użytkownika',
	'mobile-frontend-password-placeholder' => 'Hasło',
	'mobile-frontend-login' => 'Zaloguj się',
	'mobile-frontend-history' => 'Zobacz historię zmian tej strony.',
	'mobile-frontend-history-404-title' => 'Nie ma takiej strony',
	'mobile-frontend-history-404-desc' => 'Nie można zobaczyć historii strony, która nie istnieje. Może została usunięta bądź wybrano błędny link.',
	'mobile-frontend-contribution-summary' => 'Wszystkie edycje {{GENDER:$1|użytkownika|użytkowniczki}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-history-summary' => '[[:$1]] – historia wersji',
	'mobile-frontend-last-modified-date' => 'Ostatnio zmodyfikowano $2, $1',
	'mobile-frontend-last-modified-seconds' => 'Ostatnio zmodyfikowano {{PLURAL:$1|sekundę|$1 sekundy|$1 sekund}} temu',
	'mobile-frontend-last-modified-minutes' => 'Ostatnio zmodyfikowano {{PLURAL:$1|minutę|$1 minuty|$1 minut}} temu',
	'mobile-frontend-last-modified-hours' => 'Ostatnio zmodyfikowano {{PLURAL:$1|godzinę|$1 godziny|$1 godzin}} temu',
	'mobile-frontend-last-modified-days' => 'Ostatnio zmodyfikowano {{PLURAL:$1|dzień|$1 dni}} temu',
	'mobile-frontend-last-modified-months' => 'Ostatnio zmodyfikowano {{PLURAL:$1|miesiąc|$1 miesiące|$1 miesięcy}} temu',
	'mobile-frontend-last-modified-years' => 'Ostatnio zmodyfikowano {{PLURAL:$1|rok|$1 lata|$1 lat}} temu',
	'mobile-frontend-last-modified-just-now' => 'Ostatnio zmodyfikowano chwilę temu',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Ostatnio  {{GENDER:$1|zmodyfikowano}} {{PLURAL:$3|sekundę|$3 sekundy|$3 sekund}} temu] przez {{PLURAL:$5|[$6 {{GENDER:$1|użytkownika|użytkowniczkę}} $2]|0=anonimowego użytkownika}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Ostatnio  {{GENDER:$1|zmodyfikowano}} {{PLURAL:$3|minutę|$3 minuty|$3 minut}} temu] przez {{PLURAL:$5|[$6 {{GENDER:$1|użytkownika|użytkowniczkę}} $2]|0=anonimowego użytkownika}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Ostatnio  {{GENDER:$1|zmodyfikowano}} {{PLURAL:$3|godzinę|$3 godziny|$3 godzin}} temu] przez {{PLURAL:$5|[$6 {{GENDER:$1|użytkownika|użytkowniczkę}} $2]|0=anonimowego użytkownika}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Ostatnio  {{GENDER:$1|zmodyfikowano}} {{PLURAL:$3|dzień|$3 dni}} temu] przez {{PLURAL:$5|[$6 {{GENDER:$1|użytkownika|użytkowniczkę}} $2]|0=anonimowego użytkownika}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Ostatnio  {{GENDER:$1|zmodyfikowano}} {{PLURAL:$3|miesiąc|$3 miesiące|$3 miesięcy}} temu] przez {{PLURAL:$5|[$6 {{GENDER:$1|użytkownika|użytkowniczkę}} $2]|0=anonimowego użytkownika}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Ostatnio  {{GENDER:$1|zmodyfikowano}} {{PLURAL:$3|rok|$3 lata|$3 lat}} temu] przez {{PLURAL:$5|[$6 {{GENDER:$1|użytkownika|użytkowniczkę}} $2]|0=anonimowego użytkownika}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Ostatnio  {{GENDER:$1|zmodyfikowano}} chwilę temu] przez {{PLURAL:$4|[$5 {{GENDER:$1|użytkownika|użytkowniczkę}} $2]|0=anonimowego użytkownika}}',
	'mobile-frontend-account-create-submit' => 'Zarejestruj się',
	'mobile-frontend-password-confirm-placeholder' => 'Potwierdź hasło',
	'mobile-frontend-account-create-email-placeholder' => 'Adres e-mail (opcjonalnie)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Wprowadź kod potwierdzenia',
	'mobile-frontend-overlay-escape' => 'Wróć',
	'mobile-frontend-overlay-close' => 'Zamknij',
	'mobile-frontend-overlay-continue' => 'Kontynuuj',
	'mobile-frontend-placeholder' => 'Przeszukaj {{GRAMMAR:B.lp|{{SITENAME}}}}',
	'mobile-frontend-placeholder-beta' => 'Przeszukaj {{GRAMMAR:B.lp|{{SITENAME}}}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Przeszukaj {{GRAMMAR:B.lp|{{SITENAME}}}} (eksperymentalne)',
	'mobile-frontend-dismiss-notification' => 'odrzuć to powiadomienie',
	'mobile-frontend-clear-search' => 'Wyczyść',
	'mobile-frontend-search-content' => 'Szukaj w zawartości stron',
	'mobile-frontend-search-no-results' => 'Nie istnieje strona o takim tytule.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' aby sprawdzić czy gdzieś nie pojawia się to wyrażenie.",
	'mobile-frontend-privacy-link-text' => 'Polityka prywatności',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Treść udostępniona na licencji [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; mogą obowiązywać dodatkowe warunki.',
	'mobile-frontend-copyright' => 'Treść udostępniana na licencji $1, jeśli nie podano inaczej.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-terms-text' => 'Warunki użytkowania',
	'mobile-frontend-main-menu-button-tooltip' => 'Otwórz menu główne',
	'mobile-frontend-main-menu-page-title' => 'Nawigacja',
	'mobile-frontend-main-menu-featured' => 'Wyróżnione',
	'mobile-frontend-main-menu-nearby' => 'W pobliżu',
	'mobile-frontend-main-menu-login' => 'Zaloguj się',
	'mobile-frontend-main-menu-logout' => 'Wyloguj',
	'mobile-frontend-main-menu-watchlist' => 'Obserwowane',
	'mobile-frontend-main-menu-settings' => 'Ustawienia',
	'mobile-frontend-main-menu-upload' => 'Przesyłanie',
	'mobile-frontend-main-menu-settings-heading' => 'Ustawienia',
	'mobile-frontend-settings-site-header' => 'Języki {{GRAMMAR:D.lp|{{SITENAME}}}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} działa w $1 {{PLURAL:$1|języku|językach}}. Wszystkie dostępne wersje są wymienione poniżej.',
	'mobile-frontend-main-menu-account-create' => 'Załóż nowe konto',
	'mobile-frontend-page-menu-contents' => 'spis treści',
	'mobile-frontend-page-menu-history' => 'Historia',
	'mobile-frontend-meta-data-issues-header' => 'Problemy',
	'mobile-frontend-meta-data-issues' => 'Ta strona ma pewne problemy',
	'mobile-frontend-page-saving' => 'Zapisywanie: $1...',
	'mobile-frontend-user-cta' => 'Zaloguj się lub zarejestruj, aby zobaczyć swoje powiadomienia.',
	'mobile-frontend-user-button-tooltip' => 'Pokaż powiadomienia',
	'mobile-frontend-nearby-to-page' => 'Następujące strony przez ich położenie geograficzne są powiązane z $1',
	'mobile-frontend-nearby-title' => 'W pobliżu',
	'mobile-frontend-nearby-loading' => 'Pobieranie informacji o tym, co znajduje się w pobliżu ciebie',
	'mobile-frontend-nearby-requirements' => 'Przepraszamy! Twoja przeglądarka nie obsługuje „{{SITENAME}} - W pobliżu ciebie”.',
	'mobile-frontend-nearby-requirements-guidance' => 'Spróbuj innej przeglądarki lub włącz obsługę JavaScript, jeżeli masz teraz wyłączoną.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '„{{SITENAME}} – W pobliżu ciebie” nie potrafi ustalić gdzie jesteś… czy spróbować jeszcze raz?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Spróbuj przejść na otwartą przestrzeń z lepszym zasięgiem.',
	'mobile-frontend-nearby-permission' => '„{{SITENAME}} – W pobliżu ciebie” nie ma dostępu do twojej lokalizacji.',
	'mobile-frontend-nearby-noresults' => 'Jesteś w szczerym polu… Nic nie znaleziono w pobliżu.',
	'mobile-frontend-nearby-noresults-guidance' => 'Spróbuj utworzyć nową stronę albo uzupełnić współrzędne geograficzne na już istniejącej stronie',
	'mobile-frontend-nearby-refresh' => 'Określiliśmy dokładniej twojej położenie. Kliknij tutaj, aby odświeżyć listę stron w pobliżu',
	'mobile-frontend-nearby-error' => '„{{SITENAME}} –  pobliżu” ma pewne problemy.',
	'mobile-frontend-nearby-error-guidance' => 'Spróbuj zaktualizować swoją lokalizację.',
	'mobile-frontend-nearby-link' => 'Przeczytaj tę stronę w całości',
	'mobile-frontend-nearby-directions' => 'Przejdź tutaj',
	'mobile-frontend-donate-image-nouploads' => 'Nic nie przesłano.',
	'mobile-frontend-donate-image-login' => 'Musisz się zalogować, aby zobaczyć przesłane przez siebie pliki.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'Grafiki nie są potrzebne na tej stronie.',
	'mobile-frontend-photo-upload-anon' => 'Proszę zaloguj się najpierw, żeby dodać grafikę do tej strony.',
	'mobile-frontend-photo-upload-protected' => 'Nie masz uprawnień, żeby dodawać grafiki do tej strony.',
	'mobile-frontend-photo-upload-generic' => 'Prześlij grafikę',
	'mobile-frontend-donate-image-title' => 'Przesłane pliki',
	'mobile-frontend-donate-image-heading' => 'Niedawny wkład',
	'mobile-frontend-user-account' => 'konto użytkownika',
	'mobile-frontend-listed-image-no-description' => 'Brak opisu',
	'mobile-frontend-donate-photo-upload-success' => 'Powiodło się! Teraz twoja grafika może zostac użyta w {{GRAMMAR:MS.lp|{{SITENAME}}}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Powiodło się! Dziękujemy za twój pierwszy wkład!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Prześlij swoje grafiki. Niech dzięki twojej pomocy {{SITENAME}} nabierze życia!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Obrazy w {{GRAMMAR:MS.lp|{{SITENAME}}}} pochodzą z Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Twoje grafiki pomogą kształcić ludzi na całym świecie',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Należy wystrzegać się wszelkich materiałów znalezionych w Internecie. które są chronione prawami autorskimi, a także zdjęć plakatów, okładek książkowych itp.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Czy to jasne?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Tak!',
	'mobile-frontend-watchlist-add' => 'Dodano „$1” do twojej listy obserwowanych',
	'mobile-frontend-watchlist-removed' => 'Usunięto „$1” z twojej listy obserwowanych',
	'mobile-frontend-watchlist-view' => 'Zobacz swoją listę obserwowanych',
	'mobile-frontend-watchlist-more' => 'więcej',
	'mobile-frontend-watchlist-cta' => 'Zaloguj się lub zarejestruj aby obserwować tę stronę.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Zaloguj się',
	'mobile-frontend-watchlist-cta-button-signup' => 'Zarejestruj się',
	'mobile-frontend-watch-login' => 'Dodaj $1 do swojej listy obserwowanych.',
	'mobile-frontend-watchlist-a-z' => 'Lista',
	'mobile-frontend-watchlist-feed' => 'Zmienione',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Kliknij gwiazdkę w górnej części strony',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Teraz nie obserwujesz żadnej strony. Lista obserwowanych pomaga ci śledzić zmiany zachodzące na stronach, które cię interesują. Obserwuj strony klikając na ikonkę gwiazdki.',
	'mobile-frontend-watchlist-feed-empty' => 'Nie ma żadnych stron z niedawnymi zmianami',
	'mobile-frontend-watchlist-back-home' => 'Powrót do Głównej',
	'mobile-frontend-changeslist-ip' => 'Anonim',
	'mobile-frontend-changeslist-nocomment' => 'brak opisu edycji',
	'mobile-frontend-watchlist-filter-all' => 'Wszystko',
	'mobile-frontend-watchlist-filter-articles' => 'Strony',
	'mobile-frontend-watchlist-filter-talk' => 'Dyskusje',
	'mobile-frontend-watchlist-filter-other' => 'Pozostałe',
	'mobile-frontend-watchlist-modified' => 'Zmienione $1',
	'mobile-frontend-diffview-404-title' => 'Zła wersja',
	'mobile-frontend-diffview-title' => 'Zmiany',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|edycja|edycje|edycji}}',
	'mobile-frontend-diffview-anonymous' => 'Anonimowy użytkownik',
	'mobile-frontend-diffview-bytesadded' => '{{PLURAL:$1|Dodany $1 bajt|Dodane $1 bajty|Dodane $1 bajtów}}',
	'mobile-frontend-diffview-bytesremoved' => '{{PLURAL:$1|Usunięty $1 bajt|Usunięte $1 bajty|Usunięte $1 bajtów}}',
	'mobile-frontend-diffview-explained' => 'Następujące wiersze zostały dodane (+) i usunięte (-):',
	'mobile-frontend-thanked-notice' => '$1 {{GENDER:$2|został powiadomiony|została powiadomiona}} o twoim podziękowaniu za {{GENDER:$2|jego|jej}} edycję.',
	'mobile-frontend-photo-upload' => 'Dodaj ilustrację do tej strony',
	'mobile-frontend-photo-article-edit-comment' => 'Dodano grafikę do wykorzystania na stronie',
	'mobile-frontend-photo-upload-comment' => 'Dodano grafikę do strony',
	'mobile-frontend-photo-caption-placeholder' => 'Dodaj opis do tej grafiki (wymagane)',
	'mobile-frontend-photo-ownership' => 'Ja, $1, jestem autorem tej grafiki.',
	'mobile-frontend-photo-ownership-help' => 'Co to znaczy?',
	'mobile-frontend-photo-ownership-confirm' => 'Jasne!',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Rozpocznij przesyłanie',
	'mobile-frontend-photo-upload-error' => 'Wystąpił błąd, spróbuj jeszcze raz.',
	'mobile-frontend-photo-upload-success-article' => 'Powiodło się! Teraz twoja grafika jest umieszczona na tej stronie.',
	'mobile-frontend-photo-license' => 'Przesyłając ten plik zgadzasz się na nasze [//wikimediafoundation.org/wiki/Terms_of_Use/pl warunki użytkowania] i zgadzasz się na udostępnianie twojej grafiki na [//creativecommons.org/licenses/by-sa/3.0/ licencji CC-BY-SA 3.0].',
	'mobile-frontend-photo-submit' => 'Wyślij',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> przesłany plik|<span>$1</span> przesłane pliki|<span>$1</span> przesłanych plików}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => 'Ponad 500 przesłanych',
	'mobile-frontend-image-heading-describe' => "'''Opis''' grafiki",
	'mobile-frontend-image-uploading' => "'''Przesyłanie''' grafiki...",
	'mobile-frontend-image-cancel-confirm' => 'Anulować przesyłanie?',
	'mobile-frontend-editor-undo-unsupported' => 'Anulowanie czynności nie jest obecnie możliwe na urządzeniach mobilnych.',
	'mobile-frontend-editor-disabled' => 'Nie masz uprawnień, żeby edytować tę stronę.', # Fuzzy
	'mobile-frontend-editor-cta' => 'Musisz by zalogowany, żeby edytować strony z urządzenia mobilnego.', # Fuzzy
	'mobile-frontend-editor-edit' => 'Edytuj',
	'mobile-frontend-editor-continue' => 'Kontynuuj',
	'mobile-frontend-editor-save' => 'Zapisz',
	'mobile-frontend-editor-cancel' => 'Anuluj',
	'mobile-frontend-editor-keep-editing' => 'Wróć do edytowania',
	'mobile-frontend-editor-license' => 'Zapisując zmianę, zgadzasz się na nasze [//wikimediafoundation.org/wiki/Terms_of_Use/pl warunki użytkowania] i zgadzasz się na udostępnianie twojego tekstu na licencjach [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0] i [//pl.wikipedia.org/wiki/Wikipedia:Tekst_licencji_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'Ta sekcja jest pusta. Zostań pierwszą osobą, która ją rozwinie!',
	'mobile-frontend-editor-summary-placeholder' => 'Powiedz nam, co zmieniłeś (opcjonalne)',
	'mobile-frontend-editor-cancel-confirm' => 'Na pewno chcesz porzucić edycję?',
	'mobile-frontend-editor-wait' => 'Zapisywanie, proszę czekaj.',
	'mobile-frontend-editor-success' => 'Powiodło się! Twoja edycja została zapisana.',
	'mobile-frontend-editor-success-landmark-1' => 'Gratulacje, od teraz jesteś edytorem {{GRAMMAR:D.lp|{{SITENAME}}}}!',
	'mobile-frontend-editor-error' => 'Błąd, zmiany nie zostały zapisane.',
	'mobile-frontend-editor-error-conflict' => 'Błąd, inny użytkownik w międzyczasie edytował tę stronę.',
	'mobile-frontend-editor-error-loading' => 'Błąd, nie udało się załadować sekcji.',
	'mobile-frontend-editor-tutorial-cancel' => 'Nie, dziękuję',
	'mobile-frontend-editor-captcha-try-again' => 'Nieprawidłowy kod, spróbuj ponownie.',
	'mobile-frontend-editor-editing-page' => '<strong>Edycja</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Podgląd</strong><span> $1</span>',
	'tag-mobile_edit' => 'Z urządzenia mobilnego',
	'tag-mobile_edit-description' => 'Edycja dokonana z urządzenia mobilnego',
	'mobile-frontend-drawer-cancel' => 'Anuluj',
	'mobile-frontend-talk-explained' => 'Następujące wątki dyskusji są aktualnie aktywne',
	'mobile-frontend-talk-explained-empty' => 'Nie toczą się żadne dyskusje na temat tej strony.',
	'mobile-frontend-talk-overlay-header' => 'Dyskusja',
	'mobile-frontend-talk-back-to-page' => 'Powrót do strony $1',
	'mobile-frontend-talk-overlay-lead-header' => 'Wpis w dyskusji bez tytułu',
	'mobile-frontend-talk-add-overlay-submit' => 'Dodaj nowy wątek w dyskusji',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Temat',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Co chcesz przekazać?',
	'mobile-frontend-talk-edit-summary' => '$1: nowa sekcja',
	'mobile-frontend-talk-reply-success' => 'Twoja odpowiedź została zapisana na stronie dyskusji.',
	'mobile-frontend-talk-reply-info' => 'Zwróć uwagę, że twoja odpowiedź zostanie automatycznie podpisana twoją nazwą użytkownika.',
	'mobile-frontend-talk-reply' => 'Odpowiedz',
	'mobile-frontend-media-details' => 'Szczegóły',
	'mobile-frontend-profile-title' => 'Profil użytkownika',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Przesłał|Przesłała}} {{PLURAL:$1|wczoraj|$1 dni temu|0=dziś}}.',
	'mobile-frontend-profile-error' => 'No nie!',
	'mobile-frontend-profile-noargs' => 'Nie określono nazwy użytkownika. Proszę podać nazwę użytkownika, aby wyświetlić profil.',
	'mobile-frontend-profile-activity-heading' => 'Ostatnia aktywność',
	'beta-feature-geonotahack' => 'W pobliżu',
	'beta-feature-geonotahack-description' => 'Umożliwia wyszukanie artykułów opisujących miejsca położone niedaleko miejsca, o którym czytasz.',
);

/** Piedmontese (Piemontèis)
 * @author Borichèt
 * @author Dragonòt
 * @author පසිඳු කාවින්ද
 */
$messages['pms'] = array(
	'mobilefrontend-random-explain' => "Costa pàgina a l'ancàpit, l'anteress-lo?",
	'mobilefrontend-random-cancel' => 'Feme lese!',
	'mobilefrontend-keepgoing-ask' => "Bin fàit| A l'é bin anviarà! A veul prové a modifiché n'àutra pàgina?",
	'mobilefrontend-keepgoing-ask-first' => "Congratulassion për avèj fàit soa prima modìfica! A veul prové a modifiché n'àutra pàgina?",
	'mobilefrontend-keepgoing-explain' => "Përfet! N'àutr utent a l'ha dit che costa pàgina a l'ha damanca d'agiut. Ch'a preuva costa-sì, opura n'àutra.",
	'mobilefrontend-keepgoing-cancel' => 'Nò, mersì',
	'mobilefrontend-keepgoing-suggest' => 'É, për piasì',
	'mobilefrontend-keepgoing-suggest-again' => "Prové con n'àutra",
	'mobilefrontend-keepgoing-saved-title' => 'Modìfica argistrà!',
	'mobilefrontend-keepgoing-links-title' => 'Gionté dle liure',
	'mobilefrontend-keepgoing-links-ask-first' => 'Compliment për avèj fàit soa prima modìfica! A veul giuté a gionté dle liure a na pàgina creà ëd recent?',
	'mobilefrontend-keepgoing-links-ask-again' => "Deje ardriss a n'àutra pàgina?",
	'mobilefrontend-keepgoing-links-explain' => "Ch'a treuva d'àutre paròle ch'a podrìo esse dle liure. Ch'a gionta dle parèntes quadre dobie dantorn a la paròla.",
	'mobilefrontend-keepgoing-links-example' => 'për esempi, $1ghitara$2 a dventa $3ghitara$4',
	'nearby' => 'Pàgine davzin-e a chiel',
	'mobile-frontend-desc' => 'Visualisassion an sël sacociàbil',
	'mobile-frontend-search-submit' => 'Va',
	'mobile-frontend-home-button' => 'Pàgina Prinsipal',
	'mobile-frontend-logged-out' => 'Nen rintrà ant ël sistema',
	'mobile-frontend-logged-in-homepage-notification' => 'Bin ëvnù, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Intrà ant ël sistema com $1.',
	'mobile-frontend-generic-404-title' => 'Eror - Pàgina nen trovà',
	'mobile-frontend-generic-404-desc' => "La pàgina ch'a sërca a l'é pa podù trovesse.",
	'mobile-frontend-sign-up-heading' => "Ch'as anscriva",
	'mobile-frontend-sign-in-heading' => 'Rintré ant ël sistema',
	'mobile-frontend-sign-in-why' => "S'a l'ha un cont su {{SITENAME}}, a peul intré ant ël sistema sì-sota.",
	'mobile-frontend-sign-in-error-heading' => 'Contacc',
	'mobile-frontend-settings-description' => "Ch'a përsonalisa soa esperiensa dzora a sò utiss sacociàbil con coste regolassion spessìfiche dël sit pr'ij sacociàbij.",
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Manera sperimental',
	'mobile-frontend-settings-alpha-description' => "Ch'a intra ant un teritòri mòbil pericolos e nen esplorà. Ch'a oten-a ëdcò dle funsion pi sperimentaj ma con pi 'd pericol ëd bigat.",
	'mobile-frontend-save-settings' => 'Argistré',
	'mobile-frontend-save-error' => "Eror s'argistrassion dij paràmeter. Për piasì, ch'a verìfica ch'a l'ha ij bëscotin abilità.",
	'mobile-frontend-random-button' => 'A cas',
	'mobile-frontend-back-to-top-of-section' => 'Sàuta andré ëd na Session',
	'mobile-frontend-regular-site' => 'Visualisassion da ordinator',
	'mobile-frontend-wml-continue' => 'Andé anans ...',
	'mobile-frontend-wml-back' => 'André ...',
	'mobile-frontend-view' => 'Visualisassion an sël sacociàbil',
	'mobile-frontend-view-desktop' => 'Tàula',
	'mobile-frontend-view-mobile' => 'Sacociàbil',
	'mobile-frontend-cookies-required' => "A-i é damanca dij bëscotin për passé da na manera ëd visualisassion a n'àutra. Për piasì, ch'a j'abìlita e ch'a prevua torna.",
	'mobile-frontend-opt-in-explain' => "Partissipand a le preuve beta, a l'avrà drit a le funsion sperimentaj, con l'arzigh d'ancontré eror e problema.",
	'mobile-frontend-images-status' => 'Figure',
	'mobile-frontend-disable-images' => "Disabilité le figure an sël sit pr'ij sacociàbij",
	'mobile-frontend-enable-images' => "Abilité le figure an sël sit pr'ij sacociàbij",
	'mobile-frontend-expand-sections-status' => 'Spantié tute le session',
	'mobile-frontend-expand-sections-description' => 'Spantié sempe tute le session an navigand vers na neuva pàgina.',
	'mobile-frontend-missing-image' => 'Figura',
	'mobile-frontend-off' => 'Dëstiss',
	'mobile-frontend-on' => 'Anvisch',
	'mobile-frontend-featured-article' => 'Contnù arcomandà dël dì',
	'mobile-frontend-news-items' => 'Ant le Neuve',
	'mobile-frontend-languages-404-title' => 'Eror ant le lenghe',
	'mobile-frontend-languages-404-desc' => 'A venta spessifiché un tìtol bon.',
	'mobile-frontend-languages-header' => 'Lenghe',
	'mobile-frontend-languages-nonexistent-title' => 'La pàgina «$1» a esist pa.',
	'mobile-frontend-languages-text' => "$1 a l'é disponìbil an $2 {{PLURAL:$2|lenga|lenghe}}.",
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}} variant',
	'mobile-frontend-language-heading' => '<strong>Lenghe</strong>',
	'mobile-frontend-language-article-heading' => "Les an n'àutra lenga",
	'mobile-frontend-language-header' => "Costa pàgina a l'é disponìbil an $1 {{PLURAL:$1|lenga|lenghe}}",
	'mobile-frontend-language-variant-header' => "Ch'a serna la variant {{#language:{{CONTENTLANG}}}}",
	'mobile-frontend-language-site-choose' => 'Sërché la lenga',
	'mobile-frontend-username' => 'Stranòm:',
	'mobile-frontend-password' => 'Ciav:',
	'mobile-frontend-username-placeholder' => 'Stranòm',
	'mobile-frontend-password-placeholder' => 'Ciav',
	'mobile-frontend-login' => 'Intra',
	'mobile-frontend-history' => 'Smon-e la stòria dle modìfiche ëd costa pàgina.',
	'mobile-frontend-history-404-title' => 'Gnun-a pàgina parèj',
	'mobile-frontend-history-404-desc' => "Impossìbil lese la stòria ëd na pàgina ch'a esist nen. A peul esse stàita scancelà o a podrìa essje andàit dapress a na liura cioca.",
	'mobile-frontend-history-no-results' => 'Gnun-a stòria a rëspond al filtr fornì.',
	'mobile-frontend-contribution-summary' => 'Tute le modìfiche fàite da {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Stòria ëd la pàgina [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Ùltima modìfica ai $1, a $2',
	'mobile-frontend-last-modified-seconds' => 'Ùltima modìfica {{PLURAL:$1|$1 second}} fà',
	'mobile-frontend-last-modified-minutes' => 'Ùltima modìfica {{PLURAL:$1|$1 minuta|$1 minute}} fà',
	'mobile-frontend-last-modified-hours' => 'Ùltima modìfica {{PLURAL:$1|$1 ora|$1 ore}} fà',
	'mobile-frontend-last-modified-days' => 'Ùltima modìfica {{PLURAL:$1|$1 di}} fà',
	'mobile-frontend-last-modified-months' => 'Ùltima modìfica {{PLURAL:$1|$1 mèis}} fà',
	'mobile-frontend-last-modified-years' => 'Ùltima modìfica {{PLURAL:$1|$1 ann|$1 agn}} fà',
	'mobile-frontend-last-modified-just-now' => "Pen-a modificà l'ùltima vira",
	'mobile-frontend-last-modified-with-user-seconds' => "[$4 {{GENDER:$1|modificà}} l'ùltima vira {{PLURAL:$3|$3 second}} fa] da {{PLURAL:$5|[$6 $2]|0=n'utent anònim}}",
	'mobile-frontend-last-modified-with-user-minutes' => "[$4 {{GENDER:$1|modificà}} l'ùltima vira {{PLURAL:$3|$3 minuta|$3 minute}} fa] da {{PLURAL:$5|[$6 $2]|0=n'utent anònim}}.",
	'mobile-frontend-last-modified-with-user-hours' => "[$4 {{GENDER:$1|modificà}} l'ùltima vira {{PLURAL:$3|$3 ora|$3 ore}} fa] da {{PLURAL:$5|[$6 $2]|0=n'utent anònim}}",
	'mobile-frontend-last-modified-with-user-days' => "[$4 {{GENDER:$1|modificà}} l'ùltima vira {{PLURAL:$3|$3 di}} fa] da {{PLURAL:$5|[$6 $2]|0=n'utent anònim}}",
	'mobile-frontend-last-modified-with-user-months' => "[$4 {{GENDER:$1|modificà}} l'ùltima vira {{PLURAL:$3|$3 mèis}} fa] da {{PLURAL:$5|[$6 $2]|0=n'utent anònim}}",
	'mobile-frontend-last-modified-with-user-years' => "[$4 {{GENDER:$1|modificà}} l'ùltima vira {{PLURAL:$3|$3 ann|$3agn}} fa] da {{PLURAL:$5|[$6 $2]|0=n'utent anònim}}",
	'mobile-frontend-last-modified-with-user-just-now' => "[$3 {{GENDER:$1|modificà}} l'ùltima vira] pen-a adess da {{PLURAL:$4|[$5 $2]|0=n'utent anònim}}.",
	'mobile-frontend-view-source' => 'Vëdde la sorgiss',
	'mobile-frontend-account-create-submit' => "Ch'as anscriva",
	'mobile-frontend-password-confirm-placeholder' => "Ch'a confirma la ciav",
	'mobile-frontend-account-create-email-placeholder' => 'Adrëssa ëd pòsta eletrònica (opsional)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Anserì ël còdes ëd conferma',
	'mobile-frontend-overlay-escape' => 'Torna andré',
	'mobile-frontend-overlay-close' => 'Saré',
	'mobile-frontend-overlay-continue' => 'Continué',
	'mobile-frontend-placeholder' => 'Sërca an {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Serca {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Arserché su {{SITENAME}} (Sperimental)',
	'mobile-frontend-dismiss-notification' => 'arfuda sta notìfica',
	'mobile-frontend-clear-search' => 'Scancela',
	'mobile-frontend-search-content' => 'Arserché ant le pàgine',
	'mobile-frontend-search-no-results' => 'Gnun-a pàgina con ës tìtol.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' për vëdde se costa fras a compariss da chèich part.",
	'mobile-frontend-privacy-link-text' => 'Confidensialità',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => "Ël test a l'é disponìbil sota [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; d'àutre condission a podrìo aplichesse.",
	'mobile-frontend-copyright' => "Ël contnù a resta disponìbil sota $1 gavà ch'a sia marcà an n'àutra manera.",
	'mobile-frontend-footer-contact' => 'Contat',
	'mobile-frontend-terms-text' => "Condission d'usagi",
	'mobile-frontend-main-menu-button-tooltip' => 'Duverté lë mnù prinsipal',
	'mobile-frontend-main-menu-page-title' => 'Navigassion dël sit',
	'mobile-frontend-main-menu-featured' => 'Premià',
	'mobile-frontend-main-menu-nearby' => 'Vzin',
	'mobile-frontend-main-menu-login' => 'Intra',
	'mobile-frontend-main-menu-logout' => 'Seurte dal sistema',
	'mobile-frontend-main-menu-watchlist' => 'Ròba che as ten sot euj',
	'mobile-frontend-main-menu-settings' => 'Regolassion',
	'mobile-frontend-main-menu-upload' => 'Carie',
	'mobile-frontend-main-menu-settings-heading' => 'Paràmeter',
	'mobile-frontend-settings-site-header' => 'Lenghe ëd {{SITENAME}}',
	'mobile-frontend-settings-site-description' => "{{SITENAME}} a l'é disponìbil an $1 {{PLURAL:$1|lenga|lenghe}}. Tute le version disponìbij a son listà sì-sota",
	'mobile-frontend-main-menu-account-create' => 'Creé un cont',
	'mobile-frontend-page-menu-contents' => 'contnù',
	'mobile-frontend-page-menu-history' => 'Stòria',
	'mobile-frontend-meta-data-issues-header' => 'Problema',
	'mobile-frontend-meta-data-issues' => "Costa pàgina a l'ha chèich problema",
	'mobile-frontend-page-saving' => 'Salvé $1',
	'mobile-frontend-user-cta' => "Për piasì, ch'a rintra ant ël sistema o ch'as argistra për podèj vëdde soe notìfiche.",
	'mobile-frontend-user-button-tooltip' => 'Smon-e mie notìfiche',
	'mobile-frontend-nearby-to-page' => 'Le pàgine sì-dapress a-i intro con $1 për soa posission geogràfica',
	'mobile-frontend-nearby-title' => 'Vzin',
	'mobile-frontend-nearby-loading' => 'Cariament dij soget davzin a soa posission atual',
	'mobile-frontend-nearby-requirements' => "An dëspias! So navigador ëd l'Aragnà a arconòss nen {{SITENAME}} lì-davzin.",
	'mobile-frontend-nearby-requirements-guidance' => "Ch'a preuva n'àutr navigador o ch'a abìlita JavaScript s'a l'ha disativalo.",
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => "{{SITENAME}} lì-davzin a peul pa savèj andoa a l'é chiel... Prové torna?",
	'mobile-frontend-nearby-lookup-ui-error-guidance' => "Ch'a preuva në spassi al duvert con un mej signal.",
	'mobile-frontend-nearby-permission' => "{{SITENAME}} davzin a l'ha nen ël përmess d'acede a soa posission.",
	'mobile-frontend-nearby-permission-guidance' => "Për piasì, ch'as sigura d'avèj dàit ël përmess dë smon-e anté ch'a l'é. Peul desse a dev controlé ij paràmeter ëd localisassion ëd sò navigador.",
	'mobile-frontend-nearby-noresults' => "A l'é calm ambelessì... A son ëstàite trovà gnun-e pàgine ant j'anviron.",
	'mobile-frontend-nearby-noresults-guidance' => "Ch'a preuva a creé na pàgina neuva o ëd gionté na posission a un-a ch'a esist già",
	'mobile-frontend-nearby-refresh' => "I l'oma localisalo con pi precision. Ch'a sgnaca ambelessì për agiorné la liste dle pàgine dj'anviron.",
	'mobile-frontend-nearby-error' => "{{SITENAME}} dj'anviron a l'ha chèich problema.",
	'mobile-frontend-nearby-error-guidance' => "Ch'a preuva a agiorné soa posission.",
	'mobile-frontend-nearby-link' => 'Lese tuta costa pàgina',
	'mobile-frontend-nearby-directions' => 'Navighé sì',
	'mobile-frontend-donate-image-nouploads' => 'Gnun cariament.',
	'mobile-frontend-donate-image-login' => "J'archivi multimediaj su {{SITENAME}} a son donà da 'd gent coma chiel.",
	'mobile-frontend-donate-image-login-action' => "Ch'a rintra ant ël sistema për partagé ij sò archivi multimediaj.",
	'mobile-frontend-donate-image-signup-action' => "Ch'a rintra ant ël sistema për partagé ij sò archivi multimediaj con ël mond.",
	'mobile-frontend-photo-upload-disabled' => 'A-i é damanca ëd gnun-a plancia su costa pàgina.',
	'mobile-frontend-photo-upload-anon' => "Për piasì, ch'a rintra ant ël sistema për gionté na plancia a costa pàgina.",
	'mobile-frontend-photo-upload-protected' => "A l'ha pa ël drit ëd gionté na plancia a costa pàgina.",
	'mobile-frontend-photo-upload-unavailable' => 'Sò navigador a përmet nen ël cariagi ëd plance.',
	'mobile-frontend-photo-upload-generic' => 'Contribuì con na figura',
	'mobile-frontend-donate-image-title' => 'Cariament',
	'mobile-frontend-donate-image-heading' => 'Toe contribussion recente',
	'mobile-frontend-donate-image-anon' => "A-i é damanca d'un $1 për vëdde le pàgine carià.",
	'mobile-frontend-user-account' => 'cont utent',
	'mobile-frontend-listed-image-no-description' => 'Gnun-a descrission',
	'mobile-frontend-donate-photo-upload-success' => 'Brav! Adess soa plancia a peul esse dovrà su {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Brav! Mersì për soa prima contribussion!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => "Ch'a contribuissa con soe plance. Ch'a giuta {{SITENAME}} a pijé vita!",
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Le plance su {{SITENAME}} a ven-o da Wikimedia Comun',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Soe plance a giuto a eduché la gent daspërtut ant ël mond',
	'mobile-frontend-first-upload-wizard-new-page-2' => "Evité ij materiaj coatà da drit d'autor ch'a treuva an sl'Aragnà parèj coma le plance ëd tilèt, le cuvertin-e dij lìber e via fòrt.",
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'A va bin?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Bò!',
	'mobile-frontend-watchlist-add' => "Giontà $1 a la lista ëd lòn ch'as ten sot-euj",
	'mobile-frontend-watchlist-removed' => "Gavà $1 da la lista ëd lòn ch'as ten sot-euj",
	'mobile-frontend-watchlist-view' => "Vëdde la lista ëd lòn ch'as ten sot-euj",
	'mobile-frontend-watchlist-more' => 'ëd pi',
	'mobile-frontend-watchlist-cta' => 'Ten-e sot-euj sta pàgina e tute soe modìfiche.',
	'mobile-frontend-watchlist-cta-button-login' => 'Intré ant ël sistema',
	'mobile-frontend-watchlist-cta-button-signup' => "Ch'as anscriva",
	'mobile-frontend-watchlist-purpose' => "Na lista ëd lòn ch'as ten sot-euj a lo giuta a marché le pàgine e a avèj sot-euj le modìfiche ch'a-j son fàite.",
	'mobile-frontend-watchlist-login-action' => "Ch'a rintra ant ël sistema për vëdd-lo.",
	'mobile-frontend-watchlist-signup-action' => "Ch'a rintra ant ël sistema për ancaminene un-a adess.",
	'mobile-frontend-generic-login' => "{{SITENAME}} a l'é fàit da 'd gent coma chiel.",
	'mobile-frontend-generic-login-action' => "Ch'a rintra ant ël sistema për contribuì.",
	'mobile-frontend-generic-signup-action' => "Ch'a anscriva për contribuì.",
	'mobile-frontend-watch-login' => "Gionté $1 a la lista ëd lòn ch'as ten sot-euj.",
	'mobile-frontend-edit-login' => 'Giuté a amelioré la pàgina $1.',
	'mobile-frontend-edit-login-action' => "Ch'a rintra ant ël sistema për fé dle modifiche.",
	'mobile-frontend-edit-signup-action' => "Ch'a anscriva për fé dle modìfiche.",
	'mobile-frontend-watchlist-a-z' => 'Lista',
	'mobile-frontend-watchlist-feed' => 'Modificà',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => "Ch'a sgnaca an sla stèila an cò dla pàgina",
	'mobile-frontend-watchlist-a-z-empty-howto' => "Al moment chiel a ten sot-euj gnun-e pàgine. La lista dle ròbe ch'as ten sot-euj a lo giuta a ten-e da ment le pàgine ch'a-j anteresso. Ch'a ten-a sot-euj le pàgine an sgnacand an sla plancia stèila.",
	'mobile-frontend-watchlist-feed-empty' => "A-i son pa ëd pàgine con j'ùltime modìfiche",
	'mobile-frontend-watchlist-back-home' => "Artorn a l'intrada",
	'mobile-frontend-changeslist-ip' => 'Utent anònim',
	'mobile-frontend-changeslist-nocomment' => 'gnun resumé ëd modìfica',
	'mobile-frontend-watchlist-filter-all' => 'Tùit',
	'mobile-frontend-watchlist-filter-articles' => 'Pàgine',
	'mobile-frontend-watchlist-filter-talk' => 'Ciaciarade',
	'mobile-frontend-watchlist-filter-other' => 'Àutr',
	'mobile-frontend-watchlist-modified' => 'Modificà $1',
	'mobile-frontend-diffview-404-title' => 'Revision pa bon-a',
	'mobile-frontend-diffview-404-desc' => "L'id për la revision ch'it l'has ciamà a esist pa",
	'mobile-frontend-diffview-title' => 'Modìfiche',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|modìfica|modìfiche}}',
	'mobile-frontend-diffview-anonymous' => 'Utent anònim',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte|bytes}} giontà',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte|bytes}} gavà',
	'mobile-frontend-diffview-explained' => 'Le linie sì-dapress a son stàite giontà (+) e gavà (-):',
	'mobile-frontend-thanked-notice' => "$1 a l'é stàit avisà che a chiel a l'é piasuje {{GENDER:$2|soa|soa|soa}} modìfica.",
	'mobile-frontend-saving-exit-page' => "Soa contribussion a l'é anco' da salvé. S'a chita, soe contribussion a sarà përdùe. É-lo sigur ëd vorèj seurte?",
	'mobile-frontend-photo-upload' => 'Gionté na plancia a costa pàgina',
	'mobile-frontend-photo-article-edit-comment' => 'Plancia giontà për esse dovrà an sla pàgina',
	'mobile-frontend-photo-article-donate-comment' => 'Contribussion ëd plancia a parte da Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Plancia giontà a la pàgina',
	'mobile-frontend-photo-caption-placeholder' => 'Descrive costa plancia (obligatòri)',
	'mobile-frontend-photo-ownership' => "Mi, $1, i l'hai creà sa plancia.",
	'mobile-frontend-photo-ownership-help' => "Lòn ch'a veul dì sòn?",
	'mobile-frontend-photo-ownership-confirm' => 'A va bin!',
	'mobile-frontend-lead-image-tutorial-summary' => "Ch'as sigura che soa plancia a peul giuté a ilustré sa pàgina. A dev esse na plancia ch'a l'ha creà chiel e ch'a viòla gnun drit d'autor.",
	'mobile-frontend-lead-image-tutorial-confirm' => 'Anandiesse a carié',
	'mobile-frontend-photo-upload-error' => "A l'é capitaje n'eror, ch'a preuva torna.",
	'mobile-frontend-photo-upload-error-file-type' => 'Për piasì, carié mach dle plance.',
	'mobile-frontend-photo-upload-error-filename' => "Eror, për piasì ch'a smon-a un resumé pi descritiv.",
	'mobile-frontend-photo-upload-success-article' => "Bin fàit! Soa plancia a l'é adess an linia su costa pàgina.",
	'mobile-frontend-photo-license' => "An cariand costa plancia, chiel a aceta nòstre [//wikimediafoundation.org/wiki/Terms_of_use condission d'utilisassion] e a l'é d'acòrd a buté a disposission soa plancia sota la [//creativecommons.org/licenses/by-sa/3.0/ licensa Creative Commons Atribussion partage ugual 3.0].",
	'mobile-frontend-photo-submit' => 'Mandé',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> cariament}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ cariament',
	'mobile-frontend-image-heading-describe' => "'''Descrive''' la plancia",
	'mobile-frontend-image-uploading' => "'''Cariagi''' dla plancia...",
	'mobile-frontend-image-cancel-confirm' => 'Anulé ël cariagi?',
	'mobile-frontend-editor-redirect-title' => "Ridiression a l'editor...",
	'mobile-frontend-editor-unavailable-header' => 'Editor nen disponìbil',
	'mobile-frontend-editor-unavailable' => "La modìfica con un sacociàbil al moment a l'é nen disponìbil su sò navigador. Për piasì, ch'a preuva un navigador diferent.",
	'mobile-frontend-editor-undo-unsupported' => "Al moment l'anulament a l'é nen mantnù an sij terminaj sacociàbij.",
	'mobile-frontend-editor-newpage-prompt' => 'Costa pàgina a esist nen. Përchè nen campesse e creela?',
	'mobile-frontend-editor-disabled' => "Costa pàgina a l'é proteta për evité dij vandalism.",
	'mobile-frontend-editor-blocked' => "Sò cont a l'é blocà an modìfica.",
	'mobile-frontend-editor-cta' => "Ch'a giuta a amelioré costa pàgina!",
	'mobile-frontend-editor-edit' => 'Modifiché',
	'mobile-frontend-editor-continue' => 'Continué',
	'mobile-frontend-editor-save' => 'Salvé',
	'mobile-frontend-editor-cancel' => 'Anulé',
	'mobile-frontend-editor-keep-editing' => 'Continué a modifiché',
	'mobile-frontend-editor-license' => "An argistrand soe modìfiche, chiel a aceta nòstre [//wikimediafoundation.org/wiki/Terms_of_use condission d'utilisassion] e a l'é d'acòrd a buté sò test sota la [//creativecommons.org/licenses/by-sa/3.0/ licensa CC BY-SA 3.0] e la [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].",
	'mobile-frontend-editor-placeholder' => "Costa session a l'é veuida. Ch'a la spantia për prim!",
	'mobile-frontend-editor-summary-placeholder' => "Dine lòn ch'a l'ha modificà (facoltativ)",
	'mobile-frontend-editor-cancel-confirm' => 'Veul-lo për da bon lassé perde soa modìfica?',
	'mobile-frontend-editor-wait' => 'Argistrassion ëd la modìfica, avèj passiensa.',
	'mobile-frontend-editor-success' => "Sì! Soa modìfica a l'é stàita salvà.",
	'mobile-frontend-editor-success-landmark-1' => "Congratulassion, adess chiel a l'é n'editor ëd {{SITENAME}}!",
	'mobile-frontend-editor-error' => "Eror, la modìfica a l'é nen ëstàita salvà.",
	'mobile-frontend-editor-error-conflict' => "Eror, n'àutr utent a l'ha modificà costa pàgina.",
	'mobile-frontend-editor-error-loading' => "Eror, la session a l'ha nen podù esse carià.",
	'mobile-frontend-editor-error-preview' => "Eror, a l'é rivaje cheicòs ëd nen ëspetà an cariand la preuva.
Për piasì, ch'a sara e ch'a preuva torna.",
	'mobile-frontend-editor-tutorial-summary' => "Ch'a l'abia nen peur dë scrive. Ch'a serca d'amelioré la pàgina $1.",
	'mobile-frontend-editor-tutorial-alt-summary' => "Përchè nen amelioré $1? Ch'a l'abia nen peur d'ës pass!",
	'mobile-frontend-editor-tutorial-confirm' => 'Ancaminé a modifiché',
	'mobile-frontend-editor-tutorial-cancel' => 'Nò, mersì',
	'mobile-frontend-editor-captcha-try-again' => "Còdes gram, ch'a preuva torna.",
	'mobile-frontend-editor-abusefilter-warning' => "Atension: É-lo sigur ch'a veul argistré costa modìfica? A podrìa avèj dij problema.",
	'mobile-frontend-editor-abusefilter-disallow' => "Costa modìfica a l'ha pa podù esse salvà përchè i l'oma trovà un problema.",
	'mobile-frontend-editor-abusefilter-read-more' => 'Savèjne ëd pi',
	'mobile-frontend-editor-editing-page' => '<strong>Modìfica</strong> ëd <span>$1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Preuva ëd</strong> <span>$1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Visualisassion dla sorgiss ëd</strong><span>$1</span>',
	'tag-mobile_edit' => 'Modìfica për sacociàbil',
	'tag-mobile_edit-description' => 'Modìfica fàita da un sit për sacociàbil',
	'mobile-frontend-drawer-cancel' => 'Scancela',
	'mobile-frontend-talk-explained' => 'Le conversassion sì-dapress a son ative an cost moment',
	'mobile-frontend-talk-explained-empty' => 'A-i é gnun-e conversassion su costa pàgina.',
	'mobile-frontend-talk-overlay-header' => 'Discussion',
	'mobile-frontend-talk-back-to-page' => 'Torné a la pàgina «$1».',
	'mobile-frontend-talk-overlay-lead-header' => 'Discussion sensa nòm',
	'mobile-frontend-talk-add-overlay-submit' => 'Gionté na discussion',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => "Oget dl'argoment",
	'mobile-frontend-talk-add-overlay-content-placeholder' => "Lòn ch'a l'ha an ment?",
	'mobile-frontend-talk-edit-summary' => 'Neuva session ëd discussion: $1',
	'mobile-frontend-talk-reply-success' => "Soa rispòsta a l'é stàita argistrà për da bin an sla pàgina ëd discussion.",
	'mobile-frontend-talk-reply-info' => "Ch'a ten-a da ment che soa rispòsta a sarà sot-signà an automàtich con sò stranòm.",
	'mobile-frontend-talk-reply' => 'Rësponde',
	'mobile-frontend-talk-topic-feedback' => 'Neuv argoment giontà a la pàgina ëd discussion!',
	'mobile-frontend-media-details' => 'Detaj',
	'mobile-frontend-media-license-link' => 'Anformassion an sla licensa',
	'abusefilter-edit-builder-vars-user-mobile' => "Se n'utent a l'é an camin ch'a modìfica për mojen dl'antërfassa dël sacociàbil o nò",
	'mobile-frontend-profile-title' => 'Profil utent',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Carià}} {{PLURAL:$1|jer|$1 di fa|0=ancheuj}}.',
	'mobile-frontend-profile-usertalk' => 'Parlé a {{GENDER:$1|$1}}',
	'mobile-frontend-profile-error' => 'Contacc!',
	'mobile-frontend-profile-noargs' => "Gnun ëstranòm a l'é stàit butà. Për piasì, ch'a fornissa në stranòm për vëdde un profil.",
	'mobile-frontend-profile-nouser' => "A -i é gnun utent con ës nòm. Jë stranòm a devo rëspeté le majùscole, antlora për piasì ch'a contròla s'a l'ha scrivulo për da bin.",
	'mobile-frontend-profile-activity-heading' => 'Atività recenta',
	'mobile-frontend-profile-userpage-link' => "Visité la pàgina dl'utent.",
	'mobile-frontend-requires-optin' => "Costa pàgina-sì a l'é nen disponìbil gavà s'a l'ha sernù nòstra manera beta. Ch'a vada an sla [[Special:MobileOptions|pàgina dij sò gust]] për sern-la.",
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Ringrassià}} {{GENDER:$1|da}} [[Special:UserProfile/$1|$1]].',
	'mobile-frontend-profile-last-edit' => "{{GENDER:$3|A l'ha modificà}} la pàgina [[:$1]], {{PLURAL:$2|jer|$2 di fa|0=ancheuj prima}}.",
	'mobile-frontend-profile-footer-days' => 'Iscrit {{PLURAL:$2|1 di|$2$ di}} fa con [[Special:Contributions/$1|{{PLURAL:$3|1 modìfica|$3 modìfiche}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 cariagi|$4 cariagi}}]].',
	'mobile-frontend-profile-footer-months' => 'Iscrit da pi che {{PLURAL:$2|1 mèis|$2 mèis}} con [[Special:Contributions/$1|{{PLURAL:$3|1 modìfica|$3 modìfiche}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 cariagi|$4 cariagi}}]].',
	'mobile-frontend-profile-footer-years' => 'Iscrit da pi che {{PLURAL:$2|1 ann|$2 agn}} con [[Special:Contributions/$1|{{PLURAL:$3|1 modìfica|$3 modìfiche}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 cariagi|$4 cariagi}}]].',
	'mobile-frontend-geonotahack' => 'Davzin a costa pàgina',
	'beta-feature-geonotahack' => 'Davzin a costa pàgina',
	'beta-feature-geonotahack-description' => "Dëscheurve dle pàgine che a son davzin-a da na mira geogràfica a la pàgina ëd contnù che a l'é an camin a lese.",
	'mobile-frontend-mainpage-cta-prompt' => "Costa pàgina a l'ha damanca ëd sò agiut!",
	'mobile-frontend-mainpage-cta-button' => 'Amelioré costa pàgina',
	'beta-feature-minerva' => "Abilité la pel për sacociàbil (Minerva) an sl'ordinator da taulin",
	'beta-feature-minerva-description' => "Rende la pel dovrà an sij dispositiv sacociàbij na pel selessionàbil për l'ordinator da taulin sota la schema dij gust d'aparensa.",
);

/** Western Punjabi (پنجابی)
 * @author Khalid Mahmood
 */
$messages['pnb'] = array(
	'mobile-frontend-desc' => 'ہلن والا وکھالہ',
	'mobile-frontend-search-submit' => 'چلو',
	'mobile-frontend-home-button' => 'کعر',
	'mobile-frontend-random-button' => 'الٹے پلٹے',
	'mobile-frontend-back-to-top-of-section' => 'اک سیکشن پچھے چلو',
	'mobile-frontend-regular-site' => 'ایس صفے نوں ریگولر {{ساغیٹناں}} تے ویکھو', # Fuzzy
	'mobile-frontend-wml-continue' => 'جاری رکھو',
	'mobile-frontend-wml-back' => 'پچھے نوں۔۔۔۔۔۔۔۔۔۔۔',
	'mobile-frontend-view' => 'ٹردی مورت',
	'mobile-frontend-opt-in-explain' => 'بیٹا پسند کرن نال تسیں اج کم ہوندیاں تھانواں تے آؤگے جتھے مسلے تے بگز ہوسکدے نیں۔',
	'mobile-frontend-disable-images' => 'موبائل آلی ویب سائٹ تے فوٹواں بند کرو',
	'mobile-frontend-enable-images' => 'موبائل آلی ویب سائٹ تے فوٹواں آن کرو',
	'mobile-frontend-featured-article' => 'اج دا چونواں آرٹیکل', # Fuzzy
	'mobile-frontend-news-items' => 'دساں چ',
	'mobile-frontend-username' => 'ورتن والہ:',
	'mobile-frontend-password' => 'کنجی:',
	'mobile-frontend-login' => 'لاگ ان ہو جاو',
);

/** Pashto (پښتو)
 * @author Ahmed-Najib-Biabani-Ibrahimkhel
 */
$messages['ps'] = array(
	'mobilefrontend-keepgoing-links-title' => 'تړنې ورگډول',
	'mobile-frontend-search-submit' => 'ورځه',
	'mobile-frontend-home-button' => 'کور',
	'mobile-frontend-settings-beta' => 'بيټا',
	'mobile-frontend-save-settings' => 'خوندي کول',
	'mobile-frontend-random-button' => 'بېلابېل',
	'mobile-frontend-back-to-top-of-section' => 'د يوې برخې نه پرشا ټوپ وهل',
	'mobile-frontend-regular-site' => 'کمپيوټر بڼه',
	'mobile-frontend-wml-continue' => 'ادامه...',
	'mobile-frontend-wml-back' => 'پر شا کېدل...',
	'mobile-frontend-view' => 'د موبايل په بڼې کتل',
	'mobile-frontend-view-mobile' => 'موبايل',
	'mobile-frontend-images-status' => 'انځورونه',
	'mobile-frontend-disable-images' => 'په موبايل وېبځي انځورونه ناچارنول',
	'mobile-frontend-enable-images' => 'په موبايل وېبځي انځورونه چارنول',
	'mobile-frontend-featured-article' => 'د نن ورځې غوره ليکنه', # Fuzzy
	'mobile-frontend-news-items' => 'په خبرونو کې',
	'mobile-frontend-language-site-choose' => 'ژبه پلټل',
	'mobile-frontend-username' => 'کارن-نوم:',
	'mobile-frontend-password' => 'پټنوم:',
	'mobile-frontend-login' => 'ننوتل',
	'mobile-frontend-overlay-close' => 'تړل',
	'mobile-frontend-placeholder' => '{{SITENAME}} پلټل',
	'mobile-frontend-clear-search' => 'سپينول',
	'mobile-frontend-privacy-link-text' => 'پټنتيا',
	'mobile-frontend-copyright' => "دا متن د<a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; له مخې دلته پروت دی، خو تر دې نور شرايط هم کېدای شي چې د دې متن په کارولو کې پلي وي. د نورو مالوماتو لپاره <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>د کارولو شرايط وگورۍ</a> . ويکيپېډيا د <a href='http://www.wikimediafoundation.org/'>ويکيمېډيا د بنسټ د بې گټې سازمان.</a> يوه سوداگريزه نښه ده.", # Fuzzy
	'mobile-frontend-footer-contact' => 'اړيکه',
	'mobile-frontend-main-menu-settings' => 'امستنې',
	'mobile-frontend-page-menu-contents' => 'منځپانگه',
	'mobile-frontend-page-menu-history' => 'پېښليک',
	'mobile-frontend-edit-login-action' => 'د سمولو لپاره غونډال ته ورننوځۍ.',
	'mobile-frontend-editor-success' => 'بريال! سمون مو خوندي شو.',
);

/** Portuguese (português)
 * @author Cainamarques
 * @author Giro720
 * @author Hamilton Abreu
 * @author HenriqueCrang
 * @author João Sousa
 * @author Luckas
 * @author Malafaya
 * @author MetalBrasil
 * @author Opraco
 * @author Polyethylen
 * @author SandroHc
 * @author Vitorvicentevalente
 */
$messages['pt'] = array(
	'mobilefrontend-random-explain' => 'Esta página aleatória interessa-lhe?',
	'mobilefrontend-random-cancel' => 'Deixe-me ler!',
	'mobilefrontend-keepgoing-ask' => 'Muito bem! Está a apanhar-lhe o jeito! Deseja tentar editar outra página?',
	'mobilefrontend-keepgoing-ask-first' => 'Parabéns pela sua primeira edição! Deseja tentar editar outra página?',
	'mobilefrontend-keepgoing-explain' => 'Formidável! Outro utilizador afirma que esta página precisa de ajuda. Tente esta, ou outra qualquer.',
	'mobilefrontend-keepgoing-cancel' => 'Não, obrigado',
	'mobilefrontend-keepgoing-suggest' => 'Sim, por favor',
	'mobilefrontend-keepgoing-suggest-again' => 'Tentar outra',
	'mobilefrontend-keepgoing-saved-title' => 'Edição guardada!',
	'mobilefrontend-keepgoing-links-title' => 'Adicionar ligações',
	'mobilefrontend-keepgoing-links-ask-first' => 'Parabéns pela sua primeira edição! Deseja adicionar ligações para a página recentemente criada?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Corrigir outra página?',
	'nearby' => 'Páginas próximas de você',
	'mobile-frontend-desc' => 'Interface para Telemóveis',
	'mobile-frontend-search-submit' => 'Prosseguir',
	'mobile-frontend-home-button' => 'Início',
	'mobile-frontend-logged-out' => 'Não autenticado',
	'mobile-frontend-logged-in-homepage-notification' => '{{Gender:$1|Bem-vindo|Bem-vinda|Bem-vindo(a)}}, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Autenticado como $1.',
	'mobile-frontend-sign-up-heading' => 'Registar-se',
	'mobile-frontend-sign-in-heading' => 'Autenticar',
	'mobile-frontend-sign-in-error-heading' => 'Ops!',
	'mobile-frontend-settings-description' => 'Personalize o comportamento do seu dispositivo móvel com estas configurações específicas para o sítio móvel.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Modo experimental',
	'mobile-frontend-settings-alpha-description' => "Entre no perigoso e inexplorado território móvel. Obtenha recursos ainda mais experimentais, mas com mais perigo de ''bugs''.",
	'mobile-frontend-save-settings' => 'Gravar',
	'mobile-frontend-save-error' => "Erro ao salvar as configurações. Por favor, certifique-se que tem possui os ''cookies'' activados.",
	'mobile-frontend-random-button' => 'Aleatório',
	'mobile-frontend-back-to-top-of-section' => 'Retroceder uma secção',
	'mobile-frontend-regular-site' => 'Versão normal',
	'mobile-frontend-wml-continue' => 'Continuar...',
	'mobile-frontend-wml-back' => 'Voltar...',
	'mobile-frontend-view' => 'Versão móvel',
	'mobile-frontend-view-desktop' => 'Normal',
	'mobile-frontend-view-mobile' => 'Móvel',
	'mobile-frontend-opt-in-explain' => 'Ao adoptar a versão móvel beta terá acesso a funcionalidades experimentais, correndo o risco de encontrar defeitos e problemas.',
	'mobile-frontend-images-status' => 'Imagens',
	'mobile-frontend-disable-images' => 'Desactivar imagens no sítio móvel',
	'mobile-frontend-enable-images' => 'Activar imagens no sítio móvel',
	'mobile-frontend-missing-image' => 'Imagem',
	'mobile-frontend-off' => 'NÃO',
	'mobile-frontend-on' => 'SIM',
	'mobile-frontend-featured-article' => 'Artigo em destaque',
	'mobile-frontend-news-items' => 'Actualidade',
	'mobile-frontend-language-heading' => '<strong>Noutras línguas</strong>',
	'mobile-frontend-language-article-heading' => 'Ler noutro idioma',
	'mobile-frontend-language-header' => 'Esta página está disponível em $1 {{PLURAL:$1|idioma|idiomas}}',
	'mobile-frontend-language-footer' => 'Nota: Esta página não pode ser escrita no idioma definido. Pode consultar os idiomas {{SITENAME}} disponíveis, clicando aqui.',
	'mobile-frontend-language-site-choose' => 'Pesquisar idioma',
	'mobile-frontend-username' => 'Nome de utilizador:',
	'mobile-frontend-password' => 'Palavra-chave:',
	'mobile-frontend-username-placeholder' => 'Nome de utilizador',
	'mobile-frontend-password-placeholder' => 'Palavra-chave',
	'mobile-frontend-login' => 'Autenticação',
	'mobile-frontend-history' => 'Ver histórico desta página.',
	'mobile-frontend-history-404-title' => 'Nenhuma página',
	'mobile-frontend-history-summary' => 'Histórico para [[:$1]]',
	'mobile-frontend-learn-more' => 'Saiba mais',
	'mobile-frontend-account-create-submit' => 'Registar-se',
	'mobile-frontend-password-confirm-placeholder' => 'Confirmar palavra-chave',
	'mobile-frontend-account-create-email-placeholder' => 'Endereço de correio electrónico (opcional)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Introduza o código de confirmação',
	'mobile-frontend-overlay-escape' => 'Voltar',
	'mobile-frontend-overlay-close' => 'Fechar',
	'mobile-frontend-overlay-continue' => 'Continuar',
	'mobile-frontend-placeholder' => 'Pesquisar em {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Pesquisar em {{SITENAME}} (beta)',
	'mobile-frontend-placeholder-alpha' => 'Pesquisar em {{SITENAME}} (experimental)',
	'mobile-frontend-search-help' => 'Introduza acima o termo de pesquisa e os títulos das páginas correspondentes aparecerão aqui.',
	'mobile-frontend-dismiss-notification' => 'ignorar esta notificação',
	'mobile-frontend-clear-search' => 'Limpar',
	'mobile-frontend-search-no-results' => 'Nenhuma página com este título.',
	'mobile-frontend-privacy-link-text' => 'Privacidade',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Conteúdo disponibilizado com a licença [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; termos adicionais podem ser aplicados.',
	'mobile-frontend-copyright' => "Este texto é disponibilizado nos termos da licença <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; pode estar sujeito a condições adicionais. Consulte as <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Condições de Uso</a> para mais detalhes. {{SITENAME}} é uma marca registrada da <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, uma organização sem fins lucrativos.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Contacto',
	'mobile-frontend-search-noresults' => 'Nenhum dos artigos corresponde à sua pesquisa. Altere a pesquisa, ou pressione o botão de pesquisa do teclado para pesquisar dentro das páginas.',
	'mobile-frontend-terms-text' => 'Termos de uso',
	'mobile-frontend-main-menu-button-tooltip' => 'Abrir menu principal',
	'mobile-frontend-main-menu-page-title' => 'Navegação',
	'mobile-frontend-main-menu-featured' => 'Destacado',
	'mobile-frontend-main-menu-nearby' => 'Perto',
	'mobile-frontend-main-menu-login' => 'Entrar',
	'mobile-frontend-main-menu-logout' => 'Sair',
	'mobile-frontend-main-menu-watchlist' => 'Páginas vigiadas',
	'mobile-frontend-main-menu-settings' => 'Preferências',
	'mobile-frontend-main-menu-upload' => 'Carregamentos',
	'mobile-frontend-main-menu-settings-heading' => 'Configurações',
	'mobile-frontend-settings-site-header' => 'Idiomas de {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} está disponível em $1 {{PLURAL:$1|idioma|idiomas}}. Abaixo, estão listadas todas as versões disponíveis',
	'mobile-frontend-main-menu-account-create' => 'Criar conta',
	'mobile-frontend-page-menu-contents' => 'índice',
	'mobile-frontend-page-menu-history' => 'Histórico',
	'mobile-frontend-page-saving' => 'A guardar $1',
	'mobile-frontend-user-cta' => 'Por favor, autentique-se ou registe-se para ver as suas notificações.',
	'mobile-frontend-user-button-tooltip' => 'Mostrar as minhas notificações',
	'mobile-frontend-nearby-to-page' => 'As seguintes páginas estão relacionadas com $1 através da sua localização geográfica',
	'mobile-frontend-nearby-title' => 'Perto',
	'mobile-frontend-nearby-loading' => 'A carregar tópicos próximos da sua localização',
	'mobile-frontend-nearby-requirements' => 'Desculpe! O seu navegador não suporta a funcionalidade Redondezas em {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Tente um outro navegador ou active o JavaScript caso esteja desactivado.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} não consegue determinar onde se encontra... tentar novamente?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Tente uma outra área com um sinal melhor.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} não possui permissão para aceder à sua localização.',
	'mobile-frontend-nearby-permission-guidance' => 'Por favor, certifique-se que deu permissão para mostrar onde está. Você poderá precisar de verificar as configurações de localização do seu navegador.',
	'mobile-frontend-nearby-noresults' => 'Tudo calmo por aqui... Não existem quaisquer páginas nas redondezas.',
	'mobile-frontend-nearby-noresults-guidance' => 'Tente criar uma nova página ou adicione a localização de uma já existente',
	'mobile-frontend-nearby-refresh' => 'Encontramos um local mais exacto para si. Clique aqui para actualizar a lista de páginas nas redondezas',
	'mobile-frontend-nearby-error' => '{{SITENAME}} está a ter algumas dificuldades.',
	'mobile-frontend-nearby-error-guidance' => 'Tente actualizar a sua localização.',
	'mobile-frontend-nearby-link' => 'Ler esta página na íntegra',
	'mobile-frontend-nearby-directions' => 'Navegar aqui',
	'mobile-frontend-donate-image-nouploads' => 'Sem carregamentos.',
	'mobile-frontend-donate-image-login' => 'A multimédia em {{SITENAME}} é doada por pessoas como você.',
	'mobile-frontend-donate-image-login-action' => 'Autentique-se para compartilhar o seu conteúdo multimédia.',
	'mobile-frontend-donate-image-signup-action' => 'Registe-se para partilhar o seu conteúdo multimédia com o mundo.',
	'mobile-frontend-photo-upload-disabled' => 'Não são necessárias imagens nesta página.',
	'mobile-frontend-photo-upload-anon' => 'Por favor, autentique-se para adicionar uma imagem a esta página.',
	'mobile-frontend-photo-upload-protected' => 'Não possui privilégios para adicionar uma imagem a esta página.',
	'mobile-frontend-photo-upload-unavailable' => 'O seu navegador não suporta o carregamento de ficheiros.',
	'mobile-frontend-photo-upload-generic' => 'Contribuir com uma imagem',
	'mobile-frontend-donate-image-title' => 'Carregamentos',
	'mobile-frontend-donate-image-heading' => 'As suas contribuições recentes',
	'mobile-frontend-user-account' => 'conta de utilizador',
	'mobile-frontend-listed-image-no-description' => 'Sem descrição',
	'mobile-frontend-donate-photo-upload-success' => 'Sucesso! A sua imagem pode ser utilizada em {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Sucesso! Obrigado pela sua primeira contribuição!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Contribua com as suas imagens. Ajude {{SITENAME}} a ganhar vida!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Imagens em {{SITENAME}} são provenientes do Wikimedia Commons.',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'As suas imagens ajudam a educar pessoas em todo o mundo',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Evite materiais com direitos de autor que tenha encontrado na Internet, bem como imagens de cartazes, capas de livros, etc.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Percebeu?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Sim!',
	'mobile-frontend-watchlist-add' => '$1 foi adicionada à sua lista de vigiados',
	'mobile-frontend-watchlist-removed' => '$1 foi removida da sua lista de vigiados',
	'mobile-frontend-watchlist-view' => 'Ver a sua lista de vigiados',
	'mobile-frontend-watchlist-more' => 'mais',
	'mobile-frontend-watchlist-cta' => 'Acompanhar esta página e todas as suas alterações.',
	'mobile-frontend-watchlist-cta-button-login' => 'Entrar',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registar',
	'mobile-frontend-watchlist-purpose' => 'A lista de vigiados ajuda-o a marcar e acompanhar as páginas e as suas alterações.',
	'mobile-frontend-watchlist-login-action' => 'Autentique-se para ver.',
	'mobile-frontend-watchlist-signup-action' => 'Criar conta para começar uma agora.',
	'mobile-frontend-generic-login' => '{{SITENAME}} é feita por pessoas como você.',
	'mobile-frontend-generic-login-action' => 'Autentique-se para contribuir.',
	'mobile-frontend-generic-signup-action' => 'Registar-se para contribuir.',
	'mobile-frontend-watch-login' => 'Adicionar $1 à sua lista de vigiados.',
	'mobile-frontend-edit-login' => 'Ajude a melhorar a página $1.',
	'mobile-frontend-edit-login-action' => 'Autentique-se para editar.',
	'mobile-frontend-edit-signup-action' => 'Registar-se para editar.',
	'mobile-frontend-watchlist-a-z' => 'Lista',
	'mobile-frontend-watchlist-feed' => 'Modificações',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Clique na estrela no topo da página',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'De momento, não está a vigiar quaisquer páginas. A sua lista de vigiados ajuda-o a acompanhar as páginas que lhe interessam. Adiciona páginas à sua lista ao clicar no ícone em forma de estrela.',
	'mobile-frontend-watchlist-feed-empty' => 'Não existem páginas com alterações recentes.',
	'mobile-frontend-watchlist-back-home' => 'Voltar ao início',
	'mobile-frontend-changeslist-ip' => 'Utilizador anónimo',
	'mobile-frontend-changeslist-nocomment' => 'sem sumário de edição',
	'mobile-frontend-watchlist-filter-all' => 'Todas',
	'mobile-frontend-watchlist-filter-articles' => 'Artigos', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Discussão',
	'mobile-frontend-watchlist-filter-other' => 'Outras',
	'mobile-frontend-watchlist-modified' => 'Modificado $1',
	'mobile-frontend-diffview-title' => 'Alterações',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|edição|edições}}',
	'mobile-frontend-diffview-anonymous' => 'Utilizador anónimo',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte adicionado|bytes adicionados}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte removido|bytes removidos}}',
	'mobile-frontend-diffview-explained' => 'As seguintes linhas foram adicionadas (+) e removidas (-):',
	'mobile-frontend-table' => 'Tabela $1',
	'mobile-frontend-photo-upload' => 'Adicionar uma imagem a esta página',
	'mobile-frontend-photo-caption-placeholder' => 'Descreva esta imagem (obrigatório)',
	'mobile-frontend-image-loading' => 'A carregar imagem',
	'mobile-frontend-photo-ownership' => 'Eu, $1, criei esta imagem.',
	'mobile-frontend-photo-ownership-help' => 'O que significa isto?',
	'mobile-frontend-photo-ownership-confirm' => 'Percebido!',
	'mobile-frontend-photo-ownership-bullet-one' => 'Apenas podemos aceitar imagens que possui. Por favor, não carregue imagens que encontrou noutro lugar na Internet.',
	'mobile-frontend-photo-ownership-bullet-two' => 'Imagens protegidas e inapropriadas serão removidas.',
	'mobile-frontend-photo-ownership-bullet-three' => 'Os seus carregamentos estão sob licença que permite qualquer pessoa reutilizá-los livremente.',
	'mobile-frontend-photo-nag-1-bullet-1-heading' => 'Não estou a violar direitos de autor',
	'mobile-frontend-photo-submit' => 'Enviar',
	'mobile-frontend-photo-cancel' => 'Cancelar',
	'mobile-frontend-image-cancel-confirm' => 'Cancelar carregamento?',
	'mobile-frontend-editor-disabled' => 'Esta página está protegida para prevenir vandalismos.',
	'mobile-frontend-editor-blocked' => 'A sua conta está bloqueada.',
	'mobile-frontend-editor-cta' => 'Ajude a melhorar esta página!',
	'mobile-frontend-editor-edit' => 'Editar',
	'mobile-frontend-editor-continue' => 'Continuar',
	'mobile-frontend-editor-save' => 'Gravar',
	'mobile-frontend-editor-cancel' => 'Cancelar',
	'mobile-frontend-editor-keep-editing' => 'Continuar a editar',
	'mobile-frontend-editor-wait' => 'A gravar edição, aguarde por favor.',
	'mobile-frontend-editor-guider' => '"{{int:mobile-frontend-editor-continue}}" irá permitir que pré-visualize e grave.',
	'mobile-frontend-editor-success' => 'Sucesso! A sua edição foi gravada.',
	'mobile-frontend-editor-success-landmark-1' => 'Parabéns, é agora um editor em {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Erro, edição não guardada.',
	'mobile-frontend-editor-error-conflict' => 'Erro, outro utilizador editou esta página.',
	'mobile-frontend-editor-error-loading' => 'Erro, não foi possível carregar a secção.',
	'mobile-frontend-editor-preview-header' => 'Antevisão',
	'mobile-frontend-editor-tutorial-confirm' => 'Começar a editar',
	'mobile-frontend-editor-captcha-try-again' => 'Código errado, tente novamente.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Esta edição não foi guardada devido a problemas detectados.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Ler mais',
	'mobile-frontend-editor-editing-page' => '<strong>A editar</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>A antever</strong><span> $1</span>',
	'tag-mobile_edit' => 'Edição via telefone móvel',
	'tag-mobile_edit-description' => 'Edição feita através de sítio móvel',
	'mobile-frontend-drawer-cancel' => 'Cancelar',
	'mobile-frontend-talk-overlay-header' => 'Discussão',
	'mobile-frontend-talk-back-to-page' => 'Regressar à página $1.',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'No que está a pensar?',
	'mobile-frontend-talk-edit-summary' => 'Nova secção de discussão: $1',
	'mobile-frontend-talk-reply-success' => 'A sua resposta foi guardada com sucesso na página de discussão.',
	'mobile-frontend-talk-reply' => 'Responder',
	'mobile-frontend-media-details' => 'Detalhes',
	'mobile-frontend-media-license-link' => 'Informação sobre a licença',
	'mobile-frontend-profile-title' => 'Dados de utilizador',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Carregado}} {{PLURAL:$1|ontem|há $1 dias|0=hoje}}.',
	'mobile-frontend-profile-error' => 'Oh não!',
	'mobile-frontend-profile-noargs' => 'Não foi fornecido nenhum nome de utilizador. Por favor, forneça um nome de utilizador para exibir um perfil.',
	'mobile-frontend-profile-nouser' => 'Não existe nenhum utilizador com esse nome. Os nomes de utilizador são sensíveis a maiúsculas, verifique portanto se digitou de forma correcta.',
	'mobile-frontend-profile-activity-heading' => 'Actividade & contribuições',
	'mobile-frontend-profile-userpage-link' => 'Ver página de utilizador.',
	'mobile-frontend-geonotahack' => 'Nas redondezas',
	'beta-feature-geonotahack' => 'Nas redondezas',
	'beta-feature-geonotahack-description' => 'Descubra quais as páginas que estão geograficamente próximas ao conteúdo que está a ler no momento.',
);

/** Brazilian Portuguese (português do Brasil)
 * @author Cainamarques
 * @author Giro720
 * @author HenriqueCrang
 * @author Luckas
 * @author McDutchie
 * @author MetalBrasil
 * @author Rafael Vargas
 * @author Rodrigo codignoli
 * @author Tuliouel
 * @author 555
 */
$messages['pt-br'] = array(
	'mobilefrontend-random-explain' => 'Essa página aleatória te interessa?',
	'mobilefrontend-random-cancel' => 'Deixe-me ler!',
	'mobilefrontend-keepgoing-ask' => 'Muito bem! Você está pegando o jeito! Deseja tentar editar outra página?',
	'mobilefrontend-keepgoing-ask-first' => 'Parabéns pela sua primeira edição! Deseja tentar editar outra página?',
	'mobilefrontend-keepgoing-explain' => 'Legal! Outro usuário disse que essa página precisa de ajuda. Tente essa, ou escolha outra.',
	'mobilefrontend-keepgoing-cancel' => 'Não, obrigado',
	'mobilefrontend-keepgoing-suggest' => 'Sim, por favor',
	'mobilefrontend-keepgoing-suggest-again' => 'Tente outra',
	'nearby' => 'Páginas próximas a você',
	'mobile-frontend-desc' => 'Interface para dispositivos móveis',
	'mobile-frontend-search-submit' => 'Ir',
	'mobile-frontend-home-button' => 'Início',
	'mobile-frontend-logged-out' => 'Não está logado',
	'mobile-frontend-logged-in-homepage-notification' => 'Bem-vindo, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Acessando como $1.',
	'mobile-frontend-sign-up-heading' => 'Criar uma conta',
	'mobile-frontend-sign-in-heading' => 'Entrar',
	'mobile-frontend-sign-in-why' => 'Se você tiver uma conta na {{SITENAME}}, você deve autenticar-se abaixo.',
	'mobile-frontend-sign-in-error-heading' => 'Falha',
	'mobile-frontend-settings-description' => 'Personalize sua experiência em seu dispositivo móvel com essas configurações específicas.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Modo experimental',
	'mobile-frontend-settings-alpha-description' => 'Entre em perigoso e inexplorado território mobile. Tenha acesso a mais funcionalidades experimentais, mas com mais risco de bugs.',
	'mobile-frontend-save-settings' => 'Salvar',
	'mobile-frontend-save-error' => 'Erro salvando configurações. Por favor confira se seu navegador tem cookies habilitados.',
	'mobile-frontend-random-button' => 'Aleatório',
	'mobile-frontend-back-to-top-of-section' => 'Retroceder Uma Seção',
	'mobile-frontend-regular-site' => 'Visualização normal',
	'mobile-frontend-wml-continue' => 'continuar ...',
	'mobile-frontend-wml-back' => 'Voltar ...',
	'mobile-frontend-view' => 'Versão para dispositivo móvel',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Mobile',
	'mobile-frontend-opt-in-explain' => 'Ao participar dos testes, você terá acesso a recursos experimentais, correndo o risco de encontrar erros e problemas.',
	'mobile-frontend-images-status' => 'Imagens',
	'mobile-frontend-disable-images' => 'Desativar imagens no site móvel',
	'mobile-frontend-enable-images' => 'Ativar imagens no site móvel',
	'mobile-frontend-missing-image' => 'Imagem',
	'mobile-frontend-off' => 'NÃO',
	'mobile-frontend-on' => 'SIM',
	'mobile-frontend-featured-article' => 'Conteúdo em destaque',
	'mobile-frontend-news-items' => 'Eventos recentes',
	'mobile-frontend-language-article-heading' => 'Ler em outro idioma',
	'mobile-frontend-language-header' => 'Esta página está disponível em $1 {{PLURAL:$1|idioma|idiomas}}',
	'mobile-frontend-language-variant-header' => 'Escolha uma variante do {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Nota: Essa página pode não estar em seu idioma preferido. Você pode ver quais são os idiomas disponíveis na {{SITENAME}} clicando aqui.',
	'mobile-frontend-language-site-choose' => 'Pesquisar idioma',
	'mobile-frontend-username' => 'Nome de usuário:',
	'mobile-frontend-password' => 'Senha:',
	'mobile-frontend-username-placeholder' => 'Nome de usuário',
	'mobile-frontend-password-placeholder' => 'Senha',
	'mobile-frontend-login' => 'Autenticar-se',
	'mobile-frontend-history' => 'Ver o histórico de edição desta página',
	'mobile-frontend-history-no-results' => 'Nenhum histórico combina com o filtro.',
	'mobile-frontend-history-summary' => 'Histórico da página [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Modificado pela última vez em $1 às $2',
	'mobile-frontend-last-modified-seconds' => 'Atualizado {{PLURAL:$1|$1 segundo|$1 segundos}} atrás',
	'mobile-frontend-last-modified-minutes' => 'Atualizado {{PLURAL:$1|$1 minuto|$1 minutos}} atrás',
	'mobile-frontend-last-modified-hours' => 'Atualizado {{PLURAL:$1|$1 hora|$1 horas}} atrás',
	'mobile-frontend-last-modified-days' => 'Atualizado {{PLURAL:$1|$1 dia|$1 dias}} atrás',
	'mobile-frontend-last-modified-months' => 'Atualizado {{PLURAL:$1|$1 mês|$1 meses}} atrás',
	'mobile-frontend-last-modified-years' => 'Atualizado {{PLURAL:$1|$1 ano|$1 anos}} atrás',
	'mobile-frontend-last-modified-just-now' => 'Atualizado agora mesmo',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Última {{GENDER:$1|edição}} feita {{PLURAL:$3|$3 segundo|$3 segundos}} atrás] por {{PLURAL:$5|[$6 $2]|0=um usuário anônimo}}.',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Última {{GENDER:$1|edição}} feita {{PLURAL:$3|$3 minuto|$3 minutos}} atrás] por {{PLURAL:$5|[$6 $2]|0=um usuário anônimo}}.',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Última {{GENDER:$1|edição}} feita {{PLURAL:$3|$3 hora|$3 horas}} atrás] por {{PLURAL:$5|[$6 $2]|0=um usuário anônimo}}.',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Última {{GENDER:$1|edição}} feita {{PLURAL:$3|$3 dia|$3 dias}} atrás] por {{PLURAL:$5|[$6 $2]|0=um usuário anônimo}}.',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Última {{GENDER:$1|edição}} feita {{PLURAL:$3|$3 mês|$3 meses}} atrás] por {{PLURAL:$5|[$6 $2]|0=um usuário anônimo}}.',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Última {{GENDER:$1|edição}} feita {{PLURAL:$3|$3 ano|$3 anos}} atrás] por {{PLURAL:$5|[$6 $2]|0=um usuário anônimo}}.',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Ultima {{GENDER:$1|edição}}] feita agora mesmo por {{PLURAL:$4|[$5 $2]|0=um usuário anônimo}}.',
	'mobile-frontend-learn-more' => 'Saiba mais',
	'mobile-frontend-account-create-submit' => 'Registar-se',
	'mobile-frontend-password-confirm-placeholder' => 'Confirmar senha',
	'mobile-frontend-account-create-email-placeholder' => 'Endereço de e-mail (opcional)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Digite o código de confirmação',
	'mobile-frontend-overlay-escape' => 'Voltar',
	'mobile-frontend-placeholder' => 'Pesquisar {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Pesquisar {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Pesquisar {{SITENAME}} (Experimental)',
	'mobile-frontend-search-help' => 'Digite sua busca abaixo e títulos de páginas correspondentes irão aparecer aqui.',
	'mobile-frontend-dismiss-notification' => 'fechar esta notificação',
	'mobile-frontend-clear-search' => 'Limpar',
	'mobile-frontend-search-content' => 'Busque nas páginas',
	'mobile-frontend-search-no-results' => 'Nenhuma página encontrada com esse título.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' para ver se essa frase aparecem em algum lugar.",
	'mobile-frontend-privacy-link-text' => 'Privacidade',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'O texto está disponível sob a licença [//creativecommons.org/licenses/by-sa/3.0/deed.pt_BR Atribuição-Compartilhamento pela mesma Licença 3.0 Unported (CC-BY-SA)]; condições adicionais podem-se aplicar.',
	'mobile-frontend-copyright' => 'Conteúdo disponível sob $1, salvo indicação em contrário.',
	'mobile-frontend-footer-contact' => 'Contato',
	'mobile-frontend-search-noresults' => 'Nenhum título de página encontrado com sua pesquisa. Mude a pesquisa, ou use o botão de busca de seu teclado para buscar dentro das páginas.',
	'mobile-frontend-terms-text' => 'Termos de uso',
	'mobile-frontend-main-menu-button-tooltip' => 'Abrir menu principal',
	'mobile-frontend-main-menu-page-title' => 'Navegação da página',
	'mobile-frontend-main-menu-featured' => 'Destacado',
	'mobile-frontend-main-menu-nearby' => 'Redondezas',
	'mobile-frontend-main-menu-login' => 'Entrar',
	'mobile-frontend-main-menu-logout' => 'Sair',
	'mobile-frontend-main-menu-watchlist' => 'Páginas vigiadas',
	'mobile-frontend-main-menu-settings' => 'Configurações',
	'mobile-frontend-main-menu-upload' => 'Envios',
	'mobile-frontend-main-menu-settings-heading' => 'Configurações',
	'mobile-frontend-settings-site-header' => 'idiomas da {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} está disponível em $1 {{PLURAL:$1|idioma|idiomas}}. Todas as versões disponíveis estão listadas abaixo.',
	'mobile-frontend-main-menu-account-create' => 'Criar conta',
	'mobile-frontend-page-menu-contents' => 'conteúdo',
	'mobile-frontend-page-menu-history' => 'Histórico',
	'mobile-frontend-meta-data-issues-header' => 'Problemas',
	'mobile-frontend-meta-data-issues' => 'Essa página tem alguns problemas',
	'mobile-frontend-page-saving' => 'Salvando $1',
	'mobile-frontend-user-cta' => 'Por favor autentique-se para ver suas notificações.',
	'mobile-frontend-user-button-tooltip' => 'Mostrar minhas notificações',
	'mobile-frontend-nearby-to-page' => 'As seguintes páginas são relacionas a $1 por sua localização geográfica',
	'mobile-frontend-nearby-title' => 'Redondezas',
	'mobile-frontend-nearby-loading' => 'Carregando tópicos próximos a sua localização atual',
	'mobile-frontend-nearby-requirements' => 'Desculpa! {{SITENAME}} Redondezas não está disponível para seu navegador.',
	'mobile-frontend-nearby-requirements-guidance' => 'Tente um navegador diferente ou ative o JavaScript se você o tiver desabilitado.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} Redondezas não consegue identificar onde você está... tentar novamente?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Tente uma area aberta com melhor sinal.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} Redondezas não tem permissão para acessar sua localização.',
	'mobile-frontend-nearby-permission-guidance' => 'Por favor certifique-se de ter dado permissão para exibir sua localização. Você pode ter que alterar as configurações de localização de seu navegador.',
	'mobile-frontend-nearby-noresults' => 'Tudo quieto por aqui.. Não foi encontrada nenhuma página nas redondezas.',
	'mobile-frontend-nearby-noresults-guidance' => 'Tente criar uma nova página ou adicionar localização a uma existente',
	'mobile-frontend-nearby-refresh' => 'Encontramos uma localização mais precisa para você. Clique aqui para recarregar a lista de páginas nas redondezas',
	'mobile-frontend-nearby-error' => '{{SITENAME}} Redondezas está tendo algum problema.',
	'mobile-frontend-nearby-error-guidance' => 'Tente atualizar sua localização.',
	'mobile-frontend-nearby-link' => 'Ler essa página completa',
	'mobile-frontend-nearby-directions' => 'Navegue aqui',
	'mobile-frontend-donate-image-nouploads' => 'Nenhum envio de arquivo.',
	'mobile-frontend-donate-image-login' => 'Você autenticar-se para ver seus envios.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'Nenhum imagem é necessária nessa página.',
	'mobile-frontend-photo-upload-anon' => 'Você deve autenticar-se para adicionar uma imagem a essa página.', # Fuzzy
	'mobile-frontend-photo-upload-protected' => 'Você não tem permissão para adicionar uma imagem a esta página.',
	'mobile-frontend-photo-upload-unavailable' => 'Seu navegador não suporta o envio de imagens.',
	'mobile-frontend-photo-upload-generic' => 'Contribuir com uma imagem',
	'mobile-frontend-donate-image-title' => 'Envios',
	'mobile-frontend-donate-image-heading' => 'Suas recentes contribuições',
	'mobile-frontend-donate-image-anon' => 'Uma $1 é necessária para ver a página de envios.',
	'mobile-frontend-user-account' => 'conta de usuário',
	'mobile-frontend-listed-image-no-description' => 'Sem descrição',
	'mobile-frontend-donate-photo-upload-success' => 'Sucesso! Sua imagem pode agora ser utilizada na {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Sucesso! Obrigado pela sua primeira contribuição!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Contribua com imagens. Ajude a {{SITENAME}} ganhar vida!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'As imagens na {{SITENAME}} vêm do Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Suas imagens ajudam a educar pessoas pelo mundo.',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Evite material com direito autoral que você encontrou na internet assim como imagens de posters, capas de livros, etc.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Entendeu?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Sim!',
	'mobile-frontend-watchlist-add' => 'Adicionada $1 a sua lista de páginas vigiadas',
	'mobile-frontend-watchlist-removed' => 'Remover $1 da lista de páginas vigiadas',
	'mobile-frontend-watchlist-view' => 'Veja sua lista de páginas vigiadas',
	'mobile-frontend-watchlist-more' => 'mais',
	'mobile-frontend-watchlist-cta' => 'Por favor autentique-se ou crie uma conta para vigiar essa página.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Entrar',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registar-se',
	'mobile-frontend-generic-login' => '{{SITENAME}} é feito por pessoas como você.',
	'mobile-frontend-watch-login' => 'Você precisa estar logado para vigiar páginas.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'Lista',
	'mobile-frontend-watchlist-feed' => 'Modificadas',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Clique na estrela no topo da página',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Você não tem nenhuma página vigiada. Sua lista de páginas vigiadas te ajuda a monitorar as páginas que você tem interesse. Vigie páginas clicando no ícone de estrela.',
	'mobile-frontend-watchlist-feed-empty' => 'Não existem páginas com mudanças recentes.',
	'mobile-frontend-watchlist-back-home' => 'Voltar ao início',
	'mobile-frontend-changeslist-ip' => 'Usuário anônimo',
	'mobile-frontend-changeslist-nocomment' => 'sem sumário de edição',
	'mobile-frontend-watchlist-filter-all' => 'Todas',
	'mobile-frontend-watchlist-filter-articles' => 'Artigos', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Discussão',
	'mobile-frontend-watchlist-filter-other' => 'Outros',
	'mobile-frontend-watchlist-modified' => 'Modificada $1',
	'mobile-frontend-diffview-404-title' => 'Problema com a revisão',
	'mobile-frontend-diffview-404-desc' => 'O id da revisão solicitada não existe.',
	'mobile-frontend-diffview-title' => 'Alterações',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|edição|edições}}',
	'mobile-frontend-diffview-anonymous' => 'Usuário anônimo',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte|bytes}} adicionados',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte|bytes}} removidos',
	'mobile-frontend-diffview-explained' => 'As linhas a seguir foram adicionadas (+) e removidas (-):',
	'mobile-frontend-thanked-notice' => '$1 foi {{GENDER:$2|informado|informada}} que você curtiu sua edição.',
	'mobile-frontend-saving-exit-page' => 'Sua contribuição ainda está sendo salva. Se você sair suas contribuições serão perdidas. Tem certeza que deseja sair?',
	'mobile-frontend-photo-upload' => 'Adicione uma imagem a esta página',
	'mobile-frontend-photo-article-edit-comment' => 'Adicionada imagem para uso na página',
	'mobile-frontend-photo-article-donate-comment' => 'Imagem adicionada a partir de Especial:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Adicionar imagem à página',
	'mobile-frontend-photo-caption-placeholder' => 'Descrever a imagem (obrigatório)',
	'mobile-frontend-image-loading' => 'Carregando imagem',
	'mobile-frontend-photo-ownership' => 'Eu, $1, criei esta imagem.',
	'mobile-frontend-photo-ownership-help' => 'O que isso significa?',
	'mobile-frontend-photo-ownership-confirm' => 'Entendi!',
	'mobile-frontend-photo-ownership-bullet-one' => 'Nós só podemos aceitar imagens de autoria própria. Por favor não imagens que você encontrou em outro lugar da internet.',
	'mobile-frontend-photo-ownership-bullet-two' => 'Imagens violando direitos autorais ou inapropriadas serão removidas.',
	'mobile-frontend-photo-ownership-bullet-three' => 'Seus envios são disponibilizados com uma licenças que permite qualquer um reutilizá-los gratuitamente.',
	'mobile-frontend-photo-nag-1-bullet-1-heading' => 'Não estou violando direitos autorais',
	'mobile-frontend-photo-nag-1-bullet-1-text' => "Essa '''não''' é uma imagem que encontrei na internet. É meu trabalho próprio.",
	'mobile-frontend-photo-nag-1-bullet-2-heading' => 'Essa não é uma imagem pessoal',
	'mobile-frontend-photo-nag-1-bullet-2-text' => 'E ela pode ajudar a ilustrar um tópico importante.',
	'mobile-frontend-photo-nag-2-bullet-1-heading' => 'Positivamente não violando direitos autorais e essa imagem é educacional.',
	'mobile-frontend-photo-nag-3-bullet-1-heading' => 'I entendo o que enviar. Não exibir essa mensagem novamente.',
	'mobile-frontend-photo-nag-learn-more-heading' => 'O que enviar',
	'mobile-frontend-photo-nag-learn-more-1' => "'''Sim!'''Fotos que você tirou de locais, objetos e eventos.",
	'mobile-frontend-photo-nag-learn-more-2' => "'''Sim!''' Fotos que possam ilustrar e enriquecer páginas da {{SITENAME}}.",
	'mobile-frontend-photo-nag-learn-more-3' => "'''Não.''' Fotos de posters, capas de livros ou outros materiais protegidos por direitos autorais. Essas serão removidas.",
	'mobile-frontend-lead-image-tutorial-summary' => 'Certifique-se que sua imagem pode ajudar a ilustrar páginas. Deve ser uma imagem sua que não viole direitos autorais.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Iniciar envio',
	'mobile-frontend-image-uploading-wait' => 'Enviar imagem, por favor aguarde.',
	'mobile-frontend-image-uploading-long' => 'Imagem ainda sendo enviada! Obrigado pela paciência.',
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Cancele</a> se estiver demorando muito.',
	'mobile-frontend-photo-upload-error' => 'Erro, tente novamente',
	'mobile-frontend-photo-upload-error-file-type' => 'Por favor apenas envie imagens.',
	'mobile-frontend-photo-upload-error-filename' => 'Erro, por favor fornece uma sumário mais descritivo.',
	'mobile-frontend-photo-upload-success-article' => 'Sucesso! Sua imagem já está disponível na página.',
	'mobile-frontend-photo-license' => 'Ao enviar essa imagem você concorda com nossos[http://wikimediafoundation.org/wiki/Terms_of_Use/pt-br Termos e condições de uso] e concorda em disponibilizar sua imagem sob a licença [//creativecommons.org/licenses/by-sa/3.0/deed.pt_BR Atribuição-Compartilhamento pela mesma Licença 3.0 Unported (CC-BY-SA)].',
	'mobile-frontend-photo-submit' => 'Enviar',
	'mobile-frontend-photo-cancel' => 'Cancelar',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> envio|<span>$1</span> envios}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ envios',
	'mobile-frontend-image-heading-describe' => "'''Descrever''' imagem",
	'mobile-frontend-image-uploading' => "'''Enviando''' imagem...",
	'mobile-frontend-image-cancel-confirm' => 'Cancelar Envio?',
	'mobile-frontend-editor-unavailable' => 'Edições mobile não estão disponíveis para seu navegador. Por favor tente com outro navegador.',
	'mobile-frontend-editor-undo-unsupported' => 'Desfazer não está disponível para dispositivos móveis.',
	'mobile-frontend-editor-newpage-prompt' => 'Essa não existe. Por que não ser audaz e criar?',
	'mobile-frontend-editor-disabled' => 'Você não está autorizado a adicionar editar esta página', # Fuzzy
	'mobile-frontend-editor-cta' => 'Você deve estar logado para editar páginas com dispositivos móveis.', # Fuzzy
	'mobile-frontend-editor-edit' => 'Editar',
	'mobile-frontend-editor-continue' => 'Continuar',
	'mobile-frontend-editor-save' => 'Salvar',
	'mobile-frontend-editor-cancel' => 'Cancelar',
	'mobile-frontend-editor-keep-editing' => 'Continuar editando',
	'mobile-frontend-editor-license' => 'Ao salvar mudanças, você concorda com nossos [//wikimediafoundation.org/wiki/Terms_of_Use/pt-br Termos e condições de uso] e  [//pt.wikipedia.org/wiki/Wikip%C3%A9dia:GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'Essa seção está vazia. Seja o primeiro a expandi-la!',
	'mobile-frontend-editor-summary-placeholder' => 'Nos diga o que você mudou (opicional)',
	'mobile-frontend-editor-cancel-confirm' => 'Você realmente deseja abandonar sua edição?',
	'mobile-frontend-editor-wait' => 'Salvando edição, por favor aguarde.',
	'mobile-frontend-editor-guider' => '"{{int:mobile-frontend-editor-continue}}" vai permiter você ver uma pré-visualização e salvar.',
	'mobile-frontend-editor-success' => 'Sucesso! Sua edição foi salva.',
	'mobile-frontend-editor-success-landmark-1' => 'Parabéns, agora você é um editor da {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Erro, edição não salva.',
	'mobile-frontend-editor-error-conflict' => 'Erro, outro usuário editou esta página.',
	'mobile-frontend-editor-error-loading' => 'Erro, não foi possível carregar seção.',
	'mobile-frontend-editor-preview-header' => 'Pré-visualização',
	'mobile-frontend-editor-error-preview' => 'Erro, algo inexperado aconteceu ao carregar pré-visualização. Por favor feche e tente novamente.',
	'mobile-frontend-editor-tutorial-summary' => 'Não fique com medo de editar. Tente melhorar a página $1.',
	'mobile-frontend-editor-tutorial-confirm' => 'Começar a editar',
	'mobile-frontend-editor-captcha-try-again' => 'Código errado, tente denovo.',
	'mobile-frontend-editor-abusefilter-warning' => 'Aviso: Você está certo que deseja salvar essa edição? Podem haver problemas nela.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Essa edição não pode ser salva pois detectamos um problema.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Leia mais',
	'mobile-frontend-editor-editing-page' => '<strong>Editando</strong> <span>$1</span>', # Fuzzy
	'mobile-frontend-editor-previewing-page' => '<strong>Pré-visualização de</strong> <span>$1</span>', # Fuzzy
	'tag-mobile_edit' => 'Edição móvel',
	'tag-mobile_edit-description' => 'Edição feita através do site mobile',
	'mobile-frontend-drawer-cancel' => 'Cancelar',
	'mobile-frontend-talk-explained' => 'As seguintes conversas estão ativas',
	'mobile-frontend-talk-explained-empty' => 'Não existem conversas sobre essa página.',
	'mobile-frontend-talk-overlay-header' => 'Discussão',
	'mobile-frontend-talk-back-to-page' => 'Retornar a página "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Discussão sem título',
	'mobile-frontend-talk-add-overlay-submit' => 'Adicionar discussão',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Assunto do tópico',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Em que você está pensando?',
	'mobile-frontend-talk-edit-summary' => 'Nova seção: $1',
	'mobile-frontend-talk-reply-success' => 'Sua resposta foi salva com sucesso.',
	'mobile-frontend-talk-reply-info' => 'Note que a sua resposta será automaticamente assinada com seu nome de usuário.',
	'mobile-frontend-talk-reply' => 'Responder',
	'mobile-frontend-media-details' => 'Detalhes',
	'mobile-frontend-media-license-link' => 'Informação sobre a Licença',
	'abusefilter-edit-builder-vars-user-mobile' => 'Se um usuário está ou não editando através da interface móvel',
	'mobile-frontend-profile-title' => 'Perfil de usuário',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Enviada}} {{PLURAL:$1|ontem|$1 dias atrás|0=hoje}}.',
	'mobile-frontend-profile-usertalk' => 'Falar com $1', # Fuzzy
	'mobile-frontend-profile-error' => 'Ó não!',
	'mobile-frontend-profile-noargs' => 'Por favor informe um nome de usuário para ver o perfil.',
	'mobile-frontend-profile-nouser' => 'Nome de usuário inexistente. Nomes de usuário diferenciam minúsculas e maiúsculas, por favor confira se digitou corretamente.',
	'mobile-frontend-profile-activity-heading' => 'Atividades & contribuições', # Fuzzy
	'mobile-frontend-profile-userpage-link' => 'Ver página de usuário.',
	'mobile-frontend-requires-optin' => 'Essa página não está disponível fora do modo beta. Acesse a [[Special:MobileOptions|página de configurações]] para ativiar o modo beta.',
	'mobile-frontend-profile-last-thank' => '[[Special:UserProfile/$1|$1]] {{GENDER:$3|agradeceu-lhe}} {{GENDER:$1|pela}} sua edição em [[$2]].', # Fuzzy
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Editou}} a página [[:$1]], {{PLURAL:$2|ontem|$2 dias atrás|0=hoje mais cedo}}.',
	'mobile-frontend-profile-footer-days' => 'Registrou-se {{PLURAL:$2|1 dia|$2 dias}} atrás com [[Special:Contributions/$1|{{PLURAL:$3|1 edição|$3 edições}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 envio|$4 envios|500=500+ envios}}]].',
	'mobile-frontend-profile-footer-months' => 'Registrou-se {{PLURAL:$2|1 mês|$2 meses}} atrás com [[Special:Contributions/$1|{{PLURAL:$3|1 edição|$3 edições}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 envio|$4 envios|500=500+ envios}}]].',
	'mobile-frontend-profile-footer-years' => 'Registrou-se {{PLURAL:$2|1 anos|$2 anos}} atrás com [[Special:Contributions/$1|{{PLURAL:$3|1 edição|$3 edições}}]] e [[Special:Uploads/$1|{{PLURAL:$4|1 envio|$4 envios|500=500+ envios}}]].',
	'mobile-frontend-geonotahack' => 'Redondezas',
	'beta-feature-geonotahack' => 'Redondezas',
	'beta-feature-geonotahack-description' => 'Descubra quais páginas estão geograficamente próximas ao conteúdo da página que você está lendo no momento.',
);

/** Quechua (Runa Simi)
 * @author AlimanRuna
 */
$messages['qu'] = array(
	'mobile-frontend-view' => 'Kuyuylla karu rimanapaq rikuriy',
	'mobile-frontend-user-button-tooltip' => 'Ñuqpaq willaykunata rikuchiway',
);

/** Romansh (rumantsch)
 * @author Gion-andri
 * @author Kazu89
 */
$messages['rm'] = array(
	'mobile-frontend-search-submit' => 'Dai',
	'mobile-frontend-home-button' => 'Chasa',
	'mobile-frontend-random-button' => 'Casual',
	'mobile-frontend-back-to-top-of-section' => 'Siglir enavos in chapitel',
	'mobile-frontend-regular-site' => 'Visitar la pagina regulara da {{SITENAME}}', # Fuzzy
	'mobile-frontend-wml-continue' => 'Cuntinuar…',
	'mobile-frontend-wml-back' => 'Enavos…',
	'mobile-frontend-view' => 'Versiun mobila',
	'mobile-frontend-featured-article' => 'Artitgels dal di', # Fuzzy
	'mobile-frontend-copyright' => "Il text è disponibel sut la licenza <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike</a>; ulteriuras cundiziuns pon esser applitgablas. Detagls chattas ti en las <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>cundiziuns d'utilisaziun</a>. Vichipedia è ina marca registrada da la <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, ina organisaziun senza finamira da profit.", # Fuzzy
);

/** Romanian (română)
 * @author Firilacroco
 * @author MaxSem
 * @author Minisarm
 */
$messages['ro'] = array(
	'mobilefrontend-random-explain' => 'Această pagină aleatoare vă interesează?',
	'mobilefrontend-random-cancel' => 'Vreau s-o citesc!',
	'mobilefrontend-keepgoing-ask' => 'Bine lucrat! Sunteți pe drumul cel bun! Doriți să modificați o altă pagină?',
	'mobilefrontend-keepgoing-ask-first' => 'Felicitări pentru prima dumneavoastră modificare! Doriți să modificați o altă pagină?',
	'mobilefrontend-keepgoing-explain' => 'Minunat! Un alt utilizator a precizat că această pagină are nevoie de ajutor. Puteți încerca cu această pagină ori cu o alta.',
	'mobilefrontend-keepgoing-cancel' => 'Nu, mulțumesc',
	'mobilefrontend-keepgoing-suggest' => 'Da, desigur',
	'mobilefrontend-keepgoing-suggest-again' => 'Încerc cu o altă pagină',
	'mobilefrontend-keepgoing-saved-title' => 'Modificare salvată!',
	'mobilefrontend-keepgoing-links-title' => 'Adăugare legături',
	'mobilefrontend-keepgoing-links-ask-first' => 'Felicitări pentru prima dumneavoastră modificare! Doriți să ajutați la adăugarea de legături într-o pagină creată recent?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Îmbunătățiți o altă pagină?',
	'mobilefrontend-keepgoing-links-explain' => 'Găsiți mai multe cuvinte care ar putea fi legături. Adăugați paranteze drepte duble în jurul cuvântului.',
	'mobilefrontend-keepgoing-links-example' => 'ex.: $1chitară$2 devine $3chitară$4',
	'nearby' => 'Pagini în apropierea dumneavoastră',
	'mobile-frontend-desc' => 'Interfața mobilă',
	'mobile-frontend-search-submit' => 'Du-te',
	'mobile-frontend-home-button' => 'Acasă',
	'mobile-frontend-logged-out' => 'Neautentificat',
	'mobile-frontend-logged-in-homepage-notification' => 'Bun venit, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Autentificat ca $1.',
	'mobile-frontend-generic-404-title' => 'Eroare — Pagina nu a fost găsită',
	'mobile-frontend-generic-404-desc' => 'Pagina pe care o căutați nu a fost găsită.',
	'mobile-frontend-sign-up-heading' => 'Înregistrare',
	'mobile-frontend-sign-in-heading' => 'Autentificare',
	'mobile-frontend-sign-in-why' => 'Dacă aveți un cont la {{SITENAME}}, vă puteți autentifica mai jos.',
	'mobile-frontend-sign-in-error-heading' => 'Hopa!',
	'mobile-frontend-settings-description' => 'Personalizați-vă experiența pe dispozitivele mobile cu aceste setări specifice site-ului mobil.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Mod experimental',
	'mobile-frontend-settings-alpha-description' => 'Intrați pe teritoriul periculos și neexplorat al experienței mobile. Beneficiați de și mai multe caracteristici experimentale, însă cu un risc mai mare de erori.',
	'mobile-frontend-save-settings' => 'Salvare',
	'mobile-frontend-save-error' => 'Eroare la salvarea setărilor. Asigurați-vă că modulele cookie sunt activate.',
	'mobile-frontend-random-button' => 'Aleatoriu',
	'mobile-frontend-back-to-top-of-section' => 'Salt la începutul secțiunii',
	'mobile-frontend-regular-site' => 'Versiune desktop',
	'mobile-frontend-wml-continue' => 'Continuare...',
	'mobile-frontend-wml-back' => 'Înapoi...',
	'mobile-frontend-view' => 'Versiune mobilă',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-cookies-required' => 'Sunt necesare module cookie pentru a comuta între modurile de vizualizare. Activați-le și încercați din nou.',
	'mobile-frontend-opt-in-explain' => 'Prin examinarea stadiului beta, veți avea acces la caracteristici experimentale, cu riscul de a întâmpina erori și probleme.',
	'mobile-frontend-images-status' => 'Imagini',
	'mobile-frontend-disable-images' => 'Dezactivează imaginile pe site-ul mobil',
	'mobile-frontend-enable-images' => 'Activează imaginile pe site-ul mobil',
	'mobile-frontend-expand-sections-status' => 'Extinde toate secțiunile',
	'mobile-frontend-expand-sections-description' => 'Întotdeauna extinde toate secțiunile atunci când se navighează la o pagină nouă.',
	'mobile-frontend-missing-image' => 'Imagine',
	'mobile-frontend-off' => 'OPRIT',
	'mobile-frontend-on' => 'PORNIT',
	'mobile-frontend-featured-article' => 'Conținutul recomandat al zilei',
	'mobile-frontend-news-items' => 'Știri',
	'mobile-frontend-languages-404-title' => 'Eroare de limbi',
	'mobile-frontend-languages-404-desc' => 'Trebuie specificat un titlu valid.',
	'mobile-frontend-languages-header' => 'Limbi',
	'mobile-frontend-languages-nonexistent-title' => 'Pagina „$1” nu există.',
	'mobile-frontend-languages-text' => '$1 este disponibilă {{PLURAL:$2|într-o singură limbă|în $2 limbi|în $2 de limbi}}.',
	'mobile-frontend-languages-variant-header' => 'variante în {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Limbi</strong>',
	'mobile-frontend-language-article-heading' => 'Lecturare în altă limbă',
	'mobile-frontend-language-header' => 'Această pagină este disponibilă {{PLURAL:$1|într-o singură limbă|în $1 limbi|în $1 de limbi}}',
	'mobile-frontend-language-variant-header' => 'Alegeți varianta în {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Căutare limbă',
	'mobile-frontend-username' => 'Nume de utilizator:',
	'mobile-frontend-password' => 'Parolă:',
	'mobile-frontend-username-placeholder' => 'Nume de utilizator',
	'mobile-frontend-password-placeholder' => 'Parolă',
	'mobile-frontend-login' => 'Autentificare',
	'mobile-frontend-history' => 'Vizualizează istoricul modificărilor pentru această pagină.',
	'mobile-frontend-history-404-title' => 'Nicio astfel de pagină',
	'mobile-frontend-history-404-desc' => 'Nu se poate accesa istoricul unei pagini care nu există. Este posibil ca aceasta să fi fost ștearsă sau ca dumneavoastră să fi accesat o legătură greșită.',
	'mobile-frontend-history-no-results' => 'Niciun istoric nu corespunde filtrului furnizat.',
	'mobile-frontend-contribution-summary' => 'Toate modificările efectuate de {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Istoricul paginii pentru [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Ultima modificare pe $1, la $2',
	'mobile-frontend-last-modified-seconds' => 'Ultima modificare acum {{PLURAL:$1|o secundă|$1 secunde|$1 de secunde}}',
	'mobile-frontend-last-modified-minutes' => 'Ultima modificare acum {{PLURAL:$1|un minut|$1 minute|$1 de minute}}',
	'mobile-frontend-last-modified-hours' => 'Ultima modificare acum {{PLURAL:$1|o oră|$1 ore|$1 de ore}}',
	'mobile-frontend-last-modified-days' => 'Ultima modificare acum {{PLURAL:$1|o zi|$1 zile|$1 de zile}}',
	'mobile-frontend-last-modified-months' => 'Ultima modificare acum {{PLURAL:$1|o lună|$1 luni|$1 de luni}}',
	'mobile-frontend-last-modified-years' => 'Ultima modificare acum {{PLURAL:$1|un an|$1 ani|$1 de ani}}',
	'mobile-frontend-last-modified-just-now' => 'Ultima modificare efectuată chiar acum',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Ultima {{GENDER:$1|modificare}} efectuată acum {{PLURAL:$3|$3 secundă|$3 secunde|$3 de secunde}}] de către {{PLURAL:$5|[$6 $2]|0=un utilizator anonim}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Ultima {{GENDER:$1|modificare}} efectuată acum {{PLURAL:$3|$3 minut|$3 minute|$3 de minute}}] de către {{PLURAL:$5|[$6 $2]|0=un utilizator anonim}}.',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Ultima {{GENDER:$1|modificare}} efectuată acum {{PLURAL:$3|$3 oră|$3 ore|$3 de ore}}] de către {{PLURAL:$5|[$6 $2]|0=un utilizator anonim}}.',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Ultima {{GENDER:$1|modificare}} efectuată acum {{PLURAL:$3|$3 zi|$3 zile|$3 de zile}}] de către {{PLURAL:$5|[$6 $2]|0=un utilizator anonim}}.',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Ultima {{GENDER:$1|modificare}} efectuată acum {{PLURAL:$3|$3 lună|$3 luni|$3 de luni}}] de către {{PLURAL:$5|[$6 $2]|0=un utilizator anonim}}.',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Ultima {{GENDER:$1|modificare}} efectuată acum {{PLURAL:$3|$3 un|$3 ani|$3 de ani}}] de către {{PLURAL:$5|[$6 $2]|0=un utilizator anonim}}.',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Ultima {{GENDER:$1|modificare}}] efectuată chiar acum de către {{PLURAL:$4|[$5 $2]|0=un utilizator anonim}}.',
	'mobile-frontend-view-source' => 'Sursă pagină',
	'mobile-frontend-account-create-submit' => 'Înregistrare',
	'mobile-frontend-password-confirm-placeholder' => 'Confirmați parola',
	'mobile-frontend-account-create-email-placeholder' => 'Adresă de e-mail (opțională)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Introduceți codul de confirmare',
	'mobile-frontend-overlay-escape' => 'Înapoi',
	'mobile-frontend-overlay-close' => 'Închidere',
	'mobile-frontend-overlay-continue' => 'Continuare',
	'mobile-frontend-placeholder' => 'Căutare în {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Căutare în {{SITENAME}} (beta)',
	'mobile-frontend-placeholder-alpha' => 'Căutare în {{SITENAME}} (Experimental)',
	'mobile-frontend-dismiss-notification' => 'respinge această notificare',
	'mobile-frontend-clear-search' => 'Curăță',
	'mobile-frontend-search-content' => 'Căutare în corpul paginilor',
	'mobile-frontend-search-no-results' => 'Nicio pagină cu acest titlu.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' pentru a vedea dacă această expresie apare undeva.",
	'mobile-frontend-privacy-link-text' => 'Confidențialitate',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Text disponibil sub licența [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; pot exista și clauze suplimentare.',
	'mobile-frontend-copyright' => 'Conținutul este disponibil sub $1, exceptând cazurile în care se specifică altfel.',
	'mobile-frontend-footer-contact' => 'Contact',
	'mobile-frontend-terms-text' => 'Termeni de utilizare',
	'mobile-frontend-main-menu-button-tooltip' => 'Deschide meniul principal',
	'mobile-frontend-main-menu-page-title' => 'Navigare în site',
	'mobile-frontend-main-menu-featured' => 'De calitate',
	'mobile-frontend-main-menu-nearby' => 'În apropiere',
	'mobile-frontend-main-menu-login' => 'Autentificare',
	'mobile-frontend-main-menu-logout' => 'Închide sesiunea',
	'mobile-frontend-main-menu-watchlist' => 'Pagini urmărite',
	'mobile-frontend-main-menu-settings' => 'Setări',
	'mobile-frontend-main-menu-upload' => 'Încărcări',
	'mobile-frontend-main-menu-settings-heading' => 'Setări',
	'mobile-frontend-settings-site-header' => 'Limbile pentru {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} este un proiect disponibil {{PLURAL:$1|într-o singură limbă|în $1 limbi|în $1 de limbi}}. Toate versiunile disponibile sunt enumerate mai jos',
	'mobile-frontend-main-menu-account-create' => 'Creează cont',
	'mobile-frontend-page-menu-contents' => 'cuprins',
	'mobile-frontend-page-menu-history' => 'Istoric',
	'mobile-frontend-meta-data-issues-header' => 'Probleme',
	'mobile-frontend-meta-data-issues' => 'Această pagină are anumite probleme',
	'mobile-frontend-page-saving' => 'Se salvează $1',
	'mobile-frontend-user-cta' => 'Vă rugăm să vă autentificați sau să vă creați un cont pentru a vizualiza notificările.',
	'mobile-frontend-user-button-tooltip' => 'Arată-mi notificări',
	'mobile-frontend-nearby-to-page' => 'Următoarele pagini sunt asociate cu $1 în funcție de amplasarea geografică',
	'mobile-frontend-nearby-title' => 'În apropiere',
	'mobile-frontend-nearby-loading' => 'Se încarcă subiecte din apropierea dumneavoastră',
	'mobile-frontend-nearby-requirements' => 'Ne pare rău! Navigatorul dumneavoastră nu suportă funcția În apropiere a proiectului {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Încercați un alt navigator sau activați javascript în cazul în care l-ați dezactivat.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'Funcția În apropiere de la {{SITENAME}} nu poate determina locul în care vă aflați… încercați din nou?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Încercați într-o zonă deschisă cu semnal mai bun.',
	'mobile-frontend-nearby-permission' => 'Funcția În apropiere de la {{SITENAME}} nu are permisiunea de a vă accesa localizarea.',
	'mobile-frontend-nearby-permission-guidance' => 'Asigurați-vă că ați permis afișarea locului în care vă aflați. Ar putea fi nevoie să verificați setările de localizare ale navigatorului.',
	'mobile-frontend-nearby-noresults' => 'Cam liniște pe aici... Nu s-a găsit nicio pagină în apropiere.',
	'mobile-frontend-nearby-noresults-guidance' => 'Încercați să creați o pagină nouă sau să adăugați localizarea pentru una deja existentă',
	'mobile-frontend-nearby-refresh' => 'V-am determinat poziția cu o precizie mai mare. Apăsați aici pentru a reîmprospăta lista cu pagini din apropiere',
	'mobile-frontend-nearby-error' => 'Funcția În apropiere de la {{SITENAME}} întâmpină dificultăți.',
	'mobile-frontend-nearby-error-guidance' => 'Încercați să vă reîmprospătați localizarea.',
	'mobile-frontend-nearby-link' => 'Citiți această pagină în întregime',
	'mobile-frontend-nearby-directions' => 'Navighează aici',
	'mobile-frontend-donate-image-nouploads' => 'Nicio încărcare.',
	'mobile-frontend-donate-image-login' => 'Fișierele media de la {{SITENAME}} sunt donate de oameni ca dumneavoastră.',
	'mobile-frontend-donate-image-login-action' => 'Autentificați-vă pentru a vă partaja fișierele multimedia.',
	'mobile-frontend-donate-image-signup-action' => 'Înregistrați-vă pentru a vă partaja fișierele multimedia cu lumea întreagă.',
	'mobile-frontend-photo-upload-disabled' => 'Această pagină nu are nevoie de nicio imagine.',
	'mobile-frontend-photo-upload-anon' => 'Autentificați-vă pentru a adăuga o imagine în această pagină.',
	'mobile-frontend-photo-upload-protected' => 'Nu aveți permisiunea de a adăuga imagini în această pagină.',
	'mobile-frontend-photo-upload-unavailable' => 'Navigatorul dumneavoastră nu permite încărcarea imaginilor.',
	'mobile-frontend-photo-upload-generic' => 'Contribuiți cu o imagine',
	'mobile-frontend-donate-image-title' => 'Încărcări',
	'mobile-frontend-donate-image-heading' => 'Contribuțiile dumneavoastră recente',
	'mobile-frontend-donate-image-anon' => 'Un $1 este necesar pentru a vizualiza pagina cu încărcări.',
	'mobile-frontend-user-account' => 'cont de utilizator',
	'mobile-frontend-listed-image-no-description' => 'Fără descriere',
	'mobile-frontend-donate-photo-upload-success' => 'Succes! Imaginea dumneavoastră poate fi acum folosită pe {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Succes! Vă mulțumim pentru prima dumneavoastră contribuție!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Contribuiți cu imagini personale.
Faceți ca {{SITENAME}} să prindă viață!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Imaginile de pe {{SITENAME}} provin de la Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Imaginile dumneavoastră ajută la educarea oamenilor
din întreaga lume',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Evitați materialele cu drepturi de autor găsite pe Internet, precum și imagini ale posterelor, coperților de cărți etc.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Totul este clar?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Da!',
	'mobile-frontend-watchlist-add' => '$1 a fost adăugată în lista dumneavoastră de pagini urmărite',
	'mobile-frontend-watchlist-removed' => '$1 a fost eliminată din lista dumneavoastră de pagini urmărite',
	'mobile-frontend-watchlist-view' => 'Vezi lista de pagini urmărite',
	'mobile-frontend-watchlist-more' => 'mai multe',
	'mobile-frontend-watchlist-cta' => 'Urmăriți această pagină și toate modificările efectuate asupra sa.',
	'mobile-frontend-watchlist-cta-button-login' => 'Autentificare',
	'mobile-frontend-watchlist-cta-button-signup' => 'Înregistrare',
	'mobile-frontend-watchlist-purpose' => 'O listă cu pagini urmărite vă ajută să însemnați pagini și să urmăriți modificările efectuate asupra acestora.',
	'mobile-frontend-watchlist-login-action' => 'Autentificați-vă pentru a o consulta.',
	'mobile-frontend-watchlist-signup-action' => 'Înregistrați-vă pentru a începe una nouă.',
	'mobile-frontend-generic-login' => '{{SITENAME}} este un proiect clădit de oameni ca dumneavoastră.',
	'mobile-frontend-generic-login-action' => 'Autentificați-vă pentru a contribui.',
	'mobile-frontend-generic-signup-action' => 'Înregistrați-vă pentru a contribui.',
	'mobile-frontend-watch-login' => 'Adăugați $1 în lista dumneavoastră cu pagini urmărite.',
	'mobile-frontend-edit-login' => 'Ajutați la îmbunătățirea paginii $1.',
	'mobile-frontend-edit-login-action' => 'Autentificați-vă pentru a modifica.',
	'mobile-frontend-edit-signup-action' => 'Înregistrați-vă pentru a modifica.',
	'mobile-frontend-watchlist-a-z' => 'Listă',
	'mobile-frontend-watchlist-feed' => 'Modificate',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Faceți clic pe steaua din partea de sus a paginii',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Actualmente nu urmăriți nicio pagină. Lista de pagini urmărite vă ajută să țineți evidența paginilor care vă interesează. Adăugați pagini în această listă apăsând pictograma „stea”.',
	'mobile-frontend-watchlist-feed-empty' => 'Nu există pagini cu schimbări recente',
	'mobile-frontend-watchlist-back-home' => 'Înapoi acasă',
	'mobile-frontend-changeslist-ip' => 'Utilizator anonim',
	'mobile-frontend-changeslist-nocomment' => 'fără descrierea modificării',
	'mobile-frontend-watchlist-filter-all' => 'Toate',
	'mobile-frontend-watchlist-filter-articles' => 'Pagini',
	'mobile-frontend-watchlist-filter-talk' => 'Discuție',
	'mobile-frontend-watchlist-filter-other' => 'Altele',
	'mobile-frontend-watchlist-modified' => 'Modificată cu $1',
	'mobile-frontend-diffview-404-title' => 'Versiune defectuoasă',
	'mobile-frontend-diffview-404-desc' => 'ID-ul versiunii cerute nu există',
	'mobile-frontend-diffview-title' => 'Modificări',
	'mobile-frontend-diffview-editcount' => '{{PLURAL:$1|o modificare|$1 modificări|$1 de modificări}}',
	'mobile-frontend-diffview-anonymous' => 'Utilizator anonim',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|octet adăugat|octeți adăugați|de octeți adăugați}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|octet șters|octeți șterși|de octeți șterși}}',
	'mobile-frontend-diffview-explained' => 'Următoarele rânduri au fost adăugate (+) și șterse (-):',
	'mobile-frontend-thanked-notice' => '$1 {{GENDER:$2|a|a|au}} fost {{GENDER:$2|informat|informată|informați}} că {{GENDER:$2|i|i|le}}-ați apreciat modificarea.',
	'mobile-frontend-saving-exit-page' => 'Contribuția dumneavoastră încă se salvează. Dacă ieșiți, contribuțiile dumneavoastră se vor pierde. Sunteți sigur că doriți să ieșiți?',
	'mobile-frontend-photo-upload' => 'Adăugați o imagine pentru această pagină',
	'mobile-frontend-photo-article-edit-comment' => 'Adăugat imagine pentru a fi utilizată în pagină',
	'mobile-frontend-photo-article-donate-comment' => 'Contribuit cu imaginea prin Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Adăugat imagine în pagină',
	'mobile-frontend-photo-caption-placeholder' => 'Descrieți această imagine (obligatoriu)',
	'mobile-frontend-photo-ownership' => 'Eu, $1, am creat această imagine.',
	'mobile-frontend-photo-ownership-help' => 'Ce înseamnă acest lucru?',
	'mobile-frontend-photo-ownership-confirm' => 'Am înțeles!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Asigurați-vă că imaginea dumneavoastră poate ajuta la ilustrarea paginii. Ar trebui să fie o imagine creată de dumneavoastră și care nu încalcă drepturile de autor.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Începeți să încărcați',
	'mobile-frontend-photo-upload-error' => 'Eroare; reîncercați.',
	'mobile-frontend-photo-upload-error-file-type' => 'Vă rugăm să încărcați doar imagini.',
	'mobile-frontend-photo-upload-error-filename' => 'Eroare: furnizați un nume mai descriptiv.',
	'mobile-frontend-photo-upload-success-article' => 'Succes! Imaginea dumneavoastră este acum afișată pe această pagină.',
	'mobile-frontend-photo-license' => 'Încărcând această imagine sunteți de acord cu [//wikimediafoundation.org/wiki/Terms_of_use Termenii noștri de utilizare] și sunteți de acord ca imaginea dumneavoastră să fie eliberată sub licența [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Atribuire și distribuire în condiții identice 3.0].',
	'mobile-frontend-photo-submit' => 'Trimite',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> încărcare|<span>$1</span> încărcări|<span>$1</span> de încărcări}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ încărcări',
	'mobile-frontend-image-heading-describe' => "'''Descrieți''' imaginea",
	'mobile-frontend-image-uploading' => "'''Se încarcă''' imaginea...",
	'mobile-frontend-image-cancel-confirm' => 'Anulați încărcarea?',
	'mobile-frontend-editor-redirect-title' => 'Redirecționare către editor...',
	'mobile-frontend-editor-unavailable-header' => 'Editor indisponibil',
	'mobile-frontend-editor-unavailable' => 'Modificarea prin site-ul mobil nu este actualmente disponibilă pentru navigatorul dumneavoastră. Încercați cu un alt navigator.',
	'mobile-frontend-editor-undo-unsupported' => 'Anularea nu este acceptată în prezent pe dispozitivele mobile.',
	'mobile-frontend-editor-newpage-prompt' => 'Această pagină nu există. De ce nu ați fi îndrăzneț și să o creați?',
	'mobile-frontend-editor-disabled' => 'Această pagină este protejată pentru a preveni vandalismul.',
	'mobile-frontend-editor-blocked' => 'Contul dumneavoastră este blocat de la modificare.',
	'mobile-frontend-editor-cta' => 'Ajutați la îmbunătățirea acestei pagini!',
	'mobile-frontend-editor-edit' => 'Modificare',
	'mobile-frontend-editor-continue' => 'Continuă',
	'mobile-frontend-editor-save' => 'Salvare',
	'mobile-frontend-editor-cancel' => 'Revocare',
	'mobile-frontend-editor-keep-editing' => 'Rămâi la editare',
	'mobile-frontend-editor-license' => 'Salvând modificările sunteți de acord cu [//wikimediafoundation.org/wiki/Terms_of_use Termenii noștri de utilizare] și acceptați să vă eliberați textul sub licența [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0] și [//ro.wikipedia.org/wiki/Wikipedia:GNU_FDL GFDL].',
	'mobile-frontend-editor-placeholder' => 'Această secțiune este necompletată. Fiți primul care o extinde!',
	'mobile-frontend-editor-summary-placeholder' => 'Spuneți-ne ce anume ați modificat (opțional)',
	'mobile-frontend-editor-cancel-confirm' => 'Doriți, într-adevăr, să vă abandonați modificarea?',
	'mobile-frontend-editor-wait' => 'Se salvează modificarea; vă rugăm să așteptați.',
	'mobile-frontend-editor-success' => 'Succes! Modificarea dumneavoastră a fost salvată.',
	'mobile-frontend-editor-success-landmark-1' => 'Felicitări, acum sunteți editor la {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Eroare; modificarea nu a fost salvată.',
	'mobile-frontend-editor-error-conflict' => 'Eroare; un alt utilizator a modificat această pagină.',
	'mobile-frontend-editor-error-loading' => 'Eroare; nu se poate încărca secțiunea.',
	'mobile-frontend-editor-error-preview' => 'Eroare: ceva neașteptat a apărut în timp ce se încărca previzualizarea. Închideți și încercați din nou.',
	'mobile-frontend-editor-tutorial-summary' => 'Nu vă fie teamă de codurile sursă. Încercați să îmbunătățiți pagina $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'De ce să nu îmbunătățiți pagina $1? Nu vă fie teamă de codurile sursă!',
	'mobile-frontend-editor-tutorial-confirm' => 'Începeți să modificați',
	'mobile-frontend-editor-tutorial-cancel' => 'Nu, mulțumesc',
	'mobile-frontend-editor-captcha-try-again' => 'Cod eronat; reîncercați.',
	'mobile-frontend-editor-abusefilter-warning' => 'Atenție: Sunteți sigur(ă) că doriți să salvați această modificare? Este posibil ca aceasta să prezinte probleme.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Modificarea nu poate fi salvată întrucât am detectat o problemă.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Citiți mai mult',
	'mobile-frontend-editor-editing-page' => '<strong>Se modifică</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Se previzualizează</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Se vizualizează sursa pentru</strong><span> $1</span>',
	'tag-mobile_edit' => 'Modificare mobilă',
	'tag-mobile_edit-description' => 'Modificare efectuată de pe site-ul mobil',
	'mobile-frontend-drawer-cancel' => 'Revocare',
	'mobile-frontend-talk-explained' => 'Următoarele conversații sunt active în prezent',
	'mobile-frontend-talk-explained-empty' => 'Nu există conversații vizavi de această pagină.',
	'mobile-frontend-talk-overlay-header' => 'Discuție',
	'mobile-frontend-talk-back-to-page' => 'Înapoi la pagina „$1”.',
	'mobile-frontend-talk-overlay-lead-header' => 'Discuție neintitulată',
	'mobile-frontend-talk-add-overlay-submit' => 'Adăugare discuție',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Subiectul rubricii',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Ce aveți de spus?',
	'mobile-frontend-talk-edit-summary' => 'Secțiune de discuție nouă: $1',
	'mobile-frontend-talk-reply-success' => 'Răspunsul dumneavoastră a fost înregistrat cu succes în pagina de discuții.',
	'mobile-frontend-talk-reply-info' => 'Rețineți că răspunsul dumneavoastră va fi semnat în mod automat cu numele dumneavoastră de utilizator.',
	'mobile-frontend-talk-reply' => 'Răspuns',
	'mobile-frontend-talk-topic-feedback' => 'Subiect nou adăugat pe pagina de discuții!',
	'mobile-frontend-media-details' => 'Detalii',
	'mobile-frontend-media-license-link' => 'Informații despre licențiere',
	'abusefilter-edit-builder-vars-user-mobile' => 'Dacă un utilizator modifică sau nu prin intermediul interfeței mobile',
	'mobile-frontend-profile-title' => 'Profil utilizator',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Încărcată}} {{PLURAL:$1|ieri|acum $1 zile|acum $1 de zile|0=astăzi}}.',
	'mobile-frontend-profile-usertalk' => 'Discutați cu {{GENDER:$1|$1}}',
	'mobile-frontend-profile-error' => 'Oh, nu!',
	'mobile-frontend-profile-noargs' => 'Nu s-a specificat niciun nume de utilizator. Furnizați un nume de utilizator pentru a vizualiza un profil.',
	'mobile-frontend-profile-nouser' => 'Nu există niciun utilizator cu acest nume. Numele de utilizator sunt sensibile la majuscule, drept pentru care verificați dacă ați tastat corect.',
	'mobile-frontend-profile-activity-heading' => 'Activitate recentă',
	'mobile-frontend-profile-userpage-link' => 'Vizitează pagina de utilizator.',
	'mobile-frontend-requires-optin' => 'Această pagină este disponibilă doar dacă alegeți modul beta. Accesați [[Special:MobileOptions|pagina cu setări]] pentru a comuta la beta.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Mulțumit}} {{GENDER:$1|de către}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|A modificat}} pagina [[:$1]] {{PLURAL:$2|ieri|acum $2 zile|acum $2 de zile|0=în cursul zilei de astăzi}}.',
	'mobile-frontend-profile-footer-days' => 'S-a alăturat acum {{PLURAL:$2|o zi|$2 zile|$2 de zile}}, având [[Special:Contributions/$1|{{PLURAL:$3|o modificare|$3 modificări|$3 de modificări}}]] și [[Special:Uploads/$1|{{PLURAL:$4|o încărcare|$4 încărcări|500=500+ încărcări}}]] la activ.',
	'mobile-frontend-profile-footer-months' => 'S-a alăturat cu mai mult de {{PLURAL:$2|o lună|$2 luni|$2 de luni}} în urmă, având [[Special:Contributions/$1|{{PLURAL:$3|o modificare|$3 modificări|$3 de modificări}}]] și [[Special:Uploads/$1|{{PLURAL:$4|o încărcare|$4 încărcări|500=500+ încărcări}}]] la activ.',
	'mobile-frontend-profile-footer-years' => 'S-a alăturat cu mai mult de {{PLURAL:$2|un an|$2 ani|$2 de ani}} în urmă, având [[Special:Contributions/$1|{{PLURAL:$3|o modificare|$3 modificări|$3 de modificări}}]] și [[Special:Uploads/$1|{{PLURAL:$4|o încărcare|$4 încărcări|500=500+ încărcări}}]] la activ.',
	'mobile-frontend-geonotahack' => 'În apropierea acestei pagini',
	'beta-feature-geonotahack' => 'În apropierea acestei pagini',
	'beta-feature-geonotahack-description' => 'Descoperă pagini care sunt, din punct de vedere geografic, în apropierea conținutului paginii pe care o lecturați acum.',
	'mobile-frontend-mainpage-cta-prompt' => 'Această pagină are nevoie de ajutorul dumneavoastră!',
	'mobile-frontend-mainpage-cta-button' => 'Îmbunătățiți această pagină',
	'beta-feature-minerva' => 'Activează interfața mobilă (Minerva) pe desktop',
	'beta-feature-minerva-description' => 'Permite ca interfața utilizată pe dispozitivele mobile să poată fi selectată și pe desktop din cadrul filei cu preferințe pentru aspect.',
);

/** tarandíne (tarandíne)
 * @author Joetaras
 */
$messages['roa-tara'] = array(
	'mobilefrontend-random-cancel' => 'Lassame leggere!',
	'mobile-frontend-desc' => "Grafeche d'u Mobile",
	'mobile-frontend-search-submit' => 'Véje',
	'mobile-frontend-home-button' => 'Cáse',
	'mobile-frontend-logged-out' => 'Non ge sì collegate',
	'mobile-frontend-logged-in-homepage-notification' => 'Bovègne, $1!',
	'mobile-frontend-logged-in-toast-notification' => "E' trasute cumme $1",
	'mobile-frontend-sign-up-heading' => 'Reggistrate',
	'mobile-frontend-sign-in-heading' => 'Tràse',
	'mobile-frontend-sign-in-error-heading' => 'Ooooooh',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Mode sperimendale',
	'mobile-frontend-save-settings' => 'Reggistre',
	'mobile-frontend-random-button' => 'A uecchije',
	'mobile-frontend-back-to-top-of-section' => "Zumbe rrete a 'na sezione",
	'mobile-frontend-regular-site' => 'Visione da combiuter da tavole',
	'mobile-frontend-wml-continue' => 'Condinue ...',
	'mobile-frontend-wml-back' => 'Rrete ...',
	'mobile-frontend-view' => "Viste d'u mobile",
	'mobile-frontend-view-mobile' => 'Mobile',
	'mobile-frontend-opt-in-explain' => "Trasenne jndr'à beta, tu puè ausà le funzionalità sperimendale, rischianne de acchià errore e casine varie.",
	'mobile-frontend-images-status' => 'Immaggine',
	'mobile-frontend-disable-images' => "Disabbilite le immaggine sus a 'u site mobile",
	'mobile-frontend-enable-images' => "Abbilite le immaggine sus a 'u site mobile",
	'mobile-frontend-missing-image' => 'Immaggine',
	'mobile-frontend-off' => 'Stute',
	'mobile-frontend-on' => 'Appizzeche',
	'mobile-frontend-featured-article' => 'Vôsce dettagliate de osce',
	'mobile-frontend-news-items' => "Jndr'à le notizie",
	'mobile-frontend-language-article-heading' => "Ligge jndr'à 'n'otra lènghe",
	'mobile-frontend-language-header' => "Sta vôsce jè disponibbele jndr'à $1 {{PLURAL:$1|lènghe}}",
	'mobile-frontend-language-variant-header' => "Scacchie 'a variande {{#language:{{CONTENTLANG}}}}",
	'mobile-frontend-language-site-choose' => "Cirche 'a lènghe",
	'mobile-frontend-username' => 'Nome utende:',
	'mobile-frontend-password' => 'Passuord:',
	'mobile-frontend-username-placeholder' => 'Nome utende',
	'mobile-frontend-password-placeholder' => 'Passuord',
	'mobile-frontend-login' => 'Tràse',
	'mobile-frontend-last-modified-date' => "Urteme cangiamende 'u $1, a le $2",
	'mobile-frontend-last-modified-seconds' => 'Urteme cangiamende {{PLURAL:$1|$1 seconde}} fà',
	'mobile-frontend-last-modified-minutes' => 'Urteme cangiamende {{PLURAL:$1|$1 minute|}} fà',
	'mobile-frontend-last-modified-hours' => 'Urteme cangiamende {{PLURAL:$1|$1 ore}} fà',
	'mobile-frontend-last-modified-days' => 'Urteme cangiamende {{PLURAL:$1|$1 sciurne}} fà',
	'mobile-frontend-last-modified-months' => 'Urteme cangiamende {{PLURAL:$1|$1 mese|$1 mise}} fà',
	'mobile-frontend-last-modified-years' => 'Urteme cangiamende {{PLURAL:$1|$1 anne}} fà',
	'mobile-frontend-account-create-submit' => 'Reggistrate',
	'mobile-frontend-password-confirm-placeholder' => "Conferme 'a passuord",
	'mobile-frontend-account-create-email-placeholder' => 'Indirizze email (opzionale)',
	'mobile-frontend-account-create-captcha-placeholder' => "Mitte 'u codece de securezze",
	'mobile-frontend-overlay-escape' => 'Tuèrne rrete',
	'mobile-frontend-overlay-close' => 'Achiude',
	'mobile-frontend-overlay-continue' => 'Condinue',
	'mobile-frontend-placeholder' => 'Cirche {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Cirche {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Cirche {{SITENAME}} (Sperimendale)',
	'mobile-frontend-dismiss-notification' => 'live sta notificazione',
	'mobile-frontend-clear-search' => 'Pulizze',
	'mobile-frontend-privacy-link-text' => 'Privacy',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-contact' => 'Condatte',
	'mobile-frontend-main-menu-button-tooltip' => "Iapre 'u menu prengepàle",
	'mobile-frontend-main-menu-featured' => 'Dettagliate',
	'mobile-frontend-main-menu-nearby' => 'Vicine a',
	'mobile-frontend-main-menu-login' => 'Tràse',
	'mobile-frontend-main-menu-logout' => 'Isse',
	'mobile-frontend-main-menu-settings' => "'Mbostaziune",
	'mobile-frontend-main-menu-upload' => 'Carecaminde',
	'mobile-frontend-main-menu-settings-heading' => "'Mbostaziune",
	'mobile-frontend-settings-site-header' => 'Lènghe de {{SITENAME}}',
	'mobile-frontend-main-menu-account-create' => "Ccreje 'nu cunde utende",
	'mobile-frontend-page-menu-contents' => 'condenute',
	'mobile-frontend-page-menu-history' => 'Cunde',
	'mobile-frontend-meta-data-issues-header' => 'Argominde',
	'mobile-frontend-page-saving' => 'Stoche a reggìstre $1',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-photo-upload-generic' => "Condrebbuisce a 'n'immaggine",
	'mobile-frontend-donate-image-title' => 'Carecaminde',
	'mobile-frontend-donate-image-heading' => 'Le condrebbute recende tune',
	'mobile-frontend-listed-image-no-description' => 'Nisciuna descrizione',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Pigghiale?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Sìne!',
	'mobile-frontend-watchlist-add' => "Aggiunde $1 a l'elenghe de le pàggene condrollate",
	'mobile-frontend-watchlist-removed' => "Luate $1 da l'elenghe de le pàggene condrollate",
	'mobile-frontend-watchlist-view' => "'Ndruche le pàggene condrollate tune",
	'mobile-frontend-watchlist-more' => 'de cchiù',
	'mobile-frontend-watchlist-cta-button-login' => 'Tràse',
	'mobile-frontend-watchlist-cta-button-signup' => 'Reggistrate',
	'mobile-frontend-watchlist-login-action' => "Tràse pe 'ndrucarle.",
	'mobile-frontend-watchlist-a-z' => 'Elenghe',
	'mobile-frontend-watchlist-feed' => 'Cangiate',
	'mobile-frontend-changeslist-ip' => 'Utende anonime',
	'mobile-frontend-watchlist-filter-all' => 'Tutte',
	'mobile-frontend-watchlist-filter-articles' => 'Pàggene',
	'mobile-frontend-watchlist-filter-talk' => "'Ngazzamende",
	'mobile-frontend-watchlist-filter-other' => 'Otre',
	'mobile-frontend-watchlist-modified' => 'Cangiate $1',
	'mobile-frontend-diffview-404-title' => 'Revisione brutte',
	'mobile-frontend-diffview-title' => 'Cangiaminde',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|cangiamende|cangiaminde}}',
	'mobile-frontend-diffview-anonymous' => 'Utende anonime',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte}} aggiunde',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte}} luate',
	'mobile-frontend-photo-caption-placeholder' => "Descrive st'immaggine (richieste)",
	'mobile-frontend-photo-ownership-confirm' => 'Pigghiale!',
	'mobile-frontend-photo-upload-error' => 'Errore, pruève arrete.',
	'mobile-frontend-photo-submit' => 'Conferme',
	'mobile-frontend-editor-edit' => 'Cange',
	'mobile-frontend-editor-continue' => 'Condinue',
	'mobile-frontend-editor-save' => 'Reggìstre',
	'mobile-frontend-editor-cancel' => 'Annulle',
	'mobile-frontend-editor-keep-editing' => "Mandìne 'u cangiamende",
	'mobile-frontend-drawer-cancel' => 'Annulle',
);

/** Russian (русский)
 * @author AlexSm
 * @author Amire80
 * @author Biathlon
 * @author Bouron
 * @author DCamer
 * @author DR
 * @author Dim Grits
 * @author Eleferen
 * @author Express2000
 * @author KPu3uC B Poccuu
 * @author Kaganer
 * @author Lockal
 * @author MaxSem
 * @author NBS
 * @author Okras
 * @author Ole Yves
 * @author Rave
 * @author ShinePhantom
 * @author Александр Сигачёв
 */
$messages['ru'] = array(
	'mobilefrontend-random-explain' => 'Эта случайная страница заинтересовала вас?',
	'mobilefrontend-random-cancel' => 'Хочу почитать!',
	'mobilefrontend-keepgoing-ask' => 'Отлично! У вас всё получилось! Хотите попробовать отредактировать другую страницу?',
	'mobilefrontend-keepgoing-ask-first' => 'Поздравляем с первой правкой! Вы хотите попробовать отредактировать другую страницу?',
	'mobilefrontend-keepgoing-explain' => 'Прекрасно! Другой пользователь сказал, что на этой странице нужна помощь. Попробуйте её или какую-нибудь другую.',
	'mobilefrontend-keepgoing-cancel' => 'Нет, спасибо',
	'mobilefrontend-keepgoing-suggest' => 'Да, пожалуйста',
	'mobilefrontend-keepgoing-suggest-again' => 'Попробовать другую',
	'mobilefrontend-keepgoing-saved-title' => 'Правка сохранена!',
	'mobilefrontend-keepgoing-links-title' => 'Добавить ссылки',
	'mobilefrontend-keepgoing-links-ask-first' => 'Поздравляем вас с вашей первой правкой! Вы хотели бы помочь, добавив ссылки на недавно созданной странице?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Исправить другую страницу?',
	'mobilefrontend-keepgoing-links-explain' => 'Найдите ещё слова, которые могли бы быть ссылками. Добавьте двойные скобки вокруг слова.',
	'mobilefrontend-keepgoing-links-example' => 'например, $1гитара$2 станет $3гитара$4',
	'nearby' => 'Страницы об объектах поблизости',
	'mobile-frontend-desc' => 'Мобильный интерфейс',
	'mobile-frontend-search-submit' => 'Перейти',
	'mobile-frontend-home-button' => 'Домой',
	'mobile-frontend-logged-out' => 'Вы не авторизованы',
	'mobile-frontend-logged-in-homepage-notification' => 'Добро пожаловать, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Вошёл как $1.',
	'mobile-frontend-generic-404-title' => 'Ошибкаː страница не найдена',
	'mobile-frontend-generic-404-desc' => 'Не удалось найти страницу, которую вы ищете.',
	'mobile-frontend-sign-up-heading' => 'Зарегистрироваться',
	'mobile-frontend-sign-in-heading' => 'Войти',
	'mobile-frontend-sign-in-why' => 'Если у вас уже есть учётная запись в проекте {{SITENAME}}, вы можете представиться системе ниже.',
	'mobile-frontend-sign-in-error-heading' => 'Ой!',
	'mobile-frontend-settings-description' => 'Используйте эти специальные настройки мобильной версии для повышения удобства использования сайта на своём мобильном устройстве.',
	'mobile-frontend-settings-beta' => 'Бета-версия',
	'mobile-frontend-settings-alpha' => 'Экспериментальный режим',
	'mobile-frontend-settings-alpha-description' => 'Войдите в опасную и неиследованную мобильную территорию. Получите ещё больше экспериментальных возможностей, но и большую опасность возникновения ошибок.',
	'mobile-frontend-save-settings' => 'Сохранить',
	'mobile-frontend-save-error' => 'Ошибка при сохранении настроек. Пожалуйста, убедитесь, что у вас включены файлы cookie.',
	'mobile-frontend-random-button' => 'Случайная',
	'mobile-frontend-back-to-top-of-section' => 'Вернуться к предыдущему разделу',
	'mobile-frontend-regular-site' => 'Обычная версия',
	'mobile-frontend-wml-continue' => 'Далее ...',
	'mobile-frontend-wml-back' => 'Назад ...',
	'mobile-frontend-view' => 'Мобильная версия',
	'mobile-frontend-view-desktop' => 'Стационарный',
	'mobile-frontend-view-mobile' => 'Мобильный',
	'mobile-frontend-cookies-required' => 'Для переключения режимов просмотра требуются файлы cookie. Пожалуйста, включите их и повторите попытку.',
	'mobile-frontend-opt-in-explain' => 'Присоединившись к бета-тестированию, вы получите доступ к некоторым экспериментальным функциям, но увеличится и  ваш риск встретиться с ошибкой или проблемой.',
	'mobile-frontend-images-status' => 'Изображения',
	'mobile-frontend-disable-images' => 'Отключить изображения на мобильном сайте',
	'mobile-frontend-enable-images' => 'Включить изображения на мобильном сайте',
	'mobile-frontend-expand-sections-status' => 'Раскрыть все разделы',
	'mobile-frontend-expand-sections-description' => 'Всегда раскрывать все разделы при переходе на новую страницу.',
	'mobile-frontend-missing-image' => 'Изображение',
	'mobile-frontend-off' => 'ВЫКЛ',
	'mobile-frontend-on' => 'ВКЛ',
	'mobile-frontend-featured-article' => 'Избранный материал дня',
	'mobile-frontend-news-items' => 'Новости',
	'mobile-frontend-languages-404-title' => 'Языковая ошибка',
	'mobile-frontend-languages-404-desc' => 'Необходимо указать корректный заголовок.',
	'mobile-frontend-languages-header' => 'Языки',
	'mobile-frontend-languages-nonexistent-title' => 'Страница «$1» не существует.',
	'mobile-frontend-languages-text' => '$1 существует на $2 {{PLURAL:$2|языке|языках}}.',
	'mobile-frontend-languages-variant-header' => 'варианты {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Языки</strong>',
	'mobile-frontend-language-article-heading' => 'Читать на другом языке',
	'mobile-frontend-language-header' => 'Эта страница существует на $1 {{PLURAL:$1|языке|языках}}',
	'mobile-frontend-language-variant-header' => 'Выберите вариант {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Поиск языка',
	'mobile-frontend-username' => 'Имя участника:',
	'mobile-frontend-password' => 'Пароль:',
	'mobile-frontend-username-placeholder' => 'Имя участника',
	'mobile-frontend-password-placeholder' => 'Пароль',
	'mobile-frontend-login' => 'Войти',
	'mobile-frontend-history' => 'Посмотреть историю изменений этой страницы.',
	'mobile-frontend-history-404-title' => 'Нет такой страницы',
	'mobile-frontend-history-404-desc' => 'Невозможно посмотреть историю страницы, которая не существует. Она может быть удалена или вы могли пройти по неверной ссылке.',
	'mobile-frontend-history-no-results' => 'По заданному фильтру в истории ничего не найдено.',
	'mobile-frontend-contribution-summary' => 'Все правки, сделанные {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'История изменений страницы [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Последние изменения на $2 $1',
	'mobile-frontend-last-modified-seconds' => 'Последние изменения были сделаны {{PLURAL:$1|$1 секунду|$1 секунд|$1 секунды}} назад',
	'mobile-frontend-last-modified-minutes' => 'Последние изменения были сделаны {{PLURAL:$1|$1 минуту|$1 минут|$1 минуты|1=минуту}} назад',
	'mobile-frontend-last-modified-hours' => 'Последние изменения были сделаны {{PLURAL:$1|$1 час|$1 часов|$1 часа|1=час}} назад',
	'mobile-frontend-last-modified-days' => 'Последние изменения были сделаны {{PLURAL:$1|$1 день назад|$1 дней назад|$1 дня назад|1=вчера}}',
	'mobile-frontend-last-modified-months' => 'Последние изменения были сделаны {{PLURAL:$1|$1 месяц|$1 месяцев|$1 месяца|1=месяц}} назад',
	'mobile-frontend-last-modified-years' => 'Последние изменения были сделаны {{PLURAL:$1|$1 год|$1 лет|$1 года|1=год}} назад',
	'mobile-frontend-last-modified-just-now' => 'Последнее изменение внесено прямо сейчас',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Последняя {{GENDER:$1|правка}} сделана {{PLURAL:$3|$3 секунду|$3 секунд|$3 секунды|1=секунду}} назад] {{PLURAL:$5|участником [$6 $2]|0=анонимным участником}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Последняя {{GENDER:$1|правка}} сделана {{PLURAL:$3|$3 минуту|$3 минут|$3 минуты|1=минуту}} назад] {{PLURAL:$5|участником [$6 $2]|0=анонимным участником}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Последняя {{GENDER:$1|правка}} сделана {{PLURAL:$3|$3 час|$3 часов|$3 часа|1=час}} назад] {{PLURAL:$5|участником [$6 $2]|0=анонимным участником}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Последняя {{GENDER:$1|правка}} сделана {{PLURAL:$3|$3 день назад|$3 дней назад|$3 дня назад|1=вчера}}] {{PLURAL:$5|участником [$6 $2]|0=анонимным участником}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Последняя {{GENDER:$1|правка}} сделана {{PLURAL:$3|$3 месяц|$3 месяцев|$3 месяца|1=месяц}} назад] {{PLURAL:$5|участником [$6 $2]|0=анонимным участником}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Последняя {{GENDER:$1|правка}} сделана {{PLURAL:$3|$3 год|$3 лет|$3 года|1=год}} назад] {{PLURAL:$5|участником [$6 $2]|0=анонимным участником}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Последняя {{GENDER:$1|правка}}] сделана только что {{PLURAL:$4|участником [$5 $2]|0=анонимным участником}}',
	'mobile-frontend-view-source' => 'Просмотр разметки',
	'mobile-frontend-account-create-submit' => 'Зарегистрироваться',
	'mobile-frontend-password-confirm-placeholder' => 'Подтвердите пароль',
	'mobile-frontend-account-create-email-placeholder' => 'Адрес электронной почты (необязательно)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Введите код подтверждения',
	'mobile-frontend-overlay-escape' => 'Вернуться назад',
	'mobile-frontend-overlay-close' => 'Закрыть',
	'mobile-frontend-overlay-continue' => 'Продолжить',
	'mobile-frontend-placeholder' => 'Искать в {{grammar:prepositional|{{SITENAME}}}}',
	'mobile-frontend-placeholder-beta' => 'Поиск по {{grammar:genitive|{{SITENAME}}}} (бета-версия)',
	'mobile-frontend-placeholder-alpha' => 'Поиск по {{grammar:genitive|{{SITENAME}}}} (экспериментально)',
	'mobile-frontend-dismiss-notification' => 'скрыть это уведомление',
	'mobile-frontend-clear-search' => 'Очистить',
	'mobile-frontend-search-content' => 'Искать на страницах',
	'mobile-frontend-search-no-results' => 'Нет страниц с таким названием.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''', чтобы увидеть, встречается ли где-то эта фраза.",
	'mobile-frontend-privacy-link-text' => 'Конфиденциальность',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Содержание доступно по лицензии [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0], могут применяться дополнительные условия.',
	'mobile-frontend-copyright' => 'Содержимое доступно в соответствии с $1, если не указано иное.',
	'mobile-frontend-footer-contact' => 'Контактная информация',
	'mobile-frontend-terms-text' => 'Условия использования',
	'mobile-frontend-main-menu-button-tooltip' => 'Открыть главное меню',
	'mobile-frontend-main-menu-page-title' => 'Навигация по сайту',
	'mobile-frontend-main-menu-featured' => 'Избранное',
	'mobile-frontend-main-menu-nearby' => 'Рядом',
	'mobile-frontend-main-menu-login' => 'Представиться системе',
	'mobile-frontend-main-menu-logout' => 'Выйти',
	'mobile-frontend-main-menu-watchlist' => 'Список наблюдения',
	'mobile-frontend-main-menu-settings' => 'Настройки',
	'mobile-frontend-main-menu-upload' => 'Загрузки',
	'mobile-frontend-main-menu-settings-heading' => 'Настройки',
	'mobile-frontend-settings-site-header' => 'Языки проекта «{{SITENAME}}»',
	'mobile-frontend-settings-site-description' => 'Проект «{{SITENAME}}» доступен на $1 {{PLURAL:$1|языке|языках}}. Ниже перечислены все доступные версии',
	'mobile-frontend-main-menu-account-create' => 'Создать учётную запись',
	'mobile-frontend-page-menu-contents' => 'содержание',
	'mobile-frontend-page-menu-history' => 'История',
	'mobile-frontend-meta-data-issues-header' => 'Вопросы',
	'mobile-frontend-meta-data-issues' => 'Насчёт данной страницы имеются вопросы.',
	'mobile-frontend-page-saving' => 'Сохранение $1',
	'mobile-frontend-user-cta' => 'Пожалуйста, войдите или зарегистрируйтесь, чтобы увидеть ваши уведомления.',
	'mobile-frontend-user-button-tooltip' => 'Показать мои уведомления',
	'mobile-frontend-nearby-to-page' => 'Эти страницы связаны с $1 своим географическим расположением',
	'mobile-frontend-nearby-title' => 'Рядом',
	'mobile-frontend-nearby-loading' => 'Загрузка информации о том, что находится невдалеке от вас',
	'mobile-frontend-nearby-requirements' => 'Извините! Ваш браузер не поддерживает работу с {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Попробуйте использовать другой браузер или включите JavaScript, если вы отключили его.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 км}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 м}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} не может выяснить, где вы находитесь… Попробовать ещё раз?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Попробуйте найти открытую местность с более лучшей связью.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} не имеет разрешения на доступ к определению вашего местоположения',
	'mobile-frontend-nearby-permission-guidance' => 'Пожалуйста, убедитесь, что вы даёте разрешение на показ своего местоположения. Возможно, вам нужно проверить настройки определения местоположения вашего браузера.',
	'mobile-frontend-nearby-noresults' => 'Что-то тихо здесь… Поблизости нет ни одной страницы.',
	'mobile-frontend-nearby-noresults-guidance' => 'Попробуйте создать новую страницу или добавить местоположение к уже существующей',
	'mobile-frontend-nearby-refresh' => 'Мы определили ваше местоположение точнее. Нажмите здесь, чтобы обновить список ближайших страниц',
	'mobile-frontend-nearby-error' => 'У {{SITENAME}} возникли некоторые проблемы.',
	'mobile-frontend-nearby-error-guidance' => 'Попробуйте обновить ваше местоположение.',
	'mobile-frontend-nearby-link' => 'Прочитайте эту страницу целиком',
	'mobile-frontend-nearby-directions' => 'Перейдите сюда',
	'mobile-frontend-donate-image-nouploads' => 'Нет загрузок.',
	'mobile-frontend-donate-image-login' => 'Медиафайлы проекту «{{SITENAME}}» дарят такие же люди, как и вы.',
	'mobile-frontend-donate-image-login-action' => 'Войдите, чтоб поделиться своими мультимедиа-файлами.',
	'mobile-frontend-donate-image-signup-action' => 'Зарегистрируйтесь, чтоб поделиться своими мультимедиа-файлами со всем миром.',
	'mobile-frontend-photo-upload-disabled' => 'Для этой страницы не нужно изображение.',
	'mobile-frontend-photo-upload-anon' => 'Пожалуйста, представьтесь системе, чтобы добавить изображение на эту страницу.',
	'mobile-frontend-photo-upload-protected' => 'У вас недостаточно прав для добавления изображения на эту страницу.',
	'mobile-frontend-photo-upload-unavailable' => 'Ваш браузер не поддерживает загрузку изображений.',
	'mobile-frontend-photo-upload-generic' => 'Пожертвовать изображение',
	'mobile-frontend-donate-image-title' => 'Загрузки',
	'mobile-frontend-donate-image-heading' => 'Ваши последние правки',
	'mobile-frontend-donate-image-anon' => 'Для просмотра страницы закачек требуется $1.',
	'mobile-frontend-user-account' => 'учётная запись',
	'mobile-frontend-listed-image-no-description' => 'Нет описания',
	'mobile-frontend-donate-photo-upload-success' => 'Получилось! Ваше изображние может быть использован на сайте {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Получилось! Спасибо за ваш вклад!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Присылайте ваши изображения. Помогите оживить сайт {{SITENAME}}!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Изображения для сайта {{SITENAME}} располагаются на Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Ваши изображения помогают образованию людей во всём мире.',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Избегайте материалов, найденных в интернете и защищённых авторским правом, а также изображений плакатов, книжных обложек и т.п.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Понятно?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Да!',
	'mobile-frontend-watchlist-add' => '$1 добавлена в ваш список наблюдения',
	'mobile-frontend-watchlist-removed' => '$1 удалена из вашего списка наблюдения',
	'mobile-frontend-watchlist-view' => 'Просмотреть свой список наблюдения',
	'mobile-frontend-watchlist-more' => 'далее',
	'mobile-frontend-watchlist-cta' => 'Следить за этой страницей, и всеми изменениями на ней.',
	'mobile-frontend-watchlist-cta-button-login' => 'Представиться',
	'mobile-frontend-watchlist-cta-button-signup' => 'Зарегистрироваться',
	'mobile-frontend-watchlist-purpose' => 'Список наблюдения помогает вам делать закладки на страницы и отслеживать изменения в них.',
	'mobile-frontend-watchlist-login-action' => 'Войдите, чтобы увидеть его.',
	'mobile-frontend-watchlist-signup-action' => 'Зарегистрируйтесь, чтобы начать сейчас.',
	'mobile-frontend-generic-login' => 'Сайт {{SITENAME}} сделан такими же людьми, как вы.',
	'mobile-frontend-generic-login-action' => 'Авторизуйтесь, чтобы внести свой вклад.',
	'mobile-frontend-generic-signup-action' => 'Зарегистрируйтесь, чтобы внести свой вклад.',
	'mobile-frontend-watch-login' => 'Добавить $1 в ваш список наблюдения',
	'mobile-frontend-edit-login' => 'Помогите улучшить страницу $1.',
	'mobile-frontend-edit-login-action' => 'Войдите для редактирования.',
	'mobile-frontend-edit-signup-action' => 'Зарегистрируйтесь для редактирования.',
	'mobile-frontend-watchlist-a-z' => 'Список',
	'mobile-frontend-watchlist-feed' => 'Изменено',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Нажмите на звёздочку в верхней части страницы',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'В настоящее время вы не следите ни за какими страницами. Ваш список наблюдения помогает отслеживать страницы, которые вам интересны. Следите за страницами, нажав на иконку с изображением звёздочки.',
	'mobile-frontend-watchlist-feed-empty' => 'Отсутствуют страницы с последними изменениями',
	'mobile-frontend-watchlist-back-home' => 'Домой',
	'mobile-frontend-changeslist-ip' => 'Анонимный участник',
	'mobile-frontend-changeslist-nocomment' => 'Нет описания правки',
	'mobile-frontend-watchlist-filter-all' => 'Всё',
	'mobile-frontend-watchlist-filter-articles' => 'Страницы',
	'mobile-frontend-watchlist-filter-talk' => 'Обсуждения',
	'mobile-frontend-watchlist-filter-other' => 'Прочее',
	'mobile-frontend-watchlist-modified' => 'Изменено $1',
	'mobile-frontend-diffview-404-title' => 'Некорректная ссылка на версию',
	'mobile-frontend-diffview-404-desc' => 'Не существует версии с запрошенным вами идентификатором',
	'mobile-frontend-diffview-title' => 'Изменения',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|правка|правок|правки}}',
	'mobile-frontend-diffview-anonymous' => 'Анонимный участник',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|байт|байтов|байта}} добавлено',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|байт|байтов|байта}} убрано',
	'mobile-frontend-diffview-explained' => 'Следующие строки были добавлены (+) и удалены (-):',
	'mobile-frontend-thanked-notice' => '$1 {{GENDER:$2|был оповещён|была оповещена|были оповещены}}, что вам понравилась {{GENDER:$2|его|её|их}} правка.',
	'mobile-frontend-saving-exit-page' => 'Ваша правка всё ещё сохраняется. Если вы покинете страницу, ваши изменения будут потеряны. Вы уверены, что хотите уйти?',
	'mobile-frontend-photo-upload' => 'Добавить на эту страницу изображение',
	'mobile-frontend-photo-article-edit-comment' => 'Добавлено изображение для использования на странице',
	'mobile-frontend-photo-article-donate-comment' => 'Пожертвованные изображения из Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Добавлено изображение на страницу',
	'mobile-frontend-photo-caption-placeholder' => 'Опишите это изображение (обязательно)',
	'mobile-frontend-photo-ownership' => 'Я, $1, создал это изображение.',
	'mobile-frontend-photo-ownership-help' => 'Что это значит?',
	'mobile-frontend-photo-ownership-confirm' => 'Понятно!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Убедитесь, что ваше изображение может помочь проиллюстрировать страницу. Это должно быть изображение, которое вы создали и которое не нарушает авторских прав.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Начать загрузку',
	'mobile-frontend-photo-upload-error' => 'Ошибка, попробуйте заново.',
	'mobile-frontend-photo-upload-error-file-type' => 'Пожалуйста, загружайте только изображения.',
	'mobile-frontend-photo-upload-error-filename' => 'Ошибка, просьба представить более детальное описание.',
	'mobile-frontend-photo-upload-success-article' => 'Загрузка удалась! Теперь ваше изображение размещено на этой странице.',
	'mobile-frontend-photo-license' => 'Загружая изображение, вы соглашаетесь с нашими [//wikimediafoundation.org/wiki/Terms_of_use/ru Условиями использования], а также соглашаетесь опубликовать своё изображение по [//creativecommons.org/licenses/by-sa/3.0/ лицензиии Creative Commons Attribution-ShareAlike 3.0].',
	'mobile-frontend-photo-submit' => 'Отправить',
	'mobile-frontend-photo-upload-user-count' => '<span>$1</span> {{PLURAL:$1|загрузка|загрузок|загрузки}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ загрузок',
	'mobile-frontend-image-heading-describe' => "'''Опишите''' изображение",
	'mobile-frontend-image-uploading' => "'''Загрузка''' изображения…",
	'mobile-frontend-image-cancel-confirm' => 'Отменить загрузку?',
	'mobile-frontend-editor-redirect-title' => 'Перенаправление в редактор…',
	'mobile-frontend-editor-unavailable-header' => 'Редактор недоступен',
	'mobile-frontend-editor-unavailable' => 'Мобильное редактирование недоступно в настоящее время в вашем браузере. Пожалуйста, попробуйте другой браузер.',
	'mobile-frontend-editor-undo-unsupported' => 'Отмена в настоящее время не поддерживается на мобильных устройствах.',
	'mobile-frontend-editor-newpage-prompt' => 'Эта страница не существует. Почему бы не набраться смелости и создать её?',
	'mobile-frontend-editor-disabled' => 'Эта страница защищена ради предотвращения вандализма.',
	'mobile-frontend-editor-blocked' => 'Для вашей учётной записи внесение правок запрещено.',
	'mobile-frontend-editor-cta' => 'Помогите улучшить эту страницу!',
	'mobile-frontend-editor-edit' => 'Править',
	'mobile-frontend-editor-continue' => 'Продолжить',
	'mobile-frontend-editor-save' => 'Сохранить',
	'mobile-frontend-editor-cancel' => 'Отмена',
	'mobile-frontend-editor-keep-editing' => 'Продолжить редактирование',
	'mobile-frontend-editor-license' => 'Сохраняя изменения, вы соглашаетесь с нашими [//wikimediafoundation.org/wiki/Terms_of_use/ru условиями использования] и соглашаетесь разместить текст под лицензиям [//creativecommons.org/licenses/by-sa/3.0/3.0/deed.ru CC BY-SA 3.0] и [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'Этот раздел пуст. Будьте первым, кто заполнит его!',
	'mobile-frontend-editor-summary-placeholder' => 'Расскажите нам, что вы изменили (не обязательно)',
	'mobile-frontend-editor-cancel-confirm' => 'Вы действительно хотите отказаться от ваши изменений?',
	'mobile-frontend-editor-wait' => 'Сохранение правки, пожалуйста, подождите.',
	'mobile-frontend-editor-success' => 'Успешно! Ваша правка была сохранена.',
	'mobile-frontend-editor-success-landmark-1' => 'Поздравляем, теперь вы — редактор сайта {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Ошибка, правка не была сохранена.',
	'mobile-frontend-editor-error-conflict' => 'Ошибка, другой пользователь отредактировал эту страницу.',
	'mobile-frontend-editor-error-loading' => 'Ошибка, не удаётся загрузить раздел.',
	'mobile-frontend-editor-error-preview' => 'Ошибка! Что-то неожиданное произошло после загрузки предпросмотра. Закройте и повторите попытку.',
	'mobile-frontend-editor-tutorial-summary' => 'Не пугайтесь разметки. Попробуйте улучшить страницу $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Почему бы не улучшить $1? Не стоит пугаться вики-разметки!',
	'mobile-frontend-editor-tutorial-confirm' => 'Начать редактирование',
	'mobile-frontend-editor-tutorial-cancel' => 'Нет, спасибо',
	'mobile-frontend-editor-captcha-try-again' => 'Неверный код, попробуйте еще раз.',
	'mobile-frontend-editor-abusefilter-warning' => 'Предупреждение: Вы уверены, что вы хотите сохранить эту правку? С этим могут возникнуть проблемы.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Эта правка не может быть сохранена, поскольку мы обнаружили проблему.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Читать подробнее',
	'mobile-frontend-editor-editing-page' => '<strong>Редактирование</strong> <span>$1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Предварительный просмотр</strong> <span>$1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Просмотр исходного текста</strong><span> $1</span>',
	'tag-mobile_edit' => 'Правка с моб. устройства',
	'tag-mobile_edit-description' => 'Правки, сделанные через мобильную версию сайта',
	'mobile-frontend-drawer-cancel' => 'Отмена',
	'mobile-frontend-talk-explained' => 'Эти обсуждения являются активными',
	'mobile-frontend-talk-explained-empty' => 'На этой странице нет обсуждений.',
	'mobile-frontend-talk-overlay-header' => 'Обсуждение',
	'mobile-frontend-talk-back-to-page' => 'Вернуться на страницу «$1».',
	'mobile-frontend-talk-overlay-lead-header' => 'Безымянное обсуждение',
	'mobile-frontend-talk-add-overlay-submit' => 'Добавить обсуждение',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Заголовок темы',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Что вы хотите написать?',
	'mobile-frontend-talk-edit-summary' => 'Новый раздел обсуждения: $1',
	'mobile-frontend-talk-reply-success' => 'Ваш ответ был успешно сохранён на странице обсуждения.',
	'mobile-frontend-talk-reply-info' => 'Обратите внимание, что ваш ответ будет автоматически подписан вашим именем.',
	'mobile-frontend-talk-reply' => 'Ответить',
	'mobile-frontend-talk-topic-feedback' => 'Новая тема добавлена на страницу обсуждения!',
	'mobile-frontend-media-details' => 'Подробности',
	'mobile-frontend-media-license-link' => 'Информация о лицензии',
	'abusefilter-edit-builder-vars-user-mobile' => 'Редактирует ли участник через мобильный интерфейс',
	'mobile-frontend-profile-title' => 'Профиль участника',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Загружено}} {{PLURAL:$1|$1 день назад|$1 дней назад|$1 дня назад|0=сегодня|1=вчера}}.',
	'mobile-frontend-profile-usertalk' => 'Написать {{GENDER:$1|участнику|участнице}} $1',
	'mobile-frontend-profile-error' => 'О нет!',
	'mobile-frontend-profile-noargs' => 'Имя не задано. Пожалуйста, укажите имя участника, чтобы просмотреть профиль.',
	'mobile-frontend-profile-nouser' => 'Участника с таким именем не существует. Имена чувствительны к регистру, так что, пожалуйста, проверьте, набрано ли оно правильно.',
	'mobile-frontend-profile-activity-heading' => 'Последние действия',
	'mobile-frontend-profile-userpage-link' => 'Посетить страницу участника.',
	'mobile-frontend-requires-optin' => 'Эта страница будет недоступна, пока вы не перейдёте в бета-режим. Зайдите для этого на страницу [[Special:MobileOptions|настроек]].',
	'mobile-frontend-profile-last-thank' => 'Поблагодарил{{GENDER:$2||а}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Отредактирована}} страница [[:$1]], {{PLURAL:$2|$2 день назад|$2 дней назад|$2 дня назад|1=вчера|0=сегодня}}.',
	'mobile-frontend-profile-footer-days' => 'Присоединился {{PLURAL:$2|$2 день назад|$2 дней назад|$2 дня назад|1=вчера|0=сегодня}} с [[Special:Contributions/$1|{{PLURAL:$3|$3 правкой|$3 правками|1=одной правкой}}]] и [[Special:Uploads/$1|{{PLURAL:$4|с $4 загрузкой|с $4 загрузками|1=с одной загрузкой|0=без загрузок|500=более чем 500 загрузками}}]].',
	'mobile-frontend-profile-footer-months' => 'Присоединился {{PLURAL:$2|$2 месяц|$2 месяцев|$2 месяцев }} назад [[Special:Contributions/$1|{{PLURAL:$3|с $3 правкой|с $3 правками|0=без правок|1=одной правкой}}]] и [[Special:Uploads/$1|{{PLURAL:$4|с $4 загрузкой|с $4 загрузками|1=с одной загрузкой|0=без загрузок|500=более чем 500 загрузками}}]].',
	'mobile-frontend-profile-footer-years' => 'Присоединился более {{PLURAL:$2|года|$2 лет}} назад [[Special:Contributions/$1|{{PLURAL:$3|с $3 правкой|с $3 правками|0=без правок|1=одной правкой}}]] и [[Special:Uploads/$1|{{PLURAL:$4|с $4 загрузкой|с $4 загрузками|1=с одной загрузкой|0=без загрузок|500=более чем 500 загрузками}}]].',
	'mobile-frontend-geonotahack' => 'Места поблизости',
	'beta-feature-geonotahack' => 'Места поблизости',
	'beta-feature-geonotahack-description' => 'Откройте для себя страницы, которые географически находятся поблизости от страницы, которую вы сейчас читаете.',
	'mobile-frontend-mainpage-cta-prompt' => 'На этой странице нужна ваша помощь!',
	'mobile-frontend-mainpage-cta-button' => 'Улучшить эту страницу',
	'beta-feature-minerva' => 'Включает мобильную тему оформления (Minerva) в обычной версии',
	'beta-feature-minerva-description' => 'Делает выбор темы оформления, используемой на мобильных устройствах, доступным в настройках внешнего вида в обычной версии.',
);

/** Rusyn (русиньскый)
 * @author Gazeb
 */
$messages['rue'] = array(
	'mobile-frontend-desc' => 'Мобілный інтерфейс',
	'mobile-frontend-search-submit' => 'Перейти',
	'mobile-frontend-home-button' => 'Домів',
	'mobile-frontend-logged-out' => 'Неприголошеный(а)',
	'mobile-frontend-settings-description' => 'Наштелюйте мобільну верзію якназручнїше.',
	'mobile-frontend-settings-beta' => 'Бета',
	'mobile-frontend-save-settings' => 'Уложыти наставлїня', # Fuzzy
	'mobile-frontend-random-button' => 'Трафункова',
	'mobile-frontend-back-to-top-of-section' => 'Вернути ся о секцію назад',
	'mobile-frontend-close-section' => 'Заперти тоту секцію',
	'mobile-frontend-regular-site' => 'Штандартне зображіня сторінкы',
	'mobile-frontend-wml-continue' => 'Дале ...',
	'mobile-frontend-wml-back' => 'Назад...',
	'mobile-frontend-view' => 'Мобілна верзія',
	'mobile-frontend-view-desktop' => 'Десктоп',
	'mobile-frontend-view-mobile' => 'Мобільный',
	'mobile-frontend-opt-in-explain' => 'Припоїнём к бетатесту здобудете доступ к експеріменталным функціям, але з різіком, же трафите на хыбы і проблемы.',
	'mobile-frontend-images-status' => 'Образчікы',
	'mobile-frontend-disable-images' => 'Выпнути образчікы в мобілній верзії',
	'mobile-frontend-enable-images' => 'Занути образчікы в мобілній верзії',
	'mobile-frontend-off' => 'ВЫП',
	'mobile-frontend-on' => 'ЗАП',
	'mobile-frontend-featured-article' => 'Статя дня', # Fuzzy
	'mobile-frontend-news-items' => 'Новины',
	'mobile-frontend-language-header' => 'Статя доступна в $1 {{PLURAL:$1|языцї|языках}}', # Fuzzy
	'mobile-frontend-language-footer' => '{{SITENAME}} є доступна в далшых языках.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Гляданя языка',
	'mobile-frontend-username' => 'Імя хоснователя:',
	'mobile-frontend-password' => 'Гесло:',
	'mobile-frontend-login' => 'Приголосити ся',
	'mobile-frontend-placeholder' => 'Глядати {{SITENAME}}',
	'mobile-frontend-search-help' => 'Горї уведьте гляданый термін, тай гев будуть назвы одповідных статей.', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'заперти гевто повідомлїня',
	'mobile-frontend-clear-search' => 'Очістити',
	'mobile-frontend-privacy-link-text' => 'Охорона пріватности',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Обсяг є доступный під [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-footer-contact' => 'Контакт',
	'mobile-frontend-search-noresults' => 'Вашому гляданю не одповідають ниякы назвы статей. Зміньте ваше гляданя або стистийте клапку гляданя внутрї статей.', # Fuzzy
	'mobile-frontend-main-menu-featured' => 'Выбране',
	'mobile-frontend-main-menu-nearby' => 'Наблизко',
	'mobile-frontend-main-menu-settings' => 'Наставлїня',
	'mobile-frontend-main-menu-settings-heading' => 'Наштелёваня мобілной верзії', # Fuzzy
	'mobile-frontend-settings-site-header' => 'Языкы {{grammar:2sg|{{SITENAME}}}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} є доступна в $1 {{PLURAL:$1|языцї|языках}}. Ниже суть зазначены вшыткы доступны верзії',
	'mobile-frontend-page-menu-contents' => 'обсяг',
	'mobile-frontend-page-menu-history' => 'Історія',
);

/** Sanskrit (संस्कृतम्)
 * @author Ansumang
 * @author Shubha
 */
$messages['sa'] = array(
	'mobile-frontend-desc' => 'जङ्गमदूरवाणी-मुखान्त्यम्',
	'mobile-frontend-search-submit' => 'गम्यताम्',
	'mobile-frontend-home-button' => 'गृहम्',
	'mobile-frontend-logged-out' => 'न सम्प्रविष्टम्',
	'mobile-frontend-settings-description' => 'भवतः अनुभवान् जङ्गमोपकरणे अधोनिर्दिष्टैः क्षेत्रलक्षणैः व्यवस्थापयतु ।',
	'mobile-frontend-settings-beta' => 'उपान्त्यम्',
	'mobile-frontend-save-settings' => 'नियोजनं रक्ष्यताम्', # Fuzzy
	'mobile-frontend-random-button' => 'यादृच्छिकम्',
	'mobile-frontend-back-to-top-of-section' => 'पृष्ठतः अध्यायं प्रति गम्यताम्',
	'mobile-frontend-close-section' => 'अयं भागः पिधीयताम्',
	'mobile-frontend-regular-site' => 'उत्पीठदृश्यम्',
	'mobile-frontend-wml-continue' => 'अनुवर्त्यते.....',
	'mobile-frontend-wml-back' => 'प्रतिनिर्वर्तनम्.....',
	'mobile-frontend-view' => 'जङ्गमदूरवाणी-दृश्यम्',
	'mobile-frontend-view-desktop' => 'उत्पीठम्',
	'mobile-frontend-view-mobile' => 'जङ्गमदूरवाणी',
	'mobile-frontend-opt-in-explain' => 'उपान्त्य(बीटा)प्रवेशेन भवता प्रयोगात्मकविशेषताः द्रष्टुं शक्याः भवन्ति । किन्तु दोषाणां समस्यानां सम्भवाः अपि विद्यन्ते एव ।',
	'mobile-frontend-images-status' => 'चित्राणि',
	'mobile-frontend-disable-images' => 'चरक्षेत्रे चित्राणि निष्क्रियानि क्रियन्ताम्',
	'mobile-frontend-enable-images' => 'चरक्षेत्रे चित्राणि सक्रियाणि क्रियन्ताम्',
	'mobile-frontend-off' => 'निर्वापणम्',
	'mobile-frontend-on' => 'प्रचालनम्',
	'mobile-frontend-featured-article' => 'अद्यतनः प्रमुखः लेखः', # Fuzzy
	'mobile-frontend-news-items' => 'वार्तायाम्',
	'mobile-frontend-language-header' => 'अयं लेखः $1 {{PLURAL:$1|lभाषा|भाषाः}} इत्यत्र उपलभ्यते', # Fuzzy
	'mobile-frontend-language-footer' => '{{SITENAME}} इदम् अन्यासु भाषासु उपलभ्यते ।', # Fuzzy
	'mobile-frontend-language-site-choose' => 'भाषायाः अन्वेषणम्',
	'mobile-frontend-username' => 'योजकनाम:',
	'mobile-frontend-password' => 'कूटशब्दः',
	'mobile-frontend-login' => 'सम्प्रवेशः',
	'mobile-frontend-placeholder' => '{{SITENAME}} अत्र अन्विष्यताम्',
	'mobile-frontend-search-help' => 'अन्वेषणपदम् उपरि लिख्यताम्, सदृशाः लेखाः अधः दृश्यन्ते ।', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'इयं सूचना निराक्रियताम्',
	'mobile-frontend-clear-search' => 'स्वच्छीक्रियताम्',
	'mobile-frontend-privacy-link-text' => 'व्यक्तिगतम्',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'आधेयः अत्र उपलभ्यते [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-footer-contact' => 'सम्पर्कः',
	'mobile-frontend-search-noresults' => 'किमपि लेखशिरोनाम अन्वेषणपदसादृश्यं नास्ति । अन्वेषणं परिवर्त्यताम् अथवा लेखस्य अन्तः अन्वेषणाय कीलफलकस्य अन्वेषणकुड्मलं नुद्यताम् ।', # Fuzzy
	'mobile-frontend-main-menu-featured' => 'प्रमुखम्',
	'mobile-frontend-main-menu-nearby' => 'निकटम् ।',
	'mobile-frontend-main-menu-settings' => 'संरचनम्',
	'mobile-frontend-main-menu-settings-heading' => 'जङ्गमक्षेत्रसन्निवेशः', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} भाषाः',
	'mobile-frontend-settings-site-description' => '$1 {{PLURAL:$1|भाषायां|भाषासु}} {{SITENAME}} उपलभ्यते । लभ्यमानाः आवृत्तयः अधः सूचिताः ।',
	'mobile-frontend-page-menu-contents' => 'अन्तर्विषयाः',
	'mobile-frontend-page-menu-history' => 'इतिहासः',
);

/** Sakha (саха тыла)
 * @author HalanTul
 */
$messages['sah'] = array(
	'mobile-frontend-desc' => 'Мобильнай интерфейс',
	'mobile-frontend-search-submit' => 'Таһаар',
	'mobile-frontend-home-button' => 'Дьиэлээ',
	'mobile-frontend-random-button' => 'Түбэспиччэ',
	'mobile-frontend-back-to-top-of-section' => 'Биир салаанан кэнники бар',
	'mobile-frontend-regular-site' => 'Көннөрү барыла',
	'mobile-frontend-wml-continue' => 'Салгыы...',
	'mobile-frontend-wml-back' => 'Төнүн...',
	'mobile-frontend-view' => 'Мобил барыла',
	'mobile-frontend-opt-in-explain' => 'Бета-тургутууга холбостоххуна сорох тургутуу кыахтары туһанар буолуоҥ, ол гынан баран алҕаһы көрсөрүҥ элбиэн сөп.',
	'mobile-frontend-disable-images' => 'Мобил ситим-сир ойууларын араар',
	'mobile-frontend-enable-images' => 'Мобил ситим-сир ойууларын холбоо',
	'mobile-frontend-featured-article' => 'Бүгүҥҥү талыы ыстатыйа', # Fuzzy
	'mobile-frontend-news-items' => 'Сонуннар',
	'mobile-frontend-username' => 'Кытааччы аата:',
	'mobile-frontend-password' => 'Киирии тыла:',
	'mobile-frontend-login' => 'Киир',
	'mobile-frontend-placeholder' => 'Көрдөбүл устуруоката...', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'бу биллэриини кистээ',
	'mobile-frontend-clear-search' => 'Сот',
	'mobile-frontend-copyright' => "Бу тиэкис	 <a href=\"http://creativecommons.org/licenses/by-sa/3.0/\">Creative Commons Attribution/Share-Alike</a> лицензиянан тарҕанар, сорох түбэлтэлэргэ эбии көрдөбүллэр баар буолуохтары сөп. Сиһилии <a href='http://wikimediafoundation.org/wiki/Terms_of_Use/ru'>Условия использования</a> көр. «{{SITENAME}}» — <a href='http://www.wikimediafoundation.org/'>«Викимедиа пуондата»</a> диэн барыыс киллэрбэт тэрилтэ бигэргэтиллибит тус бэйэтин бэлиэтэ.", # Fuzzy
);

/** Sicilian (sicilianu)
 * @author Aushulz
 * @author Gmelfi
 */
$messages['scn'] = array(
	'mobile-frontend-desc' => 'Ntirfaccia mòbbili',
	'mobile-frontend-search-submit' => 'Và trova',
	'mobile-frontend-home-button' => 'Pàggina principali',
	'mobile-frontend-random-button' => 'Na pàggina a muzzu',
	'mobile-frontend-back-to-top-of-section' => 'Vai â ccuminzata dû paràgrufu',
	'mobile-frontend-regular-site' => 'Disattivari la virsioni mòbbili',
	'mobile-frontend-wml-continue' => 'Camina...',
	'mobile-frontend-wml-back' => 'Narreri',
	'mobile-frontend-view' => 'Virsioni mòbbili',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Mòbbili',
	'mobile-frontend-opt-in-explain' => 'Participannu â virsioni beta, ci hai la pussibbilitati di usari funziunalitati spririmintali, ma cô rìsicu di ncuntrari errura e prubblemi',
	'mobile-frontend-disable-images' => 'Disabbìlita li mmàggini supra lu situ pi dispusitivi mòbbili',
	'mobile-frontend-enable-images' => 'Abbilita li mmàggini supra lu situ pi dispusitivi mòbbili',
	'mobile-frontend-off' => 'OFF',
	'mobile-frontend-on' => 'ON',
	'mobile-frontend-featured-article' => 'Vitrina', # Fuzzy
	'mobile-frontend-news-items' => 'Attualitati',
	'mobile-frontend-username' => 'Utenti:',
	'mobile-frontend-password' => 'Parola chiavi:',
	'mobile-frontend-login' => 'Trasi',
	'mobile-frontend-placeholder' => 'Dìggita la to circata ccà...', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'Riggetta sta nutificazzioni',
	'mobile-frontend-clear-search' => 'Scancella',
	'mobile-frontend-privacy-link-text' => 'Cunfidinzialitati',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Cuntinutu dispunìbbili sutta la [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-copyright' => "Lu testu è dispunibbili secunnu la <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>licenza Creative Commons Attribuzione-Condividi allo stesso modo</a>; si ponnu applicari àutri cunnizzioni. Talia li <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>cunnizziuni d'usu</a> pi li dittagghi. {{SITENAME}} è nu marchiu arriggistratu dâ <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, n'urganizzazzioni senza scopu di lucru", # Fuzzy
	'mobile-frontend-footer-contact' => 'Cuntatti',
);

/** Sassaresu (Sassaresu)
 * @author Jun Misugi
 */
$messages['sdc'] = array(
	'mobile-frontend-languages-header' => 'Linghi',
	'mobile-frontend-watchlist-filter-articles' => 'Pàgini',
	'mobile-frontend-mainpage-cta-prompt' => "Kistha pàgina ha bisognu d'aggiuddu tòiu",
);

/** Serbo-Croatian (srpskohrvatski / српскохрватски)
 */
$messages['sh'] = array(
	'mobile-frontend-search-submit' => 'Idi',
	'mobile-frontend-home-button' => 'Početna',
	'mobile-frontend-random-button' => 'Slučajna',
	'mobile-frontend-back-to-top-of-section' => 'Skoči nazad za jednu sekciju',
	'mobile-frontend-regular-site' => 'Pogledaj ovu stranicu na običnoj Wikipediji', # Fuzzy
	'mobile-frontend-featured-article' => 'Odabrani članak', # Fuzzy
	'mobile-frontend-copyright' => "Tekst je dostupan pod <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike licencom</a>; mogu se primjeniti i dodatna pravila. Pogledajte <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Pravila upotrebe</a> za više detalja. {{SITENAME}} je registrirana trgovačka marka od <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, neprofitne organizacije.", # Fuzzy
);

/** Tachelhit (Tašlḥiyt/ⵜⴰⵛⵍⵃⵉⵜ)
 */
$messages['shi'] = array(
	'mobile-frontend-home-button' => 'Asbrk',
	'mobile-frontend-back-to-top-of-section' => 'Urrid s yan wayyaw',
	'mobile-frontend-regular-site' => 'Ml tasna yad ɣ wikipidya tamqrant', # Fuzzy
	'mobile-frontend-featured-article' => 'Isisfiwn f ...', # Fuzzy
	'mobile-frontend-copyright' => "<a class='internal' href='/wiki/Wikip%C3%A9dia:Izrfan n umgay' title='Izrfan n umgay'>Izrfan n umgay</a> : Iṭṛiṣn rad tn taft ɣid  <a href='http://creativecommons.org/licenses/by-sa/3.0/deed.fr'>taragt n usnufl Commons tibḍit–baba iga zund</a> ;s tiwtilin lli f fllasn ittuyskarn. Zṛ f mayad ɣ <a href='http://wikimediafoundation.org/wiki/Conditions_d'utilisation'>tiwtlin  n uskr </a> bac a taft isisfin frurin yaḍn . {{SITENAME}}® est une marque déposée de la <a href='http://wikimediafoundation.org/wiki/Accueil' title='Wikimedia Foundation'>Wikimedia Foundation, Inc.</a>, tga yat tamaddast lli dar awttas bla tiɣrad.", # Fuzzy
);

/** Sinhala (සිංහල)
 * @author Singhalawap
 * @author Thushara
 * @author පසිඳු කාවින්ද
 * @author බිඟුවා
 * @author ශ්වෙත
 */
$messages['si'] = array(
	'mobile-frontend-desc' => 'ජංගම ඉදිරිපස',
	'mobile-frontend-search-submit' => 'යන්න',
	'mobile-frontend-home-button' => 'මුල් පිටුව',
	'mobile-frontend-logged-out' => 'ප්‍රවිෂ්ට වී නොමැත',
	'mobile-frontend-logged-in-homepage-notification' => 'ආයුබෝවන්, $1!',
	'mobile-frontend-logged-in-toast-notification' => '$1 ලෙස ප්‍රවිෂ්ට වී.',
	'mobile-frontend-sign-up-heading' => 'ලියාපදිංචි වන්න',
	'mobile-frontend-sign-in-heading' => 'පිවිසෙන්න',
	'mobile-frontend-sign-in-why' => 'ඔබ සතුව {{SITENAME}} ගිණුමක් ඇත, ඔබ පහතින් පිවිසිය යුතු වේ.',
	'mobile-frontend-sign-in-error-heading' => 'අයියෝ',
	'mobile-frontend-settings-beta' => 'බීටා',
	'mobile-frontend-save-settings' => 'සුරකින්න',
	'mobile-frontend-random-button' => 'අහඹු',
	'mobile-frontend-back-to-top-of-section' => 'කොටසක් ආපසු යන්න',
	'mobile-frontend-regular-site' => 'වැඩතල දසුන',
	'mobile-frontend-wml-continue' => 'දිගට කර ගෙන යමින්...',
	'mobile-frontend-wml-back' => 'ආපසු...',
	'mobile-frontend-view' => 'ජංගම දසුන',
	'mobile-frontend-view-desktop' => 'වැඩතලය',
	'mobile-frontend-view-mobile' => 'ජංගම',
	'mobile-frontend-opt-in-explain' => 'බීටා වෙත එක් වීමෙන්, ඔබ හට දෝෂ සහ වාදපද හමුවෙන අනතුරක් වියහැකි, පරීක්ෂාත්මක මුහුණුවර වෙත ප්‍රවේශ වීමේ හැකියාව ඇත.',
	'mobile-frontend-images-status' => 'පිංතූර',
	'mobile-frontend-disable-images' => 'ජංගම අඩවියෙහි පින්තුර අක්‍රීය කරන්න',
	'mobile-frontend-enable-images' => 'ජංගම අඩවියෙහි පින්තුර සක්‍රීය කරන්න',
	'mobile-frontend-missing-image' => 'පිංතූරය',
	'mobile-frontend-off' => 'අක්‍රිය',
	'mobile-frontend-on' => 'සක්‍රිය',
	'mobile-frontend-featured-article' => 'අද විශේෂාංග ලිපිය', # Fuzzy
	'mobile-frontend-news-items' => 'පුවත් වලින්',
	'mobile-frontend-language-article-heading' => 'වෙනත් භාෂාවකින් කියවන්න',
	'mobile-frontend-language-variant-header' => '{{#language:{{CONTENTLANG}}}} විචල්‍ය තෝරන්න',
	'mobile-frontend-language-footer' => '{{SITENAME}} වෙනත් භාෂාවලින්ද ලබා ගත හැක.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'භාෂාව සොයන්න',
	'mobile-frontend-username' => 'පරිශීලක නාමය:',
	'mobile-frontend-password' => 'මුරපදය:',
	'mobile-frontend-username-placeholder' => 'පරිශීලක නාමය',
	'mobile-frontend-password-placeholder' => 'මුරපදය',
	'mobile-frontend-login' => 'පිවිසෙන්න',
	'mobile-frontend-history-no-results' => 'සපයන ලද දත්ත වෙන් කිරීමට අදාළ පෙර සටහන් නැත.',
	'mobile-frontend-account-create-submit' => 'ලියාපදිංචි වන්න',
	'mobile-frontend-password-confirm-placeholder' => 'මුරපදය තහවුරු කරන්න',
	'mobile-frontend-account-create-email-placeholder' => 'විද්‍යුත්-තැපැල් ලිපිනය (අමතර)',
	'mobile-frontend-account-create-captcha-placeholder' => 'ආරක්ෂක පාඨය ඇතුළු කරන්න', # Fuzzy
	'mobile-frontend-overlay-escape' => 'ආපසු යන්න',
	'mobile-frontend-placeholder' => '{{SITENAME}} ගවේෂණය කරන්න',
	'mobile-frontend-placeholder-beta' => 'සොයන්න {{SITENAME}} (බීටා)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}} සොයන්න (මකරාගේ ක්‍රමය)', # Fuzzy
	'mobile-frontend-search-help' => 'ඉහළින් සෙවුම් වචනයක් ටයිප් කරන්න, ගැලපෙන පිටු ශීර්ෂයක් එවිට මෙහි දිස්වනු ඇත.',
	'mobile-frontend-dismiss-notification' => 'මෙම නිවේදනය නොසලකන්න',
	'mobile-frontend-clear-search' => 'හිස් කරන්න',
	'mobile-frontend-privacy-link-text' => 'පුද්ගලිකත්වය',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'අන්තර්ගතය [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] යටතේ ලබා ගත හැක', # Fuzzy
	'mobile-frontend-copyright' => "<a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>යටතේ පෙළ ලබා ගත හැක;අමතර කොන්දේසි සහිතයි.විස්තර සඳහා <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Terms of Use</a> බලන්න.විකිපීඩියා යනු,ලාභ නොඋපදවන සංවිධානයක් වූ <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a> හි ලියාපදිංචි වෙළඳ ලකුණකි.", # Fuzzy
	'mobile-frontend-footer-contact' => 'සම්බන්ධ කරන්න',
	'mobile-frontend-main-menu-button-tooltip' => 'ප්‍රධාන මෙනුව විවෘත කරන්න',
	'mobile-frontend-main-menu-page-title' => 'අඩවි යාන්ත්‍රණය',
	'mobile-frontend-main-menu-featured' => 'විශේෂාංගමය',
	'mobile-frontend-main-menu-nearby' => 'අවට',
	'mobile-frontend-main-menu-login' => 'පිවිසෙන්න',
	'mobile-frontend-main-menu-logout' => 'නික්මීම',
	'mobile-frontend-main-menu-watchlist' => 'මුරලැයිස්තුව',
	'mobile-frontend-main-menu-settings' => 'සැකසුම්',
	'mobile-frontend-main-menu-settings-heading' => 'ජංගම අඩවි සැකසුම්', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} භාෂාවන්',
	'mobile-frontend-main-menu-account-create' => 'ගිණුමක් තනන්න',
	'mobile-frontend-page-menu-contents' => 'අන්තර්ගතයන්',
	'mobile-frontend-page-menu-history' => 'ඉතිහාසය',
	'mobile-frontend-meta-data-issues-header' => 'වාදපද',
	'mobile-frontend-meta-data-issues' => 'මෙම පිටුව සතුව සමහරක් වාදපද ඇත',
	'mobile-frontend-page-saving' => '$1 සුරකිමින්',
	'mobile-frontend-photo-upload-generic' => 'පින්තූරයක් පරිත්‍යාග කරන්න', # Fuzzy
	'mobile-frontend-donate-image-title' => 'පින්තූරයක් පරිත්‍යාග කරන්න', # Fuzzy
	'mobile-frontend-donate-image-heading' => 'ඔබේ මෑත දායකත්වයන්',
	'mobile-frontend-watchlist-add' => '$1 ඔබේ මුරලැයිස්තුවට එක් කරන ලදී',
	'mobile-frontend-watchlist-removed' => '$1 ඔබේ මුරලැයිස්තුවෙන් ඉවත් කරන ලදී',
	'mobile-frontend-watchlist-view' => 'ඔබේ මුරලැයිස්තුව නරඹන්න',
	'mobile-frontend-watchlist-a-z' => 'ලැයිස්තුව',
	'mobile-frontend-watchlist-feed' => 'වෙනසකට නතු කල',
	'mobile-frontend-changeslist-ip' => 'නිර්නාමික පරිශීලක',
	'mobile-frontend-changeslist-nocomment' => 'සංස්කරණ සාරාංශයක් නොමැත',
	'mobile-frontend-watchlist-filter-all' => 'සියල්ල',
	'mobile-frontend-watchlist-filter-articles' => 'ලිපි', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'සාකච්ඡාව',
	'mobile-frontend-watchlist-filter-other' => 'වෙනත්',
	'mobile-frontend-diffview-title' => 'වෙනස්කම්',
	'mobile-frontend-diffview-editcount' => '{{PLURAL:සංස්කරණ|සංස්කරණ}} <div>$1</div> ක්',
	'mobile-frontend-diffview-anonymous' => 'නිර්නාමික පරිශීලක',
	'mobile-frontend-photo-upload' => 'මෙම පිටුව සඳහා ප්‍රථම ඡායාරූපය එක් කරන්න', # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => 'පිටුව මත භාවිතා කිරීම සඳහා ඡායාරූපයක් එක් කරන ලදී', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'පිටුව වෙත ඡායාරූපයක් එක් කරන ලදී', # Fuzzy
	'mobile-frontend-photo-caption-placeholder' => 'මෙම පින්තූරය සඳහා සිරස්තලයක් එක් කරන්න', # Fuzzy
	'mobile-frontend-image-loading' => 'පින්තූරය පූරණය කරමින්',
	'mobile-frontend-image-uploading-wait' => 'පින්තූරය උඩුගත කරමින්', # Fuzzy
	'tag-mobile_edit' => 'ජංගම සංස්කරණය',
	'tag-mobile_edit-description' => 'ජංගම අඩවියෙන් සංස්කරණය සිදු කරන ලදී',
	'mobile-frontend-profile-usertalk' => '{{ලිංගය :$1|අමතන්න  $1 ට}}',
	'mobile-frontend-mainpage-cta-prompt' => 'මෙම පිටුවට (වැඩි දියුණු කිරීමට) ඔබගේ උපකාරය උවමනායි.',
);

/** Slovak (slovenčina)
 * @author Helix84
 * @author Kusavica
 * @author Sudo77(new)
 * @author Teslaton
 */
$messages['sk'] = array(
	'mobile-frontend-desc' => 'Mobilné rozhranie',
	'mobile-frontend-search-submit' => 'Ísť na',
	'mobile-frontend-home-button' => 'Hlavná stránka',
	'mobile-frontend-logged-out' => 'Nie ste prihlásený',
	'mobile-frontend-settings-description' => 'Prispôsobte si správanie tohto konkrétneho webu na vašom mobilnom zariadení.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-save-settings' => 'Uložiť nastavenia', # Fuzzy
	'mobile-frontend-random-button' => 'Náhodná',
	'mobile-frontend-back-to-top-of-section' => 'Skočiť o sekciu späť',
	'mobile-frontend-regular-site' => 'Klasické zobrazenie',
	'mobile-frontend-wml-continue' => 'Pokračovať...',
	'mobile-frontend-wml-back' => 'Späť...',
	'mobile-frontend-view' => 'Mobilné zobrazenie',
	'mobile-frontend-view-desktop' => 'Štandardné',
	'mobile-frontend-view-mobile' => 'Mobilné',
	'mobile-frontend-opt-in-explain' => 'Ak zapnete beta verziu, budete mať prístup k experimentálnym funkciám, ktorý je však spojený s rizikom, že narazíte na chyby a problémy.',
	'mobile-frontend-images-status' => 'Obrázky',
	'mobile-frontend-disable-images' => 'Vypnúť obrázky v mobilnom rozhraní',
	'mobile-frontend-enable-images' => 'Zapnúť obrázky v mobilnom rozhraní',
	'mobile-frontend-off' => 'VYP',
	'mobile-frontend-on' => 'ZAP',
	'mobile-frontend-featured-article' => 'Článok dňa', # Fuzzy
	'mobile-frontend-news-items' => 'V novinkách',
	'mobile-frontend-language-header' => 'Tento článok je dostupný v $1 {{PLURAL:$1|jazyku|jazykoch}}', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Hľadať jazyk',
	'mobile-frontend-username' => 'Používateľské meno:',
	'mobile-frontend-password' => 'Heslo:',
	'mobile-frontend-login' => 'Prihlásiť sa',
	'mobile-frontend-placeholder' => 'Sem napíšte hľadaný výraz...', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'zavrieť toto oznámenie',
	'mobile-frontend-clear-search' => 'Vyčistiť',
	'mobile-frontend-privacy-link-text' => 'Súkromie',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Obsah je dostupný za podmienok [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-copyright' => "Tento text je dostupný za podmienok licencie <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; môžu sa naň vzťahovať dodatočné ďalšie podmienky. Podrobnosti nájdete v <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Podmienkach používania</a>. Wikipédia je registrovaná obchodná značka neziskovej organizácie <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>", # Fuzzy
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-main-menu-featured' => 'Odporúčané',
	'mobile-frontend-main-menu-nearby' => 'V blízkosti',
	'mobile-frontend-main-menu-settings' => 'Nastavenia',
	'mobile-frontend-main-menu-settings-heading' => 'Nastavenia mobilného webu', # Fuzzy
	'mobile-frontend-settings-site-header' => 'Jazyky {{GRAMMAR:genitív|{{SITENAME}}}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} je {{GENDER:$1|dostupný|dostupná|dostupné}} v $1 {{PLURAL:$1|jazyku|jazykoch}}. Všetky dostupné verzie sú uvedené nižšie',
	'mobile-frontend-page-menu-contents' => 'obsah',
	'mobile-frontend-nearby-to-page' => 'Nasledujúce stránky súvisia podľa geografickej polohy so stránkou $1',
	'mobile-frontend-nearby-title' => 'V okolí',
	'mobile-frontend-nearby-noresults' => 'Je tu trochu ticho... V okolí neboli nájdené žiadne stránky.',
);

/** Slovenian (slovenščina)
 * @author Dbc334
 * @author Eleassar
 * @author Irena Plahuta
 * @author Yerpo
 */
$messages['sl'] = array(
	'mobilefrontend-random-explain' => 'Ali vas ta naključna stran zanima?',
	'mobilefrontend-random-cancel' => 'Naj preberem!',
	'mobilefrontend-keepgoing-ask' => 'Dobro opravljeno! Pridobivate občutek za to! Ali želite poskusiti urediti še eno stran?',
	'mobilefrontend-keepgoing-ask-first' => 'Čestitke ob prvem urejanju! Želite nadaljevati z urejanjem druge strani?',
	'mobilefrontend-keepgoing-explain' => 'Izvrstno! Drug uporabnik pravi, da je tej strani treba pomagati. Poskusite to ali poskusite še eno.',
	'mobilefrontend-keepgoing-cancel' => 'Ne, hvala',
	'mobilefrontend-keepgoing-suggest' => 'Da, prosim',
	'mobilefrontend-keepgoing-suggest-again' => 'Poskusi drugo',
	'nearby' => 'Strani blizu vas',
	'mobile-frontend-desc' => 'Mobilni vmesnik',
	'mobile-frontend-search-submit' => 'Pojdi',
	'mobile-frontend-home-button' => 'Domov',
	'mobile-frontend-logged-out' => 'Niste prijavljeni',
	'mobile-frontend-logged-in-homepage-notification' => '$1, dobrodošli!',
	'mobile-frontend-logged-in-toast-notification' => 'Prijavljeni ste kot $1.',
	'mobile-frontend-sign-up-heading' => 'Registracija',
	'mobile-frontend-sign-in-heading' => 'Prijava',
	'mobile-frontend-sign-in-why' => 'Če imate račun na {{GRAMMAR:mestnik|{{SITENAME}}}}, se lahko prijavite spodaj.',
	'mobile-frontend-sign-in-error-heading' => 'Ups',
	'mobile-frontend-settings-description' => 'Prilagodite svojo izkušnjo na mobilni napravi z naslednjimi nastavitvami mobilnih strani',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Eksperimentalni način',
	'mobile-frontend-settings-alpha-description' => 'Vstopate v nevarno in neraziskano mobilno območje. Pridobite še več eksperimentalnih možnosti, vendar z večjo nevarnostjo hroščev.',
	'mobile-frontend-save-settings' => 'Shrani',
	'mobile-frontend-save-error' => 'Napaka pri shranjevanju nastavitev. Prosimo, preverite, ali imate omogočene piškotke.',
	'mobile-frontend-random-button' => 'Naključno',
	'mobile-frontend-back-to-top-of-section' => 'Skoči nazaj za oddelek',
	'mobile-frontend-regular-site' => 'Pogled namizja',
	'mobile-frontend-wml-continue' => 'Naprej ...',
	'mobile-frontend-wml-back' => 'Nazaj ...',
	'mobile-frontend-view' => 'Mobilni pogled',
	'mobile-frontend-view-desktop' => 'Namizje',
	'mobile-frontend-view-mobile' => 'Mobilno',
	'mobile-frontend-opt-in-explain' => 'Če se pridružite mobilni beta, boste prejeli dostop do preizkusnih funkcij, vendar ob tem lahko naletite na hrošče in težave.',
	'mobile-frontend-images-status' => 'Slike',
	'mobile-frontend-disable-images' => 'Onemogoči slike na mobilni strani',
	'mobile-frontend-enable-images' => 'Omogoči slike na mobilni strani',
	'mobile-frontend-missing-image' => 'Slika',
	'mobile-frontend-off' => 'IZKL',
	'mobile-frontend-on' => 'VKL',
	'mobile-frontend-featured-article' => 'Današnja izbrana vsebina',
	'mobile-frontend-news-items' => 'V novicah',
	'mobile-frontend-language-article-heading' => 'Preberite v drugem jeziku',
	'mobile-frontend-language-header' => 'Stran je na razpolago v $1 {{PLURAL:$1|jeziku|jezikih}}',
	'mobile-frontend-language-variant-header' => 'Izberite različico jezika {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Poiščite jezik',
	'mobile-frontend-username' => 'Uporabniško ime:',
	'mobile-frontend-password' => 'Geslo:',
	'mobile-frontend-username-placeholder' => 'Uporabniško ime',
	'mobile-frontend-password-placeholder' => 'Geslo',
	'mobile-frontend-login' => 'Prijava',
	'mobile-frontend-history' => 'Zgodovina urejanja te strani.',
	'mobile-frontend-history-404-title' => 'Ni takšne strani',
	'mobile-frontend-history-404-desc' => 'Zgodovine strani ni mogoče najti, saj ne obstaja. Morda je bila izbrisana ali pa ste sledili napačni povezavi.',
	'mobile-frontend-history-summary' => 'Zgodovina strani »[[:$1]]«',
	'mobile-frontend-last-modified-date' => 'Zadnja sprememba: $1 ob $2',
	'mobile-frontend-last-modified-seconds' => 'Zadnjič spremenjeno pred {{PLURAL:$1|$1 sekundo|$1 sekundama|$1 sekundami}}.',
	'mobile-frontend-last-modified-minutes' => 'Zadnjič spremenjeno pred {{PLURAL:$1|$1 minuto|$1 minutama|$1 minutami}}.',
	'mobile-frontend-last-modified-hours' => 'Zadnjič spremenjeno pred {{PLURAL:$1|$1 uro|$1 urama|$1 urami}}.',
	'mobile-frontend-last-modified-days' => 'Zadnjič spremenjeno pred {{PLURAL:$1|$1 dnevom|$1 dnema|$1 dnevi}}.',
	'mobile-frontend-last-modified-months' => 'Zadnjič spremenjeno pred {{PLURAL:$1|$1 mesecem|$1 mesecema|$1 meseci}}.',
	'mobile-frontend-last-modified-years' => 'Zadnjič spremenjeno pred {{PLURAL:$1|$1 letom|$1 letoma|$1 leti}}.',
	'mobile-frontend-last-modified-just-now' => 'Ravnokar spremenjeno',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Zadnjič {{GENDER:$1|spremenil|spremenila}} {{PLURAL:$5|[$6 $2]|0=anonimen uporabnik}} pred {{PLURAL:$3|$3 sekundo|$3 sekundama|$3 sekundami}}].',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Zadnjič {{GENDER:$1|spremenil|spremenila}} {{PLURAL:$5|[$6 $2]|0=anonimen uporabnik}} pred {{PLURAL:$3|$3 minuto|$3 minutama|$3 minutami}}].',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Zadnjič {{GENDER:$1|spremenil|spremenila}} {{PLURAL:$5|[$6 $2]|0=anonimen uporabnik}} pred {{PLURAL:$3|$3 uro|$3 urama|$3 urami}}].',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Zadnjič {{GENDER:$1|spremenil|spremenila}} {{PLURAL:$5|[$6 $2]|0=anonimen uporabnik}} pred {{PLURAL:$3|$3 dnevom|$3 dnevoma|$3 dnevi}}].',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Zadnjič {{GENDER:$1|spremenil|spremenila}} {{PLURAL:$5|[$6 $2]|0=anonimen uporabnik}} pred {{PLURAL:$3|$3 mesecem|$3 mesecema|$3 meseci}}].',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Zadnjič {{GENDER:$1|spremenil|spremenila}} {{PLURAL:$5|[$6 $2]|0=anonimen uporabnik}} pred {{PLURAL:$3|$3 letom|$3 letoma|$3 leti}}].',
	'mobile-frontend-last-modified-with-user-just-now' => 'Ravnokar [$3 zadnjič {{GENDER:$1|spremenil|spremenila}}] {{PLURAL:$4|[$5 $2]|0=anonimen uporabnik}}.',
	'mobile-frontend-account-create-submit' => 'Registracija',
	'mobile-frontend-password-confirm-placeholder' => 'Potrditev gesla',
	'mobile-frontend-account-create-email-placeholder' => 'E-poštni naslov (neobvezno)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Vnesite potrditveno kodo',
	'mobile-frontend-overlay-escape' => 'Pojdi nazaj',
	'mobile-frontend-placeholder' => 'Iskanje po {{GRAMMAR:dajalnik|{{SITENAME}}}}',
	'mobile-frontend-placeholder-beta' => 'Preiščite {{GRAMMAR:tožilnik|{{SITENAME}}}} (beta)',
	'mobile-frontend-placeholder-alpha' => 'Preiščite {{GRAMMAR:tožilnik|{{SITENAME}}}} (eksperimentalno)',
	'mobile-frontend-dismiss-notification' => 'skrij obvestilo',
	'mobile-frontend-clear-search' => 'Počisti',
	'mobile-frontend-privacy-link-text' => 'Zasebnost',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Besedilo je dostopno pod licenco [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; veljajo lahko še drugi pogoji.',
	'mobile-frontend-copyright' => 'Besedilo je na razpolago pod licenco $1; veljajo lahko tudi dodatni pogoji. Podrobnosti so razložene na strani <a href="http://wikimediafoundation.org/wiki/Terms_of_Use">Pogoji uporabe</a>. {{SITENAME}} je registrirana blagovna znamka nepridobitne organizacije <a href=\'http://www.wikimediafoundation.org/\'>Wikimedia Foundation, Inc.</a>',
	'mobile-frontend-footer-contact' => 'Stik',
	'mobile-frontend-terms-text' => 'Pogoji uporabe',
	'mobile-frontend-main-menu-button-tooltip' => 'Odpre glavni meni',
	'mobile-frontend-main-menu-page-title' => 'Navigacija v spletišču',
	'mobile-frontend-main-menu-featured' => 'Izbrano',
	'mobile-frontend-main-menu-nearby' => 'Bližnje',
	'mobile-frontend-main-menu-login' => 'Prijava',
	'mobile-frontend-main-menu-logout' => 'Odjava',
	'mobile-frontend-main-menu-watchlist' => 'Spisek nadzorov',
	'mobile-frontend-main-menu-settings' => 'Nastavitve',
	'mobile-frontend-main-menu-upload' => 'Nalaganja',
	'mobile-frontend-main-menu-settings-heading' => 'Nastavitve',
	'mobile-frontend-settings-site-header' => 'Jeziki {{GRAMMAR:rodilnik|{{SITENAME}}}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} je na razpolago v $1 {{PLURAL:$1|jezik|jezikih}}. Vse razpoložljive razlčice so navedene spodaj',
	'mobile-frontend-main-menu-account-create' => 'Ustvarite račun',
	'mobile-frontend-page-menu-contents' => 'vsebina',
	'mobile-frontend-page-menu-history' => 'zgodovina',
	'mobile-frontend-meta-data-issues-header' => 'Problemi',
	'mobile-frontend-meta-data-issues' => 'Ta stran ima nekaj problemov',
	'mobile-frontend-page-saving' => 'Shranjevanje $1',
	'mobile-frontend-user-cta' => 'Za ogled svojih obvestil se najprej prijavite.',
	'mobile-frontend-user-button-tooltip' => 'Prikaži obvestila',
	'mobile-frontend-nearby-to-page' => 'Po geografski legi so članku $1 sorodne naslednje strani',
	'mobile-frontend-nearby-title' => 'Bližnje',
	'mobile-frontend-nearby-loading' => 'Nalagam teme blizu vaše trenutne lokacije',
	'mobile-frontend-nearby-requirements' => 'Oprostite! Vaš spletni brskalnik ne podpira možnosti Bližnje {{GRAMMAR:rodilnik|{{SITENAME}}}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Poskusite z drugim brskalnikom ali omogočite JavaScript, če ste ga onemogočili.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => 'Možnost Bližnje {{GRAMMAR:rodilnik|{{SITENAME}}}} ne more ugotoviti, kje ste ... poskusim ponovno?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Poskusite na odprtem območju z boljšim signalom.',
	'mobile-frontend-nearby-permission' => 'Bližnje projekta {{SITENAME}} nima dovoljenja za dostop do vaše lokacije.',
	'mobile-frontend-nearby-permission-guidance' => 'Prosimo, pskrbite, da boste dali dovoljenje za prikaz svoje lokacije. Morda boste morali preveriti lokacijske nastavitve svojega brskalnika.',
	'mobile-frontend-nearby-noresults' => 'Tu je tiho... Blizu ni najdena nobena stran.',
	'mobile-frontend-nearby-noresults-guidance' => 'Poskusite ustvariti novo stran ali dodati lokacijo h kateri od že obstoječih',
	'mobile-frontend-nearby-refresh' => 'Našli smo bolj natančno lokacijo za vas. Če želite osvežiti seznam bližnjih strani, kliknite tukaj',
	'mobile-frontend-nearby-error' => 'Možnost Bližnje {{GRAMMAR:rodilnik|{{SITENAME}}}} ima nekaj težav.',
	'mobile-frontend-nearby-error-guidance' => 'Poskusite osvežiti svojo lokacijo.',
	'mobile-frontend-nearby-link' => 'Preberite stran v celoti',
	'mobile-frontend-nearby-directions' => 'Pojdi sem',
	'mobile-frontend-donate-image-nouploads' => 'Brez nalaganj.',
	'mobile-frontend-donate-image-login' => 'Predstavnost na {{GRAMMAR:mestnik|{{SITENAME}}}} darujejo ljudje, kot ste vi.',
	'mobile-frontend-photo-upload-disabled' => 'Na tej strani slika ni potrebna.',
	'mobile-frontend-photo-upload-anon' => 'Da boste lahko na stran dodali sliko, se prijavite.',
	'mobile-frontend-photo-upload-protected' => 'Nimate dovoljenja, da bi na to stran dodali sliko.',
	'mobile-frontend-photo-upload-unavailable' => 'Vaš brskalnik ne podpira nalaganja slik.',
	'mobile-frontend-photo-upload-generic' => 'Prispevajte sliko',
	'mobile-frontend-donate-image-title' => 'Nalaganja',
	'mobile-frontend-donate-image-heading' => 'Vaši nedavni prispevki',
	'mobile-frontend-donate-image-anon' => 'Za ogled strani z nalaganji je potrebna $1.',
	'mobile-frontend-user-account' => 'uporabniški račun',
	'mobile-frontend-listed-image-no-description' => 'Brez opisa',
	'mobile-frontend-donate-photo-upload-success' => 'Uspešno! Vaša slika se zdaj lahko uporablja v {{GRAMMAR:dajalnik|{{SITENAME}}}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Uspešno! Hvala za vaš prvi prispevek!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Prispevajte svoje slike. Pomagajte, da {{SITENAME}} zaživi!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Slike v {{GRAMMAR:dajalnik|{{SITENAME}}}} izvirajo iz projekta Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Vaše slike pomagajo izobraževati ljudi po svetu',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Izogibajte se avtorsko zavarovanega gradiva, ki ste ga našli na spletu, kot tudi slik plakatov, knjižnih platnic ipd.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Razumete?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Da!',
	'mobile-frontend-watchlist-add' => 'Stran »$1« je dodana na vaš spisek nadzorov',
	'mobile-frontend-watchlist-removed' => 'Stran »$1« je odstranjena z vašega spiska nadzorov.',
	'mobile-frontend-watchlist-view' => 'Ogled vašega spiska nadzorov',
	'mobile-frontend-watchlist-more' => 'več',
	'mobile-frontend-watchlist-cta' => 'Spremljajte stran in vse njene spremembe.',
	'mobile-frontend-watchlist-cta-button-login' => 'Prijava',
	'mobile-frontend-watchlist-cta-button-signup' => 'Registracija',
	'mobile-frontend-watch-login' => 'Dodajte $1 na svoj spisek nadzorov.',
	'mobile-frontend-watchlist-a-z' => 'Seznam',
	'mobile-frontend-watchlist-feed' => 'Spremembe',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Kliknite zvezdico na vrhu strani',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Trenutno ne opazujete nobene strani. Vaš spisek nadzorov vam pomaga slediti strani, ki vas zanimajo. Strani lahko opazujete s pritiskom na zvezdico.',
	'mobile-frontend-watchlist-feed-empty' => 'Ni strani z nedavnimi spremembami.',
	'mobile-frontend-watchlist-back-home' => 'Nazaj domov',
	'mobile-frontend-changeslist-ip' => 'Anonimen uporabnik',
	'mobile-frontend-changeslist-nocomment' => 'brez povzetka urejanja',
	'mobile-frontend-watchlist-filter-all' => 'Vse',
	'mobile-frontend-watchlist-filter-articles' => 'Strani',
	'mobile-frontend-watchlist-filter-talk' => 'Pogovor',
	'mobile-frontend-watchlist-filter-other' => 'Drugo',
	'mobile-frontend-watchlist-modified' => 'Spremenjeno $1',
	'mobile-frontend-diffview-404-title' => 'Neveljavna redakcija',
	'mobile-frontend-diffview-404-desc' => 'Id redakcije, ki ste jo zahtevali, ne obstaja.',
	'mobile-frontend-diffview-title' => 'Spremembe',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|urejanje|urejanji|urejanja|urejanj}}',
	'mobile-frontend-diffview-anonymous' => 'Brezimni uporabnik',
	'mobile-frontend-diffview-bytesadded' => '{{PLURAL:$1|dodan|dodana|dodani|dodanih}} $1 {{PLURAL:$1|zlog|zloga|zlogi|zlogov}}',
	'mobile-frontend-diffview-bytesremoved' => '{{PLURAL:$1|odstranjen|odstranjena|odstranjeni|odstranjenih}} $1 {{PLURAL:$1|zlog|zloga|zlogi|zlogov}}',
	'mobile-frontend-diffview-explained' => 'Dodane (+) in odstranjene (-) so bile naslednje vrstice:',
	'mobile-frontend-thanked-notice' => '$1 ste sporočili, da vam je bilo všeč {{GENDER:$2|njegovo|njeno|njihovo}} urejanje.',
	'mobile-frontend-saving-exit-page' => 'Vaš prispevek se še vedno shranjuje. Če odidete, se bodo vaši prispevki izgubili. Ste prepričani, da želite oditi?',
	'mobile-frontend-photo-upload' => 'Dodajte na to stran sliko',
	'mobile-frontend-photo-article-edit-comment' => 'Dodana slika za uporabo na strani',
	'mobile-frontend-photo-article-donate-comment' => 'prispevek slike prek Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'dodana slika',
	'mobile-frontend-photo-caption-placeholder' => 'Opišite sliko (obvezno)',
	'mobile-frontend-photo-ownership' => 'To sliko sem {{GENDER:.|ustvaril|ustvarila}} jaz, $1.',
	'mobile-frontend-photo-ownership-help' => 'Kaj to pomeni?',
	'mobile-frontend-photo-ownership-confirm' => 'Razumem.',
	'mobile-frontend-lead-image-tutorial-summary' => 'Poskrbite, da lahko vaša slika pomaga ilustrirati stran. Slika mora biti vaše delo in ne sme kršiti avtorskih pravic.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Začni nalagati',
	'mobile-frontend-photo-upload-error' => 'Napaka, poskusite znova.',
	'mobile-frontend-photo-upload-error-file-type' => 'Prosimo, nalagajte samo slike.',
	'mobile-frontend-photo-upload-error-filename' => 'Napaka, navesti morate bolj opisen povzetek.',
	'mobile-frontend-photo-upload-success-article' => 'Uspešno! Vaša slika je zdaj objavljena na tej strani.',
	'mobile-frontend-photo-license' => 'Z objavo te slike se strinjate z našimi [//wikimediafoundation.org/wiki/Terms_of_use Pogoji uporabe] in z objavo slike pod licenco [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Priznanje avtorstva-Deljenje pod enakimi pogoji 3.0].',
	'mobile-frontend-photo-submit' => 'Objavi',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> nalaganje|<span>$1</span> nalaganji|<span>$1</span> nalaganja|<span>$1</span> nalaganj}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ nalaganj',
	'mobile-frontend-image-heading-describe' => "'''Opišite''' sliko",
	'mobile-frontend-image-uploading' => "'''Nalagam''' sliko ...",
	'mobile-frontend-image-cancel-confirm' => 'Prekličem nalaganje?',
	'mobile-frontend-editor-unavailable' => 'Na vašem brskalniku mobilno urejanje trenutno ni mogoče. Poskusite z drugim brskalnikom.',
	'mobile-frontend-editor-undo-unsupported' => 'Razveljavljanje trenutno ni podprto na mobilnih napravah.',
	'mobile-frontend-editor-newpage-prompt' => 'Ta stran ne obstaja. Zakaj ne bi bili drzni in bi jo ustvarili?',
	'mobile-frontend-editor-disabled' => 'Stran je zaščitena zaradi preprečitve vandalizma.',
	'mobile-frontend-editor-cta' => 'Pomagajte izboljšati stran!',
	'mobile-frontend-editor-edit' => 'Uredi',
	'mobile-frontend-editor-continue' => 'Naprej',
	'mobile-frontend-editor-save' => 'Shrani',
	'mobile-frontend-editor-cancel' => 'Prekliči',
	'mobile-frontend-editor-keep-editing' => 'Nadaljnje urejanje',
	'mobile-frontend-editor-license' => 'S shranitvijo sprememb soglašate z našimi [//wikimediafoundation.org/wiki/Terms_of_use Pogoji uporabe] in z objavo svojega besedila pod dovoljenjima[//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0 License] in [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'Ta razdelek je prazen. Bodite prvi, ki ga bo razširil!',
	'mobile-frontend-editor-summary-placeholder' => 'Opis spremembe, ki ste jo napravili (neobvezno)',
	'mobile-frontend-editor-cancel-confirm' => 'Ali resnično želite zavreči svoje urejanje?',
	'mobile-frontend-editor-wait' => 'Shranjujem urejanje, prosimo, počakajte.',
	'mobile-frontend-editor-success' => 'Uspešno! Vaše urejanje se je shranilo.',
	'mobile-frontend-editor-success-landmark-1' => 'Čestitamo, zdaj ste urejevalec projekta {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Napaka, urejanje se ni shranilo.',
	'mobile-frontend-editor-error-conflict' => 'Napaka, stran je urejal drug uporabnik.',
	'mobile-frontend-editor-error-loading' => 'Napaka, ne morem naložiti razdelka.',
	'mobile-frontend-editor-error-preview' => 'Napaka, ob nalaganju predogleda se je zgodilo nekaj nepričakovanega. Prosimo, zaprite stran in poskusite ponovno.',
	'mobile-frontend-editor-tutorial-summary' => 'Ne bojte se označevanja. Poskusite izboljšati stran $1.',
	'mobile-frontend-editor-tutorial-confirm' => 'Začetek urejanja',
	'mobile-frontend-editor-captcha-try-again' => 'Napačna koda, poskusite ponovno.',
	'mobile-frontend-editor-abusefilter-warning' => 'Opozorilo: ali to urejanje resnično želite shraniti? Morda so pri njem težave.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Urejanja ni mogoče shraniti, ker smo zaznali težavo.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Več o tem',
	'tag-mobile_edit' => 'Mobilno urejanje',
	'tag-mobile_edit-description' => 'Urejanje z mobilne spletne strani',
	'mobile-frontend-drawer-cancel' => 'Prekliči',
	'mobile-frontend-talk-explained' => 'Trenutno so aktivni naslednji pogovori',
	'mobile-frontend-talk-explained-empty' => 'O tej strani ni nobenega pogovora.',
	'mobile-frontend-talk-overlay-header' => 'Pogovor',
	'mobile-frontend-talk-back-to-page' => 'Vrnitev na stran »$1«.',
	'mobile-frontend-talk-overlay-lead-header' => 'Neimenovana razprava',
	'mobile-frontend-talk-add-overlay-submit' => 'Dodaj razpravo',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Tema razdelka',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'O čem trenutno razmišljate?',
	'mobile-frontend-talk-edit-summary' => 'Nov pogovorni razdelek: $1',
	'mobile-frontend-talk-reply-success' => 'Vaš odgovor se je uspešno shranil na pogovorni strani.',
	'mobile-frontend-talk-reply-info' => 'Vedite, da bo vaš odgovor z vašim uporabniškim imenom podpisan samodejno.',
	'mobile-frontend-talk-reply' => 'Odgovor',
	'mobile-frontend-media-details' => 'Podrobnosti',
	'mobile-frontend-media-license-link' => 'Informacije o dovoljenju',
	'abusefilter-edit-builder-vars-user-mobile' => 'Ali uporabnik ureja prek mobilnega vmesnika ali ne',
	'mobile-frontend-profile-title' => 'Podatki o uporabniku',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Naloženo}} {{PLURAL:$1|včeraj|pred $1 dnevoma|pred $1 dnevi|0=danes}}.',
	'mobile-frontend-profile-usertalk' => 'Pogovorite se z {{GENDER:$1|uporabnikom|uporabnico}} $1',
	'mobile-frontend-profile-noargs' => 'Podali niste nobenega uporabniškega imena. Prosimo, vnesite uporabniško ime za ogled profila.',
	'mobile-frontend-profile-nouser' => 'Uporabnik s tem imenom ne obstaja. Uporabniška imena so občutljiva na velikost črk, zato preverite, če ste ga vtipkali pravilno.',
	'mobile-frontend-profile-activity-heading' => 'Nedavna dejavnost',
	'mobile-frontend-profile-userpage-link' => 'Obiščite uporabnikovo stran.',
	'mobile-frontend-requires-optin' => 'Ta stran je na razpolago samo, če privolite v betanačin. Za privolitev obiščite [[Special:MobileOptions|stran z nastavitvami]].',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$1|Zahvalil|Zahvalila}} se {{GENDER:$2|mu|ji}} je {{GENDER:$1|uporabnik|uporabnica}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-geonotahack' => 'Blizu te strani',
);

/** Albanian (shqip)
 * @author FatosMorina
 * @author Olsi
 */
$messages['sq'] = array(
	'mobile-frontend-desc' => 'Për celular',
	'mobile-frontend-search-submit' => 'Shko',
	'mobile-frontend-home-button' => 'Kryefaqja',
	'mobile-frontend-logged-out' => 'Nuk jeni qasur',
	'mobile-frontend-settings-description' => 'Rregulloni përvojën tuaj në pajisjen tuaj mobile me këto opsione të posaçme të faqes për mobil.',
	'mobile-frontend-save-settings' => 'Ruani rregullimet', # Fuzzy
	'mobile-frontend-random-button' => 'I rastit',
	'mobile-frontend-back-to-top-of-section' => 'Kalo në seksionin A',
	'mobile-frontend-close-section' => 'Mbylleni këtë seksion',
	'mobile-frontend-regular-site' => 'Shiko këtë faqe në versionin e rregullt të {{SITENAME}}', # Fuzzy
	'mobile-frontend-wml-continue' => 'Vazhdo...',
	'mobile-frontend-wml-back' => 'Prapa ...',
	'mobile-frontend-view' => 'Për celular',
	'mobile-frontend-view-desktop' => 'Desktopi',
	'mobile-frontend-view-mobile' => 'Pamja për celular',
	'mobile-frontend-opt-in-explain' => 'Duke iu bashkuar versionit beta, ju do të keni qasje në tipare eksperimentale, me riskun e ndeshjes me probleme.',
	'mobile-frontend-images-status' => 'Fotografitë',
	'mobile-frontend-disable-images' => 'Çaktivizo figurat në versionin për celular',
	'mobile-frontend-enable-images' => 'Aktivizo figurat në versionin për celular',
	'mobile-frontend-off' => 'Të paparaqitura',
	'mobile-frontend-on' => 'Të paraqitura',
	'mobile-frontend-featured-article' => 'Artikulli i ditës', # Fuzzy
	'mobile-frontend-news-items' => 'Në lajme',
	'mobile-frontend-language-header' => 'Ky artikull është në dispozicion në $1 {{PLURAL:$1|gjuhën|gjuhët}}', # Fuzzy
	'mobile-frontend-language-footer' => '{{SITENAME}} është në dispozicion në gjuhët e tjera.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Kërkoni gjuhën',
	'mobile-frontend-username' => 'Emri i përdoruesit:',
	'mobile-frontend-password' => 'Fjalëkalimi:',
	'mobile-frontend-login' => 'Hyni',
	'mobile-frontend-placeholder' => 'Shkruani kërkimin tuaj këtu...', # Fuzzy
	'mobile-frontend-search-help' => 'Shkruani termin e kërkimit më sipër dhe titujt e artikujve të përputhshëm do të paraqiten këtu.', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'largoni këtë lajmërim',
	'mobile-frontend-clear-search' => 'Fshije',
	'mobile-frontend-privacy-link-text' => 'Privatësia',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Përmbajtja në dispozicion nën [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-copyright' => "Përmbajtja është në dispozicion nën <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:
Text_of_Creative_Commons_Attribution_ShareAlike_3.0_Unported_License'>Krijuesi i  atributeve të përbashkëta/License e ndarë njësoj</a>; kushte shtesë mund të aplikohen. Shiko <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Kushtet e përdorimit</a> për detaje. {{SITENAME}} është një markë e regjistruar e <a href='http://www.wikimediafoundation.org/'> Wikimedia Foundation, Inc.</a>, një organizatë jo fitim prurëse.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Kontakti',
	'mobile-frontend-search-noresults' => 'Asnjë titull i artikujve nuk u përputh me kërkimin tuaj. Ndryshoni kërkimin tuaj, ose shtypni butonin e kërkimit me tastierë për të kërkuar brenda artikujve.', # Fuzzy
	'mobile-frontend-main-menu-featured' => 'I veçuar',
	'mobile-frontend-main-menu-nearby' => 'Pranë',
	'mobile-frontend-main-menu-settings' => 'Parametrat',
	'mobile-frontend-main-menu-settings-heading' => 'Parametrat e faqes për celular', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} Gjuhë',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} është në dispozicion në $1 {{PLURAL:$1|gjuhën|gjuhët}}. Të gjitha versionet janë të listuara më poshtë',
	'mobile-frontend-page-menu-contents' => 'Përmbajtja',
	'mobile-frontend-page-menu-history' => 'Historiku',
);

/** Serbian (Cyrillic script) (српски (ћирилица)‎)
 * @author Milicevic01
 * @author Nikola Smolenski
 * @author Rancher
 * @author Милан Јелисавчић
 * @author Михајло Анђелковић
 */
$messages['sr-ec'] = array(
	'mobilefrontend-random-explain' => 'Да ли вам је ова случајна страница интересантна?',
	'mobile-frontend-desc' => 'Кориснички део за мобилне уређаје',
	'mobile-frontend-search-submit' => 'Иди',
	'mobile-frontend-home-button' => 'Почетак',
	'mobile-frontend-logged-out' => 'Нисте пријављени',
	'mobile-frontend-logged-in-homepage-notification' => 'Добро дошли, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Пријављен сте као $1.',
	'mobile-frontend-sign-up-heading' => 'Отварање налога',
	'mobile-frontend-sign-in-heading' => 'Пријави ме',
	'mobile-frontend-sign-in-error-heading' => 'Грешка',
	'mobile-frontend-settings-beta' => 'Бета',
	'mobile-frontend-save-settings' => 'Сачувај',
	'mobile-frontend-random-button' => 'Насумице',
	'mobile-frontend-back-to-top-of-section' => 'Назад на претходни одељак',
	'mobile-frontend-regular-site' => 'Десктоп приказ',
	'mobile-frontend-wml-continue' => 'Настави…',
	'mobile-frontend-wml-back' => 'Назад…',
	'mobile-frontend-view' => 'Мобилни приказ',
	'mobile-frontend-view-desktop' => 'Обичан',
	'mobile-frontend-view-mobile' => 'Мобилни',
	'mobile-frontend-opt-in-explain' => 'Користећи бета верзију, добијате приступ до пробних могућности, али с ризиком да дођете до грешака и проблема.',
	'mobile-frontend-images-status' => 'Слике',
	'mobile-frontend-disable-images' => 'Онемогући слике на мобилним страницама',
	'mobile-frontend-enable-images' => 'Омогући слике на мобилним страницама',
	'mobile-frontend-missing-image' => 'Слика',
	'mobile-frontend-off' => 'искључено',
	'mobile-frontend-on' => 'укључено',
	'mobile-frontend-featured-article' => 'Данашњи изабрани садржај',
	'mobile-frontend-news-items' => 'Вести',
	'mobile-frontend-languages-header' => 'Језици',
	'mobile-frontend-language-heading' => '<strong>Језици</strong>',
	'mobile-frontend-language-article-heading' => 'Прочитај на другом језику',
	'mobile-frontend-language-header' => 'Ова страница је доступан на $1 {{PLURAL:$1|језику|језика}}',
	'mobile-frontend-language-site-choose' => 'Претрага језика',
	'mobile-frontend-username' => 'Корисничко име:',
	'mobile-frontend-password' => 'Лозинка:',
	'mobile-frontend-username-placeholder' => 'Корисничко име',
	'mobile-frontend-password-placeholder' => 'Лозинка',
	'mobile-frontend-login' => 'Пријави ме',
	'mobile-frontend-history' => 'Види историју измена ове странице.',
	'mobile-frontend-contribution-summary' => 'Све измене начињене од стране {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-last-modified-date' => 'Последњи пут измењено $1, у $2',
	'mobile-frontend-last-modified-seconds' => 'Ова страница је последњи пут измењена пре {{PLURAL:$1|$1 секунда|$1 секунди}}',
	'mobile-frontend-last-modified-minutes' => 'Ова страница је последњи пут измењена пре {{PLURAL:$1|$1 минут|$1 минута}}',
	'mobile-frontend-last-modified-hours' => 'Ова страница је последњи пут измењена пре {{PLURAL:$1|$1 сат|$1 сата}}',
	'mobile-frontend-last-modified-days' => 'Ова страница је последњи пут измењена пре {{PLURAL:$1|$1 дан|$1 дана}}',
	'mobile-frontend-last-modified-months' => 'Ова страница је последњи пут измењена пре {{PLURAL:$1|$1 месец|$1 месеци}}',
	'mobile-frontend-last-modified-years' => 'Ова страница је последњи пут измењена пре {{PLURAL:$1|$1 године|$1 година}}',
	'mobile-frontend-last-modified-just-now' => 'Ова страница је измењена управо сада',
	'mobile-frontend-account-create-submit' => 'Отвори налог',
	'mobile-frontend-password-confirm-placeholder' => 'Потврдите лозинку',
	'mobile-frontend-account-create-email-placeholder' => 'Адреса е-поште (опционо)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Унесите текст који видите изнад',
	'mobile-frontend-overlay-escape' => 'Назад',
	'mobile-frontend-overlay-close' => 'Затвори',
	'mobile-frontend-placeholder' => 'Претражите {{SITENAME}}',
	'mobile-frontend-dismiss-notification' => 'склони ово обавештење',
	'mobile-frontend-clear-search' => 'Очисти',
	'mobile-frontend-privacy-link-text' => 'Приватност',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Садржај је доступан под [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] додатни услови су можда примењиви.',
	'mobile-frontend-copyright' => 'Садржај је доступан под лиценцом $1 осим ако је другачије наведено.',
	'mobile-frontend-footer-contact' => 'Контакт',
	'mobile-frontend-terms-text' => 'Услови коришћења',
	'mobile-frontend-main-menu-button-tooltip' => 'Отвори главни мени',
	'mobile-frontend-main-menu-featured' => 'Изабрано',
	'mobile-frontend-main-menu-nearby' => 'Околина',
	'mobile-frontend-main-menu-login' => 'Пријави ме',
	'mobile-frontend-main-menu-logout' => 'Одјави ме',
	'mobile-frontend-main-menu-watchlist' => 'Списак надгледања',
	'mobile-frontend-main-menu-settings' => 'Подешавања',
	'mobile-frontend-main-menu-upload' => 'Отпремања',
	'mobile-frontend-main-menu-settings-heading' => 'Подешавања',
	'mobile-frontend-main-menu-account-create' => 'Отвори налог',
	'mobile-frontend-page-menu-contents' => 'садржај',
	'mobile-frontend-page-menu-history' => 'Историја',
	'mobile-frontend-page-saving' => 'Чување $1',
	'mobile-frontend-donate-image-login' => 'Морате бити пријављени да би сте видели ову страницу.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'На овој страници није потребна слика.',
	'mobile-frontend-photo-upload-anon' => 'Морате бити пријављени да би додали слику на ову страницу.', # Fuzzy
	'mobile-frontend-photo-upload-protected' => 'Немате дозволу да додате слику на ову страницу.',
	'mobile-frontend-photo-upload-unavailable' => 'Ваш веб прегледач не подржава слање слика.',
	'mobile-frontend-donate-image-title' => 'Отпремања',
	'mobile-frontend-donate-image-heading' => 'Ваши скорашњи доприноси',
	'mobile-frontend-donate-image-anon' => '$1 је потребан да би сте видели ову страницу',
	'mobile-frontend-user-account' => 'Кориснички налог',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Јесте разумели?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Да!',
	'mobile-frontend-watchlist-add' => 'Страница $1 је додата на ваш списак надгледања',
	'mobile-frontend-watchlist-removed' => 'Страница $1 је уклоњена са вашег списка надгледања',
	'mobile-frontend-watchlist-view' => 'Види списак надгледања',
	'mobile-frontend-watchlist-more' => 'више',
	'mobile-frontend-watchlist-cta' => 'Морате бити пријављени да би сте активирали ову опцију', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Пријава',
	'mobile-frontend-watchlist-cta-button-signup' => 'Отвори налог',
	'mobile-frontend-watch-login' => 'Морате бити пријављени да бисте надгледали странице.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'Списак',
	'mobile-frontend-watchlist-back-home' => 'Назад на почетну страну',
	'mobile-frontend-changeslist-ip' => 'Анониман корисник',
	'mobile-frontend-watchlist-filter-all' => 'Све',
	'mobile-frontend-watchlist-filter-articles' => 'Чланци', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Разговор',
	'mobile-frontend-watchlist-filter-other' => 'Друго',
	'mobile-frontend-diffview-404-title' => 'Лоша ревизија',
	'mobile-frontend-diffview-title' => 'Измене',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|измена|измене}}',
	'mobile-frontend-diffview-anonymous' => 'Анониман корисник',
	'mobile-frontend-photo-upload' => 'Додајте слику на ову страницу',
	'mobile-frontend-photo-ownership' => 'Ја, $1, направио/ла сам ову слику.',
	'mobile-frontend-photo-ownership-help' => 'Шта ово значи?',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Започните отпремање',
	'mobile-frontend-photo-upload-error' => 'Грешка, покушајте поново.',
	'mobile-frontend-photo-submit' => 'Пошаљи',
	'mobile-frontend-image-heading-describe' => "'''Опиши''' слику",
	'mobile-frontend-image-uploading' => "'''Отпремам''' слику...",
	'mobile-frontend-image-cancel-confirm' => 'Откажи слање?',
	'mobile-frontend-editor-unavailable' => 'Ваш веб прегледач не подржава мобилно уређивање. Покушајте са неким другим веб прегледачем.',
	'mobile-frontend-editor-disabled' => 'Није вам дозвољено да уређујете ову страницу.', # Fuzzy
	'mobile-frontend-editor-cta' => 'Морате бити пријављени да би сте уређивали преко мобилног телефона.', # Fuzzy
	'mobile-frontend-editor-edit' => 'Уреди',
	'mobile-frontend-editor-continue' => 'Настави',
	'mobile-frontend-editor-save' => 'Сачувај',
	'mobile-frontend-editor-cancel' => 'Откажи',
	'mobile-frontend-editor-keep-editing' => 'Настави уређивање',
	'mobile-frontend-editor-license' => 'Кликом на дугме „Сачувај“ слажете се са [//wikimediafoundation.org/wiki/Terms_of_use Условима коришћења] и слажете се да објавите свој текст под лиценценцама [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0] и [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-summary-placeholder' => 'Опис измене (није обавезно)',
	'mobile-frontend-editor-wait' => 'Чување измене, молимо сачекајте.',
	'mobile-frontend-editor-success' => 'Ваша измена је сачувана!',
	'mobile-frontend-editor-error' => 'Грешка, измена није сачувана.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Прочитајте више',
	'mobile-frontend-editor-editing-page' => '<strong>Уређујете страницу</strong> <span>$1</span>', # Fuzzy
	'mobile-frontend-editor-previewing-page' => '<strong>Претпреглед</strong> <span>$1</span>', # Fuzzy
	'tag-mobile_edit-description' => 'Измена начињена са мобилне верзије википедије',
	'mobile-frontend-drawer-cancel' => 'Откажи',
	'mobile-frontend-talk-overlay-header' => 'Разговор',
	'mobile-frontend-talk-overlay-lead-header' => 'Неименована тема',
	'mobile-frontend-talk-add-overlay-submit' => 'Додај тему',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Предмет теме',
	'mobile-frontend-talk-reply-success' => 'Ваш одговор је успешно сачуван на страници за разговор.',
	'mobile-frontend-talk-reply-info' => 'Напомена на ваш одговор ће аутоматски бити додат ваш потпис.',
	'mobile-frontend-talk-reply' => 'Одговори',
	'mobile-frontend-media-details' => 'Детаљи',
	'mobile-frontend-profile-title' => 'Кориснички профил',
	'mobile-frontend-profile-userpage-link' => 'Види корисничку страницу.',
);

/** Serbian (Latin script) (srpski (latinica)‎)
 * @author Milicevic01
 */
$messages['sr-el'] = array(
	'mobile-frontend-desc' => 'Korisnički deo za mobilne uređaje',
	'mobile-frontend-search-submit' => 'Idi',
	'mobile-frontend-home-button' => 'Početak',
	'mobile-frontend-logged-out' => 'Niste prijavljeni',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-save-settings' => 'Snimi podešavanja', # Fuzzy
	'mobile-frontend-random-button' => 'Nasumice',
	'mobile-frontend-back-to-top-of-section' => 'Nazad na prethodni odeljak',
	'mobile-frontend-regular-site' => 'Desktop prikaz',
	'mobile-frontend-wml-continue' => 'Nastavi…',
	'mobile-frontend-wml-back' => 'Nazad…',
	'mobile-frontend-view' => 'Mobilni prikaz',
	'mobile-frontend-view-desktop' => 'Običan',
	'mobile-frontend-view-mobile' => 'Mobilni',
	'mobile-frontend-opt-in-explain' => 'Koristeći beta verziju, dobijate pristup do probnih mogućnosti, ali s rizikom da dođete do grešaka i problema.',
	'mobile-frontend-images-status' => 'Slike',
	'mobile-frontend-disable-images' => 'Onemogući slike na mobilnim stranicama',
	'mobile-frontend-enable-images' => 'Omogući slike na mobilnim stranicama',
	'mobile-frontend-off' => 'neprikazane',
	'mobile-frontend-on' => 'prikazane',
	'mobile-frontend-featured-article' => 'Današnji izabrani članak', # Fuzzy
	'mobile-frontend-news-items' => 'Vesti',
	'mobile-frontend-language-header' => 'Ovaj članak je dostupan na $1 {{PLURAL:$1|jeziku|jezika}}',
	'mobile-frontend-language-site-choose' => 'Pretraga jezika',
	'mobile-frontend-username' => 'Korisničko ime:',
	'mobile-frontend-password' => 'Lozinka:',
	'mobile-frontend-login' => 'Prijavi me',
	'mobile-frontend-placeholder' => 'Pretražite {{SITENAME}}',
	'mobile-frontend-dismiss-notification' => 'skloni ovo obaveštenje',
	'mobile-frontend-clear-search' => 'Očisti',
	'mobile-frontend-privacy-link-text' => 'Privatnost',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Sadržaj je dostupan pod [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-copyright' => 'Sadržaj je dostupan pod licencom $1 osim ako je drugačije navedeno.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-terms-text' => 'Uslovi korišćenja',
	'mobile-frontend-main-menu-featured' => 'Izabrano',
	'mobile-frontend-main-menu-nearby' => 'Okolina',
	'mobile-frontend-main-menu-settings' => 'Podešavanja',
	'mobile-frontend-main-menu-settings-heading' => 'Podešavanja mobilnog sajta', # Fuzzy
	'mobile-frontend-page-menu-contents' => 'sadržaj',
	'mobile-frontend-page-menu-history' => 'Istorija',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Da!',
	'tag-mobile_edit-description' => 'Izmena načinjena sa mobilne verzije vikipedije',
);

/** Sundanese (Basa Sunda)
 */
$messages['su'] = array(
	'mobile-frontend-search-submit' => 'Jung',
	'mobile-frontend-home-button' => 'Tepas',
	'mobile-frontend-random-button' => 'Acak',
	'mobile-frontend-back-to-top-of-section' => 'Balik ka Bagian Saméméhna',
	'mobile-frontend-regular-site' => 'Pidangkeun ieu kaca dina Wikipédia biasa', # Fuzzy
	'mobile-frontend-featured-article' => 'Artikel Petingan Poé Ieu', # Fuzzy
	'mobile-frontend-copyright' => "Tulisan ditangtayungan ku <a href='http://id.wikipedia.org/wiki/{{SITENAME}}:Teks_Lisensi_Creative_Commons_Atribusi-PembagianSerupa_3.0'>Lisénsi Creative Commons Atribusi-PembagianSerupa</a>; sarta bisa aya katangtuan émbohna. Pikeun lengkepna, mangga baca <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Katangtuan Maké</a>. Wikipédia mangrupakeun mérek dagang ti organisasi nirlaba <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>.", # Fuzzy
);

/** Swedish (svenska)
 * @author Ainali
 * @author Cybjit
 * @author Diupwijk
 * @author JoolzWiki
 * @author Jopparn
 * @author Lokal Profil
 * @author MaxSem
 * @author McDutchie
 * @author Skalman
 * @author WikiPhoenix
 */
$messages['sv'] = array(
	'mobilefrontend-random-explain' => 'Intresserar denna slumpsida dig?',
	'mobilefrontend-random-cancel' => 'Låt mig läsa!',
	'mobilefrontend-keepgoing-ask' => 'Bra jobbat! Du börjar får kläm på detta! Vill du prova att redigera en annan sida?',
	'mobilefrontend-keepgoing-ask-first' => 'Grattis för din försa redigering! Vill du prova att redigera en annan sida?',
	'mobilefrontend-keepgoing-explain' => 'Jättebra! En annan användare sa att denna sida behöver hjälp. Prova den här, eller prova en annan.',
	'mobilefrontend-keepgoing-cancel' => 'Nej tack',
	'mobilefrontend-keepgoing-suggest' => 'Ja tack',
	'mobilefrontend-keepgoing-suggest-again' => 'Prova en annan',
	'mobilefrontend-keepgoing-saved-title' => 'Redigering sparades!',
	'mobilefrontend-keepgoing-links-title' => 'Lägg till länkar',
	'mobilefrontend-keepgoing-links-ask-first' => 'Grattis till din första redigering! Vill du hjälpa till med att lägga till länkar till en nyligen skapad sida?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Fixa en annan sida?',
	'mobilefrontend-keepgoing-links-explain' => 'Hitta fler ord som kan vara länkar. Lägg till dubbla hakparenteser runt ordet.',
	'mobilefrontend-keepgoing-links-example' => 't.ex. $1gitarr$2 blir $3gitarr$4',
	'nearby' => 'Sidor nära dig',
	'mobile-frontend-desc' => 'Mobilt gränssnitt',
	'mobile-frontend-search-submit' => 'Gå till',
	'mobile-frontend-home-button' => 'Huvudsida',
	'mobile-frontend-logged-out' => 'Inte inloggad',
	'mobile-frontend-logged-in-homepage-notification' => 'Välkommen, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Inloggad som $1.',
	'mobile-frontend-generic-404-title' => 'Fel - Sidan hittades inte',
	'mobile-frontend-sign-up-heading' => 'Skapa ett konto',
	'mobile-frontend-sign-in-heading' => 'Logga in',
	'mobile-frontend-sign-in-why' => 'Om du har ett {{SITENAME}}konto kan du logga in nedan.',
	'mobile-frontend-sign-in-error-heading' => 'Hoppsan',
	'mobile-frontend-settings-description' => 'Skräddarsy din upplevelse på din mobila enhet med dessa mobilspecifika inställningar.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Experimentellt läge',
	'mobile-frontend-settings-alpha-description' => 'Kliv in i det farliga och outforskade mobilterritoriet. Få mer experimentella funktioner, men med mer fara för buggar.',
	'mobile-frontend-save-settings' => 'Spara',
	'mobile-frontend-save-error' => 'Fel uppstod när inställningar sparades. Var god se till att du har aktiverat cookies.',
	'mobile-frontend-random-button' => 'Slumpartikel',
	'mobile-frontend-back-to-top-of-section' => 'Hoppa ett avsnitt bakåt',
	'mobile-frontend-regular-site' => 'Skrivbordsvy',
	'mobile-frontend-wml-continue' => 'Fortsätt...',
	'mobile-frontend-wml-back' => 'Tillbaka...',
	'mobile-frontend-view' => 'Mobilformat',
	'mobile-frontend-view-desktop' => 'Stationär dator',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-cookies-required' => 'Cookies krävs för att växla mellan visningslägen. Aktivera dem och försök igen.',
	'mobile-frontend-opt-in-explain' => 'Genom att gå med i betaprogrammet, får du tillgång till experimentella funktioner, med risk för att stöta på problem och buggar.',
	'mobile-frontend-images-status' => 'Bilder',
	'mobile-frontend-disable-images' => 'Inaktivera bilder på mobilsidan',
	'mobile-frontend-enable-images' => 'Aktivera bilder på mobil webbplats',
	'mobile-frontend-expand-sections-status' => 'Expandera alla avsnitt',
	'mobile-frontend-expand-sections-description' => 'Expandera alltid alla avsnitt när du navigerar till en ny sida.',
	'mobile-frontend-missing-image' => 'Bild',
	'mobile-frontend-off' => 'AV',
	'mobile-frontend-on' => 'PÅ',
	'mobile-frontend-featured-article' => 'Dagens utvalda innehåll',
	'mobile-frontend-news-items' => 'I nyheterna',
	'mobile-frontend-languages-404-title' => 'Språkfel',
	'mobile-frontend-languages-404-desc' => 'En giltig titel måste anges.',
	'mobile-frontend-languages-header' => 'Språk',
	'mobile-frontend-languages-nonexistent-title' => 'Sidan "$1" finns inte.',
	'mobile-frontend-languages-text' => '$1 finns {{PLURAL:$2|tillgänglig|tillgängliga}} på $2 språk.',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}}varianter',
	'mobile-frontend-language-heading' => '<strong>Språk</strong>',
	'mobile-frontend-language-article-heading' => 'Läs på ett annat språk',
	'mobile-frontend-language-header' => 'Denna artikel är tillgänglig på $1 {{PLURAL:$1|språk}}',
	'mobile-frontend-language-variant-header' => 'Välj varianten {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Sök språk',
	'mobile-frontend-username' => 'Användarnamn:',
	'mobile-frontend-password' => 'Lösenord:',
	'mobile-frontend-username-placeholder' => 'Användarnamn',
	'mobile-frontend-password-placeholder' => 'Lösenord',
	'mobile-frontend-login' => 'Logga in',
	'mobile-frontend-history' => 'Visa redigeringshistorik för denna sida.',
	'mobile-frontend-history-404-title' => 'Ingen sådan sida',
	'mobile-frontend-history-404-desc' => 'Kan inte titta på historiken för en sida som inte finns. Det kan ha raderats eller du kanske har följt en trasig länk.',
	'mobile-frontend-history-no-results' => 'Ingen historik överensstämmer med det angivna filtret.',
	'mobile-frontend-contribution-summary' => 'Alla redigeringar gjordes av {{GENDER:$1|[[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Sidhistorik för [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Senast redigerad den $1, kl $2',
	'mobile-frontend-last-modified-seconds' => 'Senast redigerad {{PLURAL:$1|$1 sekund|$1 sekunder}} sedan',
	'mobile-frontend-last-modified-minutes' => 'Senast redigerad {{PLURAL:$1|$1 minut|$1 minuter}} sedan',
	'mobile-frontend-last-modified-hours' => 'Senast redigerad {{PLURAL:$1|$1 timme|$1 timmar}} sedan',
	'mobile-frontend-last-modified-days' => 'Senast redigerad {{PLURAL:$1|$1 dag|$1 dagar}} sedan',
	'mobile-frontend-last-modified-months' => 'Senast redigerad {{PLURAL:$1|$1 månad|$1 månader}} sedan',
	'mobile-frontend-last-modified-years' => 'Senast redigerad {{PLURAL:$1|$1 år}} sedan',
	'mobile-frontend-last-modified-just-now' => 'Senast ändrad just nu',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Senast {{GENDER:$1|redigerad}} för {{PLURAL:$3|$3 sekund|$3 sekunder}} sedan] av {{PLURAL:$5|[$6 $2]|0=en anonym användare}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Senast {{GENDER:$1|redigerad}} för {{PLURAL:$3|$3 minut|$3 minuter}} sedan] av {{PLURAL:$5|[$6 $2]|0=en anonym användare}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Senast {{GENDER:$1|redigerad}} för {{PLURAL:$3|$3 timme|$3 timmar}} sedan] av {{PLURAL:$5|[$6 $2]|0=en anonym användare}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Senast {{GENDER:$1|redigerad}} för {{PLURAL:$3|$3 dag|$3 dagar}} sedan] av {{PLURAL:$5|[$6 $2]|0=en anonym användare}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Senast {{GENDER:$1|redigerad}} för {{PLURAL:$3|$3 månad|$3 månader}} sedan] av {{PLURAL:$5|[$6 $2]|0=en anonym användare}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Senast {{GENDER:$1|redigerad}} för {{PLURAL:$3|$3 år}} sedan] av {{PLURAL:$5|[$6 $2]|0=en anonym användare}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Senast {{GENDER:$1|redigerad}}] just nu av {{PLURAL:$4|[$5 $2]|0=en anonym användare}}.',
	'mobile-frontend-view-source' => 'Visa källkod',
	'mobile-frontend-account-create-submit' => 'Skapa ett konto',
	'mobile-frontend-password-confirm-placeholder' => 'Bekräfta lösenord',
	'mobile-frontend-account-create-email-placeholder' => 'E-postadress (valfritt)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Ange bekräftelsekod',
	'mobile-frontend-overlay-escape' => 'Gå tillbaka',
	'mobile-frontend-overlay-close' => 'Stäng',
	'mobile-frontend-overlay-continue' => 'Fortsätt',
	'mobile-frontend-placeholder' => 'Sök på {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Sök i {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Sök {{SITENAME}} (experimentell)',
	'mobile-frontend-dismiss-notification' => 'avfärda detta meddelande',
	'mobile-frontend-clear-search' => 'Rensa',
	'mobile-frontend-search-content' => 'Sök inom sidor',
	'mobile-frontend-search-no-results' => 'Ingen sida med denna titel.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' för att se om denna fras finns någonstans.",
	'mobile-frontend-privacy-link-text' => 'Sekretess',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Text är tillgängligt under [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; fler villkor kan gälla.',
	'mobile-frontend-copyright' => 'Innehållet är tillgängligt under $1 om ingenting annat anges.',
	'mobile-frontend-footer-contact' => 'Kontakt',
	'mobile-frontend-terms-text' => 'Användarvillkor',
	'mobile-frontend-main-menu-button-tooltip' => 'Öppna huvudmenyn',
	'mobile-frontend-main-menu-page-title' => 'Navigering',
	'mobile-frontend-main-menu-featured' => 'Utmärkt',
	'mobile-frontend-main-menu-nearby' => 'I närheten',
	'mobile-frontend-main-menu-login' => 'Logga in',
	'mobile-frontend-main-menu-logout' => 'Logga ut',
	'mobile-frontend-main-menu-watchlist' => 'Bevakningslista',
	'mobile-frontend-main-menu-settings' => 'Inställningar',
	'mobile-frontend-main-menu-upload' => 'Uppladdningar',
	'mobile-frontend-main-menu-settings-heading' => 'Inställningar',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} språk',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} finns tillgängligt på {{PLURAL:$1|ett språk|$1 språk}}. Alla versioner visas nedan',
	'mobile-frontend-main-menu-account-create' => 'Skapa konto',
	'mobile-frontend-page-menu-contents' => 'innehåll',
	'mobile-frontend-page-menu-history' => 'Historik',
	'mobile-frontend-meta-data-issues-header' => 'Problem',
	'mobile-frontend-meta-data-issues' => 'Denna sida har några problem',
	'mobile-frontend-page-saving' => 'Sparar $1',
	'mobile-frontend-user-cta' => 'Var god logga in eller registrera dig för att se dina meddelanden.',
	'mobile-frontend-user-button-tooltip' => 'Visa mina meddelanden',
	'mobile-frontend-nearby-to-page' => 'Följande sidor är relaterade till $1 av deras geografiska läge',
	'mobile-frontend-nearby-title' => 'I närheten',
	'mobile-frontend-nearby-loading' => 'Läser in ämnen nära din aktuella plats',
	'mobile-frontend-nearby-requirements' => 'Tyvärr stödjer inte din webbläsare {{SITENAME}}s funktion "Närliggande".',
	'mobile-frontend-nearby-requirements-guidance' => 'Prova en annan webbläsare eller aktivera JavaScript om du har inaktiverat det.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}}s funktion "I närheten" kan inte lista ut var du är… prova igen?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Prova på en öppen plats med bättre signal.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} i närheten har inte behörighet att komma åt din plats.',
	'mobile-frontend-nearby-permission-guidance' => 'Var god kontrollera att du ger behörighet att visa var du befinner dig. Du kanske behöver kontrollera dina webbläsarinställningar.',
	'mobile-frontend-nearby-noresults' => 'Det är tyst här ute... Det fanns inga sidor att hitta i närheten.',
	'mobile-frontend-nearby-noresults-guidance' => 'Prova att skapa en ny sida eller lägga till en plats till en befintlig',
	'mobile-frontend-nearby-refresh' => 'Vi hittade en mer exakt plats för dig. Klicka här för att uppdatera listan över närliggande sidor',
	'mobile-frontend-nearby-error' => '{{SITENAME}}s "I närheten" har problem.',
	'mobile-frontend-nearby-error-guidance' => 'Prova att uppdatera din plats.',
	'mobile-frontend-nearby-link' => 'Läs hela sidan',
	'mobile-frontend-nearby-directions' => 'Navigera hit',
	'mobile-frontend-donate-image-nouploads' => 'Ingen uppladdningar.',
	'mobile-frontend-donate-image-login' => 'Media på {{SITENAME}} doneras av människor som du.',
	'mobile-frontend-donate-image-login-action' => 'Logga in för att dela din media.',
	'mobile-frontend-donate-image-signup-action' => 'Registrera för att dela din media med världen.',
	'mobile-frontend-photo-upload-disabled' => 'Det behövs ingen bild på denna sida.',
	'mobile-frontend-photo-upload-anon' => 'Var god logga in för att lägga till en bild på denna sida.',
	'mobile-frontend-photo-upload-protected' => 'Du har inte behörighet att lägga till en bild på denna sida.',
	'mobile-frontend-photo-upload-unavailable' => 'Din webbläsare stöder inte bilduppladdningar.',
	'mobile-frontend-photo-upload-generic' => 'Bidra med en bild',
	'mobile-frontend-donate-image-title' => 'Uppladdningar',
	'mobile-frontend-donate-image-heading' => 'Dina senaste bidrag',
	'mobile-frontend-donate-image-anon' => 'Ett $1 krävs för att visa uppladdningssidan',
	'mobile-frontend-user-account' => 'Användarkonto',
	'mobile-frontend-listed-image-no-description' => 'Ingen beskrivning',
	'mobile-frontend-donate-photo-upload-success' => 'Åtgärden genomfördes! Din bild kan nu användas på {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Åtgärden genomfördes! Tack för ditt första bidrag!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Bidra med dina bilder. Hjälp {{SITENAME}} att bli levande!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Bilder på {{SITENAME}} kommer från Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Dina bilder hjälper till att utbilda
människor runt om i världen',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Undvik upphovsrättsskyddat material
som du hittar på internet samt
bilder av affischer, bokomslag, etc.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Fattar du?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Ja!',
	'mobile-frontend-watchlist-add' => 'Lade till $1 i din bevakningslista',
	'mobile-frontend-watchlist-removed' => 'Tog bort $1 från din bevakningslista',
	'mobile-frontend-watchlist-view' => 'Visa din bevakningslista',
	'mobile-frontend-watchlist-more' => 'mer',
	'mobile-frontend-watchlist-cta' => 'Håll koll på denna sida och alla ändringar på den.',
	'mobile-frontend-watchlist-cta-button-login' => 'Logga in',
	'mobile-frontend-watchlist-cta-button-signup' => 'Skapa ett konto',
	'mobile-frontend-watchlist-purpose' => 'En bevakningslista bokmärker sidor och hjälper dig hålla reda på ändringar som görs på dem.',
	'mobile-frontend-watchlist-login-action' => 'Logga in för att se den.',
	'mobile-frontend-watchlist-signup-action' => 'Registrera dig för att starta en nu.',
	'mobile-frontend-generic-login' => '{{SITENAME}} är skapad av människor som dig.',
	'mobile-frontend-generic-login-action' => 'Logga in för att bidra.',
	'mobile-frontend-generic-signup-action' => 'Registrera för att bidra.',
	'mobile-frontend-watch-login' => 'Lägg till $1 i din bevakningslista',
	'mobile-frontend-edit-login' => 'Hjälp till att förbättra sidan $1',
	'mobile-frontend-edit-login-action' => 'Logga in för att redigera.',
	'mobile-frontend-edit-signup-action' => 'Registrera för att redigera.',
	'mobile-frontend-watchlist-a-z' => 'Lista',
	'mobile-frontend-watchlist-feed' => 'Ändrade',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Klicka på stjärnan längst upp på sidan',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Du bevakar för närvarande inte några sidor. Din bevakningslista hjälper dig att hålla reda på de sidor som du är intresserad av. Bevaka sidor genom att trycka på stjärnikonen.',
	'mobile-frontend-watchlist-feed-empty' => 'Det finns inga sidor med nyliga ändringar',
	'mobile-frontend-watchlist-back-home' => 'Tillbaka hem',
	'mobile-frontend-changeslist-ip' => 'Anonym användare',
	'mobile-frontend-changeslist-nocomment' => 'ingen redigeringssammanfattning',
	'mobile-frontend-watchlist-filter-all' => 'Alla',
	'mobile-frontend-watchlist-filter-articles' => 'Sidor',
	'mobile-frontend-watchlist-filter-talk' => 'Diskussion',
	'mobile-frontend-watchlist-filter-other' => 'Andra',
	'mobile-frontend-watchlist-modified' => 'Redigerades för $1',
	'mobile-frontend-diffview-404-title' => 'Dålig version',
	'mobile-frontend-diffview-404-desc' => 'ID för den version du begärde finns inte.',
	'mobile-frontend-diffview-title' => 'Ändringar',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|redigering|redigeringar}}',
	'mobile-frontend-diffview-anonymous' => 'Anonym användare',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|byte}} lades till',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|byte|}} togs bort',
	'mobile-frontend-diffview-explained' => 'Följande rader har lagts till (+) och tagits bort (-):',
	'mobile-frontend-thanked-notice' => '$1 meddelades att du gillade {{GENDER:$2|hans|hennes|dennes}} redigering.',
	'mobile-frontend-saving-exit-page' => 'Ditt bidrag sparas fortfarande. Om du lämnar kommer dina bidrag förloras. Är du säker på att du vill avsluta?',
	'mobile-frontend-photo-upload' => 'Lägg till en bild på denna sida',
	'mobile-frontend-photo-article-edit-comment' => 'Lade till bild för användning på sidan',
	'mobile-frontend-photo-article-donate-comment' => 'Bidragen bild från Special:Uploads',
	'mobile-frontend-photo-upload-comment' => 'Lade till bild på sidan',
	'mobile-frontend-photo-caption-placeholder' => 'Beskriv denna bild (obligatorisk)',
	'mobile-frontend-photo-ownership' => 'Jag, $1, skapade denna bild.',
	'mobile-frontend-photo-ownership-help' => 'Vad betyder detta?',
	'mobile-frontend-photo-ownership-confirm' => 'Jag förstår!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Se till att din bild kan hjälpa till att illustrera sidan. Det bör vara en bild som du har skapat som inte bryter mot upphovsrätten.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Börja ladda upp',
	'mobile-frontend-photo-upload-error' => 'Fel, försök igen.',
	'mobile-frontend-photo-upload-error-file-type' => 'Var god ladda upp bara bilder.',
	'mobile-frontend-photo-upload-error-filename' => 'Fel, ge en mer beskrivande sammanfattning.',
	'mobile-frontend-photo-upload-success-article' => 'Framgång! Din bild är nu publicerad på denna sida.',
	'mobile-frontend-photo-license' => 'Genom att ladda upp denna bild godkänner du våra [//wikimediafoundation.org/wiki/Terms_of_use användarvillkor] och samtycker till att släppa din bild under [//creativecommons.org/licenses/by-sa/3.0/ licensen Creative Commons Attribution-ShareAlike 3.0].',
	'mobile-frontend-photo-submit' => 'Skicka',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> uppladdning|<span>$1</span> uppladdningar}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ uppladdningar',
	'mobile-frontend-image-heading-describe' => "'''Beskriv''' bilden",
	'mobile-frontend-image-uploading' => "'''Laddar upp''' bilden...",
	'mobile-frontend-image-cancel-confirm' => 'Avbryt uppladdning?',
	'mobile-frontend-editor-redirect-title' => 'Omdirigerar till redigeraren...',
	'mobile-frontend-editor-unavailable-header' => 'Redigeraren är otillgänglig',
	'mobile-frontend-editor-unavailable' => 'Mobil redigering är för närvarande inte tillgänglig i din webbläsare. Vänligen prova en annan webbläsare.',
	'mobile-frontend-editor-undo-unsupported' => 'Ångrafunktionen stöds för tillfället inte på mobila enheter.',
	'mobile-frontend-editor-newpage-prompt' => 'Denna sida finns inte. Varför inte vara djärv och skapa den?',
	'mobile-frontend-editor-disabled' => 'Denna sida är skyddad för att förhindra vandalism.',
	'mobile-frontend-editor-blocked' => 'Ditt konto är blockerat från redigering.',
	'mobile-frontend-editor-cta' => 'Hjälp till att förbättra denna sida!',
	'mobile-frontend-editor-edit' => 'Redigera',
	'mobile-frontend-editor-continue' => 'Fortsätt',
	'mobile-frontend-editor-save' => 'Spara',
	'mobile-frontend-editor-cancel' => 'Avbryt',
	'mobile-frontend-editor-keep-editing' => 'Fortsätt redigera',
	'mobile-frontend-editor-license' => 'Genom att spara ändringar godkänner du våra [//wikimediafoundation.org/wiki/Terms_of_use användarvillkor] och samtycker till att släppa din text under [//creativecommons.org/licenses/by-sa/3.0/ licensen Creative Commons Attribution-ShareAlike 3.0] och [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL].',
	'mobile-frontend-editor-placeholder' => 'Detta avsnitt är tomt. Bli den första att bygga ut det!',
	'mobile-frontend-editor-summary-placeholder' => 'Berätta för oss vad du ändrat (frivilligt)',
	'mobile-frontend-editor-cancel-confirm' => 'Är du säker på att du vill avbryta din redigering?',
	'mobile-frontend-editor-wait' => 'Sparar redigering, vänta.',
	'mobile-frontend-editor-success' => 'Din redigering har sparats.',
	'mobile-frontend-editor-success-landmark-1' => 'Grattis, du är nu en redaktör på {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Fel, redigeringen sparades inte.',
	'mobile-frontend-editor-error-conflict' => 'Fel, en annan användare har redigerat sidan.',
	'mobile-frontend-editor-error-loading' => 'Fel, kan inte läsa avsnittet.',
	'mobile-frontend-editor-error-preview' => 'Fel, någonting oväntat hände när förhandsvisningen skulle läsas in. Var god stäng och försök igen.',
	'mobile-frontend-editor-tutorial-summary' => 'Var inte rädd för kodning. Försök att förbättra sidan $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Varför inte förbättra $1? Var inte rädd för koden!',
	'mobile-frontend-editor-tutorial-confirm' => 'Börja redigera',
	'mobile-frontend-editor-tutorial-cancel' => 'Nej tack',
	'mobile-frontend-editor-captcha-try-again' => 'Fel kod, försök igen.',
	'mobile-frontend-editor-abusefilter-warning' => 'Varning: Är du säker du vill spara denna redigering? Det kan finnas ett problem med den.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Denna redigering kan inte sparas eftersom vi har upptäckt ett problem.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Läs mer',
	'mobile-frontend-editor-editing-page' => '<strong>Redigerar</strong> <span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Förhandgranskar</strong> <span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Visar källkoden för</strong><span> $1</span>',
	'tag-mobile_edit' => 'Mobilredigering',
	'tag-mobile_edit-description' => 'Redigering gjordes från mobilsidan',
	'mobile-frontend-drawer-cancel' => 'Avbryt',
	'mobile-frontend-talk-explained' => 'Följande diskussioner är för närvarande aktiva',
	'mobile-frontend-talk-explained-empty' => 'Det finns inga diskussioner om denna sida.',
	'mobile-frontend-talk-overlay-header' => 'Diskussion',
	'mobile-frontend-talk-back-to-page' => 'Tillbaka till sidan "$1".',
	'mobile-frontend-talk-overlay-lead-header' => 'Namnlös diskussion',
	'mobile-frontend-talk-add-overlay-submit' => 'Lägg till diskussion',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Ämne',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Vad tänker du på?',
	'mobile-frontend-talk-edit-summary' => 'Nytt diskussionsavsnitt: $1',
	'mobile-frontend-talk-reply-success' => 'Ditt svar sparades framgångsrikt på diskussionssidan.',
	'mobile-frontend-talk-reply-info' => 'Observera att ditt svar automatiskt kommer att undertecknas med ditt användarnamn.',
	'mobile-frontend-talk-reply' => 'Svara',
	'mobile-frontend-talk-topic-feedback' => 'Nytt ämne lades till på diskussionssidan!',
	'mobile-frontend-media-details' => 'Detaljer',
	'mobile-frontend-media-license-link' => 'Licensinformation',
	'abusefilter-edit-builder-vars-user-mobile' => 'Huruvida eller inte en användare redigerar via mobila gränssnittet',
	'mobile-frontend-profile-title' => 'Användarprofil',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|Laddades upp}} {{PLURAL:$2|igår|$1 dagar sedan|0=idag}}.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|Diskutera med $1}}',
	'mobile-frontend-profile-error' => 'Åh nej!',
	'mobile-frontend-profile-noargs' => 'Inget användarnamn angavs. Var god ange ett användarnamn för att visa en profil.',
	'mobile-frontend-profile-nouser' => 'Det finns ingen användare med detta namn. Användarnamn är skiftlägeskänsliga, så kontrollera om det har skrivits korrekt.',
	'mobile-frontend-profile-activity-heading' => 'Senaste aktivitet',
	'mobile-frontend-profile-userpage-link' => 'Besök användarsidan.',
	'mobile-frontend-requires-optin' => 'Denna sida är inte tillgänglig om du inte väljer att vara i vårt betaläge. Besök [[Special:MobileOptions|inställningssidan]] för att ställa in det.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Tackades}} {{GENDER:$1|av}} [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Redigerade}} sidan [[:$1]], {{PLURAL:$2|igår|$2 dagar sedan|0=tidigare idag}}.',
	'mobile-frontend-profile-footer-days' => 'Gick med för {{PLURAL:$2|1 dag|$2 dagar}} sedan med [[Special:Contributions/$1|{{PLURAL:$3|1 redigering|$3 redigeringar}}]] och [[Special:Uploads/$1|{{PLURAL:$4|1 uppladdning|$4 uppladdningar|500=500+ uppladdningar}}]].',
	'mobile-frontend-profile-footer-months' => 'Gick med för över {{PLURAL:$2|1 månad|$2 månader}} sedan med [[Special:Contributions/$1|{{PLURAL:$3|1 redigering|$3 redigeringar}}]] och [[Special:Uploads/$1|{{PLURAL:$4|1 uppladdning|$4 uppladdningar|500=500+ uppladdningar}}]].',
	'mobile-frontend-profile-footer-years' => 'Gick med för över {{PLURAL:$2|1 år|$2 år}} sedan med [[Special:Contributions/$1|{{PLURAL:$3|1 redigering|$3 redigeringar}}]] och [[Special:Uploads/$1|{{PLURAL:$4|1 uppladdning|$4 uppladdningar|500=500+ uppladdningar}}]].',
	'mobile-frontend-geonotahack' => 'Nära denna sida',
	'beta-feature-geonotahack' => 'Nära denna sida',
	'beta-feature-geonotahack-description' => 'Upptäck sidor som är geografiskt närliggande till innehållssidan du för tillfället läser.',
	'mobile-frontend-mainpage-cta-prompt' => 'Denna sida behöver din hjälp!',
	'mobile-frontend-mainpage-cta-button' => 'Förbättra denna sida',
);

/** Swahili (Kiswahili)
 * @author Kwisha
 * @author Lloffiwr
 * @author Muddyb Blast Producer
 * @author Stephenwanjau
 */
$messages['sw'] = array(
	'mobile-frontend-search-submit' => 'Nenda',
	'mobile-frontend-home-button' => 'Mwanzo',
	'mobile-frontend-logged-out' => 'Hujaingia',
	'mobile-frontend-save-settings' => 'Hifadhi mpangilio', # Fuzzy
	'mobile-frontend-random-button' => 'Bahatisha',
	'mobile-frontend-back-to-top-of-section' => 'Rudi Sehemu A',
	'mobile-frontend-regular-site' => 'Onesha ukurasa huu katika {{SITENAME}} ya kawaida',
	'mobile-frontend-wml-continue' => 'Endelea...',
	'mobile-frontend-wml-back' => 'Nyuma...',
	'mobile-frontend-view' => 'Mtazamo wa rununu',
	'mobile-frontend-view-desktop' => 'Dawati',
	'mobile-frontend-view-mobile' => 'Simu ya rununu',
	'mobile-frontend-images-status' => 'Picha',
	'mobile-frontend-enable-images' => 'Wezesha picha katika wavuti wa simu ya rununu',
	'mobile-frontend-featured-article' => 'Makala Bora ya Leo', # Fuzzy
	'mobile-frontend-news-items' => 'Katika habari',
	'mobile-frontend-language-header' => 'Makala haya yanapatikana katika {{PLURAL:$1|language|lugha}} $1', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Tafuta lugha',
	'mobile-frontend-username' => 'Jina la mtumiaji:',
	'mobile-frontend-password' => 'Nywila:',
	'mobile-frontend-login' => 'Ingia',
	'mobile-frontend-placeholder' => 'Tafuta {{SITENAME}}',
	'mobile-frontend-dismiss-notification' => 'futilia mbali arifa hii',
	'mobile-frontend-clear-search' => 'Futa',
	'mobile-frontend-privacy-link-text' => 'Faragha',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => "Nakala inapatikana chini ya <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; masuala ya ziada yanaweza kukubalika. Tazama <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Masharti ya Utumiaji</a> kwa maelezo zaidi. {{SITENAME}} ni nembo iliosajiliwa na <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, asasi isiyokuwa ya kifaida.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Mawasiliano',
	'mobile-frontend-main-menu-nearby' => 'Karibu',
	'mobile-frontend-main-menu-settings' => 'Mpangilio',
	'mobile-frontend-main-menu-settings-heading' => 'Mpangilio wa wavuti wa simu ya rununu', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} Lugha',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} inapatikana katika $1 {{PLURAL:$1|language|lugha}}. Toleo zote zinazopatikana zimeorodhweshwa hapa chini',
	'mobile-frontend-page-menu-contents' => 'Maudhui',
	'mobile-frontend-page-menu-history' => 'Historia',
	'mobile-frontend-edit-login' => "Helpwch wella'r dudalen $1.",
);

/** Silesian (ślůnski)
 */
$messages['szl'] = array(
	'mobile-frontend-home-button' => 'Přodńo zajta',
);

/** Tamil (தமிழ்)
 * @author Balajijagadesh
 * @author Karthi.dr
 * @author Logicwiki
 * @author Sank
 * @author Shanmugamp7
 * @author Sodabottle
 * @author Surya Prakash.S.A.
 * @author கௌசிக் பிரபு
 * @author மதனாஹரன்
 */
$messages['ta'] = array(
	'mobile-frontend-desc' => 'கைபேசி முகப்பு',
	'mobile-frontend-search-submit' => 'செல்',
	'mobile-frontend-home-button' => 'முகப்பு',
	'mobile-frontend-logged-out' => 'புகுபதிகை செய்யப்படவில்லை',
	'mobile-frontend-logged-in-homepage-notification' => 'வருக $1',
	'mobile-frontend-logged-in-toast-notification' => '$1 என்ற பெயரிலான புகுபதிகை',
	'mobile-frontend-sign-up-heading' => 'பதிவுசெய்',
	'mobile-frontend-sign-in-heading' => 'புகுபதிகை',
	'mobile-frontend-sign-in-error-heading' => 'ஓ!',
	'mobile-frontend-settings-beta' => 'பீட்டா',
	'mobile-frontend-save-settings' => 'சேமி',
	'mobile-frontend-random-button' => 'ஏதாவது ஒரு',
	'mobile-frontend-back-to-top-of-section' => 'முதல் பத்திக்குச் செல்',
	'mobile-frontend-regular-site' => 'இப்பக்கத்தை வழக்கமான {{SITENAME}} தளத்தில் காண',
	'mobile-frontend-wml-continue' => 'தொடர்க...',
	'mobile-frontend-wml-back' => 'பின்னால்...',
	'mobile-frontend-view' => 'கைபேசிப் பார்வை',
	'mobile-frontend-view-desktop' => 'கணினி பதிப்பு',
	'mobile-frontend-view-mobile' => 'கைபேசி',
	'mobile-frontend-images-status' => 'படங்கள்',
	'mobile-frontend-disable-images' => 'கைபேசித் தளத்தில் படிமங்களைச் செயலிழக்கச் செய்க',
	'mobile-frontend-enable-images' => 'கைபேசித் தளத்தில் படிமங்களைச் செயற்படுத்துக',
	'mobile-frontend-missing-image' => 'படம்',
	'mobile-frontend-off' => 'அணை',
	'mobile-frontend-on' => 'இயங்குகிறது',
	'mobile-frontend-featured-article' => 'முதற்பக்கக் கட்டுரைகள்', # Fuzzy
	'mobile-frontend-news-items' => 'செய்திகளில்',
	'mobile-frontend-languages-header' => 'மொழிகள்',
	'mobile-frontend-language-article-heading' => 'வேறொரு மொழியில் படிக்கவும்',
	'mobile-frontend-language-header' => 'இப்பக்கம் $1 {{PLURAL:$1|மொழியில்|மொழிகளில்}} உள்ளது',
	'mobile-frontend-language-footer' => 'ஏனைய மொழிகளில் {{SITENAME}} உள்ளது.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'மொழியை தேடு',
	'mobile-frontend-username' => 'பயனர் பெயர்:',
	'mobile-frontend-password' => 'கடவுச்சொல்:',
	'mobile-frontend-username-placeholder' => 'பயனர் பெயர்',
	'mobile-frontend-password-placeholder' => 'கடவுச்சொல்',
	'mobile-frontend-login' => 'புகுபதிகை',
	'mobile-frontend-learn-more' => 'மேலும் அறிக',
	'mobile-frontend-account-create-submit' => 'பதிவுசெய்',
	'mobile-frontend-password-confirm-placeholder' => 'கடவுச்சொல்லை உறுதிசெய்',
	'mobile-frontend-account-create-email-placeholder' => 'மின்னஞ்சல் முகவரி (விருப்பத்தேர்வு)',
	'mobile-frontend-account-create-captcha-placeholder' => 'பாதுகாப்புக் குறியீட்டை உள்ளிடவும்',
	'mobile-frontend-overlay-escape' => 'பின் செல்லவும்',
	'mobile-frontend-placeholder' => '{{SITENAME}} - இல் தேடுக',
	'mobile-frontend-dismiss-notification' => 'இந்த அறிவிப்பை அகற்று',
	'mobile-frontend-clear-search' => 'வெறுமையாக்கு',
	'mobile-frontend-privacy-link-text' => 'தகவல் பாதுகாப்பு',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => "இத்திட்ட உரை இங்கு கிடைக்கும் <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a>; கூடுதல் நிபந்தனைகளுக்கு உட்பட்டது. விவரங்களுக்கு பார்க்க <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>பொறுப்புத் துறப்புகள்</a>. வீக்கிப்பீடியா ஒரு இலாபநோக்கற்ற <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>  நிறுவனத்தின் பதிவு பெற்ற வர்த்தகச் சின்னமாகும்.", # Fuzzy
	'mobile-frontend-footer-contact' => 'தொடர்புக்கு',
	'mobile-frontend-main-menu-button-tooltip' => 'முதன்மை பட்டியைத் திறக்கவும்',
	'mobile-frontend-main-menu-page-title' => 'தள வழிசெலுத்துதல்',
	'mobile-frontend-main-menu-featured' => 'சிறப்பானவை',
	'mobile-frontend-main-menu-nearby' => 'அருகிலுள்ள',
	'mobile-frontend-main-menu-login' => 'புகுபதிகை',
	'mobile-frontend-main-menu-logout' => 'விடுபதிகை',
	'mobile-frontend-main-menu-watchlist' => 'கவனிப்புப் பட்டியல்',
	'mobile-frontend-main-menu-settings' => 'அமைப்புகள்',
	'mobile-frontend-main-menu-upload' => 'பதிவேற்றங்கள்',
	'mobile-frontend-main-menu-settings-heading' => 'அமைப்புகள்',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} மொழிகள்',
	'mobile-frontend-settings-site-description' => '$1 {{PLURAL:$1|மொழியில்|மொழிகளில்}} {{SITENAME}} உள்ளது. கிடைக்கின்ற அனைத்துப் பதிப்புகளும் கீழே பட்டியலிடப்பட்டுள்ளன',
	'mobile-frontend-main-menu-account-create' => 'கணக்கை உருவாக்கு',
	'mobile-frontend-page-menu-contents' => 'பொருளடக்கம்',
	'mobile-frontend-page-menu-history' => 'வரலாறு',
	'mobile-frontend-meta-data-issues-header' => 'பிரச்னைகள்',
	'mobile-frontend-meta-data-issues' => 'இந்த பக்கம் சில பிரச்சனைகளை கொண்டுள்ளது',
	'mobile-frontend-page-saving' => '$1 சேமிக்கப்படுகிறது',
	'mobile-frontend-nearby-title' => 'அருகிலுள்ள',
	'mobile-frontend-donate-image-login' => 'உங்கள் பதிவேற்றத்தைப் பார்க்க புகுபதிய வேண்டும்.', # Fuzzy
	'mobile-frontend-photo-upload-generic' => 'ஒரு படத்தை கொடையளிக்கவும்', # Fuzzy
	'mobile-frontend-donate-image-title' => 'ஒரு படத்தை கொடையளிக்கவும்', # Fuzzy
	'mobile-frontend-donate-image-heading' => 'உங்களது அண்மைய பங்களிப்புகள்',
	'mobile-frontend-listed-image-no-description' => 'விவரனை இல்லை',
	'mobile-frontend-donate-photo-first-upload-success' => 'வெற்றி ! தங்கள் முதல் பங்களிப்பிற்கு நன்றி !',
	'mobile-frontend-watchlist-add' => '$1 உங்களது கவனிப்புப் பட்டியலில் சேர்க்கப்பட்டது.',
	'mobile-frontend-watchlist-removed' => '$1 உங்களது கவனிப்புப் பட்டியலிலிருந்து நீக்கப்பட்டது',
	'mobile-frontend-watchlist-view' => 'உங்களது கவனிப்புப் பட்டியலைக் காண்க',
	'mobile-frontend-watchlist-more' => 'மேலும்',
	'mobile-frontend-watchlist-cta' => 'இந்த பக்கத்தை கவனிக்க புகுபதிகை செய்யவும் அல்லது பதிவு செய்யவும்', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'புகுபதிகை',
	'mobile-frontend-watchlist-cta-button-signup' => 'பதிவுசெய்',
	'mobile-frontend-watchlist-a-z' => 'பட்டியல்',
	'mobile-frontend-watchlist-feed' => 'மாற்றங்களுடன் கூடிய பக்கங்கள்', # Fuzzy
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'பக்கத்தில் தொடக்கத்தில் உள்ள நட்சத்திரத்தை சொடுக்கவும்',
	'mobile-frontend-watchlist-feed-empty' => 'தற்பொழுதைய மாற்றங்கள் கொண்ட பக்கங்கள் ஏதும் இல்லை',
	'mobile-frontend-changeslist-ip' => 'அடையாளம் காட்டாத பயனர்',
	'mobile-frontend-changeslist-nocomment' => 'தொகுப்பு சுருக்கம் இல்லை',
	'mobile-frontend-watchlist-filter-all' => 'அனைத்தும்',
	'mobile-frontend-watchlist-filter-articles' => 'பக்கங்கள்',
	'mobile-frontend-watchlist-filter-talk' => 'உரையாடல்',
	'mobile-frontend-watchlist-filter-other' => 'மற்றவை',
	'mobile-frontend-diffview-title' => 'மாற்றங்கள்',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|தொகுப்பு|தொகுப்புகள்}}',
	'mobile-frontend-diffview-anonymous' => 'அடையாளம் காட்டாத பயனர்',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|பைட்டு|பைட்டுகள்}} சேர்க்கப்பட்டது',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|பைட்டு|பைட்டுகள்}} நீக்கப்பட்டது',
	'mobile-frontend-photo-upload' => 'இந்ந பக்கத்திற்கு ஒரு படம் சேர்க்கவும்', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'பக்கத்திற்கு படம் சேர்க்கப்பட்டுள்ளது', # Fuzzy
	'mobile-frontend-image-loading' => 'படிமம் ஏற்றப்படுகிறது',
	'mobile-frontend-image-uploading-wait' => 'படம் பதிவேற்றப்படுகிறது', # Fuzzy
	'mobile-frontend-photo-upload-error' => 'தவறு, மீண்டும் முயற்சிக்கவும்.',
	'mobile-frontend-photo-submit' => 'சமர்ப்பி',
	'mobile-frontend-photo-cancel' => 'விட்டுவிடு',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ பதிவேற்றங்கள்',
	'mobile-frontend-editor-edit' => 'தொகு',
	'mobile-frontend-editor-continue' => 'தொடரவும்',
	'mobile-frontend-editor-save' => 'சேமி',
	'mobile-frontend-editor-preview-header' => 'முன்தோற்றம்',
	'mobile-frontend-drawer-cancel' => 'விட்டுவிடு',
	'mobile-frontend-talk-overlay-header' => 'பேச்சு',
	'mobile-frontend-media-details' => 'விளக்கம்',
	'mobile-frontend-mainpage-cta-button' => 'இக்கட்டுரையை மேம்படுத்துக',
);

/** Telugu (తెలుగు)
 * @author Jprmvnvijay5
 * @author Veeven
 * @author Wellwisher
 * @author రహ్మానుద్దీన్
 */
$messages['te'] = array(
	'mobile-frontend-search-submit' => 'వెళ్ళు',
	'mobile-frontend-home-button' => 'ముంగిలి',
	'mobile-frontend-settings-beta' => 'బీటా',
	'mobile-frontend-save-settings' => 'భద్రపరచు',
	'mobile-frontend-random-button' => 'యాదృచ్చిక',
	'mobile-frontend-back-to-top-of-section' => 'ఒక విభాగం వెనక్కి గెంతండి',
	'mobile-frontend-regular-site' => 'ఈ పేజీని మామూలు {{SITENAME}}లో చూడండి', # Fuzzy
	'mobile-frontend-wml-continue' => 'కొనసాగించు ...',
	'mobile-frontend-wml-back' => 'వెనుకకు ...',
	'mobile-frontend-view' => 'మొబైల్ వీక్షణ',
	'mobile-frontend-images-status' => 'బొమ్మలు',
	'mobile-frontend-off' => 'చూపించకు',
	'mobile-frontend-on' => 'చూపించు',
	'mobile-frontend-featured-article' => 'నేటి విశేష వ్యాసం', # Fuzzy
	'mobile-frontend-news-items' => 'వార్తల్లో',
	'mobile-frontend-language-header' => 'ఈ వ్యాసం $1 {{PLURAL:$1|భాషలో|భాషలలో}} లభ్యం', # Fuzzy
	'mobile-frontend-language-footer' => 'గమనిక: ఈ వ్యాసం మీ భాషలో లేకపోవచ్చు. {{SITENAME}} ఏయో భాషలలో లభిస్తుందో ఇక్కడ నొక్కి తెలుసుకోవచ్చు.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'వెతికే భాష',
	'mobile-frontend-username' => 'వాడుకరి పేరు:',
	'mobile-frontend-password' => 'సంకేతపదం:',
	'mobile-frontend-login' => 'ప్రవేశించండి',
	'mobile-frontend-history-404-title' => 'అలాంటి పేజీ ఏదీ లేదు',
	'mobile-frontend-placeholder' => 'మీ శోధనపదమును ఇక్కడ రాయుము', # Fuzzy
	'mobile-frontend-search-help' => 'పైన శోధనపదమును రాసినచో, సంబంధిత సంచికలు ఇక్కడ కనిపించును', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'ఈ చాటింపును తొలగించు',
	'mobile-frontend-clear-search' => 'తుడిచివేయి',
	'mobile-frontend-privacy-link-text' => 'మరుగు',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'విషయం [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile సీసీ బై-ఎస్ఏ 3.0] క్రింద లభ్యం', # Fuzzy
	'mobile-frontend-copyright' => "పాఠ్యం <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>క్రియేటివ్ కామన్స్ అట్రిబ్యూషన్/షేర్-అలైక్ లైసెన్సు</a> క్రింద లభ్యం; అదనపు నియమాలు పర్తించవచ్చు. మరిన్ని వివరాలకు <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>వినియోగ నియమావళి</a>ని చూడండి. వికీపీడియా అనేది లాభాపేక్ష లేని సంస్థ అయిన <a href='http://www.wikimediafoundation.org/'>వికీమీడియా ఫౌండేషన్, ఇంక్.</a> యొక్క నమోదైన ట్రేడుమార్కు.", # Fuzzy
	'mobile-frontend-footer-contact' => 'సంప్రదింపులు',
	'mobile-frontend-main-menu-nearby' => 'దగ్గరలో',
	'mobile-frontend-main-menu-settings' => 'అమరికలు',
	'mobile-frontend-main-menu-settings-heading' => 'అమరికలు',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} భాషలు',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} $1 {{PLURAL:$1|భాషలో|భాషలలో}} లభ్యమవుతూంది. లభ్యమయ్యే సంచికలు అన్నీ క్రింద ఇవ్వబడ్డాయి',
	'mobile-frontend-page-menu-contents' => 'విషయ సూచిక',
	'mobile-frontend-page-menu-history' => 'చరిత్ర',
);

/** Tajik (Cyrillic script) (тоҷикӣ)
 * @author Ibrahim
 */
$messages['tg-cyrl'] = array(
	'mobile-frontend-search-submit' => 'Бирав',
	'mobile-frontend-home-button' => 'Хона',
	'mobile-frontend-random-button' => 'Тасодуфӣ',
	'mobile-frontend-back-to-top-of-section' => 'Бозгашт Ба Қисмати A',
	'mobile-frontend-regular-site' => 'Намоиши ин саҳифа дар Википедиаи маъмулӣ', # Fuzzy
	'mobile-frontend-view-desktop' => 'Компютер',
	'mobile-frontend-view-mobile' => 'Мобил',
	'mobile-frontend-off' => 'Хомӯш',
	'mobile-frontend-on' => 'Равшан',
	'mobile-frontend-featured-article' => 'Мақолаи Баргузидаи Имрӯз', # Fuzzy
	'mobile-frontend-footer-license' => 'Мӯҳтаво таҳти иҷозатномаи [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] дастрас аст.', # Fuzzy
	'mobile-frontend-copyright' => "Ҳамаи навиштаҳо таҳти иҷозаномаи <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike License</a> қобили дастрасӣ мебошанд; шартҳои изофӣ мумкин аст баъдан изофа шавад. Барои ҷузъиёти бештар нигаред <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Қавонин ва муқарароти истифода</a>. Википедиа як аломати тиҷории <a href='http://www.wikimediafoundation.org/'>Бунёди Викимедиа</a>, як созмони ғайри интифоӣ аст.", # Fuzzy
);

/** Tajik (Latin script) (tojikī)
 */
$messages['tg-latn'] = array(
	'mobile-frontend-search-submit' => 'Birav',
	'mobile-frontend-home-button' => 'Xona',
	'mobile-frontend-random-button' => 'Tasodufī',
	'mobile-frontend-back-to-top-of-section' => 'Bozgaşt Ba Qismati A',
	'mobile-frontend-featured-article' => 'Maqolai Barguzidai Imrūz', # Fuzzy
);

/** Thai (ไทย)
 * @author Horus
 */
$messages['th'] = array(
	'mobile-frontend-search-submit' => 'ไป',
	'mobile-frontend-home-button' => 'หน้าหลัก',
	'mobile-frontend-logged-out' => 'ยังไม่ได้ล็อกอิน',
	'mobile-frontend-logged-in-homepage-notification' => 'ยินดีต้อนรับ $1!',
	'mobile-frontend-logged-in-toast-notification' => 'ล็อกอินในชื่อ $1',
	'mobile-frontend-sign-up-heading' => 'สมัครบัญชี',
	'mobile-frontend-sign-in-heading' => 'ลงชื่อเข้าใช้',
	'mobile-frontend-sign-in-why' => 'หากคุณมีบัญชี{{SITENAME}} คุณสามารถลงชื่อเข้าใช้ด้านล่าง',
	'mobile-frontend-save-settings' => 'บันทึก',
	'mobile-frontend-random-button' => 'สุ่ม',
	'mobile-frontend-back-to-top-of-section' => 'กลับไปที่หัวข้อ',
	'mobile-frontend-close-section' => 'ปิดส่วนนี้',
	'mobile-frontend-regular-site' => 'ดูรุ่นคอมพิวเตอร์',
	'mobile-frontend-view' => 'รุ่นโมบายล์',
	'mobile-frontend-view-desktop' => 'คอมพิวเตอร์ตั้งโต๊ะ',
	'mobile-frontend-view-mobile' => 'อุปกรณ์เคลื่อนที่',
	'mobile-frontend-disable-images' => 'ปิดใช้งานภาพบนไซต์อุปกรณ์เคลื่อนที่',
	'mobile-frontend-enable-images' => 'เปิดใช้งานภาพบนไซต์อุปกรณ์เคลื่อนที่',
	'mobile-frontend-missing-image' => 'ภาพ',
	'mobile-frontend-off' => 'ปิด',
	'mobile-frontend-on' => 'เปิด',
	'mobile-frontend-featured-article' => 'บทความคัดสรรวันนี้', # Fuzzy
	'mobile-frontend-news-items' => 'เรื่องจากข่าว',
	'mobile-frontend-language-article-heading' => 'อ่านในภาษาอื่น',
	'mobile-frontend-language-header' => 'มีหน้านี้ในวิกิพีเดีย $1 ภาษา',
	'mobile-frontend-language-site-choose' => 'เลือกภาษา',
	'mobile-frontend-username' => 'ชื่อผู้ใช้:',
	'mobile-frontend-password' => 'รหัสผ่าน:',
	'mobile-frontend-username-placeholder' => 'ชื่อผู้ใช้',
	'mobile-frontend-password-placeholder' => 'รหัสผ่าน',
	'mobile-frontend-login' => 'ลงชื่อเข้าใช้',
	'mobile-frontend-last-modified-date' => 'แก้ไขล่าสุดเมื่อ $1 เวลา $2',
	'mobile-frontend-last-modified-seconds' => 'แก้ไขล่าสุดเมื่อ $1 วินาทีที่แล้ว',
	'mobile-frontend-last-modified-minutes' => 'แก้ไขล่าสุดเมื่อ $1 นาทีที่แล้ว',
	'mobile-frontend-last-modified-hours' => 'แก้ไขล่าสุดเมื่อ $1 ชั่วโมงที่แล้ว',
	'mobile-frontend-last-modified-days' => 'แก้ไขล่าสุดเมื่อ $1 วันที่แล้ว',
	'mobile-frontend-last-modified-months' => 'แก้ไขล่าสุดเมื่อ $1 เดือนที่แล้ว',
	'mobile-frontend-last-modified-years' => 'แก้ไขล่าสุดเมื่อ $1 ปีที่แล้ว',
	'mobile-frontend-learn-more' => 'ทราบข้อมูลเพิ่มเติม',
	'mobile-frontend-account-create-submit' => 'สมัครบัญชี',
	'mobile-frontend-password-confirm-placeholder' => 'ยืนยันรหัสผ่าน',
	'mobile-frontend-account-create-email-placeholder' => 'ที่อยู่อีเมล (เลือกได้)',
	'mobile-frontend-overlay-escape' => 'ย้อนกลับ',
	'mobile-frontend-placeholder' => 'ค้นหา{{SITENAME}}',
	'mobile-frontend-privacy-link-text' => 'ความเป็นส่วนตัว',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'อนุญาตให้เผยแพร่ภายใต้[//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] และอาจมีเงื่อนไขอื่นเพิ่มเติม',
	'mobile-frontend-copyright' => "ข้อความทั้งหมดอยู่ภายใต้ <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>สัญญาอนุญาตครีเอทีฟคอมมอนส์/Share-Alike</a> และ<a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>เงื่อนไขอื่นเพิ่มเติม</a>ตามนโยบายด้านลิขสิทธิ์
{{SITENAME}}® เป็นเครื่องหมายการค้าจดทะเบียนของ <a href='http://www.wikimediafoundation.org/'>มูลนิธิวิกิมีเดีย</a>", # Fuzzy
	'mobile-frontend-footer-contact' => 'ติดต่อ',
	'mobile-frontend-search-noresults' => 'ไม่มีชื่อหน้าตรงกับการค้นหาของคุณ เปลี่ยนคำค้น หรือกดปุ่มค้นหาคีย์บอร์ดเพื่อค้นหน้าภายใน',
	'mobile-frontend-main-menu-button-tooltip' => 'เปิดรายการเลือกหลัก',
	'mobile-frontend-main-menu-login' => 'ล็อกอิน',
	'mobile-frontend-main-menu-logout' => 'ล็อกเอาต์',
	'mobile-frontend-main-menu-watchlist' => 'รายการเฝ้าดู',
	'mobile-frontend-main-menu-settings' => 'การตั้งค่า',
	'mobile-frontend-settings-site-header' => 'ภาษาของ{{SITENAME}}',
	'mobile-frontend-settings-site-description' => 'มี{{SITENAME}}ใน $1 ภาษา ทุกรุ่นที่มีแสดงรายการด้านล่าง',
	'mobile-frontend-main-menu-account-create' => 'สร้างบัญชี',
	'mobile-frontend-page-menu-contents' => 'เนื้อหา',
	'mobile-frontend-page-menu-history' => 'ประวัติ',
	'mobile-frontend-page-saving' => 'กำลังบันทึก $1',
	'mobile-frontend-user-cta' => 'โปรดล็อกอินหรือสมัครบัญชีเพื่อดูประกาศของคุณ',
	'mobile-frontend-user-button-tooltip' => 'แสดงประกาศของฉัน',
);

/** Turkmen (Türkmençe)
 */
$messages['tk'] = array(
	'mobile-frontend-search-submit' => 'Git',
);

/** Tagalog (Tagalog)
 * @author AnakngAraw
 * @author Jojit fb
 * @author Sky Harbor
 */
$messages['tl'] = array(
	'mobile-frontend-desc' => 'Frontend ng Mobile',
	'mobile-frontend-search-submit' => 'Ipadala',
	'mobile-frontend-home-button' => 'Tahanan',
	'mobile-frontend-logged-out' => 'Hindi nakalagda',
	'mobile-frontend-logged-in-homepage-notification' => 'Mabuhay, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Nakalagda ka bilang si $1.',
	'mobile-frontend-sign-up-heading' => 'Magpatala',
	'mobile-frontend-sign-in-heading' => 'Lumagda',
	'mobile-frontend-sign-in-why' => 'Kung may kuwenta ka sa {{SITENAME}}, maaari kang lumagda sa ibaba.',
	'mobile-frontend-settings-description' => 'Ipasadya ang iyong mobile device sa pamamagitan ng sumusunod na pang-mobile na kagustuhan.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-save-settings' => 'Itala ang mga kagustuhan',
	'mobile-frontend-random-button' => 'Alin man',
	'mobile-frontend-back-to-top-of-section' => 'Tumalong Pabalik Ng Isang Seksyon',
	'mobile-frontend-close-section' => 'Isara ang bahaging ito',
	'mobile-frontend-regular-site' => 'Bersiyong pangkompyuter',
	'mobile-frontend-wml-continue' => 'Magpatuloy...',
	'mobile-frontend-wml-back' => 'Bumalik...',
	'mobile-frontend-view' => 'Bersiyong pantelepono',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Telepono',
	'mobile-frontend-opt-in-explain' => 'Sa pagsali sa beta, magkakaroon ka ng pagkanakakapunta sa mga tampok na ineeksperimento, na maaaring makipagsapalaran sa pagharap sa mga sira at mga suliranin.',
	'mobile-frontend-images-status' => 'Mga larawan',
	'mobile-frontend-disable-images' => 'Huwag paganahin ang mga larawan sa sityong pantelepono',
	'mobile-frontend-enable-images' => 'Paganahin ang mga larawan sa sityong pantelepono',
	'mobile-frontend-missing-image' => 'Larawan',
	'mobile-frontend-off' => 'PATAYIN',
	'mobile-frontend-on' => 'PAGANAHIN',
	'mobile-frontend-featured-article' => 'Napiling nilalaman ngayon',
	'mobile-frontend-news-items' => 'Nasa Balita',
	'mobile-frontend-language-article-heading' => 'Basahin sa ibang wika',
	'mobile-frontend-language-header' => 'Mababasa sa $1 {{PLURAL:$1|wika}} ang pahinang ito',
	'mobile-frontend-language-footer' => 'Ang {{SITENAME}} ay makukuha sa iba pang mga wika.', # Fuzzy
	'mobile-frontend-language-site-choose' => 'Maghanap ng wika',
	'mobile-frontend-username' => 'Pangalan ng tagagamit:',
	'mobile-frontend-password' => 'Hudyat:',
	'mobile-frontend-username-placeholder' => 'Pangalan ng tagagamit',
	'mobile-frontend-password-placeholder' => 'Hudyat',
	'mobile-frontend-login' => 'Lumagda',
	'mobile-frontend-account-create-submit' => 'Magpatala',
	'mobile-frontend-password-confirm-placeholder' => 'Tiyakin ang hudyat',
	'mobile-frontend-account-create-email-placeholder' => 'Direksiyong e-liham (opsiyonal)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Ipasok ang tekstong panseguridad', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Bumalik',
	'mobile-frontend-placeholder' => 'Maghanap sa {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Maghanap sa {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Maghanap sa {{SITENAME}} (Eksperimental)',
	'mobile-frontend-search-help' => 'Makinilyahin sa itaas ang katagang hinahanap at dito lilitaw ang tumutugmang mga pamagat ng artikulo.', # Fuzzy
	'mobile-frontend-dismiss-notification' => 'iwaksi ang pagpapabatid na ito',
	'mobile-frontend-clear-search' => 'Hawiin',
	'mobile-frontend-privacy-link-text' => 'Paglilihim',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Ang nilalaman ay makukuhang nasa ilalim ng [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]', # Fuzzy
	'mobile-frontend-copyright' => "Makukuha ang teksto sa ilalim ng Lisensyang <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>Creative Commons Attribution/Share-Alike</a>; maaaring ginagamitan ng karagdagang mga termino. Tingnan <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Mga Termino ng Paggamit</a> para sa mga detalye.	Ang {{SITENAME}} ay isang rehistradong tatak ng <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, isang hindi kumikinabang na organisasyon.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Makipag-ugnayan',
	'mobile-frontend-search-noresults' => 'Walang mga pamagat ng artikulo na tumugma sa paghahanap mo. Baguhin ang hinahanap mo, pindutin ang pindutang panghanap ng tipahan upang maghanap sa loob ng mga artikulo.', # Fuzzy
	'mobile-frontend-main-menu-featured' => 'Itinatampok',
	'mobile-frontend-main-menu-nearby' => 'Kalapit',
	'mobile-frontend-main-menu-login' => 'Lumagda',
	'mobile-frontend-main-menu-logout' => 'Umalis sa pagkakalagda',
	'mobile-frontend-main-menu-settings' => 'Mga katakdaan',
	'mobile-frontend-main-menu-settings-heading' => 'Mga kagustuhan',
	'mobile-frontend-settings-site-header' => 'Mga Wika sa {{SITENAME}}',
	'mobile-frontend-settings-site-description' => 'Makukuha ang {{SITENAME}} sa $1 {{PLURAL:$1|wika|mga wika}}. Ang lahat ng mga bersiyon ay nakalista sa ibaba',
	'mobile-frontend-main-menu-account-create' => 'Lumikha ng kuwenta',
	'mobile-frontend-page-menu-contents' => 'mga nilalaman',
	'mobile-frontend-page-menu-language-current' => '{{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-page-menu-history' => 'Kasaysayan',
	'mobile-frontend-page-saving' => 'Itinatala ang $1',
	'mobile-frontend-user-cta' => 'Mangyaring lumagda o magpatala upang makita ang inyong mga notipikasyon.',
	'mobile-frontend-user-button-tooltip' => 'Ipakita ang aking mga notipikasyon.',
	'mobile-frontend-nearby-loading' => 'Ikinakarga ang mga paksang malapit sa inyong kasalukuyang lokasyon',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Mangyaring subukan ang isang bukas na lugar na may mas mabuting senyales',
	'mobile-frontend-nearby-link' => 'Basahin ang pahinang ito nang buo',
);

/** толышә зывон (толышә зывон)
 * @author Erdemaslancan
 * @author Гусейн
 */
$messages['tly'] = array(
	'mobile-frontend-search-submit' => 'Давард',
	'mobile-frontend-home-button' => 'Әсосә сәһифә',
	'mobile-frontend-random-button' => 'Рајрастә',
	'mobile-frontend-wml-continue' => 'Давом...',
	'mobile-frontend-wml-back' => 'Бә думо...',
);

/** Tok Pisin (Tok Pisin)
 */
$messages['tpi'] = array(
	'mobile-frontend-search-submit' => 'Go',
	'mobile-frontend-home-button' => 'Fran pes',
	'mobile-frontend-random-button' => 'Wanpela pes',
	'mobile-frontend-featured-article' => 'Pes long dispela de', # Fuzzy
);

/** Turkish (Türkçe)
 * @author Cekli829
 * @author Emperyan
 * @author Erdemaslancan
 * @author Hcagri
 * @author Incelemeelemani
 * @author Marmase
 * @author MaxSem
 * @author Meelo
 * @author Nazif İLBEK
 * @author Rapsar
 * @author Suelnur
 * @author Trncmvsr
 */
$messages['tr'] = array(
	'mobilefrontend-random-explain' => 'Bu rastgele sayfa ilginizi çekti mi?',
	'mobilefrontend-random-cancel' => 'Bana oku!',
	'mobilefrontend-keepgoing-ask-first' => 'İlk düzenlemenizi yaptınız, tebrikler! Başka bir sayfada düzenleme yapmayı denemek istiyor musun?',
	'mobilefrontend-keepgoing-cancel' => 'Hayır, teşekkürler',
	'mobilefrontend-keepgoing-suggest' => 'Evet, lütfen',
	'mobilefrontend-keepgoing-suggest-again' => 'Bir tane daha dene',
	'nearby' => 'Yakınınızdaki sayfalar',
	'mobile-frontend-desc' => 'Mobil Arayüz',
	'mobile-frontend-search-submit' => 'Git',
	'mobile-frontend-home-button' => 'Ana Sayfa',
	'mobile-frontend-logged-out' => 'Oturum açık değil',
	'mobile-frontend-logged-in-homepage-notification' => 'Hoş geldin $1!',
	'mobile-frontend-logged-in-toast-notification' => '$1 olarak oturum açıldı.',
	'mobile-frontend-generic-404-title' => 'Hata - Sayfa bulunamadı.',
	'mobile-frontend-sign-up-heading' => 'Kaydol',
	'mobile-frontend-sign-in-heading' => 'Oturum aç',
	'mobile-frontend-sign-in-why' => '{{SITENAME}} sitesinde hesabınız varsa aşağıda oturumunuzu açabilirsiniz.',
	'mobile-frontend-sign-in-error-heading' => 'Hay Aksi!',
	'mobile-frontend-settings-description' => 'Bu ayarlar ile mobil cihazınızdaki deneyiminizi özelleştirin.',
	'mobile-frontend-settings-beta' => 'Deneme',
	'mobile-frontend-settings-alpha' => 'Deneme modu',
	'mobile-frontend-settings-alpha-description' => 'Tehlikeli ve keşfedilmemiş mobil topraklardasınız. Daha fazla deneme özelliği edinebilirsiniz ancak deneme modunda olduğunu unutmayın.',
	'mobile-frontend-save-settings' => 'Kaydet',
	'mobile-frontend-save-error' => 'Kaydetme ayarlarında hata. Lütfen çerezlerin etkin olduğundan emin olun.',
	'mobile-frontend-random-button' => 'Rastgele',
	'mobile-frontend-back-to-top-of-section' => 'Bir Bölüm Geri Atla',
	'mobile-frontend-regular-site' => 'Masaüstü görünümü',
	'mobile-frontend-wml-continue' => 'Devamı...',
	'mobile-frontend-wml-back' => 'Geri...',
	'mobile-frontend-view' => 'Mobil Görünüm',
	'mobile-frontend-view-desktop' => 'Masaüstü',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-opt-in-explain' => 'Deneme sürümüne katılarak, deneysel özellikleri kullanacaksınız. Bundan dolayı hata ve sorunlar ile karşılaşma riskini de aldığınızı unutmayın.',
	'mobile-frontend-images-status' => 'Resimler',
	'mobile-frontend-disable-images' => 'Mobil sitede resimleri devre dışı bırak',
	'mobile-frontend-enable-images' => 'Mobil sitede resimleri etkinleştir',
	'mobile-frontend-missing-image' => 'Resim',
	'mobile-frontend-off' => 'KAPALI',
	'mobile-frontend-on' => 'AÇIK',
	'mobile-frontend-featured-article' => 'Bugünkü seçkin içerik',
	'mobile-frontend-news-items' => 'Tarihte bugün',
	'mobile-frontend-language-article-heading' => 'Başka dilde oku',
	'mobile-frontend-language-header' => 'Bu sayfa $1 {{PLURAL:$1|dilde|dilde}} mevcuttur',
	'mobile-frontend-language-variant-header' => 'Dilin {{#language:{{CONTENTLANG}}}} lehçesini seçin',
	'mobile-frontend-language-site-choose' => 'Arama dili',
	'mobile-frontend-username' => 'Kullanıcı adı:',
	'mobile-frontend-password' => 'Parola:',
	'mobile-frontend-username-placeholder' => 'Kullanıcı adı',
	'mobile-frontend-password-placeholder' => 'Parola',
	'mobile-frontend-login' => 'Oturum aç',
	'mobile-frontend-history' => 'Bu sayfanın düzenleme geçmişini göster.',
	'mobile-frontend-history-404-title' => 'Böyle bir sayfa yok',
	'mobile-frontend-history-404-desc' => 'Var olmayan bir sayfanın geçmişine bakılamaz. Ya sayfa silinmiş ya da takip edilen bağlantı yanlış.',
	'mobile-frontend-history-summary' => '[[:$1]] için sayfa geçmişi',
	'mobile-frontend-last-modified-date' => 'Son değişiklik $1, $2 tarihinde yapıldı',
	'mobile-frontend-last-modified-seconds' => 'Son değişiklik {{PLURAL:$1|$1 saniye|$1 saniye}} önce yapıldı',
	'mobile-frontend-last-modified-minutes' => 'Son değişiklik {{PLURAL:$1|$1 dakika|$1 dakika}} önce yapıldı',
	'mobile-frontend-last-modified-hours' => 'Son değişiklik {{PLURAL:$1|$1 saat|$1 saat}} önce yapıldı',
	'mobile-frontend-last-modified-days' => 'Son değişiklik {{PLURAL:$1|$1 gün|$1 gün}} önce yapıldı',
	'mobile-frontend-last-modified-months' => 'Son değişiklik {{PLURAL:$1|$1 ay|$1 ay}} önce yapıldı',
	'mobile-frontend-last-modified-years' => 'Son değişiklik {{PLURAL:$1|$1 yıl|$1 yıl}} önce yapıldı',
	'mobile-frontend-last-modified-just-now' => 'Son değişiklik hemen şimdi yapıldı',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Son {{GENDER:$1|düzenleme}} {{PLURAL:$3|$3 saniye|$3 saniye}} önce] {{PLURAL:$5|[$6 $2]|0=bir anonim kullanıcı}} tarafından yapıldı',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Son {{GENDER:$1|düzenleme}} {{PLURAL:$3|$3 dakika|$3 dakika}} önce] {{PLURAL:$5|[$6 $2]|0=bir anonim kullanıcı}} tarafından yapıldı',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Son {{GENDER:$1|düzenleme}} {{PLURAL:$3|$3 saat|$3 saat}} önce] {{PLURAL:$5|[$6 $2]|0=bir anonim kullanıcı}} tarafından yapıldı',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Son {{GENDER:$1|düzenleme}} {{PLURAL:$3|$3 gün|$3 gün}} önce] {{PLURAL:$5|[$6 $2]|0=bir anonim kullanıcı}} tarafından yapıldı',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Son {{GENDER:$1|düzenleme}} {{PLURAL:$3|$3 ay|$3 ay}} önce] {{PLURAL:$5|[$6 $2]|0=bir anonim kullanıcı}} tarafından yapıldı',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Son {{GENDER:$1|düzenleme}} {{PLURAL:$3|$3 yıl|$3 yıl}} önce] {{PLURAL:$5|[$6 $2]|0=bir anonim kullanıcı}} tarafından yapıldı',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Son {{GENDER:$1|düzenleme}}] az önce {{PLURAL:$4|[$5 $2]|0=bir anonim kullanıcı}} tarafından yapıldı.',
	'mobile-frontend-account-create-submit' => 'Kaydol',
	'mobile-frontend-password-confirm-placeholder' => 'Parolayı onayla',
	'mobile-frontend-account-create-email-placeholder' => 'E-posta adresi (isteğe bağlı)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Onay kodunu girin',
	'mobile-frontend-overlay-escape' => 'Geri dön',
	'mobile-frontend-overlay-close' => 'Kapat',
	'mobile-frontend-overlay-continue' => 'Devam et',
	'mobile-frontend-placeholder' => '{{SITENAME}} sitesinde ara',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}} Arama (Deneme)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}} Araması (Deneysel)',
	'mobile-frontend-dismiss-notification' => 'bildirimi kapat',
	'mobile-frontend-clear-search' => 'Temizle',
	'mobile-frontend-search-content' => 'Sayfa içinde ara',
	'mobile-frontend-search-no-results' => 'Bu başlığa sahip bir sayfa yok.',
	'mobile-frontend-privacy-link-text' => 'Gizlilik',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Metin [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0] Lisansı altındadır; ek koşullar uygulanabilir.',
	'mobile-frontend-copyright' => 'Aksi belirtilmedikçe içerik $1 lisansı altındadır.',
	'mobile-frontend-footer-contact' => 'İletişim',
	'mobile-frontend-terms-text' => 'Kullanım koşulları',
	'mobile-frontend-main-menu-button-tooltip' => 'Ana menüyü aç',
	'mobile-frontend-main-menu-page-title' => 'Site dolaşımı',
	'mobile-frontend-main-menu-featured' => 'Seçkin',
	'mobile-frontend-main-menu-nearby' => 'Yakınındakiler',
	'mobile-frontend-main-menu-login' => 'Oturum aç',
	'mobile-frontend-main-menu-logout' => 'Oturumu kapat',
	'mobile-frontend-main-menu-watchlist' => 'İzleme listesi',
	'mobile-frontend-main-menu-settings' => 'Ayarlar',
	'mobile-frontend-main-menu-upload' => 'Yüklemeler',
	'mobile-frontend-main-menu-settings-heading' => 'Ayarlar',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} Dilleri',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} $1 {{PLURAL:$1|dil|dil}}de mevcut. Mevcut bütün sürümler aşağıda listelenmektedir',
	'mobile-frontend-main-menu-account-create' => 'Hesap aç',
	'mobile-frontend-page-menu-contents' => 'içerik',
	'mobile-frontend-page-menu-history' => 'Geçmiş',
	'mobile-frontend-meta-data-issues-header' => 'Sorunlar',
	'mobile-frontend-meta-data-issues' => 'Bu sayfada bazı sorunlar var',
	'mobile-frontend-page-saving' => '$1 kaydediliyor',
	'mobile-frontend-user-cta' => 'Bildirimlerinizi görmek için oturum ya da hesap açın.',
	'mobile-frontend-user-button-tooltip' => 'Bildirimlerimi göster',
	'mobile-frontend-nearby-to-page' => 'Coğrafi konuma göre $1 ile ilişkili sayfalar',
	'mobile-frontend-nearby-title' => 'Yakınındakiler',
	'mobile-frontend-nearby-loading' => 'Bulunduğunuz konuma en yakın konular yükleniyor',
	'mobile-frontend-nearby-requirements' => 'Üzgünüz! Veb tarayıcınız {{SITENAME}} yakınındakileri desteklemiyor.',
	'mobile-frontend-nearby-requirements-guidance' => 'Farklı bir tarayıcı deneyin veya JavaScript devredışı bırakılmışsa etkinleştirin.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} yakınındakiler tespit edilemedi… tekrar deneyin?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Açık bir alanda, daha iyi bir sinyal ile deneyin.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} Yakındakiler konumunuza erişim iznine sahip değil.',
	'mobile-frontend-nearby-permission-guidance' => 'Nerede olduğunuzu göstermeye izin verdiğinize lütfen emin olunuz. Tarayıcınızın konum ayarlarını kontrol etmeniz gerekebilir.',
	'mobile-frontend-nearby-noresults' => 'Burası epey sessiz... Size yakın sayfa bulunamadı.',
	'mobile-frontend-nearby-noresults-guidance' => 'Yeni bir sayfa oluşturmayı veya mevcut konumunuzu eklemeyi deneyin',
	'mobile-frontend-nearby-refresh' => 'Bulunduğunuz yeri daha iyi konumladık. Yakınınızdaki sayfaları listelemek için sayfayı yenileyin.',
	'mobile-frontend-nearby-error' => '{{SITENAME}} Yakılarınızdaki bazı sorunlar yaşıyor.',
	'mobile-frontend-nearby-error-guidance' => 'Konumunuzu yenilemeyi deneyin.',
	'mobile-frontend-nearby-link' => 'Bu sayfanın tamamını okuyun',
	'mobile-frontend-nearby-directions' => 'Buraya gidin',
	'mobile-frontend-donate-image-nouploads' => 'Yüklemeler yok.',
	'mobile-frontend-donate-image-login' => 'Yüklemelerinizi görebilmek için oturum açmalısınız.', # Fuzzy
	'mobile-frontend-photo-upload-disabled' => 'Bu sayfa için bir resim gerekli.',
	'mobile-frontend-photo-upload-anon' => 'Bu sayfaya bir görüntü ekleyebilmek için oturum açmış olmanız gerekli.', # Fuzzy
	'mobile-frontend-photo-upload-protected' => 'Bu sayfaya bir görüntü eklemek için yetkiniz yok.',
	'mobile-frontend-photo-upload-unavailable' => 'Tarayıcınız görüntü yüklemesini desteklemiyor.',
	'mobile-frontend-photo-upload-generic' => 'Bir görüntü ekleyin',
	'mobile-frontend-donate-image-title' => 'Yüklemeler',
	'mobile-frontend-donate-image-heading' => 'Son katkılarınız',
	'mobile-frontend-donate-image-anon' => 'Yükleme yapabilmeniz için $1 sayfasına gitmeniz gerekli.',
	'mobile-frontend-user-account' => 'kullanıcı hesabı',
	'mobile-frontend-listed-image-no-description' => 'Açıklama yok',
	'mobile-frontend-donate-photo-upload-success' => 'Başardınız! Görüntünüz {{SITENAME}} sitesinde artık kullanılabilir!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Başardınız! İlk katkınız için teşekkür ederiz!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Resimlerinizle katkıda bulunun. Katkılarınızla
{{SITENAME}} sitesi canlanacak!',
	'mobile-frontend-first-upload-wizard-new-page-1' => "Görüntüler {{SITENAME}} sitesine Wikimedia Commons'dan gelmektedir",
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Görüntüler dünyadaki insanların eğitilmesine yardımcı olacak',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Telif hakkı bulunan internetteki materyallerin yanı sıra kitap kapağı, film afişi vb. görüntüleri yüklemekten kaçının.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Anladım?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Evet!',
	'mobile-frontend-watchlist-add' => '$1 izleme listenize eklendi',
	'mobile-frontend-watchlist-removed' => '$1, izleme listenizden çıkarıldı',
	'mobile-frontend-watchlist-view' => 'İzleme listesini göster',
	'mobile-frontend-watchlist-more' => 'daha fazla',
	'mobile-frontend-watchlist-cta' => 'Bu sayfayı izlemek için oturum ya da hesap açın.', # Fuzzy
	'mobile-frontend-watchlist-cta-button-login' => 'Oturum aç',
	'mobile-frontend-watchlist-cta-button-signup' => 'Kaydol',
	'mobile-frontend-watch-login' => 'Bu sayfaları görüntülemek için oturum açmalısınız.', # Fuzzy
	'mobile-frontend-watchlist-a-z' => 'Liste',
	'mobile-frontend-watchlist-feed' => 'Değiştirilmiş',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Sayfanın üstünde bulunan yıldıza tıklayın',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Şu anda izleme listeniz boş. Eğer ilgilendiğiniz sayfalar varsa, bunları sayfanın üstündeki yıldıza tıklayarak izle listenize ekleyebilirsiniz.',
	'mobile-frontend-watchlist-feed-empty' => 'İzleme listenizde değişikliğe uğramış sayfa yok.',
	'mobile-frontend-watchlist-back-home' => 'Ana Sayfaya dön',
	'mobile-frontend-changeslist-ip' => 'Anonim kullanıcı',
	'mobile-frontend-changeslist-nocomment' => 'değişiklik özeti yok',
	'mobile-frontend-watchlist-filter-all' => 'Hepsi',
	'mobile-frontend-watchlist-filter-articles' => 'Maddeler', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Tartışma',
	'mobile-frontend-watchlist-filter-other' => 'Diğer',
	'mobile-frontend-watchlist-modified' => '$1 değiştirildi',
	'mobile-frontend-diffview-404-title' => 'Kötü revizyon',
	'mobile-frontend-diffview-404-desc' => 'Talep ettiğiniz revizyon kimliği yok.',
	'mobile-frontend-diffview-title' => 'Değişiklikler',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|değişiklik|değişiklik}}',
	'mobile-frontend-diffview-anonymous' => 'Anonim kullanıcı',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|bayt|bayt}} eklendi',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|bayt|bayt}} çıkarıldı',
	'mobile-frontend-diffview-explained' => 'Aşağıdaki satırlar eklenmiş (+) ve çıkarılmıştır (-):',
	'mobile-frontend-saving-exit-page' => 'Kaydedilmemiş değişiklikleriniz var. Sayfadan çıkmak isterseniz bu değişiklikler kaybolacaktır. Yine de çıkmak istediğinizden emin misiniz?',
	'mobile-frontend-photo-upload' => 'Bu sayfaya bir resim ekle',
	'mobile-frontend-photo-article-edit-comment' => 'Sayfada kullanmak için resim eklendi',
	'mobile-frontend-photo-upload-comment' => 'Sayfaya resim eklendi',
	'mobile-frontend-photo-caption-placeholder' => 'Bu resmin açıklaması (gerekli)',
	'mobile-frontend-photo-ownership' => 'Ben, $1, bu resmi oluşturdum.',
	'mobile-frontend-photo-ownership-help' => 'Bu ne anlama geliyor?',
	'mobile-frontend-photo-ownership-confirm' => 'Anladım!',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Yüklemeye başlayın',
	'mobile-frontend-photo-upload-error' => 'Hata, tekrar deneyin.',
	'mobile-frontend-photo-upload-error-file-type' => 'Lütfen sadece resim yükleyiniz.',
	'mobile-frontend-photo-upload-error-filename' => 'Hata, lütfen daha açıklayıcı bir özet giriniz.',
	'mobile-frontend-photo-upload-success-article' => 'Başarılı! Resminiz artık bu sayfada gösteriliyor.',
	'mobile-frontend-photo-license' => 'Bu resmi yükleyerek; [//wikimediafoundation.org/wiki/Terms_of_use Kullanım Koşullarımızı], resminizin [//creativecommons.org/licenses/by-sa/3.0/ Creative Commons Attribution-ShareAlike 3.0 Lisansı] altında yayınlanacağını  kabul etmiş olursunuz.',
	'mobile-frontend-photo-submit' => 'Gönder',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> yükleme|<span>$1</span> yükleme}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '+500 yükleme',
	'mobile-frontend-image-heading-describe' => "Resmi '''tanımla'''",
	'mobile-frontend-image-uploading' => "Resim '''yükleniyor'''...",
	'mobile-frontend-image-cancel-confirm' => 'Yükleme iptal edilsin mi?',
	'mobile-frontend-editor-unavailable' => 'Mobil düzenleme şu anda tarayıcınızda kullanılabilir değil. Lütfen farklı bir tarayıcıda deneyiniz.',
	'mobile-frontend-editor-undo-unsupported' => 'Geri alma şu anda mobil cihazlarda desteklenmiyor.',
	'mobile-frontend-editor-newpage-prompt' => 'Bu sayfa mevcut değil. Neden cesur olup bu sayfayı açmıyorsun?',
	'mobile-frontend-editor-disabled' => 'Bu sayfayı düzenlemeye izniniz yok.', # Fuzzy
	'mobile-frontend-editor-cta' => 'Sayfaları mobilden düzenleyebilmek için oturum açmanız gerekmektedir.', # Fuzzy
	'mobile-frontend-editor-edit' => 'Düzenle',
	'mobile-frontend-editor-continue' => 'Devam',
	'mobile-frontend-editor-save' => 'Kaydet',
	'mobile-frontend-editor-cancel' => 'İptal',
	'mobile-frontend-editor-keep-editing' => 'Düzenlemeyi koru',
	'mobile-frontend-editor-license' => '"Kaydet" tuşuna tıklayarak; [//wikimediafoundation.org/wiki/Terms_of_use Kullanım Koşullarımızı], metninizin  [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0 Lisansı] ve [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL] altında yayınlanacağını  kabul etmiş olursunuz.', # Fuzzy
	'mobile-frontend-editor-placeholder' => 'Bu bölüm boş. Geliştiren ilk siz olun!',
	'mobile-frontend-editor-summary-placeholder' => 'Neyi değiştirdiğinizi söyleyin (isteğe bağlı)',
	'mobile-frontend-editor-cancel-confirm' => 'Düzenlemelerinizi bırakmak gerçekten istiyor musunuz?',
	'mobile-frontend-editor-wait' => 'Düzenleme kaydediliyor, lütfen bekleyin.',
	'mobile-frontend-editor-success' => 'Başarı! Düzenlemeniz kaydedildi.',
	'mobile-frontend-editor-success-landmark-1' => 'Tebrikler, {{SITENAME}} editörü oldunuz!',
	'mobile-frontend-editor-error' => 'Hata, düzenleme kaydedilmedi.',
	'mobile-frontend-editor-error-conflict' => 'Hata, başka bir kullanıcı bu sayfada düzenleme yapmış.',
	'mobile-frontend-editor-error-loading' => 'Hata, bölüm yüklenemedi.',
	'mobile-frontend-editor-tutorial-summary' => 'Biçimlendirmeden korkmanıza gerek yok. $1 sayfasını iyileştirmeyi deneyin.',
	'mobile-frontend-editor-tutorial-confirm' => 'Düzenlemeye başla',
	'mobile-frontend-editor-captcha-try-again' => 'Yanlış kod, tekrar deneyiniz.',
	'mobile-frontend-editor-abusefilter-warning' => 'Uyarı: Bu düzenlemeyi kaydetmek istediğinizden emin misiniz? Bu bir sorun olabilir.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Bu düzenleme kaydedilemiyor çünkü bir sorun saptadık.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Daha fazla bilgi edinin',
	'tag-mobile_edit' => 'Mobil değişiklik',
	'tag-mobile_edit-description' => 'Mobil siteden yapılan düzenleme',
	'mobile-frontend-drawer-cancel' => 'İptal',
	'mobile-frontend-talk-explained' => 'Aşağıdaki konuşmalar şu anda etkin durumda',
	'mobile-frontend-talk-explained-empty' => 'Bu sayfa hakkında konuşma yapılmamış.',
	'mobile-frontend-talk-overlay-header' => 'Tartışma',
	'mobile-frontend-talk-back-to-page' => '"$1" sayfasına geri dön.',
	'mobile-frontend-talk-overlay-lead-header' => 'Adsız tartışma',
	'mobile-frontend-talk-add-overlay-submit' => 'Tartışma ekle',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Konu başlığı',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Aklında ne var?',
	'mobile-frontend-talk-edit-summary' => 'Yeni tartışma bölümü: $1',
	'mobile-frontend-talk-reply-success' => 'Cevabınız tartışma sayfasına başarılı bir şekilde kaydedildi.',
	'mobile-frontend-talk-reply-info' => 'Cevabınızın otomatik olarak kullanıcı adınız ile imzalanacağını unutmayın.',
	'mobile-frontend-talk-reply' => 'Yanıtla',
	'mobile-frontend-media-details' => 'Ayrıntılar',
	'mobile-frontend-media-license-link' => 'Lisans bilgisi',
	'mobile-frontend-profile-title' => 'Kullanıcı bilgileri',
	'mobile-frontend-profile-last-upload-caption' => '{{PLURAL:$1|Dün|$1 gün önce|0=Bugün}} yüklendi.', # Fuzzy
	'mobile-frontend-profile-usertalk' => '$1 ile konuş', # Fuzzy
	'mobile-frontend-profile-noargs' => 'Lütfen bilgi görüntülemek için bir kullanıcı adı sağlayın.', # Fuzzy
	'mobile-frontend-profile-nouser' => 'Var olmayan ya da geçersiz kullanıcı adı', # Fuzzy
	'mobile-frontend-profile-activity-heading' => 'Etkinlik ve katkılar', # Fuzzy
	'mobile-frontend-profile-userpage-link' => 'Kullanıcı sayfasını ziyaret et.',
	'mobile-frontend-requires-optin' => 'Deneme modunu tercih etmediğiniz sürece bu sayfayı kullanamazsınız. Tercih etmek için [[Special:MobileOptions|ayarlar sayfasını]] ziyaret edin.',
	'mobile-frontend-profile-last-thank' => '[[Special:UserProfile/$1|$1]] tarafından [[$2]] sayfasına yapılan düzenlemeden dolayı {{GENDER:$1|teşekkür}} edildi.', # Fuzzy
	'mobile-frontend-profile-last-edit' => '[[:$1]] sayfası, {{PLURAL:$2|dün|$2 gün önce|0=bugün erken saatlerde}} düzenlendi.', # Fuzzy
	'mobile-frontend-profile-footer-days' => '[[Special:Contributions/$1|{{PLURAL:$3|1 düzenleme|$3 düzenleme}}]] ve [[Special:Uploads/$1|{{PLURAL:$4|1 yükleme|$4 yükleme|500=+500 yükleme}}]] ile {{PLURAL:$2|1 gün|$2 gün}} önce katıldı.',
	'mobile-frontend-profile-footer-months' => '[[Special:Contributions/$1|{{PLURAL:$3|1 düzenleme|$3 düzenleme}}]] ve [[Special:Uploads/$1|{{PLURAL:$4|1 yükleme|$4 yükleme|500=+500 yükleme}}]] ile {{PLURAL:$2|1 aydan|$2 aydan}} fazla süre önce katıldı.',
	'mobile-frontend-profile-footer-years' => '[[Special:Contributions/$1|{{PLURAL:$3|1 düzenleme|$3 düzenleme}}]] ve [[Special:Uploads/$1|{{PLURAL:$4|1 yükleme|$4 yükleme|500=+500 yükleme}}]] ile {{PLURAL:$2|1 yıldan|$2 yıldan}} fazla süre önce katıldı.',
	'mobile-frontend-geonotahack' => 'Bu sayfanın yakınındakiler',
	'beta-feature-geonotahack' => 'Bu sayfanın yakınındakiler',
	'beta-feature-geonotahack-description' => 'Coğrafi olarak şu anda bulunduğunuz ve yakınlarınızdaki yerlere ait sayfaları okumayı keşfedin.',
);

/** Turoyo (Ṫuroyo)
 * @author Ariyo
 */
$messages['tru'] = array(
	'mobile-frontend-language' => 'Leşono', # Fuzzy
);

/** Tatar (Cyrillic script) (татарча)
 * @author Ильнар
 */
$messages['tt-cyrl'] = array(
	'mobile-frontend-desc' => 'Мобиль интерфейс',
	'mobile-frontend-search-submit' => 'Күчү',
	'mobile-frontend-home-button' => 'Өйгә',
	'mobile-frontend-random-button' => 'Очраклы',
	'mobile-frontend-back-to-top-of-section' => 'Бер бүлеккә артка',
	'mobile-frontend-regular-site' => 'Сәхифәне гади {{SITENAME}} сәхифәсендә карау', # Fuzzy
	'mobile-frontend-view' => 'Мобиль юрама',
	'mobile-frontend-featured-article' => 'Көннең сайланган мәкаләсе', # Fuzzy
	'mobile-frontend-copyright' => "Текст <a href=\"http://creativecommons.org/licenses/by-sa/3.0/\">Creative Commons Attribution/Share-Alike</a> лицензиясе шартларында ачык, махсус очракларда өстәмә шартлар кулланыла ала. Күбрәк <a href='http://wikimediafoundation.org/wiki/Terms_of_Use/ru'>Условия использования</a> кара. «{{SITENAME}}» — <a href='http://www.wikimediafoundation.org/'>«Викимедиа фонды»</a> табышсыз оешманың теркәлгән сәүдә маркасы.", # Fuzzy
);

/** Tati (Tati)
 * @author Erdemaslancan
 */
$messages['ttt'] = array(
	'mobile-frontend-search-submit' => 'Buşu',
	'mobile-frontend-home-button' => 'Keye',
);

/** Central Atlas Tamazight (ⵜⴰⵎⴰⵣⵉⵖⵜ)
 * @author Tifinaghes
 */
$messages['tzm'] = array(
	'mobile-frontend-home-button' => 'ⴰⵙⵏⵓⴱⴳ',
	'mobile-frontend-save-settings' => 'ⵣⵎⵎⴻⵎ ⵉⵎⵙⴳⵉⴷⴷⴰ', # Fuzzy
	'mobile-frontend-view-mobile' => 'ⴰⵎⴰⴼⵓⵙ (Mobile)',
	'mobile-frontend-images-status' => 'ⵜⵉⵡⵍⴰⴼⵉⵏ',
	'mobile-frontend-missing-image' => 'ⵜⴰⵡⵍⴰⴼⵜ',
	'mobile-frontend-news-items' => 'ⴷⵉ ⵉⵏⵖⵎⵉⵙⵏ',
	'mobile-frontend-page-menu-history' => 'ⴰⵎⵣⵔⵓⵢ',
);

/** Uyghur (Arabic script) (ئۇيغۇرچە)
 * @author Sahran
 * @author Tel'et
 */
$messages['ug-arab'] = array(
	'mobile-frontend-search-submit' => 'يۆتكەل',
	'mobile-frontend-home-button' => 'باش بەت',
	'mobile-frontend-logged-out' => 'تىزىمغا كىرمىدى',
	'mobile-frontend-logged-in-homepage-notification' => '$1، خۇش كەپسىز!',
	'mobile-frontend-sign-up-heading' => 'خەتلىتىش',
	'mobile-frontend-random-button' => 'خالىغان',
	'mobile-frontend-back-to-top-of-section' => 'كەينىگە بىر ئابزاس داجى',
	'mobile-frontend-regular-site' => 'بۇ بەتنى ئەسلى {{SITENAME}} دا كۆرسەت', # Fuzzy
	'mobile-frontend-view-desktop' => 'ئۈستەلئۈستى',
	'mobile-frontend-view-mobile' => 'يانفون',
	'mobile-frontend-images-status' => 'سۈرەتلەر',
	'mobile-frontend-missing-image' => 'سۈرەت',
	'mobile-frontend-featured-article' => 'بۈگۈنكى ئالاھىدە ماقالە', # Fuzzy
	'mobile-frontend-username' => 'ئىشلەتكۈچى ئاتى:',
	'mobile-frontend-password' => 'پارول:',
	'mobile-frontend-username-placeholder' => 'ئىشلەتكۈچى ئاتى',
	'mobile-frontend-password-placeholder' => 'پارول',
	'mobile-frontend-account-create-submit' => 'خەتلىتىش',
	'mobile-frontend-password-confirm-placeholder' => 'پارولنى مۇقىملاشتۇرۇڭ',
	'mobile-frontend-overlay-escape' => 'كەينىگە',
	'mobile-frontend-placeholder' => '{{SITENAME}} ئىزدە',
	'mobile-frontend-clear-search' => 'تازىلا',
	'mobile-frontend-privacy-link-text' => 'شەخسىي سىر',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-contact' => 'ئالاقەداش',
	'mobile-frontend-main-menu-featured' => 'ئالاھىدىلىك',
	'mobile-frontend-main-menu-nearby' => 'يېقىندىكى',
	'mobile-frontend-main-menu-login' => 'تىزىمغا كىرىڭ',
	'mobile-frontend-main-menu-logout' => 'تىزىمدىن چىق',
	'mobile-frontend-main-menu-watchlist' => 'كۆزەت تىزىملىكى',
	'mobile-frontend-main-menu-settings' => 'تەڭشەكلەر',
	'mobile-frontend-main-menu-account-create' => 'ھېسابات قۇر',
	'mobile-frontend-page-menu-history' => 'تارىخ',
	'mobile-frontend-changeslist-ip' => 'ئاتسىز ئىشلەتكۈچى',
	'mobile-frontend-watchlist-filter-all' => 'ھەممىسى',
	'mobile-frontend-watchlist-filter-articles' => 'ماقالىلەر', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'مۇنازىرە',
	'mobile-frontend-watchlist-filter-other' => 'باشقا',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|قېتىم|قېتىم}} تەھرىرلەنگەن', # Fuzzy
	'mobile-frontend-diffview-anonymous' => 'ئاتسىز ئىشلەتكۈچى',
);

/** Ukrainian (українська)
 * @author A1
 * @author AS
 * @author Amire80
 * @author Andriykopanytsia
 * @author AtUkr
 * @author Base
 * @author Dim Grits
 * @author Gucci Mane Burrr
 * @author Kross
 * @author Microcell
 * @author Olvin
 * @author Sodmy
 * @author Steve.rusyn
 * @author SteveR
 * @author WTM
 * @author Ата
 * @author Тест
 */
$messages['uk'] = array(
	'mobilefrontend-random-explain' => 'Ця випадкова сторінка вас цікавить?',
	'mobilefrontend-random-cancel' => 'Дозвольте мені прочитати!',
	'mobilefrontend-keepgoing-ask' => 'Гарна робота! Ви здобуваєте навички!Хочете спробувати редагування іншої сторінки?',
	'mobilefrontend-keepgoing-ask-first' => 'Вітаємо за зроблене своє перше редагування! Ви хочете спробувати редагувати іншу сторінку?',
	'mobilefrontend-keepgoing-explain' => 'Чудово! Інший користувач сказав, що ця сторінка потребує допомоги. Спробуйте її або спробуйте іншу.',
	'mobilefrontend-keepgoing-cancel' => 'Ні, дякую.',
	'mobilefrontend-keepgoing-suggest' => 'Так, будь ласка',
	'mobilefrontend-keepgoing-suggest-again' => 'Спробуйте іншу',
	'mobilefrontend-keepgoing-saved-title' => 'Редагування збережено!',
	'mobilefrontend-keepgoing-links-title' => 'Додати посилання',
	'mobilefrontend-keepgoing-links-ask-first' => 'Вітаємо вас з вашої першим редагуванням! Ви хотіли б допомогти, додавши посилання на нещодавно створену сторінку?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Виправити іншу сторінку?',
	'mobilefrontend-keepgoing-links-explain' => 'Знайдіть ще слова, які могли б бути посиланнями. Додайте подвійні дужки навколо слова.',
	'mobilefrontend-keepgoing-links-example' => 'наприклад, $1гітара$2 стане $3гітара$4',
	'nearby' => 'Сторінки поруч з вами',
	'mobile-frontend-desc' => 'Мобільний інтерфейс',
	'mobile-frontend-search-submit' => 'Перейти',
	'mobile-frontend-home-button' => 'Домашня',
	'mobile-frontend-logged-out' => 'Ви не ввійшли до системи',
	'mobile-frontend-logged-in-homepage-notification' => 'Вітаємо, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Увійти в систему як $1',
	'mobile-frontend-generic-404-title' => 'Помилка - сторінку не знайдено',
	'mobile-frontend-generic-404-desc' => 'Сторінку, яку ви шукали, не знайдено.',
	'mobile-frontend-sign-up-heading' => 'Реєстрація',
	'mobile-frontend-sign-in-heading' => 'Увійти',
	'mobile-frontend-sign-in-why' => 'Якщо у вас уже є акаунт у {{GRAMMAR:genitive|{{SITENAME}}}}, то можете представитись нижче.',
	'mobile-frontend-sign-in-error-heading' => 'Ой',
	'mobile-frontend-settings-description' => 'Налаштуйте мобільну версію якнайзручніше.',
	'mobile-frontend-settings-beta' => 'Бета-версія',
	'mobile-frontend-settings-alpha' => 'Експериментальний режим',
	'mobile-frontend-settings-alpha-description' => 'Ввійдіть в небезпечну та невідому мобільну територію. Отримайте ще більше експерементальних можливостей, але у Вас з`явиться більша можливість знайти помилку.',
	'mobile-frontend-save-settings' => 'Зберегти',
	'mobile-frontend-save-error' => 'Помилка збереження налаштувань. Будь ласка, переконайтеся, що ви вже увімкнули файли кук.',
	'mobile-frontend-random-button' => 'Випадкова',
	'mobile-frontend-back-to-top-of-section' => 'Повернутися на розділ назад',
	'mobile-frontend-regular-site' => 'Стандартний вигляд сторінки',
	'mobile-frontend-wml-continue' => 'Далі...',
	'mobile-frontend-wml-back' => 'Назад...',
	'mobile-frontend-view' => 'Мобільний вигляд',
	'mobile-frontend-view-desktop' => 'Стаціонарний',
	'mobile-frontend-view-mobile' => 'Мобільний',
	'mobile-frontend-cookies-required' => 'Куки потрібні для перемикання режимів перегляду. Будь ласка, увімкніть їх і спробуйте знову.',
	'mobile-frontend-opt-in-explain' => 'Приєднавшись до бета-тестування, Ви отримаєте доступ до деяких експериментальних функцій, але також збільшиться ризик зустріти помилку чи проблему',
	'mobile-frontend-images-status' => 'Зображення',
	'mobile-frontend-disable-images' => 'Вимкнути зображення на мобільному сайті',
	'mobile-frontend-enable-images' => 'Увімкнути зображення на мобільному сайті',
	'mobile-frontend-expand-sections-status' => 'Розгорнути всі розділи',
	'mobile-frontend-expand-sections-description' => 'Завжди розгорнути всі розділи, якщо перейти на нову сторінку.',
	'mobile-frontend-missing-image' => 'Зображення',
	'mobile-frontend-off' => 'ВИМК',
	'mobile-frontend-on' => 'ВМК',
	'mobile-frontend-featured-article' => 'Вибраний вміст',
	'mobile-frontend-news-items' => 'У новинах',
	'mobile-frontend-languages-404-title' => 'Помилка мов',
	'mobile-frontend-languages-404-desc' => 'Слід вказати вірну назву.',
	'mobile-frontend-languages-header' => 'Мови',
	'mobile-frontend-languages-nonexistent-title' => 'Сторінка "$1" не існує.',
	'mobile-frontend-languages-text' => '$1 доступна на $2 {{PLURAL:$2|1=мові|мовах}}.',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}} варіантів',
	'mobile-frontend-language-heading' => '<strong>Мови</strong>',
	'mobile-frontend-language-article-heading' => 'Читати іншою мовою',
	'mobile-frontend-language-header' => 'Сторінка доступна $1 {{PLURAL:$1|1=мовою|мовами}}',
	'mobile-frontend-language-variant-header' => 'Оберіть варіант мови {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Пошук мови',
	'mobile-frontend-username' => "Ім'я користувача:",
	'mobile-frontend-password' => 'Пароль:',
	'mobile-frontend-username-placeholder' => "Ім'я користувача",
	'mobile-frontend-password-placeholder' => 'Пароль',
	'mobile-frontend-login' => 'Увійти',
	'mobile-frontend-history' => 'Переглянути історію редагувань цієї сторінки.',
	'mobile-frontend-history-404-title' => 'Немає такої сторінки',
	'mobile-frontend-history-404-desc' => 'Не можна переглянути історію для сторінки, яка не існує. Це було видалено або ви може маєте підписку з поганим посиланням.',
	'mobile-frontend-history-no-results' => 'Жодних збігів у історії для фільтру немає.',
	'mobile-frontend-contribution-summary' => 'Усі редагування здійснені {{GENDER:$1|користувачем [[Special:UserProfile/$1|$1]]|користувачкою [[Special:UserProfile/$1|$1]]}}',
	'mobile-frontend-history-summary' => 'Сторінка історії для [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Останні зміни: $1, $2',
	'mobile-frontend-last-modified-seconds' => 'Остання зміна була $1 {{PLURAL:$1|секунду|секунди|секунд}} тому',
	'mobile-frontend-last-modified-minutes' => 'Остання зміна була $1 {{PLURAL:$1|хвилину|хвилини|хвилин}} тому',
	'mobile-frontend-last-modified-hours' => 'Остання зміна була $1 {{PLURAL:$1|годину|години|годин}} тому',
	'mobile-frontend-last-modified-days' => 'Остання зміна була $1 {{PLURAL:$1|день|дні|днів}} тому',
	'mobile-frontend-last-modified-months' => 'Остання зміна була $1 {{PLURAL:$1|місяць|місяці|місяців}} тому',
	'mobile-frontend-last-modified-years' => 'Остання зміна була $1 {{PLURAL:$1|рік|роки|років}} тому',
	'mobile-frontend-last-modified-just-now' => 'Останні зміни прямо зараз',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 Остання {{GENDER:$1|зміна зроблена}} {{PLURAL:$3|$3 секунду|$3 секунди|$3 секунд}} тому] {{PLURAL:$5|[$6 $2]|0=анонімним користувачем}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 Остання {{GENDER:$1|зміна зроблена}} {{PLURAL:$3|$3 хвилину|$3 хвилини|$3 хвилин}} тому] {{PLURAL:$5|[$6 $2]|0=анонімним користувачем}}',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 Остання {{GENDER:$1|зміна зроблена}} {{PLURAL:$3|$3 годину|$3 години|$3 годин}} тому] {{PLURAL:$5|[$6 $2]|0=анонімним користувачем}}',
	'mobile-frontend-last-modified-with-user-days' => '[$4 Остання {{GENDER:$1|зміна зроблена|зміна зроблена}} {{PLURAL:$3|$3 день|$3 дні|$3 днів}} тому] {{PLURAL:$5|[$6 $2]|0=анонімним користувачем}}',
	'mobile-frontend-last-modified-with-user-months' => '[$4 Остання зміна зроблена {{PLURAL:$3|$3 місяць|$3 місяці|$3 місяців}} тому] {{GENDER:$1|}}{{PLURAL:$5|[$6 $2]|0=анонімним користувачем}}',
	'mobile-frontend-last-modified-with-user-years' => '[$4 Остання {{GENDER:$1|зміна зроблена|зміна зроблена}} {{PLURAL:$3|$3 рік|$3 роки|$3 років}} тому] {{PLURAL:$5|[$6 $2]|0=анонімним користувачем}}',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 Остання зміна зроблена {{GENDER:$1|}}] вже щойно зроблена {{PLURAL:$4|[$5 $2]|0=анонімним користувачем}}.',
	'mobile-frontend-view-source' => 'Перегляд джерела',
	'mobile-frontend-account-create-submit' => 'Зареєструватися',
	'mobile-frontend-password-confirm-placeholder' => 'Підтвердження пароля:',
	'mobile-frontend-account-create-email-placeholder' => 'E-mail адреса (за бажанням)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Введіть код підтвердження',
	'mobile-frontend-overlay-escape' => 'Повернутися',
	'mobile-frontend-overlay-close' => 'Закрити',
	'mobile-frontend-overlay-continue' => 'Продовжити',
	'mobile-frontend-placeholder' => 'Шукати у {{GRAMMAR:genitive|{{SITENAME}}}}',
	'mobile-frontend-placeholder-beta' => 'Пошук у {{GRAMMAR:genitive|{{SITENAME}}}} (бета)',
	'mobile-frontend-placeholder-alpha' => 'Пошук у {{grammar:genitive|{{SITENAME}}}} (Експериментально)',
	'mobile-frontend-dismiss-notification' => 'приховати це сповіщення',
	'mobile-frontend-clear-search' => 'Очистити',
	'mobile-frontend-search-content' => 'Пошук серед сторінок',
	'mobile-frontend-search-no-results' => 'Немає сторінки з цією назвою.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' щоб побачити, чи ця фраза з'являється в будь-якому місці.",
	'mobile-frontend-privacy-link-text' => 'Конфіденційність',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Вміст доступний під ліцензією [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; можуть діяти додаткові умови.',
	'mobile-frontend-copyright' => 'Вміст доступний на умовах $1, якщо не вказано інше.',
	'mobile-frontend-footer-contact' => "Зв'язок",
	'mobile-frontend-terms-text' => 'Умови використання',
	'mobile-frontend-main-menu-button-tooltip' => 'Відкрити головне меню',
	'mobile-frontend-main-menu-page-title' => 'Навігація по сайту',
	'mobile-frontend-main-menu-featured' => 'Вибране',
	'mobile-frontend-main-menu-nearby' => 'Поблизу',
	'mobile-frontend-main-menu-login' => 'Увійти',
	'mobile-frontend-main-menu-logout' => 'Вийти',
	'mobile-frontend-main-menu-watchlist' => 'Список спостереження',
	'mobile-frontend-main-menu-settings' => 'Налаштування',
	'mobile-frontend-main-menu-upload' => 'Завантаження',
	'mobile-frontend-main-menu-settings-heading' => 'Налаштування',
	'mobile-frontend-settings-site-header' => 'Мови проекту {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} доступний на $1 {{PLURAL:$1|1=мові|мовах}}. Всі доступні версії перелічені нижче',
	'mobile-frontend-main-menu-account-create' => 'Створити обліковий запис',
	'mobile-frontend-page-menu-contents' => 'зміст',
	'mobile-frontend-page-menu-history' => 'Історія',
	'mobile-frontend-meta-data-issues-header' => 'Запитання',
	'mobile-frontend-meta-data-issues' => 'Ця сторінка має деякі запитання',
	'mobile-frontend-page-saving' => 'Збереження $1',
	'mobile-frontend-user-cta' => 'Будь ласка, увійдіть до системи, або зареєструйтеся, щоб побачити Ваші сповіщення.',
	'mobile-frontend-user-button-tooltip' => 'Відображати мої сповіщення',
	'mobile-frontend-nearby-to-page' => 'Наступні сторінки, що відносяться до $1 за географічним розташуванням',
	'mobile-frontend-nearby-title' => 'Поблизу',
	'mobile-frontend-nearby-loading' => 'Завантаження інформації про те, що знаходиться поблизу Вас',
	'mobile-frontend-nearby-requirements' => 'На жаль! Веб-переглядач неподалік не підтримує {{SITENAME}}.',
	'mobile-frontend-nearby-requirements-guidance' => 'Спробуйте інший браузер або увімкніть JavaScript, якщо Ви його вимкнули.',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 км}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 м}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} Поблизу не може зрозуміти, де ви знаходитесь... ще раз спробувати?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Спробуйте відкрити області з кращим сигналом.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} не має дозволу на доступ до вашого розташування.',
	'mobile-frontend-nearby-permission-guidance' => 'Будь ласка, переконайтеся, що ви даєте дозвіл, аби показати, де ви знаходитесь. Ви, можливо, повинні перевірити налаштування розташування вашого переглядача.',
	'mobile-frontend-nearby-noresults' => 'Тихо тут… Ніяких сторінок не знайдено поблизу.',
	'mobile-frontend-nearby-noresults-guidance' => 'Спробуйте створити нову сторінку або додайте розташування до вже існуючої',
	'mobile-frontend-nearby-refresh' => 'Ми визначити Ваше місцеположення точніше. Натисніть тут, щоб оновити список найближчих сторінок',
	'mobile-frontend-nearby-error' => '{{SITENAME}} Поблизу наявні деякі проблеми.',
	'mobile-frontend-nearby-error-guidance' => 'Спробуйте оновити своє місцезнаходження.',
	'mobile-frontend-nearby-link' => 'Прочитайте цю сторінку в повному обсязі',
	'mobile-frontend-nearby-directions' => 'Перейти сюди',
	'mobile-frontend-donate-image-nouploads' => 'Нема вивантажень.',
	'mobile-frontend-donate-image-login' => 'Медіа-файли на {{GRAMMAR:locative|{{SITENAME}}}} надано такими ж людьми, як Ви.',
	'mobile-frontend-donate-image-login-action' => 'Увійдіть, аби поширити ваше медіа.',
	'mobile-frontend-donate-image-signup-action' => 'Зареєструйтесь, щоб поділитися вашими файлами з усім світом.',
	'mobile-frontend-photo-upload-disabled' => 'Немає зображення необхідного на цій сторінці.',
	'mobile-frontend-photo-upload-anon' => 'Будь ласка, увійдіть, аби додати зображення на цій сторінці.',
	'mobile-frontend-photo-upload-protected' => 'У вас немає дозволу для додавання зображення на цій сторінці.',
	'mobile-frontend-photo-upload-unavailable' => 'Ваш браузер не підтримує передавання зображень.',
	'mobile-frontend-photo-upload-generic' => 'Прислати зображення',
	'mobile-frontend-donate-image-title' => 'Вивантаження',
	'mobile-frontend-donate-image-heading' => 'Ваш недавній внесок',
	'mobile-frontend-donate-image-anon' => 'Для перегляду сторінки завантажень треба мати $1.',
	'mobile-frontend-user-account' => 'обліковий запис користувача',
	'mobile-frontend-listed-image-no-description' => 'Немає опису',
	'mobile-frontend-donate-photo-upload-success' => 'Успішно! Тепер Ваше зображення можна використовувати на сайті {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Успішно! Дякуємо за Ваш перший внесок!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Надсилайте ваші зображення. Допоможіть оживати {{SITENAME}}!',
	'mobile-frontend-first-upload-wizard-new-page-1' => "Зображення на {{ім'я сайту}} надходять із Вікісховища",
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Ваші зображення допомагають освіті людей у всьому світі.',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Уникнути захищених авторським правом матеріалів, що ви знайшли в Інтернеті, а також зображень плакатів, обкладинок книг, і т. д.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Зрозуміло?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Так!',
	'mobile-frontend-watchlist-add' => 'Додано $1 у ваш список спостереження',
	'mobile-frontend-watchlist-removed' => 'Вилучено $1 з Вашого списку спостереження',
	'mobile-frontend-watchlist-view' => 'Переглянути список спостереження',
	'mobile-frontend-watchlist-more' => 'більше',
	'mobile-frontend-watchlist-cta' => 'Відслідковувати цю сторінку та всі зміни до неї.',
	'mobile-frontend-watchlist-cta-button-login' => 'Увійти',
	'mobile-frontend-watchlist-cta-button-signup' => 'Зареєструватися',
	'mobile-frontend-watchlist-purpose' => 'Список спостереження допомагає вам робити закладки і відстежувати зміни в них.',
	'mobile-frontend-watchlist-login-action' => 'Увійти, щоб побачити це.',
	'mobile-frontend-watchlist-signup-action' => 'Зареєструйтеся, щоб почати відразу.',
	'mobile-frontend-generic-login' => '{{SITENAME}} створюється такими ж людьми, як і ви.',
	'mobile-frontend-generic-login-action' => 'Увійдіть, аби внести свій вклад.',
	'mobile-frontend-generic-signup-action' => 'Зареєструйтесь, щоб внести свій внесок.',
	'mobile-frontend-watch-login' => 'Додати $1 у ваш список спостереження',
	'mobile-frontend-edit-login' => 'Допоможіть поліпшити сторінку $1',
	'mobile-frontend-edit-login-action' => 'Увійдіть для редагування.',
	'mobile-frontend-edit-signup-action' => 'Зареєструйтеся для редагування.',
	'mobile-frontend-watchlist-a-z' => 'Список',
	'mobile-frontend-watchlist-feed' => 'Змінені',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Клацніть зірочку у верхній частині сторінки',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Ви в даний час не спостерігаєте за жодною сторінкою. Список спостереження допомагає стежити за сторінками, які вас цікавлять. Перегляньте сторінки, натиснувши на значок зірочки.',
	'mobile-frontend-watchlist-feed-empty' => 'Немає сторінок з недавніми змінами',
	'mobile-frontend-watchlist-back-home' => 'Додому',
	'mobile-frontend-changeslist-ip' => 'Анонімний користувач',
	'mobile-frontend-changeslist-nocomment' => 'нема опису редагування',
	'mobile-frontend-watchlist-filter-all' => 'Усі',
	'mobile-frontend-watchlist-filter-articles' => 'Сторінки',
	'mobile-frontend-watchlist-filter-talk' => 'Обговорення',
	'mobile-frontend-watchlist-filter-other' => 'Інші',
	'mobile-frontend-watchlist-modified' => 'Змінена $1',
	'mobile-frontend-diffview-404-title' => 'Некоректна версія',
	'mobile-frontend-diffview-404-desc' => 'Не існує версії із заданим вами ідентифікатором',
	'mobile-frontend-diffview-title' => 'Змінити',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|редагування|редагування|редагувань}}',
	'mobile-frontend-diffview-anonymous' => 'Анонімний користувач',
	'mobile-frontend-diffview-bytesadded' => '$1 {{PLURAL:$1|байт|байти|байтів}} додано',
	'mobile-frontend-diffview-bytesremoved' => '$1 {{PLURAL:$1|байт|байти|байтів}} вилучено',
	'mobile-frontend-diffview-explained' => 'Наступні рядки були додані (+) і видалені (-):',
	'mobile-frontend-thanked-notice' => '$1 розповів, що вам сподобалися  {{GENDER:$2|його|її|їхні}} зміни.',
	'mobile-frontend-saving-exit-page' => 'Ваш внесок збережений. Якщо Ви залишите сторінку, Ваш внесок буде втрачено. Ви впевнені что бажаєте вийти?',
	'mobile-frontend-photo-upload' => 'Додавання зображення до цієї сторінки',
	'mobile-frontend-photo-article-edit-comment' => 'Додані зображення для використання на сторінці',
	'mobile-frontend-photo-article-donate-comment' => 'Пожертвував зображення з Special:Вивантаження',
	'mobile-frontend-photo-upload-comment' => 'Додане зображення на сторінку',
	'mobile-frontend-photo-caption-placeholder' => "Опишіть це зображення (обов'язково)",
	'mobile-frontend-photo-ownership' => 'Я, $1, автор цього зображення.',
	'mobile-frontend-photo-ownership-help' => 'Що це означає?',
	'mobile-frontend-photo-ownership-confirm' => 'Зрозуміло!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Переконайтеся, що ваше зображення може допомогти проілюструвати сторінку. Це повинно бути створене вами зображення, яке не порушує авторських прав.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Почати вивантаження',
	'mobile-frontend-photo-upload-error' => 'Сталася помилка, спробуйте ще раз.',
	'mobile-frontend-photo-upload-error-file-type' => 'Будь ласка, вивантажуйте лише зображення.',
	'mobile-frontend-photo-upload-error-filename' => 'Помилка, будь ласка, надайте більше описовий підсумок.',
	'mobile-frontend-photo-upload-success-article' => 'Завантаження вдалося! Тепер ваше зображення розміщене на цій сторінці.',
	'mobile-frontend-photo-license' => 'Завантажуючи це зображення, ви погоджуєтеся з нашими [//wikimediafoundation.org/wiki/Terms_of_use умовами використання] і згодні надати ваше зображення під [//creativecommons.org/licenses/by-sa/3.0/   ліцензією Creative Commons Attribution-ShareAlike 3.0].',
	'mobile-frontend-photo-submit' => 'Надіслати',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> вивантаження|<span>$1</span>  вивантаження|<span>$1</span>  вивантажень}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ завантажень',
	'mobile-frontend-image-heading-describe' => '„Опишіть“ зображення',
	'mobile-frontend-image-uploading' => '„Завантаження“ зображення',
	'mobile-frontend-image-cancel-confirm' => 'Скасувати завантаження?',
	'mobile-frontend-editor-redirect-title' => 'Перенапрямлення до редактора...',
	'mobile-frontend-editor-unavailable-header' => 'Редактор недоступний',
	'mobile-frontend-editor-unavailable' => 'Мобільне редагування наразі недоступне у вашому веб-переглядачі. Будь ласка, спробуйте інший веб-переглядач.',
	'mobile-frontend-editor-undo-unsupported' => 'Відміна дії наразі не підтримується на мобільних пристроях.',
	'mobile-frontend-editor-newpage-prompt' => 'Ця сторінка не існує. Чому б не бути сміливим і створити її?',
	'mobile-frontend-editor-disabled' => 'Ця сторінка захищена, щоб запобігти вандалізму.',
	'mobile-frontend-editor-blocked' => 'Ваш обліковий запис заблоковано для редагування.',
	'mobile-frontend-editor-cta' => 'Допоможіть поліпшити цю сторінку!',
	'mobile-frontend-editor-edit' => 'Редагувати',
	'mobile-frontend-editor-continue' => 'Продовжити',
	'mobile-frontend-editor-save' => 'Зберегти',
	'mobile-frontend-editor-cancel' => 'Скасувати',
	'mobile-frontend-editor-keep-editing' => 'Зберегти редагування',
	'mobile-frontend-editor-license' => 'Натиснувши кнопку "Зберегти", ви погоджуєтеся з нашими [//wikimediafoundation.org/wiki/Terms_of_use/uk умовами використання] та погоджуєтесь з поширенням вашого тексту під [//http://creativecommons.org/licenses/by-sa/3.0/deed.uk ліцензією CC BY-SA 3.0] та [//http://uk.wikipedia.org/wiki/Вікіпедія:Текст_GNU_Free_Documentation_License].',
	'mobile-frontend-editor-placeholder' => 'Цей розділ порожній. Будьте першим, хто розширить його!',
	'mobile-frontend-editor-summary-placeholder' => "Повідомити нас, що ви змінили (необов'язково)",
	'mobile-frontend-editor-cancel-confirm' => 'Ви дійсно хочете відмовитися від вашого редагування?',
	'mobile-frontend-editor-wait' => 'Збереження редагування, зачекайте.',
	'mobile-frontend-editor-success' => 'Успіх! Внесені зміни збережено.',
	'mobile-frontend-editor-success-landmark-1' => 'Вітаємо, тепер ви - редактор {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Помилка, редагування не збережено.',
	'mobile-frontend-editor-error-conflict' => 'Помилка, інший користувач вже редагував цю сторінку.',
	'mobile-frontend-editor-error-loading' => 'Помилка, не вдалося завантажити розділ.',
	'mobile-frontend-editor-error-preview' => 'Помилка, сталося щось непередбачене при завантаженні попереднього перегляду. Будь ласка, закрийте і знову спробуйте.',
	'mobile-frontend-editor-tutorial-summary' => 'Не лякайтеся розмітки. Спробуйте поліпшити сторінку $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Чому б не поліпшити $1? Не бійтеся розмітки!',
	'mobile-frontend-editor-tutorial-confirm' => 'Почати редагування',
	'mobile-frontend-editor-tutorial-cancel' => 'Ні, дякую.',
	'mobile-frontend-editor-captcha-try-again' => 'Неправильний код, повторіть спробу.',
	'mobile-frontend-editor-abusefilter-warning' => 'Увага: Ви дійсно бажаєте зберегти цю правку? Там може бути проблема з цим.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Це редагування неможливо зберегти, бо ми виявили проблему.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Детальніше',
	'mobile-frontend-editor-editing-page' => '<strong>Редагування</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Попередній перегляд</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Перегляд джерела</strong><span> $1</span>',
	'tag-mobile_edit' => 'Редагування з мобільного пристрою',
	'tag-mobile_edit-description' => 'Редагування, зроблені з мобільної версії сайту',
	'mobile-frontend-drawer-cancel' => 'Скасувати',
	'mobile-frontend-talk-explained' => 'Такі розмови є активними',
	'mobile-frontend-talk-explained-empty' => 'Немає розмов про цю сторінку.',
	'mobile-frontend-talk-overlay-header' => 'Розмова',
	'mobile-frontend-talk-back-to-page' => 'Повернутися до сторінки "$1"',
	'mobile-frontend-talk-overlay-lead-header' => 'Обговорення без назви',
	'mobile-frontend-talk-add-overlay-submit' => 'Додати обговорення',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Теми',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Що у вас на думці?',
	'mobile-frontend-talk-edit-summary' => 'Новий розділ розмови: $1',
	'mobile-frontend-talk-reply-success' => 'Вашу відповідь було успішно збережено на сторінках обговорення.',
	'mobile-frontend-talk-reply-info' => "Зверніть увагу, що ваші відповіді будуть автоматично підписані вашим ім'ям користувача.",
	'mobile-frontend-talk-reply' => 'Відповісти',
	'mobile-frontend-talk-topic-feedback' => 'Додано нову тему на сторінку обговорення!',
	'mobile-frontend-media-details' => 'Деталі',
	'mobile-frontend-media-license-link' => 'Відомості про ліцензію',
	'abusefilter-edit-builder-vars-user-mobile' => 'Чи користувач редагує через мобільний інтерфейс, чи ні',
	'mobile-frontend-profile-title' => 'Профіль користувача',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|завантажив|завантажила}} {{PLURAL:$1|вчора|$1 дні тому|$1 днів тому|0=сьогодні}}.',
	'mobile-frontend-profile-usertalk' => '{{GENDER:$1|Поговорити з $1}}',
	'mobile-frontend-profile-error' => 'О, ні!',
	'mobile-frontend-profile-noargs' => "Ім'я користувача не було задано. Будь ласка, введіть ім'я користувача, щоб переглянути профіль.",
	'mobile-frontend-profile-nouser' => 'Немає користувач з таким іменем. Імена користувачів чутливі до регістру, тому, будь ласка, перевірте, чи воно було введене правильно.',
	'mobile-frontend-profile-activity-heading' => 'Останні дії',
	'mobile-frontend-profile-userpage-link' => 'Відвідати сторінку користувача.',
	'mobile-frontend-requires-optin' => 'Ця сторінка недоступна, якщо ви виберете в нашому режимі бета. Відвідайте [[Special:MobileOptions|сторінку налаштувань]], щоб відмовитися.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2|Подякував|Подякувала}} {{GENDER:$1|користувачу|користувачці}}[[Special:UserProfile/$1|$1]].',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3|Змінив|Змінила}} сторінку [[:$1]] {{PLURAL:$2|вчора|$2 дні тому|$2 днів тому|0=раніше сьогодні}}.',
	'mobile-frontend-profile-footer-days' => 'Приєднався {{PLURAL:$2|1 день|$2 дні|$2 днів}} тому з  [[Special:Contributions/$1|{{PLURAL:$3|1=1 зміною|$3 змінами}}]] та [[Special:Uploads/$1|{{PLURAL:$4|1 завантаженням|$4 завантаженнями|500=понад 500 завантаженнями}}]].',
	'mobile-frontend-profile-footer-months' => 'Приєднався понад {{PLURAL:$2|1 місяць|$2 місяці|$2 місяців}} тому з [[Special:Contributions/$1|{{PLURAL:$3|1=1 зміною|$3 змінами}}]] та [[Special:Uploads/$1|{{PLURAL:$4|1 завантаженням|$4 завантаженнями|500=понад 500 завантаженнями}}]].',
	'mobile-frontend-profile-footer-years' => 'Приєднався {{PLURAL:$2|1 рік|$2 роки|$2 років}}тому з   [[Special:Contributions/$1|{{PLURAL:$3|1=1 зміною|$3 змінами}}]] та [[Special:Uploads/$1|{{PLURAL:$4|1 завантаженням|$4 завантаженнями|500=понад 500 завантаженнями}}]].',
	'mobile-frontend-geonotahack' => 'Поблизу цієї сторінки',
	'beta-feature-geonotahack' => 'Поблизу цієї сторінки',
	'beta-feature-geonotahack-description' => 'Відкрийте для себе сторінки, що географічно за змістом близькі із сторінкою, яку ви зараз читаєте.',
	'mobile-frontend-mainpage-cta-prompt' => 'Ця сторінка потребує вашої допомоги!',
	'mobile-frontend-mainpage-cta-button' => 'Поліпшити цю сторінку',
	'beta-feature-minerva' => 'Увімкнути мобільну оболонку (Minerva) на стільниці',
	'beta-feature-minerva-description' => 'Робить тему оформлення, вживану на мобільних пристроях, доступною у вкладці налаштування вигляду звичайної версії.',
);

/** Urdu (اردو)
 * @author Noor2020
 * @author පසිඳු කාවින්ද
 */
$messages['ur'] = array(
	'mobile-frontend-desc' => 'موبائل پیشدید',
	'mobile-frontend-search-submit' => 'چلو',
	'mobile-frontend-home-button' => 'سرورق',
	'mobile-frontend-logged-out' => 'لاگ ان نہیں',
	'mobile-frontend-save-settings' => 'محفوظ کریں',
	'mobile-frontend-random-button' => 'بےترتیب',
	'mobile-frontend-back-to-top-of-section' => 'ایک قطعہ پیچھے جاؤ',
	'mobile-frontend-close-section' => 'اس سیکشن میں بند',
	'mobile-frontend-regular-site' => 'یہ صفحہ اصل ویکیپیڈیا پر ملاحظہ کیجئے', # Fuzzy
	'mobile-frontend-view' => 'موبائل دیکھیں',
	'mobile-frontend-view-desktop' => 'ڈیسک ٹاپ',
	'mobile-frontend-view-mobile' => 'موبائل',
	'mobile-frontend-images-status' => 'تصویر',
	'mobile-frontend-featured-article' => 'آج کا منتخب مقالہ', # Fuzzy
	'mobile-frontend-username' => 'صارف کا نام:',
	'mobile-frontend-password' => 'پاس ورڈ:',
	'mobile-frontend-login' => 'میں لاگ ان کریں',
	'mobile-frontend-clear-search' => 'واضح',
	'mobile-frontend-privacy-link-text' => 'پرائیویسی',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => "تمام متن <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>تخلیقی العام انتساب/مماثل-شراکت اجازہ</a> کے تحت دستیاب ہے; اِضافی شرائط عائد ہوسکتی ہیں. تفصیل کیلئے <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>استعمال کی شرائط</a> دیکھئے. ویکیپیڈیا <a href='http://www.wikimediafoundation.org/'>موسسۂ ویکیمیڈیا، متشرک.</a>، ایک غیر-منافع بخش تنظیم، کا ایک درج شدہ نشانِ تجارت ہے.", # Fuzzy
	'mobile-frontend-footer-contact' => 'سے رابطہ کریں',
	'mobile-frontend-main-menu-featured' => 'نمایاں',
	'mobile-frontend-main-menu-nearby' => 'قریبی',
	'mobile-frontend-main-menu-settings' => 'ترتیبات',
	'mobile-frontend-page-menu-history' => 'تاریخچہ',
	'mobile-frontend-donate-image-title' => 'اثقالات',
);

/** Uzbek (oʻzbekcha)
 * @author Abdulla
 * @author Casual
 * @author CoderSI
 * @author Sociologist
 */
$messages['uz'] = array(
	'mobile-frontend-desc' => 'Mobil interfeys',
	'mobile-frontend-search-submit' => 'O‘tish',
	'mobile-frontend-home-button' => 'Boshiga',
	'mobile-frontend-logged-out' => 'Siz tizimga kirmagansiz',
	'mobile-frontend-logged-in-homepage-notification' => 'Xush kelibsiz, $1!',
	'mobile-frontend-logged-in-toast-notification' => '$1 sifatida kirdingiz.',
	'mobile-frontend-sign-up-heading' => 'Roʻyxatdan oʻt',
	'mobile-frontend-sign-in-heading' => 'Kirish',
	'mobile-frontend-sign-in-why' => '{{SITENAME}} hisobingiz boʻlsa, quyida kirishingiz mumkin.',
	'mobile-frontend-sign-in-error-heading' => 'Ups!',
	'mobile-frontend-settings-description' => 'Ushbu mobil saytga xos sozlamalarni mobil qurilmangiz uchun sozlang.',
	'mobile-frontend-settings-beta' => 'Sinov',
	'mobile-frontend-settings-alpha' => '"[//uz.wikipedia.org/wiki/Hic_sunt_dracones Bu yerda ajdarlar]" tartibi', # Fuzzy
	'mobile-frontend-save-settings' => 'Sozlamalarni saqla', # Fuzzy
	'mobile-frontend-random-button' => 'Tasodifiy',
	'mobile-frontend-back-to-top-of-section' => 'Bir boʻlim ortga qayt',
	'mobile-frontend-regular-site' => 'Oddiy koʻrinish',
	'mobile-frontend-wml-continue' => 'Davomi...',
	'mobile-frontend-wml-back' => 'Ortga...',
	'mobile-frontend-view' => 'Mobil versiya',
	'mobile-frontend-view-mobile' => 'Mobil',
	'mobile-frontend-images-status' => 'Tasvirlar',
	'mobile-frontend-disable-images' => 'Mobil saytda tasvirlarni koʻrsatma',
	'mobile-frontend-enable-images' => 'Mobil saytda tasvirlarni koʻrsat',
	'mobile-frontend-missing-image' => 'Tasvir',
	'mobile-frontend-off' => 'OʻCH',
	'mobile-frontend-on' => 'YON',
	'mobile-frontend-featured-article' => 'Bugungi tanlangan maqola', # Fuzzy
	'mobile-frontend-news-items' => 'Yangiliklar',
	'mobile-frontend-language-article-heading' => 'Boshqa tilda oʻqish',
	'mobile-frontend-language-site-choose' => 'Til qidir',
	'mobile-frontend-username' => 'Foydalanuvchi nomi:',
	'mobile-frontend-password' => 'Maxfiy soʻz:',
	'mobile-frontend-username-placeholder' => 'Foydalanuvchi nomi',
	'mobile-frontend-password-placeholder' => 'Maxfiy soʻz',
	'mobile-frontend-login' => 'Kirish',
	'mobile-frontend-last-modified-date' => 'Soʻnggi marta $1 kuni soat $2 da tahrirlangan',
	'mobile-frontend-last-modified-seconds' => 'Soʻnggi marta {{PLURAL:$1|$1 soniya|$1 soniya}} avval tahrirlangan', # Fuzzy
	'mobile-frontend-last-modified-minutes' => 'Soʻnggi marta {{PLURAL:$1|$1 daqiqa|$1 daqiqa}} avval tahrirlangan', # Fuzzy
	'mobile-frontend-last-modified-hours' => 'Soʻnggi marta {{PLURAL:$1|$1 soat|$1 soat}} avval tahrirlangan', # Fuzzy
	'mobile-frontend-last-modified-days' => 'Soʻnggi marta {{PLURAL:$1|$1 kun|$1 kun}} avval tahrirlangan', # Fuzzy
	'mobile-frontend-last-modified-months' => 'Soʻnggi marta {{PLURAL:$1|$1 oy|$1 oy}} avval tahrirlangan', # Fuzzy
	'mobile-frontend-last-modified-years' => 'Soʻnggi marta {{PLURAL:$1|$1 yil|$1 yil}} avval tahrirlangan', # Fuzzy
	'mobile-frontend-account-create-submit' => 'Roʻyxatdan oʻt',
	'mobile-frontend-password-confirm-placeholder' => 'Maxfiy soʻzni tasdiqlang',
	'mobile-frontend-account-create-email-placeholder' => 'Elektron pochta manzili (majburiy emas)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Xavfsizlik matnini kiriting', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Orqaga',
	'mobile-frontend-placeholder' => '{{SITENAME}}dan qidirish',
	'mobile-frontend-placeholder-beta' => '{{SITENAME}}ni qidirish (Beta)',
	'mobile-frontend-placeholder-alpha' => '{{SITENAME}}ni qidirish (Dragon Mode)', # Fuzzy
	'mobile-frontend-dismiss-notification' => "bu e'lonni yop",
	'mobile-frontend-clear-search' => 'Tozala',
	'mobile-frontend-privacy-link-text' => 'Konfidensiallik',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-contact' => 'Aloqa',
	'mobile-frontend-main-menu-button-tooltip' => 'Bosh menuni och',
	'mobile-frontend-main-menu-featured' => 'Tanlangan',
	'mobile-frontend-main-menu-nearby' => 'Yonida',
	'mobile-frontend-main-menu-login' => 'Kirish',
	'mobile-frontend-main-menu-logout' => 'Chiqish',
	'mobile-frontend-main-menu-watchlist' => 'Kuzatuv roʻyxati',
	'mobile-frontend-main-menu-settings' => 'Moslamalar',
	'mobile-frontend-main-menu-upload' => 'Yuklash',
	'mobile-frontend-main-menu-settings-heading' => 'Sayt mobil versiyasining moslamalari', # Fuzzy
	'mobile-frontend-settings-site-header' => '{{SITENAME}} tillari',
	'mobile-frontend-main-menu-account-create' => 'Hisob yaratish',
	'mobile-frontend-page-menu-contents' => 'mundarija',
	'mobile-frontend-page-menu-history' => 'Tarix',
	'mobile-frontend-meta-data-issues-header' => 'Savollar',
	'mobile-frontend-meta-data-issues' => 'Bu sahifaga oid savollar bor',
	'mobile-frontend-page-saving' => '$1 saqlash',
	'mobile-frontend-nearby-title' => 'Yonida',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-listed-image-no-description' => 'Tavsif yoʻq',
	'mobile-frontend-watchlist-add' => '$1 kuzatuv roʻyxatingizga qoʻshildi',
	'mobile-frontend-watchlist-removed' => '$1 kuzatuv roʻyxatingizdan oʻchirildi',
	'mobile-frontend-watchlist-view' => 'Kuzatuv roʻyxatimni koʻrish',
	'mobile-frontend-watchlist-more' => 'batafsil',
	'mobile-frontend-watchlist-cta-button-login' => 'Kirish',
	'mobile-frontend-watchlist-cta-button-signup' => 'Roʻyxatdan oʻting',
	'mobile-frontend-watchlist-a-z' => 'Barchasi', # Fuzzy
	'mobile-frontend-watchlist-feed' => 'Tahrirlangan',
	'mobile-frontend-changeslist-ip' => 'Anonim foydalanuvchi',
	'mobile-frontend-watchlist-filter-articles' => 'Maqolalar', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Munozara',
	'mobile-frontend-watchlist-filter-other' => 'Boshqa',
	'mobile-frontend-diffview-title' => 'Oʻzgarishlar',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|ta tahrir|ta tahrir}}', # Fuzzy
	'mobile-frontend-diffview-anonymous' => 'Anonim foydalanuvchi',
	'mobile-frontend-photo-ownership' => 'Men, $1, ushbu tasvirni yaratdim.',
	'mobile-frontend-photo-ownership-help' => 'Bu nimani anglatadi?',
	'mobile-frontend-photo-ownership-confirm' => 'Tushunarli!',
	'mobile-frontend-photo-upload-error' => 'Xatolik sodir boʻldi, iltimos, qaytadan urinib koʻring.',
	'mobile-frontend-photo-submit' => 'Joʻnatish',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ yuklanmalar',
	'tag-mobile_edit' => 'Mobil tahrirlash',
	'tag-mobile_edit-description' => 'Saytning mobil versiyasidan qilingan tahrirlar',
	'mobile-frontend-drawer-cancel' => 'Bekor',
	'mobile-frontend-talk-explained' => 'Quyidagi munozaralar hozirda faol',
	'mobile-frontend-talk-explained-empty' => 'Ushbu sahifa haqida munozaralar yoʻq.',
	'mobile-frontend-talk-overlay-header' => 'Munozara',
);

/** vèneto (vèneto)
 * @author Candalua
 * @author Frigotoni
 * @author GatoSelvadego
 */
$messages['vec'] = array(
	'mobile-frontend-desc' => 'Interfacia mobiłe',
	'mobile-frontend-search-submit' => 'Và',
	'mobile-frontend-home-button' => 'Inissio',
	'mobile-frontend-logged-out' => 'Aceso mia efetuà',
	'mobile-frontend-logged-in-homepage-notification' => 'Benvegnù, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Aceso efetuà cofà $1.',
	'mobile-frontend-sign-up-heading' => 'Notate',
	'mobile-frontend-sign-in-heading' => 'Iscrìvate',
	'mobile-frontend-sign-in-why' => 'Se te ghe un account {{SITENAME}}, te poi acedare dal form soto.',
	'mobile-frontend-sign-in-error-heading' => 'Oops!',
	'mobile-frontend-settings-description' => "Personałixa ła to esperiensa so'l dispoxitivo mobiłe có łe inpostasion spesifeghe par sta version.",
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Modałità sperimentale',
	'mobile-frontend-settings-alpha-description' => 'Ocio te si drio entrar in teritori pericołoxi e nó esplorai. Otien carateristeghe ncora pì sperimentałi ma có pì pericołi e difeti.',
	'mobile-frontend-save-settings' => 'Salva',
	'mobile-frontend-random-button' => 'A caso',
	'mobile-frontend-back-to-top-of-section' => 'Va a inisio sesion',
	'mobile-frontend-close-section' => 'Sara sta sesion',
	'mobile-frontend-regular-site' => 'Vista desktop',
	'mobile-frontend-wml-continue' => 'Continua ...',
	'mobile-frontend-wml-back' => 'Indrio...',
	'mobile-frontend-view' => 'Version mobiłe',
	'mobile-frontend-view-desktop' => 'Desktop',
	'mobile-frontend-view-mobile' => 'Celular',
	'mobile-frontend-opt-in-explain' => "Partesipando a ła version de proa te gavarè ła posibiłità de doparar funsionałità sperimentałi, ma có 'l ris-cio de incontrar erori e problemi.",
	'mobile-frontend-images-status' => 'Imaxene',
	'mobile-frontend-disable-images' => "Dixabiłita łe imaxene so'l sito par dispoxitivi mobiłi",
	'mobile-frontend-enable-images' => "Abiłita łe imaxene so'l sito par dispoxitivi mobiłi",
	'mobile-frontend-missing-image' => 'Imaxene',
	'mobile-frontend-off' => 'OFF',
	'mobile-frontend-on' => 'ON',
	'mobile-frontend-featured-article' => 'Vetrina', # Fuzzy
	'mobile-frontend-news-items' => 'Novità',
	'mobile-frontend-language-article-heading' => "Lexe inte n'altra léngua",
	'mobile-frontend-language-header' => 'Sta pàjina ła xe disponibiłe in $1 {{PLURAL:$1|léngua|léngue}}',
	'mobile-frontend-language-variant-header' => 'Siełi na variante {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-footer' => 'Nota: sta pàjina ła podaria nó esar scrita inte ła to léngua preferia. Se pol vedare cuałi léngue łe xe suportae da {{SITENAME}} strucando cuà.',
	'mobile-frontend-language-site-choose' => 'Riserca léngua',
	'mobile-frontend-username' => 'Nome utente:',
	'mobile-frontend-password' => 'Password:',
	'mobile-frontend-username-placeholder' => 'Nome utente',
	'mobile-frontend-password-placeholder' => 'Password',
	'mobile-frontend-login' => 'Iscrìvate',
	'mobile-frontend-last-modified-date' => 'Ultimo canbiamento el $1 a łe $2',
	'mobile-frontend-last-modified-seconds' => 'Ultimo canbiamento {{PLURAL:$1|$1 secondo|$1 secondi}} fa',
	'mobile-frontend-last-modified-minutes' => 'Ultimo canbiamento {{PLURAL:$1|$1 minuto|$1 minuti}} fa',
	'mobile-frontend-last-modified-hours' => 'Ultimo canbiamento {{PLURAL:$1|$1 ora|$1 ore}} fa',
	'mobile-frontend-last-modified-days' => 'Ultimo canbiamento {{PLURAL:$1|$1 xorno|$1 xorni}} fa',
	'mobile-frontend-last-modified-months' => 'Ultimo canbiamento {{PLURAL:$1|$1 mexe|$1 mexi}} fa',
	'mobile-frontend-last-modified-years' => 'Ultimo canbiamento {{PLURAL:$1|$1 ano|$1 ani}} fa',
	'mobile-frontend-account-create-submit' => 'Notate',
	'mobile-frontend-password-confirm-placeholder' => 'Conferma password',
	'mobile-frontend-account-create-email-placeholder' => 'Indiriso e-mail (opsionałe)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Inserir el testo de sicuresa', # Fuzzy
	'mobile-frontend-overlay-escape' => 'Torna indrìo',
	'mobile-frontend-placeholder' => 'Serca drento de {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => 'Riserca so {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Serca so {{SITENAME}} (Sperimentale)',
	'mobile-frontend-search-help' => 'Digita łe parołe da sercar e i titołi de łe pàjina trovae i aparirà cuà.',
	'mobile-frontend-dismiss-notification' => 'ignora sta notifega',
	'mobile-frontend-clear-search' => 'Sneta',
	'mobile-frontend-privacy-link-text' => 'Privacy',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'El testo el xe disponibiłe soto ła licensa [//en.m.wikipedia.org/wiki/Wikipedia:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License?useformat=mobile CC BY-SA 3.0]; podarìa aplicarse altre condision in più.',
	'mobile-frontend-copyright' => "El testo el xe disponibile soto la <a href='http://en.wikipedia.org/wiki/{{SITENAME}}:Text_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License'>licensa Creative Commons Attribution/Share-Alike</a>; podarìà aplicarse condission ulteriori. Varda le <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>condission d'uso</a> par i detagli. {{SITENAME}} la xe un marchio registrà de la <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.</a>, na organixassion non a scopo de lucro.", # Fuzzy
	'mobile-frontend-footer-contact' => 'Contati',
	'mobile-frontend-search-noresults' => 'Nisuna pajina ła ga un titoło che \'l corisponde a ła to riserca. Canbia ła to riserca, opur struca el boton de ła tastiera "Serca" par ła riserca inte\'l testo de łe pàjine.',
	'mobile-frontend-main-menu-button-tooltip' => 'Verxi el menu prinsipałe',
	'mobile-frontend-main-menu-page-title' => "Navegasion so'l sito",
	'mobile-frontend-main-menu-featured' => 'In primo pian',
	'mobile-frontend-main-menu-nearby' => 'Arente cuà',
	'mobile-frontend-main-menu-login' => 'Entra',
	'mobile-frontend-main-menu-logout' => 'Và fora',
	'mobile-frontend-main-menu-watchlist' => "Pàjine tegnùe d'ocio",
	'mobile-frontend-main-menu-settings' => 'Inpostasion',
	'mobile-frontend-main-menu-upload' => 'caricamenti',
	'mobile-frontend-main-menu-settings-heading' => 'Inpostasion del sito par celulari', # Fuzzy
	'mobile-frontend-settings-site-header' => 'Léngue {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} xe disponibiłe in $1 {{PLURAL:$1|léngua|léngue}}. Tute łe version disponibiłi łe xe elencae de seguito',
	'mobile-frontend-main-menu-account-create' => 'Crea un utente novo',
	'mobile-frontend-page-menu-contents' => 'contegnùi',
	'mobile-frontend-page-menu-history' => 'Istòria',
	'mobile-frontend-meta-data-issues-header' => 'Anomałie',
	'mobile-frontend-meta-data-issues' => 'Sta pàjina ła ga calche problema',
	'mobile-frontend-page-saving' => 'So drio salvar $1',
	'mobile-frontend-nearby-title' => 'Arente cuà',
	'mobile-frontend-nearby-loading' => 'Carga argomenti visini a ła to poxision atuałe',
	'mobile-frontend-nearby-requirements' => 'Sta pàjina ła dimanda JavaScript e un browser có ła locałixasion ativà.', # Fuzzy
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1 km}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1 m}}',
	'mobile-frontend-nearby-noresults' => 'Te si in mexo al gnente e nó semo boni catar nisun articoło. Parché no te ghi ne scrivi uno?', # Fuzzy
	'mobile-frontend-nearby-refresh' => 'Te ghemo catà na poxision pì precixa. Struca cuà par ricrear ła lista de łe pàjine visine',
	'mobile-frontend-nearby-error' => 'Ghe xe sta un eror nó spetà mentre se jera drio sercar łe pàjine visine', # Fuzzy
	'mobile-frontend-nearby-link' => 'Lèxi sta pagina par intiero',
	'mobile-frontend-donate-image-login' => 'Entra par vardar i file che te ghe cargà.',
	'mobile-frontend-photo-upload-generic' => "Dona n'imaxene", # Fuzzy
	'mobile-frontend-donate-image-title' => 'Caricamenti',
	'mobile-frontend-donate-image-heading' => 'I to contributi resenti',
	'mobile-frontend-donate-image-anon' => 'Un [[Special:UserLogin|account utente]] el xe dimandà par vardar ła pàjina de cargamento', # Fuzzy
	'mobile-frontend-listed-image-no-description' => 'Nisuna descrision',
	'mobile-frontend-donate-photo-upload-success' => 'Bon! Desso la to imagine la se pole doparar su {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Bon! Grassie par el to primo contributo!',
	'mobile-frontend-watchlist-add' => "Xonta $1 a łe to tegnùe d'ocio",
	'mobile-frontend-watchlist-removed' => "Cava $1 da łe to tegnùe d'ocio",
	'mobile-frontend-watchlist-view' => "Varda łe to tegnùe d'ocio",
	'mobile-frontend-watchlist-more' => 'altro',
	'mobile-frontend-watchlist-cta' => "Efetua 'l aceso o notate par xontare sta pàjina a łe tegnùe d'ocio.",
	'mobile-frontend-watchlist-cta-button-login' => 'Va drento',
	'mobile-frontend-watchlist-cta-button-signup' => 'Notate',
	'mobile-frontend-watch-login' => "Te ghè da ver fato el login par tegner d'ocio le pagine.",
	'mobile-frontend-watchlist-a-z' => 'Tute', # Fuzzy
	'mobile-frontend-watchlist-feed' => 'Canbiae',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Struca so ła steła in sima a ła pàjina',
	'mobile-frontend-watchlist-a-z-empty-howto' => "Tien d'ocio ła pàjina che te ghe catà interesante strucando so ła steła in sima a ła pàjina. Sta asion te consentirà de segnarte łe pàjine che te intaresa e de tegner d'ocio cuando che łe vien modifegae.", # Fuzzy
	'mobile-frontend-watchlist-feed-empty' => 'No ghe xe pàjine có canbiamenti resenti',
	'mobile-frontend-watchlist-back-home' => 'Torna indrio',
	'mobile-frontend-changeslist-ip' => 'Utente anonemo',
	'mobile-frontend-changeslist-nocomment' => 'nisun ogeto de ła modifega',
	'mobile-frontend-watchlist-filter-all' => 'Tute',
	'mobile-frontend-watchlist-filter-articles' => 'Voxe', # Fuzzy
	'mobile-frontend-watchlist-filter-talk' => 'Discusion',
	'mobile-frontend-watchlist-filter-other' => 'Altro',
	'mobile-frontend-watchlist-modified' => 'Canbià $1',
	'mobile-frontend-diffview-404-title' => 'Eror version',
	'mobile-frontend-diffview-404-desc' => "El id par ła version dimandà nó 'l existe",
	'mobile-frontend-diffview-title' => 'Canbiamenti',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> {{PLURAL:$1|contributo|contributi}}',
	'mobile-frontend-diffview-anonymous' => 'Utente anonemo',
	'mobile-frontend-diffview-bytesadded' => '$1 byte {{PLURAL:$1|xontà|xontai}}',
	'mobile-frontend-diffview-bytesremoved' => '$1 byte {{PLURAL:$1|cavà|cavai}}',
	'mobile-frontend-diffview-explained' => 'Łe righe seguenti łe xe stae xontae (+) e cavae (-):',
	'mobile-frontend-table' => 'Tabeła $1',
	'mobile-frontend-saving-exit-page' => 'El to canbiamento el xe ncora da salvar. Se te ve fora i to contributi i ndarà persi. Sito seguro de vołer ndar fora?',
	'mobile-frontend-photo-upload' => 'Xonta na someja a sta voxe', # Fuzzy
	'mobile-frontend-photo-article-edit-comment' => 'Xonta na someja a sta pàjina', # Fuzzy
	'mobile-frontend-photo-article-donate-comment' => 'Imaxine donà da tełefonin', # Fuzzy
	'mobile-frontend-photo-upload-comment' => 'Xonta sta someja a na pàjina', # Fuzzy
	'mobile-frontend-photo-caption-placeholder' => 'Xonta na descrision (obligatoria)', # Fuzzy
	'mobile-frontend-image-loading' => 'Cargamento imaxene',
	'mobile-frontend-photo-ownership' => 'Mi, $1, gò creà sta imagine.',
	'mobile-frontend-photo-ownership-help' => 'Sa vol dir?',
	'mobile-frontend-photo-ownership-confirm' => 'Go capìo!',
	'mobile-frontend-photo-ownership-bullet-one' => 'Podemo acetar sol che le foto che te ghe fato ti stesso. Par piaser no stà cargar imagini che te ghè catà da calche parte in Internet.', # Fuzzy
	'mobile-frontend-photo-ownership-bullet-two' => 'Le imagini protete da copyright o inaproprià le vegnarà scancelà.',
	'mobile-frontend-photo-ownership-bullet-three' => 'I to caricamenti i xe rilasià soto na licensa che ghe parmete a tuti quanti de ridopararli a maca.',
	'mobile-frontend-image-uploading-wait' => "So' drio cargar l'imàxene, porta pasiensa un fià.",
	'mobile-frontend-image-uploading-long' => "L'imagine la xe 'ncora drio cargarse. Grassie de la to pasiensa.",
	'mobile-frontend-image-uploading-cancel' => '<a href="#">Anula</a> se ghe vole massa tenpo.',
	'mobile-frontend-photo-upload-error' => 'Eror, proa oncora.',
	'mobile-frontend-photo-upload-error-filename' => 'Eror, par piaser métighe un somario piassè descritivo.',
	'mobile-frontend-photo-upload-success-article' => 'Fato! Ła to imaxene ła xe deso inte ła pàjina.',
	'mobile-frontend-photo-license' => 'Strucando "Manda", te dixi de esar d\'acordo có i nostri [//wikimediafoundation.org/wiki/Terms_of_use Termini d\'Uxo] e te rełasi łe to someje có ła [//creativecommons.org/licenses/by-sa/3.0/ licensa Creative Common Atribusion-Condividi al steso modo 3.0]', # Fuzzy
	'mobile-frontend-photo-submit' => 'Manda',
	'mobile-frontend-photo-cancel' => 'Anuła',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span> caricamento|<span>$1</span> caricamenti}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500 e passa caricamenti',
	'mobile-frontend-photo-upload-login' => 'Te ghè da ver fato el login par zontar na imagine.',
	'tag-mobile_edit' => 'Canbiamento da tełefonin',
	'tag-mobile_edit-description' => "Modifega fata dal sito pa' dispoxitivi mobiłi",
	'mobile-frontend-drawer-cancel' => 'Anuła',
	'mobile-frontend-talk-explained' => 'Le seguenti conversasion le xe atualmente ative',
	'mobile-frontend-talk-explained-empty' => 'No ghe xe conversazion su de sta pagina.',
	'mobile-frontend-talk-overlay-header' => 'Discusion',
	'mobile-frontend-talk-overlay-lead-header' => 'Discussion sensa nome',
	'mobile-frontend-talk-add-overlay-submit' => 'Zonta discusion',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Ojeto de la discusion',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Sa gheto in mente?',
	'mobile-frontend-talk-edit-summary' => 'Nova sezion de discusion: $1',
);

/** Veps (vepsän kel’)
 * @author Игорь Бродский
 */
$messages['vep'] = array(
	'mobile-frontend-search-submit' => 'Tehta',
	'mobile-frontend-home-button' => 'Pälehtpolele',
	'mobile-frontend-wml-continue' => 'Jätkta...',
	'mobile-frontend-wml-back' => 'Tagaze...',
	'mobile-frontend-view' => 'Mobiline versii',
	'mobile-frontend-news-items' => 'Uzištusiš',
	'mobile-frontend-password' => 'Peitsana:',
);

/** Vietnamese (Tiếng Việt)
 * @author Baonguyen21022003
 * @author Cheers!
 * @author Minh Nguyen
 * @author Tranletuhan
 * @author Withoutaname
 * @author පසිඳු කාවින්ද
 */
$messages['vi'] = array(
	'mobilefrontend-random-explain' => 'Bạn có quan tâm đến trang ngẫu nhiên này?',
	'mobilefrontend-random-cancel' => 'Hãy để tôi đọc!',
	'mobilefrontend-keepgoing-ask' => 'Tuyệt! Bạn có vẻ quen sửa đổi! Bạn có muốn thử sửa một trang nữa không?',
	'mobilefrontend-keepgoing-ask-first' => 'Chúc mừng bạn đã thực hiện sửa đổi đầu tiên! Bạn có muốn thử sửa một trang nữa không?',
	'mobilefrontend-keepgoing-explain' => 'Tuyệt! Một người dùng khác đã cho biết rằng trang này cần được chú ý. Hãy thử trang này hoặc một trang khác.',
	'mobilefrontend-keepgoing-cancel' => 'Thôi',
	'mobilefrontend-keepgoing-suggest' => 'Có, cảm ơn',
	'mobilefrontend-keepgoing-suggest-again' => 'Thử cái nữa',
	'mobilefrontend-keepgoing-saved-title' => 'Đã lưu sửa đổi!',
	'mobilefrontend-keepgoing-links-title' => 'Thêm liên kết',
	'mobilefrontend-keepgoing-links-ask-first' => 'Chúc mừng bạn đã sửa đổi lần đầu tiên! Bạn có muốn giúp tạo thêm liên kết vào một trang mới được viết?',
	'mobilefrontend-keepgoing-links-ask-again' => 'Bạn có muốn sửa một trang nữa?',
	'mobilefrontend-keepgoing-links-explain' => 'Tìm thêm cụm từ nên trở thành liên kết. Đưa cụm từ vào các đôi dấu ngoặc vuông.',
	'mobilefrontend-keepgoing-links-example' => 'ví dụ $1guitar$2 sẽ trở thành $3guitar$4',
	'nearby' => 'Trang gần bạn',
	'mobile-frontend-desc' => 'Giao diện di động',
	'mobile.css' => '/* Mã CSS đặt ở đây sẽ ảnh hưởng đến những người sử dụng trang di động */',
	'mobile.js' => '/* Mã JavaScript đặt ở đây sẽ được tải khi nào sử dụng trang di động */',
	'mobile-frontend-search-submit' => 'Xem',
	'mobile-frontend-home-button' => 'Trang đầu',
	'mobile-frontend-logged-out' => 'Chưa đăng nhập',
	'mobile-frontend-logged-in-homepage-notification' => 'Hoan nghênh, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'Đã đăng nhập là $1.',
	'mobile-frontend-generic-404-title' => 'Lỗi – Không tìm thấy trang',
	'mobile-frontend-generic-404-desc' => 'Không tìm thấy trang bạn muốn xem.',
	'mobile-frontend-sign-up-heading' => 'Mở tài khoản',
	'mobile-frontend-sign-in-heading' => 'Đăng nhập',
	'mobile-frontend-sign-in-why' => 'Nếu đã có tài khoản tại {{SITENAME}}, bạn có thể đăng nhập ở dưới.',
	'mobile-frontend-sign-in-error-heading' => 'Ôi',
	'mobile-frontend-settings-description' => 'Tùy biến giao diện trên thiết bị di động của bạn với các tùy chọn di động này.',
	'mobile-frontend-settings-beta' => 'Beta',
	'mobile-frontend-settings-alpha' => 'Chế độ thử nghiệm',
	'mobile-frontend-settings-alpha-description' => 'Đi vào lãnh thổ nguy hiểm chưa quen. Chịu thêm tính năng di động thử nghiệm có thể có nhiều lỗi hơn.',
	'mobile-frontend-save-settings' => 'Lưu',
	'mobile-frontend-save-error' => 'Lỗi khi lưu cấu hình. Xin vui lòng chắc chắn bật cookie.',
	'mobile-frontend-random-button' => 'Ngẫu nhiên',
	'mobile-frontend-back-to-top-of-section' => 'Nhảy về đầu phần',
	'mobile-frontend-regular-site' => 'Bản dành cho máy tính để bàn',
	'mobile-frontend-wml-continue' => 'Tiếp tục…',
	'mobile-frontend-wml-back' => 'Quay lại…',
	'mobile-frontend-view' => 'Phiên bản di động',
	'mobile-frontend-view-desktop' => 'Máy tính để bàn',
	'mobile-frontend-view-mobile' => 'Di động',
	'mobile-frontend-cookies-required' => 'Bạn cần cho phép các cookie để đổi chế độ xem. Xin vui lòng kích hoạt cookie và thử lần nữa.',
	'mobile-frontend-opt-in-explain' => 'Với việc tham gia cuộc thử nghiệm, bạn có thể sử dụng các tính năng thử nghiệm nhưng cũng có thể gặp lỗi và vấn đề trục trặc.',
	'mobile-frontend-images-status' => 'Hình ảnh',
	'mobile-frontend-disable-images' => 'Tắt hình ảnh tại trang di động',
	'mobile-frontend-enable-images' => 'Hiện hình ảnh trên trang di động',
	'mobile-frontend-expand-sections-status' => 'Mở rộng tất cả các tiêu đề',
	'mobile-frontend-expand-sections-description' => 'Luôn mở rộng tất cả các tiêu đề khi mở trang mới.',
	'mobile-frontend-missing-image' => 'Hình',
	'mobile-frontend-off' => 'TẮT',
	'mobile-frontend-on' => 'BẬT',
	'mobile-frontend-featured-article' => 'Nội dung chọn lọc',
	'mobile-frontend-news-items' => 'Tin tức',
	'mobile-frontend-languages-404-title' => 'Lỗi ngôn ngữ',
	'mobile-frontend-languages-404-desc' => 'Một tên trang hợp lệ cần được định rõ.',
	'mobile-frontend-languages-header' => 'Ngôn ngữ',
	'mobile-frontend-languages-nonexistent-title' => 'Trang “$1” không tồn tại.',
	'mobile-frontend-languages-text' => '$1 có sẵn trong $2 ngôn ngữ.',
	'mobile-frontend-languages-variant-header' => 'Biến thể {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-heading' => '<strong>Ngôn ngữ</strong>',
	'mobile-frontend-language-article-heading' => 'Đọc trong ngôn ngữ khác',
	'mobile-frontend-language-header' => 'Trang này có sẵn trong $1 ngôn ngữ',
	'mobile-frontend-language-variant-header' => 'Chọn bộ chữ {{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-language-site-choose' => 'Tìm ngôn ngữ',
	'mobile-frontend-username' => 'Tên người dùng:',
	'mobile-frontend-password' => 'Mật khẩu:',
	'mobile-frontend-username-placeholder' => 'Tên người dùng',
	'mobile-frontend-password-placeholder' => 'Mật khẩu',
	'mobile-frontend-login' => 'Đăng nhập',
	'mobile-frontend-history' => 'Xem lịch sử sửa đổi của trang này.',
	'mobile-frontend-history-404-title' => 'Không tìm thấy trang',
	'mobile-frontend-history-404-desc' => 'Không thể xem lịch sử của một trang chưa tồn tại. Nó có thể đã bị xóa hoặc bạn có thể đã theo một liên kết hỏng.',
	'mobile-frontend-history-no-results' => 'Bộ lọc không khớp với lịch sử nào.',
	'mobile-frontend-contribution-summary' => 'Tất cả các sửa đổi của {{GENDER:$1}}[[Special:UserProfile/$1|$1]]',
	'mobile-frontend-history-summary' => 'Lịch sử Trang [[:$1]]',
	'mobile-frontend-last-modified-date' => 'Sửa đổi lần cuối lúc $2 vào $1',
	'mobile-frontend-last-modified-seconds' => 'Sửa đổi lần cuối cách đây $1 giây',
	'mobile-frontend-last-modified-minutes' => 'Sửa đổi lần cuối cách đây $1 phút',
	'mobile-frontend-last-modified-hours' => 'Sửa đổi lần cuối cách đây $1 giờ',
	'mobile-frontend-last-modified-days' => 'Sửa đổi lần cuối cách đây $1 ngày',
	'mobile-frontend-last-modified-months' => 'Sửa đổi lần cuối cách đây $1 tháng',
	'mobile-frontend-last-modified-years' => 'Sửa đổi lần cuối cách đây $1 năm',
	'mobile-frontend-last-modified-just-now' => 'Vừa được sửa đổi lần cuối cùng',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4 {{GENDER:$1}}Sửa đổi lần cuối cùng cách đây $3 giây] bởi {{PLURAL:$5|[$6 $2]|0=một người dùng vô danh}}',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4 {{GENDER:$1}}Sửa đổi lần cuối cùng cách đây $3 phút] bởi {{PLURAL:$5|[$6 $2]|0=một người dùng vô danh}}.',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 {{GENDER:$1}}Sửa đổi lần cuối cùng cách đây $3 giờ] bởi {{PLURAL:$5|[$6 $2]|0=một người dùng vô danh}}.',
	'mobile-frontend-last-modified-with-user-days' => '[$4 {{GENDER:$1}}Sửa đổi lần cuối cùng cách đây $3 ngày] bởi {{PLURAL:$5|[$6 $2]|0=một người dùng vô danh}}.',
	'mobile-frontend-last-modified-with-user-months' => '[$4 {{GENDER:$1}}Sửa đổi lần cuối cùng cách đây $3 tháng] bởi {{PLURAL:$5|[$6 $2]|0=một người dùng vô danh}}.',
	'mobile-frontend-last-modified-with-user-years' => '[$4 {{GENDER:$1}}Sửa đổi lần cuối cùng cách đây $3 năm] bởi {{PLURAL:$5|[$6 $2]|0=một người dùng vô danh}}.',
	'mobile-frontend-last-modified-with-user-just-now' => 'Vừa được [$3 {{GENDER:$1|edited}}sửa đổi lần cuối cùng] bởi {{PLURAL:$4|[$5 $2]|0=một người dùng vô danh}}.',
	'mobile-frontend-view-source' => 'Xem mã nguồn',
	'mobile-frontend-account-create-submit' => 'Mở tài khoản',
	'mobile-frontend-password-confirm-placeholder' => 'Xác nhận mật khẩu',
	'mobile-frontend-account-create-email-placeholder' => 'Địa chỉ thư điện tử (tùy chọn)',
	'mobile-frontend-account-create-captcha-placeholder' => 'Nhập mã xác nhận',
	'mobile-frontend-overlay-escape' => 'Quay lại',
	'mobile-frontend-overlay-close' => 'Đóng',
	'mobile-frontend-overlay-continue' => 'Tiếp',
	'mobile-frontend-placeholder' => 'Tìm kiếm {{SITENAME}}…',
	'mobile-frontend-placeholder-beta' => 'Tìm kiếm {{SITENAME}} (Beta)',
	'mobile-frontend-placeholder-alpha' => 'Tìm {{SITENAME}} (Chế độ thử nghiệm)',
	'mobile-frontend-dismiss-notification' => 'bỏ qua thông báo này',
	'mobile-frontend-clear-search' => 'Tẩy trống',
	'mobile-frontend-search-content' => 'Tìm trong trang',
	'mobile-frontend-search-no-results' => 'Không tìm thấy trang với tên này.',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}''' để xem cụm từ này có xuất hiện trong trang nào.",
	'mobile-frontend-privacy-link-text' => 'Riêng tư',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => 'Văn bản có sẵn theo [//vi.m.wikipedia.org/wiki/Wikipedia:Nguyên_văn_Giấy_phép_Creative_Commons_Ghi_công–Chia_sẻ_tương_tự_phiên_bản_3.0_Chưa_chuyển_đổi?useformat=mobile CC BY-SA 3.0]; có thể áp dụng điều khoản bổ sung.',
	'mobile-frontend-copyright' => 'Nội dung được phát hành theo $1, ngoại trừ khi có ghi chú khác.',
	'mobile-frontend-footer-contact' => 'Liên lạc',
	'mobile-frontend-terms-text' => 'Điều khoản Sử dụng',
	'mobile-frontend-main-menu-button-tooltip' => 'Mở trình đơn chính',
	'mobile-frontend-main-menu-page-title' => 'Điều hướng các trang',
	'mobile-frontend-main-menu-featured' => 'Chọn lọc',
	'mobile-frontend-main-menu-nearby' => 'Lân cận',
	'mobile-frontend-main-menu-login' => 'Đăng nhập',
	'mobile-frontend-main-menu-logout' => 'Đăng xuất',
	'mobile-frontend-main-menu-watchlist' => 'Danh sách theo dõi',
	'mobile-frontend-main-menu-settings' => 'Tùy chọn',
	'mobile-frontend-main-menu-upload' => 'Tập tin tải lên',
	'mobile-frontend-main-menu-settings-heading' => 'Tùy chọn',
	'mobile-frontend-settings-site-header' => 'Ngôn ngữ {{SITENAME}}',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} có sẵn trong $1 ngôn ngữ. Tất cả các phiên bản có sẵn ở dưới:',
	'mobile-frontend-main-menu-account-create' => 'Mở tài khoản',
	'mobile-frontend-page-menu-contents' => 'mục lục',
	'mobile-frontend-page-menu-history' => 'Lịch sử',
	'mobile-frontend-meta-data-issues-header' => 'Các vấn đề',
	'mobile-frontend-meta-data-issues' => 'Trang này có một số vấn đề',
	'mobile-frontend-page-saving' => 'Đang lưu $1',
	'mobile-frontend-user-cta' => 'Xin vui lòng đăng nhập hoặc mở tài khoản để xem thông báo của bạn.',
	'mobile-frontend-user-button-tooltip' => 'Xem thông báo của tôi',
	'mobile-frontend-nearby-to-page' => 'Các trang sau có liên quan đến $1 theo vị trí địa lý',
	'mobile-frontend-nearby-title' => 'Lân cận',
	'mobile-frontend-nearby-loading' => 'Đang tải các đề tài gần vị trí của bạn',
	'mobile-frontend-nearby-requirements' => 'Rất tiếc, trình duyệt của bạn không hỗ trợ {{SITENAME}} Lân cận.',
	'mobile-frontend-nearby-requirements-guidance' => 'Hãy thử một trình duyệt khác hoặc kích hoạt JavaScript nếu nó đã bị tắt.',
	'mobile-frontend-nearby-distance' => '$1 km',
	'mobile-frontend-nearby-distance-meters' => '$1 m',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}} Lân cận không tìm được vị trí của bạn… thử một lần nữa?',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => 'Hãy thử ra nơi trống trải để bắt sóng mạnh được.',
	'mobile-frontend-nearby-permission' => '{{SITENAME}} Lân cận không có quyền truy cập vị trí của bạn.',
	'mobile-frontend-nearby-permission-guidance' => 'Xin vui lòng chắc chắn cho phép xác định vị trí hiện tại của bạn. Bạn có thể cần kiểm tra các tùy chọn định vị của trình duyệt.',
	'mobile-frontend-nearby-noresults' => 'Đây có vẻ hẻo lánh… Không tìm thấy trang nào lân cận.',
	'mobile-frontend-nearby-noresults-guidance' => 'Hãy thử tạo trang mới hoặc định vị một bài đã tồn tại.',
	'mobile-frontend-nearby-refresh' => 'Chúng tôi đã chỉnh lại vị trí của bạn. Nhấn chuột vào đây để tải lại danh sách các trang lân cận.',
	'mobile-frontend-nearby-error' => '{{SITENAME}} Lân cận đang gặp trục trặc.',
	'mobile-frontend-nearby-error-guidance' => 'Hãy thử làm mới vị trí của bạn.',
	'mobile-frontend-nearby-link' => 'Đọc toàn bộ trang này',
	'mobile-frontend-nearby-directions' => 'Đi đến đây',
	'mobile-frontend-donate-image-nouploads' => 'Không có tập tin tải lên.',
	'mobile-frontend-donate-image-login' => 'Các phương tiện trên {{SITENAME}} là do những người như bạn đóng góp.',
	'mobile-frontend-donate-image-login-action' => 'Hãy đăng nhập để chia sẻ phương tiện của bạn.',
	'mobile-frontend-donate-image-signup-action' => 'Hãy mở tài khoản để chia sẻ phương tiện của bạn với tất cả thế giới.',
	'mobile-frontend-photo-upload-disabled' => 'Trang này không cần hình ảnh.',
	'mobile-frontend-photo-upload-anon' => 'Xin vui lòng đăng nhập để thêm hình vào trang này.',
	'mobile-frontend-photo-upload-protected' => 'Bạn không có quyền thêm hình vào trang này.',
	'mobile-frontend-photo-upload-unavailable' => 'Trình duyệt của bạn không hỗ trợ tải hình ảnh lên.',
	'mobile-frontend-photo-upload-generic' => 'Đóng góp một hình ảnh',
	'mobile-frontend-donate-image-title' => 'Tập tin tải lên',
	'mobile-frontend-donate-image-heading' => 'Đóng góp của bạn gần đây',
	'mobile-frontend-donate-image-anon' => 'Cần có $1 để xem trang tải lên.',
	'mobile-frontend-user-account' => 'tài khoản người dùng',
	'mobile-frontend-listed-image-no-description' => 'Không miêu tả',
	'mobile-frontend-donate-photo-upload-success' => 'Thành công! Bây giờ bạn có thể sử dụng hình ảnh của bạn trên {{SITENAME}}!',
	'mobile-frontend-donate-photo-first-upload-success' => 'Thành công! Cảm ơn bạn đã đóng góp lần đầu tiên!',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => 'Đóng góp hình ảnh của bạn để làm {{SITENAME}} sinh động hơn!',
	'mobile-frontend-first-upload-wizard-new-page-1' => 'Các hình ảnh trên {{SITENAME}} được cung cấp bởi Wikimedia Commons',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => 'Các hình ảnh của bạn giúp giáo dục người dân trên khắp thế giới',
	'mobile-frontend-first-upload-wizard-new-page-2' => 'Tránh dùng các hình ảnh có bản quyền bạn tìm được trên Internet, cũng như các hình chụp áp phích, bìa sách, v.v.',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => 'Bạn hiểu rồi chứ?',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => 'Có!',
	'mobile-frontend-watchlist-add' => 'Đã thêm $1 vào danh sách theo dõi của bạn',
	'mobile-frontend-watchlist-removed' => 'Đã dời $1 khỏi danh sách theo dõi của bạn',
	'mobile-frontend-watchlist-view' => 'Xem danh sách theo dõi của bạn',
	'mobile-frontend-watchlist-more' => 'thêm',
	'mobile-frontend-watchlist-cta' => 'Theo dõi trang này và các sửa đổi tại nó.',
	'mobile-frontend-watchlist-cta-button-login' => 'Đăng nhập',
	'mobile-frontend-watchlist-cta-button-signup' => 'Mở tài khoản',
	'mobile-frontend-watchlist-purpose' => 'Danh sách theo dõi cho phép bạn đánh dấu trang và theo dõi các sửa đổi tại nó.',
	'mobile-frontend-watchlist-login-action' => 'Hãy đăng nhập để xem nó.',
	'mobile-frontend-watchlist-signup-action' => 'Hãy mở tài khoản để tạo ra nó.',
	'mobile-frontend-generic-login' => '{{SITENAME}} được xây dựng bởi những người như bạn.',
	'mobile-frontend-generic-login-action' => 'Hãy đăng nhập để đóng góp.',
	'mobile-frontend-generic-signup-action' => 'Hãy mở tài khoản để đóng góp.',
	'mobile-frontend-watch-login' => 'Thêm $1 vào danh sách theo dõi của bạn.',
	'mobile-frontend-edit-login' => 'Hãy giúp cải thiện trang $1.',
	'mobile-frontend-edit-login-action' => 'Hãy đăng nhập để sửa đổi.',
	'mobile-frontend-edit-signup-action' => 'Hãy mở tài khoản để sửa đổi.',
	'mobile-frontend-watchlist-a-z' => 'Danh sách',
	'mobile-frontend-watchlist-feed' => 'Các thay đổi',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => 'Bấm vào ngôi sao ở đầu trang',
	'mobile-frontend-watchlist-a-z-empty-howto' => 'Bạn hiện không có theo dõi trang nào. Với danh sách theo dõi, bạn có thể theo dõi các trang bạn quan tâm. Hãy chạm hình ngôi sao để theo dõi các trang.',
	'mobile-frontend-watchlist-feed-empty' => 'Không có trang nào được thay đổi gần đây',
	'mobile-frontend-watchlist-back-home' => 'Quay lại nhà',
	'mobile-frontend-changeslist-ip' => 'Người dùng vô danh',
	'mobile-frontend-changeslist-nocomment' => 'không có tóm lược sửa đổi',
	'mobile-frontend-watchlist-filter-all' => 'Tất cả',
	'mobile-frontend-watchlist-filter-articles' => 'Trang',
	'mobile-frontend-watchlist-filter-talk' => 'Thảo luận',
	'mobile-frontend-watchlist-filter-other' => 'Khác',
	'mobile-frontend-watchlist-modified' => 'Được sửa đổi $1',
	'mobile-frontend-diffview-404-title' => 'Phiên bản sai',
	'mobile-frontend-diffview-404-desc' => 'Số phiên bản được yêu cầu không tồn tại.',
	'mobile-frontend-diffview-title' => 'Các thay đổi',
	'mobile-frontend-diffview-editcount' => '<div>$1</div> lần sửa đổi',
	'mobile-frontend-diffview-anonymous' => 'Người dùng vô danh',
	'mobile-frontend-diffview-bytesadded' => 'thêm $1 byte',
	'mobile-frontend-diffview-bytesremoved' => 'bớt $1 byte',
	'mobile-frontend-diffview-explained' => 'Các dòng sau đã được thêm (+) và xóa (-):',
	'mobile-frontend-thanked-notice' => 'Đã cho $1 biết rằng bạn thích sửa đổi của {{GENDER:$2}}họ.',
	'mobile-frontend-saving-exit-page' => 'Các đóng góp của bạn còn đang được lưu giữ. Nếu bạn bỏ đi, các đóng góp này sẽ bị mất. Bạn có chắc muốn thoát?',
	'mobile-frontend-photo-upload' => 'Thêm hình vào trang này',
	'mobile-frontend-photo-article-edit-comment' => 'Đã thêm hình để sử dụng trong trang',
	'mobile-frontend-photo-article-donate-comment' => 'Đã đóng góp hình ảnh từ Đặc biệt:Tập tin tải lên',
	'mobile-frontend-photo-upload-comment' => 'Đã thêm hình vào trang',
	'mobile-frontend-photo-caption-placeholder' => 'Miêu tả hình này (bắt buộc)',
	'mobile-frontend-photo-ownership' => 'Tôi, $1, tạo ra hình ảnh này.',
	'mobile-frontend-photo-ownership-help' => 'Điều này có nghĩa là gì?',
	'mobile-frontend-photo-ownership-confirm' => 'Được rồi!',
	'mobile-frontend-lead-image-tutorial-summary' => 'Hãy chắc chắn rằng hình ảnh của bạn có thể minh họa trang. Nó phải là một hình do bạn tạo ra và không vi phạm bản quyền của ai.',
	'mobile-frontend-lead-image-tutorial-confirm' => 'Bắt đầu tải lên',
	'mobile-frontend-photo-upload-error' => 'Đã xuất hiện lỗi; hãy thử lại.',
	'mobile-frontend-photo-upload-error-file-type' => 'Xin vui lòng chỉ tải lên hình ảnh.',
	'mobile-frontend-photo-upload-error-filename' => 'Lỗi: Xin vui lòng tóm tắt một cách rõ hơn.',
	'mobile-frontend-photo-upload-success-article' => 'Xong rồi, trang này hiện có hình ảnh của bạn.',
	'mobile-frontend-photo-license' => 'Với việc tải lên hình này, bạn chấp nhận [//wikimediafoundation.org/wiki/Terms_of_Use/vi?uselang=vi các Điều khoản Sử dụng], và bạn đồng ý phát hành hình ảnh của mình theo [//creativecommons.org/licenses/by-sa/3.0/deed.vi Giấy phép Creative Commons Ghi công–Chia sẻ tương tự 3.0].',
	'mobile-frontend-photo-submit' => 'Tải lên',
	'mobile-frontend-photo-upload-user-count' => '<span>$1</span> tải lên',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+ tải lên',
	'mobile-frontend-image-heading-describe' => "'''Miêu tả''' hình",
	'mobile-frontend-image-uploading' => "Đang '''tải lên''' hình…",
	'mobile-frontend-image-cancel-confirm' => 'Hủy bỏ tải lên?',
	'mobile-frontend-editor-redirect-title' => 'Đang đổi hướng đến trang sửa đổi…',
	'mobile-frontend-editor-unavailable-header' => 'Trang sửa đổi không có sẵn',
	'mobile-frontend-editor-unavailable' => 'Tính năng sửa đổi di động hiện không có sẵn cho trình duyệt của bạn. Xin vui lòng thử một trình duyệt khác.',
	'mobile-frontend-editor-undo-unsupported' => 'Chưa hỗ trợ hoàn tác trên các thiết bị di động.',
	'mobile-frontend-editor-newpage-prompt' => 'Trang này chưa tồn tại. Hãy can đảm tạo ra nó!',
	'mobile-frontend-editor-disabled' => 'Trang này bị khóa để chống phá hoại.',
	'mobile-frontend-editor-blocked' => 'Tài khoản của bạn bị khóa không được sửa đổi.',
	'mobile-frontend-editor-cta' => 'Hãy giúp cải thiện trang này!',
	'mobile-frontend-editor-edit' => 'Sửa đổi',
	'mobile-frontend-editor-continue' => 'Tiếp tục',
	'mobile-frontend-editor-save' => 'Lưu',
	'mobile-frontend-editor-cancel' => 'Hủy bỏ',
	'mobile-frontend-editor-keep-editing' => 'Sửa tiếp',
	'mobile-frontend-editor-license' => 'Với việc lưu các thay đổi, bạn chấp nhận [//wikimediafoundation.org/wiki/Terms_of_Use/vi?uselang=vi các Điều khoản Sử dụng] của chúng tôi và đồng ý phát hành văn bản của bạn theo [//creativecommons.org/licenses/by-sa/3.0/deed.vi Giấy phép CC Ghi công–Chia sẻ tương tự 3.0] và [//vi.wikipedia.org/wiki/Wikipedia:Nguyên_văn_Giấy_phép_Tài_liệu_Tự_do_GNU GFDL].',
	'mobile-frontend-editor-placeholder' => 'Phần này còn trống. Hãy Be the first to expand it! Hãy là người đầu tiên mở rộng nó!',
	'mobile-frontend-editor-summary-placeholder' => 'Cho chúng tôi biết bạn đã thay đổi những gì (tùy chọn)',
	'mobile-frontend-editor-cancel-confirm' => 'Bạn có thực sự muốn từ bỏ sửa đổi của bạn?',
	'mobile-frontend-editor-wait' => 'Đang lưu sửa đổi, vui lòng chờ.',
	'mobile-frontend-editor-success' => 'Thao tác thành công! Sửa đổi của bạn đã được lưu.',
	'mobile-frontend-editor-success-landmark-1' => 'Chúc mừng bạn đã trở thành biên tập viên {{SITENAME}}!',
	'mobile-frontend-editor-error' => 'Đã xuất hiện lỗi; sửa đổi không được lưu.',
	'mobile-frontend-editor-error-conflict' => 'Đã xuất hiện lỗi: người dùng khác đã sửa đổi trang này.',
	'mobile-frontend-editor-error-loading' => 'Đã xuất hiện lỗi; không thể tải phần này.',
	'mobile-frontend-editor-error-preview' => 'Lỗi: Cái gì đó bất ngờ đã xảy ra khi đang hiển thị bản xem trước. Hãy đóng và thử lại.',
	'mobile-frontend-editor-tutorial-summary' => 'Đừng lo ngại về cú pháp mã nguồn. Hãy thử cải thiện trang $1.',
	'mobile-frontend-editor-tutorial-alt-summary' => 'Hãy cải thiện $1? Đừng lo ngại vì cú pháp!',
	'mobile-frontend-editor-tutorial-confirm' => 'Bắt đầu sửa đổi',
	'mobile-frontend-editor-tutorial-cancel' => 'Thôi, cám ơn',
	'mobile-frontend-editor-captcha-try-again' => 'Mã sai, hãy thử lại.',
	'mobile-frontend-editor-abusefilter-warning' => 'Cảnh báo: Bạn có chắc chắn muốn lưu trang này? Các thay đổi này có thể có vấn đề.',
	'mobile-frontend-editor-abusefilter-disallow' => 'Không thể lưu sửa đổi này vì đã phát hiện một vấn đề.',
	'mobile-frontend-editor-abusefilter-read-more' => 'Đọc tiếp',
	'mobile-frontend-editor-editing-page' => '<strong>Sửa đổi</strong><span> $1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>Xem trước</strong><span> $1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>Xem mã nguồn</strong><span> $1</span>',
	'tag-mobile_edit' => 'Sửa đổi di động',
	'tag-mobile_edit-description' => 'Trang được sửa đổi dùng trang di động',
	'mobile-frontend-drawer-cancel' => 'Hủy bỏ',
	'mobile-frontend-talk-explained' => 'Các cuộc thảo luận sau đây đang tiếp diễn',
	'mobile-frontend-talk-explained-empty' => 'Không có cuộc thảo luận nào về trang này.',
	'mobile-frontend-talk-overlay-header' => 'Thảo luận',
	'mobile-frontend-talk-back-to-page' => 'Quay lại trang “$1”.',
	'mobile-frontend-talk-overlay-lead-header' => 'Thảo luận không tên',
	'mobile-frontend-talk-add-overlay-submit' => 'Thêm thảo luận',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => 'Tiêu đề của chủ đề',
	'mobile-frontend-talk-add-overlay-content-placeholder' => 'Bạn đang nghĩ gì?',
	'mobile-frontend-talk-edit-summary' => 'Phần thảo luận mới: $1',
	'mobile-frontend-talk-reply-success' => 'Đã lưu lời đáp của bạn vào trang thảo luận.',
	'mobile-frontend-talk-reply-info' => 'Lưu ý rằng lời đáp sẽ được tự động ký tên dùng tên người dùng của bạn.',
	'mobile-frontend-talk-reply' => 'Trả lời',
	'mobile-frontend-talk-topic-feedback' => 'Chủ đề mới được thêm vào trang thảo luận!',
	'mobile-frontend-media-details' => 'Chi tiết',
	'mobile-frontend-media-license-link' => 'Thông tin giấy phép',
	'abusefilter-edit-builder-vars-user-mobile' => 'Người dùng có sửa đổi qua giao diện di động hay không',
	'mobile-frontend-profile-title' => 'Thông tin cá nhân',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2}}Được tải lên {{PLURAL:$1|ngày hôm qua|$1 ngày trước|0=hôm nay}}.',
	'mobile-frontend-profile-usertalk' => 'Thảo luận với $1',
	'mobile-frontend-profile-error' => 'Ôi!',
	'mobile-frontend-profile-noargs' => 'Tên người dùng không được cung cấp. Xin vui lòng nhập tên người dùng để xem trang thành viên.',
	'mobile-frontend-profile-nouser' => 'Không có người dùng với tên này. Vì phân biệt chữ hoa/thường trong tên người dùng, xin vui lòng kiểm tra tên người dùng có đúng không.',
	'mobile-frontend-profile-activity-heading' => 'Hoạt động gần đây',
	'mobile-frontend-profile-userpage-link' => 'Xem trang thành viên.',
	'mobile-frontend-requires-optin' => 'Để xem trang này, hãy quyết định kích hoạt chế độ beta. Mở [[Special:MobileOptions|trang tùy chọn]] để kích hoạt.',
	'mobile-frontend-profile-last-thank' => '{{GENDER:$2}}Đã nhận lời cảm ơn {{GENDER:$1}}từ [[Special:UserProfile/$1|$1]]',
	'mobile-frontend-profile-last-edit' => '{{GENDER:$3}}Đã sửa đổi trang [[:$1]] {{PLURAL:$2|hôm qua|cách đây $2 ngày|0=hôm nay}}.',
	'mobile-frontend-profile-footer-days' => 'Đã mở tài khoản cách đây $2 ngày và hiện có [[Special:Contributions/$1|$3 sửa đổi]] và [[Special:Uploads/$1|{{PLURAL:$4|1 tập tin tải lên|$4 tập tin tải lên|500=500+ tập tin tải lên}}]].',
	'mobile-frontend-profile-footer-months' => 'Đã mở tài khoản cách đây hơn $2 ngày và hiện có [[Special:Contributions/$1|$3 sửa đổi]] và [[Special:Uploads/$1|{{PLURAL:$4|1 tập tin tải lên|$4 tập tin tải lên|500=500+ tập tin tải lên}}]].',
	'mobile-frontend-profile-footer-years' => 'Đã mở tài khoản cách đây $2 ngày và hiện có [[Special:Contributions/$1|$3 sửa đổi]] và [[Special:Uploads/$1|{{PLURAL:$4|1 tập tin tải lên|$4 tập tin tải lên|500=500+ tập tin tải lên}}]].',
	'mobile-frontend-geonotahack' => 'Lân cận trang này',
	'beta-feature-geonotahack' => 'Lân cận trang này',
	'beta-feature-geonotahack-description' => 'Khám phá các trang lân cận với nội dung mà bạn đang đọc.',
	'mobile-frontend-mainpage-cta-prompt' => 'Trang này cần sự giúp đỡ của bạn!',
	'mobile-frontend-mainpage-cta-button' => 'Cải thiện trang này',
	'beta-feature-minerva' => 'Sử dụng hình dạng di động (Minerva) trên máy tính để bàn',
	'beta-feature-minerva-description' => 'Cho phép sử dụng hình dạng của thiết bị di động trên máy tính để bàn qua thẻ tùy chọn Bề ngoài.',
);

/** Volapük (Volapük)
 * @author Malafaya
 */
$messages['vo'] = array(
	'mobile-frontend-language' => 'Pük:',
);

/** Võro (Võro)
 */
$messages['vro'] = array(
	'mobile-frontend-search-submit' => 'Mineq',
	'mobile-frontend-home-button' => 'Pääleht',
	'mobile-frontend-random-button' => 'Johuslinõ leht',
	'mobile-frontend-back-to-top-of-section' => 'Mineq tagasi	 jakko A',
	'mobile-frontend-regular-site' => 'Näütäq seod lehte hariligun Vikipeediän', # Fuzzy
	'mobile-frontend-featured-article' => 'Täämbädse päävä artikli', # Fuzzy
	'mobile-frontend-copyright' => "Tekst om ilmutõt <a href=\"http://fi.wikipedia.org/wiki/{{SITENAME}}:Creative_Commons_Attribution-Share_Alike_3.0_Unported_-lisenssiehdot\">Creative Commons Attribution/Share-Alike</a> litsendsi perrä; kost või löüdäq lisateedüst. Kaeq <a href='http://wikimediafoundation.org/wiki/Terms_of_Use'>Terms of Use</a> ligembält siist. Vikipeediä om <a href='http://www.wikimediafoundation.org/'>Wikimedia Foundation, Inc.:n</a>, mittetullosaamisütisüse kirjäpant kaubamärk.", # Fuzzy
);

/** Wolof (Wolof)
 */
$messages['wo'] = array(
	'mobile-frontend-search-submit' => 'Ayca',
	'mobile-frontend-home-button' => ' xët wu njëkk',
	'mobile-frontend-regular-site' => 'Wone xët wi ci {{SITENAME}} wees baaxoo', # Fuzzy
	'mobile-frontend-featured-article' => 'Jukkib bés bi', # Fuzzy
);

/** Wu (吴语)
 * @author Benojan
 * @author 十弌
 */
$messages['wuu'] = array(
	'mobile-frontend-editor-newpage-prompt' => '箇頁朆見。怎兒弗膽大點去建起？',
	'mobile-frontend-editor-license' => '點著"保存", 說明爾同意我裏個 [//wikimediafoundation.org/wiki/Terms_of_use Terms of Use 使用條款]，也同意用 [//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0 License] and [//en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License GFDL]發表爾個文字。', # Fuzzy
	'mobile-frontend-media-details' => '零零碎碎',
);

/** Kalmyk (хальмг)
 */
$messages['xal'] = array(
	'mobile-frontend-search-submit' => 'Ор',
	'mobile-frontend-home-button' => 'Герт',
	'mobile-frontend-random-button' => 'Уршг',
	'mobile-frontend-back-to-top-of-section' => 'Хүвәр хәрү',
	'mobile-frontend-regular-site' => 'Кирин Бикипедин халх хәләх', # Fuzzy
	'mobile-frontend-featured-article' => 'Өдрә суңһгдсн халх', # Fuzzy
	'mobile-frontend-copyright' => 'Бичг <a href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution/Share-Alike</a> зөвшлтин болзани орлһта, зәрм бәәдлт дәкәд болзан йоста бәәдг. Тодрхаһар <a href="http://wikimediafoundation.org/wiki/Terms_of_Use/ru">Эдллһнә болзан</a> хәләтн. Бикипеди ({{SITENAME}}) бедрг уга <a href=\'http://www.wikimediafoundation.org/\'>«Бикимедиа көрңг»</a> бүрдәцин бүртклсн гүүлглһнә темдг мөн.', # Fuzzy
);

/** Mingrelian (მარგალური)
 */
$messages['xmf'] = array(
	'mobile-frontend-show-button' => 'ძირაფა',
	'mobile-frontend-hide-button' => 'ტყობინაფა',
);

/** Yiddish (ייִדיש)
 * @author Imre
 * @author פוילישער
 */
$messages['yi'] = array(
	'mobilefrontend-keepgoing-saved-title' => 'רעדאקטירונג אויפגעהיטן',
	'mobilefrontend-keepgoing-links-title' => 'צולייגן לינקען',
	'mobile-frontend-desc' => 'מאבייל אויסשטעלונג',
	'mobile-frontend-search-submit' => 'גיי',
	'mobile-frontend-home-button' => 'היימבלאַט',
	'mobile-frontend-logged-out' => 'נישט ארײַנלאגירט',
	'mobile-frontend-logged-in-homepage-notification' => 'ברוך הבא, $1!',
	'mobile-frontend-logged-in-toast-notification' => 'ארײַנלאגירט ווי $1.',
	'mobile-frontend-sign-up-heading' => 'פֿארשרייבן זיך',
	'mobile-frontend-sign-in-heading' => 'איינשרייבונג',
	'mobile-frontend-settings-description' => 'פאַסט צו אײַער מאבייל דערפֿאַרונג מיט די ספעציפישע אײַנשטעלונגען פאר מאבייל אפאראטן.',
	'mobile-frontend-settings-beta' => 'בעטע',
	'mobile-frontend-save-settings' => 'אויפהיטן',
	'mobile-frontend-random-button' => 'צופֿעליג',
	'mobile-frontend-back-to-top-of-section' => 'צוריקשפרינגען אַן אָפטייל',
	'mobile-frontend-regular-site' => 'נארמאַלער קאמפיוטער באַקוק',
	'mobile-frontend-wml-continue' => 'ווײַטער …',
	'mobile-frontend-wml-back' => 'צוריק ...',
	'mobile-frontend-view' => 'מאבילער קוק',
	'mobile-frontend-view-desktop' => 'נארמאלע אויסשטעלונג',
	'mobile-frontend-view-mobile' => 'מאבייל אויסשטעלונג',
	'mobile-frontend-images-status' => 'בילדער',
	'mobile-frontend-disable-images' => 'אומאקטיווירן בילדער פאר מאביילן',
	'mobile-frontend-enable-images' => 'אקטיווירן בילדער פאר מאביילן',
	'mobile-frontend-off' => 'אויס',
	'mobile-frontend-on' => 'אקטיוויזירט',
	'mobile-frontend-featured-article' => 'דער הײַנטיקער רעקאמענדירטער אינהאַלט',
	'mobile-frontend-news-items' => 'אין די נײַעס',
	'mobile-frontend-language-article-heading' => 'לייענען אין אן אנדער שפראך',
	'mobile-frontend-language-header' => 'דער בלאט איז פאראן אין $1 {{PLURAL:$1|שפראך|שפראכן}}',
	'mobile-frontend-language-site-choose' => 'זוך שפראך',
	'mobile-frontend-username' => 'באַניצער נאָמען:',
	'mobile-frontend-password' => 'פאסווארט:',
	'mobile-frontend-login' => 'אַרײַנלאגירן',
	'mobile-frontend-history' => 'באקוקן רעדאקטירן היסטאריע פון דעם בלאט.',
	'mobile-frontend-history-404-title' => 'נישט פאראן אזא בלאט',
	'mobile-frontend-overlay-close' => 'פארמאכן',
	'mobile-frontend-overlay-continue' => 'פֿארזעצן',
	'mobile-frontend-placeholder' => 'זוכן {{SITENAME}}',
	'mobile-frontend-placeholder-beta' => ' זוכן ביי {{SITENAME}} (בעטא)',
	'mobile-frontend-search-help' => 'קלאפט ארײַן זוכווארט אויבן. צוגעפאסטע בלאט קעפלעך וועט מען ווײַזן דא.',
	'mobile-frontend-dismiss-notification' => 'באהאלטן דעם קאמוניקאט',
	'mobile-frontend-clear-search' => 'רייניקן',
	'mobile-frontend-privacy-link-text' => 'פריוואטקייט',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-copyright' => 'דער אינהאַלט איז פֿאַראַן אונטער $1 ווען נישט באוויזן אנדערש.',
	'mobile-frontend-footer-contact' => 'קאנטאקט',
	'mobile-frontend-main-menu-featured' => 'רעקאמנדירט',
	'mobile-frontend-main-menu-nearby' => 'דערבײַ',
	'mobile-frontend-main-menu-login' => 'אַרײַנלאָגירן',
	'mobile-frontend-main-menu-logout' => 'אַרויסלאגירן',
	'mobile-frontend-main-menu-settings' => 'איינשטעלונגען',
	'mobile-frontend-main-menu-settings-heading' => 'איינשטעלונגען',
	'mobile-frontend-settings-site-header' => '{{SITENAME}} שפראכן',
	'mobile-frontend-settings-site-description' => '{{SITENAME}} איז דערגרייכלעך אין $1 {{PLURAL:$1|שפראך|שפראכן}}. אלע דערגרייכלעכע ווערסיעס געפינען זיך אונטן',
	'mobile-frontend-page-menu-contents' => 'אינהאַלט',
	'mobile-frontend-page-menu-history' => 'היסטאריע',
	'mobile-frontend-meta-data-issues-header' => 'פראגעס',
	'mobile-frontend-meta-data-issues' => 'דער בלאט האט עטלעכע פֿראגעס',
	'mobile-frontend-page-saving' => 'אויפֿהיטן $1',
	'mobile-frontend-watchlist-add' => 'צוגעלייגט $1 צו אייער אויפפאסונג ליסטע',
	'mobile-frontend-watchlist-removed' => 'אראפגענומען $1 פון אייער אויפפאסונג ליסטע',
	'mobile-frontend-watchlist-view' => 'באקוקן אייער אויפפאסונג ליסטע',
	'mobile-frontend-watchlist-a-z' => 'ליסטע',
	'mobile-frontend-photo-caption-placeholder' => 'באשרייבן דאס בילד (באדארפט)',
	'mobile-frontend-photo-upload-error' => 'פֿעלער, פרובירט נאכאמאל.',
	'mobile-frontend-photo-cancel' => 'אַנולירן',
	'mobile-frontend-editor-tutorial-confirm' => 'אנהייבן רעדאקטירן',
	'mobile-frontend-drawer-cancel' => 'אַנולירן',
	'mobile-frontend-talk-back-to-page' => 'צוריק צו "$1" בלאט.',
);

/** Yoruba (Yorùbá)
 * @author Demmy
 */
$messages['yo'] = array(
	'mobile-frontend-search-submit' => 'Lọ',
	'mobile-frontend-home-button' => 'Ibùdó',
	'mobile-frontend-random-button' => 'Ojúewé àrìnnàkò',
	'mobile-frontend-username' => 'Orúkọ oníṣe:',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-settings-site-header' => 'Àwọn èdè {{SITENAME}}',
);

/** Cantonese (粵語)
 * @author Waihorace
 */
$messages['yue'] = array(
	'mobile-frontend-back-to-top-of-section' => '番去上一章',
	'mobile-frontend-regular-site' => '喺正常嘅{{SITENAME}}睇呢版', # Fuzzy
	'mobile-frontend-view' => '流動版',
	'mobile-frontend-disable-images' => '喺手機版唔睇圖',
);

/** Simplified Chinese (中文（简体）‎)
 * @author Anakmalaysia
 * @author Bencmq
 * @author Byfserag
 * @author Chihongleegabriel
 * @author Cwlin0416
 * @author Dimension
 * @author Hydra
 * @author Hzy980512
 * @author Kuailong
 * @author Li3939108
 * @author Liangent
 * @author Linforest
 * @author Liuxinyu970226
 * @author MaxSem
 * @author Mys 721tx
 * @author PhiLiP
 * @author Qiyue2001
 * @author Shirayuki
 * @author Shizhao
 * @author Simon Shek
 * @author TianyinLee
 * @author Xiaomingyan
 * @author Yfdyh000
 * @author Zhuyifei1999
 * @author 乌拉跨氪
 */
$messages['zh-hans'] = array(
	'mobilefrontend-random-explain' => '你对此随机页面有兴趣吗？',
	'mobilefrontend-random-cancel' => '让我阅读！',
	'mobilefrontend-keepgoing-ask' => '干的好！你正在掌握这件事的窍门！你想尝试编辑其他页面吗？',
	'mobilefrontend-keepgoing-ask-first' => '恭喜你的第一次编辑！你想尝试编辑其他页面吗？',
	'mobilefrontend-keepgoing-explain' => '真棒！其他用户说这个页面需要帮助。请试试看，或尝试帮助其他页面。',
	'mobilefrontend-keepgoing-cancel' => '不，谢谢',
	'mobilefrontend-keepgoing-suggest' => '是的，请',
	'mobilefrontend-keepgoing-suggest-again' => '尝试另一页',
	'mobilefrontend-keepgoing-saved-title' => '编辑已保存！',
	'mobilefrontend-keepgoing-links-title' => '添加链接',
	'mobilefrontend-keepgoing-links-ask-first' => '恭喜你的第一次编辑！你想帮助将链接添加到刚创建的页面吗？',
	'mobilefrontend-keepgoing-links-ask-again' => '修复其他页面？',
	'mobilefrontend-keepgoing-links-explain' => '查找更多可能是链接的词。在词前后添加两层括号。',
	'mobilefrontend-keepgoing-links-example' => '例如，$1吉他$2成为$3吉他$4',
	'nearby' => '您附近的页面',
	'mobile-frontend-desc' => '移动前端',
	'mobile.css' => '/* 放置于这里的CSS将影响使用移动版网站的用户 */',
	'mobile.js' => '/* 这里的任何JavaScript将为使用移动版网站的用户加载 */',
	'mobile-frontend-search-submit' => '搜索',
	'mobile-frontend-home-button' => '首页',
	'mobile-frontend-logged-out' => '未登录',
	'mobile-frontend-logged-in-homepage-notification' => '欢迎，$1！',
	'mobile-frontend-logged-in-toast-notification' => '以$1登录。',
	'mobile-frontend-generic-404-title' => '404错误——找不到页面',
	'mobile-frontend-generic-404-desc' => '找不到您正在寻找的页面。',
	'mobile-frontend-sign-up-heading' => '注册',
	'mobile-frontend-sign-in-heading' => '登录',
	'mobile-frontend-sign-in-why' => '如果您拥有{{SITENAME}}账户，您可以在下面登录。',
	'mobile-frontend-sign-in-error-heading' => '糟糕',
	'mobile-frontend-settings-description' => '用这些移动版网站设置自定义你的移动设备体验。',
	'mobile-frontend-settings-beta' => '测试版',
	'mobile-frontend-settings-alpha' => '实验版',
	'mobile-frontend-settings-alpha-description' => '使用实验中的移动版。可以获得更多实验特性，但遇到漏洞的风险更高。',
	'mobile-frontend-save-settings' => '保存',
	'mobile-frontend-save-error' => '保存设置出错。请确保你已启用cookie。',
	'mobile-frontend-random-button' => '随机',
	'mobile-frontend-back-to-top-of-section' => '返回段落顶部',
	'mobile-frontend-regular-site' => '桌面版视图',
	'mobile-frontend-wml-continue' => '继续...',
	'mobile-frontend-wml-back' => '返回...',
	'mobile-frontend-view' => '移动版视图',
	'mobile-frontend-view-desktop' => '桌面版',
	'mobile-frontend-view-mobile' => '移动版',
	'mobile-frontend-cookies-required' => 'Cookies需要切换成查阅模式。请启用后重试。',
	'mobile-frontend-opt-in-explain' => '加入测试版，你将可以使用实验特性，但可能遇到漏洞和问题。',
	'mobile-frontend-images-status' => '图像',
	'mobile-frontend-disable-images' => '停用移动版网站的图像',
	'mobile-frontend-enable-images' => '启用移动版网站的图像',
	'mobile-frontend-expand-sections-status' => '展开所有部分',
	'mobile-frontend-expand-sections-description' => '导航至新页面时总是展开所有部分。',
	'mobile-frontend-missing-image' => '图像',
	'mobile-frontend-off' => '关',
	'mobile-frontend-on' => '开',
	'mobile-frontend-featured-article' => '特色内容',
	'mobile-frontend-news-items' => '新闻动态',
	'mobile-frontend-languages-404-title' => '语言错误',
	'mobile-frontend-languages-404-desc' => '必须指定一个有效标题。',
	'mobile-frontend-languages-header' => '语言',
	'mobile-frontend-languages-nonexistent-title' => '页面“$1”不存在。',
	'mobile-frontend-languages-text' => '$1已在$2语言中提供。',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}}变体',
	'mobile-frontend-language-heading' => '<strong>语言</strong>',
	'mobile-frontend-language-article-heading' => '其他语言',
	'mobile-frontend-language-header' => '本页面有$1种{{PLURAL:$1|语言}}版本',
	'mobile-frontend-language-variant-header' => '选择{{#language:{{CONTENTLANG}}}}语言变体',
	'mobile-frontend-language-site-choose' => '搜索语言',
	'mobile-frontend-username' => '用户名：',
	'mobile-frontend-password' => '密码：',
	'mobile-frontend-username-placeholder' => '用户名',
	'mobile-frontend-password-placeholder' => '密码',
	'mobile-frontend-login' => '登录',
	'mobile-frontend-history' => '查看本页面的编辑历史。',
	'mobile-frontend-history-404-title' => '没有这个页面',
	'mobile-frontend-history-404-desc' => '无法查看不存在页面的历史。它可能被删除或者您点击了一个死链。',
	'mobile-frontend-history-no-results' => '没有与过滤器条件匹配的历史。',
	'mobile-frontend-contribution-summary' => '{{GENDER:$1|[[Special:UserProfile/$1|$1]]}}的所有编辑',
	'mobile-frontend-history-summary' => '[[:$1]]的页面历史',
	'mobile-frontend-last-modified-date' => '最后修改于$1 $2',
	'mobile-frontend-last-modified-seconds' => '最后修改于{{PLURAL:$1|$1秒}}前',
	'mobile-frontend-last-modified-minutes' => '最后修改于{{PLURAL:$1|$1分}}前',
	'mobile-frontend-last-modified-hours' => '最后修改于{{PLURAL:$1|$1小时}}前',
	'mobile-frontend-last-modified-days' => '最后修改于{{PLURAL:$1|$1天}}前',
	'mobile-frontend-last-modified-months' => '最后修改于{{PLURAL:$1|$1个月}}前',
	'mobile-frontend-last-modified-years' => '最后修改于{{PLURAL:$1|$1年}}前',
	'mobile-frontend-last-modified-just-now' => '刚刚修改',
	'mobile-frontend-last-modified-with-user-seconds' => '{{PLURAL:$5|[$6 $2]|0=匿名用户}}[$4 最后{{GENDER:$1|编辑}}于{{PLURAL:$3|$3秒}}前]',
	'mobile-frontend-last-modified-with-user-minutes' => '{{PLURAL:$5|[$6 $2]|0=匿名用户}}[$4 最后{{GENDER:$1|编辑}}于{{PLURAL:$3|$3分}}前]。',
	'mobile-frontend-last-modified-with-user-hours' => '{{PLURAL:$5|[$6 $2]|0=匿名用户}}[$4 最后{{GENDER:$1|编辑}}于{{PLURAL:$3|$3小时}}前]',
	'mobile-frontend-last-modified-with-user-days' => '{{PLURAL:$5|[$6 $2]|0=匿名用户}}[$4 最后{{GENDER:$1|编辑}}于{{PLURAL:$3|$3天}}前]',
	'mobile-frontend-last-modified-with-user-months' => '{{PLURAL:$5|[$6 $2]|0=匿名用户}}[$4 最后{{GENDER:$1|编辑}}于$3月前]',
	'mobile-frontend-last-modified-with-user-years' => '{{PLURAL:$5|[$6 $2]|0=匿名用户}}[$4 最后{{GENDER:$1|编辑}}于{{PLURAL:$3|$3年}}前]',
	'mobile-frontend-last-modified-with-user-just-now' => '{{PLURAL:$4|[$5 $2]|0=匿名用户}}刚刚[$3 {{GENDER:$1|编辑}}]。',
	'mobile-frontend-view-source' => '查看源代码',
	'mobile-frontend-account-create-submit' => '注册',
	'mobile-frontend-password-confirm-placeholder' => '确认密码',
	'mobile-frontend-account-create-email-placeholder' => '电子邮件地址（选填）',
	'mobile-frontend-account-create-captcha-placeholder' => '请输入验证码',
	'mobile-frontend-overlay-escape' => '返回',
	'mobile-frontend-overlay-close' => '关闭',
	'mobile-frontend-overlay-continue' => '继续',
	'mobile-frontend-placeholder' => '搜索{{SITENAME}}',
	'mobile-frontend-placeholder-beta' => '搜索{{SITENAME}}（测试版）',
	'mobile-frontend-placeholder-alpha' => '搜索{{SITENAME}}（实验版）',
	'mobile-frontend-dismiss-notification' => '关闭本通知',
	'mobile-frontend-clear-search' => '清除',
	'mobile-frontend-search-content' => '在页面内搜索',
	'mobile-frontend-search-no-results' => '没有页面使用此标题。',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}'''以显示该词语是否出现于其他地方。",
	'mobile-frontend-privacy-link-text' => '隐私',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => '文字内容采用[//zh.m.wikipedia.org/wiki/Wikipedia:CC-BY-SA-3.0协议文本?useformat=mobile CC BY-SA 3.0]授权，附加条款可能应用。',
	'mobile-frontend-copyright' => '除非另有声明，本网站内容采用$1授权。',
	'mobile-frontend-footer-contact' => '联系',
	'mobile-frontend-terms-text' => '使用条款',
	'mobile-frontend-main-menu-button-tooltip' => '打开主菜单',
	'mobile-frontend-main-menu-page-title' => '网站导航',
	'mobile-frontend-main-menu-featured' => '特色',
	'mobile-frontend-main-menu-nearby' => '附近',
	'mobile-frontend-main-menu-login' => '登录',
	'mobile-frontend-main-menu-logout' => '退出',
	'mobile-frontend-main-menu-watchlist' => '监视列表',
	'mobile-frontend-main-menu-settings' => '设置',
	'mobile-frontend-main-menu-upload' => '上传',
	'mobile-frontend-main-menu-settings-heading' => '设置',
	'mobile-frontend-settings-site-header' => '{{SITENAME}}语言',
	'mobile-frontend-settings-site-description' => '{{SITENAME}}有$1种语言版本。下面列出了所有语言版本',
	'mobile-frontend-main-menu-account-create' => '创建账户',
	'mobile-frontend-page-menu-contents' => '目录',
	'mobile-frontend-page-menu-language-current' => '{{#language:{{CONTENTLANG}}}}',
	'mobile-frontend-page-menu-history' => '历史',
	'mobile-frontend-meta-data-issues-header' => '问题',
	'mobile-frontend-meta-data-issues' => '本页有一些问题',
	'mobile-frontend-page-saving' => '正在保存$1',
	'mobile-frontend-user-cta' => '请登录或注册以查看你的通知。',
	'mobile-frontend-user-button-tooltip' => '显示我的通知',
	'mobile-frontend-nearby-to-page' => '以下页面在地理位置上与$1相关',
	'mobile-frontend-nearby-title' => '附近',
	'mobile-frontend-nearby-loading' => '正在载入你当前位置附近的主题',
	'mobile-frontend-nearby-requirements' => '对不起！你的网页浏览器不支持{{SITENAME}}附近功能。',
	'mobile-frontend-nearby-requirements-guidance' => '请尝试其他浏览器或启用JavaScript（如果你停用了它）。',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1千米}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1米}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}}附近无法获取你的位置，要重试吗？',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => '请尝试去有更佳信号的开放地区。',
	'mobile-frontend-nearby-permission' => '{{SITENAME}}的附近没有访问您所在位置的权限。',
	'mobile-frontend-nearby-permission-guidance' => '请确保您授予权限以显示你的位置。您可能需要检查您的浏览器的位置设置。',
	'mobile-frontend-nearby-noresults' => '这里真安静啊...在附近找不到任何页面。',
	'mobile-frontend-nearby-noresults-guidance' => '请尝试创建新页面或添加位置信息到已有页面里',
	'mobile-frontend-nearby-refresh' => '我们获得了你更精确的位置。请点击这里刷新附近页面列表',
	'mobile-frontend-nearby-error' => '{{SITENAME}}附近遇到一些问题。',
	'mobile-frontend-nearby-error-guidance' => '请尝试刷新你的位置。',
	'mobile-frontend-nearby-link' => '阅读本页的完整版本',
	'mobile-frontend-nearby-directions' => '导航到这里',
	'mobile-frontend-donate-image-nouploads' => '无上传。',
	'mobile-frontend-donate-image-login' => '在{{SITENAME}}上的媒体被像您一样的人捐赠了。',
	'mobile-frontend-donate-image-login-action' => '登录以共享您的媒体。',
	'mobile-frontend-donate-image-signup-action' => '注册以共享您的媒体至全世界。',
	'mobile-frontend-photo-upload-disabled' => '本页面不需要图像。',
	'mobile-frontend-photo-upload-anon' => '请登录以添加图像至本页面。',
	'mobile-frontend-photo-upload-protected' => '你没有权限添加图像至本页面。',
	'mobile-frontend-photo-upload-unavailable' => '你的浏览器不支持图像上传。',
	'mobile-frontend-photo-upload-generic' => '贡献图像',
	'mobile-frontend-donate-image-title' => '上传',
	'mobile-frontend-donate-image-heading' => '你最近的贡献',
	'mobile-frontend-donate-image-anon' => '查看上传页面需要$1。',
	'mobile-frontend-user-account' => '用户账户',
	'mobile-frontend-listed-image-no-description' => '没有说明',
	'mobile-frontend-donate-photo-upload-success' => '成功！你的图像现在可以在{{SITENAME}}使用！',
	'mobile-frontend-donate-photo-first-upload-success' => '成功！感谢你的首次贡献！',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => '贡献你的图像。使{{SITENAME}}更生动！',
	'mobile-frontend-first-upload-wizard-new-page-1' => '{{SITENAME}}上的图像来自维基共享资源',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => '你的图像将可以帮助教育世界各地的人',
	'mobile-frontend-first-upload-wizard-new-page-2' => '请避免来自互联网的受版权保护的材料以及海报、图书封面等的图像。',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => '明白了？',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => '是的！',
	'mobile-frontend-watchlist-add' => '已添加$1至你的监视列表',
	'mobile-frontend-watchlist-removed' => '已从你的监视列表中删除$1',
	'mobile-frontend-watchlist-view' => '查看你的监视列表',
	'mobile-frontend-watchlist-more' => '更多',
	'mobile-frontend-watchlist-cta' => '跟踪此页面以及对其所有修改。',
	'mobile-frontend-watchlist-cta-button-login' => '登录',
	'mobile-frontend-watchlist-cta-button-signup' => '注册',
	'mobile-frontend-watchlist-purpose' => '一个监视列表帮助您的书签页及帮助跟踪对它们的更改。',
	'mobile-frontend-watchlist-login-action' => '登录以查看它。',
	'mobile-frontend-watchlist-signup-action' => '注册以启动一个。',
	'mobile-frontend-generic-login' => '{{SITENAME}}是由像您这样的人建立的。',
	'mobile-frontend-generic-login-action' => '登录以贡献。',
	'mobile-frontend-generic-signup-action' => '注册以贡献。',
	'mobile-frontend-watch-login' => '将$1加入您的监视列表。',
	'mobile-frontend-edit-login' => '帮助改善页面$1。',
	'mobile-frontend-edit-login-action' => '登录以编辑。',
	'mobile-frontend-edit-signup-action' => '注册以编辑。',
	'mobile-frontend-watchlist-a-z' => '列表',
	'mobile-frontend-watchlist-feed' => '被修改',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => '请点击页面顶部的星标',
	'mobile-frontend-watchlist-a-z-empty-howto' => '你目前没有监视任何页面。你的监视列表可以帮助你跟踪你感兴趣的页面。你可以点击星形图标以监视页面。',
	'mobile-frontend-watchlist-feed-empty' => '没有新的更改的页面。',
	'mobile-frontend-watchlist-back-home' => '返回首页',
	'mobile-frontend-changeslist-ip' => '匿名用户',
	'mobile-frontend-changeslist-nocomment' => '无编辑摘要',
	'mobile-frontend-watchlist-filter-all' => '全部',
	'mobile-frontend-watchlist-filter-articles' => '页面',
	'mobile-frontend-watchlist-filter-talk' => '讨论',
	'mobile-frontend-watchlist-filter-other' => '其他',
	'mobile-frontend-watchlist-modified' => '修改于$1',
	'mobile-frontend-diffview-404-title' => '错误版本',
	'mobile-frontend-diffview-404-desc' => '你请求的版本ID不存在。',
	'mobile-frontend-diffview-title' => '更改',
	'mobile-frontend-diffview-editcount' => '<div>$1</div>个编辑',
	'mobile-frontend-diffview-anonymous' => '匿名用户',
	'mobile-frontend-diffview-bytesadded' => '添加$1字节',
	'mobile-frontend-diffview-bytesremoved' => '删除$1字节',
	'mobile-frontend-diffview-explained' => '以下行是添加（+）和删除（-）的内容：',
	'mobile-frontend-thanked-notice' => '$1已被告知你喜欢{{GENDER:$2|他|她|他/她}}的编辑。',
	'mobile-frontend-saving-exit-page' => '你的贡献仍在保存当中。如果离开，你的贡献将会丢失。你真的想要离开吗？',
	'mobile-frontend-photo-upload' => '添加图像至本页面',
	'mobile-frontend-photo-article-edit-comment' => '添加用于页面的图像',
	'mobile-frontend-photo-article-donate-comment' => '贡献图像自Special:Uploads',
	'mobile-frontend-photo-upload-comment' => '添加图像至页面',
	'mobile-frontend-photo-caption-placeholder' => '描述此图像（必须）',
	'mobile-frontend-photo-ownership' => '我，$1，是该图像的作者。',
	'mobile-frontend-photo-ownership-help' => '这意味着什么？',
	'mobile-frontend-photo-ownership-confirm' => '明白了！',
	'mobile-frontend-lead-image-tutorial-summary' => '请确保你的图像可以帮助说明页面。它应该是你创作的图像并且没有侵犯著作权。',
	'mobile-frontend-lead-image-tutorial-confirm' => '开始上传',
	'mobile-frontend-photo-upload-error' => '出错，请重试。',
	'mobile-frontend-photo-upload-error-file-type' => '请只上传图像。',
	'mobile-frontend-photo-upload-error-filename' => '出错，请提供更具描述性的摘要。',
	'mobile-frontend-photo-upload-success-article' => '成功！您的图像已添加至本页面。',
	'mobile-frontend-photo-license' => '上传该图像，即表示你认同我们的[//wikimediafoundation.org/wiki/Terms_of_use 使用条款]，并同意采用[http://creativecommons.org/licenses/by-sa/3.0/deed.zh 知识共享“署名-相同方式共享 3.0”许可协议]发表你的图像。',
	'mobile-frontend-photo-submit' => '提交',
	'mobile-frontend-photo-upload-user-count' => '<span>$1</span>个上传',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+个上传',
	'mobile-frontend-image-heading-describe' => "'''描述'''图像",
	'mobile-frontend-image-uploading' => "'''正在上传'''图像...",
	'mobile-frontend-image-cancel-confirm' => '取消上传？',
	'mobile-frontend-editor-redirect-title' => '重定向至编辑器中...',
	'mobile-frontend-editor-unavailable-header' => '编辑器不可用',
	'mobile-frontend-editor-unavailable' => '移动版编辑目前不能在你的浏览器上使用。请尝试使用其他浏览器。',
	'mobile-frontend-editor-undo-unsupported' => '撤销编辑操作尚不支持移动设备。',
	'mobile-frontend-editor-newpage-prompt' => '此页面不存在。为什么不勇敢地创建它呢？',
	'mobile-frontend-editor-disabled' => '本页面受到保护以防止被破坏。',
	'mobile-frontend-editor-blocked' => '您的账户被封禁编辑。',
	'mobile-frontend-editor-cta' => '帮助改善此页面！',
	'mobile-frontend-editor-edit' => '编辑',
	'mobile-frontend-editor-continue' => '继续',
	'mobile-frontend-editor-save' => '保存',
	'mobile-frontend-editor-cancel' => '取消',
	'mobile-frontend-editor-keep-editing' => '继续编辑',
	'mobile-frontend-editor-license' => '保存更改，即表示你认同我们的[//wikimediafoundation.org/wiki/Terms_of_use 使用条款]，并同意采用[//creativecommons.org/licenses/by-sa/3.0/ CC-BY-SA 3.0许可协议]和[//zh.wikipedia.org/wiki/Wikipedia:GNU%E8%87%AA%E7%94%B1%E6%96%87%E6%A1%A3%E8%AE%B8%E5%8F%AF%E8%AF%81%E6%96%87%E6%9C%AC GFDL]发表你的文字。',
	'mobile-frontend-editor-placeholder' => '这个章节还是空的。成为第一个充实它的人吧！',
	'mobile-frontend-editor-summary-placeholder' => '告诉我们你更改了什么（可选）',
	'mobile-frontend-editor-cancel-confirm' => '你真的想要放弃你的编辑？',
	'mobile-frontend-editor-wait' => '正在保存编辑，请稍候。',
	'mobile-frontend-editor-success' => '成功！你的编辑已保存。',
	'mobile-frontend-editor-success-landmark-1' => '恭喜，你现在是一名{{SITENAME}}的编者了！',
	'mobile-frontend-editor-error' => '出错，编辑未保存。',
	'mobile-frontend-editor-error-conflict' => '出错，其他用户已编辑该页面。',
	'mobile-frontend-editor-error-loading' => '出错，无法载入段落。',
	'mobile-frontend-editor-error-preview' => '出错，载入预览时发生意外。请关闭后重试。',
	'mobile-frontend-editor-tutorial-summary' => '不要害怕标记。请尝试改进$1页面。',
	'mobile-frontend-editor-tutorial-alt-summary' => '为什么不改进$1呢？不要害怕标记！',
	'mobile-frontend-editor-tutorial-confirm' => '开始编辑',
	'mobile-frontend-editor-tutorial-cancel' => '不，谢谢',
	'mobile-frontend-editor-captcha-try-again' => '错误代码，请重试。',
	'mobile-frontend-editor-abusefilter-warning' => '警告：您确信要保存此次编辑么？这可能将产生一些问题。',
	'mobile-frontend-editor-abusefilter-disallow' => '因为我们检测到的问题此次编辑无法保存。',
	'mobile-frontend-editor-abusefilter-read-more' => '阅读更多',
	'mobile-frontend-editor-editing-page' => '<strong>编辑</strong><span>$1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>预览</strong><span>$1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>查看<span>$1</span>的源代码</strong>',
	'tag-mobile_edit' => '移动版编辑',
	'tag-mobile_edit-description' => '来自移动版网站的编辑',
	'mobile-frontend-drawer-cancel' => '取消',
	'mobile-frontend-talk-explained' => '以下会话当前活跃',
	'mobile-frontend-talk-explained-empty' => '没有关于本页面的会话。',
	'mobile-frontend-talk-overlay-header' => '讨论',
	'mobile-frontend-talk-back-to-page' => '返回“$1”页面。',
	'mobile-frontend-talk-overlay-lead-header' => '未命名讨论',
	'mobile-frontend-talk-add-overlay-submit' => '添加讨论',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => '讨论话题',
	'mobile-frontend-talk-add-overlay-content-placeholder' => '你在想什么？',
	'mobile-frontend-talk-edit-summary' => '新讨论段落：$1',
	'mobile-frontend-talk-reply-success' => '你的回复已成功保存至讨论页面。',
	'mobile-frontend-talk-reply-info' => '请注意，你的回复将自动以你的用户名签名。',
	'mobile-frontend-talk-reply' => '回复',
	'mobile-frontend-talk-topic-feedback' => '新的主题已加入讨论页！',
	'mobile-frontend-media-details' => '详情',
	'mobile-frontend-media-license-link' => '许可协议信息',
	'abusefilter-edit-builder-vars-user-mobile' => '用户是否通过移动版界面编辑',
	'mobile-frontend-profile-title' => '用户资料',
	'mobile-frontend-profile-last-upload-caption' => '{{GENDER:$2|上传}}于{{PLURAL:$1|昨天|$1天前|0=今天}}。',
	'mobile-frontend-profile-usertalk' => '与$1讨论',
	'mobile-frontend-profile-error' => '糟糕！',
	'mobile-frontend-profile-noargs' => '未提供用户名。请提供用户名以查看资料。',
	'mobile-frontend-profile-nouser' => '不存在用户名为此的用户。用户名区分大小写，请检查是否输入正确。',
	'mobile-frontend-profile-activity-heading' => '最近活动',
	'mobile-frontend-profile-userpage-link' => '访问用户页。',
	'mobile-frontend-requires-optin' => '本页不可用，除非你选择使用我们的测试版。访问[[Special:MobileOptions|设置页面]]进行选择。',
	'mobile-frontend-profile-last-thank' => '$2的此次编辑已由[[Special:UserProfile/$1|$1]]感谢。',
	'mobile-frontend-profile-last-edit' => '在{{PLURAL:$2|昨天|$2天前|0=今天早些时候}}{{GENDER:$3|编辑}}页面[[:$1]]。',
	'mobile-frontend-profile-footer-days' => '加入于{{PLURAL:$2|$2天}}前，有[[Special:Contributions/$1|{{PLURAL:$3|$3个编辑}}]]和[[Special:Uploads/$1|{{PLURAL:$4|$4个上传|500=500+个上传}}]]。',
	'mobile-frontend-profile-footer-months' => '加入于至少{{PLURAL:$2|$2月}}前，有[[Special:Contributions/$1|{{PLURAL:$3|$3个编辑}}]]和[[Special:Uploads/$1|{{PLURAL:$4|$4个上传|500=500+个上传}}]]。',
	'mobile-frontend-profile-footer-years' => '加入于至少{{PLURAL:$2|$2年}}前，有[[Special:Contributions/$1|{{PLURAL:$3|$3个编辑}}]]和[[Special:Uploads/$1|{{PLURAL:$4|$4个上传|500=500+个上传}}]]。',
	'mobile-frontend-geonotahack' => '本页附近',
	'beta-feature-geonotahack' => '此页的附近',
	'beta-feature-geonotahack-description' => '发现你正在阅读的页面在地理上邻近的页面。',
	'mobile-frontend-mainpage-cta-prompt' => '此页面需要您的帮助！',
	'mobile-frontend-mainpage-cta-button' => '改进此页面',
	'beta-feature-minerva' => '在桌面版上启用移动版皮肤（Minerva）',
	'beta-feature-minerva-description' => '使适用移动设备的皮肤可作为桌面版的一项皮肤在首选项-外观选项卡中出现。',
);

/** Traditional Chinese (中文（繁體）‎)
 * @author Anakmalaysia
 * @author Bencmq
 * @author Ch.Andrew
 * @author Cwlin0416
 * @author Lauhenry
 * @author Liangent
 * @author Liuxinyu970226
 * @author Shirayuki
 * @author Simon Shek
 * @author StephDC
 * @author Waihorace
 * @author Xiaomingyan
 * @author Yfdyh000
 */
$messages['zh-hant'] = array(
	'mobilefrontend-random-explain' => '您是否對此隨機頁面感興趣？',
	'mobilefrontend-random-cancel' => '讓我閱讀！',
	'mobilefrontend-keepgoing-ask' => '幹得不錯！您開始編輯了這個棄坑！您想嘗試編輯其他頁面么？',
	'mobilefrontend-keepgoing-ask-first' => '恭喜您作出了第一次編輯！您是否希望繼續作出編輯？',
	'mobilefrontend-keepgoing-explain' => '贊！某用戶說此頁面需要幫助。嘗試這一個，或嘗試另一個。',
	'mobilefrontend-keepgoing-cancel' => '不，謝謝',
	'mobilefrontend-keepgoing-suggest' => '是的，請',
	'mobilefrontend-keepgoing-suggest-again' => '嘗試其他',
	'mobilefrontend-keepgoing-saved-title' => '編輯已保存！',
	'mobilefrontend-keepgoing-links-title' => '添加連結',
	'mobilefrontend-keepgoing-links-ask-first' => '恭喜您的第一次編輯！您是否對剛創建的連接加入連接感興趣？',
	'mobilefrontend-keepgoing-links-ask-again' => '修復另一頁面？',
	'mobilefrontend-keepgoing-links-explain' => '查找更多可連接單詞。單詞前後加入兩組括號。',
	'mobilefrontend-keepgoing-links-example' => '例：$1吉他$2成為$3吉他$4',
	'nearby' => '臨近您的頁面',
	'mobile-frontend-desc' => '手機前端',
	'mobile-frontend-search-submit' => '進入',
	'mobile-frontend-home-button' => '首頁',
	'mobile-frontend-logged-out' => '未登入',
	'mobile-frontend-logged-in-homepage-notification' => '歡迎，$1！',
	'mobile-frontend-logged-in-toast-notification' => '以$1登入。',
	'mobile-frontend-generic-404-title' => '404錯誤——找不到頁面',
	'mobile-frontend-generic-404-desc' => '找不到您正在尋找的頁面。',
	'mobile-frontend-sign-up-heading' => '註冊',
	'mobile-frontend-sign-in-heading' => '登入',
	'mobile-frontend-sign-in-why' => '如果您有一個{{SITENAME}}的用戶，您可以在下面登入。',
	'mobile-frontend-sign-in-error-heading' => '哎呀',
	'mobile-frontend-settings-description' => '調整手機版網頁設定，以定制你的手機瀏覽體驗。',
	'mobile-frontend-settings-beta' => '測試版',
	'mobile-frontend-settings-alpha' => '實驗模式',
	'mobile-frontend-settings-alpha-description' => '進入危險和探索移動領土。更多實驗性的功能，更危險的錯誤。',
	'mobile-frontend-save-settings' => '儲存',
	'mobile-frontend-save-error' => '保存設定時出錯。請確保您已啟用cookies。',
	'mobile-frontend-random-button' => '隨機條目',
	'mobile-frontend-back-to-top-of-section' => '跳轉至前一章節',
	'mobile-frontend-regular-site' => '桌面版',
	'mobile-frontend-wml-continue' => '繼續...',
	'mobile-frontend-wml-back' => '返回...',
	'mobile-frontend-view' => '手機版',
	'mobile-frontend-view-desktop' => '桌面版',
	'mobile-frontend-view-mobile' => '手機版',
	'mobile-frontend-cookies-required' => 'Cookies需要切換檢閱模式。請啟用後重試。',
	'mobile-frontend-opt-in-explain' => '參加公測後，您將可以訪問實驗性功能，但會遇到不少錯誤和問題。',
	'mobile-frontend-images-status' => '圖片',
	'mobile-frontend-disable-images' => '在手機版網頁上禁用圖像',
	'mobile-frontend-enable-images' => '在手機版網頁上啟用圖像',
	'mobile-frontend-expand-sections-status' => '展開所有部分',
	'mobile-frontend-expand-sections-description' => '導航至新頁面時總是展開所有部分。',
	'mobile-frontend-missing-image' => '圖片',
	'mobile-frontend-off' => '關',
	'mobile-frontend-on' => '開',
	'mobile-frontend-featured-article' => '今日特色條目',
	'mobile-frontend-news-items' => '新聞動態',
	'mobile-frontend-languages-404-title' => '語言錯誤',
	'mobile-frontend-languages-404-desc' => '必須指定一個有效標題。',
	'mobile-frontend-languages-header' => '語言',
	'mobile-frontend-languages-nonexistent-title' => '頁面「$1」不存在。',
	'mobile-frontend-languages-text' => '$1已於$2種語言提供。',
	'mobile-frontend-languages-variant-header' => '{{#language:{{CONTENTLANG}}}}變體',
	'mobile-frontend-language-heading' => '<strong>語言</strong>',
	'mobile-frontend-language-article-heading' => '閱讀其他語言',
	'mobile-frontend-language-header' => '本頁有$1種語言版本',
	'mobile-frontend-language-variant-header' => '選擇{{#language:{{CONTENTLANG}}}}轉換版本',
	'mobile-frontend-language-site-choose' => '搜尋語言',
	'mobile-frontend-username' => '用戶名：',
	'mobile-frontend-password' => '密碼：',
	'mobile-frontend-username-placeholder' => '用戶名',
	'mobile-frontend-password-placeholder' => '密碼',
	'mobile-frontend-login' => '登入',
	'mobile-frontend-history' => '查閱本頁面編輯歷史。',
	'mobile-frontend-history-404-title' => '沒有此頁面',
	'mobile-frontend-history-404-desc' => '無法查看不存在頁面之歷史。它可能被刪除或您可能點擊了一個斷鏈。',
	'mobile-frontend-history-no-results' => '沒有與篩選器相匹配的歷史。',
	'mobile-frontend-contribution-summary' => '所有編輯由[[Special:UserProfile/$1|$1]]做出',
	'mobile-frontend-history-summary' => '[[:$1]]頁面的歷史',
	'mobile-frontend-last-modified-date' => '最後修訂於$1$2',
	'mobile-frontend-last-modified-seconds' => '最後修訂於$1秒前',
	'mobile-frontend-last-modified-minutes' => '最後修訂於$1分鐘前',
	'mobile-frontend-last-modified-hours' => '最後修訂於$1小時前',
	'mobile-frontend-last-modified-days' => '最後修訂於$1天前',
	'mobile-frontend-last-modified-months' => '最後修訂於$1小時前',
	'mobile-frontend-last-modified-years' => '最後修訂於$1年前',
	'mobile-frontend-last-modified-just-now' => '新近編輯剛剛作出',
	'mobile-frontend-last-modified-with-user-seconds' => '[$4最近一次{{GENDER:$1|編輯}}于$3秒前]由{{PLURAL:$5|[$6 $2]|0=匿名用戶}}做出',
	'mobile-frontend-last-modified-with-user-minutes' => '[$4最近一次{{GENDER:$1|編輯}}于$3分鐘前]由{{PLURAL:$5|[$6 $2]|0=匿名用戶}}做出。',
	'mobile-frontend-last-modified-with-user-hours' => '[$4 最近一次{{GENDER:$1|編輯}}于$3小時前]由{{PLURAL:$5|[$6 $2]|0=匿名用戶}}做出',
	'mobile-frontend-last-modified-with-user-days' => '[$4 最近一次{{GENDER:$1|編輯}}于$3天前]由{{PLURAL:$5|[$6 $2]|0=匿名用戶}}做出',
	'mobile-frontend-last-modified-with-user-months' => '[$4 最近一次{{GENDER:$1|編輯}}于$3月前]由{{PLURAL:$5|[$6 $2]|0=匿名用戶}}做出',
	'mobile-frontend-last-modified-with-user-years' => '[$4 最近一次{{GENDER:$1|編輯}}于$3年前]由{{PLURAL:$5|[$6 $2]|0=匿名用戶}}做出',
	'mobile-frontend-last-modified-with-user-just-now' => '[$3 最近一次{{GENDER:$1|編輯}}]剛剛由{{PLURAL:$4|[$5 $2]|0=匿名用戶}}做出。',
	'mobile-frontend-view-source' => '查看原始碼',
	'mobile-frontend-account-create-submit' => '註冊',
	'mobile-frontend-password-confirm-placeholder' => '確認密碼',
	'mobile-frontend-account-create-email-placeholder' => '電郵地址（可選）',
	'mobile-frontend-account-create-captcha-placeholder' => '鍵入確認碼',
	'mobile-frontend-overlay-escape' => '返回',
	'mobile-frontend-overlay-close' => '關閉',
	'mobile-frontend-overlay-continue' => '繼續',
	'mobile-frontend-placeholder' => '搜索{{SITENAME}}',
	'mobile-frontend-placeholder-beta' => '搜尋{{SITENAME}}（測試版）',
	'mobile-frontend-placeholder-alpha' => '搜尋{{SITENAME}}（實驗）',
	'mobile-frontend-dismiss-notification' => '關閉此通知',
	'mobile-frontend-clear-search' => '清除',
	'mobile-frontend-search-content' => '於頁面內搜尋',
	'mobile-frontend-search-no-results' => '並無頁面使用此標題。',
	'mobile-frontend-search-content-no-results' => "'''{{int:mobile-frontend-search-content}}'''以顯示此內容於任何地方之出現狀態。",
	'mobile-frontend-privacy-link-text' => '隱私',
	'mobile-frontend-footer-sitename' => '{{SITENAME}}',
	'mobile-frontend-footer-license' => '內容在[//zh.m.wikipedia.org/wiki/Wikipedia:CC-by-sa-3.0%E5%8D%8F%E8%AE%AE%E6%96%87%E6%9C%AC?useformat=mobile CC BY-SA 3.0]協議下提供；附加條款可能適用。',
	'mobile-frontend-copyright' => '本頁內容依$1授權，其他條款亦可能適用。',
	'mobile-frontend-footer-contact' => '聯繫',
	'mobile-frontend-terms-text' => '使用條款',
	'mobile-frontend-main-menu-button-tooltip' => '開啟主目錄',
	'mobile-frontend-main-menu-page-title' => '網站導航',
	'mobile-frontend-main-menu-featured' => '特色',
	'mobile-frontend-main-menu-nearby' => '附近',
	'mobile-frontend-main-menu-login' => '登入',
	'mobile-frontend-main-menu-logout' => '登出',
	'mobile-frontend-main-menu-watchlist' => '監視列表',
	'mobile-frontend-main-menu-settings' => '設定',
	'mobile-frontend-main-menu-upload' => '上傳',
	'mobile-frontend-main-menu-settings-heading' => '設定',
	'mobile-frontend-settings-site-header' => '{{SITENAME}}的語言版本',
	'mobile-frontend-settings-site-description' => '{{SITENAME}}有$1種語言版本。下面列出所有版本',
	'mobile-frontend-main-menu-account-create' => '建立帳戶',
	'mobile-frontend-page-menu-contents' => '目錄',
	'mobile-frontend-page-menu-history' => '歷史',
	'mobile-frontend-meta-data-issues-header' => '問題',
	'mobile-frontend-meta-data-issues' => '此頁上的一些問題',
	'mobile-frontend-page-saving' => '正在保存$1',
	'mobile-frontend-user-cta' => '請登入或註冊以查閱您的通知。',
	'mobile-frontend-user-button-tooltip' => '顯示本人通知',
	'mobile-frontend-nearby-to-page' => '以下與$1位置有關的頁面',
	'mobile-frontend-nearby-title' => '附近',
	'mobile-frontend-nearby-loading' => '載入您當前的位置附近的主題',
	'mobile-frontend-nearby-requirements' => '抱歉！你的網頁瀏覽器不支援{{SITENAME}}附近的功能。',
	'mobile-frontend-nearby-requirements-guidance' => '嘗試其他的瀏覽器或啟用 javascript（如你禁用它的話）。',
	'mobile-frontend-nearby-distance' => '{{PLURAL:$1|$1公里}}',
	'mobile-frontend-nearby-distance-meters' => '{{PLURAL:$1|$1米}}',
	'mobile-frontend-nearby-lookup-ui-error' => '{{SITENAME}}的附近功能搞不清楚你在哪裡，要再試嗎？',
	'mobile-frontend-nearby-lookup-ui-error-guidance' => '嘗試往空曠的地方以接收更好的信號。',
	'mobile-frontend-nearby-permission' => '{{SITENAME}}附近沒有權限訪問您所在的位置。',
	'mobile-frontend-nearby-permission-guidance' => '請確認您授予權限以顯示您的方位。您將需要檢查您的瀏覽器方位設定。',
	'mobile-frontend-nearby-noresults' => '此處很安靜......此處附近無法找尋任何頁面。',
	'mobile-frontend-nearby-noresults-guidance' => '請嘗試創建新頁面或於已有頁面加入位置資訊',
	'mobile-frontend-nearby-refresh' => '我們為您找到更準確的位置定位。點擊這裡刷新附近頁面列表',
	'mobile-frontend-nearby-error' => '{{SITENAME}}附近功能有一些問題。',
	'mobile-frontend-nearby-error-guidance' => '嘗試更新你的位置。',
	'mobile-frontend-nearby-link' => '以全顯幕閱讀此頁',
	'mobile-frontend-nearby-directions' => '瀏覽這嚃',
	'mobile-frontend-donate-image-nouploads' => '無上載。',
	'mobile-frontend-donate-image-login' => '於{{SITENAME}}之媒體由如您一般用戶貢獻。',
	'mobile-frontend-donate-image-login-action' => '登錄共享您的媒體。',
	'mobile-frontend-donate-image-signup-action' => '註冊以向全世界共享您的媒體。',
	'mobile-frontend-photo-upload-disabled' => '此頁面不需要圖像。',
	'mobile-frontend-photo-upload-anon' => '請登錄以於此頁面插入圖像。',
	'mobile-frontend-photo-upload-protected' => '您並無權限于此頁面插入圖像。',
	'mobile-frontend-photo-upload-unavailable' => '您的瀏覽器不支援圖像上載。',
	'mobile-frontend-photo-upload-generic' => '貢獻圖片',
	'mobile-frontend-donate-image-title' => '上載',
	'mobile-frontend-donate-image-heading' => '您最近的貢獻',
	'mobile-frontend-donate-image-anon' => '需要 $1 才能查看上傳頁面',
	'mobile-frontend-user-account' => '使用者帳號',
	'mobile-frontend-listed-image-no-description' => '沒有說明',
	'mobile-frontend-donate-photo-upload-success' => '成功！您的圖像現在可以在{{SITENAME}} 上使用！',
	'mobile-frontend-donate-photo-first-upload-success' => '成功！感謝您第一次的貢獻！',
	'mobile-frontend-first-upload-wizard-new-page-1-header' => '貢獻您的圖片。使{{SITENAME}}文章更好！',
	'mobile-frontend-first-upload-wizard-new-page-1' => '{{SITENAME}} 上的圖片是出自維基共享資源',
	'mobile-frontend-first-upload-wizard-new-page-2-header' => '您的圖片幫助、説明、教育世界各地的人',
	'mobile-frontend-first-upload-wizard-new-page-2' => '避免受版權保護的材料，例如從互聯網的圖片、以及海報、 書籍封面等…',
	'mobile-frontend-first-upload-wizard-new-page-3-header' => '明白嗎？',
	'mobile-frontend-first-upload-wizard-new-page-3-ok' => '是！',
	'mobile-frontend-watchlist-add' => '已添加$1到您的監視列表',
	'mobile-frontend-watchlist-removed' => '已從您的監視列表移除$1',
	'mobile-frontend-watchlist-view' => '查看您的監視列表',
	'mobile-frontend-watchlist-more' => '更多',
	'mobile-frontend-watchlist-cta' => '跟蹤此頁面及對之修改。',
	'mobile-frontend-watchlist-cta-button-login' => '登入',
	'mobile-frontend-watchlist-cta-button-signup' => '註冊',
	'mobile-frontend-watchlist-purpose' => '一個監視列表幫助您的書籤頁及跟蹤對其修改。',
	'mobile-frontend-watchlist-login-action' => '登錄以查看之。',
	'mobile-frontend-watchlist-signup-action' => '註冊以啟動之。',
	'mobile-frontend-generic-login' => '{{SITENAME}}是由像您一樣的人建立。',
	'mobile-frontend-generic-login-action' => '登錄以貢獻。',
	'mobile-frontend-generic-signup-action' => '註冊以貢獻。',
	'mobile-frontend-watch-login' => '添加$1至您的監視列表。',
	'mobile-frontend-edit-login' => '幫助改善頁面$1。',
	'mobile-frontend-edit-login-action' => '登錄以編輯。',
	'mobile-frontend-edit-signup-action' => '註冊以編輯。',
	'mobile-frontend-watchlist-a-z' => '列表',
	'mobile-frontend-watchlist-feed' => '曾修改',
	'mobile-frontend-watchlist-a-z-empty-howto-alt' => '按位於頁頂的星號',
	'mobile-frontend-watchlist-a-z-empty-howto' => '您現時並沒有監視任何頁面。您旳監視列表讓您跟踪您有興趣的頁面。按位於頁頂的星號把頁面加到監視列表，',
	'mobile-frontend-watchlist-feed-empty' => '頁面最近沒有修改',
	'mobile-frontend-watchlist-back-home' => '返回首頁',
	'mobile-frontend-changeslist-ip' => '匿名用戶',
	'mobile-frontend-changeslist-nocomment' => '沒有編輯摘要',
	'mobile-frontend-watchlist-filter-all' => '全部',
	'mobile-frontend-watchlist-filter-articles' => '頁面',
	'mobile-frontend-watchlist-filter-talk' => '討論',
	'mobile-frontend-watchlist-filter-other' => '其他',
	'mobile-frontend-watchlist-modified' => '$1前修改',
	'mobile-frontend-diffview-404-title' => '損壞的版本',
	'mobile-frontend-diffview-404-desc' => '版本ID不存在',
	'mobile-frontend-diffview-title' => '修改',
	'mobile-frontend-diffview-editcount' => '$1次編輯',
	'mobile-frontend-diffview-anonymous' => '匿名用戶',
	'mobile-frontend-diffview-bytesadded' => '已增加$1位元組',
	'mobile-frontend-diffview-bytesremoved' => '已移除$1位元組',
	'mobile-frontend-diffview-explained' => '以下行被添加（+）和刪除（-）：',
	'mobile-frontend-thanked-notice' => '$1說您喜歡{{GENDER:$2|他|她|他們}}的編輯。',
	'mobile-frontend-saving-exit-page' => '正在保存您的貢獻。如果離開的話，你的貢獻將會丟失。你真的要離開嗎？',
	'mobile-frontend-photo-upload' => '為本頁加入圖片',
	'mobile-frontend-photo-article-edit-comment' => '已在頁面上添加照片',
	'mobile-frontend-photo-article-donate-comment' => '出自Special:Uploads的相片貢獻',
	'mobile-frontend-photo-upload-comment' => '已添加照片到頁面上',
	'mobile-frontend-photo-caption-placeholder' => '描述此圖像（必須）',
	'mobile-frontend-photo-ownership' => '我$1建立此圖像。',
	'mobile-frontend-photo-ownership-help' => '這是什麼意思？',
	'mobile-frontend-photo-ownership-confirm' => '明白！',
	'mobile-frontend-lead-image-tutorial-summary' => '請確保您的圖像可幫助說明文章。其由您創建且不侵犯版權。',
	'mobile-frontend-lead-image-tutorial-confirm' => '開始上載',
	'mobile-frontend-photo-upload-error' => '上傳錯誤，請重試。',
	'mobile-frontend-photo-upload-error-file-type' => '僅限圖片上載。',
	'mobile-frontend-photo-upload-error-filename' => '錯誤：請提供更具描述性的摘要。',
	'mobile-frontend-photo-upload-success-article' => '完成！您的圖像已被添加到頁面中。',
	'mobile-frontend-photo-license' => '通過上載此圖像，您已同意我們的[//wikimediafoundation.org/wiki/Terms_of_use 使用條款]，並同意依據[/creativecommons.org/licenses/by-sa/3.0/ 創用CC-姓名標示-相同方式分享-3.0協議]授權您的圖片。',
	'mobile-frontend-photo-submit' => '提交',
	'mobile-frontend-photo-upload-user-count' => '{{PLURAL:$1|<span>1</span>個上載|<span>$1</span>個上載}}',
	'mobile-frontend-photo-upload-user-count-over-limit' => '500+上載',
	'mobile-frontend-image-heading-describe' => "'''敘述'''圖像",
	'mobile-frontend-image-uploading' => "'''上載'''圖像......",
	'mobile-frontend-image-cancel-confirm' => '取消上載？',
	'mobile-frontend-editor-redirect-title' => '重定向至編輯器中......',
	'mobile-frontend-editor-unavailable-header' => '編輯器不可用',
	'mobile-frontend-editor-unavailable' => '行動編輯器尚不支援您的瀏覽器。請嘗試另一個瀏覽器。',
	'mobile-frontend-editor-undo-unsupported' => '撤銷操作尚不支援行動裝置。',
	'mobile-frontend-editor-newpage-prompt' => '此頁面不存在。何不勇於創建之？',
	'mobile-frontend-editor-disabled' => '本頁面已被保護以防止惡意破壞。',
	'mobile-frontend-editor-blocked' => '您的賬戶被封禁編輯。',
	'mobile-frontend-editor-cta' => '幫助改善這個頁面！',
	'mobile-frontend-editor-edit' => '編輯',
	'mobile-frontend-editor-continue' => '繼續',
	'mobile-frontend-editor-save' => '儲存',
	'mobile-frontend-editor-cancel' => '取消',
	'mobile-frontend-editor-keep-editing' => '繼續編輯',
	'mobile-frontend-editor-license' => '通過保存更改，表明您同意我們的[//wikimediafoundation.org/wiki/Terms_of_use 使用條款]並同意通過[//creativecommons.org/licenses/by-sa/3.0/ CC BY-SA 3.0協議]和[//zh.wikipedia.org/wiki/Wikipedia:GFDL GFDL協議]發表您的貢獻。',
	'mobile-frontend-editor-placeholder' => '這一部分是空的。成為第一個編輯它的人吧！',
	'mobile-frontend-editor-summary-placeholder' => '告訴我們您做了哪些修改 （可選）',
	'mobile-frontend-editor-cancel-confirm' => '你確認要放棄你的編輯？',
	'mobile-frontend-editor-wait' => '正在儲存編輯，請稍候。',
	'mobile-frontend-editor-success' => '成功 ！你的編輯經已儲存。',
	'mobile-frontend-editor-success-landmark-1' => '祝賀您，您現在已是{{SITENAME}}編輯者之一！',
	'mobile-frontend-editor-error' => '錯誤，編輯未儲存。',
	'mobile-frontend-editor-error-conflict' => '錯誤，其他用戶已編輯該頁面。',
	'mobile-frontend-editor-error-loading' => '錯誤，無法載入章節。',
	'mobile-frontend-editor-error-preview' => '錯誤，載入預覽時，發生錯誤。請關閉後再試。',
	'mobile-frontend-editor-tutorial-summary' => '不要害怕標記。請嘗試改變$1頁面。',
	'mobile-frontend-editor-tutorial-alt-summary' => '為何不改進$1？不要害怕標記！',
	'mobile-frontend-editor-tutorial-confirm' => '開始編輯',
	'mobile-frontend-editor-tutorial-cancel' => '不，謝謝',
	'mobile-frontend-editor-captcha-try-again' => '錯誤代碼，請重試。',
	'mobile-frontend-editor-abusefilter-warning' => '警告：您確信要保存此次編輯？這將產生一些程式錯誤。',
	'mobile-frontend-editor-abusefilter-disallow' => '因我們檢測到問題是次編輯不能保存。',
	'mobile-frontend-editor-abusefilter-read-more' => '閱讀更多',
	'mobile-frontend-editor-editing-page' => '<strong>編輯</strong><span>$1</span>',
	'mobile-frontend-editor-previewing-page' => '<strong>預覽</strong><span>$1</span>',
	'mobile-frontend-editor-viewing-source-page' => '<strong>查看<span> $1</span>的原始代碼</strong>',
	'tag-mobile_edit' => '手機編輯',
	'tag-mobile_edit-description' => '從手機版所作的編輯',
	'mobile-frontend-drawer-cancel' => '取消',
	'mobile-frontend-talk-explained' => '以下是目前活躍的討論',
	'mobile-frontend-talk-explained-empty' => '沒有任何有關此頁的討論。',
	'mobile-frontend-talk-overlay-header' => '討論',
	'mobile-frontend-talk-back-to-page' => '回到“$1”頁面。',
	'mobile-frontend-talk-overlay-lead-header' => '未命名的討論',
	'mobile-frontend-talk-add-overlay-submit' => '新增討論',
	'mobile-frontend-talk-add-overlay-subject-placeholder' => '主題',
	'mobile-frontend-talk-add-overlay-content-placeholder' => '你有什麼想法？',
	'mobile-frontend-talk-edit-summary' => '新討論段落：$1',
	'mobile-frontend-talk-reply-success' => '您的答覆已保存在討論頁。',
	'mobile-frontend-talk-reply-info' => '請注意您的回復將自動簽名您的用戶名。',
	'mobile-frontend-talk-reply' => '回覆',
	'mobile-frontend-talk-topic-feedback' => '新的主題已加入討論頁！',
	'mobile-frontend-media-details' => '詳細資訊',
	'mobile-frontend-media-license-link' => '授權資訊',
	'abusefilter-edit-builder-vars-user-mobile' => '用戶是否通過行動電話編輯',
	'mobile-frontend-profile-title' => '用戶訊息',
	'mobile-frontend-profile-last-upload-caption' => '於{{PLURAL:$1|昨日|$1日前|0=今日}}{{GENDER:$2|上載}}。',
	'mobile-frontend-profile-usertalk' => '與$1討論',
	'mobile-frontend-profile-error' => '哦不！',
	'mobile-frontend-profile-noargs' => '未確定用戶名。請確定一個用戶名以查看其資料。',
	'mobile-frontend-profile-nouser' => "並無用戶具有此用戶名。用戶名'''不區分大小寫和繁簡'''故請檢查之。",
	'mobile-frontend-profile-activity-heading' => '新近活動',
	'mobile-frontend-profile-userpage-link' => '檢查使用者頁面',
	'mobile-frontend-requires-optin' => '此頁不可用，除非您選擇使用我們的Beta模式。通過[[Special:MobileOptions|個人設定]]啟用之。',
	'mobile-frontend-profile-last-thank' => '由$2所作出之編輯已由[[Special:UserProfile/$1|$1]]感謝。',
	'mobile-frontend-profile-last-edit' => '用戶$3於{{PLURAL:$2|昨日|$2天前|0=今日早些時候}}已編輯頁面[[:$1]]。',
	'mobile-frontend-profile-footer-days' => '已於$2天前加入並做出[[Special:Contributions/$1|$3次編輯]]和[[Special:Uploads/$1|$4次上載]]。',
	'mobile-frontend-profile-footer-months' => '已於至少$2月前加入並做出[[Special:Contributions/$1|$3次編輯]]和[[Special:Uploads/$1|$4次上載]]。',
	'mobile-frontend-profile-footer-years' => '已於至少$2年前加入並做出[[Special:Contributions/$1|$3次編輯]]和[[Special:Uploads/$1|$4次上載]]。',
	'mobile-frontend-geonotahack' => '此頁面附近',
	'beta-feature-geonotahack' => '此頁面附近',
	'beta-feature-geonotahack-description' => '發現您閱讀中頁面於地理中臨近頁面。',
	'mobile-frontend-mainpage-cta-prompt' => '此頁面需要您的幫助！',
	'mobile-frontend-mainpage-cta-button' => '改進此頁面',
);

/** Chinese (Hong Kong) (‪中文(香港)‬)
 * @author Liangent
 * @author Waihorace
 */
$messages['zh-hk'] = array(
	'mobile-frontend-search-submit' => '進入',
	'mobile-frontend-featured-article' => '特色條目',
	'mobile-frontend-home-button' => '首頁',
	'mobile-frontend-random-button' => '隨機條目',
	'mobile-frontend-show-button' => '顯示',
	'mobile-frontend-hide-button' => '隱藏',
	'mobile-frontend-regular-site' => '在原版維基百科瀏覽此頁',
	'mobile-frontend-view' => '流動瀏覽',
	'mobile-frontend-disable-images' => '在流動版停用圖像',
);
